﻿// Generated by Construct 2, the HTML5 game and app creator :: http://www.scirra.com
//////////////////////////////////////
// COCOONJS.JS                      //
//////////////////////////////////////

(function()
{
	// There should not be a CocoonJS object when this code is executed.
	// if (typeof window.CocoonJS !== 'undefined') throw("This is strange, a CocoonJS object already exists when trying to create it.");

    /**
    * The basic object for all the CocoonJS related specific APIs === extensions.
    * @namespace
    */
    CocoonJS = window.CocoonJS ? window.CocoonJS : {};

	CocoonJS.nativeExtensionObjectAvailable = typeof window.ext !== 'undefined';

	/**
	* This type represents a 2D size structure with horizontal and vertical values.
	* @namespace
	*/
	CocoonJS.Size = {
		/**
		* The horizontal size value.
		*/
		width : 0,

		/**
		* The vertical size value.
		*/
		height : 0
	};

	/**
	* This utility function allows to create an object oriented like hierarchy between two functions using their prototypes.
	* This function adds a "superclass" and a "__super" attributes to the subclass and it's functions to reference the super class.
	* @param {function} subc The subclass function.
	* @param {function} superc The superclass function.
	*/
	CocoonJS.extend = function(subc, superc) {
	    var subcp = subc.prototype;

	    // Class pattern.
	    var CocoonJSExtendHierarchyChainClass = function() {};
	    CocoonJSExtendHierarchyChainClass.prototype = superc.prototype;

	    subc.prototype = new CocoonJSExtendHierarchyChainClass();       // chain prototypes.
	    subc.superclass = superc.prototype;
	    subc.prototype.constructor = subc;

	    // Reset constructor. See Object Oriented Javascript for an in-depth explanation of this.
	    if (superc.prototype.constructor === Object.prototype.constructor) {
	        superc.prototype.constructor = superc;
	    }

	    // Check all the elements in the subclass prototype and add them to the chain object's prototype.
	    for (var method in subcp) {
	        if (subcp.hasOwnProperty(method)) {
	            subc.prototype[method] = subcp[method];

	            // // tenemos en super un metodo con igual nombre.
	            // if ( superc.prototype[method]) 
	            // {
	            //     subc.prototype[method]= (function(fn, fnsuper) 
	            //     {
	            //         return function() 
	            //         {
	            //             var prevMethod= this.__super;

	            //             this.__super= fnsuper;

	            //             var retValue= fn.apply(
	            //                     this,
	            //                     Array.prototype.slice.call(arguments) );

	            //             this.__super= prevMethod;

	            //             return retValue;
	            //         };
	            //     })(subc.prototype[method], superc.prototype[method]);
	            // }
	        }
	    }
	}

	/**
	* IMPORTANT: This function should only be used by Ludei.
	* This function allows a call to the native extension object function reusing the same arguments object.
	* Why is interesting to use this function instead of calling the native object's function directly?
	* As the CocoonJS object functions expicitly receive parameters, if they are not present and the native call is direcly mapped,
	* undefined arguments are passed to the native side. Some native functions do not check the parameters validation
	* correctly (just check the number of parameters passed).
	* Another solution instead of using this function call is to correctly check if the parameters are valid (not undefined) to make the
	* call, but it takes more work than using this approach.
	* @static
	* @param {string} nativeExtensionObjectName The name of the native extension object name. The object that is a member of the 'ext' object.
	* @param {string} nativeFunctionName The name of the function to be called inside the native extension object.
	* @param {object} arguments The arguments object of the CocoonJS extension object function. It contains all the arguments passed to the CocoonJS extension object function and these are the ones that will be passed to the native call too.
	* @param {boolean} [async] A flag to indicate if the makeCall (false or undefined) or the makeCallAsync function should be used to perform the native call.
	* @returns Whatever the native function call returns.
	*/
	CocoonJS.makeNativeExtensionObjectFunctionCall = function(nativeExtensionObjectName, nativeFunctionName, args, async) {
		if (CocoonJS.nativeExtensionObjectAvailable) {
			var argumentsArray = Array.prototype.slice.call(args);
			argumentsArray.unshift(nativeFunctionName);
			var nativeExtensionObject = ext[nativeExtensionObjectName];
			var makeCallFunction = async ? nativeExtensionObject.makeCallAsync : nativeExtensionObject.makeCall;
			var ret = makeCallFunction.apply(nativeExtensionObject, argumentsArray);
			var finalRet = ret;
			if (typeof ret === "string") {
				try	{
					finalRet = JSON.parse(ret);
				}
				catch(error) {
				}
			}
			return finalRet;
		}
	};

	/**
	* Returns an object retrieved from a path specified by a dot specified text path starting from a given base object.
	* It could be useful to find the reference of an object from a defined base object. For example the base object could be window and the
	* path could be "CocoonJS.App" or "document.body".
	* @param {Object} baseObject The object to start from to find the object using the given text path.
	* @param {string} objectPath The path in the form of a text using the dot notation. i.e. "document.body"
	* For example:
	* var body = getObjectFromPath(window, "document.body");
	*/
	CocoonJS.getObjectFromPath = function(baseObject, objectPath) {
    	var parts = objectPath.split('.');
    	var obj = baseObject;
        for (var i = 0, len = parts.length; i < len; ++i) 
        {
            obj[parts[i]] = obj[parts[i]] || undefined;
    		obj = obj[parts[i]];
    	}
    	return obj;
 	};

 	/**
 	* Returns the key for a value in a dictionary. It looks for an specific value inside a dictionary and returns the corresponding key.
 	* @param {Object} dictionary The dictionary to look for the value in and get the corresponding key.
 	* @param {Object} value The value to look for inside the dictionary and return it's corresponding key.
 	* @return The key that corresponds to the given value it is has been found or null.
 	*/
 	CocoonJS.getKeyForValueInDictionary = function(dictionary, value) {
        var finalKey = null;
        for (var key in dictionary) {
            if (dictionary[key] === value)            {
                finalKey = key;
                break;
            }
        }
        return finalKey;
 	}

 	/**
 	* Finds a string inside a given array of strings by looking for a given substring. It can also
 	* specify if the search must be performed taking care or not of the case sensitivity.
 	* @param {Array} stringArray The array of strings in which to to look for the string.
 	* @param {string} subString The substring to look for inside all the strings of the array.
 	* @param {boolean} caseSensitive A flag to indicate if the search must be performed taking case of the 
 	* case sensitiveness (true) or not (false).
 	* @return {string} The string that has been found or null if the substring is not inside any of the string of the array.
 	*/
 	CocoonJS.findStringInStringArrayThatIsIndexOf = function(stringArray, subString, caseSensitive) {
 		var foundString = null;
 		subString = caseSensitive ? subString : subString.toUpperCase();
 		for (var i = 0; foundString == null && i < stringArray.length; i++)	{
 			foundString = caseSensitive ? stringArray[i] : stringArray[i].toUpperCase();
 			foundString = foundString.indexOf(subString) >= 0 ? stringArray[i] : null; 
 		}
 		return foundString;
 	};

	/**
	* A class that represents objects to handle events. Event handlers have always the same structure:
	* Mainly they provide the addEventListener and removeEventListener functions.
	* Both functions receive a callback function that will be added or removed. All the added callback
	* functions will be called when the event takes place.
	* Additionally they also allow the addEventListenerOnce and notifyEventListeners functions.
	* @constructor
	* @param {string} nativeExtensionObjectName The name of the native extension object (inside the ext object) to be used.
	* @param {string} cocoonJSExtensionObjectName The name of the sugarized extension object.
	* @param {string} nativeEventName The name of the native event inside the ext object.
	* @param {number} [chainFunction] An optional function used to preprocess the listener callbacks. This function, if provided,
	* will be called before any of the other listeners.
	*/
	CocoonJS.EventHandler = function(nativeExtensionObjectName, cocoonJSExtensionObjectName, nativeEventName, chainFunction) {
		this.listeners = [];
		this.listenersOnce = [];
		this.chainFunction = chainFunction;

		/**
		* Adds a callback function so it can be called when the event takes place.
		* @param {function} listener The callback function to be added to the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
		*/
		this.addEventListener = function(listener) {
			if (chainFunction) {
				var f = function() {
					chainFunction.call(this, arguments.callee.sourceListener, Array.prototype.slice.call(arguments)); 
				};
				listener.CocoonJSEventHandlerChainFunction = f;
				f.sourceListener = listener;
				listener = f;
			}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListener(nativeEventName, listener);
            }
            else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0) {
                	this.listeners.push(listener);
                }
            }
		};

        this.addEventListenerOnce = function(listener)
		{
			if (chainFunction) {
				var f = function() { chainFunction(arguments.callee.sourceListener,Array.prototype.slice.call(arguments)); };
				f.sourceListener = listener;
				listener = f;
			}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListenerOnce(nativeEventName, listener);
            }
            else
            {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0)
                {
                	this.listenersOnce.push(listener);
                }
            }
		};

        /**
         * Removes a callback function that was added to the event handler so it won't be called when the event takes place.
         * @param {function} listener The callback function to be removed from the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
         */
        this.removeEventListener = function (listener) {

        	if (chainFunction) {
        		listener = listener.CocoonJSEventHandlerChainFunction;
        		delete listener.CocoonJSEventHandlerChainFunction;
        	}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].removeEventListener(nativeEventName, listener);
            }
            else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener >= 0) {
                    this.listeners.splice(indexOfListener, 1);
                }
            }
        };

		this.notifyEventListeners = function() {
			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].notifyEventListeners(nativeEventName);
            } else {

                var argumentsArray= Array.prototype.slice.call(arguments);
                var listeners =     Array.prototype.slice.call(this.listeners);
                var listenersOnce = Array.prototype.slice.call(this.listenersOnce);
                var _this = this;
                // Notify listeners after a while ;) === do not block this thread.
                setTimeout(function() {
                    for (var i = 0; i < listeners.length; i++) {
                        listeners[i].apply(_this, argumentsArray);
                    }
                    for (var i = 0; i < listenersOnce.length; i++) {
                        listenersOnce[i].apply(_this, argumentsArray);
                    }
                }, 0);

                _this.listenersOnce= [];
            }
		};
		return this;
	};

	/**
	* A simple timer class. Update it every loop iteration and get values from accumulated time to elapsed time in seconds or milliseconds.
	*/
	CocoonJS.Timer = function() {
		this.reset();
		return this;
	};

	CocoonJS.Timer.prototype = {
		currentTimeInMillis : 0,
		lastTimeInMillis : 0,
		elapsedTimeInMillis : 0,
		elapsedTimeInSeconds : 0,
		accumTimeInMillis : 0,

		/**
		Resets the timer to 0.
		*/
		reset : function() {
			this.currentTimeInMillis = this.lastTimeInMillis = new Date().getTime();
			this.accumTimeInMillis = this.elapsedTimeInMillis = this.elapsedTimeInSeconds = 0;
		},

		/**
		Updates the timer calculating the elapsed time between update calls.
		*/
		update : function() {
			this.currentTimeInMillis = new Date().getTime();
			this.elapsedTimeInMillis = this.currentTimeInMillis - this.lastTimeInMillis;
			this.elapsedTimeInSeconds = this.elapsedTimeInMillis / 1000.0;
			this.lastTimeInMillis = this.currentTimeInMillis;
			this.accumTimeInMillis += this.elapsedTimeInMillis;
		}
	};

	// CocoonJS.FindAllNativeBindingsInCocoonJSExtensionObject = function(cocoonJSExtensionObject, nativeFunctionBindingCallback, nativeEventBindingCallback)
	// {
	// 	for (var cocoonJSExtensionObjectAttributeName in cocoonJSExtensionObject)
	// 	{
	// 		var cocoonJSExtensionObjectAttribute = cocoonJSExtensionObject[cocoonJSExtensionObjectAttributeName];

	// 		// Function
	// 		if (typeof cocoonJSExtensionObjectAttribute === 'function' && typeof cocoonJSExtensionObjectAttribute.nativeFunctionName !== 'undefined')
	// 		{
	// 			var nativeFunctionName = cocoonJSExtensionObjectAttribute.nativeFunctionName;
	// 			nativeFunctionBindingCallback(cocoonJSExtensionObjectAttributeName, nativeFunctionName);
	// 		}
	// 		// Event object
	// 		else if (typeof cocoonJSExtensionObjectAttribute === 'object' && cocoonJSExtensionObjectAttribute !== null && typeof cocoonJSExtensionObjectAttribute.nativeEventName !== 'undefined')
	// 		{
	// 			var nativeEventName = cocoonJSExtensionObjectAttribute.nativeEventName;
	// 			nativeEventBindingCallback(cocoonJSExtensionObjectAttributeName, nativeEventName);
	// 		}
	// 	}
	// }

	/**
	This function looks for a CocoonJS extension object that is bound to the given native ext object name.
	@returns The CocoonJS extension object that corresponds to the give native extension object name or null if it cannot be found.
	*/
	// CocoonJS.GetCocoonJSExtensionObjectForNativeExtensionObjectName = function(nativeExtensionObjectName)
	// {
	// 	var cocoonJSExtensionObject = null;
	// 	// Look in the CocoonJS object and for every object that is a CocoonJS.Extension check if it's nativeExtensionObjectName matches to the one passed as argument. If so, create an object that will represent it's documentation for the native ext object.
	// 	for (var cocoonJSAttributeName in CocoonJS)
	// 	{
	// 		var cocoonJSAttribute = CocoonJS[cocoonJSAttributeName];
	// 		if (typeof cocoonJSAttribute === 'object' && cocoonJSAttribute instanceof CocoonJS.Extension && cocoonJSAttribute.nativeExtensionObjectName === nativeExtensionObjectName)
	// 		{
	// 			// We have found the CocoonJS object that represents the native ext extension object name. 
	// 			cocoonJSExtensionObject = cocoonJSAttribute;
	// 			break;
	// 		}
	// 	}
	// 	return cocoonJSExtensionObject;
	// };

	/**
	This function adds functions to a CocoonJS extension object in order to bind them to the native makeCall function calls of the ext object.

	@param extensionObject The reference to the CocoonJS extension object where to add the new functions bound to the ext object makeCall functions calls.

	@param nativeFunctionsConfiguration An array of objects with the following structure:

		{ nativeFunctionName : "" [, functionName : "", isAsync : true/false] }

		- nativeFunctionName: Specifies the name of the function inside the ext object makeCall function call that will be bound.
		- functionName: An optional attribute that allows to specify the name of the function to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
		as the nativeFunctionName.
		- isAsync: An optional attribute that allows to specify if the call should be performed using makeCall (false or missing) or makeCallAsync (true).
		- alternativeFunction: An optional attribute that allows to specify an alternative function that will be called internally when this function is called. This attribute
		allows for adding new functionalities like for example adding methods 

	@returns The CocoonJS extension object.
	*/
	// CocoonJS.AddNativeFunctionBindingsToExtensionObject = function(extensionObject, nativeFunctionsConfiguration)
	// {
	// 	if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
	// 	if (typeof nativeFunctionsConfiguration === 'undefined' || nativeFunctionsConfiguration === null) throw("The passed native functions configuration array must be a valid object.");

	// 	for (var i = 0; i < nativeFunctionsConfiguration.length; i++)
	// 	{
	// 		if (typeof nativeFunctionsConfiguration[i].nativeFunctionName === 'undefined') throw("The 'nativeFunctionName' attribute in the native function configuration object at index '" + i + "' in the native function configuration array cannot be undefined.");
	// 		var nativeFunctionName = nativeFunctionsConfiguration[i].nativeFunctionName;
	// 		var functionName = typeof nativeFunctionsConfiguration[i].functionName !== 'undefined' ? nativeFunctionsConfiguration[i].functionName : nativeFunctionName;
	// 		var makeCallFunction = null;
	// 		makeCallFunction = typeof nativeFunctionsConfiguration[i].isAsync !== 'undefined' && nativeFunctionsConfiguration[i].isAsync ? extensionObject.nativeExtensionObject.makeCallAsync : extensionObject.nativeExtensionObject.makeCall;
	// 		// Add the new function to the CocoonJS extension object
	// 		extensionObject[functionName] = function()
	// 		{
	// 			// Convert the arguments object to an array
	// 			var arguments = Array.prototype.slice.call(arguments);
	// 			// Add the native function name as the first parameter
	// 			arguments.unshift(nativeFunctionName);
	// 			// Make the native ext object call
	// 			var result = makeCallFunction.apply(extensionObject.nativeExtensionObject, arguments);
	// 			return result;
	// 		}
	// 		// Add a property to the newly added function to store the name of the original function.
	// 		extensionObject[functionName].nativeFunctionName = nativeFunctionName;
	// 	}
	// 	return extensionObject;
	// };

	/**
	This function adds objects to a CocoonJS extension object to allow event listener handling (add and remove) bound to the native ext object event listener handling.

	@param extensionObject The reference to the CocoonJS extension object where to add the new objects bound to the ext object event listener handling.

	@param nativeEventsConfiguration An array of objects with the following structure:

		{ nativeEventName : "" [, eventObjectName : ""] }

		- nativeEventName: Specifies the event in the native ext object to be bound.
		- eventObjectName: An optional attribute that allows to specify the name of the object to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
		as the nativeEventName.
		- alternativeAddEventListenerFunction:
		- alternativeRemoveEventListenerFunction:

	@returns The CocoonJS extension object.
	*/
	// CocoonJS.AddNativeEventBindingsToExtensionObject = function(extensionObject, nativeEventsConfiguration)
	// {
	// 	if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
	// 	if (typeof nativeEventsConfiguration === 'undefined' || nativeEventsConfiguration === null) throw("The passed native events configuration array must be a valid object.");

	// 	for (var i = 0; i < nativeEventsConfiguration.length; i++)
	// 	{
	// 		if (typeof nativeEventsConfiguration[i].nativeEventName === 'undefined') throw("The 'nativeEventName' attribute in the native event configuration object at index '" + i + "' in the native event configuration array cannot be undefined.");
	// 		var nativeEventName = nativeEventsConfiguration[i].nativeEventName;
	// 		var eventObjectName = typeof nativeEventsConfiguration[i].eventObjectName !== 'undefined' ? nativeEventsConfiguration[i].eventObjectName : nativeEventName;
	// 		// Anonymous function call so each variable in the loop is used in the event listener handling function bindings.
	// 		(function(nativeEventName, eventObjectName)
	// 		{
	//     		extensionObject[eventObjectName] =
	//     		{
	//     			// Store the native event name
	//     			nativeEventName : nativeEventName,
	//     			// Create the event listener management functions bound to the native counterparts
	//     			addEventListener : function(callback)
	// 	    		{
	// 	    			extensionObject.nativeExtensionObject.addEventListener(nativeEventName, callback);
	//     			},
	//     			removeEventListener : function(callback)
	//     			{
	// 	    			extensionObject.nativeExtensionObject.removeEventListener(nativeEventName, callback);
	//     			}
	//     			// ,
	//     			// removeAllEventListeners : function()
	//     			// {

	//     			// }
	//     		};
	// 		})(nativeEventName, eventObjectName);
	// 	}
	// 	return extensionObject;
	// };

	/**
	The function object constructor function all the CocoonJS extensions can use to instantiate the CocoonJS extension object and add all the functionality needed bound to the native ext object.

	@param nativeExtensionObject The reference to the ext object extension object.

	@param nativeFunctionsConfiguration See CocoonJS.AddNativeFunctionBindingsToExtensionObject function's documentation for more details.

	@param nativeEventsConfiguration See CocoonJS.AddNativeEventBindingsToExtensionObject function's documentation for more details.

	@returns The new CocoonJS extension object.
	*/
	// CocoonJS.Extension = function(nativeExtensionObjectName, nativeFunctionsConfiguration, nativeEventsConfiguration)
	// {
	// 	if (typeof nativeExtensionObjectName === 'undefined' || nativeExtensionObjectName === null) throw("The native extension object name cannot be null");

	// 	if (window.ext[nativeExtensionObjectName] === 'undefined') throw("The given native extension object name '" + nativeExtensionObjectName + "' is incorrect or the native extension object is undefined.");

	// 	var nativeExtensionObject = window.ext[nativeExtensionObjectName];

	// 	// Store a reference to the native extension object and to it's name
	// 	this.nativeExtensionObject = nativeExtensionObject;
	// 	this.nativeExtensionObjectName = nativeExtensionObjectName;

	// 	// If native function configuration is passed, use it to add some functions to the new extension object.
	// 	if (typeof nativeFunctionsConfiguration !== 'undefined')
	// 	{
	// 		CocoonJS.AddNativeFunctionBindingsToExtensionObject(this, nativeFunctionsConfiguration);
	// 	}

	// 	// If native event configuration is passed, use it to add some event objects to the new extension object.
	// 	if (typeof nativeEventsConfiguration !== 'undefined')
	// 	{
	// 		CocoonJS.AddNativeEventBindingsToExtensionObject(this, nativeEventsConfiguration);
	// 	}

	// 	return this;
	// };   

})();

//////////////////////////////////////
// COCOONJS_APP.JS                  //
//////////////////////////////////////

(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents all the basic functionalities available in the CocoonJS extension API.
     * @namespace
     */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    CocoonJS.App.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_APP !== 'undefined';

    /**
     * The predefined possible layouts for the FPS overlay.
     * @namespace
     */
    CocoonJS.App.FPSLayout = {
        TOP_LEFT:'top-left',
        TOP_RIGHT:'top-right',
        BOTTOM_LEFT:'bottom-left',
        BOTTOM_RIGHT:'bottom-right'
    };

    /**
     * Contains all the possible values to specify the input keyboard type to be used when introducing text.
     * @namespace
     */
    CocoonJS.App.KeyboardType = {
        /**
         * Represents a generic text input keyboard.
         */
        TEXT:"text",

        /**
         * Represents a number like input keyboard.
         */
        NUMBER:"num",

        /**
         * Represents a phone like input keyboard.
         */
        PHONE:"phone",

        /**
         * Represents an email like input keyboard.
         */
        EMAIL:"email",

        /**
         * Represents an URL like input keyboard.
         */
        URL:"url"
    };

    /**
     * The storage types to be used with file system related operations.
     * @namespace
     */
    CocoonJS.App.StorageType = {
        /**
         * Represents the application storage. The application storage is the place where all the resources that come with the application are stored.
         */
        APP_STORAGE:"APP_STORAGE",

        /**
         * Represents the internal storage. The internal storage is a different storage space that the application storage and only the data that the application has stored
         * in it will be in this storage. It is internal to the platform/device.
         */
        INTERNAL_STORAGE:"INTERNAL_STORAGE",

        /**
         * Represents an external storage. The external storage is similar to the internal storage in the sense that it only contains information that the application has written
         * in it but it represents an external storage device like a SD-CARD. If there is no exrernal storage, it will represent the same as the internal storage.
         */
        EXTERNAL_STORAGE:"EXTERNAL_STORAGE",

        /**
         * Represents the temporal storage. Same as the internal and external storage spaces in the sense that it only contains information that the application has written
         * in it but the main difference is that the information in this storage may dissapear without notice.
         */
        TEMPORARY_STORAGE:"TEMPORARY_STORAGE"
    };

    /**
     * The capture types to capture screenshots using CocoonJS native capabilities.
     * @namespace
     */
    CocoonJS.App.CaptureType = {
        /**
         Captures everything, both the CocoonJS GL hardware accelerated surface and the system views (like the WebView).
         */
        EVERYTHING:0,

        /**
         * Captures just the CocoonJS GL hardware accelerated surface.
         */
        JUST_COCOONJS_GL_SURFACE:1,

        /**
         * Captures just the sustem views (like the webview)
         */
        JUST_SYSTEM_VIEWS:2
    };

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It waits until the code is executed and the result of it is returned === synchronous.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @return {string} The result of the execution of the passed JavaScript code in the different JavaScript environment.
     */
    CocoonJS.App.forward = function (javaScriptCode) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forward", arguments);
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.eval(javaScriptCode);
            }
            else {
                //return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
                return window.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
            }
        }
    };

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It is asyncrhonous so it does not wait until the code is executed and the result of it is returned. Instead, it calls a callback function when the execution has finished to pass the result.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @param {function} [returnCallback] A function callback that will be called when the passed JavaScript code is executed in a different thread to pass the result of the execution in the different JavaScript environment.
     */
    CocoonJS.App.forwardAsync = function (javaScriptCode, returnCallback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            if (typeof returnCallback !== 'undefined') {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode, returnCallback);
            }
            else {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode);
            }
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.eval(javaScriptCode);
            }
            else {
                return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
                // window.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
            }
        }
    };

    /**
     * Pops up a text dialog so the user can introduce some text and the application can get it back. It is the first approach CocoonJS has taken to be able to introduce
     * text input in a easy way. The dialog execution events are passed to the application through the {@link CocoonJS.App.onTextDialogFinished} and the {@link CocoonJS.App.onTextDialogCancelled} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [text] Default value is "". The initial text to be introduced in the text input field.
     * @param {CocoonJS.App.KeyboardType} [keyboardType] Default value is {@link CocoonJS.App.KeyboardType.TEXT}. The keyboard type to be used when the text has to be introduced.
     * @param {string} [cancelButtonText] Default value is "". The text to be displayed in the cancel button of the dialog.
     * @param {string} [okButtonText] Default value is "". The text to be displayed in the ok button of the dialog.
     * @see CocoonJS.App.onTextDialogFinished
     * @see CocoonJS.App.onTextDialogCancelled
     */
    CocoonJS.App.showTextDialog = function (title, message, text, keyboardType, cancelButtonText, okButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showTextDialog", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            if (!text) {
                text = "";
            }
            var result = prompt(message, text);
            var eventObject = result ? CocoonJS.App.onTextDialogFinished : CocoonJS.App.onTextDialogCancelled;
            eventObject.notifyEventListeners(result);
        }
    };

    /**
     * Pops up a message dialog so the user can decide between a yes or no like confirmation. The message box execution events are passed to the application through the {@link CocoonJS.App.onMessageBoxConfirmed} and the {@link CocoonJS.App.onMessageBoxDenied} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [confirmButtonText] Default value is "Yes". The text to be displayed for the confirm button.
     * @param {string} [denyButtonText] Default value is "No". The text to be displayed for the deny button.
     * @see CocoonJS.App.onMessageBoxConfirmed
     * @see CocoonJS.App.onMessageBoxDenied
     */
    CocoonJS.App.showMessageBox = function (title, message, confirmButtonText, denyButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showMessageBox", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            var result = confirm(message);
            var eventObject = result ? CocoonJS.App.onMessageBoxConfirmed : CocoonJS.App.onMessageBoxDenied;
            eventObject.notifyEventListeners();
        }
    };

    /**
     * It allows to load a new JavaScript/HTML5 resource that can be loaded either locally (inside the platform/device storage) or using a remote URL.
     * @function
     * @param {string} path A path to a resource stored in the platform or in a URL to a remote resource.
     * @param {CocoonJS.App.StorageType} [storageType] If the path argument represents a locally stored resource, the developer can specify the storage where it is stored. If no value is passes, the {@link CocoonJS.App.StorageType.APP_STORAGE} value is used by default.
     */
    CocoonJS.App.load = function (path, storageType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "loadPath", arguments);
        }
        else if (!navigator.isCocoonJS) {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function (event) {
                if (xhr.readyState === 4) {
                    if (xhr.status === 200) {
                        // TODO: As window load event is not being called (WHY???), I have decided to call the listeners directly
                        // var callback= function(event){
                        //     window.removeEventListener("load", callback);
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInCocoonJSSucceed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                        // };
                        // window.addEventListener("load", callback);
                        window.location.href = path;
                    }
                    else if (xhr.status === 404) {
                        this.onreadystatechange = null;
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInCocoonJSFailed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the current context.
     * @function
     */
    CocoonJS.App.reload = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "reload", arguments);
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.location.reload();
            }
            else {
                return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.location.reload();
            }
        }
    };

    /**
     * Opens a given URL using a system service that is able to open it. For example, open a HTTP URL using the system WebBrowser.+
     * @function
     * @param {string} url The URL to be opened by a system service.
     */
    CocoonJS.App.openURL = function (url) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "openURL", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            window.open(url, '_blank');
        }
    }

    /**
     * Forces the app to be finished.
     * @function
     */
    CocoonJS.App.forceToFinish = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forceToFinish", arguments);
        }
        else if (!navigator.isCocoonJS) {
            window.close();
        }
    }

    /**
     * Enables or disables the auto lock to control if the screen keeps on after an inactivity period.
     * When the auto lock is enabled and the application has no user input for a short period, the system puts the device into a "sleepâ€ state where the screen dims or turns off.
     * When the auto lock is disabled the screen keeps on even when there is no user input for long times.
     * @param enabled A boolean value that controls whether to enable or disable the auto lock.
     */
    CocoonJS.App.setAutoLockEnabled = function (enabled) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setAutoLockEnabled", arguments);
        }
    }

    /**
     * Creates a canvas element that is automatically resized to the screen size. When the app is being executed
     * inside CocoonJS. This canvas is optimized for rendering so it is higly recommended to use it if it fits
     * your app needs. If your app uses one canvas as the main canvas where all other canvases and images are displayed, Ludei recommends to
     * call this function in order to create this main canvas. A usual 2x performance gain is achieved by doing so
     * depending on the device and the graphics card driver.
     * @function
     * @return {object} The canvas object that should be used as the main canvas and that is resized to the screen resolution.
     */
    CocoonJS.App.createScreenCanvas = function () {
        var screenCanvas;
        if (navigator.isCocoonJS) {
            screenCanvas = document.createElement("screencanvas");
        }
        else if (!navigator.isCocoonJS) {
            screenCanvas = document.createElement("canvas");
            screenCanvas.width = window.innerWidth;
            screenCanvas.height = window.innerHeight;
        }
        return screenCanvas;
    };

    /**
     * Disables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.disableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "CocoonJSView");
        }
    };

    /**
     * Enables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.enableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "CocoonJSView");
        }
    };

    /**
     * Disables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.disableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "WebView");
        }
    };

    /**
     * Enables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.enableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "WebView");
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the accelerometer updates.
     * It defines the rate at which the devicemotion events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setAccelerometerUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setAccelerometerUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for accelerometer related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for accelerometer related events.
     */
    CocoonJS.App.getAccelerometerUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getAccelerometerUpdateIntervalInSeconds");
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the gyroscope updates.
     * It defines the rate at which the devicemotion and deviceorientation events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setGyroscopeUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setGyroscopeUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for gyroscope related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for gyroscope related events.
     */
    CocoonJS.App.getGyroscopeUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("getGyroscopeUpdateIntervalInSeconds");
        }
    };


    /**
     * Setups a origin proxy for a given typeName. What this means is that after calling this function the environment that makes this call will suddenly
     * have a way of creating instances of the given typeName and those instances will act as a transparent proxy to counterpart instances in the destination environment.
     * Manipulating attributes, calling funcitions or handling events will all be performed in the destination environment but the developer will think they will be
     * happening in the origin environment.
     * IMPORTANT NOTE: These proxies only work with types that use attributes and function parameters and return types that are primitive like numbers, strings or arrays.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} [attributeNames] A list of the names of the attributes to be proxified.
     * @param {array} [functionNames] A list of the names of the functions to be proxified.
     * @param {array} [eventHandlerNames] A list of the names of the event handlers to be proxified (onXXXX like attributes that represent callbacks).
     * A valid typeName and at least one valid array for attribute, function or event handler names is mandatory.
     */
    CocoonJS.App.setupOriginProxyType = function (typeName, attributeNames, functionNames, eventHandlerNames) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            // Control the parameters.
            if (!typeName) throw "The given typeName must be valid.";
            if (!attributeNames && !functionNames && !eventHandlerNames) throw "There is no point on setting up a proxy for no attributes, functions nor eventHandlers.";
            attributeNames = attributeNames ? attributeNames : [];
            functionNames = functionNames ? functionNames : [];
            eventHandlerNames = eventHandlerNames ? eventHandlerNames : [];

            // The parent object will be the window. It could be another object but careful, the destination side should know about this.
            // TODO: Specify the parentObject as a parameter, obtain it's path from the window object and pass it to the destination environment so it knows about it.
            var parentObject = window;

            // Setup the destination side too.
            var jsCode = "CocoonJS.App.setupDestinationProxyType(" + JSON.stringify(typeName) + ", " + JSON.stringify(eventHandlerNames) + ");";
            CocoonJS.App.forward(jsCode);

            var originalType = parentObject[typeName];

            // Constructor. This will be the new proxified type in the origin environment. Instances of this type will be created by the developer without knowing that they are
            // internally calling to their counterparts in the destination environment.
            parentObject[typeName] = function () {
                var _this = this;

                // Each proxy object will have a origin object inside with all the necessary information to be a proxy to the destination.
                this._cocoonjs_proxy_object_data = {};
                // The id is obtained calling to the destination side to create an instance of the type.
                var jsCode = "CocoonJS.App.newDestinationProxyObject(" + JSON.stringify(typeName) + ");";
                this._cocoonjs_proxy_object_data.id = CocoonJS.App.forward(jsCode);
                // The eventHandlers dictionary contains objects of the type { eventHandlerName : string, eventHandler : function } to be able to make the callbacks when the 
                // webview makes the corresponding calls.
                this._cocoonjs_proxy_object_data.eventHandlers = {};
                // Also store the typename inside each instance.
                this._cocoonjs_proxy_object_data.typeName = typeName;
                // A dictionary to store the event handlers
                this._cocoonjs_proxy_object_data.eventListeners = {};

                // TODO: eventHandlers and eventListeners should be in the same list ;)

                // Store all the proxy instances in a list that belongs to the type itself.
                parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[this._cocoonjs_proxy_object_data.id] = this;

                // Create a setter and a getter for all the attribute names that have been specified. When the attributes are accessed (set or get) a call to the destination counterpart will be performed.
                for (var i = 0; i < attributeNames.length; i++) {
                    (function (attributeName) {
                        _this.__defineSetter__(attributeName, function (value) {
                            var jsCode = "CocoonJS.App.setDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ", " + JSON.stringify(value) + ");";
                            return CocoonJS.App.forwardAsync(jsCode);
                        });
                        _this.__defineGetter__(attributeName, function () {
                            var jsCode = "CocoonJS.App.getDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ");";
                            return CocoonJS.App.forwardAsync(jsCode);
                        });
                    })(attributeNames[i]);
                }

                // Create a function that performs a call to the destination environment counterpart for all the function names that have been specified.
                for (var i = 0; i < functionNames.length; i++) {
                    (function (functionName) {
                        _this[functionName] = function () {
                            // Get the arguments as an array and add the typeName, the proxy id and the functionName before all the other arguments before making the call to the destination counterpart.
                            var argumentsArray = Array.prototype.slice.call(arguments);
                            argumentsArray.unshift(functionName);
                            argumentsArray.unshift(this._cocoonjs_proxy_object_data.id);
                            argumentsArray.unshift(typeName);
                            // Use the array to create the correct function call.
                            var jsCode = "CocoonJS.App.callDestinationProxyObjectFunction(";
                            for (var i = 0; i < argumentsArray.length; i++) {
                                // The second argument (the id) should not be stringified
                                jsCode += (i !== 1 ? JSON.stringify(argumentsArray[i]) : argumentsArray[i]) + (i < argumentsArray.length - 1 ? ", " : "");
                            }
                            jsCode += ");";
                            // TODO: This next call should be synchronous but it seems that some customers are experiencing some crash issues. Making it async solves these crashes.
                            // Another possible solution could be to be able to specify which calls could be async and which sync in the proxification array.
                            var ret = CocoonJS.App.forwardAsync(jsCode);
                            return ret;
                        };
                    })(functionNames[i]);
                }

                // Create a setter and getter for all the event handler names that have been specified. When the event handlers are accessed, store them inside the corresponding position on the eventHandlers
                // array so they can be called when the destination environment makes the corresponding callback call.
                for (var i = 0; i < eventHandlerNames.length; i++) {
                    (function (eventHandlerName) {
                        _this.__defineSetter__(eventHandlerName, function (value) {
                            _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName] = value;
                        });
                        _this.__defineGetter__(eventHandlerName, function () {
                            return _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
                        });
                    })(eventHandlerNames[i]);
                }

                // Setup the add and remove event listeners in the proxy object
                _this.addEventListener = function (eventTypeName, eventCallback) {
                    var addEventCallback = true;
                    // Check for the eventListeners
                    var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                    if (eventListeners) {
                        // As the eventListeners were already added, check that the same callback has not been added.
                        addEventCallback = eventListeners.indexOf(eventCallback) < 0;
                    }
                    else {
                        // There are no event listeners, so add the one and add the listeners array for the specific event type name
                        eventListeners = [];
                        _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = eventListeners;

                        // Forward the call so the other end registers a event listener (only one is needed).
                        var jsCode = "CocoonJS.App.addDestinationProxyObjectEventListener(" + JSON.stringify(_this._cocoonjs_proxy_object_data.typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
                        CocoonJS.App.forwardAsync(jsCode);
                    }
                    // Only if the alforithm above specify so, add the eventcallback and notify the destination environment to do the same
                    if (addEventCallback) {
                        eventListeners.push(eventCallback);
                    }
                };

                _this.removeEventListener = function (eventTypeName, eventCallback) {
                    // Check for the eventListeners
                    var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                    if (eventListeners) {
                        var eventCallbackIndex = eventListeners.indexOf(eventCallback);
                        if (eventCallbackIndex >= 0) {
                            eventListeners.splice(eventCallbackIndex, 1);
                        }
                    }
                };

                // Return the proxy instance.
                return this;
            };

            // The type will contain a proxy data structure to store all the instances that are created so they are available when the destination environment calls back. 
            parentObject[typeName]._cocoonjs_proxy_type_data =
            {
                originalType:originalType,
                proxyObjects:[]
            };

            /**
             * Deletes a proxy instance from both the CocoonJS environment structures and also deleting it's webview environment counterpart.
             * This function should be manually called whenever a proxy instance won't be accessed anymore.
             * @param {object} object The proxy object to be deleted.
             */
            parentObject[typeName]._cocoonjs_proxy_type_data.deleteProxyObject = function (object) {
                var proxyObjectKey = CocoonJS.getKeyForValueInDictionary(this.proxyObjects, object);
                if (proxyObjectKey) {
                    var jsCode = "CocoonJS.App.deleteDestinationProxyObject(" + JSON.stringify(typeName) + ", " + object._cocoonjs_proxy_object_data.id + ");";
                    CocoonJS.App.forwardAsync(jsCode);
                    object._cocoonjs_proxy_object_data = null;
                    delete this.proxyObjects[proxyObjectKey];
                }
            };

            /**
             * Calls a event handler for the given proxy object id and eventHandlerName.
             * @param {number} id The id to be used to look for the proxy object for which to make the call to it's event handler.
             * @param {string} eventHandlerName The name of the handler to be called.
             * NOTE: Events are a complex thing in the HTML specification. This function just performs a call but at least provides a
             * structure to the event passing the target (the proxy object).
             * TODO: The destination should serialize the event object as far as it can so many parameters can be passed to the origin
             * side. Using JSON.stringify in the destination side and parse in origin side maybe? Still must add the target to the event structure though.
             */
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler = function (id, eventHandlerName) {
                var object = this.proxyObjects[id];
                var eventHandler = object._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
                if (eventHandler) {
                    eventHandler({ target:object });
                }
            };

            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners = function (id, eventTypeName) {
                var object = this.proxyObjects[id];
                var eventListeners = object._cocoonjs_proxy_object_data.eventListeners[eventTypeName].slice();
                for (var i = 0; i < eventListeners.length; i++) {
                    eventListeners[i]({ target:object });
                }
            };
        }
    };

    /**
     * Takes down the proxification of a type and restores it to it's original type. Do not worry if you pass a type name that is not proxified yet. The
     * function will handle it correctly for compativility reasons.
     * @param {string} typeName The name of the type to be deproxified (take down the proxification and restore the type to it's original state)
     */
    CocoonJS.App.takedownOriginProxyType = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (parentObject[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
                parentObject[typeName] = parentObject[typeName]._cocoonjs_proxy_type_data.originalType;
            }
        }
    };

    /**
     * Deletes everything related to a proxy object in both environments. Do not worry of you do not pass a proxified object to the
     * function. For compatibility reasons, you can still have calls to this function even when no poxification of a type has been done.
     * @param {object} object The proxified object to be deleted.
     */
    CocoonJS.App.deleteOriginProxyObject = function (object) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (object && object._cocoonjs_proxy_object_data) {
                parentObject[object._cocoonjs_proxy_object_data.typeName]._cocoonjs_proxy_type_data.deleteProxyObject(object);
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when an event handler need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventHandlerName The name of the event handler to be called.
     */
    CocoonJS.App.callOriginProxyObjectEventHandler = function (typeName, id, eventHandlerName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler(id, eventHandlerName);
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when all the event listeners related to a specific event need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventTypeName The name of the event type to call the listeners related to it.
     */
    CocoonJS.App.callOriginProxyObjectEventListeners = function (typeName, id, eventTypeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners(id, eventTypeName);
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Setups all the structures that are needed to proxify a destination type to an origin type.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} eventHandlerNames An array with al the event handlers to be proxified. Needed in order to be able to create callbacks for all the event handlers
     * and call to the CocoonJS counterparts accordingly.
     */
    CocoonJS.App.setupDestinationProxyType = function (typeName, eventHandlerNames) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;

            // Add a cocoonjs structure to the destination proxified type to store some useful information like all the proxy instances that are created, plus the id counter 
            // and the names of all the event handlers and some utility functions.
            parentObject[typeName]._cocoonjs_proxy_type_data =
            {
                nextId:0,
                proxyObjects:{},
                eventHandlerNames:eventHandlerNames
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Takes down the proxy type at the destination environment. Just removes the data structure related to proxies that was added to the type when proxification tool place.
     * @param {string} typeName The name of the type to take the proxification down.
     */
    CocoonJS.App.takedownDestinationProxyType = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (parent[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
                delete parentObject[typeName]._cocoonjs_proxy_type_data;
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Creates a new destination object instance and generates a id to reference it from the original environment.
     * @param {string} typeName The name of the type to be proxified and to generate an instance.
     * @return The id to be used from the original environment to identify the corresponding destination object instance.
     */
    CocoonJS.App.newDestinationProxyObject = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;

            var proxyObject = new parentObject[typeName]();
            // Also store some additional information in the proxy object
            proxyObject._cocoonjs_proxy_object_data = {};
            // Like the type name, that could be useful late ;)
            proxyObject._cocoonjs_proxy_object_data.typeName = typeName;
            // Caculate the id for the object. It will be returned to the origin environment so this object can be referenced later
            var proxyObjectId = parentObject[typeName]._cocoonjs_proxy_type_data.nextId;
            // Store the created object in the structure defined in the setup of proxification with an id associated to it
            parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[proxyObjectId] = proxyObject;
            // Also store the id inside the proxy object itself
            proxyObject._cocoonjs_proxy_object_data.id = proxyObjectId;
            // Calculate a new id for the next object.
            parentObject[typeName]._cocoonjs_proxy_type_data.nextId++;

            // Setup all the event handlers.
            for (var i = 0; i < parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames.length; i++) {
                (function (eventHandlerName) {
                    proxyObject[eventHandlerName] = function (event) {
                        var proxyObject = this; // event.target;
                        // var eventHandlerName = CocoonJS.getKeyForValueInDictionary(proxyObject, this); // Avoid closures ;)
                        var jsCode = "CocoonJS.App.callOriginProxyObjectEventHandler(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventHandlerName) + ");";
                        CocoonJS.App.forwardAsync(jsCode);
                    };
                })(parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames[i]);
            }

            // Add the dictionary where the event listeners (callbacks) will be added.
            proxyObject._cocoonjs_proxy_object_data.eventListeners = {};

            return proxyObjectId;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environement whenever it is needed to work with proxy objects.
     * Calls a function of a destination object idetified by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} functionName The name of the function to be called.
     * @return Whatever the function call returns.
     */
    CocoonJS.App.callDestinationProxyObjectFunction = function (typeName, id, functionName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var argumentsArray = Array.prototype.slice.call(arguments);
            argumentsArray.splice(0, 3);
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            var result = proxyObject[functionName].apply(proxyObject, argumentsArray);
            return result;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Sets a value to the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be set.
     * @param {unknown} attributeValue The value to be set to the attribute.
     */
    CocoonJS.App.setDestinationProxyObjectAttribute = function (typeName, id, attributeName, attributeValue) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            proxyObject[attributeName] = attributeValue;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Retrieves the value of the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be retrieved.
     */
    CocoonJS.App.getDestinationProxyObjectAttribute = function (typeName, id, attributeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            return proxyObject[attributeName];
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Deletes a proxy object identifying it using it's typeName and id. Deleting a proxy object mainly means to remove the instance from the global structure
     * that hold all the instances.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     */
    CocoonJS.App.deleteDestinationProxyObject = function (typeName, id) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            delete parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     */
    CocoonJS.App.addDestinationProxyObjectEventListener = function (typeName, id, eventTypeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            // Look for the proxy object
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];

            var callback = function (event) {
                var proxyObject = this; // event.target;
                // var eventTypeName = CocoonJS.getKeyForValueInDictionary(proxyObject._cocoonjs_proxy_object_data.eventListeners, this); // Avoid closures ;)
                // TODO: Is there a way to retrieve the callbackId without a closure?
                var jsCode = "CocoonJS.App.callOriginProxyObjectEventListeners(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
                CocoonJS.App.forwardAsync(jsCode);
            };

            proxyObject._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = callback;

            // Finally add the event listener callback to the proxy object
            proxyObject.addEventListener(eventTypeName, callback);
        }
    };

    // TODO: We could add a removeDestinationProxyObjectEventListener although it seems that is not completely necessary.

    /**
     * Proxifies the XMLHttpRequest type for the environment where this call is made. After calling this function, all the new objects
     * of XMLHttpRequest that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyXHR = function () {
        var ATTRIBUTE_NAMES =
            [
                "timeout",
                "withCredentials",
                "upload",
                "status",
                "statusText",
                "responseType",
                "response",
                "responseText",
                "responseXML",
                "readyState"
            ];
        var FUNCTION_NAMES =
            [
                "open",
                "setRequestHeader",
                "send",
                "abort",
                "getResponseHeader",
                "getAllResponseHeaders",
                "overrideMimeType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onloadstart",
                "onprogress",
                "onabort",
                "onerror",
                "onload",
                "ontimeout",
                "onloadend",
                "onreadystatechange"
            ];
        CocoonJS.App.setupOriginProxyType("XMLHttpRequest", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Proxifies the Audio type for the environment where this call is made. After calling this function, all the new objects
     * of Audio that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyAudio = function () {
        var ATTRIBUTE_NAMES =
            [
                "src",
                "loop",
                "volume",
                "preload"
            ];
        var FUNCTION_NAMES =
            [
                "play",
                "pause",
                "load",
                "canPlayType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onended",
                "oncanplay",
                "oncanplaythrough",
                "onerror"
            ];
        CocoonJS.App.setupOriginProxyType("Audio", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Captures a image of the screen synchronously and saves it to a file. Sync mode allows to capture the screen in the middle of a frame rendering.
     * @param {string} fileName Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} storageType The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @return The URL of the saved file.
     * @throws exception if the image fails to be stored or there is another error.
     * @see CocoonJS.App.onCaptureScreenSucceeded
     * @see CocoonJS.App.onCaptureScreenFailed
     */
    CocoonJS.App.captureScreen = function (fileName, storageType, captureType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("captureScreen", fileName, storageType, captureType);
        }
    };

    /**
     * Captures a image of the screen asynchronously and saves it to a file.
     * Async mode captures a final frame as soon as possible.
     * @param {string} Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} [storageType] The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface, 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @param {function} callback. Response callback, check the error property to monitor errors. Check the 'url' property to get the URL of the saved Image
     */
    CocoonJS.App.captureScreenAsync = function (fileName, storageType, captureType, callback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCallAsync("captureScreen", fileName, storageType, captureType, callback);
        }
    };

    /**
     * Returns the device UUID
     * @return {string} The device UUID
     */
    CocoonJS.App.getDeviceId = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceId");
        }
    };

    /**
     * Structure that defines the getDeviceInfo returned information
     */
    CocoonJS.App.DeviceInfo = {

        /**
        * The operating system name (ios, android,...)
        * @type string
        */
        os: null,

        /**
        * The operating system version (4.2.2, 5.0,...)
        * @type string
        */
        version: null,

        /**
        * The operating system screen density in dpi
        * @type string
        */
        dpi: null,

        /**
        * The device manufacturer (apple, samsung, lg,...)
        * @type string
        */
        brand: null,

        /**
        * The device model (iPhone 4S, SAMSUNG-SGH-I997, SAMSUNG-SGH-I997R, etc)
        * @type string
        */
        model: null,

        /**
        * The phone IMEI
        * Android: The phone IMEI is returned or null if the device has not telepohny
        * iOS: null is returned as we cannot get the IMEI in iOS, no public API available for that yet.
        * @type string
        */
        imei: null,

        /**
        * The platform Id
        * Android: The ANDROID_ID is used.
        * iOS: The OpenUDID is used as there is no Android ANDROID_ID equivalent in iOS
        * @type string
        */
        platformId: null,

        /**
        * The Odin generated id https://code.google.com/p/odinmobile/
        * @type string
        */
        odin: null,

        /**
        * The OpenUDID generated Id https://github.com/ylechelle/OpenUDID
        * @type string
        */
        openudid: null
    };

    /**
     * Returns the device Info
     * @return {CocoonJS.App.DeviceInfo} The device Info
     */
    CocoonJS.App.getDeviceInfo = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceInfo");
        }
    };    

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onTextDialogFinished} event calls.
     * @name OnTextDialogFinishedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} text The text that was introduced in the text dialog when it was finished.
     */
    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function's documentation is represented by {@link CocoonJS.App.OnTextDialogFinishedListener}
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogFinished = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogfinish");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogCancelled = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogcancel");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxConfirmed = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxconfirmed");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxDenied = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxdenied");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is suspended.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onSuspended = new CocoonJS.EventHandler("IDTK_APP", "App", "onsuspended");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is activated.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onActivated = new CocoonJS.EventHandler("IDTK_APP", "App", "onactivated");

})();

//////////////////////////////////////
// COCOONJS_APP_FORCOCOONJS.JS		//
//////////////////////////////////////

(function()
{
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before adding more functionalities to an extension.");
    if (typeof window.CocoonJS.App === 'undefined' || window.CocoonJS.App === null) throw("The CocoonJS.App object must exist and be valid before adding more functionalities to it.");

    /**
    * This namespace represents all the basic functionalities available in the CocoonJS extension API.
    * @namespace
    */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    if (!CocoonJS.App.nativeExtensionObjectAvailable)
    {
        (function createWebView() { 
            CocoonJS.App.EmulatedWebView = document.createElement('div'); 
            CocoonJS.App.EmulatedWebView.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewDiv'); 
            CocoonJS.App.EmulatedWebView.style.width = 0; 
            CocoonJS.App.EmulatedWebView.style.height = 0; 
            CocoonJS.App.EmulatedWebView.style.position = "absolute"; 
            CocoonJS.App.EmulatedWebView.style.left = 0; 
            CocoonJS.App.EmulatedWebView.style.top = 0;
            CocoonJS.App.EmulatedWebView.style.backgroundColor = 'transparent';
            CocoonJS.App.EmulatedWebView.style.border = "0px solid #000"; 
            CocoonJS.App.EmulatedWebViewIFrame = document.createElement("IFRAME"); 
            CocoonJS.App.EmulatedWebViewIFrame.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
            CocoonJS.App.EmulatedWebViewIFrame.setAttribute('name', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
            CocoonJS.App.EmulatedWebViewIFrame.style.width = 0; 
            CocoonJS.App.EmulatedWebViewIFrame.style.height = 0; 
            CocoonJS.App.EmulatedWebViewIFrame.frameBorder = 0;
            CocoonJS.App.EmulatedWebViewIFrame.allowtransparency = true;
            CocoonJS.App.EmulatedWebView.appendChild(CocoonJS.App.EmulatedWebViewIFrame);
            if(!document.body)
            document.body = document.createElement("body");
            document.body.appendChild(CocoonJS.App.EmulatedWebView);
        })(); 
    }

    /**
    * Pauses the CocoonJS JavaScript execution loop.
    * @function
    * @augments CocoonJS.App
    */
    CocoonJS.App.pause = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "pause", arguments);
        }
    };

    /**
    * Resumes the CocoonJS JavaScript execution loop.
    * @static
    * @function
    */
    CocoonJS.App.resume = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "resume", arguments);
        }
    };

    /**
    * Loads a resource in the WebView environment from the CocoonJS environment.
    * @function
    * @param {string} path The path to the resource. It can be a remote URL or a path to a local file.
    * @param {CocoonJS.App.StorageType} [storageType] An optional parameter to specify at which storage in the device the file path is stored. By default, APP_STORAGE is used.
    * @see CocoonJS.App.load
    * @see CocoonJS.App.onLoadInTheWebViewSucceed
    * @see CocoonJS.App.onLoadInTheWebViewFailed
    */
    CocoonJS.App.loadInTheWebView = function(path, storageType)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            // TODO: All this code should be changed to a simple call makeNativeExtensionObjectFunctionCall when the native argument control is improved.
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('loadPath'";
            if (typeof path !== 'undefined')
            {
                javaScriptCodeToForward += ", '" + path + "'";
                if (typeof storageType !== 'undefined')
                {
                    javaScriptCodeToForward += ", '" + storageType + "'";
                }
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function(event) {
                if (xhr.readyState === 4)
                {
                    if (xhr.status === 200)
                    {
                        var callback= function(event){
                            CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners(path);
                            CocoonJS.App.EmulatedWebViewIFrame.removeEventListener("load", callback);
                        };

                        CocoonJS.App.EmulatedWebViewIFrame.addEventListener(
                            "load", 
                            callback
                        );
                        CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.href= path;
                    }
                    else if (xhr.status === 404)
                    {
                        this.onreadystatechange = null;
                        CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners(path);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the WebView context.
     * @function
     */
    CocoonJS.App.reloadWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.App.forwardAsync("ext.IDTK_APP.makeCall('reload');");
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.reload();
        }
    };

    /**
    * Shows the webview.
    * @function
    * @param {int} x The top lef x coordinate of the rectangle where the webview will be shown.
    * @param {int} y The top lef y coordinate of the rectangle where the webview will be shown.
    * @param {width} y The width of the rectangle where the webview will be shown.
    * @param {height} y The height of the rectangle where the webview will be shown.
    */
    CocoonJS.App.showTheWebView = function(x, y, width, height)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('show'";
            if (typeof x !== 'undefined' && typeof y !== 'undefined' && typeof width !== 'undefined' && typeof height !== 'undefined')
            {
                javaScriptCodeToForward += ", " + x + ", " + y + ", " + width + ", " + height;
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebViewIFrame.style.width = (width ? width : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebViewIFrame.style.height = (height ? height : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.left = (x ? x : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.top = (y ? y : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.width = (width ? width : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebView.style.height = (height ? height : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.display = "block";
        }
    };

    /**
    * Hides the webview.
    * @function
    */
    CocoonJS.App.hideTheWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('hide');";
            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebView.style.display = "none";
        }
    };

    /**
    * Marks a audio file to be used as music by the system. CocoonJS, internally, differentiates among music files and sound files.
    * Music files are usually bigger in size and longer in duration that sound files. There can only be just one music file 
    * playing at a specific given time. The developer can mark as many files as he/she wants to be treated as music. When the corresponding
    * HTML5 audio object is used, the system will automatically know how to treat the audio resource as music or as sound.
    * Note that it is not mandatory to use this function. The system automatically tries to identify if a file is suitable to be treated as music
    * or as sound by checking file size and duration thresholds. It is recommended, though, that the developer specifies him/herself what he/she considers
    * to be music.
    * @function
    * @param {string} audioFilePath The same audio file path that will be used to create HTML5 audio objects.
    */
    CocoonJS.App.markAsMusic = function(audioFilePath)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "addForceMusic", arguments);
        }
    };

    /**
    * Activates or deactivates the antialas functionality from the CocoonJS rendering.
    * @function
    * @param {boolean} enable A flag that indicates if the antialas should be activated (true) or deactivated (false).
    */
    CocoonJS.App.setAntialias = function(enable)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultAntialias", arguments);
        }
    };

    /**
    * Sets a callback function that will be called whenever the system tries to finish the app.
    * The developer can specify how the system will react to the finish of the app by returning a
    * boolean value in the callback function: true means, close the app, false means that the developer
    * will handle the app close.
    * A common example of this is the back button in Android devices. When the back button is pressed, this
    * callback will be called and the system will react depending on the developers choice finishing, or not,
    * the application.
    * @function
    * @param {function} appShouldFinishCallback A function object that will be called when the system
    * determines that the app should be finished. This function must return a true or a false value
    * depending on what the developer wants: true === finish the app, false === do not close the app.
    */
    CocoonJS.App.setAppShouldFinishCallback = function(appShouldFinishCallback)
    {
        if (navigator.isCocoonJS)
        {
            window.onidtkappfinish = appShouldFinishCallback;
        }
    }

    /**
    * Sets the texture reduction options. The texture reduction is a process that allows big images to be reduced/scaled down when they are loaded.
    * Although the quality of the images may decrease, it can be very useful in low end devices or those with limited amount of memory.
    * The function sets the threshold on image size (width or height) that will be used in order to know if an image should be reduced or not.
    * It also allows to specify a list of strings to identify in which images file paths should be applied (when they meet the size threshold requirement) 
    * The developer will still think that the image is of the original size. CocoonJS handles all of the internals to be able to show the image correctly.
    * IMPORTANT NOTE: This function should be called when the application is initialized before any image is set to be loaded for obvious reasons ;).
    * and in which sould be forbid (even if they meet the threshold requirement).
    * @function
    * @param {number} sizeThreshold This parameter specifies the minimun size (either width or height) that an image should have in order to be reduced.
    * @param {string or array} [applyTo] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it will be reduced. This parameter can also be null.
    * @param {string or array} [forbidFor] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it won't be reduced. This parameter should be used in order to mantain the 
    * quality of some images even they meet the size threshold requirement.
    */
    CocoonJS.App.setTextureReduction = function(sizeThreshold, applyTo, forbidFor)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultTextureReducerThreshold", arguments);
        }
    };


    /**
    * Prints to the console the memory usage of the currently alive textures
    * @function
    */
    CocoonJS.App.logMemoryInfo = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "logMemoryInfo", arguments);
        }
    };

    /**
    * Enable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.enableFPSInTheWebView = function(fpsLayout, textColor)
    {
        if (!CocoonJS.App.fpsInTheWebViewEnabled)
        {
            fpsLayout = fpsLayout ? fpsLayout : CocoonJS.App.FPSLayout.TOP_RIGHT;
            textColor = textColor ? textColor : "white";
            var jsCode = "" +
                "(function()" +
                "{" +
                    "var COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES = ['js/CocoonJSExtensions/CocoonJS.js', 'js/CocoonJSExtensions/CocoonJS_App.js', 'js/CocoonJSExtensions/CocoonJS_App_ForWebView.js'];" +
                    "var loadedScriptCounter = 0;" + 
                    "var loadedScriptFunction = function() " +
                    "{ " +
                        "loadedScriptCounter++;"+
                        "if (loadedScriptCounter >= COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length)"+
                        "{"+
                            "CocoonJS.App.enableFPS(" + JSON.stringify(fpsLayout) + ", " + JSON.stringify(textColor) + ");"+
                        "}"+
                    "};"+
                    "for (var i = 0; i < COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length; i++)"+
                    "{"+
                        "var s = document.createElement('script');"+
                        "s.onload = loadedScriptFunction;"+
                        "s.src = COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES[i];"+
                        "document.body.appendChild(s);"+
                    "}" +
                "})();";
            setTimeout(function()
            {
                CocoonJS.App.forward(jsCode);
            }, 3000);
            CocoonJS.App.fpsInTheWebViewEnabled = true;
        }
    };

    /**
    * Disable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.disableFPSInTheWebView = function()
    {
        // TODO: Implement this function.
    };

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewSucceed} event calls.
     * @name OnLoadInTheWebViewSucceedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load has completed successfully.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewSucceedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    * @param {string} pageURL A string that represents the page URL loaded.
    */
    CocoonJS.App.onLoadInTheWebViewSucceed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpageload");

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewFailed} event calls.
     * @name OnLoadInTheWebViewFailedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load fails.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewFailedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    */
    CocoonJS.App.onLoadInTheWebViewFailed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpagefail");
    
})();

//////////////////////////////////////
// COCOONJS_AD.JS                   //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Advertisement extension API.
    * @namespace
    */
    CocoonJS.Ad = {};

    CocoonJS.Ad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_AD !== 'undefined';

    /**
    * The predefined possible layouts for a banner ad.
    * @namespace 
    */
	CocoonJS.Ad.BannerLayout = 
	{
		/**
		* Specifies that the banner must be shown in the top of the screen and vertically centered.
		*/
	    TOP_CENTER      : "TOP_CENTER",

		/**
		* Specifies that the banner must be shown in the bottom of the screen and vertically centered.
		*/
	    BOTTOM_CENTER   : "BOTTOM_CENTER"
	};

	/**
    * A rectangle object that contains the banner dimensions
    * @namespace 
    * @constructor
    * @param {int} x The top lef x coordinate of the rectangle.
    * @param {int} y The top lef y coordinate of the rectangle.
    * @param {width} y The rectangle width.
    * @param {height} y The rectangle height.
    */
	CocoonJS.Ad.Rectangle = function(x, y, width, height) 
	{
		/**
		* The top lef x coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.x = x;

		/**
		* The top lef y coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.y = y;

	    /**
		* The rectangle width
		* @field 
		* @type {int}
		*/
	    this.width = width;

	    /**
		* The rectangle height
		* @field 
		* @type {int}
		*/
	    this.height = height;
	};

	CocoonJS.Ad.Banner = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
    	* The callback function does not receive any parameter.
    	* @param {number} width The banner width
    	* @param {number} height The banner height
    	* @static
    	* @event
    	*/
		this.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener(args[1], args[2]);
    		}
    	});
	};

	CocoonJS.Ad.Banner.prototype = {

		/**
		* Shows a banner ad if available.
		* @function
		*/
		showBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", [this.id], true);
			}
		},

		/**
		* Hides the banner ad if it was being shown.
		* @function
		*/
		hideBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", [this.id], true);
			}
		},

		/**
		* Refreshes the banner.
		* @function
		*/
		refreshBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", [this.id], true);
			}
		},

		/**
		* Gets the rectangle representing the banner screen position.
		* @function
		* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
		*/
		getRectangle : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", [this.id]);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* @function
		* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
		*/
		setRectangle : function(rect)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", [this.id, rect],true);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* You can use this method if you want to have better control of the banner screen positioning.
		* @function
		* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
		*/
		setBannerLayout : function(bannerLayout)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", [this.id, bannerLayout],true);
			}
		}
	};

	CocoonJS.Ad.Fullscreen = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
		this.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

    	/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});
	};

	CocoonJS.Ad.Fullscreen.prototype = {

		/**
		* Shows a full screen ad if available.
		* @function
		* @see CocoonJS.Ad.onFullScreenShown
		* @see CocoonJS.Ad.onFullScreenHidden
		*/
		showFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", [this.id], true);
			}
		},

		/**
		* Refreshes the fullscreen.
		* @function
		*/
		refreshFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", [this.id], true);
			}
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Ad.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "requestInitialization", arguments, true);
		}
	};

	/**
	* Creates a new banner ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createBanner = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createBanner", [parameters]);
			var banner = new CocoonJS.Ad.Banner(adId);

			return banner;
		}
	};

	/**
	* Releases a banner.
	* @function
	* @param {object} The banner ad object to be released.
	*/
	CocoonJS.Ad.releaseBanner = function(banner)
	{
		if (typeof banner === "undefined") {
            throw "The banner ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseBanner", [banner.id]);
		}
	};

	/**
	* Creates a new fullscreen ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createFullscreen = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createFullscreen", [parameters]);
			var fullscreen = new CocoonJS.Ad.Fullscreen(adId);

			return fullscreen;
		}
	};

	/**
	* Releases a fullscreen ad.
	* @function
	* @param {object} The fullscreen ad object to be released.
	*/
	CocoonJS.Ad.releaseFullscreen = function(fullscreen)
	{
		if (typeof fullscreen === "undefined") {
            throw "The fullscreen ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseFullscreen", [fullscreen.id]);
		}
	};

	/**
	* Shows a banner ad if available.
	* @function
	* @see CocoonJS.Ad.setBannerLayout
	* @see CocoonJS.Ad.onBannerShown
	*/
	CocoonJS.Ad.showBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", arguments, true);
		}
	};

	/**
	* Hides the banner ad if it was being shown.
	* @function
	*/
	CocoonJS.Ad.hideBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", arguments, true);
		}
	};

	/**
	* Refreshes the banner.
	* @function
	*/
	CocoonJS.Ad.refreshBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", arguments, true);
		}
	};

	/**
	* Shows a full screen ad if available.
	* @function
	* @see CocoonJS.Ad.onFullScreenShown
	* @see CocoonJS.Ad.onFullScreenHidden
	*/
	CocoonJS.Ad.showFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", arguments, true);
		}
	};

	/**
	* Refreshes the fullscreen.
	* @function
	*/
	CocoonJS.Ad.refreshFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", arguments, true);
		}
	};

	/**
	* Makes a request to preload a banner ad.
	* @function
	*/
	CocoonJS.Ad.preloadBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadBanner", arguments, true);
		}
	};

	/**
	* Makes a request to preload a full screen ad.
	* @function
	*/
	CocoonJS.Ad.preloadFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadFullScreen", arguments, true);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* @function
	* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.setRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", arguments, true);
		}
	};

	/**
	* Gets the rectangle representing the banner screen position.
	* @function
	* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.getRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", arguments);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* You can use this method if you want to have better control of the banner screen positioning.
	* @function
	* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
	*/
	CocoonJS.Ad.setBannerLayout = function(bannerLayout)
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", arguments, true);
		}
	};

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide"); 

	/**
	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
	* The callback function does not receive any parameter.
	* @param {number} width The banner width
	* @param {number} height The banner height
	* @static
	* @event
	*/
	CocoonJS.Ad.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready"); 

})();

//////////////////////////////////////
// COCOONJS_STORE.JS                //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS In-App Purchase extension.
    * @namespace
    */
    CocoonJS.Store = {};

    CocoonJS.Store.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_STORE !== 'undefined';

	/**
	* The data structure that represents the information of a product in the store.
	* @namespace
	* @constructor
	* @param {string} The id of the product.
	* @param {string} The alias of the product.
	* @param {CocoonJS.Store.ProductType} The product type @see CocoonJS.Store.ProductType.
	* @param {string} The title of the product.
	* @param {string} The description of the product.
	* @param {string} The localized price of the product.
	* @param {string} The URL of the asset to be downloaded for this purchase.
	*/
	CocoonJS.Store.ProductInfo = function(productAlias, productId, productType, title, description, price, localizedPrice, downloadURL)
	{
		/**
		* The id of the product.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The alias of the product.
		* @field
		* @type string
		*/
		this.productAlias = productAlias;

		/**
		* The product type @see CocoonJS.Store.ProductType
		* @field
		* @type CocoonJS.Store.ProductType
		*/
		this.productType = productType;

		/**
		* The title of the product.
		* @field
		* @type string
		*/
		this.title = title;

		/**
		* The description of the product.
		* @field
		* @type string
		*/
		this.description = description;

		/**
		* The price of the product.
		* @field
		* @type string
		*/
		this.price = price;

		/**
		* The localized price of the product.
		* @field
		* @type string
		*/
		this.localizedPrice = localizedPrice;

		/**
		* The URL of the asset to be downloaded for this purchase.
		* @field
		* @type string
		*/
		this.downloadURL = downloadURL;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.ProductType = 
	{
		/**
		* A consumable product. See platform documentation for further information.
		*/
	    CONSUMABLE : 0,

		/**
		* A non-cunsumable product. . See platform documentation for further information.
		*/
	    NON_CONSUMABLE : 1,

	    /**
		* An auto-renewable subscription. See platform documentation for further information.
		*/
	    AUTO_RENEWABLE_SUBSCRIPTION : 2,

	    /**
		* A free subscription. See platform documentation for further information.
		*/
	    FREE_SUBSCRIPTION : 3,

	    /**
		* A non-renewable subscription. See platform documentation for further information.
		*/
	    NON_RENEWABLE_SUBSCRIPTION : 4
	};

	/**
    * The predefined possible store types.
    * @namespace 
    */
	CocoonJS.Store.StoreType = 
	{
		/**
		* Apple AppStore
		*/
	    APP_STORE : 0,

	    /**
	    * Android Play Store
	    */
	    PLAY_STORE : 1,

		/**
		* Mock Store
		*/
		MOCK_STORE : 2,

		/**
	    * Amazon AppStore
	    */
	    CHROME_STORE : 3,

	    /**
	    * Amazon AppStore
	    */
	    AMAZON_STORE : 4,

	    /**
	    * Nook Store
	    */
	    NOOK_STORE : 5
	};

	/**
	* The data structure that represents the information of a purchase.
	* @namespace
	* @constructor
	* @param {string} The transaction id of a purchase.
	* @param {string} The time when the purchase was done in seconds since 1970.
	* @param {CocoonJS.Store.PurchaseState} The state of the purchase. @see CocoonJS.Store.PurchaseState
	* @param {string} The product id related to this purchase.
	* @param {number} The number of products of the productId kind purchased in this transaction.
	*/
	CocoonJS.Store.PurchaseInfo = function(transactionId, purchaseTime, purchaseState, productId, quantity)
	{
		/**
		* The transaction id of a purchase.
		* @field
		* @type string
		*/
		this.transactionId = transactionId;

		/**
		* The time when the purchase was done in seconds since 1970.
		* @field
		* @type string
		*/
		this.purchaseTime = purchaseTime;

		/**
		* The state of the purchase. @see CocoonJS.Store.PurchaseState
		* @field
		* @type CocoonJS.Store.PurchaseState
		*/
		this.purchaseState = purchaseState;

		/**
		* The product id related to this purchase.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The number of products of the productId kind purchased in this transaction.
		* @field
		* @type number
		*/
		this.quantity = quantity;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.PurchaseState = 
	{
		/**
		* The product has been successfully purchased. The transaction has ended successfully.
		*/
	    PURCHASED : 0,

		/**
		* The purchase has been canceled.
		*/
	    CANCELED : 1,

	    /**
		* The purchase has been refunded.
		*/
	    REFUNDED : 2,

	    /**
		* The purchase (subscriptions only) has expired and is no longer valid.
		*/
	    EXPIRED : 3
	};

	/**
	* Gets the name of the native store implementation. 
	* @return {CocoonJS.Store.StoreType} The store type
	* @function
	*/ 
	CocoonJS.Store.getStoreType = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getStoreType", arguments);
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Store.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") 
        {
            parameters = {};
        }
        else
        {
        	if (parameters['managed'] !== undefined) parameters['remote'] = parameters['managed'];
        	if (parameters['sandbox'] !== undefined) parameters['debug'] = parameters['sandbox'];
        }

		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "requestInitialization", arguments, true);
		}
	};

	/**
	* Starts the Store Service. 
	* This will make the system to initialize the Store Service and probably Store callbacks will start to be received after calling this method so you should have set your event handler before calling this method so don't lose any callback.
	* @function
	*/ 
	CocoonJS.Store.start = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "start", arguments);
		}
	};

	/**
	* This method allows you to check is the  Store service is available in this platform. 
	* Not all iOS and Android devices will have the Store service available so you should check if it is before calling any other method.
	* @function
	* @return {boolean} True if the service is available and false otherwise.
	*/ 
	CocoonJS.Store.canPurchase = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "canPurchase", arguments);
		}
	};

	/**
	* Fetches the products from the CocoonJS Cloud Compiling service store configuration. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @deprecated You should now use fetchProductsFromStore. We don't support cloud products now.
	* @function
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromServer = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromServer", arguments, true);
		}
	};

	/**
	* Fetches the products information from the Store. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @function
	* @param {array} productIds An array with the ids of the products to retrieve information from.
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromStore = function(productIds)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromStore", arguments, true);
		}
	};

	/**
	* Finish a purchase transaction and removes the transaction from the transaction queue. 
	* This method must be called after a purchase finishes successfully and the  {@link CocoonJS.Store.onProductPurchaseCompleted} callback has been received. 
	* If the purchase includes some asset to download from an external server this method must be called after the asset has been successfully downloaded. 
	* If you do not finish the transaction because the asset has not been correctly downloaded the {@link CocoonJS.Store.onProductPurchaseStarted} method will be called again later on.
	* @function
	* @param {string} transactionId The transactionId of the purchase to finish.
	*/ 
	CocoonJS.Store.finishPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "finishPurchase", arguments, true);
		}
	};

	/**
	* Consumes a purchase. This makes that product to be purchasable again. 
	* @function
	* @param {string} transactionId The transaction Id of the purchase to consume.
	* @param {string} productId The product Id of the product to be consumed.
	*/ 
	CocoonJS.Store.consumePurchase = function(transactionId, productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "consumePurchase", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeature", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id showing a modal progress dialog. 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.puchaseProductModal = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModal", arguments, true);
		}
	};

	/**
	* Request the purchase of a product given it's product id showing a dialog with a preview of the product (title and description). 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProductModalWithPreview = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModalWithPreview", arguments, true);
		}
	};

	/**
	* Returns if a product has been already purchased or not. 
	* @function
	* @param {string} productId The product id or alias of the product to be checked.
	* @returns {boolean} A flag that indicates whether the product has been already purchased (true) or not (false).
	*/
	CocoonJS.Store.isProductPurchased = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "isFeaturePurchased", arguments);
		}
	};

	/**
	* Restores all the purchases from the platform's market. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchases", arguments, true);
		}
	};

	/**
	* Restores all the purchases from the platform's market showing a modal progress dialog. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchasesModal = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchasesModal", arguments, true);
		}
	};

	/**
	* Returns all the products available to be purchased.
	* @function
	* @returns {array} An array with  all the {@link CocoonJS.Store.ProductInfo} objects available for purchase.
	*/
	CocoonJS.Store.getProducts = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getProducts", arguments);
		}
	};

	/**
	* Adds a product to the products local DB. 
	* @function
	* @param {CocoonJS.Store.ProductInfo} product The product to be added to the local products DB.
	*/
	CocoonJS.Store.addProduct = function(product)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addProduct", arguments);
		}
	};

	/**
	* Removes a product from the products local DB given its productId. 
	* @function
	* @param {string} productId The product or alias of the product to be removed from the local products DB.
	*/
	CocoonJS.Store.removeProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removeProduct", arguments);
		}
	};

	/**
	* Returns all the locally stored purchases.
	* @function
	* @returns {array} An array with all the {@link CocoonJS.Store.PurchaseInfo} completed purchases.
	*/
	CocoonJS.Store.getPurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getPurchases", arguments);
		}
	};

	/**
	* Adds a purchase to the local purchases DB. 
	* @function
	* @param {CocoonJS.Store.StorePurchase} purchase The purchase to be added.
	*/ 
	CocoonJS.Store.addPurchase = function(purchase)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addPurchase", arguments);
		}
	};

	/**
	* Removes a purchase from the local purchases DB given it's transaction id. 
	* @function
	* @param {string} transactionId The id of the transaction to be removed.
	*/ 
	CocoonJS.Store.removePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removePurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase cancel. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be canceled.
	*/
	CocoonJS.Store.cancelPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "cancelPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase refundment. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be refunded.
	*/
	CocoonJS.Store.refundPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "refundPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase expiration. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be expired.
	*/
	CocoonJS.Store.expirePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "expirePurchase", arguments);
		}
	};

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onProductsFetchStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchStarted");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has completed.
    * The callback function receives a parameter with an the valid products array.
    * @static
    * @event
    * @param {array} validProducts An array of {@link CocoonJS.Store.ProductInfo} objects representing all the valid fetched products.
    */
	CocoonJS.Store.onProductsFetchCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onProductsFetchFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product starts.
    * The callback function receives a parameters with the information of the purchased product @see CocoonJS.Store.ProductInfo.
    * @static
	* @event
    * @param {string} productId The product id of the product being purchased.
    */
	CocoonJS.Store.onProductPurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseStarted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a request for purchase verification has been received from the Store.
    * The callback function receives two parameters, one with the productId of the purchased product and another one with a JSON object containing the data to be verified.
    * In Andorid this JSON object will containt two keys: signedData and signature. You will need that information to verify the purchase against the backend server.
    * @static
    * @event
    * @param {string} productId The product id of the product to be verified.
    * @param {string} data The string with the data to be verified.
    */
	CocoonJS.Store.onProductPurchaseVerificationRequestReceived = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseVerificationRequestReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product succeeds.
    * The callback function receives as parameter the information of the purchase {@see CocoonJS.Store.PurchaseInfo}.
    * @static
    * @event
    * @param {CocoonJS.Store.PurchaseInfo} purchaseInfo The purchase info.
    */
	CocoonJS.Store.onProductPurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product fails.
    * The callback function receives a parameters with the product id and an error message.
    * @static
    * @event
    * @param {string} productId The product id.
    * @param {string} msg The error message.
    */
	CocoonJS.Store.onProductPurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has completed.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onRestorePurchasesFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesFailed");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has started.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase being consumed.
    */
	CocoonJS.Store.onConsumePurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has completed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the consumed purchase.
    */
	CocoonJS.Store.onConsumePurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has failed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase that couldn't be consumed.
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onConsumePurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseFailed");

})();

//////////////////////////////////////
// COCOONJS_SOCIAL.JS               //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

	/**
	* This type represents the access to a native Social extension API. As there can be more than
	* one service of this type, more than one instance can be created.
	* @namespace
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	*/
	CocoonJS.Social = function(nativeExtensionName, extensionName)
	{
		if (typeof nativeExtensionName !== 'string') throw "The given native extension name '" + nativeExtensionName + "' is not a string.";
		if (typeof extensionName !== 'string') throw "The given extension name '" + extensionName + "' is not a string.";

		this.nativeExtensionName = nativeExtensionName;
		this.extensionName = extensionName;
	    this.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext[nativeExtensionName] !== 'undefined';

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestInitializationSucceed} event calls.
	     * @name OnRequestInitializationSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {object} initializationData The data structure passed when requestInitialization was called.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestInitializationSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
	    this.onRequestInitializationSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestInitializationSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestInitializationFailed} event calls.
	     * @name OnRequestInitializationFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {object} initializationData The data structure passed when the requestInitialization function was called.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestInitializationFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
	    this.onRequestInitializationFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestInitializationFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestLoginSucceed} event calls.
	     * @name OnRequestLoginSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.UserInfo} userInfo The structure that describes the information of the user that logged in.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user login request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestLoginSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestLoginSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestLoginSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestLoginFailed} event calls.
	     * @name OnRequestLoginFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user login request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestLoginFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestLoginFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestLoginFailed");

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user logs out.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onLogout = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLogout");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserInfoSucceed} event calls.
	     * @name OnRequestUserInfoSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.UserInfo} userInfo The structure that describes the information of the request user id.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnUserInfoRequestSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserInfoSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserInfoSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserInfoFailed} event calls.
	     * @name OnRequestUserInfoFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id used in the request.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnUserInfoRequestFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserInfoFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserInfoFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserImageURLSucceed} event calls.
	     * @name OnRequestUserImageURLSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id used in the request.
	     * @param {string} imageURL The URL of the image of the requested user. 
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user image URL request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserImageURLSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserImageURLSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserImageURLSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserImageURLFailed} event calls.
	     * @name OnRequestUserImageURLFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id of the user the request was placed for.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user image URL request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserImageURLFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserImageURLFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserImageURLFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserFriendsUserInfosSucceed} event calls.
	     * @name OnRequestUserFriendsUserInfosSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id of the user for whom the friend user infos where requested.
	     * @param {array} friendsInfo An array of {@link CocoonJS.Social.UserInfo} objects representing the information of the friends of the user.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's friends info is successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserFriendsUserInfosSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserFriendsUserInfosSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserFriendsUserInfosSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserFriendsUserInfosFailed} event calls.
	     * @name OnRequestUserFriendsUserInfosFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param 
	     * @param {string} userID The id of the user fro whom the friends infos were requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's friends info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserFriendsUserInfosFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserFriendsUserInfosFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserFriendsUserInfosFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestMessagePublicationSucceed} event calls.
	     * @name OnRequestMessagePublicationSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
 	     * @param {CocoonJS.Social.Message} message The message that has been published.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user message publication request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestMessagePublicationSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    * @param {CocoonJS.Social.Message} message The message that has been published.
	    */
		this.onRequestMessagePublicationSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestMessagePublicationSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestMessagePublicationFailed} event calls.
	     * @name OnRequestMessagePublicationFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.Message} message The message that was supposed to be published.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user message publication request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestMessagePublicationFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestMessagePublicationFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestMessagePublicationFailed");

		/**
        * @ignore
        */
        this.on= function(event, callback) {
            event= "on"+event[0].toUpperCase()+event.substr(1);
            var signal= this[event];
            if (signal) {
                signal.addEventListener(callback);
            } else {
                console.error("SocialGaming service: '"+this.extensionName+"' does not understand '"+event+' signal.');
            }

            return this;
        };

	    return this;
	};

	CocoonJS.Social.prototype = {
        userInfo : null,
        userInfoCocoonJS : null,

        /**
        * @ignore
        */
        getUserInfo : function() {
            return this.userInfo;
        },

        /**
        * Returns the information of the currently logged in user.
        * @return {@link CocoonJS.Social.UserInfo}
        */
        getLoggedInUserInfo : function() {
            if (this.nativeExtensionObjectAvailable) {
                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getLoggedInUserInfo", arguments);
            }
            else {
                return this.userInfoCocoonJS;
            }
        },

        /**
        * @ignore
        */
        setUserInfo : function( userInfo) {
            this.userInfo= userInfo;
        },

        /**
        * @ignore
        */
        setUserInfoCocoonJS : function( userInfoCocoonJS ) {
            this.userInfoCocoonJS = userInfoCocoonJS;
        },

		/**
        * Request initialization of the underlying social service.
        * @param {object} paramsObject A data structure to initialize the service. It will be dependable of the underlying service.
        * @see CocoonJS.Social.onRequestInitializationSucceed
        * @see CocoonJS.Social.onRequestInitializationFailed
        */
		requestInitialization : function(paramsObject) 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestInitialization", arguments, true);
			}
		},

		/**
        * Returns a flag to indicate if the underlying service has been initialized or not.
        * @return {boolean} If the underlying service had been initialized using the requestInitialization function call.
        */
		isInitialized : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "isInitialized", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Request to log in the social gaming application.
		* @see CocoonJS.Social.onRequestLoginSucceed
		* @see CocoonJS.Socual.onRequestLoginFailed
		*/
		requestLogin : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestLogin", arguments, true);
			}
		},

		/**
		* Request to log out of the social gaming application.
		* @see CocoonJS.Social.onRequestLoginSucceed
		* @see CocoonJS.Social.onRequestLoginFailed
		* @see CocoonJS.Social.onLogout
		*/
		requestLogout : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestLogout", arguments, true);
			}
		},

		/**
		* Check if the user is logged in.
		* @return {boolean} true if the user is still logged in, false otherwise.
		*/
		isLoggedIn : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "isLoggedIn", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Returns all the granted permissions for the current session.
		* @return {Array} An array containin the user granted permissions.
		*/
		getPermissions : function() 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getPermissions", arguments);
			}
			else
			{
				return new Array();
			}
		},

		/**
		* Check if the user has granted the publish permission for the current session.
		* @return {boolean} true if the user has granted the publish permission for the current session, false otherwise.
		*/
		hasPublishPermission : function() 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "hasPublishPermission", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Request to retrieve the current or a specific user's id. The request can be monitored using the {@link CocoonJS.Social.onUserInfoRequestSucceed} and {@link CocoonJS.Social.onUserInfoRequestFailed} event handlers.
		* @param {string} [userId] The id of the user to retireve the information from. If no userID is specified, the currently logged in user is assumed.
		* @see CocoonJS.Social.onRequestUserInfoSucceed
		* @see CocoonJS.Social.onRequestUserInfoFailed
		*/
		requestUserInfo : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserInfo", arguments, true);
			}
		},

		/**
		* Request to retrieve the Image of a user
		* @param {string} [userID] The id of the user to get the image for. If no userID is specified, the currently logged user is used.
		* @param {CocoonJS.Social.ImageSizeType} [imageSizeType] The size of the image. One of the possible values among the ones in the {@link CocoonJS.Social.ImageSizeType}. If no value is specified, SMALL is used.
		* @see CocoonJS.Social.onRequestUserImageURLSucceed;
		* @see CocoonJS.Social.onRequestUserImageURLFailed;
		*/
		requestUserImageURL : function( imageSizeType, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserImageURL", arguments, true);
			}
		},

		/**
		* Request for the information of all the friends of the currently logged user.
		* @param {string} [userID] The id of the user to get the friends infos for. If no userID is specified, the currently logged user is used.
		* @see CocoonJS.Social.onRequestUserFriendsUserInfosSucceed;
		* @see CocoonJS.Social.onRequestUserFriendsUserInfosFailed;
		*/
		requestUserFriendsUserInfos : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserFriendsUserInfos", arguments, true);
			}
		},

		/**
		* Request the publication of a message using a dialog.
		* @param {CocoonJS.Social.Message} message A object representing the information to be published.
		* @see CocoonJS.Social.onRequestMessagePublicationSucceed
		* @see CocoonJS.Social.onRequestMessagePublicationFailed
		*/
		requestMessagePublicationWithDialog : function(message)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestMessagePublicationWithDialog", arguments, true);
			}
		}
	};

	/**
	* This structure represents the possible images to be obtained for a user in the social gaming extension.
	* @namespace
	*/
	CocoonJS.Social.ImageSizeType = 
	{
		/**
		* Represent a thumbnail like image size.
		*/
	    THUMB : "thumb",

		/**
		* Represents the small image size.
		*/
	    SMALL : "small",

		/**
		* Represents the medium image size.
		*/
	    MEDIUM : "medium",

		/**
		* Represents the large image size.
		*/
	    LARGE : "large"
	};

	/**
	* The data structure that represents the information of a user inside the social gaming extension.
	* @namespace
	* @constructor
	* @param {string} userID The id of the user.
	* @param {string} userName The user name of the user.
	*/
	CocoonJS.Social.UserInfo = function(userID, userName)
	{
		/**
		* The id of the user.
		* @field
		* @type string
		*/
		this.userID = userID;

		/**
		* The user name of the user.
		* @field
		* @type string
		*/
		this.userName = userName;
	};

	/**
	* This type represents a message to be published.
	* @namespace
	* @constructor
	* @param {string} message The message to be published.
	* @param {string} mediaURL An URL to a media (image, video, ...)
	* @param {string} linkURL An URL to add to the message so the user can click on that link to get more information.
	* @param {string} linkText The text that will appear in the message link.
	* @param {string} linkCaption The text caption that will appear in the message link.
	*/
	CocoonJS.Social.Message = function(message, mediaURL, linkURL, linkText, linkCaption)
	{
		/**
		* The message to be published.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* An URL to a media (image, video, ...)
		* @field
		* @type string
		*/
		this.mediaURL = mediaURL;

		/**
		* An URL to add to the message so the user can click on that link to get more information.
		* @field
		* @type string
		*/
		this.linkURL = linkURL;

		/**
		* The text that will appear in the message link.
		* @field
		* @type string
		*/
		this.linkText = linkText;

		/**
		* The text caption that will appear in the message link.
		* @field
		* @type string
		*/
		this.linkCaption = linkCaption;

		return this;
	};

})();

//////////////////////////////////////
// COCOONJS_SOCIALGAMING.JS         //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    if (!CocoonJS.Social)
		throw("The CocoonJS.Social object must exist and be valid before creating any extension object.");

	/**
	* This type represents the access to a native Social Gamming extension API. As there can be more than
	* one service of this type, more than one instance can be created.
	* @namespace
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	*/
	CocoonJS.SocialGaming = function(nativeExtensionName, extensionName)
	{
		CocoonJS.SocialGaming.superclass.constructor.call(this, nativeExtensionName, extensionName);

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAndFriendsScoresSucceed} event calls.
	     * @name OnRequestUserAndFriendsScoresSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {array} userAndFriendsScoreInfos An array of {@link CocoonJS.SocialGaming.UserScoreInfo} objects representing the information of the user's and friends' scores.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user and friends scores request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAndFriendsScoresSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAndFriendsScoresSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAndFriendsScoresSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAndFriendsScoresFailed} event calls.
	     * @name OnRequestUserAndFriendsScoresFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score and friends scores were requested.
	     * @param {string} leadeboardID The id of the leaderboard for whom the score and friends scores were requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user and his/her friends scores request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAndFriendsScoresFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAndFriendsScoresFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAndFriendsScoresFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserScoreSucceed} event calls.
	     * @name OnRequestUserScoreSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {CocoonJS.SocialGaming.UserScoreInfo} userScoreInfo The info of the user's score.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserScoreSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserScoreSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserScoreSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserScoreFailed} event calls.
	     * @name OnRequestUserScoreFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score was requested.
	     * @param {string} leaderboardID The id of the leaderboard for whom the score was requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserScoreFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserScoreFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserScoreFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserScoreSucceed} event calls.
	     * @name OnSubmitUserScoreSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score has been submitted.
	     * @param {string} leaderboardID The id of the leaderboard for which the score has been submitted.
	     * @param {number} score The score that has been submitted.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score submit suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserScoreSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserScoreSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserScoreSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserScoreFailed} event calls.
	     * @name OnSubmitUserScoreFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score submition was requested.
	     * @param {string} leaderboadID The id of the leaderboard for which the score submition was requested.
	     * @param {number} score The score that was submitted and failed.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score submit fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserScoreFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserScoreFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserScoreFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAchievementsSucceed} event calls.
	     * @name OnRequestUserAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements where requested.
	     * @param {array} achievementsInfos An array of {@link CocoonJS.SocialGaming.AchievementInfo} objects representing the information of the user's achievements.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievements info are successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAchievementsFailed} event calls.
	     * @name OnRequestUserAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements were requested.
	   	 * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievmeents info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAchievementsFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAllAchievementsSucceed} event calls.
	     * @name OnRequestAllAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {array} achievementsInfos An array of {@link CocoonJS.SocialGaming.AchievementInfo} objects representing the information of all the achievements.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievements info are successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAllAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAllAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAllAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAllAchievementsFailed} event calls.
	     * @name OnRequestAllAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	   	 * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievmeents info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAllAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAllAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAllAchievementsFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAchievementInfoSucceed} event calls.
	     * @name OnRequestAchievementInfoSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {CocoonJS.SocialGaming.AchievementInfo} achievementInfo A {@link CocoonJS.SocialGaming.AchievementInfo} object representing the information of the achievement.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the request to retrieve the information of an achievement succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAchievementInfoSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAchievementInfoSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAchievementInfoSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAchievementInfoFailed} event calls.
	     * @name OnRequestAchievementInfoFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} achievementID The id of the achievement for which the information retrieval was requested.
	     * @param {string} errorMessage The error message.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the request to retrieve the information of an achievement fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAchievementInfoFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAchievementInfoFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAchievementInfoFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserAchievementSucceed} event calls.
	     * @name OnSubmitUserAchievementSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievement has been submitted.
	     * @param {string} achievementID The id of the achievement that has been submitted.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement submition succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserAchievementSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserAchievementSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserAchievementSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserAchievementFailed} event calls.
	     * @name OnSubmitUserAchievementFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievment was submitted.
	     * @param {string} achievementID The id of the achievement that was submitted.
	     * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement submition fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserAchievementFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserAchievementFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserAchievementFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onResetUserAchievementsSucceed} event calls.
	     * @name OnResetUserAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements were reset.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnResetUserAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onResetUserAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onResetUserAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onResetUserAchievementsFailed} event calls.
	     * @name OnResetUserAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements where tried to be reset.
	     * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnResetUserAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onResetUserAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onResetUserAchievementsFailed");

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the users closes the achievements view.
	    * The callback function does not receive any parameter.
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewClosed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewClosed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onAchievementsViewFailed} event calls.
	     * @name OnAchievementsViewFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} errorMessage The message that describes why the call failed.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the achievements view failed to show.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnAchievementsViewFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewFailed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewFailed");

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when achievements view shows successfully.
	    * The callback function does not receive any parameter.
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewClosed} event calls.
	     * @name OnLeaderboardViewClosedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewClosedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewClosed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewClosed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewFailed} event calls.
	     * @name OnLeaderboardViewFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewFailed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewSucceed} event calls.
	     * @name OnLeaderboardViewSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewSucceed");

		return this;
	};

	CocoonJS.SocialGaming.prototype = 
	{
        abstractToSocialGamingAchievementMap : null,
        abstractToSocialGamingAchievementMapInverse : null,

        /**
        * @ignore
        */
        setAbstractToSocialGamingAchievementMap : function( map ) {
            this.abstractToSocialGamingAchievementMap= map;

            // build a reciprocal map.
            this.abstractToSocialGamingAchievementMapInverse= {};
            for( var id in map ) {
                if ( map.hasOwnProperty(id) ) {
                    this.abstractToSocialGamingAchievementMapInverse[ map[id] ]= id;
                }
            }
            return this;
        },

        /**
        * @ignore
        */
        getAbstractToSocialGamingAchievementTranslation : function( achievementID ) {
            /**
             * If a translation map for abstract in-game achievements has been set, translate achievementID from
             * abstract to SocialGamingService.
             */
            if (this.abstractToSocialGamingAchievementMap) {
                var socialGamingAchievementID = this.abstractToSocialGamingAchievementMap[achievementID];
                if (socialGamingAchievementID) {
                    console.log("Abstract achieventID='" + achievementID + "' turned to '" + socialGamingAchievementID + "'");
                    achievementID = socialGamingAchievementID;
                } else {
                    console.log("Something may be wrong: abstract achievementID: '" + achievementID + "' w/o translation.")
                }
            }

            return achievementID;
        },

		/**
		* Request to retrieve the scores of all friends of a given user.
		* @param {string} [leaderboardID] The id of the leaderboard to request the scores for.
		* @param {string} [userID] The id of the user. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onRequestUserAndFriendsScoresSucceed
		* @see CocoonJS.SocialGaming.onRequestUserAndFriendsScoresFailed
		*/
		requestUserAndFriendsScores : function(leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserAndFriendsScores", arguments, true);
			}
		},

		/**
		* Request to retrieve the score of a user.
		* @param {string} [leaderboardID] The id of the scores leaderboard to retireve the score from. If null or underfined is passed, the "leadeboard" id will be used.
		* @param {string} [userID] The id of the user to retireve the score from. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onRequestUserScoreSucceed
		* @see CocoonJS.SocualGaming.onRequestUserScoreFailed
		*/
		requestUserScore : function(leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserScore", arguments, true);
			}
		},

		/**
		* Request to the server the score of a user.
		* @param {number} [score] the score to submit
		* @param {string} [leaderboardID] The id of the scores leaderboard to submit the score to. If null or underfined is passed, the "leadeboard" id will be used.
		* @param {string} [userID] The id of the user to submit the score for. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onSubmitUserScoreSucceed
		* @see CocoonJS.SocualGaming.onSubmitUserScoreFailed
		*/
		submitUserScore : function(score, leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitUserScore", arguments, true);
			}
		},
		/**
		* Shows the leaderboard using a platform dependant view.
		* @param {string} [leaderboardID] The id of the scores leaderboard to show the view for. If null or underfined is passed, the "leadeboard" id will be used.
		* @see CocoonJS.SocialGaming.onLeaderboardViewClosed
		*/
		showLeaderboardView : function(leaderboardID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showLeaderboardView", arguments, true);
			}
		},

		/**
		* Request to retrieve the user achievements. The request can be monitored using the {@link CocoonJS.SocialGaming.onRequestUserAchievementsSucceed} and {@link CocoonJS.Social.onRequestUserAchievementsFailed} event handlers.
		* @param {string} [userID] The id of the user to retireve the achievements from. if null/undefined/"" is specified, the currently logged in user is assumed.
		* @see CocoonJS.SocialGaming.onRequestUserAchievementsSucceed
		* @see CocoonJS.SocialGaming.onRequestUserAchievementsFailed
		*/
		requestUserAchievements : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserAchievements", arguments, true);
			}
		},

		/**
		* Request to retrieve all the achievements. The request can be monitored using the {@link CocoonJS.SocialGaming.onRequestAllAchievementsSucceed} and {@link CocoonJS.Social.onRequestAllAchievementsFailed} event handlers.
		* @see CocoonJS.SocialGaming.onRequestAllAchievementsSucceed
		* @see CocoonJS.SocialGaming.onRequestAllAchievementsFailed
		*/
		requestAllAchievements : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestAllAchievements", arguments, true);
			}
		},

		/**
		* Request to retrieve the information about an achievement. 
		* @param {string} achievementID The id of the achievement to get the information for.
		* @param {CocoonJS.Social.ImageSizeType} [imageSizeType] The size of the image. One of the possible values among the ones in the {@link CocoonJS.Social.ImageSizeType}
		*/
		requestAchievementInfo : function(achievementID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestAchievementInfo", arguments, true);
			}
		},

		/**
		* Submits an achievement to the server. If the process fails, the achievement is stored to submit it later.
		* @param {string} [achievementID] the achievement identifier
		* @param {number} [percentComplete] an optional number between 0 and 100 that indicates a completion percentage.
		* @see CocoonJS.SocialGaming.onSubmitAchievementSucceed
		* @see CocoonJS.SocualGaming.onSubmitAchievementFailed
		*/
        submitUserAchievement:function (achievementID, userID) {
            achievementID = this.getAbstractToSocialGamingAchievementTranslation(achievementID);

            if (this.nativeExtensionObjectAvailable) {
                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitUserAchievement", arguments, true);
            }
        },

		/**
		* Shows the achievements using a platform dependant view.
		* @see CocoonJS.SocialGaming.onAchievementsViewClosed
		*/
		showUserAchievementsView : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showUserAchievementsView", arguments, true);
			}
		},

		/**
		* Resets all the achievements of the current user
		* @param {string} [userID] The id of the user to reset the achievements for. If null/undefined/"", the logged in user is assumed.
		* @see CocoonJS.SocialGaming.onResetAchievementsSucceed
		* @see CocoonJS.SocualGaming.onResetAchievementsFailed
		*/
		resetUserAchievements : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "resetUserAchievements", arguments, true);
			}
		}
	};

	/**
    * @ignore
    */
	CocoonJS.extend(CocoonJS.SocialGaming, CocoonJS.Social);

	/**
	* The data structure that represents the information of the user score in the application.
	* @namespace
	* @constructor
	* @param {string} userID The user id.
	* @param {number} score The score of the user.
	* @param {string} userName The name of the user.
	* @param {string} imageURL The url of the user image.
	* @param {number} leaderboardID The id of the leaderboard the score belongs to.
	*/
	CocoonJS.SocialGaming.UserScoreInfo = function(userID, score, userName, imageURL, leaderboardID)
	{
		/**
		* The user id. 
		* @type string
		*/
		this.userID = userID;

		/**
		* The score of the user.
		* @type number
		*/
		this.score = score ? score : 0;

		/**
		* The name of the user.
		* @type string
		*/
        this.userName = userName;

		/**
		* The url of the user image.
		* @type string
		*/
        this.imageURL = imageURL;

        /**
		* The id of the leaderboard the score belongs to.
		* @type number
		*/
        this.leaderboardID = leaderboardID;
	};

	/**
	* The data structure that represents the information of an achievement in the application.
	* @namespace
	* @constructor
	* @param {string} achievementID The id of the achievement info.
	* @param {string} title The title of the achievement.
	* @param {string} description The description of the achievement.
	* @param {string} imageURL The url to the image representing the achievement.
	* @param {number} points The points value of the achievement
	*/
	CocoonJS.SocialGaming.AchievementInfo = function(achievementID, title, description, imageURL, points)
	{
		/**
		* The id of the achievement info.
		* @type string
		*/
		this.achievementID = achievementID;

		/**
		* The title of the achievement.
		* @type string
		*/
		this.title = title;

		/**
		* The description of the achievement.
		* @type string
		*/
		this.description = description;

		/**
		* The url to the image representing the achievement.
		* @type string
		*/
		this.imageURL = imageURL;

		/**
		* The points value of the achievement
		* @type number
		*/
		this.points = points ? points : 0;
	};

})();

/////////////////////////////////////////
// COCOONJS_SOCIALGAMING_GAMECENTER.JS //
/////////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");
    if (typeof window.CocoonJS.SocialGaming === 'undefined' || window.CocoonJS === null) throw("The CocoonJS.SocialGaming object must exist and be valid before creating a Game Center extension object.");

	/**
	* This instance represents the extension object to access GameCenter related native functionalities.
	* The data structure for initialization: None.
	* @see CocoonJS.Social
	*/
	CocoonJS.SocialGaming.GameCenter = new CocoonJS.SocialGaming("IDTK_SRV_SOCIAL_GAMECENTER", "SocialGaming.GameCenter");
})();

//////////////////////////////
// COCOONJS_GAMEPAD.JS 		//
//////////////////////////////

(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents the functionalities related to OUYA android gaming control.
     * @namespace
     */
    CocoonJS.Gamepad = {};

    CocoonJS.Gamepad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.Gamepad !== 'undefined';

    CocoonJS.Gamepad.Indices = {
        BUTTON_0                : 0, 
        BUTTON_1                : 1,
        BUTTON_2                : 2,
        BUTTON_3                : 3,
        BUTTON_LEFT_BUMPER      : 4,
        BUTTON_RIGHT_BUMPER     : 5,
        
        BUTTON_LEFT_TRIGGER     : 6,
        BUTTON_RIGHT_TRIGGER    : 7,
        
        BUTTON_LEFT_JOYSTICK    : 10,
        BUTTON_RIGHT_JOYSTICK   : 11,
        BUTTON_DPAD_UP          : 12,
        BUTTON_DPAD_DOWN        : 13,
        BUTTON_DPAD_LEFT        : 14,
        BUTTON_DPAD_RIGHT       : 15,
        BUTTON_MENU             : 16,
        
        AXE_LEFT_JOYSTICK_X     : 0,
        AXE_LEFT_JOYSTICK_Y     : 1,
        AXE_RIGHT_JOYSTICK_X    : 2,
        AXE_RIGHT_JOYSTICK_Y    : 3
    };

    // If the extension is present and the navigator does not provide the gamepad API:
    // 1.- Add the getGamepads function to the navigator object.
    // 2.- Replace the window add and remove event listener functions to call to the extension for the gamepad related events.
    var systemSupportsGamepads = navigator["getGamepads"] || navigator["webkitGetGamepads"];
    if (CocoonJS.Gamepad.nativeExtensionObjectAvailable && !systemSupportsGamepads)
    {
        navigator.getGamepads = function()
        {
            return window.ext.Gamepad.makeCall("getGamepads");
        };

        CocoonJS.Gamepad.originalWindowAddEventListener = window.addEventListener;
        CocoonJS.Gamepad.originalWindowRemoveEventListener = window.removeEventListener;

        window.addEventListener = function(eventName, callback)
        {
            console.log("The new window.addEventListener has been called.");
            if (eventName === "gamepadconnected" || eventName === "gamepaddisconnected")
            {
                window.ext.Gamepad.addEventListener(eventName, callback);
            }
            else
            {
                var argumentsArray = Array.prototype.slice.call(arguments);
                CocoonJS.Gamepad.originalWindowAddEventListener.apply(window, argumentsArray);
            }
        };
        window.removeEventListener = function(eventName, callback)
        {
            console.log("The new window.removeEventListener has been called.");
            if (eventName === "gamepadconnected" || eventName === "gamepaddisconnected")
            {
                window.ext.Gamepad.removeEventListener(eventName, callback);
            }
            else
            {
                var argumentsArray = Array.prototype.slice.call(arguments);
                CocoonJS.Gamepad.originalWindowRemoveEventListener.apply(window, argumentsArray);
            }
        };
    } 
    else if (systemSupportsGamepads) 
    {
        if (!navigator.getGamepads)
        {
            console.log("navigator.getGamepads does not exist.");
            if (navigator.webkitGetGamepads)
            {
                console.log("navigator.webkitGamepads exists, adding navigator.getGamepads to point to it.");
                navigator.getGamepads = navigator.webkitGetGamepads;
            }
            else
            {
                console.log("navigator.webkitGetGamepads does not exist either.");
            }
        }
    }
})();

//////////////////////////////
// COCOONJS_NOTIFICATION.JS //
//////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Notification extension.
    * @namespace
    */
    CocoonJS.Notification = {};

    CocoonJS.Notification.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_NOTIFICATION !== 'undefined';

	/**
	* The data structure that represents the information of a local notification.
	* @namespace
	* @constructor
	* @param {string} message The notification message.
	* @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
	* @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
	* @param {object} userData The JSON data to attached to the notification.
	* @param {string} contentBody The body content to be showed in the expanded notification information.
	* @param {string} contentTitle The title to be showed in the expanded notification information.
	* @param {number} date Time in millisecs from 1970 when the notification will be fired.
	*/
	CocoonJS.Notification.LocalNotification = function(message, soundEnabled, badgeNumber, userData, contentBody, contentTitle, scheduleTime)
	{
		/**
		* The notification message.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* A flag that indicates if the sound should be enabled for the notification.
		* @field
		* @type boolean
		*/
		this.soundEnabled = soundEnabled;

		/**
		* (iOS only) The number that will appear in the badge of the application icon in the home screen.
		* @field
		* @type number
		*/
		this.badgeNumber = badgeNumber;

		/**
		* The JSON data to attached to the notification.
		* @field
		* @type object
		*/
		this.userData = userData;

		/**
		* (Android only) The body content to be showed in the expanded notification information.
		* @field
		* @type string
		*/
		if (contentBody !== undefined)
			this.contentBody = contentBody;
		else
			this.contentBody = "";

		/**
		* (Android only) The title to be showed in the expanded notification information.
		* @field
		* @type string
		*/
		if (contentTitle !== undefined)
			this.contentTitle = contentTitle;
		else
			this.contentTitle = "";

		/**
		* Time in millisecs from 1970 when the local notification will be fired
		* @field
		* @type number
		*/
		var currentTime = new Date().getTime();
		if (scheduleTime !== undefined){
			this.scheduleTime = scheduleTime;
		}else{
			this.scheduleTime = currentTime;
		}
	};

	/**
	* The data structure that represents the information of a push notification.
	* @namespace
	* @constructor
	* @param {string} message The notification message.
	* @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
	* @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
	* @param {object} userData The JSON data to attached to the notification.
	* @param {array} channels An array containing the channels names this notification will be delivered to.
	* @param {number} expirationTime A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
	* @param {number} expirationTimeInterval An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
	*/
	CocoonJS.Notification.PushNotification = function(message, soundEnabled, badgeNumber, userData, channels, expirationTime, expirationTimeInterval)
	{
		/**
		* The notification message.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* A flag that indicates if the sound should be enabled for the notification.
		* @field
		* @type boolean
		*/
		this.soundEnabled = soundEnabled;

		/**
		* The number that will appear in the badge of the application icon in the home screen.
		* @field
		* @type number
		*/
		this.badgeNumber = badgeNumber;

		/**
		* The JSON data to attached to the notification.
		* @field
		* @type object
		*/
		this.userData = userData

		/**
		* An array containing the channels names this notification will be delivered to.
		* @field
		* @type array
		*/
		this.channels = channels;

		/**
		* A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
		* @field
		* @type number
		*/
		if (expirationTime !== undefined)
			this.expirationTime = expirationTime;
		else
			this.expirationTime = 0;

		/**
		* An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
		* @field
		* @type number
		*/
		if (expirationTimeInterval !== undefined)
			this.expirationTimeInterval = expirationTimeInterval;
		else
			this.expirationTimeInterval = 0;
	};

	/**
	* Start processing received notifications. The user must call this method when the game is ready to process notifications. Notifications received before being prepared are stored and processed later.
	*/
	CocoonJS.Notification.start = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "start", arguments, true);
		}
	};


	/**
	* Register to be able to receive push notifications.
	* The registration process is controlled using the {@link CocoonJS.Notification.onRegisterForPushNotificationsSucceed} and {@link CocoonJS.Notification.onRegisterForPushNotificationsFailed} event handlers.
	* @function
	* @see {CocoonJS.Notification.onRegisterForPushNotificationsSucceed}
	* @see {CocoonJS.Notification.onRegisterForPushNotificationsFailed}
	*/
	CocoonJS.Notification.registerForPushNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "registerForPushNotifications", arguments, true);
		}
	};

	/**
	* Unregister from receiving push notifications.
	* The unregistration process is controlled using the {@link CocoonJS.Notification.onUnregisterForPushNotificationsSucceed} event handler.
	* @function
	* @see CocoonJS.Notification.onUnregisterForPushNotificationsSucceed
	*/
	CocoonJS.Notification.unregisterForPushNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unregisterForPushNotifications", arguments, true);
		}
	};

	/**
	* Cancel the last sent local notification.
	* The last sent local notification will be remove from the notifications bar.
	* @function
	*/
	CocoonJS.Notification.cancelLastSentLocalNotificiation = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelLocalNotification", arguments, true);
		}
	};

	/**
	* Cancel all sent local notifications.
	* All the notifications will ve removed from the notifications bar.
	* @function
	*/
	CocoonJS.Notification.cancelAllLocalNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelAllLocalNotifications", arguments, true);
		}
	};

	/**
	* Send a local notification.
	* @function
	* @param {CocoonJS.Notification.LocalNotification} localNotification The local notification to be sent.
	*/
	CocoonJS.Notification.sendLocalNotification = function(localNotification)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendLocalNotification", arguments, true);
		}
	};

	/**
	* Subscribe to a channel in order to receive notifications targeted to that channel.
	* @function
	* @param {string} channel The channel id to subscribe to.
	*/
	CocoonJS.Notification.subscribeToChannel = function(channel)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "subscribe", arguments, true);
		}
	};

	/**
	* Unsubscribe from a channel in order to stop receiving notifications targeted to it.
	* @function
	* @param {string} channel The channel id to unsubscribe from.
	*/
	CocoonJS.Notification.unsubscribeFromChannel = function(channel)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unsubscribe", arguments, true);
		}
	};

	/**
	* Send a push notification.
	* @function
	* @param {CocoonJS.Notification.PushNotification} pushNotification The push notification object to be sent.
	* @see CocoonJS.Notification.onPushNotificationDeliverySucceed
	* @see CocoonJS.Notification.onPushNotificationDeliveryFailed
	*/
	CocoonJS.Notification.sendPushNotification = function(pushNotification)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendPushNotification", arguments, true);
		}
	};

	/**
	* (iOS only) Set the badge number for this application.
	* This is useful if you want to modify the badge number set by a notification.
	* @function
	* @param {number} badgeNumber The number of the badge.
	*/
	CocoonJS.Notification.setBadgeNumber = function(badgeNumber)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "setBadgeNumber", arguments);
		}
	};

	/**
	* (iOS only) Returns the current badge number.
	* @function
	* @returns {number} The badge number.
	*/
	CocoonJS.Notification.getBadgeNumber = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getBadgeNumber", arguments);
		}
	};

	/**
	* Returns the last received user data from a Local notification.
	* @function
	* @returns {object} The last received user data from a Local notification.
	*/
	CocoonJS.Notification.getLastReceivedLocalNotificationData = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedLocalNotificationData", arguments);
		}
	};

	/**
	* Returns the last received user data from a Push notification.
	* @function
	* @returns {object} The last received user data from a Push notification.
	*/
	CocoonJS.Notification.getLastReceivedPushNotificationData = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedPushNotificationData", arguments);
		}
	};

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notification succeeds.
    * The callback function does not receive any parameter.
    * @static
    * @event
    * @param {string} token The token (apid or device token) received at registration time.
    * @memberOf CocoonJS.Notification
    */
	CocoonJS.Notification.onRegisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceRegistered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the unregistration for push notifications succeeds.
    * The callback function does not receive any parameter.
    * @static
    * @event
    * @memberOf CocoonJS.Notification
    */
	CocoonJS.Notification.onUnregisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceUnregistered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notifications fails.
    * The callback function receives a parameter with error information.
    * @static
    * @event
    * @param {string} msg The error message.
    */
	CocoonJS.Notification.onRegisterForPushNotificationsFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceFailedToRegister");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a push notification is received.
    * The callback function receives a parameter with the userData of the received notification.
    * @static
    * @event
    * @param {object} userData An object with the notification userData information.
    */
	CocoonJS.Notification.onPushNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a local notification is received.
    * The callback function receives a parameter with the userData of the received notification.
    * @static
    * @event
    * @param {object} userData An object with the notification userData information.
    */
	CocoonJS.Notification.onLocalNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "localNotificationReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a notification is successfully delivered.
    * The callback function receives a parameter with the notificationId of the delivered notification.
    * @static
    * @event
    * @param {string} userData A string with the notification userData information.
    */
	CocoonJS.Notification.onPushNotificationDeliverySucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationSuccessfullyDelivered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the delivery of push a notification fails.
    * The callback function receives a parameter with error information.
    * @static
    * @event
    * @param {string} msg The error message.
    */
	CocoonJS.Notification.onPushNotificationDeliveryFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationDeliveryError");

})();

/////////////////
// PATHFIND.JS //
/////////////////

// Pathfind.js
// Written by Ashley Gullen
// Copyright (c) 2013 Scirra Ltd.

// A* pathfinding javascript implementation

(function() {
	
	var PF_CLEAR = 0;
	var PF_OBSTACLE = 32767;
	
	function node()
	{
		this.parent = null;
		
		this.x = 0;
		this.y = 0;

		this.f = 0;
		this.g = 0;
		this.h = 0;
	};
	
	var nodeCache = [];			// for recycling nodes
	
	function allocNode()
	{
		var ret;
		
		if (nodeCache.length)
			ret = nodeCache.pop();
		else
			ret = new node();
			
		ret.parent = null;
		ret.x = 0;
		ret.y = 0;
		ret.f = 0;
		ret.g = 0;
		ret.h = 0;
		return ret;
	};
	
	function freeNode(n)
	{
		if (nodeCache.length < 64000)
			nodeCache.push(n);
	};
	
	function resultNode(x_, y_)
	{
		this.x = x_ || 0;
		this.y = y_ || 0;
	};
	
	var resultNodeCache = [];			// for recycling resultNodes
	
	function allocResultNode()
	{
		if (resultNodeCache.length)
			return resultNodeCache.pop();
		else
			return new resultNode(0, 0);
	};
	
	function freeResultNode(n)
	{
		if (resultNodeCache.length < 10000)
			resultNodeCache.push(n);
	};
	
	var workersSupported = (typeof Worker !== "undefined");
	var isInWebWorker = (typeof document === "undefined");		// no DOM in a worker
	var myInstance = null;										// single pathfinder instance for worker
	
	if (isInWebWorker)
	{
		self.addEventListener("message", function (e)
		{
			var d = e.data;
			
			if (!d)
				return;		// could be empty postMessage() to start worker
			
			if (d.cmd === "init")
			{
				if (!myInstance)
					myInstance = new pathfinder();
					
				myInstance.init(d.hcells, d.vcells, d.data, d.diagonals);
			}
			else if (d.cmd === "find")
			{
				// receive a pathfind job, process it them dispatch result
				myInstance.pathEnd.parent = null;
				myInstance.targetX = d.endX;
				myInstance.targetY = d.endY;
				
				if (myInstance.doLongFindPath(d.startX, d.startY))
				{
					self.postMessage({ cmd: "result", pathList: myInstance.pathList });
				}
				else
				{
					self.postMessage({ cmd: "result", pathList: null });
				}
			}
			else if (d.cmd === "setdiag")
			{
				// update diagonalsEnabled flag
				myInstance.diagonalsEnabled = d.diagonals;
			}
			
		}, false);
	}
	
	function pathfinder()
	{
		this.hcells = 0;
		this.vcells = 0;
		
		this.pathEnd = allocNode();
		
		this.cells = null;
		this.openList = [];
		this.closedList = [];
		this.closedCache = {};
		this.pathList = [];
		
		this.currentNode = null;
		this.targetX = 0;
		this.targetY = 0;
		this.diagonalsEnabled = true;
		
		this.worker = null;
		this.workerQueue = [];		// jobs awaiting completion from worker in order of requests made
		this.workerRecycle = [];
		
		var self = this;
		var i, len;
		
		if (workersSupported && !isInWebWorker)
		{
			// Create worker and receive results of pathfind jobs from it
			this.worker = new Worker("pathfind.js");
			
			this.worker.addEventListener("message", function (e) {
			
				if (!e || !e.data)
					return;
				
				if (e.data.cmd === "result")
				{
					if (e.data.pathList)
					{
						for (i = 0, len = self.pathList.length; i < len; i++)
							freeResultNode(self.pathList[i]);
						
						self.pathList = e.data.pathList;
						self.workerQueue[0].success();
					}
					else
						self.workerQueue[0].fail();
						
					self.workerRecycle.push(self.workerQueue.shift());
				}
			}, false);
			
			this.worker.addEventListener("error", function (e) {
				console.error(e);
			}, false);
			
			this.worker.postMessage(null);
		}
	};
	
	pathfinder.prototype.init = function (hcells_, vcells_, data_, diagonals_)
	{
		this.hcells = hcells_;
		this.vcells = vcells_;
		this.cells = data_;
		this.diagonalsEnabled = diagonals_;
		
		if (workersSupported && !isInWebWorker)
		{
			this.worker.postMessage({
				cmd: "init",
				hcells: hcells_,
				vcells: vcells_,
				diagonals: diagonals_,
				data: data_
			});
		}
	};
	
	pathfinder.prototype.isReady = function ()
	{
		return !!this.cells;
	};
	
	pathfinder.prototype.setDiagonals = function (d)
	{
		if (this.diagonalsEnabled === d)
			return;
		
		this.diagonalsEnabled = d;
		
		if (workersSupported && !isInWebWorker)
		{
			this.worker.postMessage({
				cmd: "setdiag",
				diagonals: d,
			});
		}
	};
	
	pathfinder.prototype.at = function (x_, y_)
	{
		if (x_ < 0 || y_ < 0 || x_ >= this.hcells || y_ >= this.vcells)
			return PF_OBSTACLE;
			
		return this.cells[x_][y_];
	};
	
	pathfinder.prototype.findPath = function (startX, startY, endX, endY, successCallback, failCallback)
	{
		if (!this.cells)
		{
			// not yet initialised
			failCallback();
			return;
		}
		
		startX = Math.floor(startX);
		startY = Math.floor(startY);
		endX = Math.floor(endX);
		endY = Math.floor(endY);
		
		this.targetX = endX;
		this.targetY = endY;
		this.pathEnd.parent = null;
		
		// Check the box made by the start and dest cells.
		// If the complete box is empty, allow a direct move to target.
		var minX = Math.min(startX, endX);
		var maxX = Math.max(startX, endX);
		var minY = Math.min(startY, endY);
		var maxY = Math.max(startY, endY);
		
		// Path goes out of bounds: no calculable path
		if (minX < 0 || minY < 0 || maxX >= this.hcells || maxY >= this.vcells)
		{
			failCallback();
			return;
		}
		
		var x, y, i, len, c, h, n;

		if (this.diagonalsEnabled)
		{
			var canMoveDirect = true;
			
			for (x = minX; x <= maxX; x++)
			{
				for (y = minY; y <= maxY; y++)
				{
					if (this.cells[x][y] !== 0)
					{
						canMoveDirect = false;
						
						// Break both loops
						x = maxX + 1;
						break;
					}
				}
			}

			// A "direct" path is available (box is empty)
			if (canMoveDirect)
			{
				for (i = 0, len = this.pathList.length; i < len; i++)
					freeResultNode(this.pathList[i]);
				this.pathList.length = 0;
			
				this.pathEnd.x = endX;
				this.pathEnd.y = endY;
				this.pathEnd.parent = null;
				n = allocResultNode();
				n.x = endX;
				n.y = endY;
				this.pathList.push(n);
				successCallback();
				return;
			}
		}
		
		if (workersSupported)
		{
			// recycle objects in the worker queue
			if (this.workerRecycle.length)
				h = this.workerRecycle.pop();
			else
				h = {};
			
			h.success = successCallback;
			h.fail = failCallback;
			
			// dispatch the heavy lifting to the worker thread
			this.workerQueue.push(h);

			this.worker.postMessage({
				cmd: "find",
				startX: startX,
				startY: startY,
				endX: endX,
				endY: endY
			});
		}
		else
		{
			// no web worker support, just run on main thread
			if (this.doLongFindPath(startX, startY))
				successCallback();
			else
				failCallback();
		}
	};
		
	pathfinder.prototype.doLongFindPath = function (startX, startY)
	{
		var i, len, c, n, p, lastDir = 8, curDir = -1, addNode;
		for (i = 0, len = this.openList.length; i < len; i++)
			freeNode(this.openList[i]);
		for (i = 0, len = this.closedList.length; i < len; i++)
			freeNode(this.closedList[i]);
		for (i = 0, len = this.pathList.length; i < len; i++)
			freeResultNode(this.pathList[i]);
		this.openList.length = 0;
		this.closedList.length = 0;
		this.closedCache = {};
		this.pathList.length = 0;

		// Add the start node to the open list
		var startNode = allocNode();
		startNode.x = startX;
		startNode.y = startY;

		this.openList.push(startNode);
		var obsLeft = false, obsTop = false, obsRight = false, obsBottom = false;
		var diagonals = this.diagonalsEnabled;
		
		// While there are nodes on the open list
		while (this.openList.length)
		{
			// Move the best F value to closed list
			c = this.openList.shift();
			this.closedList.unshift(c);
			this.closedCache[((c.x << 16) + c.y).toString()] = true;

			// Are we there yet?
			if (c.x === this.targetX && c.y === this.targetY)
			{
				this.pathEnd.parent = c.parent;
				this.pathEnd.x = c.x;
				this.pathEnd.y = c.y;
				
				// Link up the whole path to an indexable array
				p = this.pathEnd;
				
				while (p)
				{
					// filter redundant nodes in straight lines
					if (this.pathList.length === 0)
					{
						addNode = true;
						
						if (p.parent)
						{
							lastDir = this.nodeDirection(p, p.parent);
							curDir = lastDir;
						}
					}
					else if (!p.parent)
						addNode = false;
					else 
					{
						curDir = this.nodeDirection(p, p.parent);
						addNode = (curDir !== lastDir);
					}
					
					if (addNode)
					{
						n = allocResultNode();
						n.x = p.x;
						n.y = p.y;
						this.pathList.unshift(n);
						lastDir = curDir;
					}
					
					p = p.parent;
				}
				
				return true;
			}

			// Get current node
			this.currentNode = c;
			var x = c.x;
			var y = c.y;
			
			var obsLeft = (this.at(x - 1, y) === PF_OBSTACLE);
			var obsTop = (this.at(x, y - 1) === PF_OBSTACLE);
			var obsRight = (this.at(x + 1, y) === PF_OBSTACLE);
			var obsBottom = (this.at(x, y + 1) === PF_OBSTACLE);

			// Check adjacent 8 nodes.  No diagonals allowed if either cell being crossed is obstacle.
			if (!obsLeft)
				this.addCellToOpenList(x - 1, y, 10);

			if (diagonals && !obsLeft && !obsTop)
				this.addCellToOpenList(x - 1, y - 1, 14);

			if (!obsTop)
				this.addCellToOpenList(x, y - 1, 10);

			if (diagonals && !obsTop && !obsRight)
				this.addCellToOpenList(x + 1, y - 1, 14);

			if (!obsRight)
				this.addCellToOpenList(x + 1, y, 10);

			if (diagonals && !obsRight && !obsBottom)
				this.addCellToOpenList(x + 1, y + 1, 14);

			if (!obsBottom)
				this.addCellToOpenList(x, y + 1, 10);

			if (diagonals && !obsBottom && !obsLeft)
				this.addCellToOpenList(x - 1, y + 1, 14);
		}
		
		return false;
	};
	
	pathfinder.prototype.insertToOpenList = function (c)
	{
		var i, len;
		
		// Needs to go at end
		if (c.f >= this.openList[this.openList.length - 1].f)
		{
			this.openList.push(c);
		}
		else
		{
			for (i = 0, len = this.openList.length; i < len; i++)
			{
				if (c.f < this.openList[i].f)
				{
					this.openList.splice(i, 0, c);
					break;
				}
			}
		}
	};
	
	pathfinder.prototype.addCellToOpenList = function (x_, y_, g_)
	{
		// Ignore if cell on closed list
		if (this.closedCache.hasOwnProperty(((x_ << 16) + y_).toString()))
			return;
		
		var i, len, c;
		
		// Cell costs can be increased by changing the number in the map
		var curCellCost = this.at(x_, y_);

		// Is this cell already on the open list?
		for (i = 0, len = this.openList.length; i < len; i++)
		{
			c = this.openList[i];
			
			if (x_ === c.x && y_ === c.y)
			{
				// Is this a better path?
				if (this.currentNode.g + g_ + curCellCost < c.g)
				{
					// Update F, G and H and update parent
					c.parent = this.currentNode;
					c.g = this.currentNode.g + g_ + curCellCost;
					c.h = this.estimateH(c.x, c.y);
					c.f = c.g + c.h;

					// This node's F has changed:  Delete it then re-insert it in the right place

					if (this.openList.length === 1)
					{
						// no need to remove then re-insert same node, just leave it there
						return;
					}
					
					this.openList.splice(i, 1);
					this.insertToOpenList(c);
				}

				return;
			}
		}

		// Not on the open list; add it in the right place
		c = allocNode();
		c.x = x_;
		c.y = y_;
		c.h = this.estimateH(x_, y_);
		c.g = this.currentNode.g + g_ + curCellCost;
		c.f = c.h + c.g;
		c.parent = this.currentNode;

		// Insert this node sorted in the open list
		// The loop below won't add new largest F values
		if (!this.openList.length)
		{
			this.openList.push(c);
			return;
		}
		
		this.insertToOpenList(c);
	};
	
	function quickAbs(x)
	{
		return x < 0 ? -x : x;
	};
	
	pathfinder.prototype.estimateH = function (x_, y_)
	{
		var dx = quickAbs(x_ - this.targetX);
		var dy = quickAbs(y_ - this.targetY);

		return dx * 10 + dy * 10;
	};
	
	pathfinder.prototype.nodeDirection = function (a, b)
	{
		var ax = a.x;
		var ay = a.y;
		var bx = b.x;
		var by = b.y;

		if (ax === bx)
		{
			if (by > ay) return 6;
			if (by < ay) return 2;
			if (ay == by) return 8;
		}
		else if (ay === by)
		{
			if (bx > ax) return 4;
			if (by < ax) return 0;
		}
		else
		{
			if (bx < ax && by < ay) return 1;
			if (bx > ax && by < ay) return 3;
			if (bx < ax && by > ay) return 7;
			if (bx > ax && by > ay) return 5;
		}
		return 8;
	};
	
	if (!isInWebWorker)
	{
		window.PF_CLEAR = PF_CLEAR;
		window.PF_OBSTACLE = PF_OBSTACLE;
		window.Pathfinder = pathfinder;
		
		window.ResultNode = resultNode;
		window.allocResultNode = allocResultNode;
		window.freeResultNode = freeResultNode;
	}

})();
(function() {
'use strict';var cr={plugins_:{},behaviors:{}};"function"!==typeof Object.getPrototypeOf&&(Object.getPrototypeOf="object"===typeof"test".__proto__?function(a){return a.__proto__}:function(a){return a.constructor.prototype});
(function(){function a(f,g){this.x=f;this.y=g;cr.seal(this)}function b(f,g,q,a){this.set(f,g,q,a);cr.seal(this)}function c(){this.bly=this.blx=this.bry=this.brx=this.try_=this.trx=this.tly=this.tlx=0;cr.seal(this)}function d(f,g,q,a){f<g?q<a?(r=f<q?f:q,n=g>a?g:a):(r=f<a?f:a,n=g>q?g:q):q<a?(r=g<q?g:q,n=f>a?f:a):(r=g<a?g:a,n=f>q?f:q)}function e(){this.items=this.s=null;this.item_count=0;v&&(this.s=new Set);this.values_cache=[];this.cache_valid=!0;cr.seal(this)}function h(f){w[q++]=f}function l(){this.sum=
this.t=this.y=this.c=0;cr.seal(this)}function s(f){this.pts_cache=[];this.bboxBottom=this.bboxRight=this.bboxTop=this.bboxLeft=0;this.convexpolys=null;this.set_pts(f);cr.seal(this)}function m(f,g){this.cellwidth=f;this.cellheight=g;this.cells={}}function p(f,g,q){var a;m.prototype.totalCellCount++;return u.length?(a=u.pop(),a.grid=f,a.x=g,a.y=q,a):new cr.GridCell(f,g,q)}function k(f,g,q){this.grid=f;this.x=g;this.y=q;this.objects=new cr.ObjectSet}cr.logexport=function(f){window.console&&window.console.log&&
window.console.log(f)};cr.seal=function(f){return f};cr.freeze=function(f){return f};cr.is_undefined=function(f){return"undefined"===typeof f};cr.is_number=function(f){return"number"===typeof f};cr.is_string=function(f){return"string"===typeof f};cr.isPOT=function(f){return 0<f&&0===(f-1&f)};cr.nextHighestPowerOfTwo=function(f){--f;for(var g=1;32>g;g<<=1)f|=f>>g;return f+1};cr.abs=function(f){return 0>f?-f:f};cr.max=function(f,g){return f>g?f:g};cr.min=function(f,g){return f<g?f:g};cr.PI=Math.PI;
cr.round=function(f){return f+0.5|0};cr.floor=function(f){return 0<=f?f|0:(f|0)-1};cr.ceil=function(f){var g=f|0;return g===f?g:g+1};a.prototype.offset=function(f,g){this.x+=f;this.y+=g;return this};a.prototype.mul=function(f,g){this.x*=f;this.y*=g;return this};cr.vector2=a;cr.segments_intersect=function(f,g,q,a,h,u,b,e){var l,c,x,d;f<q?(c=f,l=q):(c=q,l=f);h<b?(d=h,x=b):(d=b,x=h);if(l<d||c>x)return!1;g<a?(c=g,l=a):(c=a,l=g);u<e?(d=u,x=e):(d=e,x=u);if(l<d||c>x)return!1;l=h-f+b-q;c=u-g+e-a;f=q-f;g=
a-g;h=b-h;u=e-u;e=cr.abs(g*h-u*f);return cr.abs(h*c-u*l)>e?!1:cr.abs(f*c-g*l)<=e};b.prototype.set=function(f,g,q,a){this.left=f;this.top=g;this.right=q;this.bottom=a};b.prototype.copy=function(f){this.left=f.left;this.top=f.top;this.right=f.right;this.bottom=f.bottom};b.prototype.width=function(){return this.right-this.left};b.prototype.height=function(){return this.bottom-this.top};b.prototype.offset=function(f,g){this.left+=f;this.top+=g;this.right+=f;this.bottom+=g;return this};b.prototype.normalize=
function(){var f=0;this.left>this.right&&(f=this.left,this.left=this.right,this.right=f);this.top>this.bottom&&(f=this.top,this.top=this.bottom,this.bottom=f)};b.prototype.intersects_rect=function(f){return!(f.right<this.left||f.bottom<this.top||f.left>this.right||f.top>this.bottom)};b.prototype.intersects_rect_off=function(f,g,q){return!(f.right+g<this.left||f.bottom+q<this.top||f.left+g>this.right||f.top+q>this.bottom)};b.prototype.contains_pt=function(f,g){return f>=this.left&&f<=this.right&&g>=
this.top&&g<=this.bottom};b.prototype.equals=function(f){return this.left===f.left&&this.top===f.top&&this.right===f.right&&this.bottom===f.bottom};cr.rect=b;c.prototype.set_from_rect=function(f){this.tlx=f.left;this.tly=f.top;this.trx=f.right;this.try_=f.top;this.brx=f.right;this.bry=f.bottom;this.blx=f.left;this.bly=f.bottom};c.prototype.set_from_rotated_rect=function(f,g){if(0===g)this.set_from_rect(f);else{var q=Math.sin(g),a=Math.cos(g),h=f.left*q,u=f.top*q,b=f.right*q,q=f.bottom*q,e=f.left*
a,l=f.top*a,c=f.right*a,a=f.bottom*a;this.tlx=e-u;this.tly=l+h;this.trx=c-u;this.try_=l+b;this.brx=c-q;this.bry=a+b;this.blx=e-q;this.bly=a+h}};c.prototype.offset=function(f,g){this.tlx+=f;this.tly+=g;this.trx+=f;this.try_+=g;this.brx+=f;this.bry+=g;this.blx+=f;this.bly+=g;return this};var r=0,n=0;c.prototype.bounding_box=function(f){d(this.tlx,this.trx,this.brx,this.blx);f.left=r;f.right=n;d(this.tly,this.try_,this.bry,this.bly);f.top=r;f.bottom=n};c.prototype.contains_pt=function(f,g){var q=this.trx-
this.tlx,a=this.try_-this.tly,h=this.brx-this.tlx,u=this.bry-this.tly,b=f-this.tlx,e=g-this.tly,l=q*q+a*a,c=q*h+a*u,a=q*b+a*e,x=h*h+u*u,d=h*b+u*e,s=1/(l*x-c*c),q=(x*a-c*d)*s,l=(l*d-c*a)*s;if(0<=q&&0<l&&1>q+l)return!0;q=this.blx-this.tlx;a=this.bly-this.tly;l=q*q+a*a;c=q*h+a*u;a=q*b+a*e;s=1/(l*x-c*c);q=(x*a-c*d)*s;l=(l*d-c*a)*s;return 0<=q&&0<l&&1>q+l};c.prototype.at=function(f,g){if(g)switch(f){case 0:return this.tlx;case 1:return this.trx;case 2:return this.brx;case 3:return this.blx;case 4:return this.tlx;
default:return this.tlx}else switch(f){case 0:return this.tly;case 1:return this.try_;case 2:return this.bry;case 3:return this.bly;case 4:return this.tly;default:return this.tly}};c.prototype.midX=function(){return(this.tlx+this.trx+this.brx+this.blx)/4};c.prototype.midY=function(){return(this.tly+this.try_+this.bry+this.bly)/4};c.prototype.intersects_segment=function(f,g,q,a){if(this.contains_pt(f,g)||this.contains_pt(q,a))return!0;var h,u,b,e,l;for(l=0;4>l;l++)if(h=this.at(l,!0),u=this.at(l,!1),
b=this.at(l+1,!0),e=this.at(l+1,!1),cr.segments_intersect(f,g,q,a,h,u,b,e))return!0;return!1};c.prototype.intersects_quad=function(f){var g=f.midX(),q=f.midY();if(this.contains_pt(g,q))return!0;g=this.midX();q=this.midY();if(f.contains_pt(g,q))return!0;var a,h,u,b,e,l,c,x;for(c=0;4>c;c++)for(x=0;4>x;x++)if(g=this.at(c,!0),q=this.at(c,!1),a=this.at(c+1,!0),h=this.at(c+1,!1),u=f.at(x,!0),b=f.at(x,!1),e=f.at(x+1,!0),l=f.at(x+1,!1),cr.segments_intersect(g,q,a,h,u,b,e,l))return!0;return!1};cr.quad=c;cr.RGB=
function(f,g,q){return Math.max(Math.min(f,255),0)|Math.max(Math.min(g,255),0)<<8|Math.max(Math.min(q,255),0)<<16};cr.GetRValue=function(f){return f&255};cr.GetGValue=function(f){return(f&65280)>>8};cr.GetBValue=function(f){return(f&16711680)>>16};cr.shallowCopy=function(f,g,q){for(var a in g)g.hasOwnProperty(a)&&(f[a]=g[a]);return f};cr.arrayRemove=function(f,g){var q,a;g=cr.floor(g);if(!(0>g||g>=f.length))if(0===g)f.shift();else if(g===f.length-1)f.pop();else{q=g;for(a=f.length-1;q<a;q++)f[q]=f[q+
1];f.length=a}};cr.shallowAssignArray=function(f,g){f.length=g.length;var q,a;q=0;for(a=g.length;q<a;q++)f[q]=g[q]};cr.appendArray=function(f,g){f.push.apply(f,g)};cr.arrayFindRemove=function(f,g){var q=f.indexOf(g);-1!==q&&cr.arrayRemove(f,q)};cr.clamp=function(f,g,q){return f<g?g:f>q?q:f};cr.to_radians=function(f){return f/(180/cr.PI)};cr.to_degrees=function(f){return f*(180/cr.PI)};cr.clamp_angle_degrees=function(f){f%=360;0>f&&(f+=360);return f};cr.clamp_angle=function(f){f%=2*cr.PI;0>f&&(f+=
2*cr.PI);return f};cr.to_clamped_degrees=function(f){return cr.clamp_angle_degrees(cr.to_degrees(f))};cr.to_clamped_radians=function(f){return cr.clamp_angle(cr.to_radians(f))};cr.angleTo=function(f,g,q,a){return Math.atan2(a-g,q-f)};cr.angleDiff=function(f,g){if(f===g)return 0;var q=Math.sin(f),a=Math.cos(f),h=Math.sin(g),u=Math.cos(g),q=q*h+a*u;return 1<=q?0:-1>=q?cr.PI:Math.acos(q)};cr.angleRotate=function(f,g,q){var a=Math.sin(f),h=Math.cos(f),u=Math.sin(g),b=Math.cos(g);return Math.acos(a*u+
h*b)>q?0<h*u-a*b?cr.clamp_angle(f+q):cr.clamp_angle(f-q):cr.clamp_angle(g)};cr.angleClockwise=function(f,g){var q=Math.sin(f),a=Math.cos(f),h=Math.sin(g),u=Math.cos(g);return 0>=a*h-q*u};cr.rotatePtAround=function(f,g,q,a,h,u){if(0===q)return u?f:g;var b=Math.sin(q);q=Math.cos(q);f-=a;g-=h;var e=f*b;f=f*q-g*b;g=g*q+e;return u?f+a:g+h};cr.distanceTo=function(f,g,q,a){f=q-f;g=a-g;return Math.sqrt(f*f+g*g)};cr.xor=function(f,g){return!f!==!g};cr.lerp=function(f,g,q){return f+(g-f)*q};cr.unlerp=function(f,
g,q){return f===g?0:(q-f)/(g-f)};cr.anglelerp=function(f,g,q){var a=cr.angleDiff(f,g);return cr.angleClockwise(g,f)?f+a*q:f-a*q};cr.hasAnyOwnProperty=function(f){for(var g in f)if(f.hasOwnProperty(g))return!0;return!1};cr.wipe=function(f){for(var g in f)f.hasOwnProperty(g)&&delete f[g]};var t=+new Date;cr.performance_now=function(){if("undefined"!==typeof window.performance){var f=window.performance;if("undefined"!==typeof f.now)return f.now();if("undefined"!==typeof f.webkitNow)return f.webkitNow();
if("undefined"!==typeof f.mozNow)return f.mozNow();if("undefined"!==typeof f.msNow)return f.msNow()}return Date.now()-t};var v=("undefined"===typeof window||!window.c2ejecta)&&"undefined"!==typeof Set&&"undefined"!==typeof Set.prototype.forEach;e.prototype.contains=function(f){return this.isEmpty()?!1:v?this.s.has(f):this.items&&this.items.hasOwnProperty(f)};e.prototype.add=function(f){if(v)this.s.has(f)||(this.s.add(f),this.cache_valid=!1);else{var g=f.toString(),q=this.items;q?q.hasOwnProperty(g)||
(q[g]=f,this.item_count++,this.cache_valid=!1):(this.items={},this.items[g]=f,this.item_count=1,this.cache_valid=!1)}};e.prototype.remove=function(f){if(!this.isEmpty())if(v)this.s.has(f)&&(this.s["delete"](f),this.cache_valid=!1);else if(this.items){f=f.toString();var g=this.items;g.hasOwnProperty(f)&&(delete g[f],this.item_count--,this.cache_valid=!1)}};e.prototype.clear=function(){this.isEmpty()||(v?this.s.clear():(this.items=null,this.item_count=0),this.values_cache.length=0,this.cache_valid=
!0)};e.prototype.isEmpty=function(){return 0===this.count()};e.prototype.count=function(){return v?this.s.size:this.item_count};var w=null,q=0;e.prototype.update_cache=function(){if(!this.cache_valid){if(v)this.values_cache.length=this.s.size,w=this.values_cache,q=0,this.s.forEach(h),w=null,q=0;else{var f=this.values_cache;f.length=this.item_count;var g,a=0,u=this.items;if(u)for(g in u)u.hasOwnProperty(g)&&(f[a++]=u[g])}this.cache_valid=!0}};e.prototype.valuesRef=function(){this.update_cache();return this.values_cache};
cr.ObjectSet=e;l.prototype.add=function(f){this.y=f-this.c;this.t=this.sum+this.y;this.c=this.t-this.sum-this.y;this.sum=this.t};l.prototype.reset=function(){this.sum=this.t=this.y=this.c=0};cr.KahanAdder=l;cr.regexp_escape=function(f){return f.replace(/[-[\]{}()*+?.,\\^$|#\s]/g,"\\$&")};s.prototype.set_pts=function(f){this.pts_array=f;this.pts_count=f.length/2;this.pts_cache.length=f.length;this.cache_height=this.cache_width=-1;this.cache_angle=0};s.prototype.is_empty=function(){return!this.pts_array.length};
s.prototype.update_bbox=function(){for(var f=this.pts_cache,g=f[0],q=g,a=f[1],h=a,u,b,e=1,l=this.pts_count;e<l;++e)b=2*e,u=f[b],b=f[b+1],u<g&&(g=u),u>q&&(q=u),b<a&&(a=b),b>h&&(h=b);this.bboxLeft=g;this.bboxRight=q;this.bboxTop=a;this.bboxBottom=h};s.prototype.set_from_rect=function(f,g,q){this.pts_cache.length=8;this.pts_count=4;var a=this.pts_cache;a[0]=f.left-g;a[1]=f.top-q;a[2]=f.right-g;a[3]=f.top-q;a[4]=f.right-g;a[5]=f.bottom-q;a[6]=f.left-g;a[7]=f.bottom-q;this.cache_width=f.right-f.left;this.cache_height=
f.bottom-f.top;this.update_bbox()};s.prototype.set_from_quad=function(f,g,q,a,h){this.pts_cache.length=8;this.pts_count=4;var u=this.pts_cache;u[0]=f.tlx-g;u[1]=f.tly-q;u[2]=f.trx-g;u[3]=f.try_-q;u[4]=f.brx-g;u[5]=f.bry-q;u[6]=f.blx-g;u[7]=f.bly-q;this.cache_width=a;this.cache_height=h;this.update_bbox()};s.prototype.set_from_poly=function(f){this.pts_count=f.pts_count;cr.shallowAssignArray(this.pts_cache,f.pts_cache);this.bboxLeft=f.bboxLeft;this.bboxTop-f.bboxTop;this.bboxRight=f.bboxRight;this.bboxBottom=
f.bboxBottom};s.prototype.cache_poly=function(f,g,q){if(this.cache_width!==f||this.cache_height!==g||this.cache_angle!==q){this.cache_width=f;this.cache_height=g;this.cache_angle=q;var a,h,u,b,e,l=0,c=1,x=this.pts_array,d=this.pts_cache;0!==q&&(l=Math.sin(q),c=Math.cos(q));q=0;for(u=this.pts_count;q<u;q++)a=2*q,h=a+1,b=x[a]*f,e=x[h]*g,d[a]=b*c-e*l,d[h]=e*c+b*l;this.update_bbox()}};s.prototype.contains_pt=function(f,g){var q=this.pts_cache;if(f===q[0]&&g===q[1])return!0;var a,h,u,b=this.pts_count,
e=this.bboxLeft-110,l=this.bboxTop-101,c=this.bboxRight+131,x=this.bboxBottom+120,d,s,r=0,k=0;for(a=0;a<b;a++)h=2*a,u=2*((a+1)%b),d=q[h],h=q[h+1],s=q[u],u=q[u+1],cr.segments_intersect(e,l,f,g,d,h,s,u)&&r++,cr.segments_intersect(c,x,f,g,d,h,s,u)&&k++;return 1===r%2||1===k%2};s.prototype.intersects_poly=function(q,g,a){var h=q.pts_cache,u=this.pts_cache;if(this.contains_pt(h[0]+g,h[1]+a)||q.contains_pt(u[0]-g,u[1]-a))return!0;var b,e,l,c,x,d,s,r,k,t,m,p;b=0;for(c=this.pts_count;b<c;b++)for(e=2*b,l=
2*((b+1)%c),r=u[e],e=u[e+1],k=u[l],t=u[l+1],l=0,s=q.pts_count;l<s;l++)if(x=2*l,d=2*((l+1)%s),m=h[x]+g,x=h[x+1]+a,p=h[d]+g,d=h[d+1]+a,cr.segments_intersect(r,e,k,t,m,x,p,d))return!0;return!1};s.prototype.intersects_segment=function(q,g,a,h,u,b){var e=this.pts_cache;if(this.contains_pt(a-q,h-g))return!0;var l,c,x,d,s,r;l=0;for(c=this.pts_count;l<c;l++)if(x=2*l,d=2*((l+1)%c),s=e[x]+q,x=e[x+1]+g,r=e[d]+q,d=e[d+1]+g,cr.segments_intersect(a,h,u,b,s,x,r,d))return!0;return!1};s.prototype.mirror=function(q){var g,
a,h;g=0;for(a=this.pts_count;g<a;++g)h=2*g,this.pts_cache[h]=2*q-this.pts_cache[h]};s.prototype.flip=function(q){var g,a,h;g=0;for(a=this.pts_count;g<a;++g)h=2*g+1,this.pts_cache[h]=2*q-this.pts_cache[h]};s.prototype.diag=function(){var q,g,a,h,u;q=0;for(g=this.pts_count;q<g;++q)a=2*q,h=a+1,u=this.pts_cache[a],this.pts_cache[a]=this.pts_cache[h],this.pts_cache[h]=u};cr.CollisionPoly=s;m.prototype.totalCellCount=0;m.prototype.getCell=function(q,g,a){var h;h=this.cells[q];return h?(h=h[g])?h:a?(h=p(this,
q,g),this.cells[q][g]=h):null:a?(h=p(this,q,g),this.cells[q]={},this.cells[q][g]=h):null};m.prototype.XToCell=function(q){return cr.floor(q/this.cellwidth)};m.prototype.YToCell=function(q){return cr.floor(q/this.cellheight)};m.prototype.update=function(q,g,a){var h,b,e,l,c;if(g)for(h=g.left,b=g.right;h<=b;++h)for(e=g.top,l=g.bottom;e<=l;++e)if(!a||!a.contains_pt(h,e))if(c=this.getCell(h,e,!1))c.remove(q),c.isEmpty()&&(m.prototype.totalCellCount--,c.objects.clear(),1E3>u.length&&u.push(c),this.cells[h][e]=
null);if(a)for(h=a.left,b=a.right;h<=b;++h)for(e=a.top,l=a.bottom;e<=l;++e)g&&g.contains_pt(h,e)||this.getCell(h,e,!0).insert(q)};m.prototype.queryRange=function(q,g){var a,h,u,b,e,l;a=this.XToCell(q.left);u=this.YToCell(q.top);h=this.XToCell(q.right);for(e=this.YToCell(q.bottom);a<=h;++a)for(b=u;b<=e;++b)(l=this.getCell(a,b,!1))&&l.dump(g)};cr.SparseGrid=m;var u=[];k.prototype.isEmpty=function(){return this.objects.isEmpty()};k.prototype.insert=function(q){this.objects.add(q)};k.prototype.remove=
function(q){this.objects.remove(q)};k.prototype.dump=function(q){cr.appendArray(q,this.objects.valuesRef())};cr.GridCell=k;var x="lighter xor copy destination-over source-in destination-in source-out destination-out source-atop destination-atop".split(" ");cr.effectToCompositeOp=function(q){return 0>=q||11<=q?"source-over":x[q-1]};cr.setGLBlend=function(q,g,a){if(a)switch(q.srcBlend=a.ONE,q.destBlend=a.ONE_MINUS_SRC_ALPHA,g){case 1:q.srcBlend=a.ONE;q.destBlend=a.ONE;break;case 3:q.srcBlend=a.ONE;
q.destBlend=a.ZERO;break;case 4:q.srcBlend=a.ONE_MINUS_DST_ALPHA;q.destBlend=a.ONE;break;case 5:q.srcBlend=a.DST_ALPHA;q.destBlend=a.ZERO;break;case 6:q.srcBlend=a.ZERO;q.destBlend=a.SRC_ALPHA;break;case 7:q.srcBlend=a.ONE_MINUS_DST_ALPHA;q.destBlend=a.ZERO;break;case 8:q.srcBlend=a.ZERO;q.destBlend=a.ONE_MINUS_SRC_ALPHA;break;case 9:q.srcBlend=a.DST_ALPHA;q.destBlend=a.ONE_MINUS_SRC_ALPHA;break;case 10:q.srcBlend=a.ONE_MINUS_DST_ALPHA,q.destBlend=a.SRC_ALPHA}};cr.round6dp=function(q){return cr.round(1E6*
q)/1E6};cr.equals_nocase=function(q,g){return"string"!==typeof q||"string"!==typeof g||q.length!==g.length?!1:q===g?!0:q.toLowerCase()===g.toLowerCase()}})();var MatrixArray="undefined"!==typeof Float32Array?Float32Array:Array,glMatrixArrayType=MatrixArray,vec3={},mat3={},mat4={},quat4={};vec3.create=function(a){var b=new MatrixArray(3);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2]);return b};vec3.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];return b};
vec3.add=function(a,b,c){if(!c||a===c)return a[0]+=b[0],a[1]+=b[1],a[2]+=b[2],a;c[0]=a[0]+b[0];c[1]=a[1]+b[1];c[2]=a[2]+b[2];return c};vec3.subtract=function(a,b,c){if(!c||a===c)return a[0]-=b[0],a[1]-=b[1],a[2]-=b[2],a;c[0]=a[0]-b[0];c[1]=a[1]-b[1];c[2]=a[2]-b[2];return c};vec3.negate=function(a,b){b||(b=a);b[0]=-a[0];b[1]=-a[1];b[2]=-a[2];return b};vec3.scale=function(a,b,c){if(!c||a===c)return a[0]*=b,a[1]*=b,a[2]*=b,a;c[0]=a[0]*b;c[1]=a[1]*b;c[2]=a[2]*b;return c};
vec3.normalize=function(a,b){b||(b=a);var c=a[0],d=a[1],e=a[2],h=Math.sqrt(c*c+d*d+e*e);if(h){if(1===h)return b[0]=c,b[1]=d,b[2]=e,b}else return b[0]=0,b[1]=0,b[2]=0,b;h=1/h;b[0]=c*h;b[1]=d*h;b[2]=e*h;return b};vec3.cross=function(a,b,c){c||(c=a);var d=a[0],e=a[1];a=a[2];var h=b[0],l=b[1];b=b[2];c[0]=e*b-a*l;c[1]=a*h-d*b;c[2]=d*l-e*h;return c};vec3.length=function(a){var b=a[0],c=a[1];a=a[2];return Math.sqrt(b*b+c*c+a*a)};vec3.dot=function(a,b){return a[0]*b[0]+a[1]*b[1]+a[2]*b[2]};
vec3.direction=function(a,b,c){c||(c=a);var d=a[0]-b[0],e=a[1]-b[1];a=a[2]-b[2];b=Math.sqrt(d*d+e*e+a*a);if(!b)return c[0]=0,c[1]=0,c[2]=0,c;b=1/b;c[0]=d*b;c[1]=e*b;c[2]=a*b;return c};vec3.lerp=function(a,b,c,d){d||(d=a);d[0]=a[0]+c*(b[0]-a[0]);d[1]=a[1]+c*(b[1]-a[1]);d[2]=a[2]+c*(b[2]-a[2]);return d};vec3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+"]"};
mat3.create=function(a){var b=new MatrixArray(9);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3],b[4]=a[4],b[5]=a[5],b[6]=a[6],b[7]=a[7],b[8]=a[8]);return b};mat3.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];return b};mat3.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=1;a[5]=0;a[6]=0;a[7]=0;a[8]=1;return a};
mat3.transpose=function(a,b){if(!b||a===b){var c=a[1],d=a[2],e=a[5];a[1]=a[3];a[2]=a[6];a[3]=c;a[5]=a[7];a[6]=d;a[7]=e;return a}b[0]=a[0];b[1]=a[3];b[2]=a[6];b[3]=a[1];b[4]=a[4];b[5]=a[7];b[6]=a[2];b[7]=a[5];b[8]=a[8];return b};mat3.toMat4=function(a,b){b||(b=mat4.create());b[15]=1;b[14]=0;b[13]=0;b[12]=0;b[11]=0;b[10]=a[8];b[9]=a[7];b[8]=a[6];b[7]=0;b[6]=a[5];b[5]=a[4];b[4]=a[3];b[3]=0;b[2]=a[2];b[1]=a[1];b[0]=a[0];return b};
mat3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+"]"};mat4.create=function(a){var b=new MatrixArray(16);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3],b[4]=a[4],b[5]=a[5],b[6]=a[6],b[7]=a[7],b[8]=a[8],b[9]=a[9],b[10]=a[10],b[11]=a[11],b[12]=a[12],b[13]=a[13],b[14]=a[14],b[15]=a[15]);return b};
mat4.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];b[9]=a[9];b[10]=a[10];b[11]=a[11];b[12]=a[12];b[13]=a[13];b[14]=a[14];b[15]=a[15];return b};mat4.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=0;a[5]=1;a[6]=0;a[7]=0;a[8]=0;a[9]=0;a[10]=1;a[11]=0;a[12]=0;a[13]=0;a[14]=0;a[15]=1;return a};
mat4.transpose=function(a,b){if(!b||a===b){var c=a[1],d=a[2],e=a[3],h=a[6],l=a[7],s=a[11];a[1]=a[4];a[2]=a[8];a[3]=a[12];a[4]=c;a[6]=a[9];a[7]=a[13];a[8]=d;a[9]=h;a[11]=a[14];a[12]=e;a[13]=l;a[14]=s;return a}b[0]=a[0];b[1]=a[4];b[2]=a[8];b[3]=a[12];b[4]=a[1];b[5]=a[5];b[6]=a[9];b[7]=a[13];b[8]=a[2];b[9]=a[6];b[10]=a[10];b[11]=a[14];b[12]=a[3];b[13]=a[7];b[14]=a[11];b[15]=a[15];return b};
mat4.determinant=function(a){var b=a[0],c=a[1],d=a[2],e=a[3],h=a[4],l=a[5],s=a[6],m=a[7],p=a[8],k=a[9],r=a[10],n=a[11],t=a[12],v=a[13],w=a[14];a=a[15];return t*k*s*e-p*v*s*e-t*l*r*e+h*v*r*e+p*l*w*e-h*k*w*e-t*k*d*m+p*v*d*m+t*c*r*m-b*v*r*m-p*c*w*m+b*k*w*m+t*l*d*n-h*v*d*n-t*c*s*n+b*v*s*n+h*c*w*n-b*l*w*n-p*l*d*a+h*k*d*a+p*c*s*a-b*k*s*a-h*c*r*a+b*l*r*a};
mat4.inverse=function(a,b){b||(b=a);var c=a[0],d=a[1],e=a[2],h=a[3],l=a[4],s=a[5],m=a[6],p=a[7],k=a[8],r=a[9],n=a[10],t=a[11],v=a[12],w=a[13],q=a[14],u=a[15],x=c*s-d*l,f=c*m-e*l,g=c*p-h*l,D=d*m-e*s,z=d*p-h*s,A=e*p-h*m,y=k*w-r*v,E=k*q-n*v,F=k*u-t*v,B=r*q-n*w,M=r*u-t*w,J=n*u-t*q,I=1/(x*J-f*M+g*B+D*F-z*E+A*y);b[0]=(s*J-m*M+p*B)*I;b[1]=(-d*J+e*M-h*B)*I;b[2]=(w*A-q*z+u*D)*I;b[3]=(-r*A+n*z-t*D)*I;b[4]=(-l*J+m*F-p*E)*I;b[5]=(c*J-e*F+h*E)*I;b[6]=(-v*A+q*g-u*f)*I;b[7]=(k*A-n*g+t*f)*I;b[8]=(l*M-s*F+p*y)*I;
b[9]=(-c*M+d*F-h*y)*I;b[10]=(v*z-w*g+u*x)*I;b[11]=(-k*z+r*g-t*x)*I;b[12]=(-l*B+s*E-m*y)*I;b[13]=(c*B-d*E+e*y)*I;b[14]=(-v*D+w*f-q*x)*I;b[15]=(k*D-r*f+n*x)*I;return b};mat4.toRotationMat=function(a,b){b||(b=mat4.create());b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];b[9]=a[9];b[10]=a[10];b[11]=a[11];b[12]=0;b[13]=0;b[14]=0;b[15]=1;return b};
mat4.toMat3=function(a,b){b||(b=mat3.create());b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[4];b[4]=a[5];b[5]=a[6];b[6]=a[8];b[7]=a[9];b[8]=a[10];return b};mat4.toInverseMat3=function(a,b){var c=a[0],d=a[1],e=a[2],h=a[4],l=a[5],s=a[6],m=a[8],p=a[9],k=a[10],r=k*l-s*p,n=-k*h+s*m,t=p*h-l*m,v=c*r+d*n+e*t;if(!v)return null;v=1/v;b||(b=mat3.create());b[0]=r*v;b[1]=(-k*d+e*p)*v;b[2]=(s*d-e*l)*v;b[3]=n*v;b[4]=(k*c-e*m)*v;b[5]=(-s*c+e*h)*v;b[6]=t*v;b[7]=(-p*c+d*m)*v;b[8]=(l*c-d*h)*v;return b};
mat4.multiply=function(a,b,c){c||(c=a);var d=a[0],e=a[1],h=a[2],l=a[3],s=a[4],m=a[5],p=a[6],k=a[7],r=a[8],n=a[9],t=a[10],v=a[11],w=a[12],q=a[13],u=a[14];a=a[15];var x=b[0],f=b[1],g=b[2],D=b[3],z=b[4],A=b[5],y=b[6],E=b[7],F=b[8],B=b[9],M=b[10],J=b[11],I=b[12],G=b[13],W=b[14];b=b[15];c[0]=x*d+f*s+g*r+D*w;c[1]=x*e+f*m+g*n+D*q;c[2]=x*h+f*p+g*t+D*u;c[3]=x*l+f*k+g*v+D*a;c[4]=z*d+A*s+y*r+E*w;c[5]=z*e+A*m+y*n+E*q;c[6]=z*h+A*p+y*t+E*u;c[7]=z*l+A*k+y*v+E*a;c[8]=F*d+B*s+M*r+J*w;c[9]=F*e+B*m+M*n+J*q;c[10]=F*
h+B*p+M*t+J*u;c[11]=F*l+B*k+M*v+J*a;c[12]=I*d+G*s+W*r+b*w;c[13]=I*e+G*m+W*n+b*q;c[14]=I*h+G*p+W*t+b*u;c[15]=I*l+G*k+W*v+b*a;return c};mat4.multiplyVec3=function(a,b,c){c||(c=b);var d=b[0],e=b[1];b=b[2];c[0]=a[0]*d+a[4]*e+a[8]*b+a[12];c[1]=a[1]*d+a[5]*e+a[9]*b+a[13];c[2]=a[2]*d+a[6]*e+a[10]*b+a[14];return c};
mat4.multiplyVec4=function(a,b,c){c||(c=b);var d=b[0],e=b[1],h=b[2];b=b[3];c[0]=a[0]*d+a[4]*e+a[8]*h+a[12]*b;c[1]=a[1]*d+a[5]*e+a[9]*h+a[13]*b;c[2]=a[2]*d+a[6]*e+a[10]*h+a[14]*b;c[3]=a[3]*d+a[7]*e+a[11]*h+a[15]*b;return c};
mat4.translate=function(a,b,c){var d=b[0],e=b[1];b=b[2];var h,l,s,m,p,k,r,n,t,v,w,q;if(!c||a===c)return a[12]=a[0]*d+a[4]*e+a[8]*b+a[12],a[13]=a[1]*d+a[5]*e+a[9]*b+a[13],a[14]=a[2]*d+a[6]*e+a[10]*b+a[14],a[15]=a[3]*d+a[7]*e+a[11]*b+a[15],a;h=a[0];l=a[1];s=a[2];m=a[3];p=a[4];k=a[5];r=a[6];n=a[7];t=a[8];v=a[9];w=a[10];q=a[11];c[0]=h;c[1]=l;c[2]=s;c[3]=m;c[4]=p;c[5]=k;c[6]=r;c[7]=n;c[8]=t;c[9]=v;c[10]=w;c[11]=q;c[12]=h*d+p*e+t*b+a[12];c[13]=l*d+k*e+v*b+a[13];c[14]=s*d+r*e+w*b+a[14];c[15]=m*d+n*e+q*b+
a[15];return c};mat4.scale=function(a,b,c){var d=b[0],e=b[1];b=b[2];if(!c||a===c)return a[0]*=d,a[1]*=d,a[2]*=d,a[3]*=d,a[4]*=e,a[5]*=e,a[6]*=e,a[7]*=e,a[8]*=b,a[9]*=b,a[10]*=b,a[11]*=b,a;c[0]=a[0]*d;c[1]=a[1]*d;c[2]=a[2]*d;c[3]=a[3]*d;c[4]=a[4]*e;c[5]=a[5]*e;c[6]=a[6]*e;c[7]=a[7]*e;c[8]=a[8]*b;c[9]=a[9]*b;c[10]=a[10]*b;c[11]=a[11]*b;c[12]=a[12];c[13]=a[13];c[14]=a[14];c[15]=a[15];return c};
mat4.rotate=function(a,b,c,d){var e=c[0],h=c[1];c=c[2];var l=Math.sqrt(e*e+h*h+c*c),s,m,p,k,r,n,t,v,w,q,u,x,f,g,D,z,A,y,E,F;if(!l)return null;1!==l&&(l=1/l,e*=l,h*=l,c*=l);s=Math.sin(b);m=Math.cos(b);p=1-m;b=a[0];l=a[1];k=a[2];r=a[3];n=a[4];t=a[5];v=a[6];w=a[7];q=a[8];u=a[9];x=a[10];f=a[11];g=e*e*p+m;D=h*e*p+c*s;z=c*e*p-h*s;A=e*h*p-c*s;y=h*h*p+m;E=c*h*p+e*s;F=e*c*p+h*s;e=h*c*p-e*s;h=c*c*p+m;d?a!==d&&(d[12]=a[12],d[13]=a[13],d[14]=a[14],d[15]=a[15]):d=a;d[0]=b*g+n*D+q*z;d[1]=l*g+t*D+u*z;d[2]=k*g+v*
D+x*z;d[3]=r*g+w*D+f*z;d[4]=b*A+n*y+q*E;d[5]=l*A+t*y+u*E;d[6]=k*A+v*y+x*E;d[7]=r*A+w*y+f*E;d[8]=b*F+n*e+q*h;d[9]=l*F+t*e+u*h;d[10]=k*F+v*e+x*h;d[11]=r*F+w*e+f*h;return d};
mat4.rotateX=function(a,b,c){var d=Math.sin(b);b=Math.cos(b);var e=a[4],h=a[5],l=a[6],s=a[7],m=a[8],p=a[9],k=a[10],r=a[11];c?a!==c&&(c[0]=a[0],c[1]=a[1],c[2]=a[2],c[3]=a[3],c[12]=a[12],c[13]=a[13],c[14]=a[14],c[15]=a[15]):c=a;c[4]=e*b+m*d;c[5]=h*b+p*d;c[6]=l*b+k*d;c[7]=s*b+r*d;c[8]=e*-d+m*b;c[9]=h*-d+p*b;c[10]=l*-d+k*b;c[11]=s*-d+r*b;return c};
mat4.rotateY=function(a,b,c){var d=Math.sin(b);b=Math.cos(b);var e=a[0],h=a[1],l=a[2],s=a[3],m=a[8],p=a[9],k=a[10],r=a[11];c?a!==c&&(c[4]=a[4],c[5]=a[5],c[6]=a[6],c[7]=a[7],c[12]=a[12],c[13]=a[13],c[14]=a[14],c[15]=a[15]):c=a;c[0]=e*b+m*-d;c[1]=h*b+p*-d;c[2]=l*b+k*-d;c[3]=s*b+r*-d;c[8]=e*d+m*b;c[9]=h*d+p*b;c[10]=l*d+k*b;c[11]=s*d+r*b;return c};
mat4.rotateZ=function(a,b,c){var d=Math.sin(b);b=Math.cos(b);var e=a[0],h=a[1],l=a[2],s=a[3],m=a[4],p=a[5],k=a[6],r=a[7];c?a!==c&&(c[8]=a[8],c[9]=a[9],c[10]=a[10],c[11]=a[11],c[12]=a[12],c[13]=a[13],c[14]=a[14],c[15]=a[15]):c=a;c[0]=e*b+m*d;c[1]=h*b+p*d;c[2]=l*b+k*d;c[3]=s*b+r*d;c[4]=e*-d+m*b;c[5]=h*-d+p*b;c[6]=l*-d+k*b;c[7]=s*-d+r*b;return c};
mat4.frustum=function(a,b,c,d,e,h,l){l||(l=mat4.create());var s=b-a,m=d-c,p=h-e;l[0]=2*e/s;l[1]=0;l[2]=0;l[3]=0;l[4]=0;l[5]=2*e/m;l[6]=0;l[7]=0;l[8]=(b+a)/s;l[9]=(d+c)/m;l[10]=-(h+e)/p;l[11]=-1;l[12]=0;l[13]=0;l[14]=-(2*h*e)/p;l[15]=0;return l};mat4.perspective=function(a,b,c,d,e){a=c*Math.tan(a*Math.PI/360);b*=a;return mat4.frustum(-b,b,-a,a,c,d,e)};
mat4.ortho=function(a,b,c,d,e,h,l){l||(l=mat4.create());var s=b-a,m=d-c,p=h-e;l[0]=2/s;l[1]=0;l[2]=0;l[3]=0;l[4]=0;l[5]=2/m;l[6]=0;l[7]=0;l[8]=0;l[9]=0;l[10]=-2/p;l[11]=0;l[12]=-(a+b)/s;l[13]=-(d+c)/m;l[14]=-(h+e)/p;l[15]=1;return l};
mat4.lookAt=function(a,b,c,d){d||(d=mat4.create());var e,h,l,s,m,p,k,r,n=a[0],t=a[1];a=a[2];h=c[0];l=c[1];e=c[2];c=b[1];p=b[2];if(n===b[0]&&t===c&&a===p)return mat4.identity(d);c=n-b[0];p=t-b[1];k=a-b[2];r=1/Math.sqrt(c*c+p*p+k*k);c*=r;p*=r;k*=r;b=l*k-e*p;e=e*c-h*k;h=h*p-l*c;(r=Math.sqrt(b*b+e*e+h*h))?(r=1/r,b*=r,e*=r,h*=r):h=e=b=0;l=p*h-k*e;s=k*b-c*h;m=c*e-p*b;(r=Math.sqrt(l*l+s*s+m*m))?(r=1/r,l*=r,s*=r,m*=r):m=s=l=0;d[0]=b;d[1]=l;d[2]=c;d[3]=0;d[4]=e;d[5]=s;d[6]=p;d[7]=0;d[8]=h;d[9]=m;d[10]=k;d[11]=
0;d[12]=-(b*n+e*t+h*a);d[13]=-(l*n+s*t+m*a);d[14]=-(c*n+p*t+k*a);d[15]=1;return d};mat4.fromRotationTranslation=function(a,b,c){c||(c=mat4.create());var d=a[0],e=a[1],h=a[2],l=a[3],s=d+d,m=e+e,p=h+h;a=d*s;var k=d*m,d=d*p,r=e*m,e=e*p,h=h*p,s=s*l,m=m*l,l=l*p;c[0]=1-(r+h);c[1]=k+l;c[2]=d-m;c[3]=0;c[4]=k-l;c[5]=1-(a+h);c[6]=e+s;c[7]=0;c[8]=d+m;c[9]=e-s;c[10]=1-(a+r);c[11]=0;c[12]=b[0];c[13]=b[1];c[14]=b[2];c[15]=1;return c};
mat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+", "+a[9]+", "+a[10]+", "+a[11]+", "+a[12]+", "+a[13]+", "+a[14]+", "+a[15]+"]"};quat4.create=function(a){var b=new MatrixArray(4);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3]);return b};quat4.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];return b};
quat4.calculateW=function(a,b){var c=a[0],d=a[1],e=a[2];if(!b||a===b)return a[3]=-Math.sqrt(Math.abs(1-c*c-d*d-e*e)),a;b[0]=c;b[1]=d;b[2]=e;b[3]=-Math.sqrt(Math.abs(1-c*c-d*d-e*e));return b};quat4.inverse=function(a,b){if(!b||a===b)return a[0]*=-1,a[1]*=-1,a[2]*=-1,a;b[0]=-a[0];b[1]=-a[1];b[2]=-a[2];b[3]=a[3];return b};quat4.length=function(a){var b=a[0],c=a[1],d=a[2];a=a[3];return Math.sqrt(b*b+c*c+d*d+a*a)};
quat4.normalize=function(a,b){b||(b=a);var c=a[0],d=a[1],e=a[2],h=a[3],l=Math.sqrt(c*c+d*d+e*e+h*h);if(0===l)return b[0]=0,b[1]=0,b[2]=0,b[3]=0,b;l=1/l;b[0]=c*l;b[1]=d*l;b[2]=e*l;b[3]=h*l;return b};quat4.multiply=function(a,b,c){c||(c=a);var d=a[0],e=a[1],h=a[2];a=a[3];var l=b[0],s=b[1],m=b[2];b=b[3];c[0]=d*b+a*l+e*m-h*s;c[1]=e*b+a*s+h*l-d*m;c[2]=h*b+a*m+d*s-e*l;c[3]=a*b-d*l-e*s-h*m;return c};
quat4.multiplyVec3=function(a,b,c){c||(c=b);var d=b[0],e=b[1],h=b[2];b=a[0];var l=a[1],s=a[2];a=a[3];var m=a*d+l*h-s*e,p=a*e+s*d-b*h,k=a*h+b*e-l*d,d=-b*d-l*e-s*h;c[0]=m*a+d*-b+p*-s-k*-l;c[1]=p*a+d*-l+k*-b-m*-s;c[2]=k*a+d*-s+m*-l-p*-b;return c};quat4.toMat3=function(a,b){b||(b=mat3.create());var c=a[0],d=a[1],e=a[2],h=a[3],l=c+c,s=d+d,m=e+e,p=c*l,k=c*s,c=c*m,r=d*s,d=d*m,e=e*m,l=l*h,s=s*h,h=h*m;b[0]=1-(r+e);b[1]=k+h;b[2]=c-s;b[3]=k-h;b[4]=1-(p+e);b[5]=d+l;b[6]=c+s;b[7]=d-l;b[8]=1-(p+r);return b};
quat4.toMat4=function(a,b){b||(b=mat4.create());var c=a[0],d=a[1],e=a[2],h=a[3],l=c+c,s=d+d,m=e+e,p=c*l,k=c*s,c=c*m,r=d*s,d=d*m,e=e*m,l=l*h,s=s*h,h=h*m;b[0]=1-(r+e);b[1]=k+h;b[2]=c-s;b[3]=0;b[4]=k-h;b[5]=1-(p+e);b[6]=d+l;b[7]=0;b[8]=c+s;b[9]=d-l;b[10]=1-(p+r);b[11]=0;b[12]=0;b[13]=0;b[14]=0;b[15]=1;return b};
quat4.slerp=function(a,b,c,d){d||(d=a);var e=a[0]*b[0]+a[1]*b[1]+a[2]*b[2]+a[3]*b[3],h,l;if(1<=Math.abs(e))return d!==a&&(d[0]=a[0],d[1]=a[1],d[2]=a[2],d[3]=a[3]),d;h=Math.acos(e);l=Math.sqrt(1-e*e);if(0.001>Math.abs(l))return d[0]=0.5*a[0]+0.5*b[0],d[1]=0.5*a[1]+0.5*b[1],d[2]=0.5*a[2]+0.5*b[2],d[3]=0.5*a[3]+0.5*b[3],d;e=Math.sin((1-c)*h)/l;c=Math.sin(c*h)/l;d[0]=a[0]*e+b[0]*c;d[1]=a[1]*e+b[1]*c;d[2]=a[2]*e+b[2]*c;d[3]=a[3]*e+b[3]*c;return d};
quat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+"]"};
(function(){function a(a,b){this.isIE=/msie/i.test(navigator.userAgent)||/trident/i.test(navigator.userAgent);this.height=this.width=0;this.cam=vec3.create([0,0,100]);this.look=vec3.create([0,0,0]);this.up=vec3.create([0,1,0]);this.worldScale=vec3.create([1,1,1]);this.matP=mat4.create();this.matMV=mat4.create();this.lastMV=mat4.create();this.currentMV=mat4.create();this.gl=a;this.initState()}function b(a,b,e){this.gl=a;this.shaderProgram=b;this.name=e;this.locAPos=a.getAttribLocation(b,"aPos");this.locATex=
a.getAttribLocation(b,"aTex");this.locMatP=a.getUniformLocation(b,"matP");this.locMatMV=a.getUniformLocation(b,"matMV");this.locOpacity=a.getUniformLocation(b,"opacity");this.locSamplerFront=a.getUniformLocation(b,"samplerFront");this.locSamplerBack=a.getUniformLocation(b,"samplerBack");this.locDestStart=a.getUniformLocation(b,"destStart");this.locDestEnd=a.getUniformLocation(b,"destEnd");this.locSeconds=a.getUniformLocation(b,"seconds");this.locPixelWidth=a.getUniformLocation(b,"pixelWidth");this.locPixelHeight=
a.getUniformLocation(b,"pixelHeight");this.locLayerScale=a.getUniformLocation(b,"layerScale");this.locLayerAngle=a.getUniformLocation(b,"layerAngle");this.locViewOrigin=a.getUniformLocation(b,"viewOrigin");this.hasAnyOptionalUniforms=!!(this.locPixelWidth||this.locPixelHeight||this.locSeconds||this.locSamplerBack||this.locDestStart||this.locDestEnd||this.locLayerScale||this.locLayerAngle||this.locViewOrigin);this.locOpacity&&a.uniform1f(this.locOpacity,1);this.locSamplerFront&&a.uniform1i(this.locSamplerFront,
0);this.locSamplerBack&&a.uniform1i(this.locSamplerBack,1);this.locDestStart&&a.uniform2f(this.locDestStart,0,0);this.locDestEnd&&a.uniform2f(this.locDestEnd,1,1);this.locLayerScale&&a.uniform1f(this.locLayerScale,1);this.locLayerAngle&&a.uniform1f(this.locLayerAngle,0);this.locViewOrigin&&a.uniform2f(this.locViewOrigin,0,0);this.hasCurrentMatMV=!1}function c(a,b){this.type=a;this.glwrap=b;this.gl=b.gl;this.indexCount=this.startIndex=this.opacityParam=0;this.mat4param=this.texParam=null;this.shaderParams=
[];cr.seal(this)}a.prototype.initState=function(){var a=this.gl,b;this.lastOpacity=1;this.lastTexture1=this.lastTexture0=null;this.currentOpacity=1;a.clearColor(0,0,0,0);a.clear(a.COLOR_BUFFER_BIT);a.enable(a.BLEND);a.blendFunc(a.ONE,a.ONE_MINUS_SRC_ALPHA);a.disable(a.CULL_FACE);a.disable(a.DEPTH_TEST);this.maxTextureSize=a.getParameter(a.MAX_TEXTURE_SIZE);this.lastSrcBlend=a.ONE;this.lastDestBlend=a.ONE_MINUS_SRC_ALPHA;this.pointBuffer=a.createBuffer();a.bindBuffer(a.ARRAY_BUFFER,this.pointBuffer);
this.vertexBuffers=Array(4);this.texcoordBuffers=Array(4);for(b=0;4>b;b++)this.vertexBuffers[b]=a.createBuffer(),a.bindBuffer(a.ARRAY_BUFFER,this.vertexBuffers[b]),this.texcoordBuffers[b]=a.createBuffer(),a.bindBuffer(a.ARRAY_BUFFER,this.texcoordBuffers[b]);this.curBuffer=0;this.indexBuffer=a.createBuffer();a.bindBuffer(a.ELEMENT_ARRAY_BUFFER,this.indexBuffer);this.vertexData=new Float32Array(16E3);this.texcoordData=new Float32Array(16E3);this.pointData=new Float32Array(32E3);for(var e=new Uint16Array(12E3),
c=b=0;12E3>b;)e[b++]=c,e[b++]=c+1,e[b++]=c+2,e[b++]=c,e[b++]=c+2,e[b++]=c+3,c+=4;a.bufferData(a.ELEMENT_ARRAY_BUFFER,e,a.STATIC_DRAW);this.pointPtr=this.vertexPtr=0;this.shaderPrograms=[];b=this.createShaderProgram({src:"varying mediump vec2 vTex;\nuniform lowp float opacity;\nuniform lowp sampler2D samplerFront;\nvoid main(void) {\n\tgl_FragColor = texture2D(samplerFront, vTex);\n\tgl_FragColor *= opacity;\n}"},"attribute highp vec2 aPos;\nattribute mediump vec2 aTex;\nvarying mediump vec2 vTex;\nuniform highp mat4 matP;\nuniform highp mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tvTex = aTex;\n}",
"<default>");this.shaderPrograms.push(b);b=this.createShaderProgram({src:"uniform mediump sampler2D samplerFront;\nvarying lowp float opacity;\nvoid main(void) {\n\tgl_FragColor = texture2D(samplerFront, gl_PointCoord);\n\tgl_FragColor *= opacity;\n}"},"attribute vec4 aPos;\nvarying float opacity;\nuniform mat4 matP;\nuniform mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tgl_PointSize = aPos.z;\n\topacity = aPos.w;\n}","<point>");this.shaderPrograms.push(b);
for(var d in cr.shaders)cr.shaders.hasOwnProperty(d)&&this.shaderPrograms.push(this.createShaderProgram(cr.shaders[d],"attribute highp vec2 aPos;\nattribute mediump vec2 aTex;\nvarying mediump vec2 vTex;\nuniform highp mat4 matP;\nuniform highp mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tvTex = aTex;\n}",d));a.activeTexture(a.TEXTURE0);a.bindTexture(a.TEXTURE_2D,null);this.batch=[];this.batchPtr=0;this.hasPointBatchTop=this.hasQuadBatchTop=!1;
this.currentProgram=this.lastProgram=-1;this.currentShader=null;this.fbo=a.createFramebuffer();this.renderToTex=null;this.tmpVec3=vec3.create([0,0,0]);a=a.getParameter(a.ALIASED_POINT_SIZE_RANGE);this.minPointSize=a[0];this.maxPointSize=a[1];this.switchProgram(0);cr.seal(this)};a.prototype.createShaderProgram=function(a,e,c){var d=this.gl,p=d.createShader(d.FRAGMENT_SHADER);d.shaderSource(p,a.src);d.compileShader(p);if(!d.getShaderParameter(p,d.COMPILE_STATUS))return d.deleteShader(p),null;var k=
d.createShader(d.VERTEX_SHADER);d.shaderSource(k,e);d.compileShader(k);if(!d.getShaderParameter(k,d.COMPILE_STATUS))return d.deleteShader(p),d.deleteShader(k),null;e=d.createProgram();d.attachShader(e,p);d.attachShader(e,k);d.linkProgram(e);if(!d.getProgramParameter(e,d.LINK_STATUS))return d.deleteShader(p),d.deleteShader(k),d.deleteProgram(e),null;d.useProgram(e);d.deleteShader(p);d.deleteShader(k);c=new b(d,e,c);c.extendBoxHorizontal=a.extendBoxHorizontal||0;c.extendBoxVertical=a.extendBoxVertical||
0;c.crossSampling=!!a.crossSampling;c.animated=!!a.animated;c.parameters=a.parameters||[];a=0;for(p=c.parameters.length;a<p;a++)c.parameters[a][1]=d.getUniformLocation(e,c.parameters[a][0]),d.uniform1f(c.parameters[a][1],0);cr.seal(c);return c};a.prototype.getShaderIndex=function(a){var b,e;b=0;for(e=this.shaderPrograms.length;b<e;b++)if(this.shaderPrograms[b].name===a)return b;return-1};a.prototype.project=function(a,b,e){var c=this.matMV,d=this.matP,k=[0,0,0,0,0,0,0,0];k[0]=c[0]*a+c[4]*b+c[12];
k[1]=c[1]*a+c[5]*b+c[13];k[2]=c[2]*a+c[6]*b+c[14];k[3]=c[3]*a+c[7]*b+c[15];k[4]=d[0]*k[0]+d[4]*k[1]+d[8]*k[2]+d[12]*k[3];k[5]=d[1]*k[0]+d[5]*k[1]+d[9]*k[2]+d[13]*k[3];k[6]=d[2]*k[0]+d[6]*k[1]+d[10]*k[2]+d[14]*k[3];k[7]=-k[2];0!==k[7]&&(k[7]=1/k[7],k[4]*=k[7],k[5]*=k[7],k[6]*=k[7],e[0]=(0.5*k[4]+0.5)*this.width,e[1]=(0.5*k[5]+0.5)*this.height)};a.prototype.setSize=function(a,b,e){if(this.width!==a||this.height!==b||e){this.endBatch();this.width=a;this.height=b;this.gl.viewport(0,0,a,b);mat4.perspective(45,
a/b,1,1E3,this.matP);mat4.lookAt(this.cam,this.look,this.up,this.matMV);a=[0,0];b=[0,0];this.project(0,0,a);this.project(1,1,b);this.worldScale[0]=1/(b[0]-a[0]);this.worldScale[1]=-1/(b[1]-a[1]);a=0;for(b=this.shaderPrograms.length;a<b;a++)e=this.shaderPrograms[a],e.hasCurrentMatMV=!1,e.locMatP&&(this.gl.useProgram(e.shaderProgram),this.gl.uniformMatrix4fv(e.locMatP,!1,this.matP));this.gl.useProgram(this.shaderPrograms[this.lastProgram].shaderProgram);this.gl.bindTexture(this.gl.TEXTURE_2D,null);
this.gl.activeTexture(this.gl.TEXTURE1);this.gl.bindTexture(this.gl.TEXTURE_2D,null);this.gl.activeTexture(this.gl.TEXTURE0);this.lastTexture1=this.lastTexture0=null}};a.prototype.resetModelView=function(){mat4.lookAt(this.cam,this.look,this.up,this.matMV);mat4.scale(this.matMV,this.worldScale)};a.prototype.translate=function(a,b){if(0!==a||0!==b)this.tmpVec3[0]=a,this.tmpVec3[1]=b,this.tmpVec3[2]=0,mat4.translate(this.matMV,this.tmpVec3)};a.prototype.scale=function(a,b){if(1!==a||1!==b)this.tmpVec3[0]=
a,this.tmpVec3[1]=b,this.tmpVec3[2]=1,mat4.scale(this.matMV,this.tmpVec3)};a.prototype.rotateZ=function(a){0!==a&&mat4.rotateZ(this.matMV,a)};a.prototype.updateModelView=function(){for(var a=!1,b=0;16>b;b++)if(this.lastMV[b]!==this.matMV[b]){a=!0;break}a&&(a=this.pushBatch(),a.type=5,a.mat4param?mat4.set(this.matMV,a.mat4param):a.mat4param=mat4.create(this.matMV),mat4.set(this.matMV,this.lastMV),this.hasPointBatchTop=this.hasQuadBatchTop=!1)};c.prototype.doSetTexture=function(){this.gl.bindTexture(this.gl.TEXTURE_2D,
this.texParam)};c.prototype.doSetTexture1=function(){var a=this.gl;a.activeTexture(a.TEXTURE1);a.bindTexture(a.TEXTURE_2D,this.texParam);a.activeTexture(a.TEXTURE0)};c.prototype.doSetOpacity=function(){var a=this.opacityParam,b=this.glwrap;b.currentOpacity=a;b=b.currentShader;b.locOpacity&&this.gl.uniform1f(b.locOpacity,a)};c.prototype.doQuad=function(){this.gl.drawElements(this.gl.TRIANGLES,this.indexCount,this.gl.UNSIGNED_SHORT,2*this.startIndex)};c.prototype.doSetBlend=function(){this.gl.blendFunc(this.startIndex,
this.indexCount)};c.prototype.doUpdateModelView=function(){var a,b,e,c=this.glwrap.shaderPrograms,d=this.glwrap.currentProgram;a=0;for(b=c.length;a<b;a++)e=c[a],a===d&&e.locMatMV?(this.gl.uniformMatrix4fv(e.locMatMV,!1,this.mat4param),e.hasCurrentMatMV=!0):e.hasCurrentMatMV=!1;mat4.set(this.mat4param,this.glwrap.currentMV)};c.prototype.doRenderToTexture=function(){var a=this.gl,b=this.glwrap;this.texParam?(b.lastTexture1===this.texParam&&(a.activeTexture(a.TEXTURE1),a.bindTexture(a.TEXTURE_2D,null),
b.lastTexture1=null,a.activeTexture(a.TEXTURE0)),a.bindFramebuffer(a.FRAMEBUFFER,b.fbo),a.framebufferTexture2D(a.FRAMEBUFFER,a.COLOR_ATTACHMENT0,a.TEXTURE_2D,this.texParam,0)):(a.framebufferTexture2D(a.FRAMEBUFFER,a.COLOR_ATTACHMENT0,a.TEXTURE_2D,null,0),a.bindFramebuffer(a.FRAMEBUFFER,null))};c.prototype.doClear=function(){var a=this.gl;0===this.startIndex?(a.clearColor(this.mat4param[0],this.mat4param[1],this.mat4param[2],this.mat4param[3]),a.clear(a.COLOR_BUFFER_BIT)):(a.enable(a.SCISSOR_TEST),
a.scissor(this.mat4param[0],this.mat4param[1],this.mat4param[2],this.mat4param[3]),a.clearColor(0,0,0,0),a.clear(this.gl.COLOR_BUFFER_BIT),a.disable(a.SCISSOR_TEST))};c.prototype.doPoints=function(){var a=this.gl,b=this.glwrap,e=b.shaderPrograms[1];a.useProgram(e.shaderProgram);!e.hasCurrentMatMV&&e.locMatMV&&(a.uniformMatrix4fv(e.locMatMV,!1,b.currentMV),e.hasCurrentMatMV=!0);a.enableVertexAttribArray(e.locAPos);a.bindBuffer(a.ARRAY_BUFFER,b.pointBuffer);a.vertexAttribPointer(e.locAPos,4,a.FLOAT,
!1,0,0);a.drawArrays(a.POINTS,this.startIndex/4,this.indexCount);e=b.currentShader;a.useProgram(e.shaderProgram);0<=e.locAPos&&(a.enableVertexAttribArray(e.locAPos),a.bindBuffer(a.ARRAY_BUFFER,b.vertexBuffers[b.curBuffer]),a.vertexAttribPointer(e.locAPos,2,a.FLOAT,!1,0,0));0<=e.locATex&&(a.enableVertexAttribArray(e.locATex),a.bindBuffer(a.ARRAY_BUFFER,b.texcoordBuffers[b.curBuffer]),a.vertexAttribPointer(e.locATex,2,a.FLOAT,!1,0,0))};c.prototype.doSetProgram=function(){var a=this.gl,b=this.glwrap,
e=b.shaderPrograms[this.startIndex];b.currentProgram=this.startIndex;b.currentShader=e;a.useProgram(e.shaderProgram);!e.hasCurrentMatMV&&e.locMatMV&&(a.uniformMatrix4fv(e.locMatMV,!1,b.currentMV),e.hasCurrentMatMV=!0);e.locOpacity&&a.uniform1f(e.locOpacity,b.currentOpacity);0<=e.locAPos&&(a.enableVertexAttribArray(e.locAPos),a.bindBuffer(a.ARRAY_BUFFER,b.vertexBuffers[b.curBuffer]),a.vertexAttribPointer(e.locAPos,2,a.FLOAT,!1,0,0));0<=e.locATex&&(a.enableVertexAttribArray(e.locATex),a.bindBuffer(a.ARRAY_BUFFER,
b.texcoordBuffers[b.curBuffer]),a.vertexAttribPointer(e.locATex,2,a.FLOAT,!1,0,0))};c.prototype.doSetProgramParameters=function(){var a,b,e=this.glwrap.currentShader,c=this.gl;a=this.mat4param;e.locSamplerBack&&this.glwrap.lastTexture1!==this.texParam&&(c.activeTexture(c.TEXTURE1),c.bindTexture(c.TEXTURE_2D,this.texParam),this.glwrap.lastTexture1=this.texParam,c.activeTexture(c.TEXTURE0));e.locPixelWidth&&c.uniform1f(e.locPixelWidth,a[0]);e.locPixelHeight&&c.uniform1f(e.locPixelHeight,a[1]);e.locDestStart&&
c.uniform2f(e.locDestStart,a[2],a[3]);e.locDestEnd&&c.uniform2f(e.locDestEnd,a[4],a[5]);e.locLayerScale&&c.uniform1f(e.locLayerScale,a[6]);e.locLayerAngle&&c.uniform1f(e.locLayerAngle,a[7]);e.locViewOrigin&&c.uniform2f(e.locViewOrigin,a[8],a[9]);e.locSeconds&&c.uniform1f(e.locSeconds,cr.performance_now()/1E3);if(e.parameters.length)for(a=0,b=e.parameters.length;a<b;a++)c.uniform1f(e.parameters[a][1],this.shaderParams[a])};a.prototype.pushBatch=function(){this.batchPtr===this.batch.length&&this.batch.push(new c(0,
this));return this.batch[this.batchPtr++]};a.prototype.endBatch=function(){if(0!==this.batchPtr&&!this.gl.isContextLost()){var a=this.gl;0<this.pointPtr&&(a.bindBuffer(a.ARRAY_BUFFER,this.pointBuffer),a.bufferData(a.ARRAY_BUFFER,this.pointData.subarray(0,this.pointPtr),a.STREAM_DRAW),b&&0<=b.locAPos&&"<point>"===b.name&&a.vertexAttribPointer(b.locAPos,4,a.FLOAT,!1,0,0));if(0<this.vertexPtr){var b=this.currentShader;a.bindBuffer(a.ARRAY_BUFFER,this.vertexBuffers[this.curBuffer]);a.bufferData(a.ARRAY_BUFFER,
this.vertexData.subarray(0,this.vertexPtr),a.STREAM_DRAW);b&&0<=b.locAPos&&"<point>"!==b.name&&a.vertexAttribPointer(b.locAPos,2,a.FLOAT,!1,0,0);a.bindBuffer(a.ARRAY_BUFFER,this.texcoordBuffers[this.curBuffer]);a.bufferData(a.ARRAY_BUFFER,this.texcoordData.subarray(0,this.vertexPtr),a.STREAM_DRAW);b&&0<=b.locATex&&"<point>"!==b.name&&a.vertexAttribPointer(b.locATex,2,a.FLOAT,!1,0,0)}for(var e,a=0,b=this.batchPtr;a<b;a++)switch(e=this.batch[a],e.type){case 1:e.doQuad();break;case 2:e.doSetTexture();
break;case 3:e.doSetOpacity();break;case 4:e.doSetBlend();break;case 5:e.doUpdateModelView();break;case 6:e.doRenderToTexture();break;case 7:e.doClear();break;case 8:e.doPoints();break;case 9:e.doSetProgram();break;case 10:e.doSetProgramParameters();break;case 11:e.doSetTexture1()}this.pointPtr=this.vertexPtr=this.batchPtr=0;this.hasPointBatchTop=this.hasQuadBatchTop=!1;this.curBuffer++;4<=this.curBuffer&&(this.curBuffer=0)}};a.prototype.setOpacity=function(a){if(a!==this.lastOpacity){var b=this.pushBatch();
b.type=3;this.lastOpacity=b.opacityParam=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.setTexture=function(a){if(a!==this.lastTexture0){var b=this.pushBatch();b.type=2;this.lastTexture0=b.texParam=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.setBlend=function(a,b){if(a!==this.lastSrcBlend||b!==this.lastDestBlend){var e=this.pushBatch();e.type=4;e.startIndex=a;e.indexCount=b;this.lastSrcBlend=a;this.lastDestBlend=b;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.isPremultipliedAlphaBlend=
function(){return this.lastSrcBlend===this.gl.ONE&&this.lastDestBlend===this.gl.ONE_MINUS_SRC_ALPHA};a.prototype.setAlphaBlend=function(){this.setBlend(this.gl.ONE,this.gl.ONE_MINUS_SRC_ALPHA)};a.prototype.setNoPremultiplyAlphaBlend=function(){this.setBlend(this.gl.SRC_ALPHA,this.gl.ONE_MINUS_SRC_ALPHA)};a.prototype.quad=function(a,b,e,c,d,k,r,n){15992<=this.vertexPtr&&this.endBatch();var t=this.vertexPtr,v=this.vertexData,w=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=
6;else{var q=this.pushBatch();q.type=1;q.startIndex=3*(t/4);q.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}v[t]=a;w[t++]=0;v[t]=b;w[t++]=0;v[t]=e;w[t++]=1;v[t]=c;w[t++]=0;v[t]=d;w[t++]=1;v[t]=k;w[t++]=1;v[t]=r;w[t++]=0;v[t]=n;w[t++]=1;this.vertexPtr=t};a.prototype.quadTex=function(a,b,e,c,d,k,r,n,t){15992<=this.vertexPtr&&this.endBatch();var v=this.vertexPtr,w=this.vertexData,q=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=6;else{var u=this.pushBatch();
u.type=1;u.startIndex=3*(v/4);u.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}var u=t.left,x=t.top,f=t.right;t=t.bottom;w[v]=a;q[v++]=u;w[v]=b;q[v++]=x;w[v]=e;q[v++]=f;w[v]=c;q[v++]=x;w[v]=d;q[v++]=f;w[v]=k;q[v++]=t;w[v]=r;q[v++]=u;w[v]=n;q[v++]=t;this.vertexPtr=v};a.prototype.quadTexUV=function(a,b,e,c,d,k,r,n,t,v,w,q,u,x,f,g){15992<=this.vertexPtr&&this.endBatch();var D=this.vertexPtr,z=this.vertexData,A=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=
6;else{var y=this.pushBatch();y.type=1;y.startIndex=3*(D/4);y.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}z[D]=a;A[D++]=t;z[D]=b;A[D++]=v;z[D]=e;A[D++]=w;z[D]=c;A[D++]=q;z[D]=d;A[D++]=u;z[D]=k;A[D++]=x;z[D]=r;A[D++]=f;z[D]=n;A[D++]=g;this.vertexPtr=D};a.prototype.point=function(a,b,e,c){7996<=this.pointPtr&&this.endBatch();var d=this.pointPtr,k=this.pointData;if(this.hasPointBatchTop)this.batch[this.batchPtr-1].indexCount++;else{var r=this.pushBatch();r.type=8;r.startIndex=d;r.indexCount=
1;this.hasPointBatchTop=!0;this.hasQuadBatchTop=!1}k[d++]=a;k[d++]=b;k[d++]=e;k[d++]=c;this.pointPtr=d};a.prototype.switchProgram=function(a){if(this.lastProgram!==a){if(!this.shaderPrograms[a]){if(0===this.lastProgram)return;a=0}var b=this.pushBatch();b.type=9;this.lastProgram=b.startIndex=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.programUsesDest=function(a){a=this.shaderPrograms[a];return!(!a.locDestStart&&!a.locDestEnd)};a.prototype.programUsesCrossSampling=function(a){a=this.shaderPrograms[a];
return!!(a.locDestStart||a.locDestEnd||a.crossSampling)};a.prototype.programExtendsBox=function(a){a=this.shaderPrograms[a];return 0!==a.extendBoxHorizontal||0!==a.extendBoxVertical};a.prototype.getProgramBoxExtendHorizontal=function(a){return this.shaderPrograms[a].extendBoxHorizontal};a.prototype.getProgramBoxExtendVertical=function(a){return this.shaderPrograms[a].extendBoxVertical};a.prototype.getProgramParameterType=function(a,b){return this.shaderPrograms[a].parameters[b][2]};a.prototype.programIsAnimated=
function(a){return this.shaderPrograms[a].animated};a.prototype.setProgramParameters=function(a,b,e,c,d,k,r,n,t,v,w,q){var u=this.shaderPrograms[this.lastProgram],x,f;if(u.hasAnyOptionalUniforms||q.length){x=this.pushBatch();x.type=10;x.mat4param?mat4.set(this.matMV,x.mat4param):x.mat4param=mat4.create();f=x.mat4param;f[0]=b;f[1]=e;f[2]=c;f[3]=d;f[4]=k;f[5]=r;f[6]=n;f[7]=t;f[8]=v;f[9]=w;x.texParam=u.locSamplerBack?a:null;if(q.length)for(e=x.shaderParams,e.length=q.length,a=0,b=q.length;a<b;a++)e[a]=
q[a];this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.clear=function(a,b,e,c){var d=this.pushBatch();d.type=7;d.startIndex=0;d.mat4param||(d.mat4param=mat4.create());d.mat4param[0]=a;d.mat4param[1]=b;d.mat4param[2]=e;d.mat4param[3]=c;this.hasPointBatchTop=this.hasQuadBatchTop=!1};a.prototype.clearRect=function(a,b,e,c){if(!(0>e||0>c)){var d=this.pushBatch();d.type=7;d.startIndex=1;d.mat4param||(d.mat4param=mat4.create());d.mat4param[0]=a;d.mat4param[1]=b;d.mat4param[2]=e;d.mat4param[3]=
c;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.present=function(){this.endBatch();this.gl.flush()};var d=[],e={};a.prototype.loadTexture=function(a,b,c,m,p){b=!!b;c=!!c;var k=a.src+","+b+","+c+(b?","+p:""),r=null;if("undefined"!==typeof a.src&&e.hasOwnProperty(k))return r=e[k],r.c2refcount++,r;this.endBatch();var n=this.gl,t=cr.isPOT(a.width)&&cr.isPOT(a.height),r=n.createTexture();n.bindTexture(n.TEXTURE_2D,r);n.pixelStorei(n.UNPACK_PREMULTIPLY_ALPHA_WEBGL,!0);var v=n.RGBA,w=n.RGBA,
q=n.UNSIGNED_BYTE;if(m&&!this.isIE)switch(m){case 1:w=v=n.RGB;break;case 2:q=n.UNSIGNED_SHORT_4_4_4_4;break;case 3:q=n.UNSIGNED_SHORT_5_5_5_1;break;case 4:w=v=n.RGB,q=n.UNSIGNED_SHORT_5_6_5}if(!t&&b){m=document.createElement("canvas");m.width=cr.nextHighestPowerOfTwo(a.width);m.height=cr.nextHighestPowerOfTwo(a.height);var u=m.getContext("2d");u.webkitImageSmoothingEnabled=c;u.mozImageSmoothingEnabled=c;u.msImageSmoothingEnabled=c;u.imageSmoothingEnabled=c;u.drawImage(a,0,0,a.width,a.height,0,0,m.width,
m.height);n.texImage2D(n.TEXTURE_2D,0,v,w,q,m)}else n.texImage2D(n.TEXTURE_2D,0,v,w,q,a);b?"repeat-x"===p?(n.texParameteri(n.TEXTURE_2D,n.TEXTURE_WRAP_S,n.REPEAT),n.texParameteri(n.TEXTURE_2D,n.TEXTURE_WRAP_T,n.CLAMP_TO_EDGE)):("repeat-y"===p?n.texParameteri(n.TEXTURE_2D,n.TEXTURE_WRAP_S,n.CLAMP_TO_EDGE):n.texParameteri(n.TEXTURE_2D,n.TEXTURE_WRAP_S,n.REPEAT),n.texParameteri(n.TEXTURE_2D,n.TEXTURE_WRAP_T,n.REPEAT)):(n.texParameteri(n.TEXTURE_2D,n.TEXTURE_WRAP_S,n.CLAMP_TO_EDGE),n.texParameteri(n.TEXTURE_2D,
n.TEXTURE_WRAP_T,n.CLAMP_TO_EDGE));c?(n.texParameteri(n.TEXTURE_2D,n.TEXTURE_MAG_FILTER,n.LINEAR),t?(n.texParameteri(n.TEXTURE_2D,n.TEXTURE_MIN_FILTER,n.LINEAR_MIPMAP_LINEAR),n.generateMipmap(n.TEXTURE_2D)):n.texParameteri(n.TEXTURE_2D,n.TEXTURE_MIN_FILTER,n.LINEAR)):(n.texParameteri(n.TEXTURE_2D,n.TEXTURE_MAG_FILTER,n.NEAREST),n.texParameteri(n.TEXTURE_2D,n.TEXTURE_MIN_FILTER,n.NEAREST));n.bindTexture(n.TEXTURE_2D,null);this.lastTexture0=null;r.c2width=a.width;r.c2height=a.height;r.c2refcount=1;
r.c2texkey=k;d.push(r);return e[k]=r};a.prototype.createEmptyTexture=function(a,b,e,c,p){this.endBatch();var k=this.gl;this.isIE&&(c=!1);var r=k.createTexture();k.bindTexture(k.TEXTURE_2D,r);k.texImage2D(k.TEXTURE_2D,0,k.RGBA,a,b,0,k.RGBA,c?k.UNSIGNED_SHORT_4_4_4_4:k.UNSIGNED_BYTE,null);p?(k.texParameteri(k.TEXTURE_2D,k.TEXTURE_WRAP_S,k.REPEAT),k.texParameteri(k.TEXTURE_2D,k.TEXTURE_WRAP_T,k.REPEAT)):(k.texParameteri(k.TEXTURE_2D,k.TEXTURE_WRAP_S,k.CLAMP_TO_EDGE),k.texParameteri(k.TEXTURE_2D,k.TEXTURE_WRAP_T,
k.CLAMP_TO_EDGE));k.texParameteri(k.TEXTURE_2D,k.TEXTURE_MAG_FILTER,e?k.LINEAR:k.NEAREST);k.texParameteri(k.TEXTURE_2D,k.TEXTURE_MIN_FILTER,e?k.LINEAR:k.NEAREST);k.bindTexture(k.TEXTURE_2D,null);this.lastTexture0=null;r.c2width=a;r.c2height=b;d.push(r);return r};a.prototype.videoToTexture=function(a,b,e){this.endBatch();var c=this.gl;this.isIE&&(e=!1);c.bindTexture(c.TEXTURE_2D,b);c.pixelStorei(c.UNPACK_PREMULTIPLY_ALPHA_WEBGL,!0);c.texImage2D(c.TEXTURE_2D,0,c.RGBA,c.RGBA,e?c.UNSIGNED_SHORT_4_4_4_4:
c.UNSIGNED_BYTE,a);c.bindTexture(c.TEXTURE_2D,null);this.lastTexture0=null};a.prototype.deleteTexture=function(a){a&&("undefined"!==typeof a.c2refcount&&1<a.c2refcount?a.c2refcount--:(this.endBatch(),a===this.lastTexture0&&(this.gl.bindTexture(this.gl.TEXTURE_2D,null),this.lastTexture0=null),a===this.lastTexture1&&(this.gl.activeTexture(this.gl.TEXTURE1),this.gl.bindTexture(this.gl.TEXTURE_2D,null),this.gl.activeTexture(this.gl.TEXTURE0),this.lastTexture1=null),cr.arrayFindRemove(d,a),"undefined"!==
typeof a.c2texkey&&delete e[a.c2texkey],this.gl.deleteTexture(a)))};a.prototype.estimateVRAM=function(){var a=8*this.width*this.height,b,e,c;b=0;for(e=d.length;b<e;b++)c=d[b],a+=4*c.c2width*c.c2height;return a};a.prototype.textureCount=function(){return d.length};a.prototype.setRenderingToTexture=function(a){if(a!==this.renderToTex){var b=this.pushBatch();b.type=6;this.renderToTex=b.texParam=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};cr.GLWrap=a})();
(function(){function a(a){if(a&&(a.getContext||a.dc)&&!a.c2runtime){a.c2runtime=this;var b=this;this.isCrosswalk=/crosswalk/i.test(navigator.userAgent)||/xwalk/i.test(navigator.userAgent)||!("undefined"===typeof window.c2isCrosswalk||!window.c2isCrosswalk);this.isPhoneGap=!this.isCrosswalk&&"undefined"!==typeof window.device&&("undefined"!==typeof window.device.cordova||"undefined"!==typeof window.device.phonegap);this.isDirectCanvas=!!a.dc;this.isAppMobi="undefined"!==typeof window.AppMobi||this.isDirectCanvas;
this.isCocoonJs=!!window.c2cocoonjs;this.isEjecta=!!window.c2ejecta;this.isCocoonJs&&(CocoonJS.App.onSuspended.addEventListener(function(){b.setSuspended(!0)}),CocoonJS.App.onActivated.addEventListener(function(){b.setSuspended(!1)}));this.isEjecta&&(document.addEventListener("pagehide",function(){b.setSuspended(!0)}),document.addEventListener("pageshow",function(){b.setSuspended(!1)}),document.addEventListener("resize",function(){b.setSize(window.innerWidth,window.innerHeight)}));this.isDomFree=
this.isDirectCanvas||this.isCocoonJs||this.isEjecta;this.isTizen=/tizen/i.test(navigator.userAgent);this.isAndroid=/android/i.test(navigator.userAgent)&&!this.isTizen;this.isIE=/msie/i.test(navigator.userAgent)||/trident/i.test(navigator.userAgent);this.isiPhone=/iphone/i.test(navigator.userAgent)||/ipod/i.test(navigator.userAgent);this.isiPad=/ipad/i.test(navigator.userAgent);this.isiOS=this.isiPhone||this.isiPad||this.isEjecta;this.isiPhoneiOS6=this.isiPhone&&/os\s6/i.test(navigator.userAgent);
this.isChrome=/chrome/i.test(navigator.userAgent)||/chromium/i.test(navigator.userAgent);this.isAmazonWebApp=/amazonwebappplatform/i.test(navigator.userAgent);this.isFirefox=/firefox/i.test(navigator.userAgent);this.isSafari=!this.isChrome&&/safari/i.test(navigator.userAgent);this.isWindows=/windows/i.test(navigator.userAgent);this.isNodeWebkit="undefined"!==typeof window.c2nodewebkit||/nodewebkit/i.test(navigator.userAgent);this.isArcade="undefined"!==typeof window.is_scirra_arcade;this.isWindows8App=
!("undefined"===typeof window.c2isWindows8||!window.c2isWindows8);this.isWindows8Capable=!("undefined"===typeof window.c2isWindows8Capable||!window.c2isWindows8Capable);this.isWindowsPhone8=!("undefined"===typeof window.c2isWindowsPhone8||!window.c2isWindowsPhone8);this.isWindowsPhone81=!("undefined"===typeof window.c2isWindowsPhone81||!window.c2isWindowsPhone81);this.isWinJS=this.isWindows8App||this.isWindows8Capable||this.isWindowsPhone81;this.isBlackberry10=!("undefined"===typeof window.c2isBlackberry10||
!window.c2isBlackberry10);this.isAndroidStockBrowser=this.isAndroid&&!this.isChrome&&!this.isFirefox&&!this.isAmazonWebApp&&!this.isDomFree;this.devicePixelRatio=1;this.isMobile=this.isPhoneGap||this.isCrosswalk||this.isAppMobi||this.isCocoonJs||this.isAndroid||this.isiOS||this.isWindowsPhone8||this.isWindowsPhone81||this.isBlackberry10||this.isTizen||this.isEjecta;this.isMobile||(this.isMobile=/(blackberry|bb10|playbook|palm|symbian|nokia|windows\s+ce|phone|mobile|tablet|kindle|silk)/i.test(navigator.userAgent));
"undefined"===typeof cr_is_preview||this.isNodeWebkit||"?nw"!==window.location.search&&!/nodewebkit/i.test(navigator.userAgent)||(this.isNodeWebkit=!0);this.isDebug="undefined"!==typeof cr_is_preview&&-1<window.location.search.indexOf("debug");this.canvas=a;this.canvasdiv=document.getElementById("c2canvasdiv");this.ctx=this.glwrap=this.gl=null;this.fullscreenOldMarginCss="";this.firstInFullscreen=!1;this.oldHeight=this.oldWidth=0;this.canvas.oncontextmenu=function(a){a.preventDefault&&a.preventDefault();
return!1};this.canvas.onselectstart=function(a){a.preventDefault&&a.preventDefault();return!1};this.isDirectCanvas&&(window.c2runtime=this);this.isNodeWebkit&&(window.ondragover=function(a){a.preventDefault();return!1},window.ondrop=function(a){a.preventDefault();return!1},require("nw.gui").App.clearCache());this.width=a.width;this.height=a.height;this.draw_width=this.width;this.draw_height=this.height;this.cssWidth=this.width;this.cssHeight=this.height;this.lastWindowWidth=window.innerWidth;this.lastWindowHeight=
window.innerHeight;this.redraw=!0;this.isSuspended=!1;Date.now||(Date.now=function(){return+new Date});this.plugins=[];this.types={};this.types_by_index=[];this.behaviors=[];this.layouts={};this.layouts_by_index=[];this.eventsheets={};this.eventsheets_by_index=[];this.wait_for_textures=[];this.triggers_to_postinit=[];this.all_global_vars=[];this.all_local_vars=[];this.jumpthruBehavior=this.solidBehavior=null;this.deathRow=new cr.ObjectSet;this.isInClearDeathRow=!1;this.isInOnDestroy=0;this.isRunningEvents=
!1;this.createRow=[];this.isLoadingState=!1;this.lastSaveJson=this.loadFromJson=this.loadFromSlot=this.saveToSlot="";this.suspendDrawing=this.signalledContinuousPreview=!1;this.zeroDtCount=this.cpuutilisation=this.logictime=this.dt1=this.dt=0;this.timescale=1;this.kahanTime=new cr.KahanAdder;this.last_tick_time=0;this.measuring_dt=!0;this.objectcount=this.framecount=this.execcount=this.tickcount=this.last_fps_time=this.fps=0;this.changelayout=null;this.destroycallbacks=[];this.event_stack=[];this.event_stack_index=
-1;this.localvar_stack=[[]];this.trigger_depth=this.localvar_stack_index=0;this.pushEventStack(null);this.loop_stack=[];this.loop_stack_index=-1;this.next_puid=this.next_uid=0;this.layout_first_tick=!0;this.family_count=0;this.suspend_events=[];this.timeout_id=this.raf_id=-1;this.isloading=!0;this.loadingprogress=0;this.isNodeFullscreen=!1;this.stackLocalCount=0;this.halfFramerateMode=!1;this.lastRafTime=0;this.isInUserInputEvent=this.had_a_click=this.ranLastRaf=!1;this.objects_to_tick=new cr.ObjectSet;
this.objects_to_tick2=new cr.ObjectSet;this.registered_collisions=[];this.temp_poly=new cr.CollisionPoly([]);this.temp_poly2=new cr.CollisionPoly([]);this.allGroups=[];this.groups_by_name={};this.cndsBySid={};this.actsBySid={};this.varsBySid={};this.blocksBySid={};this.layout_ctx=this.layout_canvas=this.layout_tex=this.layer_tex=this.layer_ctx=this.layer_canvas=this.running_layout=null;this.uses_background_blending=this.is_WebGL_context_lost=!1;this.fx_tex=[null,null];this.fullscreen_scaling=0;this.files_subfolder=
"";this.objectsByUid={};this.snapshotCanvas=this.loaderlogo=null;this.snapshotData="";this.load();this.devicePixelRatio=(this.isRetina=(!this.isDomFree||this.isEjecta)&&this.useHighDpi&&!this.isAndroidStockBrowser)?window.devicePixelRatio||window.webkitDevicePixelRatio||window.mozDevicePixelRatio||window.msDevicePixelRatio||1:1;this.ClearDeathRow();var e,f=this.alphaBackground&&!(this.isNodeWebkit||this.isWinJS||this.isWindowsPhone8||this.isCrosswalk);0<this.fullscreen_mode&&this.setSize(window.innerWidth,
window.innerHeight,!0);try{this.enableWebGL&&(this.isCocoonJs||this.isEjecta||!this.isDomFree)&&(e={alpha:f,depth:!1,antialias:!1,failIfMajorPerformanceCaveat:!0},this.gl=a.getContext("webgl",e)||a.getContext("experimental-webgl",e))}catch(g){}if(this.gl){this.isDomFree||(this.overlay_canvas=document.createElement("canvas"),jQuery(this.overlay_canvas).appendTo(this.canvas.parentNode),this.overlay_canvas.oncontextmenu=function(a){return!1},this.overlay_canvas.onselectstart=function(a){return!1},this.overlay_canvas.width=
this.cssWidth,this.overlay_canvas.height=this.cssHeight,jQuery(this.overlay_canvas).css({width:this.cssWidth+"px",height:this.cssHeight+"px"}),this.positionOverlayCanvas(),this.overlay_ctx=this.overlay_canvas.getContext("2d"));this.glwrap=new cr.GLWrap(this.gl,this.isMobile);this.glwrap.setSize(a.width,a.height);this.ctx=null;this.canvas.addEventListener("webglcontextlost",function(a){a.preventDefault();b.onContextLost();console.log("[Construct 2] WebGL context lost");window.cr_setSuspended(!0)},
!1);this.canvas.addEventListener("webglcontextrestored",function(a){b.glwrap.initState();b.glwrap.setSize(b.glwrap.width,b.glwrap.height,!0);b.layer_tex=null;b.layout_tex=null;b.fx_tex[0]=null;b.fx_tex[1]=null;b.onContextRestored();b.redraw=!0;console.log("[Construct 2] WebGL context restored");window.cr_setSuspended(!1)},!1);var c,d,h,l,r,k;a=0;for(e=this.types_by_index.length;a<e;a++)for(d=this.types_by_index[a],f=0,c=d.effect_types.length;f<c;f++)l=d.effect_types[f],l.shaderindex=this.glwrap.getShaderIndex(l.id),
this.uses_background_blending=this.uses_background_blending||this.glwrap.programUsesDest(l.shaderindex);a=0;for(e=this.layouts_by_index.length;a<e;a++){r=this.layouts_by_index[a];f=0;for(c=r.effect_types.length;f<c;f++)l=r.effect_types[f],l.shaderindex=this.glwrap.getShaderIndex(l.id);f=0;for(c=r.layers.length;f<c;f++)for(k=r.layers[f],d=0,h=k.effect_types.length;d<h;d++)l=k.effect_types[d],l.shaderindex=this.glwrap.getShaderIndex(l.id),this.uses_background_blending=this.uses_background_blending||
this.glwrap.programUsesDest(l.shaderindex)}}else{if(0<this.fullscreen_mode&&this.isDirectCanvas){this.canvas=null;document.oncontextmenu=function(a){return!1};document.onselectstart=function(a){return!1};this.ctx=AppMobi.canvas.getContext("2d");try{this.ctx.samplingMode=this.linearSampling?"smooth":"sharp",this.ctx.globalScale=1,this.ctx.HTML5CompatibilityMode=!0,this.ctx.imageSmoothingEnabled=this.linearSampling}catch(t){}0!==this.width&&0!==this.height&&(this.ctx.width=this.width,this.ctx.height=
this.height)}this.ctx||(e=this.isCocoonJs?{antialias:!!this.linearSampling,alpha:f}:{alpha:f},this.ctx=a.getContext("2d",e),this.ctx.webkitImageSmoothingEnabled=this.linearSampling,this.ctx.mozImageSmoothingEnabled=this.linearSampling,this.ctx.msImageSmoothingEnabled=this.linearSampling,this.ctx.imageSmoothingEnabled=this.linearSampling);this.overlay_ctx=this.overlay_canvas=null}this.tickFunc=function(){b.tick(!1)};window==window.top||this.isDomFree||this.isWinJS||this.isWindowsPhone8||(document.addEventListener("mousedown",
function(){window.focus()},!0),document.addEventListener("touchstart",function(){window.focus()},!0));"undefined"!==typeof cr_is_preview&&(this.isCocoonJs&&console.log("[Construct 2] In preview-over-wifi via CocoonJS mode"),-1<window.location.search.indexOf("continuous")&&(cr.logexport("Reloading for continuous preview"),this.loadFromSlot="__c2_continuouspreview",this.suspendDrawing=!0),this.pauseOnBlur&&!this.isMobile&&(jQuery(window).focus(function(){b.setSuspended(!1)}),jQuery(window).blur(function(){b.setSuspended(!0)})));
0===this.fullscreen_mode&&this.isRetina&&1<this.devicePixelRatio&&this.setSize(this.original_width,this.original_height,!0);this.tryLockOrientation();this.go();this.extra={};cr.seal(this)}}function b(a){a.target.result.createObjectStore("saves",{keyPath:"slot"})}function c(a,e,c,f){var g=indexedDB.open("_C2SaveStates");g.onupgradeneeded=b;g.onerror=f;g.onsuccess=function(g){g=g.target.result;g.onerror=f;g.transaction(["saves"],"readwrite").objectStore("saves").put({slot:a,data:e}).onsuccess=c}}function d(a,
e,c){var f=indexedDB.open("_C2SaveStates");f.onupgradeneeded=b;f.onerror=c;f.onsuccess=function(g){g=g.target.result;g.onerror=c;var f=g.transaction(["saves"]).objectStore("saves").get(a);f.onsuccess=function(a){f.result?e(f.result.data):e(null)}}}function e(){cr.logexport("Reloading for continuous preview");window.c2cocoonjs?CocoonJS.App.reload():-1<window.location.search.indexOf("continuous")?window.location.reload(!0):window.location+="?continuous"}function h(a){var b,e={};for(b in a)!a.hasOwnProperty(b)||
a[b]instanceof cr.ObjectSet||a[b]&&"undefined"!==typeof a[b].c2userdata||(e[b]=a[b]);return e}a.prototype.setSize=function(a,b,e){var f=0,g=0,c=0,d=0,d=0,h=this.isiPhoneiOS6&&this.isSafari&&!navigator.standalone&&!this.isDomFree&&!this.isPhoneGap;h&&(b+=60);if(this.lastWindowWidth!==a||this.lastWindowHeight!==b||e){this.lastWindowWidth=a;this.lastWindowHeight=b;var l=this.fullscreen_mode,r=document.mozFullScreen||document.webkitIsFullScreen||!!document.msFullscreenElement||document.fullScreen||this.isNodeFullscreen;
if(r||0!==this.fullscreen_mode||e)r&&0<this.fullscreen_scaling&&(l=this.fullscreen_scaling),4<=l?(e=this.original_width/this.original_height,a/b>e?(c=b*e,5===l?(d=c/this.original_width,1<d?d=Math.floor(d):1>d&&(d=1/Math.ceil(1/d)),c=this.original_width*d,d*=this.original_height,f=(a-c)/2,g=(b-d)/2,a=c,b=d):(f=(a-c)/2,a=c)):(d=a/e,5===l?(d/=this.original_height,1<d?d=Math.floor(d):1>d&&(d=1/Math.ceil(1/d)),c=this.original_width*d,d*=this.original_height,f=(a-c)/2,g=(b-d)/2,a=c):g=(b-d)/2,b=d),r&&!this.isNodeWebkit&&
(g=f=0),f=Math.floor(f),g=Math.floor(g),a=Math.floor(a),b=Math.floor(b)):this.isNodeWebkit&&this.isNodeFullscreen&&0===this.fullscreen_mode_set&&(f=Math.floor((a-this.original_width)/2),g=Math.floor((b-this.original_height)/2),a=this.original_width,b=this.original_height),2>l&&(this.aspect_scale=this.devicePixelRatio),this.isRetina&&this.isiPad&&1<this.devicePixelRatio&&(1024<=a&&(a=1023),1024<=b&&(b=1023)),r=this.devicePixelRatio,this.cssWidth=a,this.cssHeight=b,this.width=Math.round(a*r),this.height=
Math.round(b*r),this.redraw=!0,this.wantFullscreenScalingQuality?(this.draw_width=this.width,this.draw_height=this.height,this.fullscreenScalingQuality=!0):this.width<this.original_width&&this.height<this.original_height||1===l?(this.draw_width=this.width,this.draw_height=this.height,this.fullscreenScalingQuality=!0):(this.draw_width=this.original_width,this.draw_height=this.original_height,this.fullscreenScalingQuality=!1,2===l?(e=this.original_width/this.original_height,l=this.lastWindowWidth/this.lastWindowHeight,
l<e?this.draw_width=this.draw_height*l:l>e&&(this.draw_height=this.draw_width/l)):3===l&&(e=this.original_width/this.original_height,l=this.lastWindowWidth/this.lastWindowHeight,l>e?this.draw_width=this.draw_height*l:l<e&&(this.draw_height=this.draw_width/l))),this.canvasdiv&&!this.isDomFree&&(jQuery(this.canvasdiv).css({width:a+"px",height:b+"px","margin-left":f,"margin-top":g}),"undefined"!==typeof cr_is_preview&&jQuery("#borderwrap").css({width:a+"px",height:b+"px"})),this.canvas&&(this.canvas.width=
Math.round(a*r),this.canvas.height=Math.round(b*r),this.isEjecta?(this.canvas.style.left=f+"px",this.canvas.style.top=g+"px",this.canvas.style.width=a+"px",this.canvas.style.height=b+"px"):this.isRetina&&!this.isDomFree&&jQuery(this.canvas).css({width:a+"px",height:b+"px"})),this.overlay_canvas&&(this.overlay_canvas.width=a,this.overlay_canvas.height=b,jQuery(this.overlay_canvas).css({width:a+"px",height:b+"px"})),this.glwrap&&this.glwrap.setSize(Math.round(a*r),Math.round(b*r)),this.isDirectCanvas&&
this.ctx&&(this.ctx.width=a,this.ctx.height=b),this.ctx&&(this.ctx.webkitImageSmoothingEnabled=this.linearSampling,this.ctx.mozImageSmoothingEnabled=this.linearSampling,this.ctx.msImageSmoothingEnabled=this.linearSampling,this.ctx.imageSmoothingEnabled=this.linearSampling),this.tryLockOrientation(),this.isDomFree||!h&&!this.isiPhone||window.setTimeout(function(){window.scrollTo(0,1)},100)}};a.prototype.tryLockOrientation=function(){if(this.autoLockOrientation&&0!==this.orientations){var a="portrait";
2===this.orientations&&(a="landscape");screen.lockOrientation?screen.lockOrientation(a):screen.webkitLockOrientation?screen.webkitLockOrientation(a):screen.mozLockOrientation?screen.mozLockOrientation(a):screen.msLockOrientation&&screen.msLockOrientation(a)}};a.prototype.onContextLost=function(){this.is_WebGL_context_lost=!0;var a,b,e;a=0;for(b=this.types_by_index.length;a<b;a++)if(e=this.types_by_index[a],e.onLostWebGLContext)e.onLostWebGLContext()};a.prototype.onContextRestored=function(){this.is_WebGL_context_lost=
!1;var a,b,e;a=0;for(b=this.types_by_index.length;a<b;a++)if(e=this.types_by_index[a],e.onRestoreWebGLContext)e.onRestoreWebGLContext()};a.prototype.positionOverlayCanvas=function(){if(!this.isDomFree){var a=document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||document.msFullscreenElement||this.isNodeFullscreen?jQuery(this.canvas).offset():jQuery(this.canvas).position();a.position="absolute";jQuery(this.overlay_canvas).css(a)}};var l=window.cancelAnimationFrame||window.mozCancelAnimationFrame||
window.webkitCancelAnimationFrame||window.msCancelAnimationFrame||window.oCancelAnimationFrame;a.prototype.setSuspended=function(a){var b;if(a&&!this.isSuspended)for(cr.logexport("[Construct 2] Suspending"),this.isSuspended=!0,-1!==this.raf_id&&l&&l(this.raf_id),-1!==this.timeout_id&&clearTimeout(this.timeout_id),a=0,b=this.suspend_events.length;a<b;a++)this.suspend_events[a](!0);else if(!a&&this.isSuspended){cr.logexport("[Construct 2] Resuming");this.isSuspended=!1;this.last_tick_time=cr.performance_now();
this.last_fps_time=cr.performance_now();a=this.logictime=this.framecount=0;for(b=this.suspend_events.length;a<b;a++)this.suspend_events[a](!1);this.tick(!1)}};a.prototype.addSuspendCallback=function(a){this.suspend_events.push(a)};a.prototype.load=function(){var a=cr.getProjectModel();this.name=a[0];this.first_layout=a[1];this.fullscreen_mode=a[11];this.fullscreen_mode_set=a[11];this.original_width=a[9];this.original_height=a[10];this.parallax_x_origin=this.original_width/2;this.parallax_y_origin=
this.original_height/2;this.isDomFree&&!this.isEjecta&&(4<=a[11]||0===a[11])&&(cr.logexport("[Construct 2] Letterbox scale fullscreen modes are not supported on this platform - falling back to 'Scale outer'"),this.fullscreen_mode_set=this.fullscreen_mode=3);this.uses_loader_layout=a[17];this.loaderstyle=a[18];0===this.loaderstyle&&(this.loaderlogo=new Image,this.loaderlogo.src="loading-logo.png");this.next_uid=a[20];this.system=new cr.system_object(this);var b,e,f,g,c,d,h,l,r;b=0;for(e=a[2].length;b<
e;b++){h=a[2][b];cr.add_common_aces(h);r=new h[0](this);r.singleglobal=h[1];r.is_world=h[2];r.must_predraw=h[9];if(r.onCreate)r.onCreate();cr.seal(r);this.plugins.push(r)}a=cr.getProjectModel();b=0;for(e=a[3].length;b<e;b++){h=a[3][b];c=h[1];r=null;f=0;for(g=this.plugins.length;f<g;f++)if(this.plugins[f]instanceof c){r=this.plugins[f];break}var k=new r.Type(r);k.name=h[0];k.is_family=h[2];k.instvar_sids=h[3].slice(0);k.vars_count=h[3].length;k.behs_count=h[4];k.fx_count=h[5];k.sid=h[11];k.is_family?
(k.members=[],k.family_index=this.family_count++,k.families=null):(k.members=null,k.family_index=-1,k.families=[]);k.family_var_map=null;k.family_beh_map=null;k.family_fx_map=null;k.is_contained=!1;k.container=null;h[6]?(k.texture_file=h[6][0],k.texture_filesize=h[6][1],k.texture_pixelformat=h[6][2]):(k.texture_file=null,k.texture_filesize=0,k.texture_pixelformat=0);k.animations=h[7]?h[7]:null;k.index=b;k.instances=[];k.deadCache=[];k.solstack=[new cr.selection(k)];k.cur_sol=0;k.default_instance=
null;k.default_layerindex=0;k.stale_iids=!0;k.updateIIDs=cr.type_updateIIDs;k.getFirstPicked=cr.type_getFirstPicked;k.getPairedInstance=cr.type_getPairedInstance;k.getCurrentSol=cr.type_getCurrentSol;k.pushCleanSol=cr.type_pushCleanSol;k.pushCopySol=cr.type_pushCopySol;k.popSol=cr.type_popSol;k.getBehaviorByName=cr.type_getBehaviorByName;k.getBehaviorIndexByName=cr.type_getBehaviorIndexByName;k.getEffectIndexByName=cr.type_getEffectIndexByName;k.applySolToContainer=cr.type_applySolToContainer;k.getInstanceByIID=
cr.type_getInstanceByIID;k.collision_grid=new cr.SparseGrid(this.original_width,this.original_height);k.any_cell_changed=!0;k.any_instance_parallaxed=!1;k.extra={};k.toString=cr.type_toString;k.behaviors=[];f=0;for(g=h[8].length;f<g;f++){l=h[8][f];var t=l[1],s=null;c=0;for(d=this.behaviors.length;c<d;c++)if(this.behaviors[c]instanceof t){s=this.behaviors[c];break}if(!s){s=new t(this);s.my_types=[];s.my_instances=new cr.ObjectSet;if(s.onCreate)s.onCreate();cr.seal(s);this.behaviors.push(s);cr.behaviors.solid&&
s instanceof cr.behaviors.solid&&(this.solidBehavior=s);cr.behaviors.jumpthru&&s instanceof cr.behaviors.jumpthru&&(this.jumpthruBehavior=s)}-1===s.my_types.indexOf(k)&&s.my_types.push(k);c=new s.Type(s,k);c.name=l[0];c.sid=l[2];c.onCreate();cr.seal(c);k.behaviors.push(c)}k.global=h[9];k.isOnLoaderLayout=h[10];k.effect_types=[];f=0;for(g=h[12].length;f<g;f++)k.effect_types.push({id:h[12][f][0],name:h[12][f][1],shaderindex:-1,active:!0,index:f});k.tile_poly_data=h[13];if(!this.uses_loader_layout||
k.is_family||k.isOnLoaderLayout||!r.is_world)k.onCreate(),cr.seal(k);k.name&&(this.types[k.name]=k);this.types_by_index.push(k);r.singleglobal&&(f=new r.Instance(k),f.uid=this.next_uid++,f.puid=this.next_puid++,f.iid=0,f.get_iid=cr.inst_get_iid,f.toString=cr.inst_toString,f.properties=h[14],f.onCreate(),cr.seal(f),k.instances.push(f),this.objectsByUid[f.uid.toString()]=f)}b=0;for(e=a[4].length;b<e;b++)for(c=a[4][b],d=this.types_by_index[c[0]],f=1,g=c.length;f<g;f++)h=this.types_by_index[c[f]],h.families.push(d),
d.members.push(h);b=0;for(e=a[23].length;b<e;b++){c=a[23][b];d=[];f=0;for(g=c.length;f<g;f++)d.push(this.types_by_index[c[f]]);f=0;for(g=d.length;f<g;f++)d[f].is_contained=!0,d[f].container=d}if(0<this.family_count)for(b=0,e=this.types_by_index.length;b<e;b++)if(h=this.types_by_index[b],!h.is_family&&h.families.length){h.family_var_map=Array(this.family_count);h.family_beh_map=Array(this.family_count);h.family_fx_map=Array(this.family_count);k=[];f=s=t=l=0;for(g=h.families.length;f<g;f++)for(r=h.families[f],
h.family_var_map[r.family_index]=l,l+=r.vars_count,h.family_beh_map[r.family_index]=t,t+=r.behs_count,h.family_fx_map[r.family_index]=s,s+=r.fx_count,c=0,d=r.effect_types.length;c<d;c++)k.push(cr.shallowCopy({},r.effect_types[c]));h.effect_types=k.concat(h.effect_types);f=0;for(g=h.effect_types.length;f<g;f++)h.effect_types[f].index=f}b=0;for(e=a[5].length;b<e;b++)h=a[5][b],f=new cr.layout(this,h),cr.seal(f),this.layouts[f.name]=f,this.layouts_by_index.push(f);b=0;for(e=a[6].length;b<e;b++)h=a[6][b],
f=new cr.eventsheet(this,h),cr.seal(f),this.eventsheets[f.name]=f,this.eventsheets_by_index.push(f);b=0;for(e=this.eventsheets_by_index.length;b<e;b++)this.eventsheets_by_index[b].postInit();b=0;for(e=this.eventsheets_by_index.length;b<e;b++)this.eventsheets_by_index[b].updateDeepIncludes();b=0;for(e=this.triggers_to_postinit.length;b<e;b++)this.triggers_to_postinit[b].postInit();this.triggers_to_postinit.length=0;this.files_subfolder=a[7];this.pixel_rounding=a[8];this.aspect_scale=1;this.enableWebGL=
a[12];this.linearSampling=a[13];this.alphaBackground=a[14];this.versionstr=a[15];this.useHighDpi=a[16];this.orientations=a[19];this.autoLockOrientation=0<this.orientations;this.pauseOnBlur=a[21];this.fullscreenScalingQuality=this.wantFullscreenScalingQuality=a[22];this.start_time=Date.now()};var s=!1;a.prototype.waitForImageLoad=function(a){a.onerror=function(b){s=a.c2error=!0;console&&console.error&&console.error("Error loading image '"+a.src+"': ",b)};this.wait_for_textures.push(a)};a.prototype.findWaitingTexture=
function(a){var b,e;b=0;for(e=this.wait_for_textures.length;b<e;b++)if(this.wait_for_textures[b].cr_src===a)return this.wait_for_textures[b];return null};a.prototype.areAllTexturesLoaded=function(){var a=0,b=0,e=!0,f,g,c;f=0;for(g=this.wait_for_textures.length;f<g;f++){c=this.wait_for_textures[f];var d=c.cr_filesize;if(!d||0>=d)d=5E4;a+=d;!c.complete&&!c.loaded||c.c2error?e=!1:b+=d}this.progress=0==a?0:b/a;return e};a.prototype.go=function(){if(this.ctx||this.glwrap){var a=this.ctx||this.overlay_ctx;
this.overlay_canvas&&this.positionOverlayCanvas();this.progress=0;this.last_progress=-1;if(this.areAllTexturesLoaded())this.go_textures_done();else{var b=Date.now()-this.start_time;if(a){var e=this.width,f=this.height,g=this.devicePixelRatio;this.overlay_canvas&&(e=this.cssWidth,f=this.cssHeight,g=1);if(3!==this.loaderstyle&&(this.isCocoonJs||500<=b&&this.last_progress!=this.progress)){a.clearRect(0,0,e,f);var b=e/2,f=f/2,e=0===this.loaderstyle&&this.loaderlogo.complete,c=40*g,d=0,h=80*g,l;e&&(h=
this.loaderlogo.width*g,l=this.loaderlogo.height*g,c=h/2,d=l/2,a.drawImage(this.loaderlogo,cr.floor(b-c),cr.floor(f-d),h,l));1>=this.loaderstyle?(f+=d+(e?12*g:0),b=cr.floor(b-c)+0.5,f=cr.floor(f)+0.5,a.fillStyle=s?"red":"DodgerBlue",a.fillRect(b,f,Math.floor(h*this.progress),6*g),a.strokeStyle="black",a.strokeRect(b,f,h,6*g),a.strokeStyle="white",a.strokeRect(b-1*g,f-1*g,h+2*g,8*g)):2===this.loaderstyle&&(a.font=this.isEjecta?"12pt ArialMT":"12pt Arial",a.fillStyle=s?"#f00":"#999",a.textBaseLine=
"middle",g=Math.round(100*this.progress)+"%",e=a.measureText?a.measureText(g):null,a.fillText(g,b-(e?e.width:0)/2,f))}this.last_progress=this.progress}setTimeout(function(a){return function(){a.go()}}(this),this.isCocoonJs?10:100)}}};a.prototype.go_textures_done=function(){this.overlay_canvas&&(this.canvas.parentNode.removeChild(this.overlay_canvas),this.overlay_canvas=this.overlay_ctx=null);this.start_time=Date.now();this.last_fps_time=cr.performance_now();var a,b,e;if(this.uses_loader_layout)for(a=
0,b=this.types_by_index.length;a<b;a++)e=this.types_by_index[a],e.is_family||e.isOnLoaderLayout||!e.plugin.is_world||(e.onCreate(),cr.seal(e));else this.isloading=!1;a=0;for(b=this.layouts_by_index.length;a<b;a++)this.layouts_by_index[a].createGlobalNonWorlds();2<=this.fullscreen_mode&&(a=this.original_width/this.original_height,b=this.width/this.height,this.aspect_scale=2!==this.fullscreen_mode&&b>a||2===this.fullscreen_mode&&b<a?this.height/this.original_height:this.width/this.original_width);this.first_layout?
this.layouts[this.first_layout].startRunning():this.layouts_by_index[0].startRunning();this.uses_loader_layout||(this.loadingprogress=1,this.trigger(cr.system_object.prototype.cnds.OnLoadFinished,null));navigator.splashscreen&&navigator.splashscreen.hide&&navigator.splashscreen.hide();a=0;for(b=this.types_by_index.length;a<b;a++)if(e=this.types_by_index[a],e.onAppBegin)e.onAppBegin();this.tick(!1);this.isDirectCanvas&&AppMobi.webview.execute("onGameReady();")};var m=window.requestAnimationFrame||
window.mozRequestAnimationFrame||window.webkitRequestAnimationFrame||window.msRequestAnimationFrame||window.oRequestAnimationFrame;a.prototype.tick=function(a){if(this.running_layout){var b=cr.performance_now();if(this.halfFramerateMode&&this.ranLastRaf&&29>b-this.lastRafTime)this.ranLastRaf=!1,this.lastRafTime=b,m?this.raf_id=m(this.tickFunc,this.canvas):this.timeout_id=setTimeout(this.tickFunc,this.isMobile?1:16);else{this.ranLastRaf=!0;this.lastRafTime=b;var e=this.fullscreen_mode,f=document.mozFullScreen||
document.webkitIsFullScreen||document.fullScreen||!!document.msFullscreenElement;(f||this.isNodeFullscreen)&&0<this.fullscreen_scaling&&(e=this.fullscreen_scaling);if(0<e&&(!this.isiPhone||window.self!==window.top)){var e=window.innerWidth,g=window.innerHeight;this.lastWindowWidth===e&&this.lastWindowHeight===g||this.setSize(e,g)}this.isDomFree||(f?(this.firstInFullscreen||(this.fullscreenOldMarginCss=jQuery(this.canvas).css("margin")||"0",this.firstInFullscreen=!0),this.isChrome||this.isNodeWebkit||
jQuery(this.canvas).css({"margin-left":""+Math.floor((screen.width-this.width/this.devicePixelRatio)/2)+"px","margin-top":""+Math.floor((screen.height-this.height/this.devicePixelRatio)/2)+"px"})):this.firstInFullscreen?(this.isChrome||this.isNodeWebkit||jQuery(this.canvas).css("margin",this.fullscreenOldMarginCss),this.fullscreenOldMarginCss="",this.firstInFullscreen=!1,0===this.fullscreen_mode&&this.setSize(Math.round(this.oldWidth/this.devicePixelRatio),Math.round(this.oldHeight/this.devicePixelRatio),
!0)):(this.oldWidth=this.width,this.oldHeight=this.height));this.isloading&&(f=this.areAllTexturesLoaded(),this.loadingprogress=this.progress,f&&(this.isloading=!1,this.progress=1,this.trigger(cr.system_object.prototype.cnds.OnLoadFinished,null)));this.logic();!this.redraw&&!this.isCocoonJs||this.is_WebGL_context_lost||this.suspendDrawing||a||(this.redraw=!1,this.glwrap?this.drawGL():this.draw(),this.snapshotCanvas&&(this.canvas&&this.canvas.toDataURL&&(this.snapshotData=this.canvas.toDataURL(this.snapshotCanvas[0],
this.snapshotCanvas[1]),this.trigger(cr.system_object.prototype.cnds.OnCanvasSnapshot,null)),this.snapshotCanvas=null));this.hit_breakpoint||(this.tickcount++,this.execcount++,this.framecount++);this.logictime+=cr.performance_now()-b;this.isSuspended||a||(m?this.raf_id=m(this.tickFunc,this.canvas):this.timeout_id=setTimeout(this.tickFunc,this.isMobile?1:16))}}};a.prototype.logic=function(){var a,b,e,f,g,c,d,h,l;a=cr.performance_now();1E3<=a-this.last_fps_time&&(this.last_fps_time+=1E3,this.fps=this.framecount,
this.framecount=0,this.cpuutilisation=this.logictime,this.logictime=0);this.measuring_dt&&(0!==this.last_tick_time&&(b=a-this.last_tick_time,0!==b||this.isDebug?(this.dt1=b/1E3,0.5<this.dt1?this.dt1=0:0.1<this.dt1&&(this.dt1=0.1)):(this.zeroDtCount++,10<=this.zeroDtCout&&(this.measuring_dt=!1),this.dt1=1/60)),this.last_tick_time=a);this.dt=this.dt1*this.timescale;this.kahanTime.add(this.dt);a=document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||!!document.msFullscreenElement||
this.isNodeFullscreen;2<=this.fullscreen_mode||a&&0<this.fullscreen_scaling?(b=this.original_width/this.original_height,e=this.width/this.height,f=this.fullscreen_mode,a&&0<this.fullscreen_scaling&&(f=this.fullscreen_scaling),this.aspect_scale=2!==f&&e>b||2===f&&e<b?this.height/this.original_height:this.width/this.original_width,this.running_layout&&(this.running_layout.scrollToX(this.running_layout.scrollX),this.running_layout.scrollToY(this.running_layout.scrollY))):this.aspect_scale=this.isRetina?
this.devicePixelRatio:1;this.ClearDeathRow();this.isInOnDestroy++;this.system.runWaits();this.isInOnDestroy--;this.ClearDeathRow();this.isInOnDestroy++;a=0;for(b=this.types_by_index.length;a<b;a++)if(d=this.types_by_index[a],!d.is_family&&(d.behaviors.length||d.families.length))for(e=0,f=d.instances.length;e<f;e++)for(h=d.instances[e],g=0,c=h.behavior_insts.length;g<c;g++)h.behavior_insts[g].tick();a=0;for(b=this.types_by_index.length;a<b;a++)if(d=this.types_by_index[a],!d.is_family&&(d.behaviors.length||
d.families.length))for(e=0,f=d.instances.length;e<f;e++)for(h=d.instances[e],g=0,c=h.behavior_insts.length;g<c;g++)l=h.behavior_insts[g],l.posttick&&l.posttick();e=this.objects_to_tick.valuesRef();a=0;for(b=e.length;a<b;a++)e[a].tick();this.isInOnDestroy--;this.handleSaveLoad();for(a=0;this.changelayout&&10>a++;)this.doChangeLayout(this.changelayout);a=0;for(b=this.eventsheets_by_index.length;a<b;a++)this.eventsheets_by_index[a].hasRun=!1;this.running_layout.event_sheet&&this.running_layout.event_sheet.run();
this.registered_collisions.length=0;this.layout_first_tick=!1;this.isInOnDestroy++;a=0;for(b=this.types_by_index.length;a<b;a++)if(d=this.types_by_index[a],!d.is_family&&(d.behaviors.length||d.families.length))for(e=0,f=d.instances.length;e<f;e++)for(h=d.instances[e],g=0,c=h.behavior_insts.length;g<c;g++)l=h.behavior_insts[g],l.tick2&&l.tick2();e=this.objects_to_tick2.valuesRef();a=0;for(b=e.length;a<b;a++)e[a].tick2();this.isInOnDestroy--};a.prototype.doChangeLayout=function(a){var b=this.running_layout;
this.running_layout.stopRunning();var e,f,g,c,d,h,l;if(this.glwrap)for(e=0,f=this.types_by_index.length;e<f;e++)d=this.types_by_index[e],d.is_family||!d.unloadTextures||d.global&&0!==d.instances.length||-1!==a.initial_types.indexOf(d)||d.unloadTextures();b==a&&(this.system.waits.length=0);a.startRunning();e=0;for(f=this.types_by_index.length;e<f;e++)if(d=this.types_by_index[e],d.global||d.plugin.singleglobal)for(a=0,b=d.instances.length;a<b;a++){h=d.instances[a];if(h.onLayoutChange)h.onLayoutChange();
if(h.behavior_insts)for(g=0,c=h.behavior_insts.length;g<c;g++)if(l=h.behavior_insts[g],l.onLayoutChange)l.onLayoutChange()}this.layout_first_tick=this.redraw=!0;this.ClearDeathRow()};a.prototype.tickMe=function(a){this.objects_to_tick.add(a)};a.prototype.untickMe=function(a){this.objects_to_tick.remove(a)};a.prototype.tick2Me=function(a){this.objects_to_tick2.add(a)};a.prototype.untick2Me=function(a){this.objects_to_tick2.remove(a)};a.prototype.getDt=function(a){return a&&-1!==a.my_timescale?this.dt1*
a.my_timescale:this.dt};a.prototype.draw=function(){this.running_layout.draw(this.ctx);this.isDirectCanvas&&this.ctx.present()};a.prototype.drawGL=function(){this.running_layout.drawGL(this.glwrap);this.glwrap.present()};a.prototype.addDestroyCallback=function(a){a&&this.destroycallbacks.push(a)};a.prototype.removeDestroyCallback=function(a){cr.arrayFindRemove(this.destroycallbacks,a)};a.prototype.getObjectByUID=function(a){a=a.toString();return this.objectsByUid.hasOwnProperty(a)?this.objectsByUid[a]:
null};a.prototype.DestroyInstance=function(a){var b,e;if(!this.deathRow.contains(a)){this.deathRow.add(a);if(a.is_contained)for(b=0,e=a.siblings.length;b<e;b++)this.DestroyInstance(a.siblings[b]);this.isInClearDeathRow&&this.deathRow.values_cache.push(a);this.isInOnDestroy++;this.trigger(Object.getPrototypeOf(a.type.plugin).cnds.OnDestroyed,a);this.isInOnDestroy--}};a.prototype.ClearDeathRow=function(){var a,b,e,f,g,c,d,h,l,r;this.isInClearDeathRow=!0;f=0;for(c=this.createRow.length;f<c;f++)for(a=
this.createRow[f],b=a.type,b.instances.push(a),g=0,d=b.families.length;g<d;g++)b.families[g].instances.push(a),b.families[g].stale_iids=!0;this.createRow.length=0;c=this.deathRow.valuesRef();for(f=0;f<c.length;f++){a=c[f];b=a.type;e=b.instances;g=0;for(d=this.destroycallbacks.length;g<d;g++)this.destroycallbacks[g](a);cr.arrayFindRemove(e,a);0===e.length&&(b.any_instance_parallaxed=!1);a.collcells&&b.collision_grid.update(a,a.collcells,null);a.layer&&(cr.arrayRemove(a.layer.instances,a.get_zindex()),
a.layer.zindices_stale=!0);g=0;for(d=b.families.length;g<d;g++)cr.arrayFindRemove(b.families[g].instances,a),b.families[g].stale_iids=!0;if(a.behavior_insts)for(g=0,d=a.behavior_insts.length;g<d;g++){e=a.behavior_insts[g];if(e.onDestroy)e.onDestroy();e.behavior.my_instances.remove(a)}this.objects_to_tick.remove(a);this.objects_to_tick2.remove(a);g=0;for(d=this.system.waits.length;g<d;g++)if(l=this.system.waits[g],l.sols.hasOwnProperty(b.index)&&cr.arrayFindRemove(l.sols[b.index].insts,a),!b.is_family)for(e=
0,h=b.families.length;e<h;e++)r=b.families[e],l.sols.hasOwnProperty(r.index)&&cr.arrayFindRemove(l.sols[r.index].insts,a);if(a.onDestroy)a.onDestroy();this.objectsByUid.hasOwnProperty(a.uid.toString())&&delete this.objectsByUid[a.uid.toString()];this.objectcount--;64>b.deadCache.length&&b.deadCache.push(a);b.stale_iids=!0}this.deathRow.isEmpty()||(this.redraw=!0);this.deathRow.clear();this.isInClearDeathRow=!1};a.prototype.createInstance=function(a,b,e,f){if(a.is_family){var g=cr.floor(Math.random()*
a.members.length);return this.createInstance(a.members[g],b,e,f)}return a.default_instance?this.createInstanceFromInit(a.default_instance,b,!1,e,f,!1):null};var p=[];a.prototype.createInstanceFromInit=function(a,b,e,f,g,c){var d,h,l,r;if(!a)return null;var k=this.types_by_index[a[1]],t=k.plugin.is_world;if(this.isloading&&t&&!k.isOnLoaderLayout||t&&!this.glwrap&&11===a[0][11])return null;var s=b;t||(b=null);var n;k.deadCache.length?(n=k.deadCache.pop(),n.recycled=!0,k.plugin.Instance.call(n,k)):(n=
new k.plugin.Instance(k),n.recycled=!1);n.uid=e&&!c?a[2]:this.next_uid++;this.objectsByUid[n.uid.toString()]=n;n.puid=this.next_puid++;n.iid=k.instances.length;d=0;for(h=this.createRow.length;d<h;++d)this.createRow[d].type===k&&n.iid++;n.get_iid=cr.inst_get_iid;l=a[3];if(n.recycled)cr.wipe(n.extra);else{n.extra={};if("undefined"!==typeof cr_is_preview)for(n.instance_var_names=[],n.instance_var_names.length=l.length,d=0,h=l.length;d<h;d++)n.instance_var_names[d]=l[d][1];n.instance_vars=[];n.instance_vars.length=
l.length}d=0;for(h=l.length;d<h;d++)n.instance_vars[d]=l[d][0];if(t){var w=a[0];n.x=cr.is_undefined(f)?w[0]:f;n.y=cr.is_undefined(g)?w[1]:g;n.z=w[2];n.width=w[3];n.height=w[4];n.depth=w[5];n.angle=w[6];n.opacity=w[7];n.hotspotX=w[8];n.hotspotY=w[9];n.blend_mode=w[10];d=w[11];!this.glwrap&&k.effect_types.length&&(n.blend_mode=d);n.compositeOp=cr.effectToCompositeOp(n.blend_mode);this.gl&&cr.setGLBlend(n,n.blend_mode,this.gl);if(n.recycled){d=0;for(h=w[12].length;d<h;d++)for(l=0,r=w[12][d].length;l<
r;l++)n.effect_params[d][l]=w[12][d][l];n.bbox.set(0,0,0,0);n.collcells.set(0,0,-1,-1);n.bquad.set_from_rect(n.bbox);n.bbox_changed_callbacks.length=0}else{n.effect_params=w[12].slice(0);d=0;for(h=n.effect_params.length;d<h;d++)n.effect_params[d]=w[12][d].slice(0);n.active_effect_types=[];n.active_effect_flags=[];n.active_effect_flags.length=k.effect_types.length;n.bbox=new cr.rect(0,0,0,0);n.collcells=new cr.rect(0,0,-1,-1);n.bquad=new cr.quad;n.bbox_changed_callbacks=[];n.set_bbox_changed=cr.set_bbox_changed;
n.add_bbox_changed_callback=cr.add_bbox_changed_callback;n.contains_pt=cr.inst_contains_pt;n.update_bbox=cr.update_bbox;n.update_collision_cell=cr.update_collision_cell;n.get_zindex=cr.inst_get_zindex}n.tilemap_exists=!1;n.tilemap_width=0;n.tilemap_height=0;n.tilemap_data=null;14===w.length&&(n.tilemap_exists=!0,n.tilemap_width=w[13][0],n.tilemap_height=w[13][1],n.tilemap_data=w[13][2]);d=0;for(h=k.effect_types.length;d<h;d++)n.active_effect_flags[d]=!0;n.updateActiveEffects=cr.inst_updateActiveEffects;
n.updateActiveEffects();n.uses_shaders=!!n.active_effect_types.length;n.bbox_changed=!0;n.cell_changed=!0;k.any_cell_changed=!0;n.visible=!0;n.my_timescale=-1;n.layer=b;n.zindex=b.instances.length;"undefined"===typeof n.collision_poly&&(n.collision_poly=null);this.redraw=n.collisionsEnabled=!0}n.toString=cr.inst_toString;var v;d=p.length=0;for(h=k.families.length;d<h;d++)p.push.apply(p,k.families[d].behaviors);p.push.apply(p,k.behaviors);if(n.recycled)for(d=0,h=p.length;d<h;d++){var m=p[d];v=n.behavior_insts[d];
v.recycled=!0;m.behavior.Instance.call(v,m,n);w=a[4][d];l=0;for(r=w.length;l<r;l++)v.properties[l]=w[l];v.onCreate();m.behavior.my_instances.add(n)}else for(n.behavior_insts=[],d=0,h=p.length;d<h;d++)m=p[d],v=new m.behavior.Instance(m,n),v.recycled=!1,v.properties=a[4][d].slice(0),v.onCreate(),cr.seal(v),n.behavior_insts.push(v),m.behavior.my_instances.add(n);w=a[5];if(n.recycled)for(d=0,h=w.length;d<h;d++)n.properties[d]=w[d];else n.properties=w.slice(0);this.createRow.push(n);b&&(b.instances.push(n),
1!==b.parallaxX||1!==b.parallaxY)&&(k.any_instance_parallaxed=!0);this.objectcount++;if(k.is_contained){if(n.is_contained=!0,n.recycled?n.siblings.length=0:n.siblings=[],!e&&!c){d=0;for(h=k.container.length;d<h;d++)if(k.container[d]!==k){if(!k.container[d].default_instance)return null;n.siblings.push(this.createInstanceFromInit(k.container[d].default_instance,s,!1,t?n.x:f,t?n.y:g,!0))}d=0;for(h=n.siblings.length;d<h;d++)for(n.siblings[d].siblings.push(n),l=0;l<h;l++)d!==l&&n.siblings[d].siblings.push(n.siblings[l])}}else n.is_contained=
!1,n.siblings=null;n.onCreate();n.recycled||cr.seal(n);d=0;for(h=n.behavior_insts.length;d<h;d++)n.behavior_insts[d].postCreate&&n.behavior_insts[d].postCreate();return n};a.prototype.getLayerByName=function(a){var b,e;b=0;for(e=this.running_layout.layers.length;b<e;b++){var f=this.running_layout.layers[b];if(cr.equals_nocase(f.name,a))return f}return null};a.prototype.getLayerByNumber=function(a){a=cr.floor(a);0>a&&(a=0);a>=this.running_layout.layers.length&&(a=this.running_layout.layers.length-
1);return this.running_layout.layers[a]};a.prototype.getLayer=function(a){return cr.is_number(a)?this.getLayerByNumber(a):this.getLayerByName(a.toString())};a.prototype.clearSol=function(a){var b,e;b=0;for(e=a.length;b<e;b++)a[b].getCurrentSol().select_all=!0};a.prototype.pushCleanSol=function(a){var b,e;b=0;for(e=a.length;b<e;b++)a[b].pushCleanSol()};a.prototype.pushCopySol=function(a){var b,e;b=0;for(e=a.length;b<e;b++)a[b].pushCopySol()};a.prototype.popSol=function(a){var b,e;b=0;for(e=a.length;b<
e;b++)a[b].popSol()};a.prototype.updateAllCells=function(a){if(a.any_cell_changed){var b,e,f=a.instances;b=0;for(e=f.length;b<e;++b)f[b].update_collision_cell();f=this.createRow;b=0;for(e=f.length;b<e;++b)f[b].type===a&&f[b].update_collision_cell();a.any_cell_changed=!1}};a.prototype.getCollisionCandidates=function(a,b,e,f){var g,c,d=a?1!==a.parallaxX||1!==a.parallaxY:!1;if(b.is_family)for(a=0,g=b.members.length;a<g;++a)c=b.members[a],d||c.any_instance_parallaxed?cr.appendArray(f,c.instances):(this.updateAllCells(c),
c.collision_grid.queryRange(e,f));else d||b.any_instance_parallaxed?cr.appendArray(f,b.instances):(this.updateAllCells(b),b.collision_grid.queryRange(e,f))};a.prototype.getTypesCollisionCandidates=function(a,b,e,f){var g,c;g=0;for(c=b.length;g<c;++g)this.getCollisionCandidates(a,b[g],e,f)};a.prototype.getSolidCollisionCandidates=function(a,b,e){var f=this.getSolidBehavior();if(!f)return null;this.getTypesCollisionCandidates(a,f.my_types,b,e)};a.prototype.getJumpthruCollisionCandidates=function(a,
b,e){var f=this.getJumpthruBehavior();if(!f)return null;this.getTypesCollisionCandidates(a,f.my_types,b,e)};a.prototype.testAndSelectCanvasPointOverlap=function(a,b,e,f){var g=a.getCurrentSol(),c,d,h,l,r,k;if(g.select_all)for(f||(g.select_all=!1,g.instances.length=0),c=0,l=a.instances.length;c<l;c++){if(h=a.instances[c],h.update_bbox(),r=h.layer.canvasToLayer(b,e,!0),k=h.layer.canvasToLayer(b,e,!1),h.contains_pt(r,k)){if(f)return!1;g.instances.push(h)}}else{c=d=0;for(l=g.instances.length;c<l;c++)if(h=
g.instances[c],h.update_bbox(),r=h.layer.canvasToLayer(b,e,!0),k=h.layer.canvasToLayer(b,e,!1),h.contains_pt(r,k)){if(f)return!1;g.instances[d]=g.instances[c];d++}f||(g.instances.length=d)}a.applySolToContainer();return f?!0:g.hasObjects()};a.prototype.testOverlap=function(a,b){if(!(a&&b&&a!==b&&a.collisionsEnabled&&b.collisionsEnabled))return!1;a.update_bbox();b.update_bbox();var e=a.layer,f=b.layer,g,c,d,h,l,r,k,n;if(e===f||e.parallaxX===f.parallaxX&&f.parallaxY===f.parallaxY&&e.scale===f.scale&&
e.angle===f.angle&&e.zoomRate===f.zoomRate){if(!a.bbox.intersects_rect(b.bbox)||!a.bquad.intersects_quad(b.bquad)||a.tilemap_exists&&b.tilemap_exists)return!1;if(a.tilemap_exists)return this.testTilemapOverlap(a,b);if(b.tilemap_exists)return this.testTilemapOverlap(b,a);k=a.collision_poly&&!a.collision_poly.is_empty();g=b.collision_poly&&!b.collision_poly.is_empty();if(!k&&!g)return!0;k?(a.collision_poly.cache_poly(a.width,a.height,a.angle),k=a.collision_poly):(this.temp_poly.set_from_quad(a.bquad,
a.x,a.y,a.width,a.height),k=this.temp_poly);g?(b.collision_poly.cache_poly(b.width,b.height,b.angle),n=b.collision_poly):(this.temp_poly.set_from_quad(b.bquad,b.x,b.y,b.width,b.height),n=this.temp_poly);return k.intersects_poly(n,b.x-a.x,b.y-a.y)}k=a.collision_poly&&!a.collision_poly.is_empty();g=b.collision_poly&&!b.collision_poly.is_empty();k?(a.collision_poly.cache_poly(a.width,a.height,a.angle),this.temp_poly.set_from_poly(a.collision_poly)):this.temp_poly.set_from_quad(a.bquad,a.x,a.y,a.width,
a.height);k=this.temp_poly;g?(b.collision_poly.cache_poly(b.width,b.height,b.angle),this.temp_poly2.set_from_poly(b.collision_poly)):this.temp_poly2.set_from_quad(b.bquad,b.x,b.y,b.width,b.height);n=this.temp_poly2;g=0;for(c=k.pts_count;g<c;g++)d=2*g,h=d+1,l=k.pts_cache[d],r=k.pts_cache[h],k.pts_cache[d]=e.layerToCanvas(l+a.x,r+a.y,!0),k.pts_cache[h]=e.layerToCanvas(l+a.x,r+a.y,!1);k.update_bbox();g=0;for(c=n.pts_count;g<c;g++)d=2*g,h=d+1,l=n.pts_cache[d],r=n.pts_cache[h],n.pts_cache[d]=f.layerToCanvas(l+
b.x,r+b.y,!0),n.pts_cache[h]=f.layerToCanvas(l+b.x,r+b.y,!1);n.update_bbox();return k.intersects_poly(n,0,0)};var k=new cr.quad,r=new cr.rect(0,0,0,0),n=[];a.prototype.testTilemapOverlap=function(a,b){var e,f,g,c,d=b.bbox,h=a.x,l=a.y;a.getCollisionRectCandidates(d,n);var r=b.collision_poly&&!b.collision_poly.is_empty();e=0;for(f=n.length;e<f;++e)if(g=n[e],c=g.rc,d.intersects_rect_off(c,h,l)&&(k.set_from_rect(c),k.offset(h,l),k.intersects_quad(b.bquad)))if(r)if(b.collision_poly.cache_poly(b.width,
b.height,b.angle),g.poly){if(g.poly.intersects_poly(b.collision_poly,b.x-(h+c.left),b.y-(l+c.top)))return n.length=0,!0}else{if(this.temp_poly.set_from_quad(k,0,0,c.right-c.left,c.bottom-c.top),this.temp_poly.intersects_poly(b.collision_poly,b.x,b.y))return n.length=0,!0}else if(g.poly){if(this.temp_poly.set_from_quad(b.bquad,0,0,b.width,b.height),g.poly.intersects_poly(this.temp_poly,-(h+c.left),-(l+c.top)))return n.length=0,!0}else return n.length=0,!0;n.length=0;return!1};a.prototype.testRectOverlap=
function(a,b){if(!b||!b.collisionsEnabled)return!1;b.update_bbox();if(!b.bbox.intersects_rect(a))return!1;if(b.tilemap_exists){b.getCollisionRectCandidates(a,n);var e,f,g,c,d=b.x,h=b.y;e=0;for(f=n.length;e<f;++e)if(g=n[e],c=g.rc,a.intersects_rect_off(c,d,h))if(g.poly){if(this.temp_poly.set_from_rect(a,0,0),g.poly.intersects_poly(this.temp_poly,-(d+c.left),-(h+c.top)))return n.length=0,!0}else return n.length=0,!0;n.length=0;return!1}k.set_from_rect(a);if(!b.bquad.intersects_quad(k))return!1;if(!b.collision_poly||
b.collision_poly.is_empty())return!0;b.collision_poly.cache_poly(b.width,b.height,b.angle);k.offset(-a.left,-a.top);this.temp_poly.set_from_quad(k,0,0,1,1);return b.collision_poly.intersects_poly(this.temp_poly,a.left-b.x,a.top-b.y)};a.prototype.testSegmentOverlap=function(a,b,e,f,g){if(!g||!g.collisionsEnabled)return!1;g.update_bbox();r.set(cr.min(a,e),cr.min(b,f),cr.max(a,e),cr.max(b,f));if(!g.bbox.intersects_rect(r))return!1;if(g.tilemap_exists){g.getCollisionRectCandidates(r,n);var c,d,h,l=g.x,
t=g.y;g=0;for(c=n.length;g<c;++g)if(d=n[g],h=d.rc,r.intersects_rect_off(h,l,t)&&(k.set_from_rect(h),k.offset(l,t),k.intersects_segment(a,b,e,f)))if(d.poly){if(d.poly.intersects_segment(l+h.left,t+h.top,a,b,e,f))return n.length=0,!0}else return n.length=0,!0;n.length=0;return!1}if(!g.bquad.intersects_segment(a,b,e,f))return!1;if(!g.collision_poly||g.collision_poly.is_empty())return!0;g.collision_poly.cache_poly(g.width,g.height,g.angle);return g.collision_poly.intersects_segment(g.x,g.y,a,b,e,f)};
a.prototype.typeHasBehavior=function(a,b){if(!b)return!1;var e,f,g,c,d;e=0;for(f=a.behaviors.length;e<f;e++)if(a.behaviors[e].behavior instanceof b)return!0;if(!a.is_family)for(e=0,f=a.families.length;e<f;e++)for(d=a.families[e],g=0,c=d.behaviors.length;g<c;g++)if(d.behaviors[g].behavior instanceof b)return!0;return!1};a.prototype.typeHasNoSaveBehavior=function(a){return this.typeHasBehavior(a,cr.behaviors.NoSave)};a.prototype.typeHasPersistBehavior=function(a){return this.typeHasBehavior(a,cr.behaviors.Persist)};
a.prototype.getSolidBehavior=function(){return this.solidBehavior};a.prototype.getJumpthruBehavior=function(){return this.jumpthruBehavior};var t=[];a.prototype.testOverlapSolid=function(a){var b,e,f;a.update_bbox();this.getSolidCollisionCandidates(a.layer,a.bbox,t);b=0;for(e=t.length;b<e;++b)if(f=t[b],f.extra.solidEnabled&&this.testOverlap(a,f))return t.length=0,f;t.length=0;return null};a.prototype.testRectOverlapSolid=function(a){var b,e,f;this.getSolidCollisionCandidates(null,a,t);b=0;for(e=t.length;b<
e;++b)if(f=t[b],f.extra.solidEnabled&&this.testRectOverlap(a,f))return t.length=0,f;t.length=0;return null};var v=[];a.prototype.testOverlapJumpThru=function(a,b){var e=null;b&&(e=v,e.length=0);a.update_bbox();this.getJumpthruCollisionCandidates(a.layer,a.bbox,t);var f,g,c;f=0;for(g=t.length;f<g;++f)if(c=t[f],c.extra.jumpthruEnabled&&this.testOverlap(a,c))if(b)e.push(c);else return t.length=0,c;t.length=0;return e};a.prototype.pushOutSolid=function(a,b,e,f,g,c){f=f||50;var d=a.x,h=a.y,l,k=null,r=
null;for(l=0;l<f;l++)if(a.x=d+b*l,a.y=h+e*l,a.set_bbox_changed(),!this.testOverlap(a,k)&&((k=this.testOverlapSolid(a))&&(r=k),!k&&(g&&(k=c?this.testOverlap(a,c)?c:null:this.testOverlapJumpThru(a))&&(r=k),!k)))return r&&this.pushInFractional(a,b,e,r,16),!0;a.x=d;a.y=h;a.set_bbox_changed();return!1};a.prototype.pushOut=function(a,b,e,f,g){f=f||50;var c=a.x,d=a.y,h;for(h=0;h<f;h++)if(a.x=c+b*h,a.y=d+e*h,a.set_bbox_changed(),!this.testOverlap(a,g))return!0;a.x=c;a.y=d;a.set_bbox_changed();return!1};a.prototype.pushInFractional=
function(a,b,e,f,g){var c=2,d,h=!1;d=!1;for(var l=a.x,k=a.y;c<=g;)d=1/c,c*=2,a.x+=b*d*(h?1:-1),a.y+=e*d*(h?1:-1),a.set_bbox_changed(),this.testOverlap(a,f)?d=h=!0:(d=h=!1,l=a.x,k=a.y);d&&(a.x=l,a.y=k,a.set_bbox_changed())};a.prototype.pushOutSolidNearest=function(a,b){var e=cr.is_undefined(b)?100:b,f=0,g=a.x,c=a.y,d=0,h=0,l=0,k=this.testOverlapSolid(a);if(!k)return!0;for(;f<=e;){switch(d){case 0:h=0;l=-1;f++;break;case 1:h=1;l=-1;break;case 2:h=1;l=0;break;case 3:l=h=1;break;case 4:h=0;l=1;break;
case 5:h=-1;l=1;break;case 6:h=-1;l=0;break;case 7:l=h=-1}d=(d+1)%8;a.x=cr.floor(g+h*f);a.y=cr.floor(c+l*f);a.set_bbox_changed();if(!this.testOverlap(a,k)&&(k=this.testOverlapSolid(a),!k))return!0}a.x=g;a.y=c;a.set_bbox_changed();return!1};a.prototype.registerCollision=function(a,b){a.collisionsEnabled&&b.collisionsEnabled&&this.registered_collisions.push([a,b])};a.prototype.checkRegisteredCollision=function(a,b){var e,f,g;e=0;for(f=this.registered_collisions.length;e<f;e++)if(g=this.registered_collisions[e],
g[0]==a&&g[1]==b||g[0]==b&&g[1]==a)return!0;return!1};a.prototype.calculateSolidBounceAngle=function(a,b,e,f){var g=a.x,c=a.y,d=cr.max(10,cr.distanceTo(b,e,g,c)),h=cr.angleTo(b,e,g,c),l=f||this.testOverlapSolid(a);if(!l)return cr.clamp_angle(h+cr.PI);var k=l,r,n,t,s,w=cr.to_radians(5);for(r=1;36>r;r++)if(n=h-r*w,a.x=b+Math.cos(n)*d,a.y=e+Math.sin(n)*d,a.set_bbox_changed(),!this.testOverlap(a,k)&&(k=f?null:this.testOverlapSolid(a),!k)){t=n;break}36===r&&(t=cr.clamp_angle(h+cr.PI));k=l;for(r=1;36>r;r++)if(n=
h+r*w,a.x=b+Math.cos(n)*d,a.y=e+Math.sin(n)*d,a.set_bbox_changed(),!this.testOverlap(a,k)&&(k=f?null:this.testOverlapSolid(a),!k)){s=n;break}36===r&&(s=cr.clamp_angle(h+cr.PI));a.x=g;a.y=c;a.set_bbox_changed();if(s===t)return s;a=cr.angleDiff(s,t)/2;a=cr.angleClockwise(s,t)?cr.clamp_angle(t+a+cr.PI):cr.clamp_angle(s+a);t=Math.cos(h);h=Math.sin(h);s=Math.cos(a);a=Math.sin(a);b=t*s+h*a;return cr.angleTo(0,0,t-2*b*s,h-2*b*a)};var w=-1;a.prototype.trigger=function(a,b,e){if(!this.running_layout)return!1;
var f=this.running_layout.event_sheet;if(!f)return!1;var g=!1,c,d,h;w++;var l=f.deep_includes;d=0;for(h=l.length;d<h;++d)c=this.triggerOnSheet(a,b,l[d],e),g=g||c;c=this.triggerOnSheet(a,b,f,e);w--;return g||c};a.prototype.triggerOnSheet=function(a,b,e,f){var g=!1,c,d,h,l;if(b)for(h=this.triggerOnSheetForTypeName(a,b,b.type.name,e,f),g=g||h,l=b.type.families,c=0,d=l.length;c<d;++c)h=this.triggerOnSheetForTypeName(a,b,l[c].name,e,f),g=g||h;else h=this.triggerOnSheetForTypeName(a,b,"system",e,f),g=g||
h;return g};a.prototype.triggerOnSheetForTypeName=function(a,b,e,f,g){var c,d=!1,h=!1,h="undefined"!==typeof g,l=(h?f.fasttriggers:f.triggers)[e];if(!l)return d;var k=null;f=0;for(c=l.length;f<c;++f)if(l[f].method==a){k=l[f].evs;break}if(!k)return d;a=h?k[g]:k;if(!a)return null;f=0;for(c=a.length;f<c;f++)g=a[f][0],h=a[f][1],h=this.executeSingleTrigger(b,e,g,h),d=d||h;return d};a.prototype.executeSingleTrigger=function(a,b,e,f){var g,c,d=!1;this.trigger_depth++;var h=this.getCurrentEventStack().current_event;
h&&this.pushCleanSol(h.solModifiersIncludingParents);var l=1<this.trigger_depth;this.pushCleanSol(e.solModifiersIncludingParents);l&&this.pushLocalVarStack();var k=this.pushEventStack(e);k.current_event=e;a&&(g=this.types[b].getCurrentSol(),g.select_all=!1,g.instances.length=1,g.instances[0]=a,this.types[b].applySolToContainer());a=!0;if(e.parent){b=k.temp_parents_arr;for(g=e.parent;g;)b.push(g),g=g.parent;b.reverse();g=0;for(c=b.length;g<c;g++)if(!b[g].run_pretrigger()){a=!1;break}}a&&(this.execcount++,
e.orblock?e.run_orblocktrigger(f):e.run(),d=d||k.last_event_true);this.popEventStack();l&&this.popLocalVarStack();this.popSol(e.solModifiersIncludingParents);h&&this.popSol(h.solModifiersIncludingParents);0!==this.isInOnDestroy||0!==w||this.isRunningEvents||this.deathRow.isEmpty()&&!this.createRow.length||this.ClearDeathRow();this.trigger_depth--;return d};a.prototype.getCurrentCondition=function(){var a=this.getCurrentEventStack();return a.current_event.conditions[a.cndindex]};a.prototype.getCurrentAction=
function(){var a=this.getCurrentEventStack();return a.current_event.actions[a.actindex]};a.prototype.pushLocalVarStack=function(){this.localvar_stack_index++;this.localvar_stack_index>=this.localvar_stack.length&&this.localvar_stack.push([])};a.prototype.popLocalVarStack=function(){this.localvar_stack_index--};a.prototype.getCurrentLocalVarStack=function(){return this.localvar_stack[this.localvar_stack_index]};a.prototype.pushEventStack=function(a){this.event_stack_index++;this.event_stack_index>=
this.event_stack.length&&this.event_stack.push(new cr.eventStackFrame);var b=this.getCurrentEventStack();b.reset(a);return b};a.prototype.popEventStack=function(){this.event_stack_index--};a.prototype.getCurrentEventStack=function(){return this.event_stack[this.event_stack_index]};a.prototype.pushLoopStack=function(a){this.loop_stack_index++;this.loop_stack_index>=this.loop_stack.length&&this.loop_stack.push(cr.seal({name:a,index:0,stopped:!1}));var b=this.getCurrentLoop();b.name=a;b.index=0;b.stopped=
!1;return b};a.prototype.popLoopStack=function(){this.loop_stack_index--};a.prototype.getCurrentLoop=function(){return this.loop_stack[this.loop_stack_index]};a.prototype.getEventVariableByName=function(a,b){for(var e,f,g,c,d,h;b;){e=0;for(f=b.subevents.length;e<f;e++)if(h=b.subevents[e],h instanceof cr.eventvariable&&cr.equals_nocase(a,h.name))return h;b=b.parent}e=0;for(f=this.eventsheets_by_index.length;e<f;e++)for(d=this.eventsheets_by_index[e],g=0,c=d.events.length;g<c;g++)if(h=d.events[g],h instanceof
cr.eventvariable&&cr.equals_nocase(a,h.name))return h;return null};a.prototype.getLayoutBySid=function(a){var b,e;b=0;for(e=this.layouts_by_index.length;b<e;b++)if(this.layouts_by_index[b].sid===a)return this.layouts_by_index[b];return null};a.prototype.getObjectTypeBySid=function(a){var b,e;b=0;for(e=this.types_by_index.length;b<e;b++)if(this.types_by_index[b].sid===a)return this.types_by_index[b];return null};a.prototype.getGroupBySid=function(a){var b,e;b=0;for(e=this.allGroups.length;b<e;b++)if(this.allGroups[b].sid===
a)return this.allGroups[b];return null};a.prototype.signalContinuousPreview=function(){this.signalledContinuousPreview=!0};a.prototype.handleSaveLoad=function(){var a=this,b=this.saveToSlot,h=this.lastSaveJson,f=this.loadFromSlot,g=!1;this.signalledContinuousPreview&&(g=!0,b="__c2_continuouspreview",this.signalledContinuousPreview=!1);if(b.length){this.ClearDeathRow();h=this.saveToJSONString();if(window.indexedDB&&!this.isCocoonJs)c(b,h,function(){cr.logexport("Saved state to IndexedDB storage ("+
h.length+" bytes)");a.lastSaveJson=h;a.trigger(cr.system_object.prototype.cnds.OnSaveComplete,null);a.lastSaveJson="";g&&e()},function(f){try{localStorage.setItem("__c2save_"+b,h),cr.logexport("Saved state to WebStorage ("+h.length+" bytes)"),a.lastSaveJson=h,a.trigger(cr.system_object.prototype.cnds.OnSaveComplete,null),a.lastSaveJson="",g&&e()}catch(c){cr.logexport("Failed to save game state: "+f+"; "+c)}});else try{localStorage.setItem("__c2save_"+b,h),cr.logexport("Saved state to WebStorage ("+
h.length+" bytes)"),a.lastSaveJson=h,this.trigger(cr.system_object.prototype.cnds.OnSaveComplete,null),a.lastSaveJson="",g&&e()}catch(l){cr.logexport("Error saving to WebStorage: "+l)}this.loadFromJson=this.loadFromSlot=this.saveToSlot=""}f.length&&(window.indexedDB&&!this.isCocoonJs?d(f,function(b){b?(a.loadFromJson=b,cr.logexport("Loaded state from IndexedDB storage ("+a.loadFromJson.length+" bytes)")):(a.loadFromJson=localStorage.getItem("__c2save_"+f)||"",cr.logexport("Loaded state from WebStorage ("+
a.loadFromJson.length+" bytes)"));a.suspendDrawing=!1;a.loadFromJson.length||a.trigger(cr.system_object.prototype.cnds.OnLoadFailed,null)},function(b){a.loadFromJson=localStorage.getItem("__c2save_"+f)||"";cr.logexport("Loaded state from WebStorage ("+a.loadFromJson.length+" bytes)");a.suspendDrawing=!1;a.loadFromJson.length||a.trigger(cr.system_object.prototype.cnds.OnLoadFailed,null)}):(this.loadFromJson=localStorage.getItem("__c2save_"+f)||"",cr.logexport("Loaded state from WebStorage ("+this.loadFromJson.length+
" bytes)"),this.suspendDrawing=!1,a.loadFromJson.length||a.trigger(cr.system_object.prototype.cnds.OnLoadFailed,null)),this.saveToSlot=this.loadFromSlot="");this.loadFromJson.length&&(this.ClearDeathRow(),this.loadFromJSONString(this.loadFromJson),this.lastSaveJson=this.loadFromJson,this.trigger(cr.system_object.prototype.cnds.OnLoadComplete,null),this.loadFromJson=this.lastSaveJson="")};a.prototype.saveToJSONString=function(){var a,b,e,f,g,c,d,l={c2save:!0,version:1,rt:{time:this.kahanTime.sum,timescale:this.timescale,
tickcount:this.tickcount,execcount:this.execcount,next_uid:this.next_uid,running_layout:this.running_layout.sid,start_time_offset:Date.now()-this.start_time},types:{},layouts:{},events:{groups:{},cnds:{},acts:{},vars:{}}};a=0;for(b=this.types_by_index.length;a<b;a++)if(g=this.types_by_index[a],!g.is_family&&!this.typeHasNoSaveBehavior(g)){c={instances:[]};cr.hasAnyOwnProperty(g.extra)&&(c.ex=h(g.extra));e=0;for(f=g.instances.length;e<f;e++)c.instances.push(this.saveInstanceToJSON(g.instances[e]));
l.types[g.sid.toString()]=c}a=0;for(b=this.layouts_by_index.length;a<b;a++)e=this.layouts_by_index[a],l.layouts[e.sid.toString()]=e.saveToJSON();f=l.events.groups;a=0;for(b=this.allGroups.length;a<b;a++)e=this.allGroups[a],f[e.sid.toString()]=this.groups_by_name[e.group_name].group_active;b=l.events.cnds;for(d in this.cndsBySid)this.cndsBySid.hasOwnProperty(d)&&(a=this.cndsBySid[d],cr.hasAnyOwnProperty(a.extra)&&(b[d]={ex:h(a.extra)}));b=l.events.acts;for(d in this.actsBySid)this.actsBySid.hasOwnProperty(d)&&
(a=this.actsBySid[d],cr.hasAnyOwnProperty(a.extra)&&(b[d]={ex:a.extra}));b=l.events.vars;for(d in this.varsBySid)this.varsBySid.hasOwnProperty(d)&&(a=this.varsBySid[d],a.is_constant||a.parent&&!a.is_static||(b[d]=a.data));l.system=this.system.saveToJSON();return JSON.stringify(l)};a.prototype.refreshUidMap=function(){var a,b,e,f,g,c;this.objectsByUid={};a=0;for(b=this.types_by_index.length;a<b;a++)if(e=this.types_by_index[a],!e.is_family)for(f=0,g=e.instances.length;f<g;f++)c=e.instances[f],this.objectsByUid[c.uid.toString()]=
c};a.prototype.loadFromJSONString=function(a){a=JSON.parse(a);if(a.c2save&&!(1<a.version)){var b=a.rt;this.kahanTime.reset();this.kahanTime.sum=b.time;this.timescale=b.timescale;this.tickcount=b.tickcount;this.start_time=Date.now()-b.start_time_offset;var e=b.running_layout;if(e!==this.running_layout.sid)if(e=this.getLayoutBySid(e))this.doChangeLayout(e);else return;this.isLoadingState=!0;var f,g,c,d,h,l,k;l=a.types;for(g in l)if(l.hasOwnProperty(g)&&(d=this.getObjectTypeBySid(parseInt(g,10)))&&!d.is_family&&
!this.typeHasNoSaveBehavior(d)){l[g].ex?d.extra=l[g].ex:cr.wipe(d.extra);h=d.instances;c=l[g].instances;e=0;for(f=cr.min(h.length,c.length);e<f;e++)this.loadInstanceFromJSON(h[e],c[e]);e=c.length;for(f=h.length;e<f;e++)this.DestroyInstance(h[e]);e=h.length;for(f=c.length;e<f;e++){h=null;if(d.plugin.is_world&&(h=this.running_layout.getLayerBySid(c[e].w.l),!h))continue;h=this.createInstanceFromInit(d.default_instance,h,!1,0,0,!0);this.loadInstanceFromJSON(h,c[e])}d.stale_iids=!0}this.ClearDeathRow();
this.refreshUidMap();f=a.layouts;for(g in f)f.hasOwnProperty(g)&&(e=this.getLayoutBySid(parseInt(g,10)))&&e.loadFromJSON(f[g]);f=a.events.groups;for(g in f)f.hasOwnProperty(g)&&(e=this.getGroupBySid(parseInt(g,10)))&&this.groups_by_name[e.group_name]&&(this.groups_by_name[e.group_name].group_active=f[g]);e=a.events.cnds;for(g in e)e.hasOwnProperty(g)&&this.cndsBySid.hasOwnProperty(g)&&(this.cndsBySid[g].extra=e[g].ex);e=a.events.acts;for(g in e)e.hasOwnProperty(g)&&this.actsBySid.hasOwnProperty(g)&&
(this.actsBySid[g].extra=e[g].ex);e=a.events.vars;for(g in e)e.hasOwnProperty(g)&&this.varsBySid.hasOwnProperty(g)&&(this.varsBySid[g].data=e[g]);this.next_uid=b.next_uid;this.isLoadingState=!1;this.system.loadFromJSON(a.system);e=0;for(f=this.types_by_index.length;e<f;e++)if(d=this.types_by_index[e],!d.is_family)for(g=0,a=d.instances.length;g<a;g++){h=d.instances[g];if(d.is_contained)for(l=h.get_iid(),b=h.siblings.length=0,c=d.container.length;b<c;b++)k=d.container[b],d!==k&&h.siblings.push(k.instances[l]);
h.afterLoad&&h.afterLoad();if(h.behavior_insts)for(b=0,c=h.behavior_insts.length;b<c;b++)l=h.behavior_insts[b],l.afterLoad&&l.afterLoad()}this.redraw=!0}};a.prototype.saveInstanceToJSON=function(a,b){var e,f,g,c,d;c=a.type;g=c.plugin;var l={};b?l.c2=!0:l.uid=a.uid;cr.hasAnyOwnProperty(a.extra)&&(l.ex=h(a.extra));if(a.instance_vars&&a.instance_vars.length)for(l.ivs={},e=0,f=a.instance_vars.length;e<f;e++)l.ivs[a.type.instvar_sids[e].toString()]=a.instance_vars[e];if(g.is_world){g={x:a.x,y:a.y,w:a.width,
h:a.height,l:a.layer.sid,zi:a.get_zindex()};0!==a.angle&&(g.a=a.angle);1!==a.opacity&&(g.o=a.opacity);0.5!==a.hotspotX&&(g.hX=a.hotspotX);0.5!==a.hotspotY&&(g.hY=a.hotspotY);0!==a.blend_mode&&(g.bm=a.blend_mode);a.visible||(g.v=a.visible);a.collisionsEnabled||(g.ce=a.collisionsEnabled);-1!==a.my_timescale&&(g.mts=a.my_timescale);if(c.effect_types.length)for(g.fx=[],e=0,f=c.effect_types.length;e<f;e++)d=c.effect_types[e],g.fx.push({name:d.name,active:a.active_effect_flags[d.index],params:a.effect_params[d.index]});
l.w=g}if(a.behavior_insts&&a.behavior_insts.length)for(l.behs={},e=0,f=a.behavior_insts.length;e<f;e++)c=a.behavior_insts[e],c.saveToJSON&&(l.behs[c.type.sid.toString()]=c.saveToJSON());a.saveToJSON&&(l.data=a.saveToJSON());return l};a.prototype.getInstanceVarIndexBySid=function(a,b){var e,f;e=0;for(f=a.instvar_sids.length;e<f;e++)if(a.instvar_sids[e]===b)return e;return-1};a.prototype.getBehaviorIndexBySid=function(a,b){var e,f;e=0;for(f=a.behavior_insts.length;e<f;e++)if(a.behavior_insts[e].type.sid===
b)return e;return-1};a.prototype.loadInstanceFromJSON=function(a,b,e){var f,g,c,d,h;h=a.type;c=h.plugin;if(e){if(!b.c2)return}else a.uid=b.uid;b.ex?a.extra=b.ex:cr.wipe(a.extra);if(g=b.ivs)for(f in g)g.hasOwnProperty(f)&&(e=this.getInstanceVarIndexBySid(h,parseInt(f,10)),0>e||e>=a.instance_vars.length||(a.instance_vars[e]=g[f]));if(c.is_world){c=b.w;a.layer.sid!==c.l&&(e=a.layer,a.layer=this.running_layout.getLayerBySid(c.l),a.layer?(a.layer.instances.push(a),a.layer.zindices_stale=!0,cr.arrayFindRemove(e.instances,
a),e.zindices_stale=!0):(a.layer=e,this.DestroyInstance(a)));a.x=c.x;a.y=c.y;a.width=c.w;a.height=c.h;a.zindex=c.zi;a.angle=c.hasOwnProperty("a")?c.a:0;a.opacity=c.hasOwnProperty("o")?c.o:1;a.hotspotX=c.hasOwnProperty("hX")?c.hX:0.5;a.hotspotY=c.hasOwnProperty("hY")?c.hY:0.5;a.visible=c.hasOwnProperty("v")?c.v:!0;a.collisionsEnabled=c.hasOwnProperty("ce")?c.ce:!0;a.my_timescale=c.hasOwnProperty("mts")?c.mts:-1;a.blend_mode=c.hasOwnProperty("bm")?c.bm:0;a.compositeOp=cr.effectToCompositeOp(a.blend_mode);
this.gl&&cr.setGLBlend(a,a.blend_mode,this.gl);a.set_bbox_changed();if(c.hasOwnProperty("fx"))for(e=0,g=c.fx.length;e<g;e++)d=h.getEffectIndexByName(c.fx[e].name),0>d||(a.active_effect_flags[d]=c.fx[e].active,a.effect_params[d]=c.fx[e].params);a.updateActiveEffects()}if(h=b.behs)for(f in h)h.hasOwnProperty(f)&&(c=this.getBehaviorIndexBySid(a,parseInt(f,10)),0>c||a.behavior_insts[c].loadFromJSON(h[f]));b.data&&a.loadFromJSON(b.data)};cr.runtime=a;cr.createRuntime=function(b){return new a(document.getElementById(b))};
cr.createDCRuntime=function(b,e){return new a({dc:!0,width:b,height:e})};window.cr_createRuntime=cr.createRuntime;window.cr_createDCRuntime=cr.createDCRuntime;window.createCocoonJSRuntime=function(){window.c2cocoonjs=!0;var b=document.createElement("screencanvas")||document.createElement("canvas");b.screencanvas=!0;document.body.appendChild(b);b=new a(b);window.c2runtime=b;window.addEventListener("orientationchange",function(){window.c2runtime.setSize(window.innerWidth,window.innerHeight)});window.c2runtime.setSize(window.innerWidth,
window.innerHeight);return b};window.createEjectaRuntime=function(){var b=document.getElementById("canvas"),b=new a(b);window.c2runtime=b;window.c2runtime.setSize(window.innerWidth,window.innerHeight);return b}})();window.cr_getC2Runtime=function(){var a=document.getElementById("c2canvas");return a?a.c2runtime:window.c2runtime?window.c2runtime:null};window.cr_sizeCanvas=function(a,b){if(0!==a&&0!==b){var c=window.cr_getC2Runtime();c&&c.setSize(a,b)}};
window.cr_setSuspended=function(a){var b=window.cr_getC2Runtime();b&&b.setSuspended(a)};
(function(){function a(a,b){this.runtime=a;this.event_sheet=null;this.scrollX=this.runtime.original_width/2;this.scrollY=this.runtime.original_height/2;this.scale=1;this.angle=0;this.first_visit=!0;this.name=b[0];this.width=b[1];this.height=b[2];this.unbounded_scrolling=b[3];this.sheetname=b[4];this.sid=b[5];var c=b[6],d,m;this.layers=[];this.initial_types=[];d=0;for(m=c.length;d<m;d++){var p=new cr.layer(this,c[d]);p.number=d;cr.seal(p);this.layers.push(p)}c=b[7];this.initial_nonworld=[];d=0;for(m=
c.length;d<m;d++){var p=c[d],k=this.runtime.types_by_index[p[1]];k.default_instance||(k.default_instance=p);this.initial_nonworld.push(p);-1===this.initial_types.indexOf(k)&&this.initial_types.push(k)}this.effect_types=[];this.active_effect_types=[];this.effect_params=[];d=0;for(m=b[8].length;d<m;d++)this.effect_types.push({id:b[8][d][0],name:b[8][d][1],shaderindex:-1,active:!0,index:d}),this.effect_params.push(b[8][d][2].slice(0));this.updateActiveEffects();this.rcTex=new cr.rect(0,0,1,1);this.rcTex2=
new cr.rect(0,0,1,1);this.persist_data={}}function b(a,b){this.layout=a;this.runtime=a.runtime;this.instances=[];this.scale=1;this.angle=0;this.disableAngle=!1;this.tmprect=new cr.rect(0,0,0,0);this.tmpquad=new cr.quad;this.viewBottom=this.viewTop=this.viewRight=this.viewLeft=0;this.zindices_stale=!1;this.name=b[0];this.index=b[1];this.sid=b[2];this.visible=b[3];this.background_color=b[4];this.transparent=b[5];this.parallaxX=b[6];this.parallaxY=b[7];this.opacity=b[8];this.forceOwnTexture=b[9];this.zoomRate=
b[10];this.blend_mode=b[11];this.effect_fallback=b[12];this.compositeOp="source-over";this.destBlend=this.srcBlend=0;this.render_offscreen=!1;var c=b[13],d,m;this.initial_instances=[];d=0;for(m=c.length;d<m;d++){var p=c[d],k=this.runtime.types_by_index[p[1]];k.default_instance||(k.default_instance=p,k.default_layerindex=this.index);this.initial_instances.push(p);-1===this.layout.initial_types.indexOf(k)&&this.layout.initial_types.push(k)}this.effect_types=[];this.active_effect_types=[];this.effect_params=
[];d=0;for(m=b[14].length;d<m;d++)this.effect_types.push({id:b[14][d][0],name:b[14][d][1],shaderindex:-1,active:!0,index:d}),this.effect_params.push(b[14][d][2].slice(0));this.updateActiveEffects();this.rcTex=new cr.rect(0,0,1,1);this.rcTex2=new cr.rect(0,0,1,1)}function c(a,b){return a.zindex-b.zindex}a.prototype.saveObjectToPersist=function(a){var b=a.type.sid.toString();this.persist_data.hasOwnProperty(b)||(this.persist_data[b]=[]);this.persist_data[b].push(this.runtime.saveInstanceToJSON(a))};
a.prototype.hasOpaqueBottomLayer=function(){var a=this.layers[0];return!a.transparent&&1===a.opacity&&!a.forceOwnTexture&&a.visible};a.prototype.updateActiveEffects=function(){this.active_effect_types.length=0;var a,b,c;a=0;for(b=this.effect_types.length;a<b;a++)c=this.effect_types[a],c.active&&this.active_effect_types.push(c)};a.prototype.getEffectByName=function(a){var b,c,d;b=0;for(c=this.effect_types.length;b<c;b++)if(d=this.effect_types[b],d.name===a)return d;return null};var d=[];a.prototype.startRunning=
function(){this.sheetname&&(this.event_sheet=this.runtime.eventsheets[this.sheetname],this.event_sheet.updateDeepIncludes());this.runtime.running_layout=this;this.scrollX=this.runtime.original_width/2;this.scrollY=this.runtime.original_height/2;var a,b,l,s,m,p,k;a=0;for(l=this.runtime.types_by_index.length;a<l;a++)if(b=this.runtime.types_by_index[a],!b.is_family)for(m=b.instances,b=0,s=m.length;b<s;b++)if(p=m[b],p.layer){var r=p.layer.number;r>=this.layers.length&&(r=this.layers.length-1);p.layer=
this.layers[r];p.layer.instances.push(p);p.layer.zindices_stale=!0}d.length=0;this.boundScrolling();a=0;for(l=this.layers.length;a<l;a++)p=this.layers[a],p.createInitialInstances(),p.disableAngle=!0,b=p.canvasToLayer(0,0,!0,!0),s=p.canvasToLayer(0,0,!1,!0),p.disableAngle=!1,this.runtime.pixel_rounding&&(b=b+0.5|0,s=s+0.5|0),p.rotateViewport(b,s,null);m=!1;if(!this.first_visit){for(k in this.persist_data)if(this.persist_data.hasOwnProperty(k)&&(b=this.runtime.getObjectTypeBySid(parseInt(k,10)))&&!b.is_family&&
this.runtime.typeHasPersistBehavior(b)){s=this.persist_data[k];a=0;for(l=s.length;a<l;a++){p=null;if(b.plugin.is_world&&(p=this.getLayerBySid(s[a].w.l),!p))continue;p=this.runtime.createInstanceFromInit(b.default_instance,p,!1,0,0,!0);this.runtime.loadInstanceFromJSON(p,s[a]);m=!0;d.push(p)}s.length=0}a=0;for(l=this.layers.length;a<l;a++)this.layers[a].instances.sort(c),this.layers[a].zindices_stale=!0}m&&(this.runtime.ClearDeathRow(),this.runtime.refreshUidMap());for(a=0;a<d.length;a++)if(p=d[a],
p.type.is_contained)for(l=p.get_iid(),b=0,s=p.type.container.length;b<s;b++)k=p.type.container[b],p.type!==k&&(k.instances.length>l?p.siblings.push(k.instances[l]):k.default_instance&&(m=this.runtime.createInstanceFromInit(k.default_instance,p.layer,!0,p.x,p.y,!0),this.runtime.ClearDeathRow(),k.updateIIDs(),p.siblings.push(m),d.push(m)));a=0;for(l=this.initial_nonworld.length;a<l;a++)this.runtime.createInstanceFromInit(this.initial_nonworld[a],null,!0);this.runtime.changelayout=null;this.runtime.ClearDeathRow();
if(this.runtime.ctx&&!this.runtime.isDomFree)for(a=0,l=this.runtime.types_by_index.length;a<l;a++)k=this.runtime.types_by_index[a],!k.is_family&&k.instances.length&&k.preloadCanvas2D&&k.preloadCanvas2D(this.runtime.ctx);a=0;for(l=d.length;a<l;a++)p=d[a],this.runtime.trigger(Object.getPrototypeOf(p.type.plugin).cnds.OnCreated,p);d.length=0;this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutStart,null);this.first_visit=!1};a.prototype.createGlobalNonWorlds=function(){var a,b,c,d,m;b=a=0;for(c=
this.initial_nonworld.length;a<c;a++)d=this.initial_nonworld[a],m=this.runtime.types_by_index[d[1]],m.global?this.runtime.createInstanceFromInit(d,null,!0):(this.initial_nonworld[b]=d,b++);this.initial_nonworld.length=b};a.prototype.stopRunning=function(){this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutEnd,null);this.runtime.system.waits.length=0;var a,b,c,d,m,p;a=0;for(b=this.layers.length;a<b;a++){m=this.layers[a].instances;c=0;for(d=m.length;c<d;c++)p=m[c],p.type.global||(this.runtime.typeHasPersistBehavior(p.type)&&
this.saveObjectToPersist(p),this.runtime.DestroyInstance(p));this.runtime.ClearDeathRow();m.length=0;this.layers[a].zindices_stale=!0}a=0;for(b=this.runtime.types_by_index.length;a<b;a++)if(m=this.runtime.types_by_index[a],!(m.global||m.plugin.is_world||m.plugin.singleglobal||m.is_family)){c=0;for(d=m.instances.length;c<d;c++)this.runtime.DestroyInstance(m.instances[c]);this.runtime.ClearDeathRow()}};a.prototype.draw=function(a){var b,c=a,d=!1,m=!this.runtime.fullscreenScalingQuality;m&&(this.runtime.layout_canvas||
(this.runtime.layout_canvas=document.createElement("canvas"),b=this.runtime.layout_canvas,b.width=this.runtime.draw_width,b.height=this.runtime.draw_height,this.runtime.layout_ctx=b.getContext("2d"),d=!0),b=this.runtime.layout_canvas,c=this.runtime.layout_ctx,b.width!==this.runtime.draw_width&&(b.width=this.runtime.draw_width,d=!0),b.height!==this.runtime.draw_height&&(b.height=this.runtime.draw_height,d=!0),d&&(c.webkitImageSmoothingEnabled=this.runtime.linearSampling,c.mozImageSmoothingEnabled=
this.runtime.linearSampling,c.msImageSmoothingEnabled=this.runtime.linearSampling,c.imageSmoothingEnabled=this.runtime.linearSampling));c.globalAlpha=1;c.globalCompositeOperation="source-over";this.runtime.alphaBackground&&!this.hasOpaqueBottomLayer()&&c.clearRect(0,0,this.runtime.draw_width,this.runtime.draw_height);var p,k,d=0;for(p=this.layers.length;d<p;d++)k=this.layers[d],k.visible&&0<k.opacity&&11!==k.blend_mode&&k.draw(c);m&&a.drawImage(b,0,0,this.runtime.width,this.runtime.height)};a.prototype.drawGL=
function(a){var b=0<this.active_effect_types.length||this.runtime.uses_background_blending||!this.runtime.fullscreenScalingQuality;if(b){this.runtime.layout_tex||(this.runtime.layout_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling));if(this.runtime.layout_tex.c2width!==this.runtime.draw_width||this.runtime.layout_tex.c2height!==this.runtime.draw_height)a.deleteTexture(this.runtime.layout_tex),this.runtime.layout_tex=a.createEmptyTexture(this.runtime.draw_width,
this.runtime.draw_height,this.runtime.linearSampling);a.setRenderingToTexture(this.runtime.layout_tex);this.runtime.fullscreenScalingQuality||a.setSize(this.runtime.draw_width,this.runtime.draw_height)}else this.runtime.layout_tex&&(a.setRenderingToTexture(null),a.deleteTexture(this.runtime.layout_tex),this.runtime.layout_tex=null);this.runtime.alphaBackground&&!this.hasOpaqueBottomLayer()&&a.clear(0,0,0,0);var c,d;c=0;for(d=this.layers.length;c<d;c++)this.layers[c].visible&&0<this.layers[c].opacity&&
this.layers[c].drawGL(a);b&&(0===this.active_effect_types.length||1===this.active_effect_types.length&&this.runtime.fullscreenScalingQuality?(1===this.active_effect_types.length?(b=this.active_effect_types[0].index,a.switchProgram(this.active_effect_types[0].shaderindex),a.setProgramParameters(null,1/this.runtime.draw_width,1/this.runtime.draw_height,0,0,1,1,this.scale,this.angle,0,0,this.effect_params[b]),a.programIsAnimated(this.active_effect_types[0].shaderindex)&&(this.runtime.redraw=!0)):a.switchProgram(0),
this.runtime.fullscreenScalingQuality||a.setSize(this.runtime.width,this.runtime.height),a.setRenderingToTexture(null),a.setOpacity(1),a.setTexture(this.runtime.layout_tex),a.setAlphaBlend(),a.resetModelView(),a.updateModelView(),b=this.runtime.width/2,c=this.runtime.height/2,a.quad(-b,c,b,c,b,-c,-b,-c),a.setTexture(null)):this.renderEffectChain(a,null,null,null))};a.prototype.getRenderTarget=function(){return 0<this.active_effect_types.length||this.runtime.uses_background_blending||!this.runtime.fullscreenScalingQuality?
this.runtime.layout_tex:null};a.prototype.getMinLayerScale=function(){var a=this.layers[0].getScale(),b,c,d;b=1;for(c=this.layers.length;b<c;b++)d=this.layers[b],(0!==d.parallaxX||0!==d.parallaxY)&&d.getScale()<a&&(a=d.getScale());return a};a.prototype.scrollToX=function(a){if(!this.unbounded_scrolling){var b=this.runtime.draw_width*(1/this.getMinLayerScale())/2;a>this.width-b&&(a=this.width-b);a<b&&(a=b)}this.scrollX!==a&&(this.scrollX=a,this.runtime.redraw=!0)};a.prototype.scrollToY=function(a){if(!this.unbounded_scrolling){var b=
this.runtime.draw_height*(1/this.getMinLayerScale())/2;a>this.height-b&&(a=this.height-b);a<b&&(a=b)}this.scrollY!==a&&(this.scrollY=a,this.runtime.redraw=!0)};a.prototype.boundScrolling=function(){this.scrollToX(this.scrollX);this.scrollToY(this.scrollY)};a.prototype.renderEffectChain=function(a,b,c,d){var m=c?c.active_effect_types:b?b.active_effect_types:this.active_effect_types,p=1,k=0,r=0,n=0;c?(p=c.layer.getScale(),k=c.layer.getAngle(),r=c.layer.viewLeft,n=c.layer.viewTop):b&&(p=b.getScale(),
k=b.getAngle(),r=b.viewLeft,n=b.viewTop);var t=this.runtime.fx_tex,v,w,q,u,x=0,f=1,g,D=this.runtime.draw_width,z=this.runtime.draw_height,A=D/2,y=z/2,E=b?b.rcTex:this.rcTex,F=b?b.rcTex2:this.rcTex2,B=0,M=0,J=0,I=0,G=D,W=D,P=z,Q=z,K=q=0,C=c?c.layer.getAngle():0;if(c){v=0;for(w=m.length;v<w;v++)q+=a.getProgramBoxExtendHorizontal(m[v].shaderindex),K+=a.getProgramBoxExtendVertical(m[v].shaderindex);u=c.bbox;B=b.layerToCanvas(u.left,u.top,!0,!0);J=b.layerToCanvas(u.left,u.top,!1,!0);G=b.layerToCanvas(u.right,
u.bottom,!0,!0);P=b.layerToCanvas(u.right,u.bottom,!1,!0);0!==C&&(v=b.layerToCanvas(u.right,u.top,!0,!0),w=b.layerToCanvas(u.right,u.top,!1,!0),M=b.layerToCanvas(u.left,u.bottom,!0,!0),I=b.layerToCanvas(u.left,u.bottom,!1,!0),u=Math.min(B,G,v,M),G=Math.max(B,G,v,M),B=u,u=Math.min(J,P,w,I),P=Math.max(J,P,w,I),J=u);B-=q;J-=K;G+=q;P+=K;F.left=B/D;F.top=1-J/z;F.right=G/D;F.bottom=1-P/z;M=B=cr.floor(B);I=J=cr.floor(J);W=G=cr.ceil(G);Q=P=cr.ceil(P);M-=q;I-=K;W+=q;Q+=K;0>B&&(B=0);0>J&&(J=0);G>D&&(G=D);P>
z&&(P=z);0>M&&(M=0);0>I&&(I=0);W>D&&(W=D);Q>z&&(Q=z);E.left=B/D;E.top=1-J/z;E.right=G/D;E.bottom=1-P/z}else E.left=F.left=0,E.top=F.top=0,E.right=F.right=1,E.bottom=F.bottom=1;K=c&&((c.angle||C)&&a.programUsesDest(m[0].shaderindex)||0!==q||0!==K||1!==c.opacity||c.type.plugin.must_predraw)||b&&!c&&1!==b.opacity;a.setAlphaBlend();if(K){t[x]||(t[x]=a.createEmptyTexture(D,z,this.runtime.linearSampling));if(t[x].c2width!==D||t[x].c2height!==z)a.deleteTexture(t[x]),t[x]=a.createEmptyTexture(D,z,this.runtime.linearSampling);
a.switchProgram(0);a.setRenderingToTexture(t[x]);g=Q-I;a.clearRect(M,z-I-g,W-M,g);c?c.drawGL(a):(a.setTexture(this.runtime.layer_tex),a.setOpacity(b.opacity),a.resetModelView(),a.translate(-A,-y),a.updateModelView(),a.quadTex(B,P,G,P,G,J,B,J,E));F.left=F.top=0;F.right=F.bottom=1;c&&(u=E.top,E.top=E.bottom,E.bottom=u);x=1;f=0}a.setOpacity(1);q=m.length-1;var C=a.programUsesCrossSampling(m[q].shaderindex)||!b&&!c&&!this.runtime.fullscreenScalingQuality,N=0;v=0;for(w=m.length;v<w;v++){t[x]||(t[x]=a.createEmptyTexture(D,
z,this.runtime.linearSampling));if(t[x].c2width!==D||t[x].c2height!==z)a.deleteTexture(t[x]),t[x]=a.createEmptyTexture(D,z,this.runtime.linearSampling);a.switchProgram(m[v].shaderindex);N=m[v].index;a.programIsAnimated(m[v].shaderindex)&&(this.runtime.redraw=!0);0!=v||K?(a.setProgramParameters(d,1/D,1/z,F.left,F.top,F.right,F.bottom,p,k,r,n,c?c.effect_params[N]:b?b.effect_params[N]:this.effect_params[N]),a.setTexture(null),v!==q||C?(a.setRenderingToTexture(t[x]),g=Q-I,u=z-I-g,a.clearRect(M,u,W-M,
g)):(c?a.setBlend(c.srcBlend,c.destBlend):b&&a.setBlend(b.srcBlend,b.destBlend),a.setRenderingToTexture(d)),a.setTexture(t[f]),a.resetModelView(),a.translate(-A,-y),a.updateModelView(),a.quadTex(B,P,G,P,G,J,B,J,E),v!==q||C||a.setTexture(null)):(a.setRenderingToTexture(t[x]),g=Q-I,u=z-I-g,a.clearRect(M,u,W-M,g),c?(a.setProgramParameters(d,1/c.width,1/c.height,F.left,F.top,F.right,F.bottom,p,k,r,n,c.effect_params[N]),c.drawGL(a)):(a.setProgramParameters(d,1/D,1/z,0,0,1,1,p,k,r,n,b?b.effect_params[N]:
this.effect_params[N]),a.setTexture(b?this.runtime.layer_tex:this.runtime.layout_tex),a.resetModelView(),a.translate(-A,-y),a.updateModelView(),a.quadTex(B,P,G,P,G,J,B,J,E)),F.left=F.top=0,F.right=F.bottom=1,c&&!C&&(u=P,P=J,J=u));x=0===x?1:0;f=0===x?1:0}C&&(a.switchProgram(0),c?a.setBlend(c.srcBlend,c.destBlend):b?a.setBlend(b.srcBlend,b.destBlend):this.runtime.fullscreenScalingQuality||(a.setSize(this.runtime.width,this.runtime.height),A=this.runtime.width/2,y=this.runtime.height/2,J=B=0,G=this.runtime.width,
P=this.runtime.height),a.setRenderingToTexture(d),a.setTexture(t[f]),a.resetModelView(),a.translate(-A,-y),a.updateModelView(),c&&1===m.length&&!K?a.quadTex(B,J,G,J,G,P,B,P,E):a.quadTex(B,P,G,P,G,J,B,J,E),a.setTexture(null))};a.prototype.getLayerBySid=function(a){var b,c;b=0;for(c=this.layers.length;b<c;b++)if(this.layers[b].sid===a)return this.layers[b];return null};a.prototype.saveToJSON=function(){var a,b,c,d={sx:this.scrollX,sy:this.scrollY,s:this.scale,a:this.angle,w:this.width,h:this.height,
fv:this.first_visit,persist:this.persist_data,fx:[],layers:{}};a=0;for(b=this.effect_types.length;a<b;a++)c=this.effect_types[a],d.fx.push({name:c.name,active:c.active,params:this.effect_params[c.index]});a=0;for(b=this.layers.length;a<b;a++)c=this.layers[a],d.layers[c.sid.toString()]=c.saveToJSON();return d};a.prototype.loadFromJSON=function(a){var b,c,d,m;this.scrollX=a.sx;this.scrollY=a.sy;this.scale=a.s;this.angle=a.a;this.width=a.w;this.height=a.h;this.persist_data=a.persist;"undefined"!==typeof a.fv&&
(this.first_visit=a.fv);var p=a.fx;b=0;for(c=p.length;b<c;b++)if(d=this.getEffectByName(p[b].name))d.active=p[b].active,this.effect_params[d.index]=p[b].params;this.updateActiveEffects();b=a.layers;for(m in b)b.hasOwnProperty(m)&&(a=this.getLayerBySid(parseInt(m,10)))&&a.loadFromJSON(b[m])};cr.layout=a;b.prototype.updateActiveEffects=function(){this.active_effect_types.length=0;var a,b,c;a=0;for(b=this.effect_types.length;a<b;a++)c=this.effect_types[a],c.active&&this.active_effect_types.push(c)};
b.prototype.getEffectByName=function(a){var b,c,d;b=0;for(c=this.effect_types.length;b<c;b++)if(d=this.effect_types[b],d.name===a)return d;return null};b.prototype.createInitialInstances=function(){var a,b,c,s,m,p;b=a=0;for(c=this.initial_instances.length;a<c;a++){s=this.initial_instances[a];m=this.runtime.types_by_index[s[1]];p=this.runtime.typeHasPersistBehavior(m);m=!0;if(!p||this.layout.first_visit)s=this.runtime.createInstanceFromInit(s,this,!0),d.push(s),s.type.global&&(m=!1);m&&(this.initial_instances[b]=
this.initial_instances[a],b++)}this.initial_instances.length=b;this.runtime.ClearDeathRow();!this.runtime.glwrap&&this.effect_types.length&&(this.blend_mode=this.effect_fallback);this.compositeOp=cr.effectToCompositeOp(this.blend_mode);this.runtime.gl&&cr.setGLBlend(this,this.blend_mode,this.runtime.gl)};b.prototype.updateZIndices=function(){if(this.zindices_stale){var a,b;a=0;for(b=this.instances.length;a<b;a++)this.instances[a].zindex=a;this.zindices_stale=!1}};b.prototype.getScale=function(a){return this.getNormalScale()*
(this.runtime.fullscreenScalingQuality||a?this.runtime.aspect_scale:1)};b.prototype.getNormalScale=function(){return(this.scale*this.layout.scale-1)*this.zoomRate+1};b.prototype.getAngle=function(){return this.disableAngle?0:cr.clamp_angle(this.layout.angle+this.angle)};b.prototype.draw=function(a){this.render_offscreen=this.forceOwnTexture||1!==this.opacity||0!==this.blend_mode;var b=this.runtime.canvas,c=a,d=!1;this.render_offscreen&&(this.runtime.layer_canvas||(this.runtime.layer_canvas=document.createElement("canvas"),
b=this.runtime.layer_canvas,b.width=this.runtime.draw_width,b.height=this.runtime.draw_height,this.runtime.layer_ctx=b.getContext("2d"),d=!0),b=this.runtime.layer_canvas,c=this.runtime.layer_ctx,b.width!==this.runtime.draw_width&&(b.width=this.runtime.draw_width,d=!0),b.height!==this.runtime.draw_height&&(b.height=this.runtime.draw_height,d=!0),d&&(c.webkitImageSmoothingEnabled=this.runtime.linearSampling,c.mozImageSmoothingEnabled=this.runtime.linearSampling,c.msImageSmoothingEnabled=this.runtime.linearSampling,
c.imageSmoothingEnabled=this.runtime.linearSampling),this.transparent&&c.clearRect(0,0,this.runtime.draw_width,this.runtime.draw_height));c.globalAlpha=1;c.globalCompositeOperation="source-over";this.transparent||(c.fillStyle="rgb("+this.background_color[0]+","+this.background_color[1]+","+this.background_color[2]+")",c.fillRect(0,0,this.runtime.draw_width,this.runtime.draw_height));c.save();this.disableAngle=!0;var d=this.canvasToLayer(0,0,!0,!0),m=this.canvasToLayer(0,0,!1,!0);this.disableAngle=
!1;this.runtime.pixel_rounding&&(d=d+0.5|0,m=m+0.5|0);this.rotateViewport(d,m,c);var p=this.getScale();c.scale(p,p);c.translate(-d,-m);for(var k,d=0,m=this.instances.length;d<m;d++)p=this.instances[d],p.visible&&0!==p.width&&0!==p.height&&(p.update_bbox(),k=p.bbox,k.right<this.viewLeft||k.bottom<this.viewTop||k.left>this.viewRight||k.top>this.viewBottom||(c.globalCompositeOperation=p.compositeOp,p.draw(c)));c.restore();this.render_offscreen&&(a.globalCompositeOperation=this.compositeOp,a.globalAlpha=
this.opacity,a.drawImage(b,0,0))};b.prototype.rotateViewport=function(a,b,c){var d=this.getScale();this.viewLeft=a;this.viewTop=b;this.viewRight=a+this.runtime.draw_width*(1/d);this.viewBottom=b+this.runtime.draw_height*(1/d);a=this.getAngle();0!==a&&(c&&(c.translate(this.runtime.draw_width/2,this.runtime.draw_height/2),c.rotate(-a),c.translate(this.runtime.draw_width/-2,this.runtime.draw_height/-2)),this.tmprect.set(this.viewLeft,this.viewTop,this.viewRight,this.viewBottom),this.tmprect.offset((this.viewLeft+
this.viewRight)/-2,(this.viewTop+this.viewBottom)/-2),this.tmpquad.set_from_rotated_rect(this.tmprect,a),this.tmpquad.bounding_box(this.tmprect),this.tmprect.offset((this.viewLeft+this.viewRight)/2,(this.viewTop+this.viewBottom)/2),this.viewLeft=this.tmprect.left,this.viewTop=this.tmprect.top,this.viewRight=this.tmprect.right,this.viewBottom=this.tmprect.bottom)};b.prototype.drawGL=function(a){var b=this.runtime.draw_width,c=this.runtime.draw_height,d=0,m=0;if(this.render_offscreen=this.forceOwnTexture||
1!==this.opacity||0<this.active_effect_types.length||0!==this.blend_mode){this.runtime.layer_tex||(this.runtime.layer_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling));if(this.runtime.layer_tex.c2width!==this.runtime.draw_width||this.runtime.layer_tex.c2height!==this.runtime.draw_height)a.deleteTexture(this.runtime.layer_tex),this.runtime.layer_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling);
a.setRenderingToTexture(this.runtime.layer_tex);this.transparent&&a.clear(0,0,0,0)}this.transparent||a.clear(this.background_color[0]/255,this.background_color[1]/255,this.background_color[2]/255,1);this.disableAngle=!0;var m=this.canvasToLayer(0,0,!0,!0),p=this.canvasToLayer(0,0,!1,!0);this.disableAngle=!1;this.runtime.pixel_rounding&&(m=m+0.5|0,p=p+0.5|0);this.rotateViewport(m,p,null);p=this.getScale();a.resetModelView();a.scale(p,p);a.rotateZ(-this.getAngle());a.translate((this.viewLeft+this.viewRight)/
-2,(this.viewTop+this.viewBottom)/-2);a.updateModelView();var k,r,n;k=0;for(r=this.instances.length;k<r;k++)if(n=this.instances[k],n.visible&&0!==n.width&&0!==n.height&&(n.update_bbox(),d=n.bbox,!(d.right<this.viewLeft||d.bottom<this.viewTop||d.left>this.viewRight||d.top>this.viewBottom)))if(n.uses_shaders)if(d=n.active_effect_types[0].shaderindex,m=n.active_effect_types[0].index,1!==n.active_effect_types.length||a.programUsesCrossSampling(d)||a.programExtendsBox(d)||(n.angle||n.layer.getAngle())&&
a.programUsesDest(d)||1!==n.opacity||n.type.plugin.must_predraw)this.layout.renderEffectChain(a,this,n,this.render_offscreen?this.runtime.layer_tex:this.layout.getRenderTarget()),a.resetModelView(),a.scale(p,p),a.rotateZ(-this.getAngle()),a.translate((this.viewLeft+this.viewRight)/-2,(this.viewTop+this.viewBottom)/-2),a.updateModelView();else{a.switchProgram(d);a.setBlend(n.srcBlend,n.destBlend);a.programIsAnimated(d)&&(this.runtime.redraw=!0);var t=0,v=0,w=0,q=0;a.programUsesDest(d)&&(d=n.bbox,t=
this.layerToCanvas(d.left,d.top,!0,!0),v=this.layerToCanvas(d.left,d.top,!1,!0),w=this.layerToCanvas(d.right,d.bottom,!0,!0),d=this.layerToCanvas(d.right,d.bottom,!1,!0),t/=b,v=1-v/c,w/=b,q=1-d/c);a.setProgramParameters(this.render_offscreen?this.runtime.layer_tex:this.layout.getRenderTarget(),1/n.width,1/n.height,t,v,w,q,this.getScale(),this.getAngle(),this.viewLeft,this.viewTop,n.effect_params[m]);n.drawGL(a)}else a.switchProgram(0),a.setBlend(n.srcBlend,n.destBlend),n.drawGL(a);this.render_offscreen&&
(d=this.active_effect_types.length?this.active_effect_types[0].shaderindex:0,m=this.active_effect_types.length?this.active_effect_types[0].index:0,0===this.active_effect_types.length||1===this.active_effect_types.length&&!a.programUsesCrossSampling(d)&&1===this.opacity?(1===this.active_effect_types.length?(a.switchProgram(d),a.setProgramParameters(this.layout.getRenderTarget(),1/this.runtime.draw_width,1/this.runtime.draw_height,0,0,1,1,this.getScale(),this.getAngle(),this.viewLeft,this.viewTop,this.effect_params[m]),
a.programIsAnimated(d)&&(this.runtime.redraw=!0)):a.switchProgram(0),a.setRenderingToTexture(this.layout.getRenderTarget()),a.setOpacity(this.opacity),a.setTexture(this.runtime.layer_tex),a.setBlend(this.srcBlend,this.destBlend),a.resetModelView(),a.updateModelView(),b=this.runtime.draw_width/2,c=this.runtime.draw_height/2,a.quad(-b,c,b,c,b,-c,-b,-c),a.setTexture(null)):this.layout.renderEffectChain(a,this,null,this.layout.getRenderTarget()))};b.prototype.canvasToLayer=function(a,b,c,d){var m=this.runtime.devicePixelRatio;
this.runtime.isRetina&&(a*=m,b*=m);var m=this.runtime.parallax_x_origin,p=this.runtime.parallax_y_origin,m=(this.layout.scrollX-m)*this.parallaxX+m,p=(this.layout.scrollY-p)*this.parallaxY+p,k=1/this.getScale(!d);d?(m-=this.runtime.draw_width*k/2,p-=this.runtime.draw_height*k/2):(m-=this.runtime.width*k/2,p-=this.runtime.height*k/2);m+=a*k;p+=b*k;b=this.getAngle();0!==b&&(m-=this.layout.scrollX,p-=this.layout.scrollY,a=Math.cos(b),b=Math.sin(b),d=m*a-p*b,p=p*a+m*b,m=d+this.layout.scrollX,p+=this.layout.scrollY);
return c?m:p};b.prototype.layerToCanvas=function(a,b,c,d){var m=this.getAngle();if(0!==m){a-=this.layout.scrollX;b-=this.layout.scrollY;var p=Math.cos(-m),m=Math.sin(-m),k=a*p-b*m;b=b*p+a*m;a=k+this.layout.scrollX;b+=this.layout.scrollY}p=this.runtime.parallax_x_origin;m=this.runtime.parallax_y_origin;p=(this.layout.scrollX-p)*this.parallaxX+p;m=(this.layout.scrollY-m)*this.parallaxY+m;k=1/this.getScale(!d);d?(p-=this.runtime.draw_width*k/2,m-=this.runtime.draw_height*k/2):(p-=this.runtime.width*
k/2,m-=this.runtime.height*k/2);p=(a-p)/k;m=(b-m)/k;a=this.runtime.devicePixelRatio;this.runtime.isRetina&&(p/=a,m/=a);return c?p:m};b.prototype.rotatePt=function(a,b,c){if(0===this.getAngle())return c?a:b;var d=this.layerToCanvas(a,b,!0);b=this.layerToCanvas(a,b,!1);this.disableAngle=!0;a=this.canvasToLayer(d,b,!0);d=this.canvasToLayer(d,b,!0);this.disableAngle=!1;return c?a:d};b.prototype.saveToJSON=function(){var a,b,c,d={s:this.scale,a:this.angle,vl:this.viewLeft,vt:this.viewTop,vr:this.viewRight,
vb:this.viewBottom,v:this.visible,bc:this.background_color,t:this.transparent,px:this.parallaxX,py:this.parallaxY,o:this.opacity,zr:this.zoomRate,fx:[],instances:[]};a=0;for(b=this.effect_types.length;a<b;a++)c=this.effect_types[a],d.fx.push({name:c.name,active:c.active,params:this.effect_params[c.index]});return d};b.prototype.loadFromJSON=function(a){var b,d;this.scale=a.s;this.angle=a.a;this.viewLeft=a.vl;this.viewTop=a.vt;this.viewRight=a.vr;this.viewBottom=a.vb;this.visible=a.v;this.background_color=
a.bc;this.transparent=a.t;this.parallaxX=a.px;this.parallaxY=a.py;this.opacity=a.o;this.zoomRate=a.zr;var s=a.fx;a=0;for(b=s.length;a<b;a++)if(d=this.getEffectByName(s[a].name))d.active=s[a].active,this.effect_params[d.index]=s[a].params;this.updateActiveEffects();this.instances.sort(c);this.zindices_stale=!0};cr.layer=b})();
(function(){function a(a,b){var c,f=a.length;switch(f){case 0:return!0;case 1:return a[0]===b[0];case 2:return a[0]===b[0]&&a[1]===b[1];default:for(c=0;c<f;c++)if(a[c]!==b[c])return!1;return!0}}function b(a,b){return a.index-b.index}function c(c){var d,e,f,g;2===c.length?c[0].index>c[1].index&&(d=c[0],c[0]=c[1],c[1]=d):2<c.length&&c.sort(b);c.length>=t.length&&(t.length=c.length+1);t[c.length]||(t[c.length]=[]);g=t[c.length];d=0;for(e=g.length;d<e;d++)if(f=g[d],a(c,f))return f;g.push(c);return c}
function d(a,b){this.runtime=a;this.triggers={};this.fasttriggers={};this.hasRun=!1;this.includes=new cr.ObjectSet;this.deep_includes=[];this.already_included_sheets=[];this.name=b[0];var c=b[1];this.events=[];var f,g;f=0;for(g=c.length;f<g;f++)this.init_event(c[f],null,this.events)}function e(a){this.type=a;this.instances=[];this.else_instances=[];this.select_all=!0}function h(a,b,c){this.sheet=a;this.parent=b;this.runtime=a.runtime;this.solModifiers=[];this.solModifiersIncludingParents=[];this.has_else_block=
this.toplevelgroup=this.toplevelevent=this.initially_activated=this.group=this.solWriterAfterCnds=!1;this.conditions=[];this.actions=[];this.subevents=[];this.group_name="";this.group_active=this.initially_activated=this.group=!1;this.contained_includes=null;c[1]&&(this.group_name=c[1][1].toLowerCase(),this.group=!0,this.initially_activated=!!c[1][0],this.contained_includes=[],this.group_active=this.initially_activated,this.runtime.allGroups.push(this),this.runtime.groups_by_name[this.group_name]=
this);this.orblock=c[2];this.sid=c[4];this.group||(this.runtime.blocksBySid[this.sid.toString()]=this);var f=c[5];a=0;for(b=f.length;a<b;a++){var g=new cr.condition(this,f[a]);g.index=a;cr.seal(g);this.conditions.push(g);this.addSolModifier(g.type)}f=c[6];a=0;for(b=f.length;a<b;a++)g=new cr.action(this,f[a]),g.index=a,cr.seal(g),this.actions.push(g);if(8===c.length)for(c=c[7],a=0,b=c.length;a<b;a++)this.sheet.init_event(c[a],this,this.subevents);this.is_else_block=!1;this.conditions.length&&(this.is_else_block=
null==this.conditions[0].type&&this.conditions[0].func==cr.system_object.prototype.cnds.Else)}function l(a,b){var c,f,g;if(a&&(-1===b.indexOf(a)&&b.push(a),a.is_contained))for(c=0,f=a.container.length;c<f;c++)g=a.container[c],a!==g&&-1===b.indexOf(g)&&b.push(g)}function s(a,b){this.block=a;this.sheet=a.sheet;this.runtime=a.runtime;this.parameters=[];this.results=[];this.extra={};this.index=-1;this.anyParamVariesPerInstance=!1;this.func=b[1];this.trigger=0<b[3];this.fasttrigger=2===b[3];this.looping=
b[4];this.inverted=b[5];this.isstatic=b[6];this.sid=b[7];this.runtime.cndsBySid[this.sid.toString()]=this;-1===b[0]?(this.type=null,this.run=this.run_system,this.behaviortype=null,this.beh_index=-1):(this.type=this.runtime.types_by_index[b[0]],this.run=this.isstatic?this.run_static:this.run_object,b[2]?(this.behaviortype=this.type.getBehaviorByName(b[2]),this.beh_index=this.type.getBehaviorIndexByName(b[2])):(this.behaviortype=null,this.beh_index=-1),this.block.parent&&this.block.parent.setSolWriterAfterCnds());
this.fasttrigger&&(this.run=this.run_true);if(10===b.length){var c,f,g=b[9];c=0;for(f=g.length;c<f;c++){var d=new cr.parameter(this,g[c]);cr.seal(d);this.parameters.push(d)}this.results.length=g.length}}function m(a,b){this.block=a;this.sheet=a.sheet;this.runtime=a.runtime;this.parameters=[];this.results=[];this.extra={};this.index=-1;this.anyParamVariesPerInstance=!1;this.func=b[1];-1===b[0]?(this.type=null,this.run=this.run_system,this.behaviortype=null,this.beh_index=-1):(this.type=this.runtime.types_by_index[b[0]],
this.run=this.run_object,b[2]?(this.behaviortype=this.type.getBehaviorByName(b[2]),this.beh_index=this.type.getBehaviorIndexByName(b[2])):(this.behaviortype=null,this.beh_index=-1));this.sid=b[3];this.runtime.actsBySid[this.sid.toString()]=this;if(6===b.length){var c,f,g=b[5];c=0;for(f=g.length;c<f;c++){var d=new cr.parameter(this,g[c]);cr.seal(d);this.parameters.push(d)}this.results.length=g.length}}function p(a,b){this.owner=a;this.block=a.block;this.sheet=a.sheet;this.runtime=a.runtime;this.type=
b[0];this.expression=null;this.solindex=0;this.get=null;this.combosel=0;this.layout=null;this.key=0;this.object=null;this.index=0;this.variadicret=this.subparams=this.variadicret=this.subparams=this.fileinfo=this.eventvar=this.varname=null;this.variesPerInstance=!1;var c,f,g;switch(b[0]){case 0:case 7:this.expression=new cr.expNode(this,b[1]);this.solindex=0;this.get=this.get_exp;break;case 1:this.expression=new cr.expNode(this,b[1]);this.solindex=0;this.get=this.get_exp_str;break;case 5:this.expression=
new cr.expNode(this,b[1]);this.solindex=0;this.get=this.get_layer;break;case 3:case 8:this.combosel=b[1];this.get=this.get_combosel;break;case 6:this.layout=this.runtime.layouts[b[1]];this.get=this.get_layout;break;case 9:this.key=b[1];this.get=this.get_key;break;case 4:this.object=this.runtime.types_by_index[b[1]];this.get=this.get_object;this.block.addSolModifier(this.object);this.owner instanceof cr.action?this.block.setSolWriterAfterCnds():this.block.parent&&this.block.parent.setSolWriterAfterCnds();
break;case 10:this.index=b[1];a.type.is_family?(this.get=this.get_familyvar,this.variesPerInstance=!0):this.get=this.get_instvar;break;case 11:this.varname=b[1];this.eventvar=null;this.get=this.get_eventvar;break;case 2:case 12:this.fileinfo=b[1];this.get=this.get_audiofile;break;case 13:for(this.get=this.get_variadic,this.subparams=[],this.variadicret=[],c=1,f=b.length;c<f;c++)g=new cr.parameter(this.owner,b[c]),cr.seal(g),this.subparams.push(g),this.variadicret.push(0)}}function k(a,b,c){this.sheet=
a;this.parent=b;this.runtime=a.runtime;this.solModifiers=[];this.name=c[1];this.vartype=c[2];this.initial=c[3];this.is_static=!!c[4];this.is_constant=!!c[5];this.sid=c[6];this.runtime.varsBySid[this.sid.toString()]=this;this.data=this.initial;this.parent?(this.localIndex=this.is_static||this.is_constant?-1:this.runtime.stackLocalCount++,this.runtime.all_local_vars.push(this)):(this.localIndex=-1,this.runtime.all_global_vars.push(this))}function r(a,b,c){this.sheet=a;this.parent=b;this.runtime=a.runtime;
this.solModifiers=[];this.include_sheet=null;this.include_sheet_name=c[1];this.active=!0}function n(){this.temp_parents_arr=[];this.reset(null);cr.seal(this)}var t=[];d.prototype.toString=function(){return this.name};d.prototype.init_event=function(a,b,c){switch(a[0]){case 0:a=new cr.eventblock(this,b,a);cr.seal(a);if(a.orblock)for(c.push(a),c=0,b=a.conditions.length;c<b;c++)a.conditions[c].trigger&&this.init_trigger(a,c);else a.is_trigger()?this.init_trigger(a,0):c.push(a);break;case 1:a=new cr.eventvariable(this,
b,a);cr.seal(a);c.push(a);break;case 2:a=new cr.eventinclude(this,b,a),cr.seal(a),c.push(a)}};d.prototype.postInit=function(){var a,b;a=0;for(b=this.events.length;a<b;a++)this.events[a].postInit(a<b-1&&this.events[a+1].is_else_block)};d.prototype.updateDeepIncludes=function(){this.deep_includes.length=0;this.already_included_sheets.length=0;this.addDeepIncludes(this);this.already_included_sheets.length=0};d.prototype.addDeepIncludes=function(a){var b,c,f,g,d=a.deep_includes,e=a.already_included_sheets,
k=this.includes.valuesRef();b=0;for(c=k.length;b<c;++b)f=k[b],g=f.include_sheet,!f.isActive()||a===g||-1<e.indexOf(g)||(e.push(g),g.addDeepIncludes(a),d.push(g))};d.prototype.run=function(a){this.runtime.resuming_breakpoint||(this.hasRun=!0,a||(this.runtime.isRunningEvents=!0));var b,c;b=0;for(c=this.events.length;b<c;b++){var f=this.events[b];f.run();this.runtime.clearSol(f.solModifiers);this.runtime.deathRow.isEmpty()&&!this.runtime.createRow.length||this.runtime.ClearDeathRow()}a||(this.runtime.isRunningEvents=
!1)};d.prototype.init_trigger=function(a,b){a.orblock||this.runtime.triggers_to_postinit.push(a);var c,f,g=a.conditions[b],d;d=g.type?g.type.name:"system";var e=(c=g.fasttrigger)?this.fasttriggers:this.triggers;e[d]||(e[d]=[]);d=e[d];e=g.func;if(c){if(g.parameters.length&&(g=g.parameters[0],1===g.type&&2===g.expression.type)){g=g.expression.value.toLowerCase();c=0;for(f=d.length;c<f;c++)if(d[c].method==e){c=d[c].evs;c[g]?c[g].push([a,b]):c[g]=[[a,b]];return}c={};c[g]=[[a,b]];d.push({method:e,evs:c})}}else{c=
0;for(f=d.length;c<f;c++)if(d[c].method==e){d[c].evs.push([a,b]);return}g=cr.plugins_.Sprite&&e===cr.plugins_.Sprite.prototype.cnds.OnFrameChanged?!0:!1;g?d.unshift({method:e,evs:[[a,b]]}):d.push({method:e,evs:[[a,b]]})}};cr.eventsheet=d;e.prototype.hasObjects=function(){return this.select_all?this.type.instances.length:this.instances.length};e.prototype.getObjects=function(){return this.select_all?this.type.instances:this.instances};e.prototype.pick_one=function(a){a&&(a.runtime.getCurrentEventStack().current_event.orblock?
(this.select_all&&(this.instances.length=0,cr.shallowAssignArray(this.else_instances,a.type.instances),this.select_all=!1),a=this.else_instances.indexOf(a),-1!==a&&(this.instances.push(this.else_instances[a]),this.else_instances.splice(a,1))):(this.select_all=!1,this.instances.length=1,this.instances[0]=a))};cr.selection=e;window._c2hh_="DA39A3EE5E6B4B0D3255BFEF95601890AFD80709";h.prototype.postInit=function(a){var b,d=this.parent;if(this.group)for(this.toplevelgroup=!0;d;){if(!d.group){this.toplevelgroup=
!1;break}d=d.parent}this.toplevelevent=!this.is_trigger()&&(!this.parent||this.parent.group&&this.parent.toplevelgroup);this.has_else_block=!!a;this.solModifiersIncludingParents=this.solModifiers.slice(0);for(d=this.parent;d;){a=0;for(b=d.solModifiers.length;a<b;a++)this.addParentSolModifier(d.solModifiers[a]);d=d.parent}this.solModifiers=c(this.solModifiers);this.solModifiersIncludingParents=c(this.solModifiersIncludingParents);a=0;for(b=this.conditions.length;a<b;a++)this.conditions[a].postInit();
a=0;for(b=this.actions.length;a<b;a++)this.actions[a].postInit();a=0;for(b=this.subevents.length;a<b;a++)this.subevents[a].postInit(a<b-1&&this.subevents[a+1].is_else_block)};h.prototype.setGroupActive=function(a){if(this.group_active!==!!a){this.group_active=!!a;var b;a=0;for(b=this.contained_includes.length;a<b;++a)this.contained_includes[a].updateActive();0<b&&this.runtime.running_layout.event_sheet&&this.runtime.running_layout.event_sheet.updateDeepIncludes()}};h.prototype.addSolModifier=function(a){l(a,
this.solModifiers)};h.prototype.addParentSolModifier=function(a){l(a,this.solModifiersIncludingParents)};h.prototype.setSolWriterAfterCnds=function(){this.solWriterAfterCnds=!0;this.parent&&this.parent.setSolWriterAfterCnds()};h.prototype.is_trigger=function(){return this.conditions.length?this.conditions[0].trigger:!1};h.prototype.run=function(){var a,b=!1,c,f=this.runtime,g=this.runtime.getCurrentEventStack();g.current_event=this;var d=this.conditions;this.is_else_block||(g.else_branch_ran=!1);
if(this.orblock){0===d.length&&(b=!0);g.cndindex=0;for(a=d.length;g.cndindex<a;g.cndindex++)d[g.cndindex].trigger||(c=d[g.cndindex].run())&&(b=!0);(g.last_event_true=b)&&this.run_actions_and_subevents()}else{g.cndindex=0;for(a=d.length;g.cndindex<a;g.cndindex++)if(c=d[g.cndindex].run(),!c){g.last_event_true=!1;!this.toplevelevent||f.deathRow.isEmpty()&&!f.createRow.length||f.ClearDeathRow();return}g.last_event_true=!0;this.run_actions_and_subevents()}this.end_run(g)};h.prototype.end_run=function(a){a.last_event_true&&
this.has_else_block&&(a.else_branch_ran=!0);!this.toplevelevent||this.runtime.deathRow.isEmpty()&&!this.runtime.createRow.length||this.runtime.ClearDeathRow()};h.prototype.run_orblocktrigger=function(a){this.runtime.getCurrentEventStack().current_event=this;this.conditions[a].run()&&(this.run_actions_and_subevents(),this.runtime.getCurrentEventStack().last_event_true=!0)};h.prototype.run_actions_and_subevents=function(){var a=this.runtime.getCurrentEventStack(),b;a.actindex=0;for(b=this.actions.length;a.actindex<
b;a.actindex++)if(this.actions[a.actindex].run())return;this.run_subevents()};h.prototype.resume_actions_and_subevents=function(){var a=this.runtime.getCurrentEventStack(),b;for(b=this.actions.length;a.actindex<b;a.actindex++)if(this.actions[a.actindex].run())return;this.run_subevents()};h.prototype.run_subevents=function(){if(this.subevents.length){var a,b,c,f,g=this.subevents.length-1;this.runtime.pushEventStack(this);if(this.solWriterAfterCnds)for(a=0,b=this.subevents.length;a<b;a++)c=this.subevents[a],
(f=!this.toplevelgroup||!this.group&&a<g)&&this.runtime.pushCopySol(c.solModifiers),c.run(),f?this.runtime.popSol(c.solModifiers):this.runtime.clearSol(c.solModifiers);else for(a=0,b=this.subevents.length;a<b;a++)this.subevents[a].run();this.runtime.popEventStack()}};h.prototype.run_pretrigger=function(){var a=this.runtime.getCurrentEventStack();a.current_event=this;var b=!1,c;a.cndindex=0;for(c=this.conditions.length;a.cndindex<c;a.cndindex++)if(this.conditions[a.cndindex].run())b=!0;else if(!this.orblock)return!1;
return this.orblock?b:!0};h.prototype.retrigger=function(){this.runtime.execcount++;var a=this.runtime.getCurrentEventStack().cndindex,b=this.runtime.pushEventStack(this);if(!this.orblock)for(b.cndindex=a+1,a=this.conditions.length;b.cndindex<a;b.cndindex++)if(!this.conditions[b.cndindex].run())return this.runtime.popEventStack(),!1;this.run_actions_and_subevents();this.runtime.popEventStack();return!0};h.prototype.isFirstConditionOfType=function(a){var b=a.index;if(0===b)return!0;for(--b;0<=b;--b)if(this.conditions[b].type===
a.type)return!1;return!0};cr.eventblock=h;s.prototype.postInit=function(){var a,b,c;a=0;for(b=this.parameters.length;a<b;a++)c=this.parameters[a],c.postInit(),c.variesPerInstance&&(this.anyParamVariesPerInstance=!0)};s.prototype.run_true=function(){return!0};s.prototype.run_system=function(){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.results[a]=this.parameters[a].get();return cr.xor(this.func.apply(this.runtime.system,this.results),this.inverted)};s.prototype.run_static=function(){var a,
b;a=0;for(b=this.parameters.length;a<b;a++)this.results[a]=this.parameters[a].get();a=this.func.apply(this.behaviortype?this.behaviortype:this.type,this.results);this.type.applySolToContainer();return a};s.prototype.run_object=function(){var a,b,c,f,g,d,e,k,h=this.type,r=h.getCurrentSol(),l=this.block.orblock&&!this.trigger;b=0;var n=h.is_contained,t=h.is_family,w=h.family_index,p=this.beh_index,v=-1<p,m=this.anyParamVariesPerInstance,s=this.parameters,Q=this.results,K=this.inverted,C=this.func,N;
if(m)for(b=0,g=s.length;b<g;++b)d=s[b],d.variesPerInstance||(Q[b]=d.get(0));else for(b=0,g=s.length;b<g;++b)Q[b]=s[b].get(0);if(r.select_all){r.instances.length=0;r.else_instances.length=0;N=h.instances;a=0;for(f=N.length;a<f;++a){k=N[a];if(m)for(b=0,g=s.length;b<g;++b)d=s[b],d.variesPerInstance&&(Q[b]=d.get(a));v?(b=0,t&&(b=k.type.family_beh_map[w]),b=C.apply(k.behavior_insts[p+b],Q)):b=C.apply(k,Q);(e=cr.xor(b,K))?r.instances.push(k):l&&r.else_instances.push(k)}h.finish&&h.finish(!0);r.select_all=
!1;h.applySolToContainer();return r.hasObjects()}c=0;N=(e=l&&!this.block.isFirstConditionOfType(this))?r.else_instances:r.instances;var U=!1;a=0;for(f=N.length;a<f;++a){k=N[a];if(m)for(b=0,g=s.length;b<g;++b)d=s[b],d.variesPerInstance&&(Q[b]=d.get(a));v?(b=0,t&&(b=k.type.family_beh_map[w]),b=C.apply(k.behavior_insts[p+b],Q)):b=C.apply(k,Q);if(cr.xor(b,K))if(U=!0,e){if(r.instances.push(k),n)for(b=0,g=k.siblings.length;b<g;b++)d=k.siblings[b],d.type.getCurrentSol().instances.push(d)}else{N[c]=k;if(n)for(b=
0,g=k.siblings.length;b<g;b++)d=k.siblings[b],d.type.getCurrentSol().instances[c]=d;c++}else if(e){N[c]=k;if(n)for(b=0,g=k.siblings.length;b<g;b++)d=k.siblings[b],d.type.getCurrentSol().else_instances[c]=d;c++}else if(l&&(r.else_instances.push(k),n))for(b=0,g=k.siblings.length;b<g;b++)d=k.siblings[b],d.type.getCurrentSol().else_instances.push(d)}N.length=c;if(n)for(t=h.container,a=0,f=t.length;a<f;a++)k=t[a].getCurrentSol(),e?k.else_instances.length=c:k.instances.length=c;c=U;if(e&&!U)for(a=0,f=r.instances.length;a<
f;a++){k=r.instances[a];if(m)for(b=0,g=s.length;b<g;b++)d=s[b],d.variesPerInstance&&(Q[b]=d.get(a));b=v?C.apply(k.behavior_insts[p],Q):C.apply(k,Q);if(cr.xor(b,K)){U=!0;break}}h.finish&&h.finish(c||l);return l?U:r.hasObjects()};cr.condition=s;m.prototype.postInit=function(){var a,b,c;a=0;for(b=this.parameters.length;a<b;a++)c=this.parameters[a],c.postInit(),c.variesPerInstance&&(this.anyParamVariesPerInstance=!0)};m.prototype.run_system=function(){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.results[a]=
this.parameters[a].get();return this.func.apply(this.runtime.system,this.results)};m.prototype.run_object=function(){var a=this.type.getCurrentSol().getObjects(),b=this.type.is_family,c=this.type.family_index,f=this.beh_index,g=-1<f,d=this.anyParamVariesPerInstance,e=this.parameters,k=this.results,h=this.func,r,l,n,t,w,p;if(d)for(l=0,t=e.length;l<t;++l)w=e[l],w.variesPerInstance||(k[l]=w.get(0));else for(l=0,t=e.length;l<t;++l)k[l]=e[l].get(0);r=0;for(n=a.length;r<n;++r){p=a[r];if(d)for(l=0,t=e.length;l<
t;++l)w=e[l],w.variesPerInstance&&(k[l]=w.get(r));g?(l=0,b&&(l=p.type.family_beh_map[c]),h.apply(p.behavior_insts[f+l],k)):h.apply(p,k)}return!1};cr.action=m;var v=[],w=-1;p.prototype.postInit=function(){var a,b;if(11===this.type)this.eventvar=this.runtime.getEventVariableByName(this.varname,this.block.parent);else if(13===this.type)for(a=0,b=this.subparams.length;a<b;a++)this.subparams[a].postInit();this.expression&&this.expression.postInit()};p.prototype.maybeVaryForType=function(a){this.variesPerInstance||
!a||a.plugin.singleglobal||(this.variesPerInstance=!0)};p.prototype.setVaries=function(){this.variesPerInstance=!0};p.prototype.pushTempValue=function(){w++;v.length===w&&v.push(new cr.expvalue);return v[w]};p.prototype.popTempValue=function(){w--};p.prototype.get_exp=function(a){this.solindex=a||0;a=this.pushTempValue();this.expression.get(a);this.popTempValue();return a.data};p.prototype.get_exp_str=function(a){this.solindex=a||0;a=this.pushTempValue();this.expression.get(a);this.popTempValue();
return cr.is_string(a.data)?a.data:""};p.prototype.get_object=function(){return this.object};p.prototype.get_combosel=function(){return this.combosel};p.prototype.get_layer=function(a){this.solindex=a||0;a=this.pushTempValue();this.expression.get(a);this.popTempValue();return a.is_number()?this.runtime.getLayerByNumber(a.data):this.runtime.getLayerByName(a.data)};p.prototype.get_layout=function(){return this.layout};p.prototype.get_key=function(){return this.key};p.prototype.get_instvar=function(){return this.index};
p.prototype.get_familyvar=function(a){a=a||0;var b=this.owner.type,c=null,c=b.getCurrentSol(),f=c.getObjects();if(f.length)c=f[a%f.length].type;else if(c.else_instances.length)c=c.else_instances[a%c.else_instances.length].type;else if(b.instances.length)c=b.instances[a%b.instances.length].type;else return 0;return this.index+c.family_var_map[b.family_index]};p.prototype.get_eventvar=function(){return this.eventvar};p.prototype.get_audiofile=function(){return this.fileinfo};p.prototype.get_variadic=
function(){var a,b;a=0;for(b=this.subparams.length;a<b;a++)this.variadicret[a]=this.subparams[a].get();return this.variadicret};cr.parameter=p;k.prototype.postInit=function(){this.solModifiers=c(this.solModifiers)};k.prototype.setValue=function(a){var b=this.runtime.getCurrentLocalVarStack();this.parent&&!this.is_static&&b?(this.localIndex>=b.length&&(b.length=this.localIndex+1),b[this.localIndex]=a):this.data=a};k.prototype.getValue=function(){var a=this.runtime.getCurrentLocalVarStack();return!this.parent||
this.is_static||!a||this.is_constant?this.data:this.localIndex>=a.length||"undefined"===typeof a[this.localIndex]?this.initial:a[this.localIndex]};k.prototype.run=function(){!this.parent||this.is_static||this.is_constant||this.setValue(this.initial)};cr.eventvariable=k;r.prototype.toString=function(){return"include:"+this.include_sheet.toString()};r.prototype.postInit=function(){this.include_sheet=this.runtime.eventsheets[this.include_sheet_name];this.sheet.includes.add(this);this.solModifiers=c(this.solModifiers);
for(var a=this.parent;a;)a.group&&a.contained_includes.push(this),a=a.parent;this.updateActive()};r.prototype.run=function(){this.parent&&this.runtime.pushCleanSol(this.runtime.types_by_index);this.include_sheet.hasRun||this.include_sheet.run(!0);this.parent&&this.runtime.popSol(this.runtime.types_by_index)};r.prototype.updateActive=function(){for(var a=this.parent;a;){if(a.group&&!a.group_active){this.active=!1;return}a=a.parent}this.active=!0};r.prototype.isActive=function(){return this.active};
cr.eventinclude=r;n.prototype.reset=function(a){this.current_event=a;this.actindex=this.cndindex=0;this.temp_parents_arr.length=0;this.any_true_state=this.else_branch_ran=this.last_event_true=!1};n.prototype.isModifierAfterCnds=function(){return this.current_event.solWriterAfterCnds?!0:this.cndindex<this.current_event.conditions.length-1?!!this.current_event.solModifiers.length:!1};cr.eventStackFrame=n})();
(function(){function a(a,b){this.owner=a;this.runtime=a.runtime;this.type=b[0];this.get=[this.eval_int,this.eval_float,this.eval_string,this.eval_unaryminus,this.eval_add,this.eval_subtract,this.eval_multiply,this.eval_divide,this.eval_mod,this.eval_power,this.eval_and,this.eval_or,this.eval_equal,this.eval_notequal,this.eval_less,this.eval_lessequal,this.eval_greater,this.eval_greaterequal,this.eval_conditional,this.eval_system_exp,this.eval_object_behavior_exp,this.eval_instvar_exp,this.eval_object_behavior_exp,
this.eval_eventvar_exp][this.type];var e=null;this.object_type=this.parameters=this.results=this.func=this.third=this.second=this.first=this.value=null;this.beh_index=-1;this.instance_expr=null;this.varindex=-1;this.eventvar=this.varname=this.behavior_type=null;this.return_string=!1;switch(this.type){case 0:case 1:case 2:this.value=b[1];break;case 3:this.first=new cr.expNode(a,b[1]);break;case 18:this.first=new cr.expNode(a,b[1]);this.second=new cr.expNode(a,b[2]);this.third=new cr.expNode(a,b[3]);
break;case 19:this.func=b[1];this.func!==cr.system_object.prototype.exps.random&&this.func!==cr.system_object.prototype.exps.choose||this.owner.setVaries();this.results=[];this.parameters=[];3===b.length?(e=b[2],this.results.length=e.length+1):this.results.length=1;break;case 20:this.object_type=this.runtime.types_by_index[b[1]];this.beh_index=-1;this.func=b[2];this.return_string=b[3];cr.plugins_.Function&&this.func===cr.plugins_.Function.prototype.exps.Call&&this.owner.setVaries();this.instance_expr=
b[4]?new cr.expNode(a,b[4]):null;this.results=[];this.parameters=[];6===b.length?(e=b[5],this.results.length=e.length+1):this.results.length=1;break;case 21:this.object_type=this.runtime.types_by_index[b[1]];this.return_string=b[2];this.instance_expr=b[3]?new cr.expNode(a,b[3]):null;this.varindex=b[4];break;case 22:this.object_type=this.runtime.types_by_index[b[1]];this.behavior_type=this.object_type.getBehaviorByName(b[2]);this.beh_index=this.object_type.getBehaviorIndexByName(b[2]);this.func=b[3];
this.return_string=b[4];this.instance_expr=b[5]?new cr.expNode(a,b[5]):null;this.results=[];this.parameters=[];7===b.length?(e=b[6],this.results.length=e.length+1):this.results.length=1;break;case 23:this.varname=b[1],this.eventvar=null}this.owner.maybeVaryForType(this.object_type);4<=this.type&&17>=this.type&&(this.first=new cr.expNode(a,b[1]),this.second=new cr.expNode(a,b[2]));if(e){var h,l;h=0;for(l=e.length;h<l;h++)this.parameters.push(new cr.expNode(a,e[h]))}cr.seal(this)}function b(a,b){this.type=
a||cr.exptype.Integer;this.data=b||0;this.object_class=null;this.type==cr.exptype.Integer&&(this.data=Math.floor(this.data));cr.seal(this)}a.prototype.postInit=function(){23===this.type&&(this.eventvar=this.owner.runtime.getEventVariableByName(this.varname,this.owner.block.parent));this.first&&this.first.postInit();this.second&&this.second.postInit();this.third&&this.third.postInit();this.instance_expr&&this.instance_expr.postInit();if(this.parameters){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.parameters[a].postInit()}};
a.prototype.eval_system_exp=function(a){this.results[0]=a;a=this.owner.pushTempValue();var b,e;b=0;for(e=this.parameters.length;b<e;b++)this.parameters[b].get(a),this.results[b+1]=a.data;this.owner.popTempValue();this.func.apply(this.runtime.system,this.results)};a.prototype.eval_object_behavior_exp=function(a){var b=this.object_type.getCurrentSol(),e=b.getObjects();if(!e.length)if(b.else_instances.length)e=b.else_instances;else{this.return_string?a.set_string(""):a.set_int(0);return}this.results[0]=
a;a.object_class=this.object_type;a=this.owner.pushTempValue();var h,b=0;for(h=this.parameters.length;b<h;b++)this.parameters[b].get(a),this.results[b+1]=a.data;b=this.owner.solindex;this.instance_expr&&(this.instance_expr.get(a),a.is_number()&&(b=a.data,e=this.object_type.instances));this.owner.popTempValue();b%=e.length;0>b&&(b+=e.length);e=e[b];-1<this.beh_index?(a=0,this.object_type.is_family&&(a=e.type.family_beh_map[this.object_type.family_index]),this.func.apply(e.behavior_insts[this.beh_index+
a],this.results)):this.func.apply(e,this.results)};a.prototype.eval_instvar_exp=function(a){var b=this.object_type.getCurrentSol(),e=b.getObjects();if(!e.length)if(b.else_instances.length)e=b.else_instances;else{this.return_string?a.set_string(""):a.set_int(0);return}b=this.owner.solindex;if(this.instance_expr){var h=this.owner.pushTempValue();this.instance_expr.get(h);if(h.is_number()){b=h.data;e=this.object_type.instances;b%=e.length;0>b&&(b+=e.length);e=e[b].instance_vars[this.varindex];cr.is_string(e)?
a.set_string(e):a.set_float(e);this.owner.popTempValue();return}this.owner.popTempValue()}b%=e.length;0>b&&(b+=e.length);e=e[b];b=0;this.object_type.is_family&&(b=e.type.family_var_map[this.object_type.family_index]);e=e.instance_vars[this.varindex+b];cr.is_string(e)?a.set_string(e):a.set_float(e)};a.prototype.eval_int=function(a){a.type=cr.exptype.Integer;a.data=this.value};a.prototype.eval_float=function(a){a.type=cr.exptype.Float;a.data=this.value};a.prototype.eval_string=function(a){a.type=cr.exptype.String;
a.data=this.value};a.prototype.eval_unaryminus=function(a){this.first.get(a);a.is_number()&&(a.data=-a.data)};a.prototype.eval_add=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data+=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_subtract=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data-=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};
a.prototype.eval_multiply=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data*=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_divide=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data/=b.data,a.make_float());this.owner.popTempValue()};a.prototype.eval_mod=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);
a.is_number()&&b.is_number()&&(a.data%=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_power=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data=Math.pow(a.data,b.data),b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_and=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()?b.is_string()?a.set_string(a.data.toString()+b.data):a.data&&
b.data?a.set_int(1):a.set_int(0):a.is_string()&&(b.is_string()?a.data+=b.data:a.data+=(Math.round(1E10*b.data)/1E10).toString());this.owner.popTempValue()};a.prototype.eval_or=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data||b.data?a.set_int(1):a.set_int(0));this.owner.popTempValue()};a.prototype.eval_conditional=function(a){this.first.get(a);a.data?this.second.get(a):this.third.get(a)};a.prototype.eval_equal=function(a){this.first.get(a);
var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data===b.data?1:0);this.owner.popTempValue()};a.prototype.eval_notequal=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data!==b.data?1:0);this.owner.popTempValue()};a.prototype.eval_less=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data<b.data?1:0);this.owner.popTempValue()};a.prototype.eval_lessequal=function(a){this.first.get(a);var b=this.owner.pushTempValue();
this.second.get(b);a.set_int(a.data<=b.data?1:0);this.owner.popTempValue()};a.prototype.eval_greater=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data>b.data?1:0);this.owner.popTempValue()};a.prototype.eval_greaterequal=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data>=b.data?1:0);this.owner.popTempValue()};a.prototype.eval_eventvar_exp=function(a){var b=this.eventvar.getValue();cr.is_number(b)?a.set_float(b):
a.set_string(b)};cr.expNode=a;b.prototype.is_int=function(){return this.type===cr.exptype.Integer};b.prototype.is_float=function(){return this.type===cr.exptype.Float};b.prototype.is_number=function(){return this.type===cr.exptype.Integer||this.type===cr.exptype.Float};b.prototype.is_string=function(){return this.type===cr.exptype.String};b.prototype.make_int=function(){this.is_int()||(this.is_float()?this.data=Math.floor(this.data):this.is_string()&&(this.data=parseInt(this.data,10)),this.type=cr.exptype.Integer)};
b.prototype.make_float=function(){this.is_float()||(this.is_string()&&(this.data=parseFloat(this.data)),this.type=cr.exptype.Float)};b.prototype.make_string=function(){this.is_string()||(this.data=this.data.toString(),this.type=cr.exptype.String)};b.prototype.set_int=function(a){this.type=cr.exptype.Integer;this.data=Math.floor(a)};b.prototype.set_float=function(a){this.type=cr.exptype.Float;this.data=a};b.prototype.set_string=function(a){this.type=cr.exptype.String;this.data=a};b.prototype.set_any=
function(a){cr.is_number(a)?(this.type=cr.exptype.Float,this.data=a):cr.is_string(a)?(this.type=cr.exptype.String,this.data=a.toString()):(this.type=cr.exptype.Integer,this.data=0)};cr.expvalue=b;cr.exptype={Integer:0,Float:1,String:2}})();cr.system_object=function(a){this.runtime=a;this.waits=[]};
cr.system_object.prototype.saveToJSON=function(){var a={},b,c,d,e,h,l,s,m;a.waits=[];var p=a.waits,k;b=0;for(c=this.waits.length;b<c;b++){l=this.waits[b];k={t:l.time,ev:l.ev.sid,sm:[],sols:{}};l.ev.actions[l.actindex]&&(k.act=l.ev.actions[l.actindex].sid);d=0;for(e=l.solModifiers.length;d<e;d++)k.sm.push(l.solModifiers[d].sid);for(h in l.sols)if(l.sols.hasOwnProperty(h)){s=this.runtime.types_by_index[parseInt(h,10)];m={sa:l.sols[h].sa,insts:[]};d=0;for(e=l.sols[h].insts.length;d<e;d++)m.insts.push(l.sols[h].insts[d].uid);
k.sols[s.sid.toString()]=m}p.push(k)}return a};
cr.system_object.prototype.loadFromJSON=function(a){a=a.waits;var b,c,d,e,h,l,s,m,p,k,r;b=this.waits.length=0;for(c=a.length;b<c;b++)if(l=a[b],m=this.runtime.blocksBySid[l.ev.toString()]){p=-1;d=0;for(e=m.actions.length;d<e;d++)if(m.actions[d].sid===l.act){p=d;break}if(-1!==p){s={sols:{},solModifiers:[],deleteme:!1};s.time=l.t;s.ev=m;s.actindex=p;d=0;for(e=l.sm.length;d<e;d++)(m=this.runtime.getObjectTypeBySid(l.sm[d]))&&s.solModifiers.push(m);for(h in l.sols)if(l.sols.hasOwnProperty(h)&&(m=this.runtime.getObjectTypeBySid(parseInt(h,
10)))){p=l.sols[h];k={sa:p.sa,insts:[]};d=0;for(e=p.insts.length;d<e;d++)(r=this.runtime.getObjectByUID(p.insts[d]))&&k.insts.push(r);s.sols[m.index.toString()]=k}this.waits.push(s)}}};
(function(){function a(){}function b(a,b){var c=a.extra.c2_foreachordered_val,d=b.extra.c2_foreachordered_val;if(cr.is_number(c)&&cr.is_number(d))return c-d;c=""+c;d=""+d;return c<d?-1:c>d?1:0}function c(a,b){p&&a===k&&b===r||(p=RegExp(a,b),k=a,r=b);p.lastIndex=0;return p}function d(){}function e(){}function h(a,b,d){if(a!==q||b!==u||d!==x){var e=c(b,d);w=a.match(e);q=a;u=b;x=d}}var l=cr.system_object.prototype;a.prototype.EveryTick=function(){return!0};a.prototype.OnLayoutStart=function(){return!0};
a.prototype.OnLayoutEnd=function(){return!0};a.prototype.Compare=function(a,b,c){return cr.do_cmp(a,b,c)};a.prototype.CompareTime=function(a,b){var c=this.runtime.kahanTime.sum;if(0===a){var d=this.runtime.getCurrentCondition();return!d.extra.CompareTime_executed&&c>=b?d.extra.CompareTime_executed=!0:!1}return cr.do_cmp(c,a,b)};a.prototype.LayerVisible=function(a){return a?a.visible:!1};a.prototype.LayerCmpOpacity=function(a,b,c){return a?cr.do_cmp(100*a.opacity,b,c):!1};a.prototype.Repeat=function(a){var b=
this.runtime.getCurrentEventStack(),c=b.current_event,d=b.isModifierAfterCnds(),b=this.runtime.pushLoopStack();if(d)for(d=0;d<a&&!b.stopped;d++)this.runtime.pushCopySol(c.solModifiers),b.index=d,c.retrigger(),this.runtime.popSol(c.solModifiers);else for(d=0;d<a&&!b.stopped;d++)b.index=d,c.retrigger();this.runtime.popLoopStack();return!1};a.prototype.While=function(a){var b=this.runtime.getCurrentEventStack();a=b.current_event;var c=b.isModifierAfterCnds(),b=this.runtime.pushLoopStack();if(c)for(c=
0;!b.stopped;c++)this.runtime.pushCopySol(a.solModifiers),b.index=c,a.retrigger()||(b.stopped=!0),this.runtime.popSol(a.solModifiers);else for(c=0;!b.stopped;c++)b.index=c,a.retrigger()||(b.stopped=!0);this.runtime.popLoopStack();return!1};a.prototype.For=function(a,b,c){var d=this.runtime.getCurrentEventStack(),e=d.current_event,d=d.isModifierAfterCnds();a=this.runtime.pushLoopStack(a);if(c<b)if(d)for(;b>=c&&!a.stopped;--b)this.runtime.pushCopySol(e.solModifiers),a.index=b,e.retrigger(),this.runtime.popSol(e.solModifiers);
else for(;b>=c&&!a.stopped;--b)a.index=b,e.retrigger();else if(d)for(;b<=c&&!a.stopped;++b)this.runtime.pushCopySol(e.solModifiers),a.index=b,e.retrigger(),this.runtime.popSol(e.solModifiers);else for(;b<=c&&!a.stopped;++b)a.index=b,e.retrigger();this.runtime.popLoopStack();return!1};var s=[],m=-1;a.prototype.ForEach=function(a){var b=a.getCurrentSol();m++;s.length===m&&s.push([]);var c=s[m];cr.shallowAssignArray(c,b.getObjects());var d=this.runtime.getCurrentEventStack(),e=d.current_event,k=d.isModifierAfterCnds(),
d=this.runtime.pushLoopStack(),h,r,l,n,t,q,w=a.is_contained;if(k)for(k=0,h=c.length;k<h&&!d.stopped;k++){this.runtime.pushCopySol(e.solModifiers);n=c[k];b=a.getCurrentSol();b.select_all=!1;b.instances.length=1;b.instances[0]=n;if(w)for(r=0,l=n.siblings.length;r<l;r++)t=n.siblings[r],q=t.type.getCurrentSol(),q.select_all=!1,q.instances.length=1,q.instances[0]=t;d.index=k;e.retrigger();this.runtime.popSol(e.solModifiers)}else for(b.select_all=!1,b.instances.length=1,k=0,h=c.length;k<h&&!d.stopped;k++){n=
c[k];b.instances[0]=n;if(w)for(r=0,l=n.siblings.length;r<l;r++)t=n.siblings[r],q=t.type.getCurrentSol(),q.select_all=!1,q.instances.length=1,q.instances[0]=t;d.index=k;e.retrigger()}c.length=0;this.runtime.popLoopStack();m--;return!1};a.prototype.ForEachOrdered=function(a,g,c){g=a.getCurrentSol();m++;s.length===m&&s.push([]);var d=s[m];cr.shallowAssignArray(d,g.getObjects());var e=this.runtime.getCurrentEventStack(),k=e.current_event,h=this.runtime.getCurrentCondition(),r=e.isModifierAfterCnds(),
e=this.runtime.pushLoopStack(),l,n,t,q,w;l=0;for(n=d.length;l<n;l++)d[l].extra.c2_foreachordered_val=h.parameters[1].get(l);d.sort(b);1===c&&d.reverse();c=a.is_contained;if(r)for(l=0,n=d.length;l<n&&!e.stopped;l++){this.runtime.pushCopySol(k.solModifiers);t=d[l];g=a.getCurrentSol();g.select_all=!1;g.instances.length=1;g.instances[0]=t;if(c)for(h=0,r=t.siblings.length;h<r;h++)q=t.siblings[h],w=q.type.getCurrentSol(),w.select_all=!1,w.instances.length=1,w.instances[0]=q;e.index=l;k.retrigger();this.runtime.popSol(k.solModifiers)}else for(g.select_all=
!1,g.instances.length=1,l=0,n=d.length;l<n&&!e.stopped;l++){t=d[l];g.instances[0]=t;if(c)for(h=0,r=t.siblings.length;h<r;h++)q=t.siblings[h],w=q.type.getCurrentSol(),w.select_all=!1,w.instances.length=1,w.instances[0]=q;e.index=l;k.retrigger()}d.length=0;this.runtime.popLoopStack();m--;return!1};a.prototype.PickByComparison=function(a,b,c,d){var e,k,h,r;if(a){m++;s.length===m&&s.push([]);var l=s[m],n=a.getCurrentSol();cr.shallowAssignArray(l,n.getObjects());n.select_all&&(n.else_instances.length=
0);var t=this.runtime.getCurrentCondition();h=e=0;for(k=l.length;e<k;e++)r=l[e],l[h]=r,b=t.parameters[1].get(e),d=t.parameters[3].get(e),cr.do_cmp(b,c,d)?h++:n.else_instances.push(r);l.length=h;n.select_all=!1;cr.shallowAssignArray(n.instances,l);l.length=0;m--;a.applySolToContainer();return!!n.instances.length}};a.prototype.PickByEvaluate=function(a,b){var c,d,e,k;if(a){m++;s.length===m&&s.push([]);var h=s[m],r=a.getCurrentSol();cr.shallowAssignArray(h,r.getObjects());r.select_all&&(r.else_instances.length=
0);var l=this.runtime.getCurrentCondition();e=c=0;for(d=h.length;c<d;c++)k=h[c],h[e]=k,(b=l.parameters[1].get(c))?e++:r.else_instances.push(k);h.length=e;r.select_all=!1;cr.shallowAssignArray(r.instances,h);h.length=0;m--;a.applySolToContainer();return!!r.instances.length}};a.prototype.TriggerOnce=function(){var a=this.runtime.getCurrentCondition().extra;"undefined"===typeof a.TriggerOnce_lastTick&&(a.TriggerOnce_lastTick=-1);var b=a.TriggerOnce_lastTick,c=this.runtime.tickcount;a.TriggerOnce_lastTick=
c;return this.runtime.layout_first_tick||b!==c-1};a.prototype.Every=function(a){var b=this.runtime.getCurrentCondition(),c=b.extra.Every_lastTime||0,d=this.runtime.kahanTime.sum;"undefined"===typeof b.extra.Every_seconds&&(b.extra.Every_seconds=a);var e=b.extra.Every_seconds;if(d>=c+e)return b.extra.Every_lastTime=c+e,d>=b.extra.Every_lastTime+0.04&&(b.extra.Every_lastTime=d),b.extra.Every_seconds=a,!0;d<c-0.1&&(b.extra.Every_lastTime=d);return!1};a.prototype.PickNth=function(a,b){if(!a)return!1;
var c=a.getCurrentSol(),d=c.getObjects();b=cr.floor(b);if(0>b||b>=d.length)return!1;c.pick_one(d[b]);a.applySolToContainer();return!0};a.prototype.PickRandom=function(a){if(!a)return!1;var b=a.getCurrentSol(),c=b.getObjects(),d=cr.floor(Math.random()*c.length);if(d>=c.length)return!1;b.pick_one(c[d]);a.applySolToContainer();return!0};a.prototype.CompareVar=function(a,b,c){return cr.do_cmp(a.getValue(),b,c)};a.prototype.IsGroupActive=function(a){return(a=this.runtime.groups_by_name[a.toLowerCase()])&&
a.group_active};a.prototype.IsPreview=function(){return"undefined"!==typeof cr_is_preview};a.prototype.PickAll=function(a){if(!a||!a.instances.length)return!1;a.getCurrentSol().select_all=!0;a.applySolToContainer();return!0};a.prototype.IsMobile=function(){return this.runtime.isMobile};a.prototype.CompareBetween=function(a,b,c){return a>=b&&a<=c};a.prototype.Else=function(){var a=this.runtime.getCurrentEventStack();return a.else_branch_ran?!1:!a.last_event_true};a.prototype.OnLoadFinished=function(){return!0};
a.prototype.OnCanvasSnapshot=function(){return!0};a.prototype.EffectsSupported=function(){return!!this.runtime.glwrap};a.prototype.OnSaveComplete=function(){return!0};a.prototype.OnLoadComplete=function(){return!0};a.prototype.OnLoadFailed=function(){return!0};a.prototype.ObjectUIDExists=function(a){return!!this.runtime.getObjectByUID(a)};a.prototype.IsOnPlatform=function(a){var b=this.runtime;switch(a){case 0:return!b.isDomFree&&!b.isNodeWebkit&&!b.isPhoneGap&&!b.isCrosswalk&&!b.isWinJS&&!b.isWindowsPhone8&&
!b.isBlackberry10&&!b.isAmazonWebApp;case 1:return b.isiOS;case 2:return b.isAndroid;case 3:return b.isWindows8App;case 4:return b.isWindowsPhone8;case 5:return b.isBlackberry10;case 6:return b.isTizen;case 7:return b.isCocoonJs;case 8:return b.isPhoneGap;case 9:return b.isArcade;case 10:return b.isNodeWebkit;case 11:return b.isCrosswalk;case 12:return b.isAmazonWebApp;default:return!1}};var p=null,k="",r="";a.prototype.RegexTest=function(a,b,d){return c(b,d).test(a)};var n=[];a.prototype.PickOverlappingPoint=
function(a,b,c){if(!a)return!1;var d=a.getCurrentSol(),e=d.getObjects(),k=this.runtime.getCurrentEventStack().current_event.orblock,h=this.runtime.getCurrentCondition(),r,l;d.select_all?(cr.shallowAssignArray(n,e),d.else_instances.length=0,d.select_all=!1,d.instances.length=0):k?(cr.shallowAssignArray(n,d.else_instances),d.else_instances.length=0):(cr.shallowAssignArray(n,e),d.instances.length=0);e=0;for(k=n.length;e<k;++e)r=n[e],r.update_bbox(),(l=cr.xor(r.contains_pt(b,c),h.inverted))?d.instances.push(r):
d.else_instances.push(r);a.applySolToContainer();return cr.xor(!!d.instances.length,h.inverted)};l.cnds=new a;d.prototype.GoToLayout=function(a){this.runtime.isloading||this.runtime.changelayout||(this.runtime.changelayout=a)};d.prototype.CreateObject=function(a,b,c,d){if(b&&a&&(b=this.runtime.createInstance(a,b,c,d))){this.runtime.isInOnDestroy++;var e;this.runtime.trigger(Object.getPrototypeOf(a.plugin).cnds.OnCreated,b);if(b.is_contained)for(c=0,d=b.siblings.length;c<d;c++)e=b.siblings[c],this.runtime.trigger(Object.getPrototypeOf(e.type.plugin).cnds.OnCreated,
e);this.runtime.isInOnDestroy--;a=a.getCurrentSol();a.select_all=!1;a.instances.length=1;a.instances[0]=b;if(b.is_contained)for(c=0,d=b.siblings.length;c<d;c++)e=b.siblings[c],a=e.type.getCurrentSol(),a.select_all=!1,a.instances.length=1,a.instances[0]=e}};d.prototype.SetLayerVisible=function(a,b){a&&a.visible!==b&&(a.visible=b,this.runtime.redraw=!0)};d.prototype.SetLayerOpacity=function(a,b){a&&(b=cr.clamp(b/100,0,1),a.opacity!==b&&(a.opacity=b,this.runtime.redraw=!0))};d.prototype.SetLayerScaleRate=
function(a,b){a&&a.zoomRate!==b&&(a.zoomRate=b,this.runtime.redraw=!0)};d.prototype.SetLayoutScale=function(a){this.runtime.running_layout&&this.runtime.running_layout.scale!==a&&(this.runtime.running_layout.scale=a,this.runtime.running_layout.boundScrolling(),this.runtime.redraw=!0)};d.prototype.ScrollX=function(a){this.runtime.running_layout.scrollToX(a)};d.prototype.ScrollY=function(a){this.runtime.running_layout.scrollToY(a)};d.prototype.Scroll=function(a,b){this.runtime.running_layout.scrollToX(a);
this.runtime.running_layout.scrollToY(b)};d.prototype.ScrollToObject=function(a){if(a=a.getFirstPicked())this.runtime.running_layout.scrollToX(a.x),this.runtime.running_layout.scrollToY(a.y)};d.prototype.SetVar=function(a,b){0===a.vartype?cr.is_number(b)?a.setValue(b):a.setValue(parseFloat(b)):1===a.vartype&&a.setValue(b.toString())};d.prototype.AddVar=function(a,b){0===a.vartype?cr.is_number(b)?a.setValue(a.getValue()+b):a.setValue(a.getValue()+parseFloat(b)):1===a.vartype&&a.setValue(a.getValue()+
b.toString())};d.prototype.SubVar=function(a,b){0===a.vartype&&(cr.is_number(b)?a.setValue(a.getValue()-b):a.setValue(a.getValue()-parseFloat(b)))};d.prototype.SetGroupActive=function(a,b){var c=this.runtime.groups_by_name[a.toLowerCase()];if(c)switch(b){case 0:c.setGroupActive(!1);break;case 1:c.setGroupActive(!0);break;case 2:c.setGroupActive(!c.group_active)}};d.prototype.SetTimescale=function(a){0>a&&(a=0);this.runtime.timescale=a};d.prototype.SetObjectTimescale=function(a,b){var c=b;0>c&&(c=
0);if(a){var d=a.getCurrentSol().getObjects(),e,k;e=0;for(k=d.length;e<k;e++)d[e].my_timescale=c}};d.prototype.RestoreObjectTimescale=function(a){if(!a)return!1;a=a.getCurrentSol().getObjects();var b,c;b=0;for(c=a.length;b<c;b++)a[b].my_timescale=-1};var t=[],v=[];d.prototype.Wait=function(a){if(!(0>a)){var b,c,d,e=this.runtime.getCurrentEventStack(),k;k=t.length?t.pop():{sols:{},solModifiers:[]};k.deleteme=!1;k.time=this.runtime.kahanTime.sum+a;k.ev=e.current_event;k.actindex=e.actindex+1;a=0;for(b=
this.runtime.types_by_index.length;a<b;a++)d=this.runtime.types_by_index[a],c=d.getCurrentSol(),c.select_all&&-1===e.current_event.solModifiers.indexOf(d)||(k.solModifiers.push(d),d=void 0,d=v.length?v.pop():{insts:[]},d.sa=!1,d.sa=c.select_all,cr.shallowAssignArray(d.insts,c.instances),k.sols[a.toString()]=d);this.waits.push(k);return!0}};d.prototype.SetLayerScale=function(a,b){a&&a.scale!==b&&(a.scale=b,this.runtime.redraw=!0)};d.prototype.ResetGlobals=function(){var a,b,c;a=0;for(b=this.runtime.all_global_vars.length;a<
b;a++)c=this.runtime.all_global_vars[a],c.data=c.initial};d.prototype.SetLayoutAngle=function(a){a=cr.to_radians(a);a=cr.clamp_angle(a);this.runtime.running_layout&&this.runtime.running_layout.angle!==a&&(this.runtime.running_layout.angle=a,this.runtime.redraw=!0)};d.prototype.SetLayerAngle=function(a,b){a&&(b=cr.to_radians(b),b=cr.clamp_angle(b),a.angle!==b&&(a.angle=b,this.runtime.redraw=!0))};d.prototype.SetLayerParallax=function(a,b,c){if(a&&(a.parallaxX!==b/100||a.parallaxY!==c/100)){a.parallaxX=
b/100;a.parallaxY=c/100;if(1!==a.parallaxX||1!==a.parallaxY)for(c=a.instances,a=0,b=c.length;a<b;++a)c[a].type.any_instance_parallaxed=!0;this.runtime.redraw=!0}};d.prototype.SetLayerBackground=function(a,b){if(a){var c=cr.GetRValue(b),d=cr.GetGValue(b),e=cr.GetBValue(b);if(a.background_color[0]!==c||a.background_color[1]!==d||a.background_color[2]!==e)a.background_color[0]=c,a.background_color[1]=d,a.background_color[2]=e,this.runtime.redraw=!0}};d.prototype.SetLayerTransparent=function(a,b){a&&
!!b!==!!a.transparent&&(a.transparent=!!b,this.runtime.redraw=!0)};d.prototype.StopLoop=function(){0>this.runtime.loop_stack_index||(this.runtime.getCurrentLoop().stopped=!0)};d.prototype.GoToLayoutByName=function(a){if(!this.runtime.isloading&&!this.runtime.changelayout)for(var b in this.runtime.layouts)if(this.runtime.layouts.hasOwnProperty(b)&&cr.equals_nocase(b,a)){this.runtime.changelayout=this.runtime.layouts[b];break}};d.prototype.RestartLayout=function(a){if(!this.runtime.isloading&&!this.runtime.changelayout&&
this.runtime.running_layout){this.runtime.changelayout=this.runtime.running_layout;var b,c;a=0;for(b=this.runtime.allGroups.length;a<b;a++)c=this.runtime.allGroups[a],c.setGroupActive(c.initially_activated)}};d.prototype.SnapshotCanvas=function(a,b){this.runtime.snapshotCanvas=[0===a?"image/png":"image/jpeg",b/100];this.runtime.redraw=!0};d.prototype.SetCanvasSize=function(a,b){if(!(0>=a||0>=b)){var c=this.runtime.fullscreen_mode;(document.mozFullScreen||document.webkitIsFullScreen||document.msFullscreenElement||
document.fullScreen||this.runtime.isNodeFullscreen)&&0<this.runtime.fullscreen_scaling&&(c=this.runtime.fullscreen_scaling);0===c?this.runtime.setSize(a,b,!0):(this.runtime.original_width=a,this.runtime.original_height=b,this.runtime.setSize(this.runtime.lastWindowWidth,this.runtime.lastWindowHeight,!0))}};d.prototype.SetLayoutEffectEnabled=function(a,b){if(this.runtime.running_layout&&this.runtime.glwrap){var c=this.runtime.running_layout.getEffectByName(b);if(c){var d=1===a;c.active!=d&&(c.active=
d,this.runtime.running_layout.updateActiveEffects(),this.runtime.redraw=!0)}}};d.prototype.SetLayerEffectEnabled=function(a,b,c){a&&this.runtime.glwrap&&(c=a.getEffectByName(c))&&(b=1===b,c.active!=b&&(c.active=b,a.updateActiveEffects(),this.runtime.redraw=!0))};d.prototype.SetLayoutEffectParam=function(a,b,c){if(this.runtime.running_layout&&this.runtime.glwrap&&(a=this.runtime.running_layout.getEffectByName(a))){var d=this.runtime.running_layout.effect_params[a.index];b=Math.floor(b);0>b||b>=d.length||
(1===this.runtime.glwrap.getProgramParameterType(a.shaderindex,b)&&(c/=100),d[b]!==c&&(d[b]=c,a.active&&(this.runtime.redraw=!0)))}};d.prototype.SetLayerEffectParam=function(a,b,c,d){a&&this.runtime.glwrap&&(b=a.getEffectByName(b))&&(a=a.effect_params[b.index],c=Math.floor(c),0>c||c>=a.length||(1===this.runtime.glwrap.getProgramParameterType(b.shaderindex,c)&&(d/=100),a[c]!==d&&(a[c]=d,b.active&&(this.runtime.redraw=!0))))};d.prototype.SaveState=function(a){this.runtime.saveToSlot=a};d.prototype.LoadState=
function(a){this.runtime.loadFromSlot=a};d.prototype.LoadStateJSON=function(a){this.runtime.loadFromJson=a};d.prototype.SetHalfFramerateMode=function(a){this.runtime.halfFramerateMode=0!==a};d.prototype.SetFullscreenQuality=function(a){if(document.mozFullScreen||document.webkitIsFullScreen||document.msFullscreenElement||document.fullScreen||this.isNodeFullscreen||0!==this.runtime.fullscreen_mode)this.runtime.wantFullscreenScalingQuality=0!==a,this.runtime.setSize(this.runtime.lastWindowWidth,this.runtime.lastWindowHeight,
!0)};l.acts=new d;e.prototype["int"]=function(a,b){cr.is_string(b)?(a.set_int(parseInt(b,10)),isNaN(a.data)&&(a.data=0)):a.set_int(b)};e.prototype["float"]=function(a,b){cr.is_string(b)?(a.set_float(parseFloat(b)),isNaN(a.data)&&(a.data=0)):a.set_float(b)};e.prototype.str=function(a,b){cr.is_string(b)?a.set_string(b):a.set_string(b.toString())};e.prototype.len=function(a,b){a.set_int(b.length||0)};e.prototype.random=function(a,b,c){void 0===c?a.set_float(Math.random()*b):a.set_float(Math.random()*
(c-b)+b)};e.prototype.sqrt=function(a,b){a.set_float(Math.sqrt(b))};e.prototype.abs=function(a,b){a.set_float(Math.abs(b))};e.prototype.round=function(a,b){a.set_int(Math.round(b))};e.prototype.floor=function(a,b){a.set_int(Math.floor(b))};e.prototype.ceil=function(a,b){a.set_int(Math.ceil(b))};e.prototype.sin=function(a,b){a.set_float(Math.sin(cr.to_radians(b)))};e.prototype.cos=function(a,b){a.set_float(Math.cos(cr.to_radians(b)))};e.prototype.tan=function(a,b){a.set_float(Math.tan(cr.to_radians(b)))};
e.prototype.asin=function(a,b){a.set_float(cr.to_degrees(Math.asin(b)))};e.prototype.acos=function(a,b){a.set_float(cr.to_degrees(Math.acos(b)))};e.prototype.atan=function(a,b){a.set_float(cr.to_degrees(Math.atan(b)))};e.prototype.exp=function(a,b){a.set_float(Math.exp(b))};e.prototype.ln=function(a,b){a.set_float(Math.log(b))};e.prototype.log10=function(a,b){a.set_float(Math.log(b)/Math.LN10)};e.prototype.max=function(a){var b=arguments[1],c,d;c=2;for(d=arguments.length;c<d;c++)b<arguments[c]&&(b=
arguments[c]);a.set_float(b)};e.prototype.min=function(a){var b=arguments[1],c,d;c=2;for(d=arguments.length;c<d;c++)b>arguments[c]&&(b=arguments[c]);a.set_float(b)};e.prototype.dt=function(a){a.set_float(this.runtime.dt)};e.prototype.timescale=function(a){a.set_float(this.runtime.timescale)};e.prototype.wallclocktime=function(a){a.set_float((Date.now()-this.runtime.start_time)/1E3)};e.prototype.time=function(a){a.set_float(this.runtime.kahanTime.sum)};e.prototype.tickcount=function(a){a.set_int(this.runtime.tickcount)};
e.prototype.objectcount=function(a){a.set_int(this.runtime.objectcount)};e.prototype.fps=function(a){a.set_int(this.runtime.fps)};e.prototype.loopindex=function(a,b){var c,d,e;if(this.runtime.loop_stack.length)if(b){d=0;for(e=this.runtime.loop_stack.length;d<e;d++)if(c=this.runtime.loop_stack[d],c.name===b){a.set_int(c.index);return}a.set_int(0)}else c=this.runtime.getCurrentLoop(),a.set_int(c?c.index:-1);else a.set_int(0)};e.prototype.distance=function(a,b,c,d,e){a.set_float(cr.distanceTo(b,c,d,
e))};e.prototype.angle=function(a,b,c,d,e){a.set_float(cr.to_degrees(cr.angleTo(b,c,d,e)))};e.prototype.scrollx=function(a){a.set_float(this.runtime.running_layout.scrollX)};e.prototype.scrolly=function(a){a.set_float(this.runtime.running_layout.scrollY)};e.prototype.newline=function(a){a.set_string("\n")};e.prototype.lerp=function(a,b,c,d){a.set_float(cr.lerp(b,c,d))};e.prototype.windowwidth=function(a){a.set_int(this.runtime.width)};e.prototype.windowheight=function(a){a.set_int(this.runtime.height)};
e.prototype.uppercase=function(a,b){a.set_string(cr.is_string(b)?b.toUpperCase():"")};e.prototype.lowercase=function(a,b){a.set_string(cr.is_string(b)?b.toLowerCase():"")};e.prototype.clamp=function(a,b,c,d){b<c?a.set_float(c):b>d?a.set_float(d):a.set_float(b)};e.prototype.layerscale=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(c.scale):a.set_float(0)};e.prototype.layeropacity=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(100*c.opacity):a.set_float(0)};e.prototype.layerscalerate=
function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(c.zoomRate):a.set_float(0)};e.prototype.layerparallaxx=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(100*c.parallaxX):a.set_float(0)};e.prototype.layerparallaxy=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(100*c.parallaxY):a.set_float(0)};e.prototype.layoutscale=function(a){this.runtime.running_layout?a.set_float(this.runtime.running_layout.scale):a.set_float(0)};e.prototype.layoutangle=function(a){a.set_float(cr.to_degrees(this.runtime.running_layout.angle))};
e.prototype.layerangle=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(cr.to_degrees(c.angle)):a.set_float(0)};e.prototype.layoutwidth=function(a){a.set_int(this.runtime.running_layout.width)};e.prototype.layoutheight=function(a){a.set_int(this.runtime.running_layout.height)};e.prototype.find=function(a,b,c){cr.is_string(b)&&cr.is_string(c)?a.set_int(b.search(RegExp(cr.regexp_escape(c),"i"))):a.set_int(-1)};e.prototype.left=function(a,b,c){a.set_string(cr.is_string(b)?b.substr(0,c):"")};
e.prototype.right=function(a,b,c){a.set_string(cr.is_string(b)?b.substr(b.length-c):"")};e.prototype.mid=function(a,b,c,d){a.set_string(cr.is_string(b)?b.substr(c,d):"")};e.prototype.tokenat=function(a,b,c,d){cr.is_string(b)&&cr.is_string(d)?(b=b.split(d),c=cr.floor(c),0>c||c>=b.length?a.set_string(""):a.set_string(b[c])):a.set_string("")};e.prototype.tokencount=function(a,b,c){cr.is_string(b)&&b.length?a.set_int(b.split(c).length):a.set_int(0)};e.prototype.replace=function(a,b,c,d){cr.is_string(b)&&
cr.is_string(c)&&cr.is_string(d)?a.set_string(b.replace(RegExp(cr.regexp_escape(c),"gi"),d)):a.set_string(cr.is_string(b)?b:"")};e.prototype.trim=function(a,b){a.set_string(cr.is_string(b)?b.trim():"")};e.prototype.pi=function(a){a.set_float(cr.PI)};e.prototype.layoutname=function(a){this.runtime.running_layout?a.set_string(this.runtime.running_layout.name):a.set_string("")};e.prototype.renderer=function(a){a.set_string(this.runtime.gl?"webgl":"canvas2d")};e.prototype.anglediff=function(a,b,c){a.set_float(cr.to_degrees(cr.angleDiff(cr.to_radians(b),
cr.to_radians(c))))};e.prototype.choose=function(a){var b=cr.floor(Math.random()*(arguments.length-1));a.set_any(arguments[b+1])};e.prototype.rgb=function(a,b,c,d){a.set_int(cr.RGB(b,c,d))};e.prototype.projectversion=function(a){a.set_string(this.runtime.versionstr)};e.prototype.anglelerp=function(a,b,c,d){b=cr.to_radians(b);c=cr.to_radians(c);var e=cr.angleDiff(b,c);cr.angleClockwise(c,b)?a.set_float(cr.to_clamped_degrees(b+e*d)):a.set_float(cr.to_clamped_degrees(b-e*d))};e.prototype.anglerotate=
function(a,b,c,d){b=cr.to_radians(b);c=cr.to_radians(c);d=cr.to_radians(d);a.set_float(cr.to_clamped_degrees(cr.angleRotate(b,c,d)))};e.prototype.zeropad=function(a,b,c){var d=0>b?"-":"";0>b&&(b=-b);c-=b.toString().length;for(var e=0;e<c;e++)d+="0";a.set_string(d+b.toString())};e.prototype.cpuutilisation=function(a){a.set_float(this.runtime.cpuutilisation/1E3)};e.prototype.viewportleft=function(a,b){var c=this.runtime.getLayer(b);a.set_float(c?c.viewLeft:0)};e.prototype.viewporttop=function(a,b){var c=
this.runtime.getLayer(b);a.set_float(c?c.viewTop:0)};e.prototype.viewportright=function(a,b){var c=this.runtime.getLayer(b);a.set_float(c?c.viewRight:0)};e.prototype.viewportbottom=function(a,b){var c=this.runtime.getLayer(b);a.set_float(c?c.viewBottom:0)};e.prototype.loadingprogress=function(a){a.set_float(this.runtime.loadingprogress)};e.prototype.unlerp=function(a,b,c,d){a.set_float(cr.unlerp(b,c,d))};e.prototype.canvassnapshot=function(a){a.set_string(this.runtime.snapshotData)};e.prototype.urlencode=
function(a,b){a.set_string(encodeURIComponent(b))};e.prototype.urldecode=function(a,b){a.set_string(decodeURIComponent(b))};e.prototype.canvastolayerx=function(a,b,c,d){b=this.runtime.getLayer(b);a.set_float(b?b.canvasToLayer(c,d,!0):0)};e.prototype.canvastolayery=function(a,b,c,d){b=this.runtime.getLayer(b);a.set_float(b?b.canvasToLayer(c,d,!1):0)};e.prototype.layertocanvasx=function(a,b,c,d){b=this.runtime.getLayer(b);a.set_float(b?b.layerToCanvas(c,d,!0):0)};e.prototype.layertocanvasy=function(a,
b,c,d){b=this.runtime.getLayer(b);a.set_float(b?b.layerToCanvas(c,d,!1):0)};e.prototype.savestatejson=function(a){a.set_string(this.runtime.lastSaveJson)};e.prototype.imagememoryusage=function(a){this.runtime.glwrap?a.set_float(Math.round(100*this.runtime.glwrap.estimateVRAM()/1048576)/100):a.set_float(0)};e.prototype.regexsearch=function(a,b,d,e){d=c(d,e);a.set_int(b?b.search(d):-1)};e.prototype.regexreplace=function(a,b,d,e,k){d=c(d,e);a.set_string(b?b.replace(d,k):"")};var w=[],q="",u="",x="";
e.prototype.regexmatchcount=function(a,b,d,e){c(d,e);h(b,d,e);a.set_int(w?w.length:0)};e.prototype.regexmatchat=function(a,b,d,e,k){k=Math.floor(k);c(d,e);h(b,d,e);!w||0>k||k>=w.length?a.set_string(""):a.set_string(w[k])};e.prototype.infinity=function(a){a.set_float(Infinity)};e.prototype.setbit=function(a,b,c,d){c|=0;a.set_int((b|0)&~(1<<c)|(0!==d?1:0)<<c)};e.prototype.togglebit=function(a,b,c){a.set_int((b|0)^1<<(c|0))};e.prototype.getbit=function(a,b,c){a.set_int((b|0)&1<<(c|0)?1:0)};l.exps=new e;
l.runWaits=function(){var a,b,c,d,e,k,h=this.runtime.getCurrentEventStack();a=0;for(c=this.waits.length;a<c;a++)if(d=this.waits[a],!(d.time>this.runtime.kahanTime.sum)){h.current_event=d.ev;h.actindex=d.actindex;h.cndindex=0;for(b in d.sols)d.sols.hasOwnProperty(b)&&(e=this.runtime.types_by_index[parseInt(b,10)].getCurrentSol(),k=d.sols[b],e.select_all=k.sa,cr.shallowAssignArray(e.instances,k.insts),e=k,e.insts.length=0,v.push(e));d.ev.resume_actions_and_subevents();this.runtime.clearSol(d.solModifiers);
d.deleteme=!0}b=a=0;for(c=this.waits.length;a<c;a++)d=this.waits[a],this.waits[b]=d,d.deleteme?(cr.wipe(d.sols),d.solModifiers.length=0,t.push(d)):b++;this.waits.length=b}})();
(function(){cr.add_common_aces=function(a){var c=a[0].prototype,d=a[1],e=a[3],h=a[4],l=a[5],s=a[6],m=a[7];a=a[8];c.cnds||(c.cnds={});c.acts||(c.acts={});c.exps||(c.exps={});var p=c.cnds,k=c.acts,c=c.exps;e&&(p.CompareX=function(a,b){return cr.do_cmp(this.x,a,b)},p.CompareY=function(a,b){return cr.do_cmp(this.y,a,b)},p.IsOnScreen=function(){var a=this.layer;this.update_bbox();var b=this.bbox;return!(b.right<a.viewLeft||b.bottom<a.viewTop||b.left>a.viewRight||b.top>a.viewBottom)},p.IsOutsideLayout=
function(){this.update_bbox();var a=this.bbox,b=this.runtime.running_layout;return 0>a.right||0>a.bottom||a.left>b.width||a.top>b.height},p.PickDistance=function(a,b,c){var d=this.getCurrentSol(),e=d.getObjects();if(!e.length)return!1;var k=e[0],h=k,l=cr.distanceTo(k.x,k.y,b,c),f,g,p;f=1;for(g=e.length;f<g;f++)if(k=e[f],p=cr.distanceTo(k.x,k.y,b,c),0===a&&p<l||1===a&&p>l)l=p,h=k;d.pick_one(h);return!0},k.SetX=function(a){this.x!==a&&(this.x=a,this.set_bbox_changed())},k.SetY=function(a){this.y!==
a&&(this.y=a,this.set_bbox_changed())},k.SetPos=function(a,b){if(this.x!==a||this.y!==b)this.x=a,this.y=b,this.set_bbox_changed()},k.SetPosToObject=function(a,b){var c=a.getPairedInstance(this);if(c){var d;c.getImagePoint?(d=c.getImagePoint(b,!0),c=c.getImagePoint(b,!1)):(d=c.x,c=c.y);if(this.x!==d||this.y!==c)this.x=d,this.y=c,this.set_bbox_changed()}},k.MoveForward=function(a){0!==a&&(this.x+=Math.cos(this.angle)*a,this.y+=Math.sin(this.angle)*a,this.set_bbox_changed())},k.MoveAtAngle=function(a,
b){0!==b&&(this.x+=Math.cos(cr.to_radians(a))*b,this.y+=Math.sin(cr.to_radians(a))*b,this.set_bbox_changed())},c.X=function(a){a.set_float(this.x)},c.Y=function(a){a.set_float(this.y)},c.dt=function(a){a.set_float(this.runtime.getDt(this))});h&&(p.CompareWidth=function(a,b){return cr.do_cmp(this.width,a,b)},p.CompareHeight=function(a,b){return cr.do_cmp(this.height,a,b)},k.SetWidth=function(a){this.width!==a&&(this.width=a,this.set_bbox_changed())},k.SetHeight=function(a){this.height!==a&&(this.height=
a,this.set_bbox_changed())},k.SetSize=function(a,b){if(this.width!==a||this.height!==b)this.width=a,this.height=b,this.set_bbox_changed()},c.Width=function(a){a.set_float(this.width)},c.Height=function(a){a.set_float(this.height)},c.BBoxLeft=function(a){this.update_bbox();a.set_float(this.bbox.left)},c.BBoxTop=function(a){this.update_bbox();a.set_float(this.bbox.top)},c.BBoxRight=function(a){this.update_bbox();a.set_float(this.bbox.right)},c.BBoxBottom=function(a){this.update_bbox();a.set_float(this.bbox.bottom)});
l&&(p.AngleWithin=function(a,b){return cr.angleDiff(this.angle,cr.to_radians(b))<=cr.to_radians(a)},p.IsClockwiseFrom=function(a){return cr.angleClockwise(this.angle,cr.to_radians(a))},p.IsBetweenAngles=function(a,b){var c=cr.to_clamped_radians(a),d=cr.to_clamped_radians(b),e=cr.clamp_angle(this.angle);return cr.angleClockwise(d,c)?cr.angleClockwise(e,c)&&!cr.angleClockwise(e,d):!(!cr.angleClockwise(e,c)&&cr.angleClockwise(e,d))},k.SetAngle=function(a){a=cr.to_radians(cr.clamp_angle_degrees(a));isNaN(a)||
this.angle===a||(this.angle=a,this.set_bbox_changed())},k.RotateClockwise=function(a){0===a||isNaN(a)||(this.angle+=cr.to_radians(a),this.angle=cr.clamp_angle(this.angle),this.set_bbox_changed())},k.RotateCounterclockwise=function(a){0===a||isNaN(a)||(this.angle-=cr.to_radians(a),this.angle=cr.clamp_angle(this.angle),this.set_bbox_changed())},k.RotateTowardAngle=function(a,b){var c=cr.angleRotate(this.angle,cr.to_radians(b),cr.to_radians(a));isNaN(c)||this.angle===c||(this.angle=c,this.set_bbox_changed())},
k.RotateTowardPosition=function(a,b,c){b=Math.atan2(c-this.y,b-this.x);a=cr.angleRotate(this.angle,b,cr.to_radians(a));isNaN(a)||this.angle===a||(this.angle=a,this.set_bbox_changed())},k.SetTowardPosition=function(a,b){var c=Math.atan2(b-this.y,a-this.x);isNaN(c)||this.angle===c||(this.angle=c,this.set_bbox_changed())},c.Angle=function(a){a.set_float(cr.to_clamped_degrees(this.angle))});d||(p.CompareInstanceVar=function(a,b,c){return cr.do_cmp(this.instance_vars[a],b,c)},p.IsBoolInstanceVarSet=function(a){return this.instance_vars[a]},
p.PickInstVarHiLow=function(a,b){var c=this.getCurrentSol(),d=c.getObjects();if(!d.length)return!1;var e=d[0],k=e,h=e.instance_vars[b],l,f,g;l=1;for(f=d.length;l<f;l++)if(e=d[l],g=e.instance_vars[b],0===a&&g<h||1===a&&g>h)h=g,k=e;c.pick_one(k);return!0},p.PickByUID=function(a){var b,c,d,e,k;if(this.runtime.getCurrentCondition().inverted){k=this.getCurrentSol();if(k.select_all)for(k.select_all=!1,k.instances.length=0,k.else_instances.length=0,d=this.instances,b=0,c=d.length;b<c;b++)e=d[b],e.uid===
a?k.else_instances.push(e):k.instances.push(e);else{d=b=0;for(c=k.instances.length;b<c;b++)e=k.instances[b],k.instances[d]=e,e.uid===a?k.else_instances.push(e):d++;k.instances.length=d}this.applySolToContainer();return!!k.instances.length}e=this.runtime.getObjectByUID(a);if(!e)return!1;k=this.getCurrentSol();if(!k.select_all&&-1===k.instances.indexOf(e))return!1;if(this.is_family)for(a=e.type.families,b=0,c=a.length;b<c;b++){if(a[b]===this)return k.pick_one(e),this.applySolToContainer(),!0}else if(e.type===
this)return k.pick_one(e),this.applySolToContainer(),!0;return!1},p.OnCreated=function(){return!0},p.OnDestroyed=function(){return!0},k.SetInstanceVar=function(a,b){var c=this.instance_vars;cr.is_number(c[a])?cr.is_number(b)?c[a]=b:c[a]=parseFloat(b):cr.is_string(c[a])&&(cr.is_string(b)?c[a]=b:c[a]=b.toString())},k.AddInstanceVar=function(a,b){var c=this.instance_vars;cr.is_number(c[a])?cr.is_number(b)?c[a]+=b:c[a]+=parseFloat(b):cr.is_string(c[a])&&(cr.is_string(b)?c[a]+=b:c[a]+=b.toString())},k.SubInstanceVar=
function(a,b){var c=this.instance_vars;cr.is_number(c[a])&&(cr.is_number(b)?c[a]-=b:c[a]-=parseFloat(b))},k.SetBoolInstanceVar=function(a,b){this.instance_vars[a]=b?1:0},k.ToggleBoolInstanceVar=function(a){this.instance_vars[a]=1-this.instance_vars[a]},k.Destroy=function(){this.runtime.DestroyInstance(this)},k.LoadFromJsonString||(k.LoadFromJsonString=function(a){var b,c;try{b=JSON.parse(a)}catch(d){return}this.runtime.loadInstanceFromJSON(this,b,!0);this.afterLoad&&this.afterLoad();if(this.behavior_insts)for(a=
0,b=this.behavior_insts.length;a<b;++a)c=this.behavior_insts[a],c.afterLoad&&c.afterLoad()}),c.Count=function(a){var b=a.object_class.instances.length,c,d,e;c=0;for(d=this.runtime.createRow.length;c<d;c++)e=this.runtime.createRow[c],a.object_class.is_family?0<=e.type.families.indexOf(a.object_class)&&b++:e.type===a.object_class&&b++;a.set_int(b)},c.PickedCount=function(a){a.set_int(a.object_class.getCurrentSol().getObjects().length)},c.UID=function(a){a.set_int(this.uid)},c.IID=function(a){a.set_int(this.get_iid())},
c.AsJSON||(c.AsJSON=function(a){a.set_string(JSON.stringify(this.runtime.saveInstanceToJSON(this,!0)))}));s&&(p.IsVisible=function(){return this.visible},k.SetVisible=function(a){!a!==!this.visible&&(this.visible=a,this.runtime.redraw=!0)},p.CompareOpacity=function(a,b){return cr.do_cmp(cr.round6dp(100*this.opacity),a,b)},k.SetOpacity=function(a){a/=100;0>a?a=0:1<a&&(a=1);a!==this.opacity&&(this.opacity=a,this.runtime.redraw=!0)},c.Opacity=function(a){a.set_float(cr.round6dp(100*this.opacity))});
m&&(p.IsOnLayer=function(a){return a?this.layer===a:!1},p.PickTopBottom=function(a){var b=this.getCurrentSol(),c=b.getObjects();if(!c.length)return!1;var d=c[0],e=d,k,h;k=1;for(h=c.length;k<h;k++)if(d=c[k],0===a){if(d.layer.index>e.layer.index||d.layer.index===e.layer.index&&d.get_zindex()>e.get_zindex())e=d}else if(d.layer.index<e.layer.index||d.layer.index===e.layer.index&&d.get_zindex()<e.get_zindex())e=d;b.pick_one(e);return!0},k.MoveToTop=function(){var a=this.get_zindex();a!==this.layer.instances.length-
1&&(cr.arrayRemove(this.layer.instances,a),this.layer.instances.push(this),this.runtime.redraw=!0,this.layer.zindices_stale=!0)},k.MoveToBottom=function(){var a=this.get_zindex();0!==a&&(cr.arrayRemove(this.layer.instances,a),this.layer.instances.unshift(this),this.runtime.redraw=!0,this.layer.zindices_stale=!0)},k.MoveToLayer=function(a){a&&a!=this.layer&&(cr.arrayRemove(this.layer.instances,this.get_zindex()),this.layer.zindices_stale=!0,this.layer=a,this.zindex=a.instances.length,a.instances.push(this),
this.runtime.redraw=!0)},k.ZMoveToObject=function(a,b){var c=0===a;if(b){var d=b.getFirstPicked(this);if(d&&d.uid!==this.uid){this.layer.index!==d.layer.index&&(cr.arrayRemove(this.layer.instances,this.get_zindex()),this.layer.zindices_stale=!0,this.layer=d.layer,this.zindex=d.layer.instances.length,d.layer.instances.push(this));var e=this.get_zindex(),d=d.get_zindex();cr.arrayRemove(this.layer.instances,e);e<d&&d--;c&&d++;d===this.layer.instances.length?this.layer.instances.push(this):this.layer.instances.splice(d,
0,this);this.layer.zindices_stale=!0;this.runtime.redraw=!0}}},c.LayerNumber=function(a){a.set_int(this.layer.number)},c.LayerName=function(a){a.set_string(this.layer.name)},c.ZIndex=function(a){a.set_int(this.get_zindex())});a&&(k.SetEffectEnabled=function(a,b){if(this.runtime.glwrap){var c=this.type.getEffectIndexByName(b);if(!(0>c)){var d=1===a;this.active_effect_flags[c]!==d&&(this.active_effect_flags[c]=d,this.updateActiveEffects(),this.runtime.redraw=!0)}}},k.SetEffectParam=function(a,b,c){if(this.runtime.glwrap){var d=
this.type.getEffectIndexByName(a);0>d||(a=this.type.effect_types[d],d=this.effect_params[d],b=Math.floor(b),0>b||b>=d.length||(1===this.runtime.glwrap.getProgramParameterType(a.shaderindex,b)&&(c/=100),d[b]!==c&&(d[b]=c,a.active&&(this.runtime.redraw=!0))))}})};cr.set_bbox_changed=function(){this.cell_changed=this.bbox_changed=!0;this.type.any_cell_changed=!0;this.runtime.redraw=!0;var a,c,d=this.bbox_changed_callbacks;a=0;for(c=d.length;a<c;++a)d[a](this)};cr.add_bbox_changed_callback=function(a){a&&
this.bbox_changed_callbacks.push(a)};cr.update_bbox=function(){if(this.bbox_changed){var a=this.bbox,c=this.bquad;a.set(this.x,this.y,this.x+this.width,this.y+this.height);a.offset(-this.hotspotX*this.width,-this.hotspotY*this.height);this.angle?(a.offset(-this.x,-this.y),c.set_from_rotated_rect(a,this.angle),c.offset(this.x,this.y),c.bounding_box(a)):c.set_from_rect(a);a.normalize();this.bbox_changed=!1}};var a=new cr.rect(0,0,0,0);cr.update_collision_cell=function(){if(this.cell_changed&&this.collisionsEnabled){this.update_bbox();
var b=this.type.collision_grid,c=this.collcells,d=this.bbox;a.set(b.XToCell(d.left),b.YToCell(d.top),b.XToCell(d.right),b.YToCell(d.bottom));c.equals(a)||(c.right<c.left?b.update(this,null,a):b.update(this,c,a),c.copy(a),this.cell_changed=!1)}};cr.inst_contains_pt=function(a,c){return this.bbox.contains_pt(a,c)&&this.bquad.contains_pt(a,c)?this.collision_poly&&!this.collision_poly.is_empty()?(this.collision_poly.cache_poly(this.width,this.height,this.angle),this.collision_poly.contains_pt(a-this.x,
c-this.y)):!0:!1};cr.inst_get_iid=function(){this.type.updateIIDs();return this.iid};cr.inst_get_zindex=function(){this.layer.updateZIndices();return this.zindex};cr.inst_updateActiveEffects=function(){this.active_effect_types.length=0;var a,c;a=0;for(c=this.active_effect_flags.length;a<c;a++)this.active_effect_flags[a]&&this.active_effect_types.push(this.type.effect_types[a]);this.uses_shaders=!!this.active_effect_types.length};cr.inst_toString=function(){return"Inst"+this.puid};cr.type_getFirstPicked=
function(a){if(a&&a.is_contained&&a.type!=this){var c,d,e;c=0;for(d=a.siblings.length;c<d;c++)if(e=a.siblings[c],e.type==this)return e}a=this.getCurrentSol().getObjects();return a.length?a[0]:null};cr.type_getPairedInstance=function(a){var c=this.getCurrentSol().getObjects();return c.length?c[a.get_iid()%c.length]:null};cr.type_updateIIDs=function(){if(this.stale_iids&&!this.is_family){var a,c;a=0;for(c=this.instances.length;a<c;a++)this.instances[a].iid=a;var d=a,e=this.runtime.createRow;a=0;for(c=
e.length;a<c;++a)e[a].type===this&&(e[a].iid=d++);this.stale_iids=!1}};cr.type_getInstanceByIID=function(a){if(a<this.instances.length)return this.instances[a];a-=this.instances.length;var c=this.runtime.createRow,d,e;d=0;for(e=c.length;d<e;++d)if(c[d].type===this){if(0===a)return c[d];--a}return null};cr.type_getCurrentSol=function(){return this.solstack[this.cur_sol]};cr.type_pushCleanSol=function(){this.cur_sol++;this.cur_sol===this.solstack.length?this.solstack.push(new cr.selection(this)):this.solstack[this.cur_sol].select_all=
!0};cr.type_pushCopySol=function(){this.cur_sol++;this.cur_sol===this.solstack.length&&this.solstack.push(new cr.selection(this));var a=this.solstack[this.cur_sol],c=this.solstack[this.cur_sol-1];c.select_all?a.select_all=!0:(a.select_all=!1,cr.shallowAssignArray(a.instances,c.instances),cr.shallowAssignArray(a.else_instances,c.else_instances))};cr.type_popSol=function(){this.cur_sol--};cr.type_getBehaviorByName=function(a){var c,d,e,h,l,s=0;if(!this.is_family)for(c=0,d=this.families.length;c<d;c++)for(l=
this.families[c],e=0,h=l.behaviors.length;e<h;e++){if(a===l.behaviors[e].name)return this.extra.lastBehIndex=s,l.behaviors[e];s++}c=0;for(d=this.behaviors.length;c<d;c++){if(a===this.behaviors[c].name)return this.extra.lastBehIndex=s,this.behaviors[c];s++}return null};cr.type_getBehaviorIndexByName=function(a){return this.getBehaviorByName(a)?this.extra.lastBehIndex:-1};cr.type_getEffectIndexByName=function(a){var c,d;c=0;for(d=this.effect_types.length;c<d;c++)if(this.effect_types[c].name===a)return c;
return-1};cr.type_applySolToContainer=function(){if(this.is_contained&&!this.is_family){var a,c,d,e,h,l,s;this.updateIIDs();l=this.getCurrentSol();var m=l.select_all,p=(a=this.runtime.getCurrentEventStack())&&a.current_event&&a.current_event.orblock;a=0;for(c=this.container.length;a<c;a++)if(h=this.container[a],h!==this&&(h.updateIIDs(),s=h.getCurrentSol(),s.select_all=m,!m)){s.instances.length=l.instances.length;d=0;for(e=l.instances.length;d<e;d++)s.instances[d]=h.getInstanceByIID(l.instances[d].iid);
if(p)for(s.else_instances.length=l.else_instances.length,d=0,e=l.else_instances.length;d<e;d++)s.else_instances[d]=h.getInstanceByIID(l.else_instances[d].iid)}}};cr.type_toString=function(){return"Type"+this.sid};cr.do_cmp=function(a,c,d){if("undefined"===typeof a||"undefined"===typeof d)return!1;switch(c){case 0:return a===d;case 1:return a!==d;case 2:return a<d;case 3:return a<=d;case 4:return a>d;case 5:return a>=d;default:return!1}}})();cr.shaders={};
cr.plugins_.Audio=function(a){this.runtime=a};
(function(){function a(a){a=Math.pow(10,a/20);0>a&&(a=0);1<a&&(a=1);return a}function b(a){0>a&&(a=0);1<a&&(a=1);return 20*(Math.log(a)/Math.log(10))}function c(a){a=a.toLowerCase();return R.hasOwnProperty(a)&&R[a].length?R[a][0].getInputNode():H.destination}function d(){return H.createGain?H.createGain():H.createGainNode()}function e(a){return H.createDelay?H.createDelay(a):H.createDelayNode(a)}function h(a){a.start?a.start(0):a.noteOn(0)}function l(a,b,c){a.start?a.start(0,b):a.noteGrainOn(0,b,
c-b)}function s(a){try{a.stop?a.stop(0):a.noteOff(0)}catch(b){}}function m(a,b,c,d){if(a)if(a.cancelScheduledValues(0),0===d)a.value=b;else{var e=H.currentTime;d+=e;switch(c){case 0:a.setValueAtTime(b,d);break;case 1:a.setValueAtTime(a.value,e);a.linearRampToValueAtTime(b,d);break;case 2:a.setValueAtTime(a.value,e),a.exponentialRampToValueAtTime(b,d)}}}function p(a,b,c,e,g,f){this.type="filter";this.params=[a,b,c,e,g,f];this.inputNode=d();this.wetNode=d();this.wetNode.gain.value=f;this.dryNode=d();
this.dryNode.gain.value=1-f;this.filterNode=H.createBiquadFilter();this.filterNode.type="number"===typeof this.filterNode.type?a:la[a];this.filterNode.frequency.value=b;this.filterNode.detune&&(this.filterNode.detune.value=c);this.filterNode.Q.value=e;this.filterNode.gain.value=g;this.inputNode.connect(this.filterNode);this.inputNode.connect(this.dryNode);this.filterNode.connect(this.wetNode)}function k(a,b,c){this.type="delay";this.params=[a,b,c];this.inputNode=d();this.wetNode=d();this.wetNode.gain.value=
c;this.dryNode=d();this.dryNode.gain.value=1-c;this.mainNode=d();this.delayNode=e(a);this.delayNode.delayTime.value=a;this.delayGainNode=d();this.delayGainNode.gain.value=b;this.inputNode.connect(this.mainNode);this.inputNode.connect(this.dryNode);this.mainNode.connect(this.wetNode);this.mainNode.connect(this.delayNode);this.delayNode.connect(this.delayGainNode);this.delayGainNode.connect(this.mainNode)}function r(a,b,c,e){this.type="convolve";this.params=[b,c,e];this.inputNode=d();this.wetNode=d();
this.wetNode.gain.value=c;this.dryNode=d();this.dryNode.gain.value=1-c;this.convolveNode=H.createConvolver();a&&(this.convolveNode.normalize=b,this.convolveNode.buffer=a);this.inputNode.connect(this.convolveNode);this.inputNode.connect(this.dryNode);this.convolveNode.connect(this.wetNode)}function n(a,b,c,g,f){this.type="flanger";this.params=[a,b,c,g,f];this.inputNode=d();this.dryNode=d();this.dryNode.gain.value=1-f/2;this.wetNode=d();this.wetNode.gain.value=f/2;this.feedbackNode=d();this.feedbackNode.gain.value=
g;this.delayNode=e(a+b);this.delayNode.delayTime.value=a;this.oscNode=H.createOscillator();this.oscNode.frequency.value=c;this.oscGainNode=d();this.oscGainNode.gain.value=b;this.inputNode.connect(this.delayNode);this.inputNode.connect(this.dryNode);this.delayNode.connect(this.wetNode);this.delayNode.connect(this.feedbackNode);this.feedbackNode.connect(this.delayNode);this.oscNode.connect(this.oscGainNode);this.oscGainNode.connect(this.delayNode.delayTime);h(this.oscNode)}function t(a,b,c,e,g,f){this.type=
"phaser";this.params=[a,b,c,e,g,f];this.inputNode=d();this.dryNode=d();this.dryNode.gain.value=1-f/2;this.wetNode=d();this.wetNode.gain.value=f/2;this.filterNode=H.createBiquadFilter();this.filterNode.type="number"===typeof this.filterNode.type?7:"allpass";this.filterNode.frequency.value=a;this.filterNode.detune&&(this.filterNode.detune.value=b);this.filterNode.Q.value=c;this.oscNode=H.createOscillator();this.oscNode.frequency.value=g;this.oscGainNode=d();this.oscGainNode.gain.value=e;this.inputNode.connect(this.filterNode);
this.inputNode.connect(this.dryNode);this.filterNode.connect(this.wetNode);this.oscNode.connect(this.oscGainNode);this.oscGainNode.connect(this.filterNode.frequency);h(this.oscNode)}function v(a){this.type="gain";this.params=[a];this.node=d();this.node.gain.value=a}function w(a,b){this.type="tremolo";this.params=[a,b];this.node=d();this.node.gain.value=1-b/2;this.oscNode=H.createOscillator();this.oscNode.frequency.value=a;this.oscGainNode=d();this.oscGainNode.gain.value=b/2;this.oscNode.connect(this.oscGainNode);
this.oscGainNode.connect(this.node.gain);h(this.oscNode)}function q(a,b){this.type="ringmod";this.params=[a,b];this.inputNode=d();this.wetNode=d();this.wetNode.gain.value=b;this.dryNode=d();this.dryNode.gain.value=1-b;this.ringNode=d();this.ringNode.gain.value=0;this.oscNode=H.createOscillator();this.oscNode.frequency.value=a;this.oscNode.connect(this.ringNode.gain);h(this.oscNode);this.inputNode.connect(this.ringNode);this.inputNode.connect(this.dryNode);this.ringNode.connect(this.wetNode)}function u(a,
b,c,e,g){this.type="distortion";this.params=[a,b,c,e,g];this.inputNode=d();this.preGain=d();this.postGain=d();this.setDrive(c,Math.pow(10,e/20));this.wetNode=d();this.wetNode.gain.value=g;this.dryNode=d();this.dryNode.gain.value=1-g;this.waveShaper=H.createWaveShaper();this.curve=new Float32Array(65536);this.generateColortouchCurve(a,b);this.waveShaper.curve=this.curve;this.inputNode.connect(this.preGain);this.inputNode.connect(this.dryNode);this.preGain.connect(this.waveShaper);this.waveShaper.connect(this.postGain);
this.postGain.connect(this.wetNode)}function x(a,b,c,d,e){this.type="compressor";this.params=[a,b,c,d,e];this.node=H.createDynamicsCompressor();try{this.node.threshold.value=a,this.node.knee.value=b,this.node.ratio.value=c,this.node.attack.value=d,this.node.release.value=e}catch(g){}}function f(a,b){this.type="analyser";this.params=[a,b];this.node=H.createAnalyser();this.node.fftSize=a;this.node.smoothingTimeConstant=b;this.freqBins=new Float32Array(this.node.frequencyBinCount);this.signal=new Uint8Array(a);
this.rms=this.peak=0}function g(){this.obj=null;this.loadUid=0;this.speeds=[];this.moveAngle=this.lastY=this.lastX=0}function D(a,b){this.src=a;this.myapi=L;this.is_music=b;this.added_end_listener=!1;var c=this;this.mediaSourceNode=this.outNode=null;this.panWhenReady=[];this.seekWhenReady=0;this.supportWebAudioAPI=this.pauseWhenReady=!1;L===C&&b&&(this.myapi=K,this.outNode=d());this.audioData=this.bufferObject=null;var e;switch(this.myapi){case K:this.bufferObject=new Audio;L!==C||!H.createMediaElementSource||
G.isFirefox||/wiiu/i.test(navigator.userAgent)||(this.supportWebAudioAPI=!0,this.bufferObject.addEventListener("canplay",function(){c.mediaSourceNode||(c.mediaSourceNode=H.createMediaElementSource(c.bufferObject),c.mediaSourceNode.connect(c.outNode))}));this.bufferObject.autoplay=!1;this.bufferObject.preload="auto";this.bufferObject.src=a;break;case C:e=new XMLHttpRequest;e.open("GET",a,!0);e.responseType="arraybuffer";e.onload=function(){c.audioData=e.response;c.decodeAudioBuffer()};e.send();break;
case N:this.bufferObject=!0;break;case U:this.bufferObject=!0}}function z(a,b){var e=this;this.tag=b;this.stopped=this.fresh=!0;this.src=a.src;this.buffer=a;this.myapi=L;this.is_music=a.is_music;this.playbackRate=1;this.pgended=!0;this.is_paused=this.resume_me=!1;this.resume_position=0;this.is_silent=this.is_muted=this.looping=!1;this.mutevol=this.volume=1;this.startTime=G.kahanTime.sum;this.pannerNode=this.gainNode=null;this.pannerEnabled=!1;this.objectTracker=null;this.panConeOuterGain=this.panConeOuter=
this.panConeInner=this.panAngle=this.panY=this.panX=0;this.instanceObject=null;var g=!1;this.myapi!==C||this.buffer.myapi!==K||this.buffer.supportWebAudioAPI||(this.myapi=K);switch(this.myapi){case K:this.is_music?(this.instanceObject=a.bufferObject,g=!a.added_end_listener,a.added_end_listener=!0):(this.instanceObject=new Audio,this.instanceObject.autoplay=!1,this.instanceObject.src=a.bufferObject.src,g=!0);g&&this.instanceObject.addEventListener("ended",function(){P=e.tag;e.stopped=!0;G.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,
W)});break;case C:this.gainNode=d();this.gainNode.connect(c(b));this.buffer.myapi===C?a.bufferObject&&(this.instanceObject=H.createBufferSource(),this.instanceObject.buffer=a.bufferObject,this.instanceObject.connect(this.gainNode)):(this.instanceObject=this.buffer.bufferObject,this.buffer.outNode.connect(this.gainNode));break;case N:this.instanceObject=new window.Media(Q+this.src,null,null,function(a){a===window.Media.MEDIA_STOPPED&&(e.pgended=!0,e.stopped=!0,P=e.tag,G.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,
W))});break;case U:this.instanceObject=!0}}function A(a){S.length=0;if(a.length){var b,c,d;b=0;for(c=O.length;b<c;b++)d=O[b],cr.equals_nocase(a,d.tag)&&S.push(d)}else T&&!T.hasEnded()&&(S.length=1,S[0]=T)}function y(a){var b,c,d,e,g=H.destination;if(R.hasOwnProperty(a)&&(d=R[a],d.length))for(g=d[0].getInputNode(),b=0,c=d.length;b<c;b++)e=d[b],b+1===c?e.connectTo(H.destination):e.connectTo(d[b+1].getInputNode());A(a);b=0;for(c=S.length;b<c;b++)S[b].reconnect(g);ca&&ia===a&&(ca.disconnect(),ca.connect(g))}
function E(a,b){R.hasOwnProperty(a)?R[a].push(b):R[a]=[b];y(a)}function F(){}function B(){}function M(){}function J(a,b){var c=null;R.hasOwnProperty(a)&&(c=R[a]);return c&&0<=b&&b<c.length&&c[b].freqBins?c[b]:null}var I=cr.plugins_.Audio.prototype;I.Type=function(a){this.plugin=a;this.runtime=a.runtime};I.Type.prototype.onCreate=function(){};var G=null,W=null,P="",Q="",K=0,C=1,N=2,U=3,L=K,H=null,da=[],O=[],T=null,X=!1,ha=0,V=!1,Y=1,Z=0,aa=0,ja=1,ka=1,ma=10,na=1E4,oa=1,ca=null,ia="",ea=!1,fa=[],R=
{},la="lowpass highpass bandpass lowshelf highshelf peaking notch allpass".split(" ");p.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};p.prototype.remove=function(){this.inputNode.disconnect();this.filterNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};p.prototype.getInputNode=function(){return this.inputNode};p.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=
1);this.params[5]=b;m(this.wetNode.gain,b,c,d);m(this.dryNode.gain,1-b,c,d);break;case 1:this.params[1]=b;m(this.filterNode.frequency,b,c,d);break;case 2:this.params[2]=b;m(this.filterNode.detune,b,c,d);break;case 3:this.params[3]=b;m(this.filterNode.Q,b,c,d);break;case 4:this.params[4]=b,m(this.filterNode.gain,b,c,d)}};k.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};k.prototype.remove=function(){this.inputNode.disconnect();
this.mainNode.disconnect();this.delayNode.disconnect();this.delayGainNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};k.prototype.getInputNode=function(){return this.inputNode};k.prototype.setParam=function(b,c,d,e){switch(b){case 0:c/=100;0>c&&(c=0);1<c&&(c=1);this.params[2]=c;m(this.wetNode.gain,c,d,e);m(this.dryNode.gain,1-c,d,e);break;case 4:this.params[1]=a(c);m(this.delayGainNode.gain,a(c),d,e);break;case 5:this.params[0]=c,m(this.delayNode.delayTime,c,d,e)}};r.prototype.connectTo=
function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};r.prototype.remove=function(){this.inputNode.disconnect();this.convolveNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};r.prototype.getInputNode=function(){return this.inputNode};r.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100,0>b&&(b=0),1<b&&(b=1),this.params[1]=b,m(this.wetNode.gain,b,c,d),m(this.dryNode.gain,1-b,c,d)}};n.prototype.connectTo=function(a){this.dryNode.disconnect();
this.dryNode.connect(a);this.wetNode.disconnect();this.wetNode.connect(a)};n.prototype.remove=function(){this.inputNode.disconnect();this.delayNode.disconnect();this.oscNode.disconnect();this.oscGainNode.disconnect();this.dryNode.disconnect();this.wetNode.disconnect();this.feedbackNode.disconnect()};n.prototype.getInputNode=function(){return this.inputNode};n.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[4]=b;m(this.wetNode.gain,b/2,c,d);m(this.dryNode.gain,
1-b/2,c,d);break;case 6:this.params[1]=b/1E3;m(this.oscGainNode.gain,b/1E3,c,d);break;case 7:this.params[2]=b;m(this.oscNode.frequency,b,c,d);break;case 8:this.params[3]=b/100,m(this.feedbackNode.gain,b/100,c,d)}};t.prototype.connectTo=function(a){this.dryNode.disconnect();this.dryNode.connect(a);this.wetNode.disconnect();this.wetNode.connect(a)};t.prototype.remove=function(){this.inputNode.disconnect();this.filterNode.disconnect();this.oscNode.disconnect();this.oscGainNode.disconnect();this.dryNode.disconnect();
this.wetNode.disconnect()};t.prototype.getInputNode=function(){return this.inputNode};t.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[5]=b;m(this.wetNode.gain,b/2,c,d);m(this.dryNode.gain,1-b/2,c,d);break;case 1:this.params[0]=b;m(this.filterNode.frequency,b,c,d);break;case 2:this.params[1]=b;m(this.filterNode.detune,b,c,d);break;case 3:this.params[2]=b;m(this.filterNode.Q,b,c,d);break;case 6:this.params[3]=b;m(this.oscGainNode.gain,b,c,d);break;case 7:this.params[4]=
b,m(this.oscNode.frequency,b,c,d)}};v.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};v.prototype.remove=function(){this.node.disconnect()};v.prototype.getInputNode=function(){return this.node};v.prototype.setParam=function(b,c,d,e){switch(b){case 4:this.params[0]=a(c),m(this.node.gain,a(c),d,e)}};w.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};w.prototype.remove=function(){this.oscNode.disconnect();this.oscGainNode.disconnect();this.node.disconnect()};
w.prototype.getInputNode=function(){return this.node};w.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[1]=b;m(this.node.gain.value,1-b/2,c,d);m(this.oscGainNode.gain.value,b/2,c,d);break;case 7:this.params[0]=b,m(this.oscNode.frequency,b,c,d)}};q.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};q.prototype.remove=function(){this.oscNode.disconnect();this.ringNode.disconnect();
this.inputNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};q.prototype.getInputNode=function(){return this.inputNode};q.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[1]=b;m(this.wetNode.gain,b,c,d);m(this.dryNode.gain,1-b,c,d);break;case 7:this.params[0]=b,m(this.oscNode.frequency,b,c,d)}};u.prototype.setDrive=function(a,b){0.01>a&&(a=0.01);this.preGain.gain.value=a;this.postGain.gain.value=Math.pow(1/a,0.6)*b};u.prototype.shape=
function(a,b,c){var d=1.05*c*b-b;c=0>a?-1:1;a=0>a?-a:a;b=a<b?a:b+d*(1-Math.exp(-(1/d)*(a-b)));return b*c};u.prototype.generateColortouchCurve=function(a,b){for(var c=Math.pow(10,a/20),d=Math.pow(10,b/20),e=0,g=0;32768>g;++g)e=g/32768,e=this.shape(e,c,d),this.curve[32768+g]=e,this.curve[32768-g-1]=-e};u.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};u.prototype.remove=function(){this.inputNode.disconnect();this.preGain.disconnect();
this.waveShaper.disconnect();this.postGain.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};u.prototype.getInputNode=function(){return this.inputNode};u.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100,0>b&&(b=0),1<b&&(b=1),this.params[4]=b,m(this.wetNode.gain,b,c,d),m(this.dryNode.gain,1-b,c,d)}};x.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};x.prototype.remove=function(){this.node.disconnect()};x.prototype.getInputNode=function(){return this.node};
x.prototype.setParam=function(a,b,c,d){};f.prototype.tick=function(){this.node.getFloatFrequencyData(this.freqBins);this.node.getByteTimeDomainData(this.signal);for(var a=this.node.fftSize,c=0,d=this.peak=0,e=0;c<a;c++)e=(this.signal[c]-128)/128,0>e&&(e=-e),this.peak<e&&(this.peak=e),d+=e*e;this.peak=b(this.peak);this.rms=b(Math.sqrt(d/a))};f.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};f.prototype.remove=function(){this.node.disconnect()};f.prototype.getInputNode=
function(){return this.node};f.prototype.setParam=function(a,b,c,d){};g.prototype.setObject=function(a){if(this.obj=a)this.lastX=this.obj.x,this.lastY=this.obj.y;this.speeds.length=0};g.prototype.hasObject=function(){return!!this.obj};g.prototype.tick=function(a){this.obj&&0!==a&&(this.moveAngle=cr.angleTo(this.lastX,this.lastY,this.obj.x,this.obj.y),a=cr.distanceTo(this.lastX,this.lastY,this.obj.x,this.obj.y)/a,4>this.speeds.length||this.speeds.shift(),this.speeds.push(a),this.lastX=this.obj.x,this.lastY=
this.obj.y)};g.prototype.getSpeed=function(){if(!this.speeds.length)return 0;var a,b,c=0;a=0;for(b=this.speeds.length;a<b;a++)c+=this.speeds[a];return c/this.speeds.length};g.prototype.getVelocityX=function(){return Math.cos(this.moveAngle)*this.getSpeed()};g.prototype.getVelocityY=function(){return Math.sin(this.moveAngle)*this.getSpeed()};var pa=!1;D.prototype.decodeAudioBuffer=function(){if(!this.bufferObject&&this.audioData){var a=this;if(H.decodeAudioData)H.decodeAudioData(this.audioData,function(b){a.bufferObject=
b;var c,d,e;if(cr.is_undefined(a.playTagWhenReady)||V)cr.is_undefined(a.convolveWhenReady)||(c=a.convolveWhenReady.convolveNode,c.normalize=a.normalizeWhenReady,c.buffer=b);else if(a.panWhenReady.length){c=0;for(d=a.panWhenReady.length;c<d;c++){b=a.panWhenReady[c];e=new z(a,b.thistag);e.setPannerEnabled(!0);if("undefined"!==typeof b.objUid&&(b.obj=G.getObjectByUID(b.objUid),!b.obj))continue;if(b.obj){var g=cr.rotatePtAround(b.obj.x,b.obj.y,-b.obj.layer.getAngle(),Z,aa,!0),f=cr.rotatePtAround(b.obj.x,
b.obj.y,-b.obj.layer.getAngle(),Z,aa,!1);e.setPan(g,f,cr.to_degrees(b.obj.angle-b.obj.layer.getAngle()),b.ia,b.oa,b.og);e.setObject(b.obj)}else e.setPan(b.x,b.y,b.a,b.ia,b.oa,b.og);e.play(a.loopWhenReady,a.volumeWhenReady,a.seekWhenReady);a.pauseWhenReady&&e.pause();O.push(e)}a.panWhenReady.length=0}else e=new z(a,a.playTagWhenReady),e.play(a.loopWhenReady,a.volumeWhenReady,a.seekWhenReady),a.pauseWhenReady&&e.pause(),O.push(e)});else if(this.bufferObject=H.createBuffer(this.audioData,!1),cr.is_undefined(this.playTagWhenReady)||
V)cr.is_undefined(this.convolveWhenReady)||(b=this.convolveWhenReady.convolveNode,b.normalize=this.normalizeWhenReady,b.buffer=this.bufferObject);else{var b=new z(this,this.playTagWhenReady);b.play(this.loopWhenReady,this.volumeWhenReady,this.seekWhenReady);this.pauseWhenReady&&b.pause();O.push(b)}}};D.prototype.isLoaded=function(){switch(this.myapi){case K:return 4===this.bufferObject.readyState;case C:return!!this.audioData;case N:return!0;case U:return!0}return!1};z.prototype.hasEnded=function(){switch(this.myapi){case K:return this.instanceObject.ended;
case C:return this.buffer.myapi===C?!this.fresh&&!this.stopped&&this.instanceObject.loop||this.is_paused?!1:G.kahanTime.sum-this.startTime>this.buffer.bufferObject.duration:this.instanceObject.ended;case N:return this.pgended;case U:!0}return!0};z.prototype.canBeRecycled=function(){return this.fresh||this.stopped?!0:this.hasEnded()};z.prototype.setPannerEnabled=function(a){L===C&&(!this.pannerEnabled&&a?this.gainNode&&(this.pannerNode||(this.pannerNode=H.createPanner(),this.pannerNode.panningModel=
"number"===typeof this.pannerNode.panningModel?ja:["equalpower","HRTF","soundfield"][ja],this.pannerNode.distanceModel="number"===typeof this.pannerNode.distanceModel?ka:["linear","inverse","exponential"][ka],this.pannerNode.refDistance=ma,this.pannerNode.maxDistance=na,this.pannerNode.rolloffFactor=oa),this.gainNode.disconnect(),this.gainNode.connect(this.pannerNode),this.pannerNode.connect(c(this.tag)),this.pannerEnabled=!0):this.pannerEnabled&&!a&&this.gainNode&&(this.pannerNode.disconnect(),this.gainNode.disconnect(),
this.gainNode.connect(c(this.tag)),this.pannerEnabled=!1))};z.prototype.setPan=function(a,b,c,d,e,g){this.pannerEnabled&&L===C&&(this.pannerNode.setPosition(a,b,0),this.pannerNode.setOrientation(Math.cos(cr.to_radians(c)),Math.sin(cr.to_radians(c)),0),this.pannerNode.coneInnerAngle=d,this.pannerNode.coneOuterAngle=e,this.pannerNode.coneOuterGain=g,this.panX=a,this.panY=b,this.panAngle=c,this.panConeInner=d,this.panConeOuter=e,this.panConeOuterGain=g)};z.prototype.setObject=function(a){this.pannerEnabled&&
L===C&&(this.objectTracker||(this.objectTracker=new g),this.objectTracker.setObject(a))};z.prototype.tick=function(a){if(this.pannerEnabled&&L===C&&this.objectTracker&&this.objectTracker.hasObject()&&this.isPlaying()){this.objectTracker.tick(a);a=this.objectTracker.obj;var b=cr.rotatePtAround(a.x,a.y,-a.layer.getAngle(),Z,aa,!0),c=cr.rotatePtAround(a.x,a.y,-a.layer.getAngle(),Z,aa,!1);this.pannerNode.setPosition(b,c,0);b=0;"undefined"!==typeof this.objectTracker.obj.angle&&(b=a.angle-a.layer.getAngle(),
this.pannerNode.setOrientation(Math.cos(b),Math.sin(b),0));b=cr.rotatePtAround(this.objectTracker.getVelocityX(),this.objectTracker.getVelocityY(),-a.layer.getAngle(),0,0,!0);c=cr.rotatePtAround(this.objectTracker.getVelocityX(),this.objectTracker.getVelocityY(),-a.layer.getAngle(),0,0,!1);this.pannerNode.setVelocity(b,c,0)}};z.prototype.play=function(a,b,c){var d=this.instanceObject;this.looping=a;this.volume=b;c=c||0;switch(this.myapi){case K:1!==d.playbackRate&&(d.playbackRate=1);d.volume!==b*
Y&&(d.volume=b*Y);d.loop!==a&&(d.loop=a);d.muted&&(d.muted=!1);if(d.currentTime!==c)try{d.currentTime=c}catch(e){}if(this.is_music&&ea&&!G.isInUserInputEvent)fa.push(this);else try{this.instanceObject.play()}catch(g){}break;case C:this.muted=!1;this.mutevol=1;if(this.buffer.myapi===C)this.fresh||(this.instanceObject=H.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode)),this.instanceObject.loop=a,this.gainNode.gain.value=b*Y,0===c?h(this.instanceObject):
l(this.instanceObject,c,this.getDuration());else{1!==d.playbackRate&&(d.playbackRate=1);d.loop!==a&&(d.loop=a);this.gainNode.gain.value=b*Y;if(d.currentTime!==c)try{d.currentTime=c}catch(f){}this.is_music&&ea&&!G.isInUserInputEvent?fa.push(this):d.play()}break;case N:(!this.fresh&&this.stopped||0!==c)&&d.seekTo(c);d.play();this.pgended=!1;break;case U:G.isDirectCanvas?AppMobi.context.playSound(this.src,a):AppMobi.player.playSound(this.src,a)}this.playbackRate=1;this.startTime=G.kahanTime.sum-c;this.is_paused=
this.stopped=this.fresh=!1};z.prototype.stop=function(){switch(this.myapi){case K:this.instanceObject.paused||this.instanceObject.pause();break;case C:this.buffer.myapi===C?s(this.instanceObject):this.instanceObject.paused||this.instanceObject.pause();break;case N:this.instanceObject.stop();break;case U:G.isDirectCanvas&&AppMobi.context.stopSound(this.src)}this.stopped=!0;this.is_paused=!1};z.prototype.pause=function(){if(!(this.fresh||this.stopped||this.hasEnded()||this.is_paused)){switch(this.myapi){case K:this.instanceObject.paused||
this.instanceObject.pause();break;case C:this.buffer.myapi===C?(this.resume_position=this.getPlaybackTime(),this.looping&&(this.resume_position%=this.getDuration()),s(this.instanceObject)):this.instanceObject.paused||this.instanceObject.pause();break;case N:this.instanceObject.pause();break;case U:G.isDirectCanvas&&AppMobi.context.stopSound(this.src)}this.is_paused=!0}};z.prototype.resume=function(){if(!this.fresh&&!this.stopped&&!this.hasEnded()&&this.is_paused){switch(this.myapi){case K:this.instanceObject.play();
break;case C:this.buffer.myapi===C?(this.instanceObject=H.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode),this.instanceObject.loop=this.looping,this.gainNode.gain.value=Y*this.volume*this.mutevol,this.startTime=G.kahanTime.sum-this.resume_position,l(this.instanceObject,this.resume_position,this.getDuration())):this.instanceObject.play();break;case N:this.instanceObject.play();break;case U:G.isDirectCanvas&&AppMobi.context.resumeSound(this.src)}this.is_paused=
!1}};z.prototype.seek=function(a){if(!(this.fresh||this.stopped||this.hasEnded()))switch(this.myapi){case K:try{this.instanceObject.currentTime=a}catch(b){}break;case C:if(this.buffer.myapi===C)this.is_paused?this.resume_position=a:(this.pause(),this.resume_position=a,this.resume());else try{this.instanceObject.currentTime=a}catch(c){}break;case U:G.isDirectCanvas&&AppMobi.context.seekSound(this.src,a)}};z.prototype.reconnect=function(a){this.myapi===C&&(this.pannerEnabled?(this.pannerNode.disconnect(),
this.pannerNode.connect(a)):(this.gainNode.disconnect(),this.gainNode.connect(a)))};z.prototype.getDuration=function(){switch(this.myapi){case K:if("undefined"!==typeof this.instanceObject.duration)return this.instanceObject.duration;break;case C:return this.buffer.bufferObject.duration;case N:return this.instanceObject.getDuration();case U:if(G.isDirectCanvas)return AppMobi.context.getDurationSound(this.src)}return 0};z.prototype.getPlaybackTime=function(){var a=this.getDuration(),b=0;switch(this.myapi){case K:"undefined"!==
typeof this.instanceObject.currentTime&&(b=this.instanceObject.currentTime);break;case C:if(this.buffer.myapi===C){if(this.is_paused)return this.resume_position;b=G.kahanTime.sum-this.startTime}else"undefined"!==typeof this.instanceObject.currentTime&&(b=this.instanceObject.currentTime);break;case U:G.isDirectCanvas&&(b=AppMobi.context.getPlaybackTimeSound(this.src))}!this.looping&&b>a&&(b=a);return b};z.prototype.isPlaying=function(){return!this.is_paused&&!this.fresh&&!this.stopped&&!this.hasEnded()};
z.prototype.setVolume=function(a){this.volume=a;this.updateVolume()};z.prototype.updateVolume=function(){var a=this.volume*Y;switch(this.myapi){case K:this.instanceObject.volume&&this.instanceObject.volume!==a&&(this.instanceObject.volume=a);break;case C:this.gainNode.gain.value=a*this.mutevol}};z.prototype.getVolume=function(){return this.volume};z.prototype.doSetMuted=function(a){switch(this.myapi){case K:this.instanceObject.muted!==!!a&&(this.instanceObject.muted=!!a);break;case C:this.mutevol=
a?0:1,this.gainNode.gain.value=Y*this.volume*this.mutevol}};z.prototype.setMuted=function(a){this.is_muted=!!a;this.doSetMuted(this.is_muted||this.is_silent)};z.prototype.setSilent=function(a){this.is_silent=!!a;this.doSetMuted(this.is_muted||this.is_silent)};z.prototype.setLooping=function(a){this.looping=a;switch(this.myapi){case K:this.instanceObject.loop!==!!a&&(this.instanceObject.loop=!!a);break;case C:this.instanceObject.loop!==!!a&&(this.instanceObject.loop=!!a);break;case U:G.isDirectCanvas&&
AppMobi.context.setLoopingSound(this.src,a)}};z.prototype.setPlaybackRate=function(a){this.playbackRate=a;this.updatePlaybackRate()};z.prototype.updatePlaybackRate=function(){var a=this.playbackRate;if(1===ha&&!this.is_music||2===ha)a*=G.timescale;switch(this.myapi){case K:this.instanceObject.playbackRate!==a&&(this.instanceObject.playbackRate=a);break;case C:this.buffer.myapi===C?this.instanceObject.playbackRate.value!==a&&(this.instanceObject.playbackRate.value=a):this.instanceObject.playbackRate!==
a&&(this.instanceObject.playbackRate=a)}};z.prototype.setSuspended=function(a){switch(this.myapi){case K:a?this.isPlaying()?(this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&this.instanceObject.play();break;case C:a?this.isPlaying()?(this.buffer.myapi===C?(this.resume_position=this.getPlaybackTime(),this.looping&&(this.resume_position%=this.getDuration()),s(this.instanceObject)):this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&(this.buffer.myapi===
C?(this.instanceObject=H.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode),this.instanceObject.loop=this.looping,this.gainNode.gain.value=Y*this.volume*this.mutevol,this.startTime=G.kahanTime.sum-this.resume_position,l(this.instanceObject,this.resume_position,this.getDuration())):this.instanceObject.play());break;case N:a?this.isPlaying()?(this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&this.instanceObject.play()}};
I.Instance=function(a){this.type=a;G=this.runtime=a.runtime;W=this;this.listenerTracker=null;this.listenerZ=-600;!(this.runtime.isiOS||this.runtime.isAndroid&&(this.runtime.isChrome||this.runtime.isAndroidStockBrowser))||this.runtime.isCrosswalk||this.runtime.isDomFree||(ea=!0);H=null;"undefined"!==typeof AudioContext?(L=C,H=new AudioContext):"undefined"!==typeof webkitAudioContext&&(L=C,H=new webkitAudioContext);(this.runtime.isiOS&&L===C||ea)&&document.addEventListener("touchstart",function(){var a,
b,c;!pa&&H&&(a=H.createBuffer(1,1,22050),b=H.createBufferSource(),b.buffer=a,b.connect(H.destination),h(b),pa=!0);if(ea){if(!V)for(a=0,b=fa.length;a<b;++a)c=fa[a],c.stopped||c.is_paused||c.instanceObject.play();fa.length=0}},!0);L!==C&&(this.runtime.isPhoneGap?L=N:this.runtime.isAppMobi&&(L=U));L===N&&(Q=location.href,a=Q.lastIndexOf("/"),-1<a&&(Q=Q.substr(0,a+1)),Q=Q.replace("file://",""));if(this.runtime.isSafari&&this.runtime.isWindows&&"undefined"===typeof Audio)alert("It looks like you're using Safari for Windows without Quicktime.  Audio cannot be played until Quicktime is installed."),
this.runtime.DestroyInstance(this);else{if(this.runtime.isDirectCanvas)X=this.runtime.isAndroid;else try{X=!!(new Audio).canPlayType('audio/ogg; codecs="vorbis"')}catch(b){X=!1}this.runtime.tickMe(this)}};var ba=I.Instance.prototype;ba.onCreate=function(){ha=this.properties[0];this.saveload=this.properties[1];ja=this.properties[2];ka=this.properties[3];this.listenerZ=-this.properties[4];ma=this.properties[5];na=this.properties[6];oa=this.properties[7];this.listenerTracker=new g;L===C&&(H.listener.speedOfSound=
this.properties[8],H.listener.dopplerFactor=this.properties[9],H.listener.setPosition(this.runtime.draw_width/2,this.runtime.draw_height/2,this.listenerZ),H.listener.setOrientation(0,0,1,0,-1,0),window.c2OnAudioMicStream=function(a,b){ca&&ca.disconnect();ia=b.toLowerCase();ca=H.createMediaStreamSource(a);ca.connect(c(ia))});this.runtime.addSuspendCallback(function(a){W.onSuspend(a)});var a=this;this.runtime.addDestroyCallback(function(b){a.onInstanceDestroyed(b)})};ba.onInstanceDestroyed=function(a){var b,
c,d;b=0;for(c=O.length;b<c;b++)d=O[b],d.objectTracker&&d.objectTracker.obj===a&&(d.objectTracker.obj=null,d.pannerEnabled&&d.isPlaying()&&d.looping&&d.stop());this.listenerTracker.obj===a&&(this.listenerTracker.obj=null)};ba.saveToJSON=function(){var a={silent:V,masterVolume:Y,listenerZ:this.listenerZ,listenerUid:this.listenerTracker.hasObject()?this.listenerTracker.obj.uid:-1,playing:[],effects:{}},b=a.playing,c,d,e,g,f,k;c=0;for(d=O.length;c<d;c++)e=O[c],!e.isPlaying()||3===this.saveload||e.is_music&&
1===this.saveload||!e.is_music&&2===this.saveload||(g=e.getPlaybackTime(),e.looping&&(g%=e.getDuration()),g={tag:e.tag,buffersrc:e.buffer.src,is_music:e.is_music,playbackTime:g,volume:e.volume,looping:e.looping,muted:e.is_muted,playbackRate:e.playbackRate,paused:e.is_paused,resume_position:e.resume_position},e.pannerEnabled&&(g.pan={},k=g.pan,e.objectTracker&&e.objectTracker.hasObject()?k.objUid=e.objectTracker.obj.uid:(k.x=e.panX,k.y=e.panY,k.a=e.panAngle),k.ia=e.panConeInner,k.oa=e.panConeOuter,
k.og=e.panConeOuterGain),b.push(g));b=a.effects;for(f in R)if(R.hasOwnProperty(f)){e=[];c=0;for(d=R[f].length;c<d;c++)e.push({type:R[f][c].type,params:R[f][c].params});b[f]=e}return a};var ga=[];ba.loadFromJSON=function(a){var b=a.silent;Y=a.masterVolume;this.listenerZ=a.listenerZ;this.listenerTracker.setObject(null);var c=a.listenerUid;-1!==c&&(this.listenerTracker.loadUid=c,ga.push(this.listenerTracker));var c=a.playing,d,e,h,l,m,s,D,z,A,y,B;if(3!==this.saveload)for(d=0,e=O.length;d<e;d++)A=O[d],
A.is_music&&1===this.saveload||(A.is_music||2!==this.saveload)&&A.stop();for(m in R)if(R.hasOwnProperty(m))for(d=0,e=R[m].length;d<e;d++)R[m][d].remove();cr.wipe(R);for(m in a.effects)if(a.effects.hasOwnProperty(m))for(s=a.effects[m],d=0,e=s.length;d<e;d++)switch(h=s[d].type,y=s[d].params,h){case "filter":E(m,new p(y[0],y[1],y[2],y[3],y[4],y[5]));break;case "delay":E(m,new k(y[0],y[1],y[2]));break;case "convolve":h=y[2];A=this.getAudioBuffer(h,!1);A.bufferObject?h=new r(A.bufferObject,y[0],y[1],h):
(h=new r(null,y[0],y[1],h),A.normalizeWhenReady=y[0],A.convolveWhenReady=h);E(m,h);break;case "flanger":E(m,new n(y[0],y[1],y[2],y[3],y[4]));break;case "phaser":E(m,new t(y[0],y[1],y[2],y[3],y[4],y[5]));break;case "gain":E(m,new v(y[0]));break;case "tremolo":E(m,new w(y[0],y[1]));break;case "ringmod":E(m,new q(y[0],y[1]));break;case "distortion":E(m,new u(y[0],y[1],y[2],y[3],y[4]));break;case "compressor":E(m,new x(y[0],y[1],y[2],y[3],y[4]));break;case "analyser":E(m,new f(y[0],y[1]))}d=0;for(e=c.length;d<
e;d++)3===this.saveload||(a=c[d],h=a.buffersrc,l=a.is_music,m=a.tag,s=a.playbackTime,D=a.looping,z=a.volume,B=(y=a.pan)&&y.hasOwnProperty("objUid")?y.objUid:-1,l&&1===this.saveload)||!l&&2===this.saveload||((A=this.getAudioInstance(h,m,l,D,z))?(A.resume_position=a.resume_position,A.setPannerEnabled(!!y),A.play(D,z,s),A.updatePlaybackRate(),A.updateVolume(),A.doSetMuted(A.is_muted||A.is_silent),a.paused&&A.pause(),a.muted&&A.setMuted(!0),A.doSetMuted(A.is_muted||A.is_silent),y&&(-1!==B?(A.objectTracker=
A.objectTracker||new g,A.objectTracker.loadUid=B,ga.push(A.objectTracker)):A.setPan(y.x,y.y,y.a,y.ia,y.oa,y.og))):(A=this.getAudioBuffer(h,l),A.seekWhenReady=s,A.pauseWhenReady=a.paused,y&&(-1!==B?A.panWhenReady.push({objUid:B,ia:y.ia,oa:y.oa,og:y.og,thistag:m}):A.panWhenReady.push({x:y.x,y:y.y,a:y.a,ia:y.ia,oa:y.oa,og:y.og,thistag:m}))));if(b&&!V){d=0;for(e=O.length;d<e;d++)O[d].setSilent(!0);V=!0}else if(!b&&V){d=0;for(e=O.length;d<e;d++)O[d].setSilent(!1);V=!1}};ba.afterLoad=function(){var a,b,
c,d;a=0;for(b=ga.length;a<b;a++)c=ga[a],d=this.runtime.getObjectByUID(c.loadUid),c.setObject(d),c.loadUid=-1,d&&(Z=d.x,aa=d.y);ga.length=0};ba.onSuspend=function(a){var b,c;b=0;for(c=O.length;b<c;b++)O[b].setSuspended(a)};ba.tick=function(){var a=this.runtime.dt,b,c,d;b=0;for(c=O.length;b<c;b++)d=O[b],d.tick(a),d.myapi===K||d.myapi===U||d.fresh||d.stopped||!d.hasEnded()||(d.stopped=!0,P=d.tag,G.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,W)),0!==ha&&d.updatePlaybackRate();var e,g;for(e in R)if(R.hasOwnProperty(e))for(d=
R[e],b=0,c=d.length;b<c;b++)g=d[b],g.tick&&g.tick();L===C&&this.listenerTracker.hasObject()&&(this.listenerTracker.tick(a),Z=this.listenerTracker.obj.x,aa=this.listenerTracker.obj.y,H.listener.setPosition(this.listenerTracker.obj.x,this.listenerTracker.obj.y,this.listenerZ),H.listener.setVelocity(this.listenerTracker.getVelocityX(),this.listenerTracker.getVelocityY(),0))};ba.getAudioBuffer=function(a,b){var c,d,e,g=null;c=0;for(d=da.length;c<d;c++)if(e=da[c],e.src===a){g=e;break}g||(g=new D(a,b),
da.push(g));return g};ba.getAudioInstance=function(a,b,c,d,e){var g,f,k;g=0;for(f=O.length;g<f;g++)if(k=O[g],k.src===a&&(k.canBeRecycled()||c))return k.tag=b,k;a=this.getAudioBuffer(a,c);if(!a.bufferObject)return"<preload>"!==b&&(a.playTagWhenReady=b,a.loopWhenReady=d,a.volumeWhenReady=e),null;k=new z(a,b);O.push(k);return k};var S=[];F.prototype.OnEnded=function(a){return cr.equals_nocase(P,a)};F.prototype.PreloadsComplete=function(){var a,b;a=0;for(b=da.length;a<b;a++)if(!da[a].isLoaded())return!1;
return!0};F.prototype.AdvancedAudioSupported=function(){return L===C};F.prototype.IsSilent=function(){return V};F.prototype.IsAnyPlaying=function(){var a,b;a=0;for(b=O.length;a<b;a++)if(O[a].isPlaying())return!0;return!1};F.prototype.IsTagPlaying=function(a){A(a);var b;a=0;for(b=S.length;a<b;a++)if(S[a].isPlaying())return!0;return!1};I.cnds=new F;B.prototype.Play=function(b,c,d,e){!V&&(d=a(d),T=this.getAudioInstance(this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a"),e,b[1],0!==c,d))&&(T.setPannerEnabled(!1),
T.play(0!==c,d))};B.prototype.PlayAtPosition=function(b,c,d,e,g,f,k,h,l,r){if(!V){d=a(d);var n=b[1];b=this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a");(T=this.getAudioInstance(b,r,n,0!==c,d))?(T.setPannerEnabled(!0),T.setPan(e,g,f,k,h,a(l)),T.play(0!==c,d)):this.getAudioBuffer(b,n).panWhenReady.push({x:e,y:g,a:f,ia:k,oa:h,og:a(l),thistag:r})}};B.prototype.PlayAtObject=function(b,c,d,e,g,f,k,h){if(!V&&e&&(e=e.getFirstPicked())){d=a(d);var l=b[1];b=this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a");
(T=this.getAudioInstance(b,h,l,0!==c,d))?(T.setPannerEnabled(!0),h=cr.rotatePtAround(e.x,e.y,-e.layer.getAngle(),Z,aa,!0),b=cr.rotatePtAround(e.x,e.y,-e.layer.getAngle(),Z,aa,!1),T.setPan(h,b,cr.to_degrees(e.angle-e.layer.getAngle()),g,f,a(k)),T.setObject(e),T.play(0!==c,d)):this.getAudioBuffer(b,l).panWhenReady.push({obj:e,ia:g,oa:f,og:a(k),thistag:h})}};B.prototype.PlayByName=function(b,c,d,e,g){!V&&(e=a(e),b=1===b,c=this.runtime.files_subfolder+c.toLowerCase()+(X?".ogg":".m4a"),T=this.getAudioInstance(c,
g,b,0!==d,e))&&(T.setPannerEnabled(!1),T.play(0!==d,e))};B.prototype.PlayAtPositionByName=function(b,c,d,e,g,f,k,h,l,r,n){V||(e=a(e),b=1===b,c=this.runtime.files_subfolder+c.toLowerCase()+(X?".ogg":".m4a"),(T=this.getAudioInstance(c,n,b,0!==d,e))?(T.setPannerEnabled(!0),T.setPan(g,f,k,h,l,a(r)),T.play(0!==d,e)):this.getAudioBuffer(c,b).panWhenReady.push({x:g,y:f,a:k,ia:h,oa:l,og:a(r),thistag:n}))};B.prototype.PlayAtObjectByName=function(b,c,d,e,g,f,k,h,l){!V&&g&&(g=g.getFirstPicked())&&(e=a(e),b=
1===b,c=this.runtime.files_subfolder+c.toLowerCase()+(X?".ogg":".m4a"),(T=this.getAudioInstance(c,l,b,0!==d,e))?(T.setPannerEnabled(!0),l=cr.rotatePtAround(g.x,g.y,-g.layer.getAngle(),Z,aa,!0),c=cr.rotatePtAround(g.x,g.y,-g.layer.getAngle(),Z,aa,!1),T.setPan(l,c,cr.to_degrees(g.angle-g.layer.getAngle()),f,k,a(h)),T.setObject(g),T.play(0!==d,e)):this.getAudioBuffer(c,b).panWhenReady.push({obj:g,ia:f,oa:k,og:a(h),thistag:l}))};B.prototype.SetLooping=function(a,b){A(a);var c,d;c=0;for(d=S.length;c<d;c++)S[c].setLooping(0===
b)};B.prototype.SetMuted=function(a,b){A(a);var c,d;c=0;for(d=S.length;c<d;c++)S[c].setMuted(0===b)};B.prototype.SetVolume=function(b,c){A(b);var d=a(c),e,g;e=0;for(g=S.length;e<g;e++)S[e].setVolume(d)};B.prototype.Preload=function(a){if(!V){var b=a[1];a=this.runtime.files_subfolder+a[0]+(X?".ogg":".m4a");L===U?this.runtime.isDirectCanvas?AppMobi.context.loadSound(a):AppMobi.player.loadSound(a):L!==N&&this.getAudioInstance(a,"<preload>",b,!1)}};B.prototype.PreloadByName=function(a,b){if(!V){var c=
1===a,d=this.runtime.files_subfolder+b.toLowerCase()+(X?".ogg":".m4a");L===U?this.runtime.isDirectCanvas?AppMobi.context.loadSound(d):AppMobi.player.loadSound(d):L!==N&&this.getAudioInstance(d,"<preload>",c,!1)}};B.prototype.SetPlaybackRate=function(a,b){A(a);0>b&&(b=0);var c,d;c=0;for(d=S.length;c<d;c++)S[c].setPlaybackRate(b)};B.prototype.Stop=function(a){A(a);var b;a=0;for(b=S.length;a<b;a++)S[a].stop()};B.prototype.StopAll=function(){var a,b;a=0;for(b=O.length;a<b;a++)O[a].stop()};B.prototype.SetPaused=
function(a,b){A(a);var c,d;c=0;for(d=S.length;c<d;c++)0===b?S[c].pause():S[c].resume()};B.prototype.Seek=function(a,b){A(a);var c,d;c=0;for(d=S.length;c<d;c++)S[c].seek(b)};B.prototype.SetSilent=function(a){var b;2===a&&(a=V?1:0);if(0===a&&!V){a=0;for(b=O.length;a<b;a++)O[a].setSilent(!0);V=!0}else if(1===a&&V){a=0;for(b=O.length;a<b;a++)O[a].setSilent(!1);V=!1}};B.prototype.SetMasterVolume=function(b){Y=a(b);var c;b=0;for(c=O.length;b<c;b++)O[b].updateVolume()};B.prototype.AddFilterEffect=function(a,
b,c,d,e,g,f){L!==C||0>b||b>=la.length||!H.createBiquadFilter||(a=a.toLowerCase(),f/=100,0>f&&(f=0),1<f&&(f=1),E(a,new p(b,c,d,e,g,f)))};B.prototype.AddDelayEffect=function(b,c,d,e){L===C&&(b=b.toLowerCase(),e/=100,0>e&&(e=0),1<e&&(e=1),E(b,new k(c,a(d),e)))};B.prototype.AddFlangerEffect=function(a,b,c,d,e,g){L===C&&H.createOscillator&&(a=a.toLowerCase(),g/=100,0>g&&(g=0),1<g&&(g=1),E(a,new n(b/1E3,c/1E3,d,e/100,g)))};B.prototype.AddPhaserEffect=function(a,b,c,d,e,g,f){L===C&&H.createOscillator&&(a=
a.toLowerCase(),f/=100,0>f&&(f=0),1<f&&(f=1),E(a,new t(b,c,d,e,g,f)))};B.prototype.AddConvolutionEffect=function(a,b,c,d){if(L===C&&H.createConvolver){c=0===c;var e=this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a");b=this.getAudioBuffer(e,!1);a=a.toLowerCase();d/=100;0>d&&(d=0);1<d&&(d=1);b.bufferObject?d=new r(b.bufferObject,c,d,e):(d=new r(null,c,d,e),b.normalizeWhenReady=c,b.convolveWhenReady=d);E(a,d)}};B.prototype.AddGainEffect=function(b,c){L===C&&(b=b.toLowerCase(),E(b,new v(a(c))))};B.prototype.AddMuteEffect=
function(a){L===C&&(a=a.toLowerCase(),E(a,new v(0)))};B.prototype.AddTremoloEffect=function(a,b,c){L===C&&H.createOscillator&&(a=a.toLowerCase(),c/=100,0>c&&(c=0),1<c&&(c=1),E(a,new w(b,c)))};B.prototype.AddRingModEffect=function(a,b,c){L===C&&H.createOscillator&&(a=a.toLowerCase(),c/=100,0>c&&(c=0),1<c&&(c=1),E(a,new q(b,c)))};B.prototype.AddDistortionEffect=function(a,b,c,d,e,g){L===C&&H.createWaveShaper&&(a=a.toLowerCase(),g/=100,0>g&&(g=0),1<g&&(g=1),E(a,new u(b,c,d,e,g)))};B.prototype.AddCompressorEffect=
function(a,b,c,d,e,g){L===C&&H.createDynamicsCompressor&&(a=a.toLowerCase(),E(a,new x(b,c,d,e/1E3,g/1E3)))};B.prototype.AddAnalyserEffect=function(a,b,c){L===C&&(a=a.toLowerCase(),E(a,new f(b,c)))};B.prototype.RemoveEffects=function(a){if(L===C){a=a.toLowerCase();var b,c,d;if(R.hasOwnProperty(a)&&(d=R[a],d.length)){b=0;for(c=d.length;b<c;b++)d[b].remove();d.length=0;y(a)}}};B.prototype.SetEffectParameter=function(a,b,c,d,e,g){L===C&&(a=a.toLowerCase(),b=Math.floor(b),R.hasOwnProperty(a)&&(a=R[a],
0>b||b>=a.length||a[b].setParam(c,d,e,g)))};B.prototype.SetListenerObject=function(a){a&&L===C&&(a=a.getFirstPicked())&&(this.listenerTracker.setObject(a),Z=a.x,aa=a.y)};B.prototype.SetListenerZ=function(a){this.listenerZ=a};I.acts=new B;M.prototype.Duration=function(a,b){A(b);S.length?a.set_float(S[0].getDuration()):a.set_float(0)};M.prototype.PlaybackTime=function(a,b){A(b);S.length?a.set_float(S[0].getPlaybackTime()):a.set_float(0)};M.prototype.Volume=function(a,c){A(c);if(S.length){var d=S[0].getVolume();
a.set_float(b(d))}else a.set_float(0)};M.prototype.MasterVolume=function(a){a.set_float(Y)};M.prototype.EffectCount=function(a,b){b=b.toLowerCase();var c=null;R.hasOwnProperty(b)&&(c=R[b]);a.set_int(c?c.length:0)};M.prototype.AnalyserFreqBinCount=function(a,b,c){b=b.toLowerCase();c=Math.floor(c);b=J(b,c);a.set_int(b?b.node.frequencyBinCount:0)};M.prototype.AnalyserFreqBinAt=function(a,b,c,d){b=b.toLowerCase();c=Math.floor(c);d=Math.floor(d);(b=J(b,c))?0>d||d>=b.node.frequencyBinCount?a.set_float(0):
a.set_float(b.freqBins[d]):a.set_float(0)};M.prototype.AnalyserPeakLevel=function(a,b,c){b=b.toLowerCase();c=Math.floor(c);(b=J(b,c))?a.set_float(b.peak):a.set_float(0)};M.prototype.AnalyserRMSLevel=function(a,b,c){b=b.toLowerCase();c=Math.floor(c);(b=J(b,c))?a.set_float(b.rms):a.set_float(0)};I.exps=new M})();cr.plugins_.CJSAds=function(a){this.runtime=a};
(function(){function a(){}function b(){}function c(){}var d="",e=[],h=0,l=0,s=!1,m=!1,p=!1,k=cr.plugins_.CJSAds.prototype;k.Type=function(a){this.plugin=a;this.runtime=a.runtime};k.Type.prototype.onCreate=function(){};k.Instance=function(a){this.type=a;this.runtime=a.runtime};k.Instance.prototype.onCreate=function(){this.isShowingFullscreen=this.isShowingBanner=!1;this.triggerProduct="";this.socialService=null;this.socialServiceAvailable=!1;this.storeServiceAvailable=this.runtime.isCocoonJs&&"undefined"!==
typeof CocoonJS.Store.nativeExtensionObjectAvailable;this.storeManaged=1!==this.properties[0];this.storeSandboxed=0!==this.properties[1];this.onConsumePurchaseCompleted=this.onConsumePurchaseFailedTransactionId="";var a=this;this.runtime.isCocoonJs&&(CocoonJS.App.onTextDialogFinished.addEventListener(function(b){d=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardOK,a)}),CocoonJS.App.onTextDialogCancelled.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardCancelled,
a)}),CocoonJS.Ad.onBannerShown.addEventListener(function(){a.isShowingBanner=!0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnBannerShown,a)}),CocoonJS.Ad.onBannerReady.addEventListener(function(){m=!0;s||(CocoonJS.Ad.setBannerLayout(l),CocoonJS.Ad.showBanner())}),CocoonJS.Ad.onFullScreenShown.addEventListener(function(){a.isShowingFullscreen=!0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenShown,a)}),CocoonJS.Ad.onFullScreenHidden.addEventListener(function(){a.isShowingFullscreen=
!1;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenHidden,a)}),CocoonJS.Ad.onFullScreenReady.addEventListener(function(){p=!0;preloadFullScreen||CocoonJS.Ad.showFullScreen()}),this.storeServiceAvailable&&(CocoonJS.Store.onProductPurchaseCompleted.addEventListener(function(b){a.triggerProduct=b.productId;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,a);CocoonJS.Store.addPurchase(b);CocoonJS.Store.consumePurchase(b.transactionId,b.productId);CocoonJS.Store.finishPurchase(b.transactionId)}),
CocoonJS.Store.onConsumePurchaseFailed.addEventListener(function(b,c){this.onConsumePurchaseFailedTransactionId=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseFailed,a)}),CocoonJS.Store.onConsumePurchaseCompleted.addEventListener(function(b){this.onConsumePurchaseCompleted=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseCompleted,a)}),CocoonJS.Store.onProductPurchaseFailed.addEventListener(function(b,c){a.triggerProduct=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,
a)}),CocoonJS.Store.onProductPurchaseStarted.addEventListener(function(b){a.triggerProduct=b.productId;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseStart,a)}),CocoonJS.Store.onProductsFetchStarted.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchStarted,a)}),CocoonJS.Store.onProductsFetchFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchFailed,a)}),CocoonJS.Store.onProductsFetchCompleted.addEventListener(function(b){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchCompleted,
a)}),CocoonJS.Store.requestInitialization({managed:this.storeManaged,sandbox:this.storeSandboxed}),CocoonJS.Store.start()),this.socialService=CocoonJS.SocialGaming.GameCenter,this.socialServiceAvailable=!!this.socialService.nativeExtensionObjectAvailable,this.socialService.onRequestLoginSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLoginSuccess,a)}),this.socialService.onRequestLoginFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLoginFail,
a)}),this.socialService.onLogout.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLogout,a)}),this.socialService.onRequestUserScoreSucceed.addEventListener(function(b){h=b.score||0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreReceived,a)}),this.socialService.onRequestUserScoreFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreUnavailable,a)}),this.socialService.onSubmitUserScoreSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreSubmitSuccess,
a)}),this.socialService.onSubmitUserScoreFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreSubmitFail,a)}),this.socialService.onLeaderboardViewSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLeaderboardOpen,a)}),this.socialService.onLeaderboardViewClosed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLeaderboardClose,a)}))};a.prototype.IsShowingBanner=function(){return this.isShowingBanner};
a.prototype.IsCocoonJS=function(){return this.runtime.isCocoonJs};a.prototype.OnBannerShown=function(){return!0};a.prototype.OnFullscreenShown=function(){return!0};a.prototype.OnFullscreenHidden=function(){return!0};a.prototype.IsShowingFullscreen=function(){return this.isShowingFullscreen};a.prototype.IsStoreAvailable=function(){return this.runtime.isCocoonJs?this.storeServiceAvailable&&CocoonJS.Store.canPurchase():!1};a.prototype.OnPurchaseStart=function(a){return this.triggerProduct===a};a.prototype.OnPurchaseComplete=
function(a){return this.triggerProduct===a};a.prototype.OnPurchaseFail=function(a){return this.triggerProduct===a};a.prototype.onProductsFetchStarted=function(){return!0};a.prototype.onConsumePurchaseFailed=function(){return!0};a.prototype.onProductsFetchCompleted=function(){return!0};a.prototype.onProductsFetchFailed=function(){return!0};a.prototype.IsProductPurchased=function(a){return this.runtime.isCocoonJs?CocoonJS.Store.isProductPurchased(a):!1};a.prototype.OnKeyboardCancelled=function(){return!0};
a.prototype.OnKeyboardOK=function(){return!0};a.prototype.IsGCAvailable=function(){return this.socialServiceAvailable};a.prototype.IsGCLoggedIn=function(){return this.socialServiceAvailable?this.socialService.isLoggedIn():!1};a.prototype.OnGCLoginSuccess=function(){return!0};a.prototype.OnGCLoginFail=function(){return!0};a.prototype.OnGCLogout=function(){return!0};a.prototype.OnGCScoreReceived=function(){return!0};a.prototype.OnGCScoreUnavailable=function(){return!0};a.prototype.OnGCScoreSubmitSuccess=
function(){return!0};a.prototype.OnGCScoreSubmitFail=function(){return!0};a.prototype.OnGCLeaderboardOpen=function(){return!0};a.prototype.OnGCLeaderboardClose=function(){return!0};k.cnds=new a;b.prototype.ShowBanner=function(a){this.runtime.isCocoonJs&&(l=0===a?CocoonJS.Ad.BannerLayout.TOP_CENTER:CocoonJS.Ad.BannerLayout.BOTTOM_CENTER,s=!1,m?(CocoonJS.Ad.setBannerLayout(l),CocoonJS.Ad.showBanner()):CocoonJS.Ad.preloadBanner())};b.prototype.ShowFullscreen=function(){this.runtime.isCocoonJs&&(p?CocoonJS.Ad.showFullScreen():
CocoonJS.Ad.preloadFullScreen())};b.prototype.HideBanner=function(){this.runtime.isCocoonJs&&(CocoonJS.Ad.hideBanner(),this.isShowingBanner=!1)};b.prototype.PreloadBanner=function(){this.runtime.isCocoonJs&&(s=!0,CocoonJS.Ad.preloadBanner())};b.prototype.PreloadFullscreen=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.preloadFullScreen()};b.prototype.RefreshBanner=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.refreshBanner()};b.prototype.RefreshFullscreen=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.refreshFullScreen()};
b.prototype.Purchase=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.purchaseProduct(a)};b.prototype.fetchProductsFromStore=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.fetchProductsFromStore(a.split(","))};b.prototype.restorePurchases=function(){if(this.runtime.isCocoonJs)return CocoonJS.Store.restorePurchases()};b.prototype.PurchasePreview=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.purchaseProductModalWithPreview(a)};b.prototype.RestorePurchases=function(){this.runtime.isCocoonJs&&
CocoonJS.Store.restorePurchases()};b.prototype.PromptKeyboard=function(a,b,c,d,e,k){this.runtime.isCocoonJs&&CocoonJS.App.showTextDialog(a,b,c,["text","num","phone","email","url"][d],e,k)};b.prototype.UpdateProductsList=function(){this.runtime.isCocoonJs&&CocoonJS.Store.canPurchase()&&(e=CocoonJS.Store.getProducts())};b.prototype.GCLogin=function(){this.socialServiceAvailable&&!this.socialService.isLoggedIn()&&this.socialService.requestLogin()};b.prototype.GCLogout=function(){this.socialServiceAvailable&&
this.socialService.isLoggedIn()&&this.socialService.requestLogout()};b.prototype.GCSubmitScore=function(a,b){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.submitUserScore(a,b)};b.prototype.GCRequestScore=function(a){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.requestUserScore(a)};b.prototype.GCOpenLeaderboard=function(a){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.showLeaderboardView(a)};k.acts=
new b;c.prototype.InputText=function(a){a.set_string(d)};c.prototype.ProductCount=function(a){a.set_int(e.length)};c.prototype.ProductDescription=function(a,b){b=Math.floor(b);0>b||b>=e.length?a.set_string(""):a.set_string(e[b].description)};c.prototype.ProductLocalizedPrice=function(a,b){b=Math.floor(b);0>b||b>=e.length?a.set_string(""):a.set_string(e[b].localizedPrice)};c.prototype.ProductPrice=function(a,b){b=Math.floor(b);0>b||b>=e.length?a.set_string(""):a.set_string(e[b].price)};c.prototype.ProductAlias=
function(a,b){b=Math.floor(b);0>b||b>=e.length?a.set_string(""):a.set_string(e[b].productAlias)};c.prototype.ProductID=function(a,b){b=Math.floor(b);0>b||b>=e.length?a.set_string(""):a.set_string(e[b].productId)};c.prototype.ProductTitle=function(a,b){b=Math.floor(b);0>b||b>=e.length?a.set_string(""):a.set_string(e[b].title)};c.prototype.GameCenterScore=function(a){a.set_float(h)};k.exps=new c})();cr.plugins_.Facebook=function(a){this.runtime=a};
(function(){function a(){m||(m=!0,t.trigger(cr.plugins_.Facebook.prototype.cnds.OnLogIn,v),FB.api("/me",function(a){k=a.name;r=a.first_name;n=a.last_name;t.trigger(cr.plugins_.Facebook.prototype.cnds.OnNameAvailable,v)}))}function b(){}function c(){}function d(){}var e=cr.plugins_.Facebook.prototype;e.Type=function(a){this.plugin=a;this.runtime=a.runtime};var h="",l="",s=!1,m=!1,p="",k="",r="",n="",t=null,v=null,w=0,q="",u=0,x=0,f=!1,g=!1,D="";e.Type.prototype.onCreate=function(){};e.Instance=function(a){this.type=
a;this.runtime=a.runtime};var z=e.Instance.prototype;z.onCreate=function(){this.runtime.isDomFree?cr.logexport("[Construct 2] Facebook plugin not supported on this platform - the object will not be created"):(h=this.properties[0],l=this.properties[1],t=this.runtime,v=this,window.fbAsyncInit=function(){var b=location.pathname;"/"!==b.substr(b.length-1)&&(b=b.substr(0,b.lastIndexOf("/")+1));FB.init({appId:h,channelURL:"//"+location.hostname+b+"channel.html",status:!0,cookie:!0,oauth:!0,xfbml:!1});s=
!0;FB.Event.subscribe("auth.login",function(b){p=b.authResponse.userID;a()});FB.Event.subscribe("auth.logout",function(a){m&&(m=!1,n=r=k="",t.trigger(cr.plugins_.Facebook.prototype.cnds.OnLogOut,v))});FB.getLoginStatus(function(b){b.authResponse&&(p=b.authResponse.userID,a())});t.trigger(cr.plugins_.Facebook.prototype.cnds.OnReady,v)},h.length&&function(a){var b;a.getElementById("facebook-jssdk")||(b=a.createElement("script"),b.id="facebook-jssdk",b.async=!0,b.src="//connect.facebook.net/en_US/all.js",
a.getElementsByTagName("head")[0].appendChild(b))}(document))};z.onLayoutChange=function(){this.runtime.isDomFree||(m&&t.trigger(cr.plugins_.Facebook.prototype.cnds.OnLogIn,v),k.length&&t.trigger(cr.plugins_.Facebook.prototype.cnds.OnNameAvailable,v))};b.prototype.IsReady=function(){return s};b.prototype.OnReady=function(){return!0};b.prototype.IsLoggedIn=function(){return m};b.prototype.OnLogIn=function(){return!0};b.prototype.OnLogOut=function(){return!0};b.prototype.OnNameAvailable=function(){return!0};
b.prototype.OnUserTopScoreAvailable=function(){return!0};b.prototype.OnHiscore=function(){return!0};b.prototype.OnScoreSubmitted=function(){return!0};e.cnds=new b;c.prototype.LogIn=function(b,c){if(!this.runtime.isDomFree&&s){f=1===b;g=1===c;var d=[];f&&d.push("publish_stream");g&&d.push("publish_actions");D=d.join();FB.login(function(b){b.authResponse&&a()},{scope:D})}};c.prototype.LogOut=function(){this.runtime.isDomFree||m&&FB.logout(function(a){})};c.prototype.PromptWallPost=function(){!this.runtime.isDomFree&&
m&&FB.ui({method:"feed"},function(a){a&&!a.error||console.error(a)})};c.prototype.PromptToShareApp=function(a,b,c,d){!this.runtime.isDomFree&&m&&FB.ui({method:"feed",link:"http://apps.facebook.com/"+h+"/",picture:d,name:a,caption:b,description:c},function(a){a&&!a.error||console.error(a)})};c.prototype.PromptToShareLink=function(a,b,c,d,e){!this.runtime.isDomFree&&m&&FB.ui({method:"feed",link:a,picture:e,name:b,caption:c,description:d},function(a){a&&!a.error||console.error(a)})};c.prototype.PublishToWall=
function(a){!this.runtime.isDomFree&&m&&FB.api("/me/feed","POST",{method:"stream.publish",message:a},function(a){a&&!a.error||console.error(a)})};c.prototype.PublishLink=function(a,b,c,d,e,g){!this.runtime.isDomFree&&m&&(a={method:"stream.publish",message:a,link:b,name:c,caption:d,description:e},g.length&&(a.picture=g),FB.api("/me/feed","POST",a,function(a){a&&!a.error||console.error(a)}))};c.prototype.PublishScore=function(a){!this.runtime.isDomFree&&m&&FB.api("/"+p+"/scores","POST",{score:Math.floor(a),
access_token:h+"|"+l},function(a){t.trigger(cr.plugins_.Facebook.prototype.cnds.OnScoreSubmitted,v);a&&!a.error||console.error(a)})};c.prototype.RequestUserHiscore=function(){!this.runtime.isDomFree&&m&&FB.api("/me/scores","GET",{},function(a){w=0;var b=a.data;if(b){var c,d;c=0;for(d=b.length;c<d;c++)b[c].score>w&&(w=b[c].score);t.trigger(cr.plugins_.Facebook.prototype.cnds.OnUserTopScoreAvailable,v);a&&!a.error||console.error(a)}else console.error("Request for user hi-score failed: "+a)})};c.prototype.RequestHiscores=
function(a){!this.runtime.isDomFree&&m&&FB.api("/"+h+"/scores","GET",{},function(b){var c=b.data;if(c){c.sort(function(a,b){return b.score-a.score});for(var d=0,e=Math.min(c.length,a);d<e;d++)w=c[d].score,q=c[d].user.name,u=c[d].user.id,x=d+1,t.trigger(cr.plugins_.Facebook.prototype.cnds.OnHiscore,v);b&&!b.error||console.error(b)}else console.error("Hi-scores request failed: "+b)})};e.acts=new c;d.prototype.FullName=function(a){a.set_string(k)};d.prototype.FirstName=function(a){a.set_string(r)};d.prototype.LastName=
function(a){a.set_string(n)};d.prototype.Score=function(a){a.set_int(w)};d.prototype.HiscoreName=function(a){a.set_string(q)};d.prototype.HiscoreUserID=function(a){a.set_int(u)};d.prototype.HiscoreRank=function(a){a.set_int(x)};d.prototype.UserID=function(a){a.set_float(parseFloat(p))};e.exps=new d})();cr.plugins_.Sprite=function(a){this.runtime=a};
(function(){function a(){if(0===this.datauri.length){var a=document.createElement("canvas");a.width=this.width;a.height=this.height;var b=a.getContext("2d");this.spritesheeted?b.drawImage(this.texture_img,this.offx,this.offy,this.width,this.height,0,0,this.width,this.height):b.drawImage(this.texture_img,0,0,this.width,this.height);this.datauri=a.toDataURL("image/png")}return this.datauri}function b(){}function c(a){a[0]=0;a[1]=0;a[2]=0;v.push(a)}function d(a,b){return a<b?""+a+","+b:""+b+","+a}function e(a,
b,c,e){b=b.uid;c=c.uid;var f=d(b,c);if(a.hasOwnProperty(f))a[f][2]=e;else{var k;k=v.length?v.pop():[0,0,0];k[0]=b;k[1]=c;k[2]=e;a[f]=k}}function h(a,b,e){b=d(b.uid,e.uid);a.hasOwnProperty(b)&&(c(a[b]),delete a[b])}function l(a,b,c){b=d(b.uid,c.uid);if(a.hasOwnProperty(b))return w=a[b][2],!0;w=-2;return!1}function s(a,b,c){if(!a)return!1;var d=0!==b||0!==c,e,k,h=!1,l,t=this.runtime.getCurrentCondition(),n=t.type,t=t.inverted,p=a.getCurrentSol();l=this.runtime.getCurrentEventStack().current_event.orblock;
p.select_all?(this.update_bbox(),this.runtime.getCollisionCandidates(this.layer,a,this.bbox,q),p=q):p=l?p.else_instances:p.instances;u=a;f=n!==a&&!t;d&&(e=this.x,k=this.y,this.x+=b,this.y+=c,this.set_bbox_changed());b=0;for(c=p.length;b<c;b++)if(l=p[b],this.runtime.testOverlap(this,l)){h=!0;if(t)break;n!==a&&x.add(l)}d&&(this.x=e,this.y=k,this.set_bbox_changed());q.length=0;return h}function m(){}function p(){}var k=cr.plugins_.Sprite.prototype;k.Type=function(a){this.plugin=a;this.runtime=a.runtime};
var r=k.Type.prototype;r.onCreate=function(){if(!this.is_family){var b,c,d,e,f,k,h,l,t;this.all_frames=[];this.has_loaded_textures=!1;b=0;for(c=this.animations.length;b<c;b++){f=this.animations[b];h={};h.name=f[0];h.speed=f[1];h.loop=f[2];h.repeatcount=f[3];h.repeatto=f[4];h.pingpong=f[5];h.sid=f[6];h.frames=[];d=0;for(e=f[7].length;d<e;d++)k=f[7][d],l={},l.texture_file=k[0],l.texture_filesize=k[1],l.offx=k[2],l.offy=k[3],l.width=k[4],l.height=k[5],l.duration=k[6],l.hotspotX=k[7],l.hotspotY=k[8],
l.image_points=k[9],l.poly_pts=k[10],l.pixelformat=k[11],l.spritesheeted=0!==l.width,l.datauri="",l.getDataUri=a,t={left:0,top:0,right:1,bottom:1},l.sheetTex=t,l.webGL_texture=null,(t=this.runtime.findWaitingTexture(k[0]))?l.texture_img=t:(l.texture_img=new Image,l.texture_img.idtkLoadDisposed=!0,l.texture_img.src=k[0],l.texture_img.cr_src=k[0],l.texture_img.cr_filesize=k[1],l.texture_img.c2webGL_texture=null,this.runtime.waitForImageLoad(l.texture_img)),cr.seal(l),h.frames.push(l),this.all_frames.push(l);
cr.seal(h);this.animations[b]=h}}};r.updateAllCurrentTexture=function(){var a,b,c;a=0;for(b=this.instances.length;a<b;a++)c=this.instances[a],c.curWebGLTexture=c.curFrame.webGL_texture};r.onLostWebGLContext=function(){if(!this.is_family){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],c.texture_img.c2webGL_texture=null,c.webGL_texture=null}};r.onRestoreWebGLContext=function(){if(!this.is_family&&this.instances.length){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],
c.webGL_texture=this.runtime.glwrap.loadTexture(c.texture_img,!1,this.runtime.linearSampling,c.pixelformat);this.updateAllCurrentTexture()}};r.loadTextures=function(){if(!this.is_family&&!this.has_loaded_textures&&this.runtime.glwrap){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],c.webGL_texture=this.runtime.glwrap.loadTexture(c.texture_img,!1,this.runtime.linearSampling,c.pixelformat);this.has_loaded_textures=!0}};r.unloadTextures=function(){if(!this.is_family&&!this.instances.length&&
this.has_loaded_textures){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],this.runtime.glwrap.deleteTexture(c.webGL_texture),c.webGL_texture=null;this.has_loaded_textures=!1}};var n=[];r.preloadCanvas2D=function(a){var b,c,d;b=n.length=0;for(c=this.all_frames.length;b<c;++b)d=this.all_frames[b].texture_img,-1===n.indexOf(d)&&(a.drawImage(d,0,0),n.push(d))};k.Instance=function(a){this.type=a;this.runtime=a.runtime;a=this.type.animations[0].frames[0].poly_pts;this.recycled?this.collision_poly.set_pts(a):
this.collision_poly=new cr.CollisionPoly(a)};var t=k.Instance.prototype;t.onCreate=function(){this.visible=0===this.properties[0];this.inAnimTrigger=this.isTicking=!1;this.collisionsEnabled=0!==this.properties[3];1===this.type.animations.length&&1===this.type.animations[0].frames.length||0===this.type.animations[0].speed||(this.runtime.tickMe(this),this.isTicking=!0);this.cur_animation=this.getAnimationByName(this.properties[1])||this.type.animations[0];this.cur_frame=this.properties[2];0>this.cur_frame&&
(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);var a=this.cur_animation.frames[this.cur_frame];this.collision_poly.set_pts(a.poly_pts);this.hotspotX=a.hotspotX;this.hotspotY=a.hotspotY;this.cur_anim_speed=this.cur_animation.speed;this.recycled?this.animTimer.reset():this.animTimer=new cr.KahanAdder;this.frameStart=this.getNowTime();this.animPlaying=!0;this.animRepeats=0;this.animForwards=!0;this.changeAnimName=this.animTriggerName=
"";this.changeAnimFrom=0;this.changeAnimFrame=-1;this.type.loadTextures();var b,c,d,e,f,k,h,a=0;for(b=this.type.animations.length;a<b;a++)for(e=this.type.animations[a],c=0,d=e.frames.length;c<d;c++)f=e.frames[c],0===f.width&&(f.width=f.texture_img.width,f.height=f.texture_img.height),f.spritesheeted&&(h=f.texture_img,k=f.sheetTex,k.left=f.offx/h.width,k.top=f.offy/h.height,k.right=(f.offx+f.width)/h.width,k.bottom=(f.offy+f.height)/h.height,0===f.offx&&0===f.offy&&f.width===h.width&&f.height===h.height&&
(f.spritesheeted=!1));this.curFrame=this.cur_animation.frames[this.cur_frame];this.curWebGLTexture=this.curFrame.webGL_texture};t.saveToJSON=function(){var a={a:this.cur_animation.sid,f:this.cur_frame,cas:this.cur_anim_speed,fs:this.frameStart,ar:this.animRepeats,at:this.animTimer.sum};this.animPlaying||(a.ap=this.animPlaying);this.animForwards||(a.af=this.animForwards);return a};t.loadFromJSON=function(a){var b=this.getAnimationBySid(a.a);b&&(this.cur_animation=b);this.cur_frame=a.f;0>this.cur_frame&&
(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);this.cur_anim_speed=a.cas;this.frameStart=a.fs;this.animRepeats=a.ar;this.animTimer.reset();this.animTimer.sum=a.at;this.animPlaying=a.hasOwnProperty("ap")?a.ap:!0;this.animForwards=a.hasOwnProperty("af")?a.af:!0;this.curFrame=this.cur_animation.frames[this.cur_frame];this.curWebGLTexture=this.curFrame.webGL_texture;this.collision_poly.set_pts(this.curFrame.poly_pts);this.hotspotX=
this.curFrame.hotspotX;this.hotspotY=this.curFrame.hotspotY};t.animationFinish=function(a){this.cur_frame=a?0:this.cur_animation.frames.length-1;this.animPlaying=!1;this.animTriggerName=this.cur_animation.name;this.inAnimTrigger=!0;this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished,this);this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,this);this.inAnimTrigger=!1;this.animRepeats=0};t.getNowTime=function(){return this.animTimer.sum};t.tick=function(){this.animTimer.add(this.runtime.getDt(this));
this.changeAnimName.length&&this.doChangeAnim();0<=this.changeAnimFrame&&this.doChangeAnimFrame();var a=this.getNowTime(),b=this.cur_animation,c=b.frames[this.cur_frame],d=c.duration/this.cur_anim_speed;this.animPlaying&&a>=this.frameStart+d&&(this.animForwards?this.cur_frame++:this.cur_frame--,this.frameStart+=d,this.cur_frame>=b.frames.length&&(b.pingpong?(this.animForwards=!1,this.cur_frame=b.frames.length-2):b.loop?this.cur_frame=b.repeatto:(this.animRepeats++,this.animRepeats>=b.repeatcount?
this.animationFinish(!1):this.cur_frame=b.repeatto)),0>this.cur_frame&&(b.pingpong?(this.cur_frame=1,this.animForwards=!0,b.loop||(this.animRepeats++,this.animRepeats>=b.repeatcount&&this.animationFinish(!0))):b.loop?this.cur_frame=b.repeatto:(this.animRepeats++,this.animRepeats>=b.repeatcount?this.animationFinish(!0):this.cur_frame=b.repeatto)),0>this.cur_frame?this.cur_frame=0:this.cur_frame>=b.frames.length&&(this.cur_frame=b.frames.length-1),a>this.frameStart+b.frames[this.cur_frame].duration/
this.cur_anim_speed&&(this.frameStart=a),a=b.frames[this.cur_frame],this.OnFrameChanged(c,a),this.runtime.redraw=!0)};t.getAnimationByName=function(a){var b,c,d;b=0;for(c=this.type.animations.length;b<c;b++)if(d=this.type.animations[b],cr.equals_nocase(d.name,a))return d;return null};t.getAnimationBySid=function(a){var b,c,d;b=0;for(c=this.type.animations.length;b<c;b++)if(d=this.type.animations[b],d.sid===a)return d;return null};t.doChangeAnim=function(){var a=this.cur_animation.frames[this.cur_frame],
b=this.getAnimationByName(this.changeAnimName);this.changeAnimName="";!b||cr.equals_nocase(b.name,this.cur_animation.name)&&this.animPlaying||(this.cur_animation=b,this.cur_anim_speed=b.speed,0>this.cur_frame&&(this.cur_frame=0),this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1),1===this.changeAnimFrom&&(this.cur_frame=0),this.animPlaying=!0,this.frameStart=this.getNowTime(),this.animForwards=!0,this.OnFrameChanged(a,this.cur_animation.frames[this.cur_frame]),
this.runtime.redraw=!0)};t.doChangeAnimFrame=function(){var a=this.cur_animation.frames[this.cur_frame],b=this.cur_frame;this.cur_frame=cr.floor(this.changeAnimFrame);0>this.cur_frame&&(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);b!==this.cur_frame&&(this.OnFrameChanged(a,this.cur_animation.frames[this.cur_frame]),this.frameStart=this.getNowTime(),this.runtime.redraw=!0);this.changeAnimFrame=-1};t.OnFrameChanged=function(a,
b){var c=a.width,d=a.height,e=b.width,f=b.height;c!=e&&(this.width*=e/c);d!=f&&(this.height*=f/d);this.hotspotX=b.hotspotX;this.hotspotY=b.hotspotY;this.collision_poly.set_pts(b.poly_pts);this.set_bbox_changed();this.curFrame=b;this.curWebGLTexture=b.webGL_texture;c=0;for(d=this.behavior_insts.length;c<d;c++)if(e=this.behavior_insts[c],e.onSpriteFrameChanged)e.onSpriteFrameChanged(a,b);this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnFrameChanged,this)};t.draw=function(a){a.globalAlpha=this.opacity;
var b=this.curFrame,c=b.spritesheeted,d=b.texture_img,e=this.x,f=this.y,k=this.width,h=this.height;if(0===this.angle&&0<=k&&0<=h)e-=this.hotspotX*k,f-=this.hotspotY*h,this.runtime.pixel_rounding&&(e=e+0.5|0,f=f+0.5|0),c?a.drawImage(d,b.offx,b.offy,b.width,b.height,e,f,k,h):a.drawImage(d,e,f,k,h);else{this.runtime.pixel_rounding&&(e=e+0.5|0,f=f+0.5|0);a.save();var l=0<k?1:-1,t=0<h?1:-1;a.translate(e,f);1===l&&1===t||a.scale(l,t);a.rotate(this.angle*l*t);e=0-this.hotspotX*cr.abs(k);f=0-this.hotspotY*
cr.abs(h);c?a.drawImage(d,b.offx,b.offy,b.width,b.height,e,f,cr.abs(k),cr.abs(h)):a.drawImage(d,e,f,cr.abs(k),cr.abs(h));a.restore()}};t.drawGL=function(a){a.setTexture(this.curWebGLTexture);a.setOpacity(this.opacity);var b=this.curFrame,c=this.bquad;if(this.runtime.pixel_rounding){var d=(this.x+0.5|0)-this.x,e=(this.y+0.5|0)-this.y;b.spritesheeted?a.quadTex(c.tlx+d,c.tly+e,c.trx+d,c.try_+e,c.brx+d,c.bry+e,c.blx+d,c.bly+e,b.sheetTex):a.quad(c.tlx+d,c.tly+e,c.trx+d,c.try_+e,c.brx+d,c.bry+e,c.blx+d,
c.bly+e)}else b.spritesheeted?a.quadTex(c.tlx,c.tly,c.trx,c.try_,c.brx,c.bry,c.blx,c.bly,b.sheetTex):a.quad(c.tlx,c.tly,c.trx,c.try_,c.brx,c.bry,c.blx,c.bly)};t.getImagePointIndexByName=function(a){var b=this.curFrame,c,d;c=0;for(d=b.image_points.length;c<d;c++)if(cr.equals_nocase(a,b.image_points[c][0]))return c;return-1};t.getImagePoint=function(a,b){var c=this.curFrame,d=c.image_points,e;e=cr.is_string(a)?this.getImagePointIndexByName(a):a-1;e=cr.floor(e);if(0>e||e>=d.length)return b?this.x:this.y;
var f=(d[e][1]-c.hotspotX)*this.width,d=d[e][2],d=(d-c.hotspotY)*this.height,c=Math.cos(this.angle);e=Math.sin(this.angle);var k=f*c-d*e,d=d*c+f*e,f=k+this.x,d=d+this.y;return b?f:d};var v=[],w=-2,q=[];b.prototype.OnCollision=function(a){if(!a)return!1;var b=this.runtime,d=b.getCurrentCondition(),f=d.type;d.extra.collmemory||(d.extra.collmemory={},b.addDestroyCallback(function(a){return function(b){b=b.uid;var d,e;for(d in a)a.hasOwnProperty(d)&&(e=a[d],e[0]===b||e[1]===b)&&(c(a[d]),delete a[d])}}(d.extra.collmemory)));
var d=d.extra.collmemory,k=f.getCurrentSol(),t=a.getCurrentSol(),k=k.getObjects(),p,n,r,m,s,v,u,x=this.runtime.tickcount,Q=x-1,K=b.getCurrentEventStack().current_event;for(n=0;n<k.length;n++){r=k[n];t.select_all?(r.update_bbox(),this.runtime.getCollisionCandidates(r.layer,a,r.bbox,q),p=q):p=t.getObjects();for(m=0;m<p.length;m++)s=p[m],b.testOverlap(r,s)||b.checkRegisteredCollision(r,s)?(v=l(d,r,s),v=!v||w<Q,e(d,r,s,x),v&&(b.pushCopySol(K.solModifiers),v=f.getCurrentSol(),u=a.getCurrentSol(),v.select_all=
!1,u.select_all=!1,f===a?(v.instances.length=2,v.instances[0]=r,v.instances[1]=s,f.applySolToContainer()):(v.instances.length=1,u.instances.length=1,v.instances[0]=r,u.instances[0]=s,f.applySolToContainer(),a.applySolToContainer()),K.retrigger(),b.popSol(K.solModifiers))):h(d,r,s);q.length=0}return!1};var u=null,x=new cr.ObjectSet,f=!1;r.finish=function(a){if(f){if(a){var b=this.runtime.getCurrentEventStack().current_event.orblock;a=u.getCurrentSol();var c=x.valuesRef(),d,e;if(a.select_all){a.select_all=
!1;a.instances.length=c.length;d=0;for(e=c.length;d<e;d++)a.instances[d]=c[d];if(b)for(d=a.else_instances.length=0,e=u.instances.length;d<e;d++)c=u.instances[d],x.contains(c)||a.else_instances.push(c)}else if(b)for(b=a.instances.length,a.instances.length=b+c.length,d=0,e=c.length;d<e;d++)a.instances[b+d]=c[d],cr.arrayFindRemove(a.else_instances,c[d]);else cr.shallowAssignArray(a.instances,c);u.applySolToContainer()}x.clear();f=!1}};b.prototype.IsOverlapping=function(a){return s.call(this,a,0,0)};
b.prototype.IsOverlappingOffset=function(a,b,c){return s.call(this,a,b,c)};b.prototype.IsAnimPlaying=function(a){return this.changeAnimName.length?cr.equals_nocase(this.changeAnimName,a):cr.equals_nocase(this.cur_animation.name,a)};b.prototype.CompareFrame=function(a,b){return cr.do_cmp(this.cur_frame,a,b)};b.prototype.CompareAnimSpeed=function(a,b){return cr.do_cmp(this.animForwards?this.cur_anim_speed:-this.cur_anim_speed,a,b)};b.prototype.OnAnimFinished=function(a){return cr.equals_nocase(this.animTriggerName,
a)};b.prototype.OnAnyAnimFinished=function(){return!0};b.prototype.OnFrameChanged=function(){return!0};b.prototype.IsMirrored=function(){return 0>this.width};b.prototype.IsFlipped=function(){return 0>this.height};b.prototype.OnURLLoaded=function(){return!0};b.prototype.IsCollisionEnabled=function(){return this.collisionsEnabled};k.cnds=new b;m.prototype.Spawn=function(a,b,c){if(a&&b&&(b=this.runtime.createInstance(a,b,this.getImagePoint(c,!0),this.getImagePoint(c,!1)))){"undefined"!==typeof b.angle&&
(b.angle=this.angle,b.set_bbox_changed());this.runtime.isInOnDestroy++;var d,e,f;this.runtime.trigger(Object.getPrototypeOf(a.plugin).cnds.OnCreated,b);if(b.is_contained)for(d=0,e=b.siblings.length;d<e;d++)f=b.siblings[d],this.runtime.trigger(Object.getPrototypeOf(f.type.plugin).cnds.OnCreated,f);this.runtime.isInOnDestroy--;d=this.runtime.getCurrentAction();c=!1;if(cr.is_undefined(d.extra.Spawn_LastExec)||d.extra.Spawn_LastExec<this.runtime.execcount)c=!0,d.extra.Spawn_LastExec=this.runtime.execcount;
if(a!=this.type&&(a=a.getCurrentSol(),a.select_all=!1,c?(a.instances.length=1,a.instances[0]=b):a.instances.push(b),b.is_contained))for(d=0,e=b.siblings.length;d<e;d++)f=b.siblings[d],a=f.type.getCurrentSol(),a.select_all=!1,c?(a.instances.length=1,a.instances[0]=f):a.instances.push(f)}};m.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};m.prototype.StopAnim=function(){this.animPlaying=!1};m.prototype.StartAnim=
function(a){this.animPlaying=!0;this.frameStart=this.getNowTime();1===a&&0!==this.cur_frame&&(this.changeAnimFrame=0,this.inAnimTrigger||this.doChangeAnimFrame());this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0)};m.prototype.SetAnim=function(a,b){this.changeAnimName=a;this.changeAnimFrom=b;this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0);this.inAnimTrigger||this.doChangeAnim()};m.prototype.SetAnimFrame=function(a){this.changeAnimFrame=a;this.isTicking||(this.runtime.tickMe(this),
this.isTicking=!0);this.inAnimTrigger||this.doChangeAnimFrame()};m.prototype.SetAnimSpeed=function(a){this.cur_anim_speed=cr.abs(a);this.animForwards=0<=a;this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0)};m.prototype.SetMirrored=function(a){a=cr.abs(this.width)*(0===a?-1:1);this.width!==a&&(this.width=a,this.set_bbox_changed())};m.prototype.SetFlipped=function(a){a=cr.abs(this.height)*(0===a?-1:1);this.height!==a&&(this.height=a,this.set_bbox_changed())};m.prototype.SetScale=function(a){var b=
this.curFrame,c=b.width*a*(0>this.width?-1:1);a=b.height*a*(0>this.height?-1:1);if(this.width!==c||this.height!==a)this.width=c,this.height=a,this.set_bbox_changed()};m.prototype.LoadURL=function(a,b){var c=new Image,d=this,e=this.curFrame;c.onload=function(){e.texture_img.src===c.src?d.runtime.glwrap&&d.curFrame===e&&(d.curWebGLTexture=e.webGL_texture):(e.texture_img=c,e.offx=0,e.offy=0,e.width=c.width,e.height=c.height,e.spritesheeted=!1,e.datauri="",d.runtime.glwrap&&(e.webGL_texture&&d.runtime.glwrap.deleteTexture(e.webGL_texture),
e.webGL_texture=d.runtime.glwrap.loadTexture(c,!1,d.runtime.linearSampling),d.curFrame===e&&(d.curWebGLTexture=e.webGL_texture),d.type.updateAllCurrentTexture()),0===b&&(d.width=c.width,d.height=c.height,d.set_bbox_changed()));d.runtime.redraw=!0;d.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnURLLoaded,d)};"data:"!==a.substr(0,5)&&(c.crossOrigin="anonymous");c.src=a};m.prototype.SetCollisions=function(a){this.collisionsEnabled!==(0!==a)&&((this.collisionsEnabled=0!==a)?this.set_bbox_changed():
(this.collcells.right>=this.collcells.left&&this.type.collision_grid.update(this,this.collcells,null),this.collcells.set(0,0,-1,-1)))};k.acts=new m;p.prototype.AnimationFrame=function(a){a.set_int(this.cur_frame)};p.prototype.AnimationFrameCount=function(a){a.set_int(this.cur_animation.frames.length)};p.prototype.AnimationName=function(a){a.set_string(this.cur_animation.name)};p.prototype.AnimationSpeed=function(a){a.set_float(this.animForwards?this.cur_anim_speed:-this.cur_anim_speed)};p.prototype.ImagePointX=
function(a,b){a.set_float(this.getImagePoint(b,!0))};p.prototype.ImagePointY=function(a,b){a.set_float(this.getImagePoint(b,!1))};p.prototype.ImagePointCount=function(a){a.set_int(this.curFrame.image_points.length)};p.prototype.ImageWidth=function(a){a.set_float(this.curFrame.width)};p.prototype.ImageHeight=function(a){a.set_float(this.curFrame.height)};k.exps=new p})();cr.plugins_.Text=function(a){this.runtime=a};
(function(){function a(){return p.length?p.pop():{}}function b(a){var b,c;b=0;for(c=a.length;b<c;b++)p.push(a[b]);a.length=0}function c(){}function d(){}function e(){}var h=cr.plugins_.Text.prototype;h.onCreate=function(){h.acts.SetWidth=function(a){this.width!==a&&(this.width=a,this.text_changed=!0,this.set_bbox_changed())}};h.Type=function(a){this.plugin=a;this.runtime=a.runtime};var l=h.Type.prototype;l.onCreate=function(){};l.onLostWebGLContext=function(){if(!this.is_family){var a,b,c;a=0;for(b=
this.instances.length;a<b;a++)c=this.instances[a],c.mycanvas=null,c.myctx=null,c.mytex=null}};h.Instance=function(a){this.type=a;this.runtime=a.runtime;this.recycled?this.lines.length=0:this.lines=[];this.text_changed=!0};var l=h.Instance.prototype,s={};l.onCreate=function(){this.text=this.properties[0];this.visible=0===this.properties[1];this.font=this.properties[2];this.color=this.properties[3];this.halign=this.properties[4];this.valign=this.properties[5];this.wrapbyword=0===this.properties[7];
this.lastwrapwidth=this.lastwidth=this.width;this.lastheight=this.height;this.line_height_offset=this.properties[8];this.fontstyle=this.facename="";this.textHeight=this.textWidth=this.ptSize=0;this.parseFont();this.mytex=this.myctx=this.mycanvas=null;this.need_text_redraw=!1;this.last_render_tick=this.runtime.tickcount;this.recycled?this.rcTex.set(0,0,1,1):this.rcTex=new cr.rect(0,0,1,1);this.runtime.glwrap&&this.runtime.tickMe(this)};l.parseFont=function(){var a=this.font.split(" "),b;for(b=0;b<
a.length;b++)if("pt"===a[b].substr(a[b].length-2,2)){this.ptSize=parseInt(a[b].substr(0,a[b].length-2));this.pxHeight=Math.ceil(96*(this.ptSize/72))+4;0<b&&(this.fontstyle=a[b-1]);this.facename=a[b+1];for(b+=2;b<a.length;b++)this.facename+=" "+a[b];break}};l.saveToJSON=function(){return{t:this.text,f:this.font,c:this.color,ha:this.halign,va:this.valign,wr:this.wrapbyword,lho:this.line_height_offset,fn:this.facename,fs:this.fontstyle,ps:this.ptSize,pxh:this.pxHeight,tw:this.textWidth,th:this.textHeight,
lrt:this.last_render_tick}};l.loadFromJSON=function(a){this.text=a.t;this.font=a.f;this.color=a.c;this.halign=a.ha;this.valign=a.va;this.wrapbyword=a.wr;this.line_height_offset=a.lho;this.facename=a.fn;this.fontstyle=a.fs;this.ptSize=a.ps;this.pxHeight=a.pxh;this.textWidth=a.tw;this.textHeight=a.th;this.last_render_tick=a.lrt;this.text_changed=!0;this.lastwrapwidth=this.lastwidth=this.width;this.lastheight=this.height};l.tick=function(){if(this.runtime.glwrap&&this.mytex&&300<=this.runtime.tickcount-
this.last_render_tick){var a=this.layer;this.update_bbox();var b=this.bbox;if(b.right<a.viewLeft||b.bottom<a.viewTop||b.left>a.viewRight||b.top>a.viewBottom)this.runtime.glwrap.deleteTexture(this.mytex),this.mycanvas=this.myctx=this.mytex=null}};l.onDestroy=function(){this.mycanvas=this.myctx=null;this.runtime.glwrap&&this.mytex&&this.runtime.glwrap.deleteTexture(this.mytex);this.mytex=null};l.updateFont=function(){this.font=this.fontstyle+" "+this.ptSize.toString()+"pt "+this.facename;this.text_changed=
!0;this.runtime.redraw=!0};l.draw=function(a,b){a.font=this.font;a.textBaseline="top";a.fillStyle=this.color;a.globalAlpha=b?1:this.opacity;var c=1;b&&(c=this.layer.getScale(),a.save(),a.scale(c,c));if(this.text_changed||this.width!==this.lastwrapwidth)this.type.plugin.WordWrap(this.text,this.lines,a,this.width,this.wrapbyword),this.text_changed=!1,this.lastwrapwidth=this.width;this.update_bbox();var c=b?0:this.bquad.tlx,d=b?0:this.bquad.tly;this.runtime.pixel_rounding&&(c=c+0.5|0,d=d+0.5|0);0===
this.angle||b||(a.save(),a.translate(c,d),a.rotate(this.angle),d=c=0);var e=d+this.height,h=this.pxHeight,h=h+this.line_height_offset,l,p;1===this.valign?d+=Math.max(this.height/2-this.lines.length*h/2,0):2===this.valign&&(d+=Math.max(this.height-this.lines.length*h-2,0));for(p=0;p<this.lines.length&&!(l=c,1===this.halign?l=c+(this.width-this.lines[p].width)/2:2===this.halign&&(l=c+(this.width-this.lines[p].width)),a.fillText(this.lines[p].text,l,d),d+=h,d>=e-h);p++);(0!==this.angle||b)&&a.restore();
this.last_render_tick=this.runtime.tickcount};l.drawGL=function(a){if(!(1>this.width||1>this.height)){var b=this.text_changed||this.need_text_redraw;this.need_text_redraw=!1;var c=this.layer.getScale(),d=this.layer.getAngle(),e=this.rcTex,h=c*this.width,l=c*this.height,p=Math.ceil(h),m=Math.ceil(l),f=this.runtime.draw_width/2,g=this.runtime.draw_height/2;this.myctx||(this.mycanvas=document.createElement("canvas"),this.mycanvas.width=p,this.mycanvas.height=m,this.lastwidth=p,this.lastheight=m,b=!0,
this.myctx=this.mycanvas.getContext("2d"));if(p!==this.lastwidth||m!==this.lastheight)this.mycanvas.width=p,this.mycanvas.height=m,this.mytex&&(a.deleteTexture(this.mytex),this.mytex=null),b=!0;b&&(this.myctx.clearRect(0,0,p,m),this.draw(this.myctx,!0),this.mytex||(this.mytex=a.createEmptyTexture(p,m,this.runtime.linearSampling,this.runtime.isMobile)),a.videoToTexture(this.mycanvas,this.mytex,this.runtime.isMobile));this.lastwidth=p;this.lastheight=m;a.setTexture(this.mytex);a.setOpacity(this.opacity);
a.resetModelView();a.translate(-f,-g);a.updateModelView();var s=this.bquad,z=this.runtime.devicePixelRatio;this.runtime.devicePixelRatio=1;var b=this.layer.layerToCanvas(s.tlx,s.tly,!0,!0),f=this.layer.layerToCanvas(s.tlx,s.tly,!1,!0),g=this.layer.layerToCanvas(s.trx,s.try_,!0,!0),A=this.layer.layerToCanvas(s.trx,s.try_,!1,!0),y=this.layer.layerToCanvas(s.brx,s.bry,!0,!0),E=this.layer.layerToCanvas(s.brx,s.bry,!1,!0),F=this.layer.layerToCanvas(s.blx,s.bly,!0,!0),s=this.layer.layerToCanvas(s.blx,s.bly,
!1,!0);this.runtime.devicePixelRatio=z;if(this.runtime.pixel_rounding||0===this.angle&&0===d)var z=(b+0.5|0)-b,B=(f+0.5|0)-f,b=b+z,f=f+B,g=g+z,A=A+B,y=y+z,E=E+B,F=F+z,s=s+B;0===this.angle&&0===d?(g=b+p,A=f,y=g,E=f+m,F=b,s=E,e.right=1,e.bottom=1):(e.right=h/p,e.bottom=l/m);a.quadTex(b,f,g,A,y,E,F,s,e);a.resetModelView();a.scale(c,c);a.rotateZ(-this.layer.getAngle());a.translate((this.layer.viewLeft+this.layer.viewRight)/-2,(this.layer.viewTop+this.layer.viewBottom)/-2);a.updateModelView();this.last_render_tick=
this.runtime.tickcount}};var m=[];h.TokeniseWords=function(a){m.length=0;for(var b="",c,d=0;d<a.length;)if(c=a.charAt(d),"\n"===c)b.length&&(m.push(b),b=""),m.push("\n"),++d;else if(" "===c||"\t"===c||"-"===c){do b+=a.charAt(d),d++;while(d<a.length&&(" "===a.charAt(d)||"\t"===a.charAt(d)));m.push(b);b=""}else d<a.length&&(b+=c,d++);b.length&&m.push(b)};var p=[];h.WordWrap=function(c,d,e,h,l){if(c&&c.length)if(2>=h)b(d);else{if(100>=c.length&&-1===c.indexOf("\n")){var p=e.measureText(c).width;if(p<=
h){b(d);d.push(a());d[0].text=c;d[0].width=p;return}}this.WrapText(c,d,e,h,l)}else b(d)};h.WrapText=function(b,c,d,e,h){h&&(this.TokeniseWords(b),b=m);var l="",q,s,x,f=0;for(x=0;x<b.length;x++)"\n"===b[x]?(f>=c.length&&c.push(a()),s=c[f],s.text=l,s.width=d.measureText(l).width,f++,l=""):(q=l,l+=b[x],s=d.measureText(l).width,s>=e&&(f>=c.length&&c.push(a()),s=c[f],s.text=q,s.width=d.measureText(q).width,f++,l=b[x],h||" "!==l||(l="")));l.length&&(f>=c.length&&c.push(a()),s=c[f],s.text=l,s.width=d.measureText(l).width,
f++);for(x=f;x<c.length;x++)p.push(c[x]);c.length=f};c.prototype.CompareText=function(a,b){return b?this.text==a:cr.equals_nocase(this.text,a)};h.cnds=new c;d.prototype.SetText=function(a){cr.is_number(a)&&1E9>a&&(a=Math.round(1E10*a)/1E10);a=a.toString();this.text!==a&&(this.text=a,this.text_changed=!0,this.runtime.redraw=!0)};d.prototype.AppendText=function(a){cr.is_number(a)&&(a=Math.round(1E10*a)/1E10);if(a=a.toString())this.text+=a,this.text_changed=!0,this.runtime.redraw=!0};d.prototype.SetFontFace=
function(a,b){var c="";switch(b){case 1:c="bold";break;case 2:c="italic";break;case 3:c="bold italic"}if(a!==this.facename||c!==this.fontstyle)this.facename=a,this.fontstyle=c,this.updateFont()};d.prototype.SetFontSize=function(a){this.ptSize!==a&&(this.ptSize=a,this.pxHeight=Math.ceil(96*(this.ptSize/72))+4,this.updateFont())};d.prototype.SetFontColor=function(a){a="rgb("+cr.GetRValue(a).toString()+","+cr.GetGValue(a).toString()+","+cr.GetBValue(a).toString()+")";a!==this.color&&(this.color=a,this.need_text_redraw=
!0,this.runtime.redraw=!0)};d.prototype.SetWebFont=function(a,b){if(this.runtime.isDomFree)cr.logexport("[Construct 2] Text plugin: 'Set web font' not supported on this platform - the action has been ignored");else{var c=this,d=function(){c.runtime.redraw=!0;c.text_changed=!0};if(s.hasOwnProperty(b)){var e="'"+a+"'";if(this.facename!==e)for(this.facename=e,this.updateFont(),e=1;10>e;e++)setTimeout(d,100*e),setTimeout(d,1E3*e)}else for(e=document.createElement("link"),e.href=b,e.rel="stylesheet",e.type=
"text/css",e.onload=d,document.getElementsByTagName("head")[0].appendChild(e),s[b]=!0,this.facename="'"+a+"'",this.updateFont(),e=1;10>e;e++)setTimeout(d,100*e),setTimeout(d,1E3*e)}};d.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};h.acts=new d;e.prototype.Text=function(a){a.set_string(this.text)};e.prototype.FaceName=function(a){a.set_string(this.facename)};e.prototype.FaceSize=function(a){a.set_int(this.ptSize)};
e.prototype.TextWidth=function(a){var b=0,c,d,e;c=0;for(d=this.lines.length;c<d;c++)e=this.lines[c].width,b<e&&(b=e);a.set_int(b)};e.prototype.TextHeight=function(a){a.set_int(this.lines.length*(this.pxHeight+this.line_height_offset)-this.line_height_offset)};h.exps=new e})();cr.plugins_.TiledBg=function(a){this.runtime=a};
(function(){function a(){}function b(){}function c(){}var d=cr.plugins_.TiledBg.prototype;d.Type=function(a){this.plugin=a;this.runtime=a.runtime};var e=d.Type.prototype;e.onCreate=function(){this.is_family||(this.texture_img=new Image,this.texture_img.idtkLoadDisposed=!0,this.texture_img.src=this.texture_file,this.texture_img.cr_filesize=this.texture_filesize,this.runtime.waitForImageLoad(this.texture_img),this.webGL_texture=this.pattern=null)};e.onLostWebGLContext=function(){this.is_family||(this.webGL_texture=
null)};e.onRestoreWebGLContext=function(){if(!this.is_family&&this.instances.length){this.webGL_texture||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,!0,this.runtime.linearSampling,this.texture_pixelformat));var a,b;a=0;for(b=this.instances.length;a<b;a++)this.instances[a].webGL_texture=this.webGL_texture}};e.loadTextures=function(){this.is_family||this.webGL_texture||!this.runtime.glwrap||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,!0,this.runtime.linearSampling,
this.texture_pixelformat))};e.unloadTextures=function(){this.is_family||this.instances.length||!this.webGL_texture||(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};e.preloadCanvas2D=function(a){a.drawImage(this.texture_img,0,0)};d.Instance=function(a){this.type=a;this.runtime=a.runtime};e=d.Instance.prototype;e.onCreate=function(){this.visible=0===this.properties[0];this.rcTex=new cr.rect(0,0,0,0);this.has_own_texture=!1;this.texture_img=this.type.texture_img;this.runtime.glwrap?
(this.type.loadTextures(),this.webGL_texture=this.type.webGL_texture):(this.type.pattern||(this.type.pattern=this.runtime.ctx.createPattern(this.type.texture_img,"repeat")),this.pattern=this.type.pattern)};e.afterLoad=function(){this.has_own_texture=!1;this.texture_img=this.type.texture_img};e.onDestroy=function(){this.runtime.glwrap&&this.has_own_texture&&this.webGL_texture&&(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};e.draw=function(a){a.globalAlpha=this.opacity;
a.save();a.fillStyle=this.pattern;var b=this.x,c=this.y;this.runtime.pixel_rounding&&(b=b+0.5|0,c=c+0.5|0);var d=-(this.hotspotX*this.width),e=-(this.hotspotY*this.height),k=d%this.texture_img.width,r=e%this.texture_img.height;0>k&&(k+=this.texture_img.width);0>r&&(r+=this.texture_img.height);a.translate(b,c);a.rotate(this.angle);a.translate(k,r);a.fillRect(d-k,e-r,this.width,this.height);a.restore()};e.drawGL=function(a){a.setTexture(this.webGL_texture);a.setOpacity(this.opacity);var b=this.rcTex;
b.right=this.width/this.texture_img.width;b.bottom=this.height/this.texture_img.height;var c=this.bquad;if(this.runtime.pixel_rounding){var d=(this.x+0.5|0)-this.x,e=(this.y+0.5|0)-this.y;a.quadTex(c.tlx+d,c.tly+e,c.trx+d,c.try_+e,c.brx+d,c.bry+e,c.blx+d,c.bly+e,b)}else a.quadTex(c.tlx,c.tly,c.trx,c.try_,c.brx,c.bry,c.blx,c.bly,b)};a.prototype.OnURLLoaded=function(){return!0};d.cnds=new a;b.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);
this.runtime.redraw=!0};b.prototype.LoadURL=function(a){var b=new Image,c=this;b.onload=function(){c.texture_img=b;c.runtime.glwrap?(c.has_own_texture&&c.webGL_texture&&c.runtime.glwrap.deleteTexture(c.webGL_texture),c.webGL_texture=c.runtime.glwrap.loadTexture(b,!0,c.runtime.linearSampling)):c.pattern=c.runtime.ctx.createPattern(b,"repeat");c.has_own_texture=!0;c.runtime.redraw=!0;c.runtime.trigger(cr.plugins_.TiledBg.prototype.cnds.OnURLLoaded,c)};"data:"!==a.substr(0,5)&&(b.crossOrigin="anonymous");
b.src=a};d.acts=new b;c.prototype.ImageWidth=function(a){a.set_float(this.texture_img.width)};c.prototype.ImageHeight=function(a){a.set_float(this.texture_img.height)};d.exps=new c})();cr.plugins_.Touch=function(a){this.runtime=a};
(function(){function a(a){s=a.x;m=a.y;p=a.z}function b(a){k=a.x;r=a.y;n=a.z}function c(){}function d(){}var e=cr.plugins_.Touch.prototype;e.Type=function(a){this.plugin=a;this.runtime=a.runtime};e.Type.prototype.onCreate=function(){};e.Instance=function(a){this.type=a;this.runtime=a.runtime;this.touches=[];this.mouseDown=!1};var h=e.Instance.prototype,l={left:0,top:0};h.findTouch=function(a){var b,c;b=0;for(c=this.touches.length;b<c;b++)if(this.touches[b].id===a)return b;return-1};var s=0,m=0,p=0,
k=0,r=0,n=0;h.onCreate=function(){this.isWindows8=!("undefined"===typeof window.c2isWindows8||!window.c2isWindows8);this.trigger_id=this.trigger_index=this.curTouchY=this.curTouchX=this.acc_z=this.acc_y=this.acc_x=this.acc_g_z=this.acc_g_y=this.acc_g_x=this.orient_gamma=this.orient_beta=this.orient_alpha=0;this.useMouseInput=0!==this.properties[0];var c=0<this.runtime.fullscreen_mode?document:this.runtime.canvas,d=document;this.runtime.isDirectCanvas?d=c=window.Canvas:this.runtime.isCocoonJs&&(d=
c=window);var e=this;window.navigator.pointerEnabled?(c.addEventListener("pointerdown",function(a){e.onPointerStart(a)},!1),c.addEventListener("pointermove",function(a){e.onPointerMove(a)},!1),d.addEventListener("pointerup",function(a){e.onPointerEnd(a)},!1),d.addEventListener("pointercancel",function(a){e.onPointerEnd(a)},!1),this.runtime.canvas&&(this.runtime.canvas.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1),document.addEventListener("MSGestureHold",function(a){a.preventDefault()},
!1),this.runtime.canvas.addEventListener("gesturehold",function(a){a.preventDefault()},!1),document.addEventListener("gesturehold",function(a){a.preventDefault()},!1))):window.navigator.msPointerEnabled?(c.addEventListener("MSPointerDown",function(a){e.onPointerStart(a)},!1),c.addEventListener("MSPointerMove",function(a){e.onPointerMove(a)},!1),d.addEventListener("MSPointerUp",function(a){e.onPointerEnd(a)},!1),d.addEventListener("MSPointerCancel",function(a){e.onPointerEnd(a)},!1),this.runtime.canvas&&
(this.runtime.canvas.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1),document.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1))):(c.addEventListener("touchstart",function(a){e.onTouchStart(a)},!1),c.addEventListener("touchmove",function(a){e.onTouchMove(a)},!1),d.addEventListener("touchend",function(a){e.onTouchEnd(a)},!1),d.addEventListener("touchcancel",function(a){e.onTouchEnd(a)},!1));if(this.isWindows8){var h=function(a){a=a.reading;e.acc_x=a.accelerationX;
e.acc_y=a.accelerationY;e.acc_z=a.accelerationZ},l=function(a){a=a.reading;e.orient_alpha=a.yawDegrees;e.orient_beta=a.pitchDegrees;e.orient_gamma=a.rollDegrees},k=Windows.Devices.Sensors.Accelerometer.getDefault();k&&(k.reportInterval=Math.max(k.minimumReportInterval,16),k.addEventListener("readingchanged",h));var f=Windows.Devices.Sensors.Inclinometer.getDefault();f&&(f.reportInterval=Math.max(f.minimumReportInterval,16),f.addEventListener("readingchanged",l));document.addEventListener("visibilitychange",
function(a){document.hidden||document.msHidden?(k&&k.removeEventListener("readingchanged",h),f&&f.removeEventListener("readingchanged",l)):(k&&k.addEventListener("readingchanged",h),f&&f.addEventListener("readingchanged",l))},!1)}else window.addEventListener("deviceorientation",function(a){e.orient_alpha=a.alpha||0;e.orient_beta=a.beta||0;e.orient_gamma=a.gamma||0},!1),window.addEventListener("devicemotion",function(a){a.accelerationIncludingGravity&&(e.acc_g_x=a.accelerationIncludingGravity.x||0,
e.acc_g_y=a.accelerationIncludingGravity.y||0,e.acc_g_z=a.accelerationIncludingGravity.z||0);a.acceleration&&(e.acc_x=a.acceleration.x||0,e.acc_y=a.acceleration.y||0,e.acc_z=a.acceleration.z||0)},!1);this.useMouseInput&&!this.runtime.isDomFree&&(jQuery(document).mousemove(function(a){e.onMouseMove(a)}),jQuery(document).mousedown(function(a){e.onMouseDown(a)}),jQuery(document).mouseup(function(a){e.onMouseUp(a)}));this.runtime.isAppMobi&&!this.runtime.isDirectCanvas&&AppMobi.accelerometer.watchAcceleration(a,
{frequency:40,adjustForRotation:!0});this.runtime.isPhoneGap&&navigator.accelerometer&&navigator.accelerometer.watchAcceleration&&navigator.accelerometer.watchAcceleration(b,null,{frequency:40});this.runtime.tick2Me(this)};h.onPointerMove=function(a){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType){a.preventDefault&&a.preventDefault();var b=this.findTouch(a.pointerId),c=cr.performance_now();if(0<=b){var d=this.runtime.isDomFree?l:jQuery(this.runtime.canvas).offset(),b=this.touches[b];
2>c-b.time||(b.lasttime=b.time,b.lastx=b.x,b.lasty=b.y,b.time=c,b.x=a.pageX-d.left,b.y=a.pageY-d.top)}}};h.onPointerStart=function(a){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType){a.preventDefault&&a.preventDefault();var b=this.runtime.isDomFree?l:jQuery(this.runtime.canvas).offset(),c=a.pageX-b.left,b=a.pageY-b.top,d=cr.performance_now();this.trigger_index=this.touches.length;this.trigger_id=a.pointerId;this.touches.push({time:d,x:c,y:b,lasttime:d,lastx:c,lasty:b,id:a.pointerId,
startindex:this.trigger_index});this.runtime.isInUserInputEvent=!0;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart,this);this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart,this);this.curTouchX=c;this.curTouchY=b;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject,this);this.runtime.isInUserInputEvent=!1}};h.onPointerEnd=function(a){a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType&&(a.preventDefault&&a.preventDefault(),a=this.findTouch(a.pointerId),
this.trigger_index=0<=a?this.touches[a].startindex:-1,this.trigger_id=0<=a?this.touches[a].id:-1,this.runtime.isInUserInputEvent=!0,this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd,this),this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd,this),this.runtime.isInUserInputEvent=!1,0<=a&&this.touches.splice(a,1))};h.onTouchMove=function(a){a.preventDefault&&a.preventDefault();var b=cr.performance_now(),c,d,e,h;c=0;for(d=a.changedTouches.length;c<d;c++)if(e=a.changedTouches[c],
h=this.findTouch(e.identifier),0<=h){var f=this.runtime.isDomFree?l:jQuery(this.runtime.canvas).offset();h=this.touches[h];2>b-h.time||(h.lasttime=h.time,h.lastx=h.x,h.lasty=h.y,h.time=b,h.x=e.pageX-f.left,h.y=e.pageY-f.top)}};h.onTouchStart=function(a){a.preventDefault&&a.preventDefault();var b=this.runtime.isDomFree?l:jQuery(this.runtime.canvas).offset(),c=cr.performance_now();this.runtime.isInUserInputEvent=!0;var d,e,h,f;d=0;for(e=a.changedTouches.length;d<e;d++)if(h=a.changedTouches[d],f=this.findTouch(h.identifier),
-1===f){f=h.pageX-b.left;var g=h.pageY-b.top;this.trigger_index=this.touches.length;this.trigger_id=h.identifier;this.touches.push({time:c,x:f,y:g,lasttime:c,lastx:f,lasty:g,id:h.identifier,startindex:this.trigger_index});this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart,this);this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart,this);this.curTouchX=f;this.curTouchY=g;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject,this)}this.runtime.isInUserInputEvent=
!1};h.onTouchEnd=function(a){a.preventDefault&&a.preventDefault();this.runtime.isInUserInputEvent=!0;var b,c,d;b=0;for(c=a.changedTouches.length;b<c;b++)d=a.changedTouches[b],d=this.findTouch(d.identifier),0<=d&&(this.trigger_index=this.touches[d].startindex,this.trigger_id=this.touches[d].id,this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd,this),this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd,this),this.touches.splice(d,1));this.runtime.isInUserInputEvent=!1};
h.getAlpha=function(){return this.runtime.isAppMobi&&0===this.orient_alpha&&0!==p?90*p:this.runtime.isPhoneGap&&0===this.orient_alpha&&0!==n?90*n:this.orient_alpha};h.getBeta=function(){return this.runtime.isAppMobi&&0===this.orient_beta&&0!==m?-90*m:this.runtime.isPhoneGap&&0===this.orient_beta&&0!==r?-90*r:this.orient_beta};h.getGamma=function(){return this.runtime.isAppMobi&&0===this.orient_gamma&&0!==s?90*s:this.runtime.isPhoneGap&&0===this.orient_gamma&&0!==k?90*k:this.orient_gamma};h.onMouseDown=
function(a){a.preventDefault&&this.runtime.had_a_click&&!this.runtime.isMobile&&a.preventDefault();this.onTouchStart({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]});this.mouseDown=!0};h.onMouseMove=function(a){if(this.mouseDown)this.onTouchMove({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]})};h.onMouseUp=function(a){a.preventDefault&&this.runtime.had_a_click&&!this.runtime.isMobile&&a.preventDefault();this.runtime.had_a_click=!0;this.onTouchEnd({changedTouches:[{pageX:a.pageX,
pageY:a.pageY,identifier:0}]});this.mouseDown=!1};h.tick2=function(){var a,b,c,d=cr.performance_now();a=0;for(b=this.touches.length;a<b;a++)c=this.touches[a],c.time<=d-50&&(c.lasttime=d)};c.prototype.OnTouchStart=function(){return!0};c.prototype.OnTouchEnd=function(){return!0};c.prototype.IsInTouch=function(){return this.touches.length};c.prototype.OnTouchObject=function(a){return a?this.runtime.testAndSelectCanvasPointOverlap(a,this.curTouchX,this.curTouchY,!1):!1};c.prototype.IsTouchingObject=function(a){if(!a)return!1;
var b=a.getCurrentSol(),c=b.getObjects(),d,e,h=[],f,g,l,k;f=0;for(g=c.length;f<g;f++){var p=c[f];p.update_bbox();l=0;for(k=this.touches.length;l<k;l++)if(e=this.touches[l],d=p.layer.canvasToLayer(e.x,e.y,!0),e=p.layer.canvasToLayer(e.x,e.y,!1),p.contains_pt(d,e)){h.push(p);break}}return h.length?(b.select_all=!1,b.instances=h,a.applySolToContainer(),!0):!1};c.prototype.CompareTouchSpeed=function(a,b,c){a=Math.floor(a);if(0>a||a>=this.touches.length)return!1;var d=this.touches[a];a=cr.distanceTo(d.x,
d.y,d.lastx,d.lasty);var d=(d.time-d.lasttime)/1E3,e=0;0<d&&(e=a/d);return cr.do_cmp(e,b,c)};c.prototype.OrientationSupported=function(){return"undefined"!==typeof window.DeviceOrientationEvent};c.prototype.MotionSupported=function(){return"undefined"!==typeof window.DeviceMotionEvent};c.prototype.CompareOrientation=function(a,b,c){var d=0,d=0===a?this.getAlpha():1===a?this.getBeta():this.getGamma();return cr.do_cmp(d,b,c)};c.prototype.CompareAcceleration=function(a,b,c){var d=0;0===a?d=this.acc_g_x:
1===a?d=this.acc_g_y:2===a?d=this.acc_g_z:3===a?d=this.acc_x:4===a?d=this.acc_y:5===a&&(d=this.acc_z);return cr.do_cmp(d,b,c)};c.prototype.OnNthTouchStart=function(a){a=Math.floor(a);return a===this.trigger_index};c.prototype.OnNthTouchEnd=function(a){a=Math.floor(a);return a===this.trigger_index};c.prototype.HasNthTouch=function(a){a=Math.floor(a);return this.touches.length>=a+1};e.cnds=new c;d.prototype.TouchCount=function(a){a.set_int(this.touches.length)};d.prototype.X=function(a,b){if(this.touches.length){var c,
d,e,h,f;cr.is_undefined(b)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,h=c.parallaxX,f=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxX=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!0)),c.scale=d,c.zoomRate=e,c.parallaxX=h,c.angle=f):(c=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!0)):a.set_float(0)}else a.set_float(0)};
d.prototype.XAt=function(a,b,c){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var d,e,h,f;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,h=c.parallaxX,f=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxX=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!0)),c.scale=d,c.zoomRate=e,c.parallaxX=h,c.angle=f):(c=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?
a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!0)):a.set_float(0)}};d.prototype.XForID=function(a,b,c){b=this.findTouch(b);if(0>b)a.set_float(0);else{b=this.touches[b];var d,e,h,f;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,h=c.parallaxX,f=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxX=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(b.x,b.y,!0)),c.scale=d,c.zoomRate=e,c.parallaxX=h,c.angle=f):(c=
cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(c.canvasToLayer(b.x,b.y,!0)):a.set_float(0)}};d.prototype.Y=function(a,b){if(this.touches.length){var c,d,e,h,f;cr.is_undefined(b)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,h=c.parallaxY,f=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxY=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!1)),c.scale=d,c.zoomRate=
e,c.parallaxY=h,c.angle=f):(c=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!1)):a.set_float(0)}else a.set_float(0)};d.prototype.YAt=function(a,b,c){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var d,e,h,f;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,h=c.parallaxY,f=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxY=1,c.angle=
this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!1)),c.scale=d,c.zoomRate=e,c.parallaxY=h,c.angle=f):(c=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!1)):a.set_float(0)}};d.prototype.YForID=function(a,b,c){b=this.findTouch(b);if(0>b)a.set_float(0);else{b=this.touches[b];var d,e,h,f;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,
h=c.parallaxY,f=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxY=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(b.x,b.y,!1)),c.scale=d,c.zoomRate=e,c.parallaxY=h,c.angle=f):(c=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(c.canvasToLayer(b.x,b.y,!1)):a.set_float(0)}};d.prototype.AbsoluteX=function(a){this.touches.length?a.set_float(this.touches[0].x):a.set_float(0)};d.prototype.AbsoluteXAt=function(a,
b){b=Math.floor(b);0>b||b>=this.touches.length?a.set_float(0):a.set_float(this.touches[b].x)};d.prototype.AbsoluteXForID=function(a,b){var c=this.findTouch(b);0>c?a.set_float(0):a.set_float(this.touches[c].x)};d.prototype.AbsoluteY=function(a){this.touches.length?a.set_float(this.touches[0].y):a.set_float(0)};d.prototype.AbsoluteYAt=function(a,b){b=Math.floor(b);0>b||b>=this.touches.length?a.set_float(0):a.set_float(this.touches[b].y)};d.prototype.AbsoluteYForID=function(a,b){var c=this.findTouch(b);
0>c?a.set_float(0):a.set_float(this.touches[c].y)};d.prototype.SpeedAt=function(a,b){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var c=this.touches[b],d=cr.distanceTo(c.x,c.y,c.lastx,c.lasty),c=(c.time-c.lasttime)/1E3;0===c?a.set_float(0):a.set_float(d/c)}};d.prototype.SpeedForID=function(a,b){var c=this.findTouch(b);if(0>c)a.set_float(0);else{var d=this.touches[c],c=cr.distanceTo(d.x,d.y,d.lastx,d.lasty),d=(d.time-d.lasttime)/1E3;0===d?a.set_float(0):a.set_float(c/d)}};d.prototype.AngleAt=
function(a,b){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var c=this.touches[b];a.set_float(cr.to_degrees(cr.angleTo(c.lastx,c.lasty,c.x,c.y)))}};d.prototype.AngleForID=function(a,b){var c=this.findTouch(b);0>c?a.set_float(0):(c=this.touches[c],a.set_float(cr.to_degrees(cr.angleTo(c.lastx,c.lasty,c.x,c.y))))};d.prototype.Alpha=function(a){a.set_float(this.getAlpha())};d.prototype.Beta=function(a){a.set_float(this.getBeta())};d.prototype.Gamma=function(a){a.set_float(this.getGamma())};
d.prototype.AccelerationXWithG=function(a){a.set_float(this.acc_g_x)};d.prototype.AccelerationYWithG=function(a){a.set_float(this.acc_g_y)};d.prototype.AccelerationZWithG=function(a){a.set_float(this.acc_g_z)};d.prototype.AccelerationX=function(a){a.set_float(this.acc_x)};d.prototype.AccelerationY=function(a){a.set_float(this.acc_y)};d.prototype.AccelerationZ=function(a){a.set_float(this.acc_z)};d.prototype.TouchIndex=function(a){a.set_int(this.trigger_index)};d.prototype.TouchID=function(a){a.set_float(this.trigger_id)};
e.exps=new d})();cr.plugins_.WebStorage=function(a){this.runtime=a};
(function(){function a(){m||(cr.logexport("[Construct 2] Webstorage plugin: session storage is not supported on this platform. Try using local storage or global variables instead."),m=!0)}function b(){}function c(){}function d(){}var e=cr.plugins_.WebStorage.prototype;e.Type=function(a){this.plugin=a;this.runtime=a.runtime};e.Type.prototype.onCreate=function(){};e.Instance=function(a){this.type=a;this.runtime=a.runtime};var h=e.Instance.prototype,l="",s="undefined"!==typeof window.is_scirra_arcade;
s&&(l="arcade"+window.scirra_arcade_id);var m=!1;h.onCreate=function(){};b.prototype.LocalStorageEnabled=function(){return!0};b.prototype.SessionStorageEnabled=function(){return!0};b.prototype.LocalStorageExists=function(a){return null!=localStorage.getItem(l+a)};b.prototype.SessionStorageExists=function(b){return this.runtime.isCocoonJs||!sessionStorage?(a(),!1):null!=sessionStorage.getItem(l+b)};b.prototype.OnQuotaExceeded=function(){return!0};b.prototype.CompareKeyText=function(a,b,c){a=localStorage.getItem(l+
a)||"";return c?a==b:cr.equals_nocase(a,b)};b.prototype.CompareKeyNumber=function(a,b,c){a=localStorage.getItem(l+a)||"";return cr.do_cmp(parseFloat(a),b,c)};e.cnds=new b;c.prototype.StoreLocal=function(a,b){try{localStorage.setItem(l+a,b)}catch(c){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,this)}};c.prototype.StoreSession=function(b,c){if(this.runtime.isCocoonJs||!sessionStorage)a();else try{sessionStorage.setItem(l+b,c)}catch(d){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,
this)}};c.prototype.RemoveLocal=function(a){localStorage.removeItem(l+a)};c.prototype.RemoveSession=function(b){this.runtime.isCocoonJs||!sessionStorage?a():sessionStorage.removeItem(l+b)};c.prototype.ClearLocal=function(){s||localStorage.clear()};c.prototype.ClearSession=function(){this.runtime.isCocoonJs||!sessionStorage?a():s||sessionStorage.clear()};c.prototype.JSONLoad=function(a,b){var c;try{c=JSON.parse(a)}catch(d){return}if(c.c2dictionary){c=c.data;0!==b||s||localStorage.clear();for(var e in c)if(c.hasOwnProperty(e))try{localStorage.setItem(l+
e,c[e])}catch(h){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,this);break}}};e.acts=new c;d.prototype.LocalValue=function(a,b){a.set_string(localStorage.getItem(l+b)||"")};d.prototype.SessionValue=function(b,c){this.runtime.isCocoonJs||!sessionStorage?(a(),b.set_string("")):b.set_string(sessionStorage.getItem(l+c)||"")};d.prototype.LocalCount=function(a){a.set_int(s?0:localStorage.length)};d.prototype.SessionCount=function(b){this.runtime.isCocoonJs||!sessionStorage?
(a(),b.set_int(0)):b.set_int(s?0:sessionStorage.length)};d.prototype.LocalAt=function(a,b){s?a.set_string(""):a.set_string(localStorage.getItem(localStorage.key(b))||"")};d.prototype.SessionAt=function(b,c){this.runtime.isCocoonJs||!sessionStorage?(a(),b.set_string("")):s?b.set_string(""):b.set_string(sessionStorage.getItem(sessionStorage.key(c))||"")};d.prototype.LocalKeyAt=function(a,b){s?a.set_string(""):a.set_string(localStorage.key(b)||"")};d.prototype.SessionKeyAt=function(b,c){this.runtime.isCocoonJs||
!sessionStorage?(a(),b.set_string("")):s?b.set_string(""):b.set_string(sessionStorage.key(c)||"")};d.prototype.AsJSON=function(a){var b={},c,d,e;c=0;for(d=localStorage.length;c<d;c++)e=localStorage.key(c),s?e.substr(0,l.length)===l&&(b[e.substr(l.length)]=localStorage.getItem(e)):b[e]=localStorage.getItem(e);a.set_string(JSON.stringify({c2dictionary:!0,data:b}))};e.exps=new d})();cr.behaviors.Bullet=function(a){this.runtime=a};
(function(){function a(){}function b(){}function c(){}var d=cr.behaviors.Bullet.prototype;d.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};d.Type.prototype.onCreate=function(){};d.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var e=d.Instance.prototype;e.onCreate=function(){var a=this.properties[0];this.acc=this.properties[1];this.g=this.properties[2];this.bounceOffSolid=0!==this.properties[3];this.setAngle=0!==this.properties[4];
this.dx=Math.cos(this.inst.angle)*a;this.dy=Math.sin(this.inst.angle)*a;this.lastx=this.inst.x;this.lasty=this.inst.y;this.lastKnownAngle=this.inst.angle;this.travelled=0;this.enabled=0!==this.properties[5]};e.saveToJSON=function(){return{acc:this.acc,g:this.g,dx:this.dx,dy:this.dy,lx:this.lastx,ly:this.lasty,lka:this.lastKnownAngle,t:this.travelled,e:this.enabled}};e.loadFromJSON=function(a){this.acc=a.acc;this.g=a.g;this.dx=a.dx;this.dy=a.dy;this.lastx=a.lx;this.lasty=a.ly;this.lastKnownAngle=a.lka;
this.travelled=a.t;this.enabled=a.e};e.tick=function(){if(this.enabled){var a=this.runtime.getDt(this.inst),b,c;this.inst.angle!==this.lastKnownAngle&&(this.setAngle&&(b=cr.distanceTo(0,0,this.dx,this.dy),this.dx=Math.cos(this.inst.angle)*b,this.dy=Math.sin(this.inst.angle)*b),this.lastKnownAngle=this.inst.angle);0!==this.acc&&(b=cr.distanceTo(0,0,this.dx,this.dy),c=0===this.dx&&0===this.dy?this.inst.angle:cr.angleTo(0,0,this.dx,this.dy),b+=this.acc*a,0>b&&(b=0),this.dx=Math.cos(c)*b,this.dy=Math.sin(c)*
b);0!==this.g&&(this.dy+=this.g*a);this.lastx=this.inst.x;this.lasty=this.inst.y;if(0!==this.dx||0!==this.dy)if(this.inst.x+=this.dx*a,this.inst.y+=this.dy*a,this.travelled+=cr.distanceTo(0,0,this.dx*a,this.dy*a),this.setAngle&&(this.inst.angle=cr.angleTo(0,0,this.dx,this.dy),this.inst.set_bbox_changed(),this.lastKnownAngle=this.inst.angle),this.inst.set_bbox_changed(),this.bounceOffSolid&&(b=this.runtime.testOverlapSolid(this.inst)))this.runtime.registerCollision(this.inst,b),b=cr.distanceTo(0,0,
this.dx,this.dy),c=this.runtime.calculateSolidBounceAngle(this.inst,this.lastx,this.lasty),this.dx=Math.cos(c)*b,this.dy=Math.sin(c)*b,this.inst.x+=this.dx*a,this.inst.y+=this.dy*a,this.inst.set_bbox_changed(),this.setAngle&&(this.lastKnownAngle=this.inst.angle=c,this.inst.set_bbox_changed()),this.runtime.pushOutSolid(this.inst,this.dx/b,this.dy/b,Math.max(2.5*b*a,30))||this.runtime.pushOutSolidNearest(this.inst,100)}};a.prototype.CompareSpeed=function(a,b){return cr.do_cmp(cr.distanceTo(0,0,this.dx,
this.dy),a,b)};a.prototype.CompareTravelled=function(a,b){return cr.do_cmp(this.travelled,a,b)};d.cnds=new a;b.prototype.SetSpeed=function(a){var b=cr.angleTo(0,0,this.dx,this.dy);this.dx=Math.cos(b)*a;this.dy=Math.sin(b)*a};b.prototype.SetAcceleration=function(a){this.acc=a};b.prototype.SetGravity=function(a){this.g=a};b.prototype.SetAngleOfMotion=function(a){a=cr.to_radians(a);var b=cr.distanceTo(0,0,this.dx,this.dy);this.dx=Math.cos(a)*b;this.dy=Math.sin(a)*b};b.prototype.Bounce=function(a){if(a&&
(a=a.getFirstPicked(this.inst))){var b=this.runtime.getDt(this.inst),c=cr.distanceTo(0,0,this.dx,this.dy),d=this.runtime.calculateSolidBounceAngle(this.inst,this.lastx,this.lasty,a);this.dx=Math.cos(d)*c;this.dy=Math.sin(d)*c;this.inst.x+=this.dx*b;this.inst.y+=this.dy*b;this.inst.set_bbox_changed();this.setAngle&&(this.lastKnownAngle=this.inst.angle=d,this.inst.set_bbox_changed());this.bounceOffSolid?this.runtime.pushOutSolid(this.inst,this.dx/c,this.dy/c,Math.max(2.5*c*b,30))||this.runtime.pushOutSolidNearest(this.inst,
100):this.runtime.pushOut(this.inst,this.dx/c,this.dy/c,Math.max(2.5*c*b,30),a)}};b.prototype.SetEnabled=function(a){this.enabled=1===a};d.acts=new b;c.prototype.Speed=function(a){var b=cr.distanceTo(0,0,this.dx,this.dy),b=cr.round6dp(b);a.set_float(b)};c.prototype.Acceleration=function(a){a.set_float(this.acc)};c.prototype.AngleOfMotion=function(a){a.set_float(cr.to_degrees(cr.angleTo(0,0,this.dx,this.dy)))};c.prototype.DistanceTravelled=function(a){a.set_float(this.travelled)};d.exps=new c})();
cr.behaviors.DragnDrop=function(a){this.runtime=a;var b=this;this.runtime.isDomFree||(jQuery(document).mousemove(function(a){b.onMouseMove(a)}),jQuery(document).mousedown(function(a){b.onMouseDown(a)}),jQuery(document).mouseup(function(a){b.onMouseUp(a)}));a=0<this.runtime.fullscreen_mode?document:this.runtime.canvas;this.runtime.isDirectCanvas?a=window.Canvas:this.runtime.isCocoonJs&&(a=window);window.navigator.pointerEnabled?(a.addEventListener("pointerdown",function(a){b.onPointerStart(a)},!1),
a.addEventListener("pointermove",function(a){b.onPointerMove(a)},!1),a.addEventListener("pointerup",function(a){b.onPointerEnd(a)},!1),a.addEventListener("pointercancel",function(a){b.onPointerEnd(a)},!1)):window.navigator.msPointerEnabled?(a.addEventListener("MSPointerDown",function(a){b.onPointerStart(a)},!1),a.addEventListener("MSPointerMove",function(a){b.onPointerMove(a)},!1),a.addEventListener("MSPointerUp",function(a){b.onPointerEnd(a)},!1),a.addEventListener("MSPointerCancel",function(a){b.onPointerEnd(a)},
!1)):(a.addEventListener("touchstart",function(a){b.onTouchStart(a)},!1),a.addEventListener("touchmove",function(a){b.onTouchMove(a)},!1),a.addEventListener("touchend",function(a){b.onTouchEnd(a)},!1),a.addEventListener("touchcancel",function(a){b.onTouchEnd(a)},!1))};
(function(){function a(a){var b,c;b=0;for(c=a.behavior_insts.length;b<c;b++)if(a.behavior_insts[b]instanceof d.Instance)return a.behavior_insts[b];return null}function b(){}function c(){}var d=cr.behaviors.DragnDrop.prototype,e={left:0,top:0};d.onMouseDown=function(a){if(1===a.which)this.onInputDown("leftmouse",a.pageX,a.pageY)};d.onMouseMove=function(a){if(1===a.which)this.onInputMove("leftmouse",a.pageX,a.pageY)};d.onMouseUp=function(a){if(1===a.which)this.onInputUp("leftmouse")};d.onTouchStart=
function(a){a.preventDefault&&a.preventDefault();var b,c,d,e;b=0;for(c=a.changedTouches.length;b<c;b++)d=a.changedTouches[b],e=d.identifier,this.onInputDown(e?e.toString():"<none>",d.pageX,d.pageY)};d.onTouchMove=function(a){a.preventDefault&&a.preventDefault();var b,c,d,e;b=0;for(c=a.changedTouches.length;b<c;b++)d=a.changedTouches[b],e=d.identifier,this.onInputMove(e?e.toString():"<none>",d.pageX,d.pageY)};d.onTouchEnd=function(a){a.preventDefault&&a.preventDefault();var b,c,d;b=0;for(c=a.changedTouches.length;b<
c;b++)d=a.changedTouches[b],d=d.identifier,this.onInputUp(d?d.toString():"<none>")};d.onPointerStart=function(a){a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType&&(a.preventDefault&&a.preventDefault(),this.onInputDown(a.pointerId.toString(),a.pageX,a.pageY))};d.onPointerMove=function(a){a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType&&(a.preventDefault&&a.preventDefault(),this.onInputMove(a.pointerId.toString(),a.pageX,a.pageY))};d.onPointerEnd=function(a){a.pointerType!==
a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType&&(a.preventDefault&&a.preventDefault(),this.onInputUp(a.pointerId.toString()))};d.onInputDown=function(b,c,d){var h=this.runtime.isDomFree?e:jQuery(this.runtime.canvas).offset();c-=h.left;d-=h.top;var k,r,n,t,h=this.my_instances.valuesRef(),v,w,q,u=null;v=0;for(w=h.length;v<w;v++)if(q=h[v],k=a(q),k.enabled&&!k.dragging&&(k=q.layer.canvasToLayer(c,d,!0),r=q.layer.canvasToLayer(c,d,!1),q.update_bbox(),q.contains_pt(k,r)))u?q.layer.index>u.layer.index?
(u=q,n=k,t=r):q.layer.index===u.layer.index&&q.get_zindex()>u.get_zindex()&&(u=q,n=k,t=r):(u=q,n=k,t=r);if(u)a(u).onDown(b,n,t)};d.onInputMove=function(b,c,d){var h=this.runtime.isDomFree?e:jQuery(this.runtime.canvas).offset();c-=h.left;d-=h.top;var k,r=this.my_instances.valuesRef(),n,t,v;n=0;for(t=r.length;n<t;n++)k=r[n],v=a(k),!v.enabled||!v.dragging||v.dragging&&v.dragsource!==b||(h=k.layer.canvasToLayer(c,d,!0),k=k.layer.canvasToLayer(c,d,!1),v.onMove(h,k))};d.onInputUp=function(b){var c=this.my_instances.valuesRef(),
d,e,h;d=0;for(e=c.length;d<e;d++)if(h=c[d],h=a(h),h.dragging&&h.dragsource===b)h.onUp()};d.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};d.Type.prototype.onCreate=function(){};d.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var h=d.Instance.prototype;h.onCreate=function(){this.dragging=!1;this.dy=this.dx=0;this.dragsource="<none>";this.axes=this.properties[0];this.enabled=0!==this.properties[1]};h.saveToJSON=function(){return{enabled:this.enabled}};
h.loadFromJSON=function(a){this.enabled=a.enabled;this.dragging=!1};h.onDown=function(a,b,c){this.dx=b-this.inst.x;this.dy=c-this.inst.y;this.dragging=!0;this.dragsource=a;this.runtime.isInUserInputEvent=!0;this.runtime.trigger(cr.behaviors.DragnDrop.prototype.cnds.OnDragStart,this.inst);this.runtime.isInUserInputEvent=!1};h.onMove=function(a,b){var c=a-this.dx,d=b-this.dy;if(0===this.axes){if(this.inst.x!==c||this.inst.y!==d)this.inst.x=c,this.inst.y=d,this.inst.set_bbox_changed()}else 1===this.axes?
this.inst.x!==c&&(this.inst.x=c,this.inst.set_bbox_changed()):2===this.axes&&this.inst.y!==d&&(this.inst.y=d,this.inst.set_bbox_changed())};h.onUp=function(){this.dragging=!1;this.runtime.isInUserInputEvent=!0;this.runtime.trigger(cr.behaviors.DragnDrop.prototype.cnds.OnDrop,this.inst);this.runtime.isInUserInputEvent=!1};h.tick=function(){};b.prototype.IsDragging=function(){return this.dragging};b.prototype.OnDragStart=function(){return!0};b.prototype.OnDrop=function(){return!0};b.prototype.IsEnabled=
function(){return!!this.enabled};d.cnds=new b;c.prototype.SetEnabled=function(a){this.enabled=0!==a;this.enabled||(this.dragging=!1)};c.prototype.Drop=function(){if(this.dragging)this.onUp()};d.acts=new c;d.exps=new function(){}})();cr.behaviors.Fade=function(a){this.runtime=a};
(function(){function a(){}function b(){}var c=cr.behaviors.Fade.prototype;c.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};c.Type.prototype.onCreate=function(){};c.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var d=c.Instance.prototype;d.onCreate=function(){var a=1===this.properties[0];this.fadeInTime=this.properties[1];this.waitTime=this.properties[2];this.fadeOutTime=this.properties[3];this.destroy=this.properties[4];
this.stage=a?0:3;this.recycled?this.stageTime.reset():this.stageTime=new cr.KahanAdder;this.maxOpacity=this.inst.opacity?this.inst.opacity:1;a&&(0===this.fadeInTime?(this.stage=1,0===this.waitTime&&(this.stage=2)):(this.inst.opacity=0,this.runtime.redraw=!0))};d.saveToJSON=function(){return{fit:this.fadeInTime,wt:this.waitTime,fot:this.fadeOutTime,s:this.stage,st:this.stageTime.sum,mo:this.maxOpacity}};d.loadFromJSON=function(a){this.fadeInTime=a.fit;this.waitTime=a.wt;this.fadeOutTime=a.fot;this.stage=
a.s;this.stageTime.reset();this.stageTime.sum=a.st;this.maxOpacity=a.mo};d.tick=function(){this.stageTime.add(this.runtime.getDt(this.inst));0===this.stage&&(this.inst.opacity=this.stageTime.sum/this.fadeInTime*this.maxOpacity,this.runtime.redraw=!0,this.inst.opacity>=this.maxOpacity&&(this.inst.opacity=this.maxOpacity,this.stage=1,this.stageTime.reset()));1===this.stage&&this.stageTime.sum>=this.waitTime&&(this.stage=2,this.stageTime.reset());2===this.stage&&0!==this.fadeOutTime&&(this.inst.opacity=
this.maxOpacity-this.stageTime.sum/this.fadeOutTime*this.maxOpacity,this.runtime.redraw=!0,0>this.inst.opacity&&(this.inst.opacity=0,this.stage=3,this.stageTime.reset(),this.runtime.trigger(cr.behaviors.Fade.prototype.cnds.OnFadeOutEnd,this.inst),1===this.destroy&&this.runtime.DestroyInstance(this.inst)))};d.doStart=function(){this.stage=0;this.stageTime.reset();0===this.fadeInTime?(this.stage=1,0===this.waitTime&&(this.stage=2)):(this.inst.opacity=0,this.runtime.redraw=!0)};a.prototype.OnFadeOutEnd=
function(){return!0};c.cnds=new a;b.prototype.StartFade=function(){3===this.stage&&this.doStart()};b.prototype.RestartFade=function(){this.doStart()};c.acts=new b})();cr.behaviors.destroy=function(a){this.runtime=a};
(function(){var a=cr.behaviors.destroy.prototype;a.Type=function(a,c){this.behavior=a;this.objtype=c;this.runtime=a.runtime};a.Type.prototype.onCreate=function(){};a.Instance=function(a,c){this.type=a;this.behavior=a.behavior;this.inst=c;this.runtime=a.runtime};a=a.Instance.prototype;a.onCreate=function(){};a.tick=function(){this.inst.update_bbox();var a=this.inst.bbox,c=this.inst.layer.layout;(0>a.right||0>a.bottom||a.left>c.width||a.top>c.height)&&this.runtime.DestroyInstance(this.inst)}})();
cr.getProjectModel=function(){return[null,"opening",[[cr.plugins_.CJSAds,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Audio,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.WebStorage,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Facebook,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Sprite,!1,!0,!0,!0,!0,!0,!0,!0,!1],[cr.plugins_.Text,!1,!0,!0,!0,!0,!0,!0,!0,!1],[cr.plugins_.TiledBg,!1,!0,!0,!0,!0,!0,!0,!0,!0],[cr.plugins_.Touch,!0,!1,!1,!1,!1,!1,!1,!1,!1]],[["t0",cr.plugins_.Sprite,!1,[7368715269904038],1,0,null,[["idle",
5,!0,1,0,!1,8886368406935206,[["pikemon-sheet0.png",14613,1,1,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.2333333492279053,-0.0916663408279419,0.2333333492279053,0.08333367109298706,-0.1583336591720581,0.08749967813491821,-0.1583336591720581,-0.08333331346511841],0],["pikemon-sheet0.png",14613,122,1,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.2333333492279053,-0.0916663408279419,0.2333333492279053,0.08333367109298706,-0.1583336591720581,0.08749967813491821,-0.1583336591720581,
-0.08333331346511841],0]]],["Fight",5,!1,1,0,!1,293761420338965,[["pikemon-sheet0.png",14613,1,122,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.2333333492279053,-0.0916663408279419,0.2333333492279053,0.08333367109298706,-0.1583336591720581,0.08749967813491821,-0.1583336591720581,-0.08333331346511841],0],["pikemon-sheet0.png",14613,122,122,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.2333333492279053,-0.0916663408279419,0.2333333492279053,0.08333367109298706,-0.1583336591720581,0.08749967813491821,
-0.1583336591720581,-0.08333331346511841],0],["pikemon-sheet1.png",17579,1,1,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.2333333492279053,-0.0916663408279419,0.2333333492279053,0.08333367109298706,-0.1583336591720581,0.08749967813491821,-0.1583336591720581,-0.08333331346511841],0],["pikemon-sheet1.png",17579,122,1,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.2333333492279053,-0.0916663408279419,0.2333333492279053,0.08333367109298706,-0.1583336591720581,0.08749967813491821,-0.1583336591720581,
-0.08333331346511841],0]]],["tired",2,!0,1,0,!1,8240643823807124,[["pikemon-sheet1.png",17579,1,122,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.2333333492279053,-0.0916663408279419,0.2333333492279053,0.08333367109298706,-0.1583336591720581,0.08749967813491821,-0.1583336591720581,-0.08333331346511841],0],["pikemon-sheet1.png",17579,122,122,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.2333333492279053,-0.0916663408279419,0.2333333492279053,0.08333367109298706,-0.1583336591720581,
0.08749967813491821,-0.1583336591720581,-0.08333331346511841],0]]]],[["DestroyOutsideLayout",cr.behaviors.destroy,9568374601818712]],!1,!1,4632631947664431,[],null],["t1",cr.plugins_.Sprite,!1,[6908041416019628,9911024997252908],1,0,null,[["idle",5,!0,1,0,!1,0x7a52138e49b08,[["shootmon-sheet0.png",13480,1,1,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.1750003397464752,-0.1083333492279053,0.1750003397464752,0.07083368301391602,-0.1874996572732925,0.07499969005584717,-0.1833336651325226,-0.1083333492279053],
0],["shootmon-sheet0.png",13480,122,1,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.1750003397464752,-0.1083333492279053,0.1750003397464752,0.07083368301391602,-0.1874996572732925,0.07499969005584717,-0.1833336651325226,-0.1083333492279053],0]]],["shoot",5,!1,1,0,!1,7323428584040899,[["shootmon-sheet0.png",13480,1,122,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.1750003397464752,-0.1083333492279053,0.1750003397464752,0.07083368301391602,-0.1874996572732925,0.07499969005584717,-0.1833336651325226,
-0.1083333492279053],0],["shootmon-sheet0.png",13480,122,122,120,120,1,0.3166666626930237,0.8083333373069763,[["Imagepoint 1",0.6083333492279053,0.699999988079071]],[0.1750003397464752,-0.1083333492279053,0.1750003397464752,0.07083368301391602,-0.1874996572732925,0.07499969005584717,-0.1833336651325226,-0.1083333492279053],0],["shootmon-sheet1.png",13807,1,1,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.1750003397464752,-0.1083333492279053,0.1750003397464752,0.07083368301391602,-0.1874996572732925,
0.07499969005584717,-0.1833336651325226,-0.1083333492279053],0]]],["tired",2,!0,1,0,!1,5728123573166343,[["shootmon-sheet1.png",13807,122,1,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.1750003397464752,-0.1083333492279053,0.1750003397464752,0.07083368301391602,-0.1874996572732925,0.07499969005584717,-0.1833336651325226,-0.1083333492279053],0],["shootmon-sheet1.png",13807,1,122,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.1750003397464752,-0.1083333492279053,0.1750003397464752,0.07083368301391602,
-0.1874996572732925,0.07499969005584717,-0.1833336651325226,-0.1083333492279053],0]]]],[["DestroyOutsideLayout",cr.behaviors.destroy,0x82759703f8bcf]],!1,!1,0x722804950bd7,[],null],["t2",cr.plugins_.Sprite,!1,[313631395037877,5939092383779461,6447613526173185],0,0,null,[["idle",5,!0,1,0,!1,9467020981025668,[["archer-sheet0.png",17869,1,1,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.1916663646697998,-0.1500003337860107,0.2000003457069397,0.1916666626930237,-0.2249999642372131,0.1916666626930237,
-0.2333333641290665,-0.1500003337860107],0],["archer-sheet0.png",17869,122,1,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.1916663646697998,-0.1500003337860107,0.2000003457069397,0.1916666626930237,-0.2249999642372131,0.1916666626930237,-0.2333333641290665,-0.1500003337860107],0]]],["shoot",5,!1,1,0,!1,7644566723019048,[["archer-sheet0.png",17869,1,122,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.1916663646697998,-0.1500003337860107,0.2000003457069397,0.1916666626930237,-0.2249999642372131,
0.1916666626930237,-0.2333333641290665,-0.1500003337860107],0],["archer-sheet0.png",17869,122,122,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.1916663646697998,-0.1500003337860107,0.2000003457069397,0.1916666626930237,-0.2249999642372131,0.1916666626930237,-0.2333333641290665,-0.1500003337860107],0],["archer-sheet1.png",18211,1,1,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.1916663646697998,-0.1500003337860107,0.2000003457069397,0.1916666626930237,-0.2249999642372131,0.1916666626930237,
-0.2333333641290665,-0.1500003337860107],0],["archer-sheet1.png",18211,122,1,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.1916663646697998,-0.1500003337860107,0.2000003457069397,0.1916666626930237,-0.2249999642372131,0.1916666626930237,-0.2333333641290665,-0.1500003337860107],0],["archer-sheet1.png",18211,1,122,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.1916663646697998,-0.1500003337860107,0.2000003457069397,0.1916666626930237,-0.2249999642372131,0.1916666626930237,-0.2333333641290665,
-0.1500003337860107],0]]],["fall",2,!0,1,0,!1,8144357233619467,[["archer-sheet1.png",18211,122,122,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.1916663646697998,-0.1500003337860107,0.2000003457069397,0.1916666626930237,-0.2249999642372131,0.1916666626930237,-0.2333333641290665,-0.1500003337860107],0],["archer-sheet2.png",5432,0,0,120,120,1,0.3166666626930237,0.8083333373069763,[],[0.1916663646697998,-0.1500003337860107,0.2000003457069397,0.1916666626930237,-0.2249999642372131,0.1916666626930237,
-0.2333333641290665,-0.1500003337860107],0]]]],[],!1,!1,8161650290987689,[],null],["t3",cr.plugins_.Sprite,!1,[9644309062653408,9819443997701840,8643196109620924],0,0,null,[["idle",5,!0,1,0,!1,4792201171385491,[["slingshot-sheet0.png",24343,1,1,120,120,1,0.5083333253860474,0.8083333373069763,[["Imagepoint 1",0.8083333373069763,0.5583333373069763]],[-0.1833333373069763,-0.1583333611488342,0.2499997019767761,-0.1583333611488342,0.2499997019767761,0.1916666626930237,-0.1833333373069763,0.1916666626930237],
0],["slingshot-sheet0.png",24343,122,1,120,120,1,0.5083333253860474,0.8083333373069763,[["Imagepoint 1",0.8083333373069763,0.5583333373069763]],[-0.1833333373069763,-0.1583333611488342,0.2499997019767761,-0.1583333611488342,0.2499997019767761,0.1916666626930237,-0.1833333373069763,0.1916666626930237],0],["slingshot-sheet0.png",24343,1,122,120,120,1,0.5083333253860474,0.8083333373069763,[["Imagepoint 1",0.8083333373069763,0.5583333373069763]],[-0.1833333373069763,-0.1583333611488342,0.2499997019767761,
-0.1583333611488342,0.2499997019767761,0.1916666626930237,-0.1833333373069763,0.1916666626930237],0],["slingshot-sheet0.png",24343,122,122,120,120,1,0.5083333253860474,0.8083333373069763,[["Imagepoint 1",0.8083333373069763,0.5583333373069763]],[-0.1833333373069763,-0.1583333611488342,0.2499997019767761,-0.1583333611488342,0.2499997019767761,0.1916666626930237,-0.1833333373069763,0.1916666626930237],0]]],["shoot",5,!1,1,0,!1,518776404731866,[["slingshot-sheet1.png",29771,1,1,120,120,1,0.5083333253860474,
0.8083333373069763,[["Imagepoint 1",0.8083333373069763,0.5583333373069763]],[-0.1833333373069763,-0.1583333611488342,0.2499997019767761,-0.1583333611488342,0.2499997019767761,0.1916666626930237,-0.1833333373069763,0.1916666626930237],0],["slingshot-sheet1.png",29771,122,1,120,120,1,0.5083333253860474,0.8083333373069763,[["Imagepoint 1",0.8083333373069763,0.5583333373069763]],[-0.1833333373069763,-0.1583333611488342,0.2499997019767761,-0.1583333611488342,0.2499997019767761,0.1916666626930237,-0.1833333373069763,
0.1916666626930237],0],["slingshot-sheet1.png",29771,1,122,120,120,1,0.5083333253860474,0.8083333373069763,[["Imagepoint 1",0.8083333373069763,0.5583333373069763]],[-0.1833333373069763,-0.1583333611488342,0.2499997019767761,-0.1583333611488342,0.2499997019767761,0.1916666626930237,-0.1833333373069763,0.1916666626930237],0],["slingshot-sheet1.png",29771,122,122,120,120,1,0.5083333253860474,0.8083333373069763,[["Imagepoint 1",0.8083333373069763,0.5583333373069763]],[-0.1833333373069763,-0.1583333611488342,
0.2499997019767761,-0.1583333611488342,0.2499997019767761,0.1916666626930237,-0.1833333373069763,0.1916666626930237],0],["slingshot-sheet2.png",14703,1,1,120,120,1,0.5083333253860474,0.8083333373069763,[["Imagepoint 1",0.8083333373069763,0.5583333373069763]],[-0.1833333373069763,-0.1583333611488342,0.2499997019767761,-0.1583333611488342,0.2499997019767761,0.1916666626930237,-0.1833333373069763,0.1916666626930237],0]]],["tired",5,!0,1,0,!1,0xca8f5d7dae4c9,[["slingshot-sheet2.png",14703,122,1,120,120,
1,0.5083333253860474,0.8083333373069763,[],[-0.1833333373069763,-0.1583333611488342,0.2499997019767761,-0.1583333611488342,0.2499997019767761,0.1916666626930237,-0.1833333373069763,0.1916666626930237],0],["slingshot-sheet2.png",14703,1,122,120,120,1,0.5083333253860474,0.8083333373069763,[],[-0.1833333373069763,-0.1583333611488342,0.2499997019767761,-0.1583333611488342,0.2499997019767761,0.1916666626930237,-0.1833333373069763,0.1916666626930237],0]]]],[],!1,!1,6983642234783091,[],null],["t4",cr.plugins_.Sprite,
!1,[7553612465770579,7243196637843293],0,0,null,[["idle",5,!0,1,0,!1,5965417297059225,[["guardian-sheet0.png",14543,1,1,120,120,1,0.425000011920929,0.8083333373069763,[],[0.1833329796791077,-0.1333333253860474,0.175000011920929,0.1916666626930237,-0.2250000089406967,0.1916666626930237,-0.2250000089406967,-0.1250003576278687],0],["guardian-sheet0.png",14543,122,1,120,120,1,0.425000011920929,0.8083333373069763,[],[0.1833329796791077,-0.1333333253860474,0.175000011920929,0.1916666626930237,-0.2250000089406967,
0.1916666626930237,-0.2250000089406967,-0.1250003576278687],0]]],["fight",5,!1,1,0,!1,0x603a4928d8ba7,[["guardian-sheet0.png",14543,1,122,120,120,1,0.425000011920929,0.8083333373069763,[],[0.1833329796791077,-0.1333333253860474,0.175000011920929,0.1916666626930237,-0.2250000089406967,0.1916666626930237,-0.2250000089406967,-0.1250003576278687],0],["guardian-sheet0.png",14543,122,122,120,120,1,0.425000011920929,0.8083333373069763,[],[0.1833329796791077,-0.1333333253860474,0.175000011920929,0.1916666626930237,
-0.2250000089406967,0.1916666626930237,-0.2250000089406967,-0.1250003576278687],0],["guardian-sheet1.png",20998,1,1,120,120,1,0.425000011920929,0.8083333373069763,[],[0.1833329796791077,-0.1333333253860474,0.175000011920929,0.1916666626930237,-0.2250000089406967,0.1916666626930237,-0.2250000089406967,-0.1250003576278687],0],["guardian-sheet1.png",20998,122,1,120,120,1,0.425000011920929,0.8083333373069763,[],[0.1833329796791077,-0.1333333253860474,0.175000011920929,0.1916666626930237,-0.2250000089406967,
0.1916666626930237,-0.2250000089406967,-0.1250003576278687],0]]],["tired",5,!0,1,0,!1,8094248256763192,[["guardian-sheet1.png",20998,1,122,120,120,1,0.425000011920929,0.8083333373069763,[],[0.1833329796791077,-0.1333333253860474,0.175000011920929,0.1916666626930237,-0.2250000089406967,0.1916666626930237,-0.2250000089406967,-0.1250003576278687],0],["guardian-sheet1.png",20998,122,122,120,120,1,0.425000011920929,0.8083333373069763,[],[0.1833329796791077,-0.1333333253860474,0.175000011920929,0.1916666626930237,
-0.2250000089406967,0.1916666626930237,-0.2250000089406967,-0.1250003576278687],0]]]],[],!1,!1,8561620858796588,[],null],["t5",cr.plugins_.Sprite,!1,[0x94e76817c29be,5809978001729258],0,0,null,[["idle",5,!1,1,0,!1,0xab94dd30e8160,[["shogun-sheet0.png",16902,1,132,120,120,1,0.3333333432674408,0.8083333373069763,[],[0.2166666686534882,-0.1916663646697998,0.2083336412906647,0.1916666626930237,-0.2416666448116303,0.1916666626930237,-0.2666666507720947,-0.1916663646697998],0],["shogun-sheet0.png",16902,
122,132,120,120,1,0.3333333432674408,0.8083333373069763,[],[0.2166666686534882,-0.1916663646697998,0.2083336412906647,0.1916666626930237,-0.2416666448116303,0.1916666626930237,-0.2666666507720947,-0.1916663646697998],0]]],["fight",5,!1,1,0,!1,0xddcf5dd089d75,[["shogun-sheet0.png",16902,1,1,150,130,1,0.3333333432674408,0.807692289352417,[],[0.2166666686534882,-0.1910253167152405,0.2083336412906647,0.192307710647583,-0.2416666448116303,0.192307710647583,-0.2666666507720947,-0.1910253167152405],0],["shogun-sheet2.png",
6059,0,0,134,97,1,0.335820883512497,0.8041236996650696,[],[0.214179128408432,-0.1874567270278931,0.2058461010456085,0.1958763003349304,-0.2441541850566864,0.1958763003349304,-0.2691541910171509,-0.1874567270278931],0],["shogun-sheet1.png",25580,1,1,120,120,1,0.3333333432674408,0.8083333373069763,[],[0.2166666686534882,-0.1916663646697998,0.2083336412906647,0.1916666626930237,-0.2416666448116303,0.1916666626930237,-0.2666666507720947,-0.1916663646697998],0],["shogun-sheet1.png",25580,122,122,130,97,
1,0.3307692408561707,0.8041236996650696,[],[0.2192307710647583,-0.1874567270278931,0.2108977437019348,0.1958763003349304,-0.2391025424003601,0.1958763003349304,-0.2641025483608246,-0.1874567270278931],0]]],["tired",5,!1,1,0,!1,9669376387722532,[["shogun-sheet1.png",25580,122,1,120,120,1,0.3333333432674408,0.8083333373069763,[],[0.2166666686534882,-0.1916663646697998,0.2083336412906647,0.1916666626930237,-0.2416666448116303,0.1916666626930237,-0.2666666507720947,-0.1916663646697998],0],["shogun-sheet1.png",
25580,1,122,120,120,1,0.3333333432674408,0.8083333373069763,[],[0.2166666686534882,-0.1916663646697998,0.2083336412906647,0.1916666626930237,-0.2416666448116303,0.1916666626930237,-0.2666666507720947,-0.1916663646697998],0]]]],[],!1,!1,9052433724382604,[],null],["t6",cr.plugins_.TiledBg,!1,[],0,0,["tiledbackground.png",37674,1],null,[],!1,!1,0x85b729eebd637,[],null],["t7",cr.plugins_.TiledBg,!1,[],0,0,["tiledbackground2.png",14978,1],null,[],!1,!1,8258641215920469,[],null],["t8",cr.plugins_.TiledBg,
!1,[],0,0,["tiledbackground3.png",68610,1],null,[],!1,!1,9312357970432356,[],null],["t9",cr.plugins_.TiledBg,!1,[],0,0,["tiledbackground6.png",17841,1],null,[],!1,!1,6503667226533458,[],null],["t10",cr.plugins_.TiledBg,!1,[],0,0,["tiledbackground7.png",944827,1],null,[],!1,!1,0x62d2eddc7f872,[],null],["t11",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x7d11f75de6ab1,[["slot1-sheet0.png",1855,0,0,50,50,1,0.5,0.5,[],[-0.4000000059604645,-0.4000000059604645,0,-0.4399999976158142,0.3999999761581421,
-0.4000000059604645,0.4399999976158142,0,0.4200000166893005,0.4200000166893005,0,0.4399999976158142,-0.4000000059604645,0.3999999761581421,-0.4200000166893005,0],0]]]],[],!1,!1,9358249794384548,[],null],["t12",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5567788815648667,[["slot1-sheet0.png",1855,0,0,50,50,1,0.5,0.5,[],[-0.4000000059604645,-0.4000000059604645,0,-0.4399999976158142,0.3999999761581421,-0.4000000059604645,0.4399999976158142,0,0.4200000166893005,0.4200000166893005,0,0.4399999976158142,
-0.4000000059604645,0.3999999761581421,-0.4200000166893005,0],0]]]],[],!1,!1,7460277525824933,[],null],["t13",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x6bcbd28bfa11c,[["slot1-sheet0.png",1855,0,0,50,50,1,0.5,0.5,[],[-0.4000000059604645,-0.4000000059604645,0,-0.4399999976158142,0.3999999761581421,-0.4000000059604645,0.4399999976158142,0,0.4200000166893005,0.4200000166893005,0,0.4399999976158142,-0.4000000059604645,0.3999999761581421,-0.4200000166893005,0],0]]]],[],!1,!1,9791466098484022,
[],null],["t14",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6236474709897931,[["slot1-sheet0.png",1855,0,0,50,50,1,0.5,0.5,[],[-0.4000000059604645,-0.4000000059604645,0,-0.4399999976158142,0.3999999761581421,-0.4000000059604645,0.4399999976158142,0,0.4200000166893005,0.4200000166893005,0,0.4399999976158142,-0.4000000059604645,0.3999999761581421,-0.4200000166893005,0],0]]]],[],!1,!1,7226450738645053,[],null],["t15",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7327207045800368,
[["slot1-sheet0.png",1855,0,0,50,50,1,0.5,0.5,[],[-0.4000000059604645,-0.4000000059604645,0,-0.4399999976158142,0.3999999761581421,-0.4000000059604645,0.4399999976158142,0,0.4200000166893005,0.4200000166893005,0,0.4399999976158142,-0.4000000059604645,0.3999999761581421,-0.4200000166893005,0],0]]]],[],!1,!1,0xce902e3d0f521,[],null],["t16",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6155835884565574,[["eslot1-sheet0.png",168,0,0,250,250,1,0.5,0.5,[],[],3]]]],[],!1,!1,9279241925719478,
[],null],["t17",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x5a2cde33a72e4,[["eslot1-sheet0.png",168,0,0,250,250,1,0.5,0.5,[],[],3]]]],[],!1,!1,5942861443687227,[],null],["t18",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9405721122475240,[["eslot1-sheet0.png",168,0,0,250,250,1,0.5,0.5,[],[],3]]]],[],!1,!1,0xe493098fa1777,[],null],["t19",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,4685380833871222,[["eslot1-sheet0.png",168,0,0,250,250,1,0.5,0.5,[],[],3]]]],
[],!1,!1,5444012105415738,[],null],["t20",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x48c7d349bb44e,[["eslot1-sheet0.png",168,0,0,250,250,1,0.5,0.5,[],[],3]]]],[],!1,!1,8025639258488263,[],null],["t21",cr.plugins_.Sprite,!1,[],0,0,null,[["sr1",5,!1,1,0,!1,6542235684386145,[["wavebar-sheet0.png",20116,1,1,234,60,1,0.5,0.5166666507720947,[],[-0.4017094075679779,-0.1333336532115936,0,-0.3999996483325958,0.4017090201377869,-0.1333336532115936,0.4957259893417358,-0.01666665077209473,0.4358969926834106,
0.2333333492279053,0,0.2333333492279053,-0.4615384936332703,0.3333333730697632,-0.3974359929561615,-0.01666665077209473],0]]],["sr2",5,!1,1,0,!1,0x527965f485e9a,[["wavebar-sheet0.png",20116,1,62,234,60,1,0.5,0.5,[],[-0.4017094075679779,-0.1166670024394989,0,-0.3833329975605011,0.4017090201377869,-0.1166670024394989,0.4957259893417358,0,0.4358969926834106,0.25,0,0.25,-0.4615384936332703,0.3500000238418579,-0.3974359929561615,0],0]]],["sr3",5,!1,1,0,!1,7861911405222626,[["wavebar-sheet0.png",20116,
1,123,234,60,1,0.5,0.5,[],[-0.4017094075679779,-0.1166670024394989,0,-0.3833329975605011,0.4017090201377869,-0.1166670024394989,0.4957259893417358,0,0.4358969926834106,0.25,0,0.25,-0.4615384936332703,0.3500000238418579,-0.3974359929561615,0],0]]],["tc1",5,!1,1,0,!1,5227269453614759,[["wavebar-sheet0.png",20116,1,184,234,60,1,0.5,0.5,[],[-0.4017094075679779,-0.1166670024394989,0,-0.4000000059604645,0.4017090201377869,-0.1166670024394989,0.4957259893417358,0,0.4358969926834106,0.25,0,0.25,-0.4615384936332703,
0.3500000238418579,-0.3974359929561615,0],0]]],["tc2",5,!1,1,0,!1,5171306296357691,[["wavebar-sheet1.png",19187,1,1,234,60,1,0.5,0.5,[],[-0.4017094075679779,-0.1166670024394989,0,-0.4000000059604645,0.4017090201377869,-0.1166670024394989,0.4957259893417358,0,0.4358969926834106,0.25,0,0.25,-0.4615384936332703,0.3500000238418579,-0.3974359929561615,0],0]]],["tc3",5,!1,1,0,!1,6519144405814156,[["wavebar-sheet1.png",19187,1,62,234,60,1,0.5,0.5,[],[-0.4017094075679779,-0.1166670024394989,0,-0.4000000059604645,
0.4017090201377869,-0.1166670024394989,0.4957259893417358,0,0.4358969926834106,0.25,0,0.25,-0.4615384936332703,0.3500000238418579,-0.3974359929561615,0],0]]],["ws1",5,!1,1,0,!1,8056004558677064,[["wavebar-sheet1.png",19187,1,123,234,60,1,0.5,0.5,[],[-0.4017094075679779,-0.1166670024394989,0,-0.3833329975605011,0.4017090201377869,-0.1166670024394989,0.4957259893417358,0,0.4358969926834106,0.25,0,0.25,-0.4615384936332703,0.3500000238418579,-0.3974359929561615,0],0]]],["ws2",5,!1,1,0,!1,0xb92d1bebbf1c3,
[["wavebar-sheet1.png",19187,1,184,234,60,1,0.5,0.5,[],[-0.4017094075679779,-0.1166670024394989,0,-0.3833329975605011,0.4017090201377869,-0.1166670024394989,0.4957259893417358,0,0.4358969926834106,0.25,0,0.25,-0.4615384936332703,0.3500000238418579,-0.3974359929561615,0],0]]],["ws3",5,!1,1,0,!1,0x796ad7ac9498,[["wavebar-sheet2.png",15286,1,1,234,60,1,0.5,0.5,[],[-0.4017094075679779,-0.1166670024394989,0,-0.3833329975605011,0.4017090201377869,-0.1166670024394989,0.4957259893417358,0,0.4358969926834106,
0.25,0,0.25,-0.4615384936332703,0.3500000238418579,-0.3974359929561615,0],0]]],["bf1",5,!1,1,0,!1,7718642022528334,[["wavebar-sheet2.png",15286,1,62,234,60,1,0.5,0.5,[],[-0.4017094075679779,-0.1166670024394989,0,-0.3833329975605011,0.4017090201377869,-0.1166670024394989,0.4957259893417358,0,0.4358969926834106,0.25,0,0.25,-0.4615384936332703,0.3500000238418579,-0.3974359929561615,0],0]]],["bf2",5,!1,1,0,!1,9429594052870976,[["wavebar-sheet2.png",15286,1,123,234,60,1,0.5,0.5,[],[-0.4017094075679779,
-0.1166670024394989,0,-0.3833329975605011,0.4017090201377869,-0.1166670024394989,0.4957259893417358,0,0.4358969926834106,0.25,0,0.25,-0.4615384936332703,0.3500000238418579,-0.3974359929561615,0],0]]]],[],!1,!1,9120977916455616,[],null],["t22",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x9170b121a0e13,[["menubtn-sheet0.png",7363,166,1,65,65,1,0.5076923370361328,0.5076923370361328,[],[-0.446153849363327,-0.446153849363327,-0.01538434624671936,-0.5076923370361328,0.4153846502304077,-0.4307692348957062,
0.4923076629638672,-0.01538434624671936,0.430769681930542,0.430769681930542,-0.01538434624671936,0.4923076629638672,-0.4307692348957062,0.4153846502304077,-0.5076923370361328,-0.01538434624671936],0]]],["hover",5,!1,1,0,!1,7129914279720444,[["menubtn-sheet0.png",7363,1,1,164,76,1,0.5,0.5,[],[-0.4756098091602325,-0.4473683834075928,0,-0.4868420958518982,0.4756100177764893,-0.4473683834075928,0.5,0,0.408536970615387,0.3026319742202759,0,0.5,-0.4085366129875183,0.3026319742202759,-0.5,0],0]]]],[],!1,
!1,8736707597048048,[],null],["t23",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,4821934648914517,[["hamerbar-sheet0.png",1514,0,0,139,34,1,0.5035971403121948,0.5,[["Imagepoint 1",0.3093525171279907,0.1764705926179886]],[-0.4172662496566773,-0.1470589935779572,-0.00719413161277771,-0.5,0.4820138812065125,-0.4411765038967133,0.4964028596878052,0,0.4820138812065125,0.4411759972572327,-0.00719413161277771,0.4411759972572327,-0.4676259458065033,0.3529409766197205,-0.4460431337356567,0],0]]]],
[],!1,!1,0x3f569d0ee70d7,[],null],["t24",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,0xf3661550d27ec,[],null],["t25",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!0,1,0,!1,0x84bf83f144af9,[["bananamon-sheet0.png",5804,0,0,81,82,1,0.5061728358268738,0.5,[["Imagepoint 1",1,1.012195110321045]],[-0.3580248355865479,-0.3536590039730072,-0.01234585046768189,-0.4878048896789551,0.2098761796951294,-0.2195119857788086,0.4567901492118835,0,0.3456791639328003,0.3536589741706848,-0.01234585046768189,0.4756100177764893,
-0.5061728358268738,0.5,-0.4074074327945709,0],0],["bananamon-sheet1.png",5590,0,0,81,82,1,0.5061728358268738,0.5,[["Imagepoint 1",1,1.012195110321045]],[-0.3580248355865479,-0.3536590039730072,-0.01234585046768189,-0.4878048896789551,0.2098761796951294,-0.2195119857788086,0.4567901492118835,0,0.3456791639328003,0.3536589741706848,-0.01234585046768189,0.4756100177764893,-0.3086418509483337,0.3048779964447022,-0.4074074327945709,0],0]]]],[],!1,!1,0xbd2856a54cd52,[],null],["t26",cr.plugins_.TiledBg,
!1,[],0,0,["bananaload.png",1502,0],null,[],!1,!1,0xf70a4512479fa,[],null],["t27",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xab77de9fd5401,[["bananadrop-sheet0.png",5066,0,0,60,60,1,0.5,0.5,[],[-0.3333330154418945,-0.3333330154418945,0,-0.3666670024394989,0.2666670083999634,-0.2666670083999634,0.3833330273628235,0,0.25,0.25,0,0.3833330273628235,-0.25,0.25,-0.3499999940395355,0],0]]]],[["DragDrop",cr.behaviors.DragnDrop,7307256915433962]],!1,!1,0x696e605902f86,[],null],["t28",cr.plugins_.Touch,
!1,[],0,0,null,null,[],!1,!1,525900647036111,[],null,[1]],["t29",cr.plugins_.Audio,!1,[],0,0,null,null,[],!1,!1,8241381041154866,[],null,[0,0,1,1,600,600,1E4,1,5E3,1]],["t30",cr.plugins_.Sprite,!1,[0x7f46dff9a8496],1,0,null,[["stage3",5,!1,1,0,!1,0x97676985cb5c6,[["dialogbox-sheet0.png",786915,1,1,573,382,1,0.5008726119995117,0.5,[],[-0.3874346017837524,-0.3298429846763611,-0.001745611429214478,-0.4947643876075745,0.3769633769989014,-0.3167539834976196,0.3839443922042847,0,0.4415354132652283,0.4136130213737488,
-0.001745611429214478,0.4816750288009644,-0.3699826002120972,0.3036649823188782,-0.4851658046245575,0],0]]],["stage2",5,!1,1,0,!1,6468846649645061,[["dialogbox-sheet0.png",786915,575,1,573,382,1,0.5008726119995117,0.5,[],[-0.3874346017837524,-0.3298429846763611,-0.001745611429214478,-0.4947643876075745,0.3769633769989014,-0.3167539834976196,0.3839443922042847,0,0.4415354132652283,0.4136130213737488,-0.001745611429214478,0.4816750288009644,-0.3699826002120972,0.3036649823188782,-0.4851658046245575,
0],0]]],["stage4",5,!1,1,0,!1,0x47bedd02150ab,[["dialogbox-sheet0.png",786915,1149,1,573,382,1,0.5008726119995117,0.5,[],[-0.3874346017837524,-0.3298429846763611,-0.001745611429214478,-0.4947643876075745,0.3769633769989014,-0.3167539834976196,0.3839443922042847,0,0.4415354132652283,0.4136130213737488,-0.001745611429214478,0.4816750288009644,-0.3699826002120972,0.3036649823188782,-0.4851658046245575,0],0]]],["stage5",5,!1,1,0,!1,0xb84c7c0315ff1,[["dialogbox-sheet0.png",786915,1,384,575,378,1,0.5008695721626282,
0.5,[],[-0.3843475580215454,-0.322750985622406,-0.001739561557769775,-0.4920634925365448,0.3791304230690002,-0.3174600005149841,0.3878264427185059,0,0.4434784054756165,0.4153439998626709,-0.001739561557769775,0.4947090148925781,-0.3721735775470734,0.3042330145835877,-0.4834782779216766,0],0]]],["stage6",5,!1,1,0,!1,0x670d8ecccba05,[["dialogbox-sheet0.png",786915,577,384,575,378,1,0.5008695721626282,0.5,[],[-0.3843475580215454,-0.322750985622406,-0.001739561557769775,-0.4920634925365448,0.3791304230690002,
-0.3174600005149841,0.3878264427185059,0,0.4434784054756165,0.4153439998626709,-0.001739561557769775,0.4947090148925781,-0.370434582233429,0.3015869855880737,-0.4834782779216766,0],0]]],["stage7",5,!1,1,0,!1,7199747657664851,[["dialogbox-sheet0.png",786915,1153,384,575,378,1,0.5008695721626282,0.5,[],[-0.3843475580215454,-0.322750985622406,-0.001739561557769775,-0.4920634925365448,0.3791304230690002,-0.3174600005149841,0.3878264427185059,0,0.4434784054756165,0.4153439998626709,-0.001739561557769775,
0.4947090148925781,-0.370434582233429,0.3015869855880737,-0.4834782779216766,0],0]]],["stage8",5,!1,1,0,!1,4890849981176263,[["dialogbox-sheet0.png",786915,1,763,575,378,1,0.5008695721626282,0.5,[],[-0.3843475580215454,-0.322750985622406,-0.001739561557769775,-0.4920634925365448,0.3791304230690002,-0.3174600005149841,0.3878264427185059,0,0.4434784054756165,0.4153439998626709,-0.001739561557769775,0.4947090148925781,-0.370434582233429,0.3015869855880737,-0.4834782779216766,0],0]]],["stage9",5,!1,1,
0,!1,8917739965539479,[["dialogbox-sheet0.png",786915,577,763,575,378,1,0.5008695721626282,0.5,[],[-0.3843475580215454,-0.322750985622406,-0.001739561557769775,-0.4920634925365448,0.3791304230690002,-0.3174600005149841,0.3878264427185059,0,0.4434784054756165,0.4153439998626709,-0.001739561557769775,0.4947090148925781,-0.370434582233429,0.3015869855880737,-0.4834782779216766,0],0]]],["tutorial",5,!1,1,0,!1,8585275228651898,[["dialogbox-sheet0.png",786915,1153,763,575,378,1,0.5008695721626282,0.5,[],
[-0.3843475580215454,-0.322750985622406,-0.001739561557769775,-0.4920634925365448,0.3791304230690002,-0.3174600005149841,0.3878264427185059,0,0.4434784054756165,0.4153439998626709,-0.001739561557769775,0.4947090148925781,-0.370434582233429,0.3015869855880737,-0.4834782779216766,0],0]]],["stage1",5,!1,1,0,!1,7134260076014586,[["dialogbox-sheet0.png",786915,1,1142,575,378,1,0.5008695721626282,0.5,[],[-0.3843475580215454,-0.322750985622406,-0.001739561557769775,-0.4920634925365448,0.3791304230690002,
-0.3174600005149841,0.3878264427185059,0,0.4434784054756165,0.4153439998626709,-0.001739561557769775,0.4947090148925781,-0.370434582233429,0.3015869855880737,-0.4834782779216766,0],0]]],["tutorialwin",5,!1,1,0,!1,6186598410476891,[["dialogbox-sheet0.png",786915,577,1142,575,378,1,0.5008695721626282,0.5,[],[-0.3843475580215454,-0.322750985622406,-0.001739561557769775,-0.4920634925365448,0.3791304230690002,-0.3174600005149841,0.3878264427185059,0,0.4434784054756165,0.4153439998626709,-0.001739561557769775,
0.4947090148925781,-0.370434582233429,0.3015869855880737,-0.4834782779216766,0],0]]],["stage10",5,!1,1,0,!1,7137915294398342,[["dialogbox-sheet0.png",786915,1153,1142,575,378,1,0.5008695721626282,0.5,[],[-0.3843475580215454,-0.322750985622406,-0.001739561557769775,-0.4920634925365448,0.3791304230690002,-0.3174600005149841,0.3878264427185059,0,0.4434784054756165,0.4153439998626709,-0.001739561557769775,0.4947090148925781,-0.370434582233429,0.3015869855880737,-0.4834782779216766,0],0]]],["stage11",
5,!1,1,0,!1,9696320330452584,[["dialogbox-sheet0.png",786915,1,1521,575,378,1,0.5008695721626282,0.5,[],[-0.3843475580215454,-0.322750985622406,-0.001739561557769775,-0.4920634925365448,0.3791304230690002,-0.3174600005149841,0.3878264427185059,0,0.4434784054756165,0.4153439998626709,-0.001739561557769775,0.4947090148925781,-0.370434582233429,0.3015869855880737,-0.4834782779216766,0],0]]],["survival",5,!1,1,0,!1,4965031399018577,[["dialogbox-sheet0.png",786915,577,1521,420,357,1,0.5,0.5014005899429321,
[],[-0.3666670024394989,-0.3445375859737396,0,-0.4873949885368347,0.3190479874610901,-0.288515567779541,0.3380950093269348,-0.002801597118377686,0.4285709857940674,0.41456538438797,0,0.4005604386329651,-0.3380950093269348,0.3081234097480774,-0.449999988079071,-0.002801597118377686],0]]]],[["DestroyOutsideLayout",cr.behaviors.destroy,7594884504215258]],!1,!1,709543863883828,[],null],["t31",cr.plugins_.TiledBg,!1,[],0,0,["blackbg.png",169,0],null,[],!1,!1,6529238520564198,[],null],["t32",cr.plugins_.Sprite,
!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xed3cdea6397aa,[["blink-sheet0.png",21529,1,1,150,150,1,0.5,0.5,[],[-0.05333301424980164,-0.05333301424980164,0,-0.08000001311302185,0.086667001247406,-0.086667001247406,0.2733330130577087,0,0.0733330249786377,0.0733330249786377,0,0.05333298444747925,-0.02666699886322022,0.02666699886322022,-0.06000000238418579,0],0],["blink-sheet0.png",21529,152,1,150,150,1,0.5,0.5,[],[0,-0.4266667068004608,0.03333300352096558,-0.03333300352096558,0.0733330249786377,0,0.06000000238418579,
0.06000000238418579,0,0.086667001247406,-0.06000000238418579,0.06000000238418579,-0.06000000238418579,0],0],["blink-sheet0.png",21529,303,1,150,150,1,0.5,0.5,[],[-0.213333010673523,-0.213333010673523,0,-0.06666699051856995,0.06666702032089233,0,0.3066669702529907,0.3066669702529907,0,0.086667001247406,-0.06000000238418579,0.06000000238418579,-0.05333301424980164,0],0],["blink-sheet0.png",21529,1,152,150,150,1,0.5,0.5,[],[0,-0.2866669893264771,0.3466669917106628,0,0,0.300000011920929,-0.3199999928474426,
0],0]]]],[["Fade",cr.behaviors.Fade,0xae44bc7c517e1]],!1,!1,7483529057582961,[],null],["t33",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!0,1,0,!1,7709166171141666,[["monwalk-sheet0.png",3688,0,0,73,81,1,0.4931506812572479,0.6666666865348816,[],[0.3013693392276764,-0.1728397011756897,0.3013702929019928,0.3333333134651184,-0.3013696670532227,0.3333333134651184,-0.3013696670532227,-0.1728397011756897],0],["monwalk-sheet1.png",3722,0,0,73,81,1,0.4931506812572479,0.6666666865348816,[],[0.3013693392276764,
-0.1728397011756897,0.3013702929019928,0.3333333134651184,-0.3013696670532227,0.3333333134651184,-0.3013696670532227,-0.1728397011756897],0]]]],[["Bullet",cr.behaviors.Bullet,0x4f5c384ee6dd7]],!1,!1,7153438739490195,[],null],["t34",cr.plugins_.Sprite,!1,[0x5f425cf5bbc43],0,0,null,[["Default",5,!1,1,0,!1,7703575708723115,[["bomb-sheet0.png",1656,0,0,50,50,1,0.5,0.5,[],[-0.5,-0.1200000047683716,0.4800000190734863,-0.1200000047683716,0.5,0.5,-0.5,0.5],0]]],["destroy",5,!1,1,0,!1,8248817995940256,[["bomb-sheet1.png",
2395,0,0,50,50,1,0.5,0.5,[],[-0.5,-0.1200000047683716,0.4800000190734863,-0.1200000047683716,0.5,0.5,-0.5,0.5],0]]]],[],!1,!1,0xea51803acc646,[],null],["t35",cr.plugins_.Sprite,!1,[4872387808802809,6306553754154822,0x4de2458d9c647,8781209631685285],2,0,null,[["weeker",5,!0,1,0,!1,0x75fa19d831ca5,[["enemy-sheet0.png",70025,279,1,120,120,1,0.5166666507720947,0.1833333373069763,[["Imagepoint 1",0.5249999761581421,0.6083333492279053]],[-0.2249996364116669,-0.1833333373069763,0.2000003457069397,-0.1833333373069763,
0.2083333730697632,0.1958346664905548,-0.2208336591720581,0.2041676640510559],0],["enemy-sheet0.png",70025,1,122,120,120,1,0.5166666507720947,0.1833333373069763,[["Imagepoint 1",0.5,0.5333333611488342]],[-0.2249996364116669,-0.1833333373069763,0.2000003457069397,-0.1833333373069763,0.2083333730697632,0.1958346664905548,-0.2208336591720581,0.2041676640510559],0]]],["spider",5,!0,1,0,!1,0x654825c714b87,[["enemy-sheet0.png",70025,122,122,120,120,1,0.5166666507720947,0.1833333373069763,[],[-0.2249996364116669,
-0.1833333373069763,0.2000003457069397,-0.1833333373069763,0.2083333730697632,0.1958346664905548,-0.2208336591720581,0.2041676640510559],0],["enemy-sheet0.png",70025,243,122,120,120,1,0.5166666507720947,0.1833333373069763,[],[-0.2249996364116669,-0.1833333373069763,0.2000003457069397,-0.1833333373069763,0.2083333730697632,0.1958346664905548,-0.2208336591720581,0.2041676640510559],0]]],["shielding",5,!0,1,0,!1,6860633540531122,[["enemy-sheet0.png",70025,364,122,120,120,1,0.5166666507720947,0.1833333373069763,
[],[-0.2249996364116669,-0.1833333373069763,0.2000003457069397,-0.1833333373069763,0.2083333730697632,0.1958346664905548,-0.2208336591720581,0.2041676640510559],0],["enemy-sheet0.png",70025,1,243,120,120,1,0.5166666507720947,0.1833333373069763,[],[-0.2249996364116669,-0.1833333373069763,0.2000003457069397,-0.1833333373069763,0.2083333730697632,0.1958346664905548,-0.2208336591720581,0.2041676640510559],0]]],["pigiez",5,!0,1,0,!1,4706773392627105,[["enemy-sheet0.png",70025,122,243,120,120,1,0.5166666507720947,
0.1833333373069763,[],[-0.2249996364116669,-0.1833333373069763,0.2000003457069397,-0.1833333373069763,0.2083333730697632,0.1958346664905548,-0.2208336591720581,0.2041676640510559],0],["enemy-sheet0.png",70025,243,243,120,120,1,0.5166666507720947,0.1833333373069763,[],[-0.2249996364116669,-0.1833333373069763,0.2000003457069397,-0.1833333373069763,0.2083333730697632,0.1958346664905548,-0.2208336591720581,0.2041676640510559],0],["enemy-sheet0.png",70025,364,243,120,120,1,0.5166666507720947,0.1833333373069763,
[],[-0.2249996364116669,-0.1833333373069763,0.2000003457069397,-0.1833333373069763,0.2083333730697632,0.1958346664905548,-0.2208336591720581,0.2041676640510559],0],["enemy-sheet0.png",70025,1,364,120,120,1,0.5166666507720947,0.1833333373069763,[],[-0.2249996364116669,-0.1833333373069763,0.2000003457069397,-0.1833333373069763,0.2083333730697632,0.1958346664905548,-0.2208336591720581,0.2041676640510559],0]]],["ash",5,!0,1,0,!1,0x4fd1260e7534e,[["enemy-sheet0.png",70025,122,364,120,120,1,0.5166666507720947,
0.1833333373069763,[],[-0.2249996364116669,-0.1833333373069763,0.2000003457069397,-0.1833333373069763,0.2083333730697632,0.1958346664905548,-0.2208336591720581,0.2041676640510559],0],["enemy-sheet0.png",70025,243,364,120,120,1,0.5166666507720947,0.1833333373069763,[],[-0.2249996364116669,-0.1833333373069763,0.2000003457069397,-0.1833333373069763,0.2083333730697632,0.1958346664905548,-0.2208336591720581,0.2041676640510559],0]]],["ashfight",5,!1,1,0,!1,7263263983100972,[["enemy-sheet0.png",70025,364,
364,120,120,1,0.5166666507720947,0.1833333373069763,[],[-0.2249996364116669,-0.1833333373069763,0.2000003457069397,-0.1833333373069763,0.2083333730697632,0.1958346664905548,-0.2208336591720581,0.2041676640510559],0],["enemy-sheet1.png",8154,1,1,120,120,1,0.5166666507720947,0.1833333373069763,[],[-0.2249996364116669,-0.1833333373069763,0.2000003457069397,-0.1833333373069763,0.2083333730697632,0.1958346664905548,-0.2208336591720581,0.2041676640510559],0],["enemy-sheet1.png",8154,122,1,120,120,1,0.5166666507720947,
0.1833333373069763,[],[-0.2249996364116669,-0.1833333373069763,0.2000003457069397,-0.1833333373069763,0.2083333730697632,0.1958346664905548,-0.2208336591720581,0.2041676640510559],0]]],["spartan",5,!0,1,0,!1,6567622344524866,[["enemy-sheet0.png",70025,1,1,138,120,1,0.5144927501678467,0.1833333373069763,[],[-0.2228257358074188,-0.1833333373069763,0.2021742463111877,-0.1833333373069763,0.2105072736740112,0.1958346664905548,-0.2186597585678101,0.2041676640510559],0],["enemy-sheet0.png",70025,140,1,138,
120,1,0.5144927501678467,0.1833333373069763,[],[-0.2228257358074188,-0.1833333373069763,0.2021742463111877,-0.1833333373069763,0.2105072736740112,0.1958346664905548,-0.2186597585678101,0.2041676640510559],0]]]],[["Bullet",cr.behaviors.Bullet,0xbc76188b6c4b9],["DestroyOutsideLayout",cr.behaviors.destroy,898469864814156]],!1,!1,7554565488004045,[],null],["t36",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,4766718239521613,[["smoke-sheet0.png",19537,1,1,112,120,1,0.5,0.5,[],[-0.25,-0.2666670083999634,
0,-0.4000000059604645,0.2678570151329041,-0.2833330035209656,0.4464290142059326,0,0.3035709857940674,0.3166670203208923,0,0.3500000238418579,-0.3303570151329041,0.3416669964790344,-0.4642857015132904,0],0],["smoke-sheet0.png",19537,114,1,112,120,1,0.5,0.5,[],[-0.3303570151329041,-0.3416669964790344,0,-0.375,0.375,-0.3833329975605011,0.419642984867096,0,0.3214290142059326,0.3333330154418945,0,0.4083330035209656,-0.3392859995365143,0.3500000238418579,-0.4107142984867096,0],0],["smoke-sheet0.png",19537,
1,122,112,120,1,0.5,0.5,[],[0,-0.4916666746139526,-0.2321430146694183,0.1833329796791077,0.482142984867096,0,0,0.2666670083999634,-0.3035709857940674,0.3166670203208923,-0.4910714328289032,0],0],["smoke-sheet0.png",19537,114,122,112,120,1,0.5,0.5,[],[-0.4196428954601288,-0.425000011920929,0,0.324999988079071,0.375,-0.3833329975605011,0.1874999403953552,0.2083330154418945,0,0.4416670203208923,-0.3214290142059326,0.3333330154418945],0]]]],[["Fade",cr.behaviors.Fade,0xbe5c6938cc42f]],!1,!1,5463788268262251,
[],null],["t37",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!0,1,0,!1,5792943787388417,[["mondie-sheet0.png",5461,0,0,120,120,1,0.4916666746139526,0.6416666507720947,[],[0.3478392958641052,-0.1466166377067566,0.3478392958641052,0.2296203374862671,-0.2694446742534638,0.239521324634552,-0.2694446742534638,-0.1466166377067566],0],["mondie-sheet1.png",5375,0,0,120,120,1,0.4916666746139526,0.6416666507720947,[],[0.3478392958641052,-0.1466166377067566,0.3478392958641052,0.2296203374862671,-0.2694446742534638,
0.239521324634552,-0.2694446742534638,-0.1466166377067566],0]]]],[],!1,!1,5234810934614677,[],null],["t38",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",10,!0,1,0,!1,0xc08ab4139f06a,[["bnbullet-sheet0.png",1750,1,1,28,18,1,0.5,0.5,[],[-0.1428569853305817,0.05555599927902222,0,0,0.4642859697341919,-0.4444443881511688,0.4642859697341919,0,0.3214290142059326,0.2222219705581665,0,0.4444440007209778,-0.4285714030265808,0.3888890147209168,-0.07142901420593262,0],0],["bnbullet-sheet0.png",1750,1,20,16,18,
1,0.5,0.5,[],[0,-0.05555599927902222,0,-0.1666670143604279,0.4374999403953552,-0.4444443881511688,0.375,0,0.25,0.2777779698371887,0,0.4444440007209778,-0.375,0.3888890147209168,-0.4375,0],0],["bnbullet-sheet0.png",1750,18,20,16,18,1,0.5,0.5,[],[0.4374999403953552,0,0.375,0.3888890147209168,0,0.4444440007209778,-0.25,0.2777779698371887,-0.375,0,-0.4375,-0.4444443881511688,0,-0.1666670143604279,0,-0.05555599927902222],0],["bnbullet-sheet0.png",1750,30,1,28,18,1,0.5,0.5,[],[0.07142901420593262,0,0.4285709857940674,
0.3888890147209168,0,0.4444440007209778,-0.3214290142059326,0.2222219705581665,-0.4642857015132904,0,-0.4642857015132904,-0.4444443881511688,0,0,0.1428570151329041,0.05555599927902222],0]]]],[["DestroyOutsideLayout",cr.behaviors.destroy,0x9b13d76659e1c],["Bullet",cr.behaviors.Bullet,5431900441011103]],!1,!1,5569513674433843,[],null],["t39",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9161760091560364,[["heal-sheet0.png",4774,1,1,130,130,1,0.5,0.5,[],[-0.1692309975624085,-0.1692309975624085,
0,-0.2615379989147186,0.1307690143585205,-0.1307690143585205,0.2461540102958679,0,0.1307690143585205,0.1307690143585205,0,0.261538028717041,-0.08461499214172363,0.08461499214172363,-0.2461540102958679,0],0],["heal-sheet0.png",4774,132,1,130,130,1,0.5,0.5,[],[-0.2153849899768829,-0.2153849899768829,0,-0.199999988079071,0.1692309975624085,-0.1692309975624085,0.1923080086708069,0,0.1692309975624085,0.1692309975624085,0,0.300000011920929,-0.1615380048751831,0.1615380048751831,-0.2538459897041321,0],0],
["heal-sheet0.png",4774,263,1,130,130,1,0.5,0.5,[],[0,-0.3384619951248169,0.2153850197792053,-0.2153849899768829,-0.1615380048751831,0,0,0.3769230246543884,0.1000000238418579,-0.09999999403953552,-0.3615379929542542,0],0],["heal-sheet0.png",4774,1,132,130,130,1,0.5,0.5,[],[0,-0.4000000059604645,0.2692310214042664,-0.2692310214042664,0.3923079967498779,0,0,0.3999999761581421,0.1153849959373474,-0.1153849959373474,-0.3461540043354034,0],0],["heal-sheet0.png",4774,132,132,130,130,1,0.5,0.5,[],[0,-0.4538462162017822,
0.3461539745330811,-0.3461540043354034,-0.2923080027103424,0,0,-0.376922994852066,0.2692310214042664,-0.2692310214042664,-0.4384615123271942,0],0]]]],[["Fade",cr.behaviors.Fade,0xaa06fbd17b8dd]],!1,!1,0x89a6c1b595d51,[],null],["t40",cr.plugins_.Sprite,!1,[],1,0,null,[["win",5,!1,1,0,!1,307967400897125,[["enddialog-sheet0.png",1228829,1,1,800,451,1,0.5012500286102295,0.5011086463928223,[["Imagepoint 1",0.71875,0.1951219439506531],["Imagepoint 2",0.71875,0.4678492248058319],["Imagepoint 3",0.71875,
0.7339246273040771]],[-0.4725000262260437,-0.4501108527183533,-0.001250028610229492,-0.4301552474498749,0.4712499976158142,-0.4523281455039978,0.4474999904632568,-0.002217650413513184,0.45374995470047,0.4190683364868164,-0.001250028610229492,0.3725053668022156,-0.4587500393390656,0.4235033392906189,-0.4425000250339508,-0.002217650413513184],0]]],["lose",5,!1,1,0,!1,0xa92e0e7bf03e,[["enddialog-sheet0.png",1228829,802,1,800,451,1,0.5,0.5011086463928223,[["Imagepoint 1",0.75,0.3015521168708801],["Imagepoint 2",
0.75,0.5875831246376038]],[-0.4712499976158142,-0.4501108527183533,0,-0.3968956470489502,0.4725000262260437,-0.4523281455039978,0.4125000238418579,-0.002217650413513184,0.4549999833106995,0.4190683364868164,0,0.3725053668022156,-0.4575000107288361,0.4235033392906189,-0.4200000166893005,-0.002217650413513184],0]]],["surv",5,!1,1,0,!1,0xcce3796ebef8e,[["enddialog-sheet0.png",1228829,1,453,800,451,1,0.5012500286102295,0.5011086463928223,[["Imagepoint 1",0.7225000262260437,0.3192904591560364],["Imagepoint 2",
0.7225000262260437,0.6008869409561157],["Imagepoint 3",0.197500005364418,0.5388026833534241],["Imagepoint 4",0.197500005364418,0.7538802623748779]],[-0.4725000262260437,-0.4501108527183533,-0.001250028610229492,-0.4301552474498749,0.4712499976158142,-0.4523281455039978,0.4474999904632568,-0.002217650413513184,0.45374995470047,0.4190683364868164,-0.001250028610229492,0.3725053668022156,-0.4587500393390656,0.4235033392906189,-0.4425000250339508,-0.002217650413513184],0]]],["aActive",5,!1,1,0,!1,5946060653095941,
[["enddialog-sheet0.png",1228829,802,453,800,451,1,0.5,0.5011086463928223,[["Imagepoint 1",0.6712499856948853,0.8536585569381714]],[-0.4712499976158142,-0.4501108527183533,0,-0.4301552474498749,0.4737499952316284,-0.4545454382896423,0.4512500166893005,-0.002217650413513184,0.4587500095367432,0.4257203340530396,0,0.3791573643684387,-0.4575000107288361,0.4235033392906189,-0.4412499964237213,-0.002217650413513184],0]]],["sActive",5,!1,1,0,!1,347037002685643,[["enddialog-sheet0.png",1228829,1,905,800,
451,1,0.5,0.5011086463928223,[["Imagepoint 1",0.6712499856948853,0.8536585569381714]],[-0.4712499976158142,-0.4501108527183533,0,-0.4301552474498749,0.4737499952316284,-0.4545454382896423,0.4512500166893005,-0.002217650413513184,0.4587500095367432,0.4257203340530396,0,0.3791573643684387,-0.4575000107288361,0.4235033392906189,-0.4412499964237213,-0.002217650413513184],0]]],["gActive",5,!1,1,0,!1,9596107142061412,[["enddialog-sheet0.png",1228829,802,905,800,451,1,0.5,0.5011086463928223,[["Imagepoint 1",
0.6712499856948853,0.8536585569381714]],[-0.4712499976158142,-0.4501108527183533,0,-0.4301552474498749,0.4737499952316284,-0.4545454382896423,0.4512500166893005,-0.002217650413513184,0.4587500095367432,0.4257203340530396,0,0.3791573643684387,-0.4575000107288361,0.4235033392906189,-0.4412499964237213,-0.002217650413513184],0]]],["shActive",5,!1,1,0,!1,0x978eee033cc56,[["enddialog-sheet0.png",1228829,1,1357,800,451,1,0.5,0.5011086463928223,[["Imagepoint 1",0.6712499856948853,0.8536585569381714]],[-0.4712499976158142,
-0.4501108527183533,0,-0.4301552474498749,0.4737499952316284,-0.4545454382896423,0.4512500166893005,-0.002217650413513184,0.4587500095367432,0.4257203340530396,0,0.3791573643684387,-0.4575000107288361,0.4235033392906189,-0.4412499964237213,-0.002217650413513184],0]]],["tutorial",5,!1,1,0,!1,0xe357fdae5fa1b,[["enddialog-sheet0.png",1228829,802,1357,800,451,1,0.5,0.5011086463928223,[["Imagepoint 1",0.7225000262260437,0.4057649672031403],["Imagepoint 2",0.7225000262260437,0.6962305903434753]],[-0.4712499976158142,
-0.4501108527183533,0,-0.4301552474498749,0.4725000262260437,-0.4523281455039978,0.4487500190734863,-0.002217650413513184,0.4549999833106995,0.4190683364868164,0,0.3725053668022156,-0.4575000107288361,0.4235033392906189,-0.4412499964237213,-0.002217650413513184],0]]]],[["DestroyOutsideLayout",cr.behaviors.destroy,0xc054c684d15af]],!1,!1,0x5321f238f57c8,[],null],["t41",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,311915607847927,[["restartbtn-sheet0.png",18794,1,1,262,102,1,0.5038167834281921,
0.5098039507865906,[],[-0.4618320763111115,-0.4019609689712524,-0.003816783428192139,-0.5098039507865906,0.4503812193870544,-0.3921569585800171,0.4961832165718079,-0.009803950786590576,0.4618322253227234,0.4019610285758972,-0.003816783428192139,0.4901960492134094,-0.4580152928829193,0.3725490570068359,-0.5038167834281921,-0.009803950786590576],0]]],["Hover",5,!1,1,0,!1,0x85e80a11f5194,[["restartbtn-sheet0.png",18794,1,104,262,102,1,0.5038167834281921,0.5098039507865906,[],[-0.4503816962242127,-0.3725489377975464,
-0.003816783428192139,-0.4509804546833038,0.4389312267303467,-0.3627449572086334,0.4923661947250366,-0.009803950786590576,0.4580152034759522,0.3921570777893066,-0.003816783428192139,0.4901960492134094,-0.465648889541626,0.3921570777893066,-0.5,-0.009803950786590576],0]]]],[],!1,!1,8247926996680029,[],null],["t42",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x9539fc8d0b1b9,[["resumebtn-sheet0.png",17903,1,1,262,102,1,0.5038167834281921,0.5098039507865906,[],[-0.4618320763111115,-0.4019609689712524,
-0.003816783428192139,-0.5098039507865906,0.4503812193870544,-0.3921569585800171,0.4961832165718079,-0.009803950786590576,0.4618322253227234,0.4019610285758972,-0.003816783428192139,0.4901960492134094,-0.4580152928829193,0.3725490570068359,-0.5038167834281921,-0.009803950786590576],0]]],["hover",5,!1,1,0,!1,908371871747458,[["resumebtn-sheet0.png",17903,1,104,262,102,1,0.5038167834281921,0.5098039507865906,[],[-0.4503816962242127,-0.3725489377975464,-0.003816783428192139,-0.4509804546833038,0.4389312267303467,
-0.3627449572086334,0.4923661947250366,-0.009803950786590576,0.4580152034759522,0.3921570777893066,-0.003816783428192139,0.4901960492134094,-0.465648889541626,0.3921570777893066,-0.5,-0.009803950786590576],0]]]],[],!1,!1,9036375663512696,[],null],["t43",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x4239efc9c1ba2,[["conbtn-sheet0.png",18584,1,1,262,102,1,0.5038167834281921,0.5098039507865906,[],[-0.4618320763111115,-0.4019609689712524,-0.003816783428192139,-0.5098039507865906,0.4503812193870544,
-0.3921569585800171,0.4961832165718079,-0.009803950786590576,0.4618322253227234,0.4019610285758972,-0.003816783428192139,0.4901960492134094,-0.4580152928829193,0.3725490570068359,-0.5038167834281921,-0.009803950786590576],0]]],["Hover",5,!1,1,0,!1,0xe2f4e9edf6506,[["conbtn-sheet0.png",18584,1,104,262,102,1,0.5038167834281921,0.5098039507865906,[],[-0.4503816962242127,-0.3725489377975464,-0.003816783428192139,-0.4509804546833038,0.4389312267303467,-0.3627449572086334,0.4923661947250366,-0.009803950786590576,
0.4580152034759522,0.3921570777893066,-0.003816783428192139,0.4901960492134094,-0.465648889541626,0.3921570777893066,-0.5,-0.009803950786590576],0]]]],[],!1,!1,5561016874809489,[],null],["t44",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xddbee3e11df2e,[["exitbtn-sheet0.png",16609,1,1,262,102,1,0.5,0.5098039507865906,[],[-0.4580152928829193,-0.4019609689712524,0,-0.5098039507865906,0.4541980028152466,-0.3921569585800171,0.5,-0.009803950786590576,0.4656490087509155,0.4019610285758972,
0,0.4901960492134094,-0.4541985094547272,0.3725490570068359,-0.5,-0.009803950786590576],0]]],["hover",5,!1,1,0,!1,7470110741776917,[["exitbtn-sheet0.png",16609,1,104,262,102,1,0.5,0.5098039507865906,[],[-0.4465649127960205,-0.3725489377975464,0,-0.4509804546833038,0.4427480101585388,-0.3627449572086334,0.4961829781532288,-0.009803950786590576,0.4618319869041443,0.3921570777893066,0,0.4901960492134094,-0.4618321061134338,0.3921570777893066,-0.4961832165718079,-0.009803950786590576],0]]]],[],!1,!1,
7253741434678779,[],null],["t45",cr.plugins_.WebStorage,!1,[],0,0,null,null,[],!1,!1,609758605157127,[],null,[]],["t46",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6812409472356078,[["menudialog-sheet0.png",62408,0,0,524,556,1,0.5,0.5,[["Imagepoint 1",0.5019084215164185,0.2464028745889664],["Imagepoint 2",0.5019084215164185,0.4892086386680603],["Imagepoint 3",0.5019084215164185,0.7266187071800232]],[-0.4732823967933655,-0.4748201072216034,0.4770990014076233,-0.478417307138443,0.4293889999389648,
0,0.4484729766845703,0.4514390230178833,0,0.4316549897193909,-0.4484733045101166,0.4514390230178833,-0.4141221046447754,0],0]]]],[["DestroyOutsideLayout",cr.behaviors.destroy,5413143102013405]],!1,!1,5208533421518185,[],null],["t47",cr.plugins_.TiledBg,!1,[],0,0,["wavegrid.png",169,0],null,[],!1,!1,0x4c62ad94ae71f,[],null],["t48",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6905415286493165,[["arrow-sheet0.png",461,0,0,62,11,1,0.5,0.5454545617103577,[["Imagepoint 1",1.048387050628662,
0.5454545617103577]],[-0.5,-0.5454545617103577,0,-0.1818185746669769,0.4677420258522034,-0.3636365532875061,0.5,-0.09090957045555115,0.4677420258522034,0.2727274298667908,0,0.09090942144393921,-0.5,0.4545454382896423,-0.4677419066429138,-0.09090957045555115],0]]]],[["Bullet",cr.behaviors.Bullet,4678445418138325]],!1,!1,7102188337060307,[],null],["t49",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6892187408987814,[["arrowfall-sheet0.png",1425,0,0,50,50,1,0.5,0.5,[],[-0.4000000059604645,
-0.4000000059604645,0,-0.2400000095367432,0.199999988079071,-0.199999988079071,-0.2199999988079071,-0.2199999988079071,0,-0.1800000071525574,0.1600000262260437,-0.1599999964237213],0]]]],[["Fade",cr.behaviors.Fade,0xa13bfee607c8f]],!1,!1,9534612866387724,[],null],["t50",cr.plugins_.Sprite,!1,[0x6a3445c25ef26,6316879101699246,8001247068730911,0x6847c4b8ec453],1,0,null,[["idle",5,!0,1,0,!1,8241347687679686,[["skefly-sheet0.png",31294,1,1,130,130,1,0.4923076927661896,0.2230769246816635,[],[0.3538462817668915,
0.7769230604171753,-0.2000007033348084,0.7769230604171753,-0.2076926827430725,0.1692310720682144,0.3615383207798004,0.1692310720682144],0],["skefly-sheet0.png",31294,132,1,130,130,1,0.4923076927661896,0.2230769246816635,[],[0.3538462817668915,0.7769230604171753,-0.2000007033348084,0.7769230604171753,-0.2076926827430725,0.1692310720682144,0.3615383207798004,0.1692310720682144],0]]],["shoot",5,!1,1,0,!1,6413495326375126,[["skefly-sheet0.png",31294,263,1,130,130,1,0.4923076927661896,0.2230769246816635,
[],[0.3538462817668915,0.7769230604171753,-0.2000007033348084,0.7769230604171753,-0.2076926827430725,0.1692310720682144,0.3615383207798004,0.1692310720682144],0],["skefly-sheet0.png",31294,1,132,130,130,1,0.4923076927661896,0.2230769246816635,[],[0.3538462817668915,0.7769230604171753,-0.2000007033348084,0.7769230604171753,-0.2076926827430725,0.1692310720682144,0.3615383207798004,0.1692310720682144],0],["skefly-sheet0.png",31294,132,132,130,130,1,0.4923076927661896,0.2230769246816635,[],[0.3538462817668915,
0.7769230604171753,-0.2000007033348084,0.7769230604171753,-0.2076926827430725,0.1692310720682144,0.3615383207798004,0.1692310720682144],0],["skefly-sheet0.png",31294,263,132,130,130,1,0.4923076927661896,0.2230769246816635,[],[0.3538462817668915,0.7769230604171753,-0.2000007033348084,0.7769230604171753,-0.2076926827430725,0.1692310720682144,0.3615383207798004,0.1692310720682144],0]]]],[["Bullet",cr.behaviors.Bullet,0xd0d3ead5c08d8]],!1,!1,9881667165088824,[],null],["t51",cr.plugins_.Sprite,!1,[],2,
0,null,[["Default",5,!1,1,0,!1,4955590842335907,[["arbat-sheet0.png",429,0,0,52,9,1,0.5,0.5555555820465088,[["Imagepoint 1",1,0.5555555820465088]],[0.5,-0.111111581325531,0.4615380167961121,0.2222223877906799,0,0.1111114025115967,-0.5,0.4444444179534912,-0.4615384042263031,-0.111111581325531,-0.5,-0.5555555820465088,0,-0.2222225964069367,0.4807689785957336,-0.4444445967674255],0]]]],[["Bullet",cr.behaviors.Bullet,4591485592477472],["DestroyOutsideLayout",cr.behaviors.destroy,7569310609602464]],!1,
!1,0x3a6c3ef3e3f15,[],null],["t52",cr.plugins_.Sprite,!1,[7658982176555681],2,0,null,[["Default",5,!1,1,0,!1,8847504778561281,[["weapon-sheet2.png",6416,0,0,60,60,1,0.5,0.5,[],[-0.3666670024394989,-0.3666670024394989,0,-0.3666670024394989,0.2333329916000366,-0.2333329916000366,0.449999988079071,0,0.4166669845581055,0.4166669845581055,0,0.4833329916000366,-0.3833329975605011,0.3833330273628235,-0.4000000059604645,0],0]]],["onWork",5,!0,1,0,!1,0xaf76e56a7edce,[["weapon-sheet0.png",4669,0,0,100,100,
1,0.4900000095367432,0.75,[],[-0.2199999988079071,-0.4799999892711639,0.009999990463256836,-0.550000011920929,0.199999988079071,-0.4399999976158142,0.2300000190734863,-0.25,0.3299999833106995,0.06999999284744263,0.009999990463256836,0.1600000262260437,-0.3400000035762787,0.1000000238418579,-0.3100000023841858,-0.25],0],["weapon-sheet1.png",4505,0,0,100,100,1,0.4900000095367432,0.75,[],[-0.2199999988079071,-0.4799999892711639,0.009999990463256836,-0.550000011920929,0.2099999785423279,-0.449999988079071,
0.2300000190734863,-0.25,0.3299999833106995,0.06999999284744263,0.009999990463256836,0.199999988079071,-0.2800000309944153,0.04000002145767212,-0.300000011920929,-0.25],0]]]],[["DestroyOutsideLayout",cr.behaviors.destroy,5734085871827589],["DragDrop",cr.behaviors.DragnDrop,8110777107579028]],!1,!1,0xe9a81d7768eaf,[],null],["t53",cr.plugins_.Sprite,!1,[7213342340083611,0x9cf9a91cb5c2e],0,0,null,[["Default",5,!1,1,0,!1,0x96b3be01b0cd5,[["weaponmaker-sheet0.png",27281,1,1,100,100,1,0.5099999904632568,
0.7300000190734863,[["Imagepoint 1",0.6899999976158142,0.9900000095367432],["Imagepoint 2",0.4900000095367432,-0.009999999776482582]],[0.2900000214576721,-0.4200000166893005,0.3100000023841858,0.2599999904632568,-0.5099999904632568,0.2699999809265137,-0.5099999904632568,-0.4300000071525574],0]]],["onwork",5,!0,1,0,!1,0xf320367a0fc4e,[["weaponmaker-sheet0.png",27281,102,1,100,100,1,0.5099999904632568,0.7300000190734863,[["Imagepoint 1",0.6899999976158142,0.9900000095367432],["Imagepoint 2",0.4900000095367432,
-0.009999999776482582]],[0.2900000214576721,-0.4200000166893005,0.3100000023841858,0.2599999904632568,-0.5099999904632568,0.2699999809265137,-0.5099999904632568,-0.4300000071525574],0],["weaponmaker-sheet0.png",27281,1,102,100,100,1,0.5099999904632568,0.7300000190734863,[["Imagepoint 1",0.6899999976158142,0.9900000095367432],["Imagepoint 2",0.4900000095367432,-0.009999999776482582]],[0.2900000214576721,-0.4200000166893005,0.3100000023841858,0.2599999904632568,-0.5099999904632568,0.2699999809265137,
-0.5099999904632568,-0.4300000071525574],0]]],["inmake",5,!0,1,0,!1,0x7418ee6bad540,[["weaponmaker-sheet0.png",27281,102,102,100,100,1,0.5099999904632568,0.7300000190734863,[],[0.2900000214576721,-0.4200000166893005,0.3100000023841858,0.2599999904632568,-0.5099999904632568,0.2699999809265137,-0.5099999904632568,-0.4300000071525574],0],["weaponmaker-sheet1.png",5063,0,0,100,100,1,0.5099999904632568,0.7300000190734863,[],[0.2900000214576721,-0.4200000166893005,0.3100000023841858,0.2599999904632568,
-0.5099999904632568,0.2699999809265137,-0.5099999904632568,-0.4300000071525574],0]]]],[],!1,!1,51042983884023,[],null],["t54",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,7741959228558044,[["hamer-sheet0.png",3725,1,1,60,60,1,0.5,-0.5666666626930237,[["Imagepoint 1",0.5,-0.01666666753590107]],[0.5,0.5666666626930237,0.5,1.566666603088379,-0.5,1.566666603088379,-0.5,0.5666666626930237],0],["hamer-sheet0.png",3725,62,1,60,60,1,0.5,-0.01666666753590107,[["Imagepoint 1",0.5,-0.01666666753590107]],
[0.5,1.016666650772095,-0.5,1.016666650772095,-0.5,0.01666666753590107,0.5,0.01666666753590107],0],["hamer-sheet0.png",3725,1,62,60,60,1,0.5,0.5,[["Imagepoint 1",0.5,-0.01666666753590107]],[0.5,0.5,-0.5,0.5,-0.5,-0.5,0.5,-0.5],0]]],["blast",5,!0,1,0,!1,5543458803155734,[["hamer-sheet0.png",3725,62,62,60,60,1,0.5,0.5,[["Imagepoint 1",0.5,-0.01666666753590107]],[-0.1666670143604279,-0.1666670143604279,0,-0.3666670024394989,0.300000011920929,-0.300000011920929,0.4666669964790344,0,0.3500000238418579,
0.3500000238418579,0,0.2666670083999634,-0.3666670024394989,0.3666669726371765,-0.1333329975605011,0],0],["hamer-sheet1.png",3668,1,1,60,60,1,0.5,0.5,[["Imagepoint 1",0.5,-0.01666666753590107]],[-0.1666670143604279,0.1666669845581055,-0.3666670024394989,0,-0.300000011920929,-0.300000011920929,0,-0.4666666090488434,0.3500000238418579,-0.3499999940395355,0.2666670083999634,0,0.3666669726371765,0.3666669726371765,0,0.1333330273628235],0],["hamer-sheet1.png",3668,62,1,60,60,1,0.5,0.5,[["Imagepoint 1",
0.5,-0.01666666753590107]],[0.1666669845581055,0.1666669845581055,0,0.3666669726371765,-0.300000011920929,0.300000011920929,-0.4666666090488434,0,-0.3499999940395355,-0.3499999940395355,0,-0.2666670083999634,0.3666669726371765,-0.3666670024394989,0.1333330273628235,0],0],["hamer-sheet1.png",3668,1,62,60,60,1,0.5,0.5,[["Imagepoint 1",0.5,-0.01666666753590107]],[0.1666669845581055,-0.1666670143604279,0.3666669726371765,0,0.300000011920929,0.300000011920929,0,0.4666669964790344,-0.3499999940395355,0.3500000238418579,
-0.2666670083999634,0,-0.3666670024394989,-0.3666670024394989,0,-0.1333329975605011],0]]]],[["Bullet",cr.behaviors.Bullet,5469615311635332],["Fade",cr.behaviors.Fade,4983957091027822]],!1,!1,0x9b15c782ad6a1,[],null],["t55",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x798e86d5f9519,[["hiteffect-sheet0.png",584,0,0,53,55,1,0.5094339847564697,0.5090909004211426,[],[-0.3584910035133362,-0.3636358976364136,-0.01886799931526184,-0.327272891998291,0.3018870353698731,-0.327272891998291,0.188679039478302,
-0.01818189024925232,0.2075470089912415,0.2181820869445801,-0.01886799931526184,0.2181820869445801,-0.3018869757652283,0.2909091114997864,-0.4905660748481751,-0.01818189024925232],0]]]],[["Fade",cr.behaviors.Fade,0xd31f7b381d8e]],!1,!1,7436482158848131,[],null],["t56",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",1,!0,1,0,!1,0xfd4e1d47baabd,[["bnbub-sheet0.png",1065,1,1,48,40,1,0.9791666865348816,1.024999976158142,[],[],0],["bnbub-sheet0.png",1065,50,1,48,40,1,0.9791666865348816,1.024999976158142,
[],[],0],["bnbub-sheet0.png",1065,1,42,48,40,1,0.9791666865348816,1.024999976158142,[],[-0.8541666865348816,-0.875,-0.4791666865348816,-0.9749999642372131,-0.2083336710929871,-0.75,-0.1874997019767761,-0.5249999761581421,-0.04166674613952637,-0.09999996423721313,-0.4791666865348816,-0.2749999761581421,-0.7499997019767761,-0.2999999523162842,-0.9375,-0.5249999761581421],0],["bnbub-sheet0.png",1065,50,42,48,40,1,0.9791666865348816,1.024999976158142,[],[],0]]]],[],!1,!1,5833793427164223,[],null],["t57",
cr.plugins_.Sprite,!1,[],1,0,null,[["full",5,!1,1,0,!1,9031940193697966,[["workbub-sheet0.png",3642,1,1,54,33,1,0.5,0.9696969985961914,[],[-0.4814814925193787,-0.9393939971923828,0,-0.9696969985961914,0.4814810156822205,-0.9393939971923828,0.5,-0.4848490059375763,0.3703699707984924,-0.1818180084228516,0,0,-0.3703700006008148,-0.1818180084228516,-0.5,-0.4848490059375763],0]]],["more",5,!1,1,0,!1,0xe3b7c27a7d48b,[["workbub-sheet0.png",3642,56,1,54,33,1,0.5,0.9696969985961914,[],[-0.4814814925193787,
-0.9393939971923828,0,-0.9696969985961914,0.4814810156822205,-0.9393939971923828,0.5,-0.4848490059375763,0.3703699707984924,-0.1818180084228516,0,0,-0.3703700006008148,-0.1818180084228516,-0.5,-0.4848490059375763],0]]],["idle",5,!1,1,0,!1,6646351072414121,[["workbub-sheet0.png",3642,1,35,54,33,1,0.5,0.9696969985961914,[],[-0.4814814925193787,-0.9393939971923828,0,-0.9696969985961914,0.4814810156822205,-0.9393939971923828,0.5,-0.4848490059375763,0.3703699707984924,-0.1818180084228516,0,0,-0.3703700006008148,
-0.1818180084228516,-0.5,-0.4848490059375763],0]]],["bussy",5,!1,1,0,!1,9434265455785958,[["workbub-sheet0.png",3642,1,69,73,23,1,0.5068492889404297,0.95652174949646,[],[-0.4383561015129089,-0.7391307353973389,-0.0136982798576355,-0.7826087474822998,0.4246577024459839,-0.7391307353973389,0.4520547389984131,-0.4782607555389404,0.4246577024459839,-0.1739127635955811,-0.4383561015129089,-0.1739127635955811,-0.479451984167099,-0.4782607555389404],0]]]],[["Fade",cr.behaviors.Fade,0xe9b26d2233626]],!1,
!1,0xc17fed61aff9d,[],null],["t58",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,0x64ae34ef36ee5,[["stonebulet-sheet0.png",344,0,0,13,13,1,0.5384615659713745,0.5384615659713745,[],[-0.4615384638309479,-0.4615384638309479,-0.07692357897758484,-0.5384615659713745,0.3076924085617065,-0.384615570306778,0.4615384340286255,-0.07692357897758484,0.3076924085617065,0.3076924085617065,-0.07692357897758484,0.4615384340286255,-0.3076925873756409,0.2307694554328919,-0.5384615659713745,-0.07692357897758484],
0]]]],[["DestroyOutsideLayout",cr.behaviors.destroy,4766882563896663],["Bullet",cr.behaviors.Bullet,8675758256550391]],!1,!1,0xb644e6491546a,[],null],["t59",cr.plugins_.Sprite,!1,[6918032815610388],0,0,null,[["Default",5,!0,1,0,!1,7372896206132288,[["mjail-sheet0.png",41234,1,1,106,340,1,0.5,0.5,[],[0,-0.4970588088035584,0.02830201387405396,-0.3529410064220429,0.3490570187568665,0,-0.235848993062973,0.2705879807472229,0.2358490228652954,0.2705879807472229,-0.2169809937477112,0],0],["mjail-sheet0.png",
41234,108,1,106,340,1,0.5,0.5,[],[-0.07547199726104736,-0.3676469922065735,0,-0.5,0.009433984756469727,-0.3470590114593506,0.2264149785041809,0,-0.2452830076217651,0.2676470279693604,0,0.2705879807472229,-0.3679249882698059,0],0]]]],[],!1,!1,7038294699427831,[],null],["t60",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,8124206810142654,[["mjail2-sheet0.png",9780,1,1,152,70,1,0.5,0.5,[],[-0.2894740104675293,0.04285699129104614,-0.4868420958518982,0,-0.2960529923439026,-0.05714300274848938,
0,-0.300000011920929,0.467104971408844,-0.4285714030265808,0.4934210181236267,0,0.467104971408844,0.4285709857940674,0,0.4142860174179077],0]]],["broken",5,!1,1,0,!1,0xcbba3f210259b,[["mjail2-sheet0.png",9780,1,72,152,70,1,0.5,0.5,[],[-0.236842006444931,-0.07142901420593262,-0.2105259895324707,0,-0.2302629947662354,0.08571398258209229,0,-0.3857139945030212,0.4605259895324707,-0.4142856895923615,0.4868419766426086,0,0.4605259895324707,0.4142860174179077,0,-0.1714290082454681],0]]]],[["Bullet",cr.behaviors.Bullet,
0x71667741819c0]],!1,!1,5568421719752283,[],null],["t61",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!0,1,0,!1,0xd3e320bd43eda,[["mrun-sheet0.png",5051,0,0,77,86,1,0.5844155550003052,0.2674418687820435,[],[-0.5324674844741821,0.2325581312179565,-0.3896105587482452,-0.09302286803722382,-0.09090954065322876,-0.1162788718938828,0.1948054432868958,-0.06976786255836487,0.3376624584197998,0.2325581312179565,0.2727274298667908,0.604651153087616,-0.09090954065322876,0.6627911329269409,-0.3246755599975586,
0.5000001192092896],0],["mrun-sheet1.png",4757,0,0,77,86,1,0.5844155550003052,0.2674418687820435,[],[-0.3116885423660278,0.2325581312179565,-0.337662547826767,-0.04651187360286713,-0.09090954065322876,-0.2441860735416412,0.1168834567070007,1.192092895507813E-7,0.3636364340782166,0.2325581312179565,0.246753454208374,0.581395149230957,-0.09090954065322876,0.5930231213569641,-0.2727275490760803,0.4534881114959717],0]]]],[["Bullet",cr.behaviors.Bullet,421865900591468],["DestroyOutsideLayout",cr.behaviors.destroy,
5622970773251068]],!1,!1,0x497ec60503ea3,[],null],["t62",cr.plugins_.Sprite,!1,[0x8e763bf312c71],0,0,null,[["idle",5,!1,1,0,!1,0x835b6f6a7adca,[["armormaker-sheet0.png",4931,0,0,100,100,1,0.5,0.5,[["Imagepoint 1",0.7599999904632568,0.9900000095367432],["Imagepoint 2",0.4799999892711639,0.1899999976158142]],[0.5,-0.3400000035762787,0.5,0.5,-0.5,0.5,-0.5,-0.3400000035762787],0]]],["onwork",5,!0,1,0,!1,5212512052708543,[["armormaker-sheet1.png",9173,0,0,100,100,1,0.5,0.5,[["Imagepoint 1",0.7599999904632568,
0.9900000095367432],["Imagepoint 2",0.4799999892711639,0.1899999976158142]],[0.5,-0.3400000035762787,0.5,0.5,-0.5,0.5,-0.5,-0.3400000035762787],0],["armormaker-sheet2.png",5990,0,0,100,100,1,0.5,0.5,[["Imagepoint 1",0.7599999904632568,0.9900000095367432],["Imagepoint 2",0.4799999892711639,0.1899999976158142]],[0.5,-0.3400000035762787,0.5,0.5,-0.5,0.5,-0.5,-0.3400000035762787],0]]]],[],!1,!1,5128246176196599,[],null],["t63",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xbb8a67019bef0,
[["armor-sheet0.png",5188,0,0,60,60,1,0.5,0.5,[],[-0.3166670203208923,-0.3166670203208923,0,-0.2666670083999634,0.3333330154418945,-0.3333330154418945,0.300000011920929,0,0.3666669726371765,0.3666669726371765,0,0.4166669845581055,-0.3666670024394989,0.3666669726371765,-0.2666670083999634,0],0]]]],[["DragDrop",cr.behaviors.DragnDrop,9654734403313432]],!1,!1,7814863604109732,[],null],["t64",cr.plugins_.Sprite,!1,[9487509970296478],0,0,null,[["idle",5,!1,1,0,!1,9494700627968120,[["armorbond-sheet0.png",
4609,0,0,110,110,1,0.4727272689342499,0.7727272510528564,[["Imagepoint 1",0.072727270424366,0.1181818172335625],["Imagepoint 2",0.6363636255264282,0.1636363565921783]],[0.4272727072238922,-0.4636362493038178,0.4272727072238922,0.06363672018051147,-0.05454528331756592,0.0727277398109436,-0.06363627314567566,-0.4636362493038178],0]]],["onwork",5,!0,1,0,!1,0xecdf629a1d3f4,[["armorbond-sheet1.png",7262,0,0,110,110,1,0.4727272689342499,0.7727272510528564,[["Imagepoint 1",0.072727270424366,0.1181818172335625],
["Imagepoint 2",0.6363636255264282,0.1636363565921783]],[0.4272727072238922,-0.4636362493038178,0.4272727072238922,0.06363672018051147,-0.05454528331756592,0.0727277398109436,-0.06363627314567566,-0.4636362493038178],0],["armorbond-sheet2.png",7360,0,0,110,110,1,0.4727272689342499,0.7727272510528564,[["Imagepoint 1",0.072727270424366,0.1181818172335625],["Imagepoint 2",0.6363636255264282,0.1636363565921783]],[0.4272727072238922,-0.4636362493038178,0.4272727072238922,0.06363672018051147,-0.05454528331756592,
0.0727277398109436,-0.06363627314567566,-0.4636362493038178],0]]]],[],!1,!1,6158227757324192,[],null],["t65",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!0,1,0,!1,5841171324072113,[["mrun2-sheet0.png",3932,0,0,80,90,1,0.512499988079071,0.7666666507720947,[["Imagepoint 1",0.512499988079071,0.04444444552063942]],[-0.512499988079071,-0.2333336472511292,0.4749999642372131,-0.2333336472511292,0.487500011920929,0.2333333492279053,-0.512499988079071,0.2333333492279053],0],["mrun2-sheet1.png",3728,0,
0,80,90,1,0.512499988079071,0.7666666507720947,[["Imagepoint 1",0.512499988079071,0.04444444552063942]],[-0.512499988079071,-0.2333336472511292,0.4749999642372131,-0.2333336472511292,0.487500011920929,0.2333333492279053,-0.512499988079071,0.2333333492279053],0]]]],[["Bullet",cr.behaviors.Bullet,5999609160734706],["DestroyOutsideLayout",cr.behaviors.destroy,0x698954dfa1076]],!1,!1,0x8ae57de8d0d0c,[],null],["t66",cr.plugins_.TiledBg,!1,[],0,0,["bondbarcd.png",169,0],null,[],!1,!1,0x9492bc7cdb78b,[],
null],["t67",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!0,1,0,!1,5931922772514379,[["mrun3-sheet0.png",4106,0,0,80,90,1,0.550000011920929,0.300000011920929,[],[-0.3875000178813934,0.199999988079071,-0.3500000238418579,-0.1222220063209534,-0.05000001192092896,-0.1777780055999756,0.262499988079071,-0.1333330124616623,0.4374999403953552,0.199999988079071,0.3125,0.5777779817581177,-0.05000001192092896,0.5777779817581177,-0.2250000238418579,0.4111109972000122],0],["mrun3-sheet1.png",4072,0,0,80,
90,1,0.550000011920929,0.300000011920929,[],[-0.2875000238418579,0.199999988079071,-0.4375,-0.2000000178813934,-0.05000001192092896,-0.2777778208255768,0.199999988079071,-0.07777801156044006,0.375,0.199999988079071,0.2374999523162842,0.5111109614372253,-0.05000001192092896,0.5111109614372253,-0.2250000238418579,0.4111109972000122],0]]]],[["DestroyOutsideLayout",cr.behaviors.destroy,8204281633658461],["Bullet",cr.behaviors.Bullet,0x856c5b1e1c210]],!1,!1,5862769016692261,[],null],["t68",cr.plugins_.TiledBg,
!1,[],0,0,["tiledbackground4.png",980632,1],null,[],!1,!1,6612007100951933,[],null],["t69",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xce0219a955941,[["conbtn2-sheet0.png",17695,1,1,262,102,1,0.5038167834281921,0.5,[],[-0.4618320763111115,-0.3921570181846619,-0.003816783428192139,-0.5,0.4503812193870544,-0.3823530077934265,0.4961832165718079,0,0.4618322253227234,0.4117649793624878,-0.003816783428192139,0.5,-0.4580152928829193,0.3823530077934265,-0.5038167834281921,0],0]]],["Hover",
5,!1,1,0,!1,5579787513626899,[["conbtn2-sheet0.png",17695,1,104,262,102,1,0.5038167834281921,0.5,[],[-0.4503816962242127,-0.3627449870109558,-0.003816783428192139,-0.4411765038967133,0.4389312267303467,-0.3529410064220429,0.4923661947250366,0,0.4580152034759522,0.4019610285758972,-0.003816783428192139,0.5,-0.465648889541626,0.4019610285758972,-0.5,0],0]]]],[],!1,!1,0xe11c51428b937,[],null],["t70",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5978314364593977,[["newjourney-sheet0.png",
19253,1,1,262,102,1,0.5038167834281921,0.5,[],[-0.4618320763111115,-0.3921570181846619,-0.003816783428192139,-0.5,0.4503812193870544,-0.3823530077934265,0.4961832165718079,0,0.4618322253227234,0.4117649793624878,-0.003816783428192139,0.5,-0.4580152928829193,0.3823530077934265,-0.5038167834281921,0],0]]],["hover",5,!1,1,0,!1,4716916254004858,[["newjourney-sheet0.png",19253,1,104,262,102,1,0.5038167834281921,0.5,[],[-0.4503816962242127,-0.3627449870109558,-0.003816783428192139,-0.4411765038967133,0.4389312267303467,
-0.3529410064220429,0.4923661947250366,0,0.4580152034759522,0.4019610285758972,-0.003816783428192139,0.5,-0.465648889541626,0.4019610285758972,-0.5,0],0]]]],[],!1,!1,0xbac40393dbc67,[],null],["t71",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x41e947fdabbd1,[["survivalbtn-sheet0.png",18241,1,1,262,102,1,0.5038167834281921,0.5,[],[-0.4618320763111115,-0.3921570181846619,-0.003816783428192139,-0.5,0.4503812193870544,-0.3823530077934265,0.4961832165718079,0,0.4618322253227234,0.4117649793624878,
-0.003816783428192139,0.5,-0.4580152928829193,0.3823530077934265,-0.5038167834281921,0],0]]],["hover",5,!1,1,0,!1,9300381637985632,[["survivalbtn-sheet0.png",18241,1,104,262,102,1,0.5038167834281921,0.5,[],[-0.4503816962242127,-0.3627449870109558,-0.003816783428192139,-0.4411765038967133,0.4389312267303467,-0.3529410064220429,0.4923661947250366,0,0.4580152034759522,0.4019610285758972,-0.003816783428192139,0.5,-0.465648889541626,0.4019610285758972,-0.5,0],0]]]],[],!1,!1,8127165457232566,[],null],["t72",
cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,8912062665369816,[],null],["t73",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,0xf5dc49a02f90f,[],null],["t74",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xdbe872108c93e,[["tutbubble-sheet0.png",29358,1,174,373,163,1,0.5013405084609985,0.5030674934387207,[],[-0.48525470495224,-0.4662576913833618,0.4798924922943115,-0.4601227045059204,0.4825735092163086,-0.006134480237960815,0.4021444916725159,0.2760735154151917,-0.4048258066177368,0.2760735154151917,
-0.4906166195869446,-0.006134480237960815],0]]],["a1",5,!1,1,0,!1,402866654179664,[["tutbubble-sheet1.png",10468,1,285,373,116,1,0.5013405084609985,0.5,[],[-0.4772118031978607,-0.4224137961864471,0.4745305180549622,-0.4224137961864471,0.4825735092163086,0,0.4021444916725159,0.1896550059318543,-0.4048258066177368,0.1896550059318543,-0.4906166195869446,0],0]]],["a2",5,!1,1,0,!1,0x792bd940c17c3,[["tutbubble-sheet1.png",10468,1,145,373,139,1,0.5013405084609985,0.5035971403121948,[],[-0.48525470495224,
-0.4604316353797913,0.4798924922943115,-0.4532374441623688,0.4825735092163086,-0.00719413161277771,0.4021444916725159,0.2374098300933838,-0.4048258066177368,0.2374098300933838,-0.4906166195869446,-0.00719413161277771],0]]],["a3",5,!1,1,0,!1,0x97f74c89ddd6c,[["tutbubble-sheet1.png",10468,1,1,373,143,1,0.5013405084609985,0.503496527671814,[],[-0.474530816078186,-0.4335664212703705,0.4718495011329651,-0.4335664212703705,0.4825735092163086,-0.006992518901824951,0.4021444916725159,0.2447554469108582,-0.4048258066177368,
0.2447554469108582,-0.4906166195869446,-0.006992518901824951],0]]],["a4",5,!1,1,0,!1,0xbeb4a327b87b0,[["tutbubble-sheet0.png",29358,1,1,373,172,1,0.5013405084609985,0.5,[],[-0.4638070166110992,-0.4186046123504639,0.4611254930496216,-0.4186046123504639,0.4825735092163086,0,0.4021444916725159,0.2906979918479919,-0.4048258066177368,0.2906979918479919,-0.4906166195869446,0],0]]],["a5",5,!1,1,0,!1,9618945800674252,[["tutbubble-sheet0.png",29358,1,338,373,148,1,0.788203775882721,0.9459459185600281,[],[-0.7694369554519653,
-0.8986486196517944,0.190348207950592,-0.8918918371200562,0.1957102417945862,-0.4459459185600281,0.1152812242507935,-0.1891888976097107,-0.6916890740394592,-0.1891888976097107,-0.777479887008667,-0.4459459185600281],0]]]],[],!1,!1,5888983570065139,[],null],["t75",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xd03dd6a221a2d,[["handsprite-sheet0.png",1840,0,0,107,96,1,0.1028037369251251,0.125,[],[-0.07476633787155151,-0.09375,0.1308412700891495,-0.125,0.1588782668113709,0.1979170143604279,
-0.09345794469118118,0.1770839989185333],0]]]],[["Bullet",cr.behaviors.Bullet,8474587895994975]],!1,!1,6031998909812182,[],null],["t76",cr.plugins_.TiledBg,!1,[],0,0,["tiledbackground5.png",988144,1],null,[],!1,!0,9311179845245564,[],null],["t77",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,4600346469297895,[["fbbuton-sheet0.png",8469,1,1,267,52,1,0.5018726587295532,0.5,[],[-0.4943820238113403,-0.4615384936332703,-0.00374564528465271,-0.5,0.4906363487243652,-0.4615384936332703,0.4868913292884827,
0.4423080086708069,-0.00374564528465271,0.5,-0.4906366467475891,0.4423080086708069],0]]],["hover",5,!1,1,0,!1,0xab083814168f,[["fbbuton-sheet0.png",8469,1,54,267,52,1,0.5018726587295532,0.5,[],[-0.4906366467475891,-0.442307710647583,0.4868913292884827,-0.442307710647583,0.4906363487243652,0.4615380167961121,-0.00374564528465271,0.5,-0.4943820238113403,0.4615380167961121],0]]]],[],!1,!1,0xe44830bb426dc,[],null],["t78",cr.plugins_.Facebook,!1,[],0,0,null,null,[],!1,!1,5671245704247498,[],null,["",""]],
["t79",cr.plugins_.CJSAds,!1,[],0,0,null,null,[],!1,!1,7006496017690533,[],null,[0,1]],["t80",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xa90308de4eb7,[["sprite-sheet0.png",2338,0,0,211,53,1,0.5023696422576904,0.5094339847564697,[],[-0.4265402555465698,-0.2075469791889191,-0.004739642143249512,-0.3773589730262756,0.3981043696403503,-0.113207995891571,0.4928913712501526,-0.01886799931526184,0.4928913712501526,0.471697986125946,-0.004739642143249512,0.4905660152435303,-0.4834123551845551,
0.4150940179824829,-0.4834123551845551,-0.01886799931526184],0]]]],[],!1,!1,5822760829354898,[],null],["t81",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,8080410258869918,[["msgdialog-sheet0.png",55358,0,0,816,386,1,0.5,0.5,[["Imagepoint 1",0.3002451062202454,0.7098445892333984],["Imagepoint 2",0.716911792755127,0.7098445892333984]],[-0.4791666865348816,-0.4559584856033325,0.4816179871559143,-0.4611398875713348,0.4485290050506592,0,0.4620100259780884,0.4196889996528626,0,0.3860099911689758,
-0.4620097875595093,0.4196889996528626,-0.4387255012989044,0],0]]]],[["DestroyOutsideLayout",cr.behaviors.destroy,9648391348871944]],!1,!1,0x71661fabcfa90,[],null],["t82",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x490b9b407a135,[["yesbtn-sheet0.png",16603,1,1,262,102,1,0.5038167834281921,0.5098039507865906,[],[-0.5038167834281921,-0.5098039507865906,-0.003816783428192139,-0.5098039507865906,0.2748092412948608,-0.5098039507865906,0.2748101949691773,0.4901960492134094,-0.003816783428192139,
0.4901960492134094,-0.5038167834281921,0.4901960492134094,-0.5038167834281921,-0.1568629443645477],0]]],["hover",5,!1,1,0,!1,9291995726038814,[["yesbtn-sheet0.png",16603,1,104,262,102,1,0.5038167834281921,0.5098039507865906,[],[-0.5038167834281921,-0.5098039507865906,-0.003816783428192139,-0.5098039507865906,0.2748092412948608,-0.5098039507865906,0.2748101949691773,0.4901960492134094,-0.003816783428192139,0.4901960492134094,-0.5038167834281921,0.4901960492134094,-0.5038167834281921,-0.1568629443645477],
0]]]],[],!1,!1,0xdcc77e249a260,[],null],["t83",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7819794035123109,[["nobtn-sheet0.png",15714,1,1,262,102,1,0.5038167834281921,0.5098039507865906,[],[-0.2671757936477661,-0.5098039507865906,0.4961832165718079,-0.5098039507865906,0.4961832165718079,0.4901960492134094,-0.2671757936477661,0.4901960492134094],0]]],["hover",5,!1,1,0,!1,8682590142743943,[["nobtn-sheet0.png",15714,1,104,262,102,1,0.5038167834281921,0.5098039507865906,[],[-0.2671757936477661,
-0.5098039507865906,0.4961832165718079,-0.5098039507865906,0.4961832165718079,0.4901960492134094,-0.2671757936477661,0.4901960492134094],0]]]],[],!1,!1,7826266990796664,[],null],["t84",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,4519912909925557,[["newjourney-sheet0.png",19253,1,1,262,102,1,0.5038167834281921,0.5,[],[-0.4618320763111115,-0.3921570181846619,-0.003816783428192139,-0.5,0.4503812193870544,-0.3823530077934265,0.4961832165718079,0,0.4618322253227234,0.4117649793624878,-0.003816783428192139,
0.5,-0.4580152928829193,0.3823530077934265,-0.5038167834281921,0],0]]],["hover",5,!1,1,0,!1,8643349351755742,[["newjourney-sheet0.png",19253,1,104,262,102,1,0.5038167834281921,0.5,[],[-0.4503816962242127,-0.3627449870109558,-0.003816783428192139,-0.4411765038967133,0.4389312267303467,-0.3529410064220429,0.4923661947250366,0,0.4580152034759522,0.4019610285758972,-0.003816783428192139,0.5,-0.465648889541626,0.4019610285758972,-0.5,0],0]]]],[],!1,!1,0x8de0d58c2f610,[],null],["t85",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,5149204464001072,[["nextbtn-sheet0.png",17138,1,1,262,102,1,0.5,0.5098039507865906,[],[-0.4580152928829193,-0.4019609689712524,0,-0.5098039507865906,0.4541980028152466,-0.3921569585800171,0.5,-0.009803950786590576,0.4656490087509155,0.4019610285758972,0,0.4901960492134094,-0.4541985094547272,0.3725490570068359,-0.5,-0.009803950786590576],0]]],["hover",5,!1,1,0,!1,5678233365505761,[["nextbtn-sheet0.png",17138,1,104,262,102,1,0.5,0.5098039507865906,[],[-0.4465649127960205,
-0.3725489377975464,0,-0.4509804546833038,0.4427480101585388,-0.3627449572086334,0.4961829781532288,-0.009803950786590576,0.4618319869041443,0.3921570777893066,0,0.4901960492134094,-0.4618321061134338,0.3921570777893066,-0.4961832165718079,-0.009803950786590576],0]]]],[],!1,!1,7315070016278264,[],null],["t86",cr.plugins_.Sprite,!0,[],0,0,null,null,[],!1,!1,0xeb90fd739d9aa,[],null],["t87",cr.plugins_.Sprite,!0,[],0,0,null,null,[],!1,!1,0xca13fe95bd65f,[],null]],[[86,2,4,0,1,3],[87,35,50]],[["opening",
1200,600,!1,"openSheet",8873350371196689,[["Layer 0",0,8722530541249526,!0,[0,0,0],!1,1,1,1,!1,1,0,0,[[[-74,-3,0,1120,640,0,0,1,0,0,0,0,[]],76,735,[],[],[0,0]]],[]]],[],[]],["tutorial",1200,630,!1,"TutorialSheet",0xbc572e6e7500e,[["bg",0,27234653005446,!0,[0,153,51],!1,1,1,1,!1,1,0,0,[[[0,-4,0,1058,672,0,0,1,0,0,0,0,[]],6,648,[],[],[0,0]]],[]],["slot",1,8129996364164795,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[192,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,649,[],[],[0,"Default",0,1]],[[288,256,0,50,50,0,
0,1,0.5,0.5,0,0,[]],12,650,[],[],[0,"Default",0,1]],[[480,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,651,[],[],[0,"Default",0,1]],[[576,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,652,[],[],[0,"Default",0,1]],[[672,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,653,[],[],[0,"Default",0,1]],[[768,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,654,[],[],[0,"Default",0,1]],[[864,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,655,[],[],[0,"Default",0,1]],[[960,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,656,[],[],[0,"Default",0,1]],[[192,352,0,50,50,
0,0,1,0.5,0.5,0,0,[]],13,657,[],[],[0,"Default",0,1]],[[288,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,658,[],[],[0,"Default",0,1]],[[384,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,659,[],[],[0,"Default",0,1]],[[576,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,660,[],[],[0,"Default",0,1]],[[672,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,661,[],[],[0,"Default",0,1]],[[768,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,662,[],[],[0,"Default",0,1]],[[864,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,663,[],[],[0,"Default",0,1]],[[960,352,0,50,
50,0,0,1,0.5,0.5,0,0,[]],13,664,[],[],[0,"Default",0,1]],[[192,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,665,[],[],[0,"Default",0,1]],[[288,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,666,[],[],[0,"Default",0,1]],[[480,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,667,[],[],[0,"Default",0,1]],[[576,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,668,[],[],[0,"Default",0,1]],[[672,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,669,[],[],[0,"Default",0,1]],[[768,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,670,[],[],[0,"Default",0,1]],[[864,448,0,
50,50,0,0,1,0.5,0.5,0,0,[]],14,671,[],[],[0,"Default",0,1]],[[960,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,672,[],[],[0,"Default",0,1]],[[1056,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],16,673,[],[],[0,"Default",0,1]],[[1056,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],17,674,[],[],[0,"Default",0,1]],[[1056,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],18,675,[],[],[0,"Default",0,1]],[[1056,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],19,676,[],[],[0,"Default",0,1]],[[1056,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],20,677,[],[],[0,"Default",0,1]],[[480,
352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,683,[],[],[0,"Default",0,1]],[[384,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,693,[],[],[0,"Default",0,1]],[[384,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,685,[],[],[0,"Default",0,1]]],[]],["1",2,5263899453215598,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["2",3,4831274215121318,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,680,[[1]],[],[0,"Default",0,1]]],[]],["3",4,828558105482609,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,352,0,50,50,0,0,
1,0.5,0.5,0,0,[]],34,682,[[1]],[],[0,"Default",0,1]]],[]],["4",5,0x7919e28c69c6e,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,684,[[1]],[],[0,"Default",0,1]],[[64,352,0,81,82,0,0,1,0.5061728358268738,0.5,0,0,[]],25,678,[],[],[0,"Default",0,1]],[[44,329,0,64,65,0,0,1,0,0,0,0,[]],26,679,[],[],[0,0]]],[]],["5",6,0x869e6cb5b5424,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["other",7,371514337989982,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[617,210,0,373,163,0,0,1,0.5013405084609985,
0.5030674934387207,0,0,[]],74,681,[],[],[0,"Default",0,1]]],[]],["Gui",8,8244390664777828,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[482,352,0,107,96,0,0,1,0.1028037369251251,0.125,0,0,[]],75,695,[],[[50,0,0,0,1,1]],[0,"Default",0,1]],[[320,32,0,139,34,0,0,1,0.5035971403121948,0.5,0,0,[]],23,736,[],[],[0,"Default",0,1]],[[293,22,0,84,27,0,0,1,0,0,0,0,[]],24,737,[],[],["0",0,"bold 12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["dialogLayer",9,9532942473989188,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-13,-10,0,
1056,640,0,0,1,0,0,0,0,[]],31,689,[],[],[0,0]]],[]]],[],[]],["stage1",1200,630,!1,"Stage1Sheet",6256472585440831,[["bg",0,0xcca340ec274cd,!0,[0,153,51],!1,1,1,1,!1,1,0,0,[[[0,-4,0,1152,672,0,0,1,0,0,0,0,[]],6,686,[],[],[0,0]]],[]],["slot",1,0xdc6812a3d4b9e,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[192,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,687,[],[],[0,"Default",0,1]],[[288,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,688,[],[],[0,"Default",0,1]],[[480,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,696,[],[],[0,"Default",
0,1]],[[576,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,697,[],[],[0,"Default",0,1]],[[672,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,698,[],[],[0,"Default",0,1]],[[768,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,699,[],[],[0,"Default",0,1]],[[864,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,700,[],[],[0,"Default",0,1]],[[960,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,701,[],[],[0,"Default",0,1]],[[192,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,702,[],[],[0,"Default",0,1]],[[288,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,703,[],[],[0,"Default",
0,1]],[[384,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,704,[],[],[0,"Default",0,1]],[[576,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,705,[],[],[0,"Default",0,1]],[[672,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,706,[],[],[0,"Default",0,1]],[[768,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,707,[],[],[0,"Default",0,1]],[[864,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,708,[],[],[0,"Default",0,1]],[[960,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,709,[],[],[0,"Default",0,1]],[[192,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,710,[],[],[0,"Default",
0,1]],[[288,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,711,[],[],[0,"Default",0,1]],[[480,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,712,[],[],[0,"Default",0,1]],[[576,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,713,[],[],[0,"Default",0,1]],[[672,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,714,[],[],[0,"Default",0,1]],[[768,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,715,[],[],[0,"Default",0,1]],[[864,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,716,[],[],[0,"Default",0,1]],[[960,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,717,[],[],[0,"Default",
0,1]],[[1056,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],16,718,[],[],[0,"Default",0,1]],[[1056,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],17,719,[],[],[0,"Default",0,1]],[[1056,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],18,720,[],[],[0,"Default",0,1]],[[1056,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],19,721,[],[],[0,"Default",0,1]],[[1056,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],20,722,[],[],[0,"Default",0,1]],[[384,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,726,[],[],[0,"Default",0,1]],[[480,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,728,[],[],[0,"Default",
0,1]],[[384,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,730,[],[],[0,"Default",0,1]]],[]],["1",2,0x3e4476a380415,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[64,128,0,81,82,0,0,1,0.5061728358268738,0.5,0,0,[]],25,723,[],[],[0,"Default",0,1]],[[44,105,0,64,65,0,0,1,0,0,0,0,[]],26,724,[],[],[0,0]]],[]],["2",3,5753163448529603,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,725,[[1]],[],[0,"Default",0,1]]],[]],["3",4,9703567208885284,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,352,0,50,
50,0,0,1,0.5,0.5,0,0,[]],34,727,[[1]],[],[0,"Default",0,1]]],[]],["4",5,5323362539667527,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,729,[[1]],[],[0,"Default",0,1]]],[]],["5",6,7397335635450086,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["other",7,7506634348457267,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Gui",8,915102896250729,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[43,27,0,200,18,0,0,1,0,0,0,0,[]],47,731,[],[],[0,0]],[[128,33,0,234,60,0,0,1,0.5,0.5166666507720947,
0,0,[]],21,732,[],[],[0,"Default",0,1]],[[961,37,0,65,65,0,0,1,0.5076923370361328,0.5076923370361328,0,0,[]],22,733,[],[],[0,"Default",0,1]],[[320,32,0,139,34,0,0,1,0.5035971403121948,0.5,0,0,[]],23,738,[],[],[0,"Default",0,1]],[[293,22,0,84,27,0,0,1,0,0,0,0,[]],24,739,[],[],["0",0,"bold 12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["dialogLayer",9,0x6824eda89e8b3,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-13,-10,0,1152,640,0,0,1,0,0,0,0,[]],31,734,[],[],[0,0]]],[]]],[],[]],["stage2",1200,630,!1,"Stage2Sheet",
9922593721098916,[["bg",0,417599017669137,!0,[0,153,51],!1,1,1,1,!1,1,0,0,[[[0,-4,0,1136,672,0,0,1,0,0,0,0,[]],6,150,[],[],[0,0]]],[]],["slot",1,6985034821640776,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[192,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,160,[],[],[0,"Default",0,1]],[[288,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,161,[],[],[0,"Default",0,1]],[[480,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,163,[],[],[0,"Default",0,1]],[[576,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,164,[],[],[0,"Default",0,1]],[[672,256,0,50,
50,0,0,1,0.5,0.5,0,0,[]],12,165,[],[],[0,"Default",0,1]],[[768,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,166,[],[],[0,"Default",0,1]],[[864,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,167,[],[],[0,"Default",0,1]],[[960,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,168,[],[],[0,"Default",0,1]],[[192,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,169,[],[],[0,"Default",0,1]],[[288,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,170,[],[],[0,"Default",0,1]],[[384,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,171,[],[],[0,"Default",0,1]],[[576,352,0,
50,50,0,0,1,0.5,0.5,0,0,[]],13,173,[],[],[0,"Default",0,1]],[[672,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,174,[],[],[0,"Default",0,1]],[[768,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,175,[],[],[0,"Default",0,1]],[[864,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,176,[],[],[0,"Default",0,1]],[[960,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,177,[],[],[0,"Default",0,1]],[[192,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,178,[],[],[0,"Default",0,1]],[[288,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,179,[],[],[0,"Default",0,1]],[[480,448,
0,50,50,0,0,1,0.5,0.5,0,0,[]],14,181,[],[],[0,"Default",0,1]],[[576,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,182,[],[],[0,"Default",0,1]],[[672,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,183,[],[],[0,"Default",0,1]],[[768,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,184,[],[],[0,"Default",0,1]],[[864,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,185,[],[],[0,"Default",0,1]],[[960,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,186,[],[],[0,"Default",0,1]],[[1056,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],16,196,[],[],[0,"Default",0,1]],[[1056,
256,0,50,50,0,0,1,0.5,0.5,0,0,[]],17,197,[],[],[0,"Default",0,1]],[[1056,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],18,198,[],[],[0,"Default",0,1]],[[1056,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],19,199,[],[],[0,"Default",0,1]],[[1056,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],20,200,[],[],[0,"Default",0,1]]],[]],["1",2,9664186620366818,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[64,128,0,81,82,0,0,1,0.5061728358268738,0.5,0,0,[]],25,201,[],[],[0,"Default",0,1]],[[44,105,0,64,65,0,0,1,0,0,0,0,[]],26,202,[],[],[0,0]]],[]],["2",
3,7932904375737332,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,204,[[1]],[],[0,"Default",0,1]],[[384,256,0,120,120,0,0,1,0.4916666746139526,0.6416666507720947,0,0,[]],37,60,[],[],[0,"Default",0,1]]],[]],["3",4,0xa55422160a78c,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,205,[[1]],[],[0,"Default",0,1]],[[480,352,0,120,120,0,0,1,0.4916666746139526,0.6416666507720947,0,0,[]],37,149,[],[],[0,"Default",0,1]]],[]],["4",5,0x8b0d95f31dd9b,
!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,206,[[1]],[],[0,"Default",0,1]],[[384,448,0,120,120,0,0,1,0.4916666746139526,0.6416666507720947,0,0,[]],37,151,[],[],[0,"Default",0,1]]],[]],["5",6,5169242661490345,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["other",7,8861054041669767,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Gui",8,9806952778980508,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[43,27,0,200,18,0,0,1,0,0,0,0,[]],47,208,[],[],[0,0]],[[128,33,0,234,60,0,0,1,0.5,
0.5166666507720947,0,0,[]],21,209,[],[],[0,"Default",0,1]],[[928,32,0,65,65,0,0,1,0.5076923370361328,0.5076923370361328,0,0,[]],22,210,[],[],[0,"Default",0,1]],[[320,32,0,139,34,0,0,1,0.5035971403121948,0.5,0,0,[]],23,740,[],[],[0,"Default",0,1]],[[293,22,0,84,27,0,0,1,0,0,0,0,[]],24,741,[],[],["0",0,"bold 12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["dialogLayer",9,5423325075324395,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-13,-10,0,1149,683,0,0,1,0,0,0,0,[]],31,213,[],[],[0,0]]],[]]],[],[]],["stage3",
1200,630,!1,"Stage3Sheet",578180957895717,[["bg",0,5819655943425156,!0,[0,153,51],!1,1,1,1,!1,1,0,0,[[[0,-4,0,1120,672,0,0,1,0,0,0,0,[]],6,2,[],[],[0,0]]],[]],["slot",1,8191854609425657,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[192,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,3,[],[],[0,"Default",0,1]],[[384,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,4,[],[],[0,"Default",0,1]],[[480,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,5,[],[],[0,"Default",0,1]],[[288,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,6,[],[],[0,"Default",0,1]],
[[576,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,7,[],[],[0,"Default",0,1]],[[672,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,8,[],[],[0,"Default",0,1]],[[768,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,9,[],[],[0,"Default",0,1]],[[864,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,10,[],[],[0,"Default",0,1]],[[960,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,11,[],[],[0,"Default",0,1]],[[192,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,14,[],[],[0,"Default",0,1]],[[288,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,15,[],[],[0,"Default",0,1]],[[480,256,
0,50,50,0,0,1,0.5,0.5,0,0,[]],12,17,[],[],[0,"Default",0,1]],[[576,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,18,[],[],[0,"Default",0,1]],[[672,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,19,[],[],[0,"Default",0,1]],[[768,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,20,[],[],[0,"Default",0,1]],[[864,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,21,[],[],[0,"Default",0,1]],[[960,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,22,[],[],[0,"Default",0,1]],[[192,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,23,[],[],[0,"Default",0,1]],[[384,352,0,50,
50,0,0,1,0.5,0.5,0,0,[]],13,25,[],[],[0,"Default",0,1]],[[480,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,26,[],[],[0,"Default",0,1]],[[576,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,27,[],[],[0,"Default",0,1]],[[672,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,28,[],[],[0,"Default",0,1]],[[768,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,29,[],[],[0,"Default",0,1]],[[864,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,30,[],[],[0,"Default",0,1]],[[960,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,31,[],[],[0,"Default",0,1]],[[192,448,0,50,50,0,
0,1,0.5,0.5,0,0,[]],14,32,[],[],[0,"Default",0,1]],[[288,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,33,[],[],[0,"Default",0,1]],[[480,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,35,[],[],[0,"Default",0,1]],[[576,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,36,[],[],[0,"Default",0,1]],[[672,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,37,[],[],[0,"Default",0,1]],[[768,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,38,[],[],[0,"Default",0,1]],[[864,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,39,[],[],[0,"Default",0,1]],[[960,448,0,50,50,0,0,1,
0.5,0.5,0,0,[]],14,40,[],[],[0,"Default",0,1]],[[192,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,41,[],[],[0,"Default",0,1]],[[288,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,42,[],[],[0,"Default",0,1]],[[384,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,43,[],[],[0,"Default",0,1]],[[480,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,44,[],[],[0,"Default",0,1]],[[576,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,45,[],[],[0,"Default",0,1]],[[672,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,46,[],[],[0,"Default",0,1]],[[768,544,0,50,50,0,0,1,0.5,
0.5,0,0,[]],15,47,[],[],[0,"Default",0,1]],[[864,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,48,[],[],[0,"Default",0,1]],[[960,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,49,[],[],[0,"Default",0,1]],[[1056,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],16,65,[],[],[0,"Default",0,1]],[[1056,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],17,66,[],[],[0,"Default",0,1]],[[1056,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],18,67,[],[],[0,"Default",0,1]],[[1056,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],19,68,[],[],[0,"Default",0,1]],[[1056,544,0,50,50,0,0,1,0.5,
0.5,0,0,[]],20,69,[],[],[0,"Default",0,1]]],[]],["1",2,8049427098193047,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[64,128,0,81,82,0,0,1,0.5061728358268738,0.5,0,0,[]],25,53,[],[],[0,"Default",0,1]],[[44,105,0,64,65,0,0,1,0,0,0,0,[]],26,54,[],[],[0,0]],[[128,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,63,[[1]],[],[0,"Default",0,1]]],[]],["2",3,0x8c8fc4a1fb11a,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,73,[[1]],[],[0,"Default",0,1]],[[384,256,0,120,120,0,0,1,0.3166666626930237,
0.8083333373069763,0,0,[]],2,16,[[5],[5],[15]],[],[0,"Default",0,1]]],[]],["3",4,9080143422321352,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,74,[[1]],[],[0,"Default",0,1]],[[288,352,0,120,120,0,0,1,0.3166666626930237,0.8083333373069763,0,0,[]],2,24,[[5],[5],[15]],[],[0,"Default",0,1]]],[]],["4",5,0x8711a289ee8a6,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,75,[[1]],[],[0,"Default",0,1]],[[384,448,0,120,120,0,0,1,0.3166666626930237,
0.8083333373069763,0,0,[]],2,34,[[5],[5],[15]],[],[0,"Default",0,1]]],[]],["5",6,9805129834798536,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,76,[[1]],[],[0,"Default",0,1]]],[]],["other",7,7157684478985155,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Gui",8,9652143446786612,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[43,27,0,200,18,0,0,1,0,0,0,0,[]],47,51,[],[],[0,0]],[[128,33,0,234,60,0,0,1,0.5,0.5166666507720947,0,0,[]],21,12,[],[],[0,"Default",0,1]],[[928,32,0,65,65,
0,0,1,0.5076923370361328,0.5076923370361328,0,0,[]],22,13,[],[],[0,"Default",0,1]],[[320,32,0,139,34,0,0,1,0.5035971403121948,0.5,0,0,[]],23,742,[],[],[0,"Default",0,1]],[[293,22,0,84,27,0,0,1,0,0,0,0,[]],24,743,[],[],["0",0,"bold 12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["dialogLayer",9,0x9af23df8eb928,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-13,-10,0,1152,640,0,0,1,0,0,0,0,[]],31,59,[],[],[0,0]]],[]]],[],[]],["stage4",1200,630,!1,"Stage4Sheet",0x67ace816d1134,[["bg",0,9219162776530392,!0,[0,153,
51],!1,1,1,1,!1,1,0,0,[[[0,0,0,1152,672,0,0,1,0,0,0,0,[]],7,85,[],[],[0,0]]],[]],["slot",1,9609822531668382,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[384,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,87,[],[],[0,"Default",0,1]],[[480,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,88,[],[],[0,"Default",0,1]],[[288,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,89,[],[],[0,"Default",0,1]],[[576,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,90,[],[],[0,"Default",0,1]],[[672,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,91,[],[],[0,"Default",0,1]],[[768,
160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,92,[],[],[0,"Default",0,1]],[[864,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,93,[],[],[0,"Default",0,1]],[[960,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,94,[],[],[0,"Default",0,1]],[[288,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,96,[],[],[0,"Default",0,1]],[[384,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,97,[],[],[0,"Default",0,1]],[[480,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,98,[],[],[0,"Default",0,1]],[[576,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,99,[],[],[0,"Default",0,1]],[[672,256,
0,50,50,0,0,1,0.5,0.5,0,0,[]],12,100,[],[],[0,"Default",0,1]],[[768,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,101,[],[],[0,"Default",0,1]],[[864,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,102,[],[],[0,"Default",0,1]],[[960,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,103,[],[],[0,"Default",0,1]],[[288,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,105,[],[],[0,"Default",0,1]],[[384,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,106,[],[],[0,"Default",0,1]],[[480,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,107,[],[],[0,"Default",0,1]],[[576,352,
0,50,50,0,0,1,0.5,0.5,0,0,[]],13,108,[],[],[0,"Default",0,1]],[[672,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,109,[],[],[0,"Default",0,1]],[[768,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,110,[],[],[0,"Default",0,1]],[[864,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,111,[],[],[0,"Default",0,1]],[[960,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,112,[],[],[0,"Default",0,1]],[[288,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,114,[],[],[0,"Default",0,1]],[[384,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,115,[],[],[0,"Default",0,1]],[[480,448,
0,50,50,0,0,1,0.5,0.5,0,0,[]],14,116,[],[],[0,"Default",0,1]],[[576,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,117,[],[],[0,"Default",0,1]],[[672,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,118,[],[],[0,"Default",0,1]],[[768,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,119,[],[],[0,"Default",0,1]],[[864,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,120,[],[],[0,"Default",0,1]],[[960,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,121,[],[],[0,"Default",0,1]],[[288,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,123,[],[],[0,"Default",0,1]],[[384,544,
0,50,50,0,0,1,0.5,0.5,0,0,[]],15,124,[],[],[0,"Default",0,1]],[[480,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,125,[],[],[0,"Default",0,1]],[[576,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,126,[],[],[0,"Default",0,1]],[[672,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,127,[],[],[0,"Default",0,1]],[[768,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,128,[],[],[0,"Default",0,1]],[[864,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,129,[],[],[0,"Default",0,1]],[[960,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,130,[],[],[0,"Default",0,1]],[[1056,
160,0,50,50,0,0,1,0.5,0.5,0,0,[]],16,131,[],[],[0,"Default",0,1]],[[1056,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],17,132,[],[],[0,"Default",0,1]],[[1056,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],18,133,[],[],[0,"Default",0,1]],[[1056,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],19,134,[],[],[0,"Default",0,1]],[[1056,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],20,135,[],[],[0,"Default",0,1]]],[]],["1",2,0x6f5af93e37036,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[64,128,0,81,82,0,0,1,0.5061728358268738,0.5,0,0,[]],25,136,[],[],[0,"Default",
0,1]],[[44,105,0,64,65,0,0,1,0,0,0,0,[]],26,137,[],[],[0,0]],[[197,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,138,[[1]],[],[0,"Default",0,1]]],[]],["2",3,9747537614651080,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[197,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,139,[[1]],[],[0,"Default",0,1]]],[]],["3",4,0xab92d2d7692ef,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[197,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,140,[[1]],[],[0,"Default",0,1]]],[]],["4",5,8365859403992715,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[197,448,0,50,50,0,0,
1,0.5,0.5,0,0,[]],34,141,[[1]],[],[0,"Default",0,1]]],[]],["5",6,0xb54aac1400cfe,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[197,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,142,[[1]],[],[0,"Default",0,1]]],[]],["other",7,5801052278000382,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[131,256,0,60,60,0,0,1,0.5,0.5,0,0,[]],52,158,[[10]],[[],[0,1]],[0,"Default",0,1]],[[131,352,0,60,60,0,0,1,0.5,0.5,0,0,[]],52,159,[[10]],[[],[0,1]],[0,"Default",0,1]],[[131,448,0,60,60,0,0,1,0.5,0.5,0,0,[]],52,162,[[10]],[[],[0,1]],[0,"Default",
0,1]],[[131,544,0,60,60,0,0,1,0.5,0.5,0,0,[]],52,172,[[10]],[[],[0,1]],[0,"Default",0,1]]],[]],["Gui",8,7720981793265669,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[43,27,0,200,18,0,0,1,0,0,0,0,[]],47,143,[],[],[0,0]],[[128,33,0,234,60,0,0,1,0.5,0.5166666507720947,0,0,[]],21,144,[],[],[0,"Default",0,1]],[[928,32,0,65,65,0,0,1,0.5076923370361328,0.5076923370361328,0,0,[]],22,145,[],[],[0,"Default",0,1]],[[320,32,0,139,34,0,0,1,0.5035971403121948,0.5,0,0,[]],23,146,[],[],[0,"Default",0,1]],[[293,22,0,84,
27,0,0,1,0,0,0,0,[]],24,147,[],[],["0",0,"bold 12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["dialogLayer",9,9591523109352402,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-13,-10,0,1152,672,0,0,1,0,0,0,0,[]],31,148,[],[],[0,0]]],[]]],[],[]],["stage5",1200,630,!1,"Stage5Sheet",0xa4b0f0c308ddd,[["bg",0,800200546293161,!0,[0,153,51],!1,1,1,1,!1,1,0,0,[[[0,0,0,1152,672,0,0,1,0,0,0,0,[]],7,180,[],[],[0,0]]],[]],["slot",1,0x6bc947b88138f,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[192,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],
11,187,[],[],[0,"Default",0,1]],[[384,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,188,[],[],[0,"Default",0,1]],[[480,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,189,[],[],[0,"Default",0,1]],[[288,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,190,[],[],[0,"Default",0,1]],[[576,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,191,[],[],[0,"Default",0,1]],[[672,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,192,[],[],[0,"Default",0,1]],[[768,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,193,[],[],[0,"Default",0,1]],[[864,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],
11,194,[],[],[0,"Default",0,1]],[[960,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,195,[],[],[0,"Default",0,1]],[[192,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,203,[],[],[0,"Default",0,1]],[[288,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,207,[],[],[0,"Default",0,1]],[[384,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,211,[],[],[0,"Default",0,1]],[[480,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,212,[],[],[0,"Default",0,1]],[[576,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,214,[],[],[0,"Default",0,1]],[[672,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],
12,215,[],[],[0,"Default",0,1]],[[768,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,216,[],[],[0,"Default",0,1]],[[864,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,217,[],[],[0,"Default",0,1]],[[960,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,218,[],[],[0,"Default",0,1]],[[192,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,219,[],[],[0,"Default",0,1]],[[288,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,220,[],[],[0,"Default",0,1]],[[384,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,221,[],[],[0,"Default",0,1]],[[480,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],
13,222,[],[],[0,"Default",0,1]],[[576,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,223,[],[],[0,"Default",0,1]],[[672,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,224,[],[],[0,"Default",0,1]],[[768,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,225,[],[],[0,"Default",0,1]],[[864,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,226,[],[],[0,"Default",0,1]],[[960,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,227,[],[],[0,"Default",0,1]],[[192,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,228,[],[],[0,"Default",0,1]],[[288,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],
14,229,[],[],[0,"Default",0,1]],[[384,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,230,[],[],[0,"Default",0,1]],[[480,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,231,[],[],[0,"Default",0,1]],[[576,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,232,[],[],[0,"Default",0,1]],[[672,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,233,[],[],[0,"Default",0,1]],[[768,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,234,[],[],[0,"Default",0,1]],[[864,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,235,[],[],[0,"Default",0,1]],[[960,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],
14,236,[],[],[0,"Default",0,1]],[[192,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,237,[],[],[0,"Default",0,1]],[[288,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,238,[],[],[0,"Default",0,1]],[[384,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,239,[],[],[0,"Default",0,1]],[[480,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,240,[],[],[0,"Default",0,1]],[[576,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,241,[],[],[0,"Default",0,1]],[[672,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,242,[],[],[0,"Default",0,1]],[[768,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],
15,243,[],[],[0,"Default",0,1]],[[864,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,244,[],[],[0,"Default",0,1]],[[960,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,245,[],[],[0,"Default",0,1]],[[1056,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],16,246,[],[],[0,"Default",0,1]],[[1056,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],17,247,[],[],[0,"Default",0,1]],[[1056,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],18,248,[],[],[0,"Default",0,1]],[[1056,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],19,249,[],[],[0,"Default",0,1]],[[1056,544,0,50,50,0,0,1,0.5,0.5,
0,0,[]],20,250,[],[],[0,"Default",0,1]]],[]],["1",2,0x9900f3cda9c7b,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[64,128,0,81,82,0,0,1,0.5061728358268738,0.5,0,0,[]],25,251,[],[],[0,"Default",0,1]],[[44,105,0,64,65,0,0,1,0,0,0,0,[]],26,252,[],[],[0,0]],[[128,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,253,[[1]],[],[0,"Default",0,1]]],[]],["2",3,0xdd1676e041c36,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,254,[[1]],[],[0,"Default",0,1]]],[]],["3",4,34133464281929,!0,[255,255,255],
!0,1,1,1,!1,1,0,0,[[[128,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,255,[[1]],[],[0,"Default",0,1]]],[]],["4",5,0xdc4dca3d757bf,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,256,[[1]],[],[0,"Default",0,1]]],[]],["5",6,0xf13da2a906d47,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,257,[[1]],[],[0,"Default",0,1]],[[64,544,0,100,100,0,0,1,0.5099999904632568,0.7300000190734863,0,0,[]],53,258,[[10],[10]],[],[0,"Default",0,1]]],[]],["other",7,0x64c8a7ff380e0,
!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Gui",8,9964003457233564,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[43,27,0,200,18,0,0,1,0,0,0,0,[]],47,262,[],[],[0,0]],[[128,33,0,234,60,0,0,1,0.5,0.5166666507720947,0,0,[]],21,263,[],[],[0,"Default",0,1]],[[928,32,0,65,65,0,0,1,0.5076923370361328,0.5076923370361328,0,0,[]],22,264,[],[],[0,"Default",0,1]],[[320,32,0,139,34,0,0,1,0.5035971403121948,0.5,0,0,[]],23,265,[],[],[0,"Default",0,1]],[[293,22,0,84,27,0,0,1,0,0,0,0,[]],24,266,[],[],["0",0,"bold 12pt Arial",
"rgb(0,0,0)",0,0,0,0,0]]],[]],["dialogLayer",9,315421746888545,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-13,-10,0,1152,672,0,0,1,0,0,0,0,[]],31,267,[],[],[0,0]]],[]]],[],[]],["stage6",1200,630,!1,"Stage6Sheet",6968390059992558,[["bg",0,5767199188473181,!0,[0,153,51],!1,1,1,1,!1,1,0,0,[[[0,0,0,1147,672,0,0,1,0,0,0,0,[]],7,269,[],[],[0,0]]],[]],["slot",1,0x7de8a03b361f0,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[192,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,270,[],[],[0,"Default",0,1]],[[384,160,0,50,50,0,0,1,0.5,
0.5,0,0,[]],11,271,[],[],[0,"Default",0,1]],[[480,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,272,[],[],[0,"Default",0,1]],[[288,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,273,[],[],[0,"Default",0,1]],[[576,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,274,[],[],[0,"Default",0,1]],[[672,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,275,[],[],[0,"Default",0,1]],[[768,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,276,[],[],[0,"Default",0,1]],[[864,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,277,[],[],[0,"Default",0,1]],[[960,160,0,50,50,0,0,1,0.5,
0.5,0,0,[]],11,278,[],[],[0,"Default",0,1]],[[192,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,279,[],[],[0,"Default",0,1]],[[288,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,280,[],[],[0,"Default",0,1]],[[384,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,281,[],[],[0,"Default",0,1]],[[480,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,282,[],[],[0,"Default",0,1]],[[576,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,283,[],[],[0,"Default",0,1]],[[672,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,284,[],[],[0,"Default",0,1]],[[768,256,0,50,50,0,0,1,0.5,
0.5,0,0,[]],12,285,[],[],[0,"Default",0,1]],[[864,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,286,[],[],[0,"Default",0,1]],[[960,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,287,[],[],[0,"Default",0,1]],[[192,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,288,[],[],[0,"Default",0,1]],[[288,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,289,[],[],[0,"Default",0,1]],[[384,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,290,[],[],[0,"Default",0,1]],[[480,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,291,[],[],[0,"Default",0,1]],[[576,352,0,50,50,0,0,1,0.5,
0.5,0,0,[]],13,292,[],[],[0,"Default",0,1]],[[672,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,293,[],[],[0,"Default",0,1]],[[768,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,294,[],[],[0,"Default",0,1]],[[864,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,295,[],[],[0,"Default",0,1]],[[960,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,296,[],[],[0,"Default",0,1]],[[192,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,297,[],[],[0,"Default",0,1]],[[288,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,298,[],[],[0,"Default",0,1]],[[384,448,0,50,50,0,0,1,0.5,
0.5,0,0,[]],14,299,[],[],[0,"Default",0,1]],[[480,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,300,[],[],[0,"Default",0,1]],[[576,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,301,[],[],[0,"Default",0,1]],[[672,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,302,[],[],[0,"Default",0,1]],[[768,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,303,[],[],[0,"Default",0,1]],[[864,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,304,[],[],[0,"Default",0,1]],[[960,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,305,[],[],[0,"Default",0,1]],[[192,544,0,50,50,0,0,1,0.5,
0.5,0,0,[]],15,306,[],[],[0,"Default",0,1]],[[288,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,307,[],[],[0,"Default",0,1]],[[384,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,308,[],[],[0,"Default",0,1]],[[480,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,309,[],[],[0,"Default",0,1]],[[576,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,310,[],[],[0,"Default",0,1]],[[672,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,311,[],[],[0,"Default",0,1]],[[768,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,312,[],[],[0,"Default",0,1]],[[864,544,0,50,50,0,0,1,0.5,
0.5,0,0,[]],15,313,[],[],[0,"Default",0,1]],[[960,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,314,[],[],[0,"Default",0,1]],[[1056,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],16,315,[],[],[0,"Default",0,1]],[[1056,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],17,316,[],[],[0,"Default",0,1]],[[1056,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],18,317,[],[],[0,"Default",0,1]],[[1056,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],19,318,[],[],[0,"Default",0,1]],[[1056,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],20,319,[],[],[0,"Default",0,1]]],[]],["1",2,0xd5e71e566614b,
!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[64,128,0,81,82,0,0,1,0.5061728358268738,0.5,0,0,[]],25,320,[],[],[0,"Default",0,1]],[[44,105,0,64,65,0,0,1,0,0,0,0,[]],26,321,[],[],[0,0]],[[128,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,322,[[1]],[],[0,"Default",0,1]]],[]],["2",3,0xaf6c28168d632,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,323,[[1]],[],[0,"Default",0,1]]],[]],["3",4,7897645297085614,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,324,
[[1]],[],[0,"Default",0,1]]],[]],["4",5,0xcebbe103517c1,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,325,[[1]],[],[0,"Default",0,1]]],[]],["5",6,0xa3720df95822b,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,326,[[1]],[],[0,"Default",0,1]],[[64,544,0,100,100,0,0,1,0.5099999904632568,0.7300000190734863,0,0,[]],53,327,[[10],[10]],[],[0,"Default",0,1]]],[]],["other",7,0xd4479ba4faa1e,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Gui",8,
0x38e75b33d1e74,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[43,27,0,200,18,0,0,1,0,0,0,0,[]],47,328,[],[],[0,0]],[[128,33,0,234,60,0,0,1,0.5,0.5166666507720947,0,0,[]],21,329,[],[],[0,"Default",0,1]],[[928,32,0,65,65,0,0,1,0.5076923370361328,0.5076923370361328,0,0,[]],22,330,[],[],[0,"Default",0,1]],[[320,32,0,139,34,0,0,1,0.5035971403121948,0.5,0,0,[]],23,331,[],[],[0,"Default",0,1]],[[293,22,0,84,27,0,0,1,0,0,0,0,[]],24,332,[],[],["0",0,"bold 12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["dialogLayer",9,
0xe3f95e58b5578,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-13,-10,0,1161,679,0,0,1,0,0,0,0,[]],31,333,[],[],[0,0]]],[]]],[],[]],["stage7",1200,630,!1,"Stage7Sheet",6182224368511017,[["bg",0,0xf9eb0284527ae,!0,[0,153,51],!1,1,1,1,!1,1,0,0,[[[0,0,0,1120,640,0,0,1,0,0,0,0,[]],8,336,[],[],[0,0]]],[]],["slot",1,9855198122509648,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[192,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,337,[],[],[0,"Default",0,1]],[[384,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,338,[],[],[0,"Default",0,1]],
[[480,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,339,[],[],[0,"Default",0,1]],[[288,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,340,[],[],[0,"Default",0,1]],[[576,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,341,[],[],[0,"Default",0,1]],[[672,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,342,[],[],[0,"Default",0,1]],[[192,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,346,[],[],[0,"Default",0,1]],[[288,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,347,[],[],[0,"Default",0,1]],[[384,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,348,[],[],[0,"Default",0,1]],
[[480,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,349,[],[],[0,"Default",0,1]],[[576,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,350,[],[],[0,"Default",0,1]],[[672,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,351,[],[],[0,"Default",0,1]],[[192,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,355,[],[],[0,"Default",0,1]],[[288,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,356,[],[],[0,"Default",0,1]],[[384,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,357,[],[],[0,"Default",0,1]],[[480,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,358,[],[],[0,"Default",0,1]],
[[576,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,359,[],[],[0,"Default",0,1]],[[672,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,360,[],[],[0,"Default",0,1]],[[192,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,364,[],[],[0,"Default",0,1]],[[288,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,365,[],[],[0,"Default",0,1]],[[384,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,366,[],[],[0,"Default",0,1]],[[480,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,367,[],[],[0,"Default",0,1]],[[576,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,368,[],[],[0,"Default",0,1]],
[[672,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,369,[],[],[0,"Default",0,1]],[[192,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,373,[],[],[0,"Default",0,1]],[[288,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,374,[],[],[0,"Default",0,1]],[[384,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,375,[],[],[0,"Default",0,1]],[[480,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,376,[],[],[0,"Default",0,1]],[[576,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,377,[],[],[0,"Default",0,1]],[[672,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,378,[],[],[0,"Default",0,1]],
[[1056,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],16,382,[],[],[0,"Default",0,1]],[[1056,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],17,383,[],[],[0,"Default",0,1]],[[1056,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],18,384,[],[],[0,"Default",0,1]],[[1056,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],19,385,[],[],[0,"Default",0,1]],[[1056,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],20,386,[],[],[0,"Default",0,1]]],[]],["1",2,6616639029107306,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[64,128,0,81,82,0,0,1,0.5061728358268738,0.5,0,0,[]],25,387,[],[],[0,"Default",
0,1]],[[44,105,0,64,65,0,0,1,0,0,0,0,[]],26,388,[],[],[0,0]],[[128,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,389,[[1]],[],[0,"Default",0,1]]],[]],["2",3,4964526529967918,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,390,[[1]],[],[0,"Default",0,1]]],[]],["3",4,0xe081dbc45259,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,391,[[1]],[],[0,"Default",0,1]],[[928,203,0,106,340,0,0,1,0.5,0.5,0,0,[]],59,343,[[100]],[],[0,"Default",0,1]]],[]],["4",
5,0xfd1450f5d9d60,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,392,[[1]],[],[0,"Default",0,1]]],[]],["5",6,0x818e9e621d4d1,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,393,[[1]],[],[0,"Default",0,1]],[[64,512,0,100,100,0,0,1,0.5099999904632568,0.7300000190734863,0,0,[]],53,394,[[10],[10]],[],[0,"Default",0,1]]],[]],["other",7,8757627643303088,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Gui",8,0x5fed008e8ad94,!0,[255,255,255],!0,1,
1,1,!1,1,0,0,[[[43,27,0,200,18,0,0,1,0,0,0,0,[]],47,395,[],[],[0,0]],[[128,33,0,234,60,0,0,1,0.5,0.5166666507720947,0,0,[]],21,396,[],[],[0,"Default",0,1]],[[928,32,0,65,65,0,0,1,0.5076923370361328,0.5076923370361328,0,0,[]],22,397,[],[],[0,"Default",0,1]],[[320,32,0,139,34,0,0,1,0.5035971403121948,0.5,0,0,[]],23,398,[],[],[0,"Default",0,1]],[[293,22,0,84,27,0,0,1,0,0,0,0,[]],24,399,[],[],["0",0,"bold 12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["dialogLayer",9,0xe399ca6cb0e54,!0,[255,255,255],!0,1,
1,1,!1,1,0,0,[[[-13,-10,0,1152,672,0,0,1,0,0,0,0,[]],31,400,[],[],[0,0]]],[]]],[],[]],["stage8",1200,630,!1,"stage8Sheet",0xa66e0d4088596,[["bg",0,0xc43dee71acd19,!0,[0,153,51],!1,1,1,1,!1,1,0,0,[[[0,0,0,1120,640,0,0,1,0,0,0,0,[]],8,354,[],[],[0,0]]],[]],["slot",1,7325871634956933,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[192,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,402,[],[],[0,"Default",0,1]],[[384,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,403,[],[],[0,"Default",0,1]],[[480,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],
11,404,[],[],[0,"Default",0,1]],[[288,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,405,[],[],[0,"Default",0,1]],[[576,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,406,[],[],[0,"Default",0,1]],[[672,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,407,[],[],[0,"Default",0,1]],[[768,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,408,[],[],[0,"Default",0,1]],[[864,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,409,[],[],[0,"Default",0,1]],[[960,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,410,[],[],[0,"Default",0,1]],[[192,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],
12,411,[],[],[0,"Default",0,1]],[[288,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,412,[],[],[0,"Default",0,1]],[[384,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,413,[],[],[0,"Default",0,1]],[[480,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,414,[],[],[0,"Default",0,1]],[[576,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,415,[],[],[0,"Default",0,1]],[[672,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,416,[],[],[0,"Default",0,1]],[[768,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,417,[],[],[0,"Default",0,1]],[[864,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],
12,418,[],[],[0,"Default",0,1]],[[960,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,419,[],[],[0,"Default",0,1]],[[192,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,420,[],[],[0,"Default",0,1]],[[288,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,421,[],[],[0,"Default",0,1]],[[384,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,422,[],[],[0,"Default",0,1]],[[480,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,423,[],[],[0,"Default",0,1]],[[576,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,424,[],[],[0,"Default",0,1]],[[672,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],
13,425,[],[],[0,"Default",0,1]],[[768,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,426,[],[],[0,"Default",0,1]],[[864,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,427,[],[],[0,"Default",0,1]],[[960,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,428,[],[],[0,"Default",0,1]],[[192,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,429,[],[],[0,"Default",0,1]],[[288,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,430,[],[],[0,"Default",0,1]],[[384,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,431,[],[],[0,"Default",0,1]],[[480,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],
14,432,[],[],[0,"Default",0,1]],[[576,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,433,[],[],[0,"Default",0,1]],[[672,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,434,[],[],[0,"Default",0,1]],[[768,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,435,[],[],[0,"Default",0,1]],[[864,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,436,[],[],[0,"Default",0,1]],[[960,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,437,[],[],[0,"Default",0,1]],[[192,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,438,[],[],[0,"Default",0,1]],[[288,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],
15,439,[],[],[0,"Default",0,1]],[[384,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,440,[],[],[0,"Default",0,1]],[[480,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,441,[],[],[0,"Default",0,1]],[[576,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,442,[],[],[0,"Default",0,1]],[[672,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,443,[],[],[0,"Default",0,1]],[[768,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,444,[],[],[0,"Default",0,1]],[[864,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,445,[],[],[0,"Default",0,1]],[[960,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],
15,446,[],[],[0,"Default",0,1]],[[1056,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],16,447,[],[],[0,"Default",0,1]],[[1056,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],17,448,[],[],[0,"Default",0,1]],[[1056,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],18,449,[],[],[0,"Default",0,1]],[[1056,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],19,450,[],[],[0,"Default",0,1]],[[1056,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],20,451,[],[],[0,"Default",0,1]]],[]],["1",2,7865948090431576,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[64,128,0,81,82,0,0,1,0.5061728358268738,
0.5,0,0,[]],25,452,[],[],[0,"Default",0,1]],[[44,105,0,64,65,0,0,1,0,0,0,0,[]],26,453,[],[],[0,0]],[[128,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,454,[[1]],[],[0,"Default",0,1]]],[]],["2",3,867307596499001,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,455,[[1]],[],[0,"Default",0,1]]],[]],["3",4,8011809994772388,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,456,[[1]],[],[0,"Default",0,1]],[[64,320,0,100,100,0,0,1,0.5,0.5,0,0,[]],62,521,
[[10]],[],[0,"Default",0,1]]],[]],["4",5,644957140755432,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,457,[[1]],[],[0,"Default",0,1]]],[]],["5",6,654461017078164,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,458,[[1]],[],[0,"Default",0,1]],[[64,512,0,100,100,0,0,1,0.5099999904632568,0.7300000190734863,0,0,[]],53,459,[[10],[10]],[],[0,"Default",0,1]]],[]],["other",7,6981256804074096,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Gui",
8,6998573593313613,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[43,27,0,200,18,0,0,1,0,0,0,0,[]],47,460,[],[],[0,0]],[[128,33,0,234,60,0,0,1,0.5,0.5166666507720947,0,0,[]],21,461,[],[],[0,"Default",0,1]],[[928,32,0,65,65,0,0,1,0.5076923370361328,0.5076923370361328,0,0,[]],22,462,[],[],[0,"Default",0,1]],[[320,32,0,139,34,0,0,1,0.5035971403121948,0.5,0,0,[]],23,463,[],[],[0,"Default",0,1]],[[293,22,0,84,27,0,0,1,0,0,0,0,[]],24,464,[],[],["0",0,"bold 12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["dialogLayer",
9,909122586039513,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-13,-10,0,1152,672,0,0,1,0,0,0,0,[]],31,465,[],[],[0,0]]],[]]],[],[]],["stage9",1200,630,!1,"Stage9Sheet",9185954196135740,[["bg",0,9424483923284586,!0,[0,153,51],!1,1,1,1,!1,1,0,0,[[[0,0,0,1120,640,0,0,1,0,0,0,0,[]],8,361,[],[],[0,0]]],[]],["slot",1,75040415740311,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[192,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,362,[],[],[0,"Default",0,1]],[[384,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,363,[],[],[0,"Default",0,1]],
[[480,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,370,[],[],[0,"Default",0,1]],[[288,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,371,[],[],[0,"Default",0,1]],[[192,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,466,[],[],[0,"Default",0,1]],[[288,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,467,[],[],[0,"Default",0,1]],[[384,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,468,[],[],[0,"Default",0,1]],[[480,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,469,[],[],[0,"Default",0,1]],[[576,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,470,[],[],[0,"Default",0,1]],
[[192,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,475,[],[],[0,"Default",0,1]],[[288,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,476,[],[],[0,"Default",0,1]],[[384,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,477,[],[],[0,"Default",0,1]],[[480,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,478,[],[],[0,"Default",0,1]],[[576,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,479,[],[],[0,"Default",0,1]],[[672,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,480,[],[],[0,"Default",0,1]],[[192,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,484,[],[],[0,"Default",0,1]],
[[288,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,485,[],[],[0,"Default",0,1]],[[384,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,486,[],[],[0,"Default",0,1]],[[480,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,487,[],[],[0,"Default",0,1]],[[576,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,488,[],[],[0,"Default",0,1]],[[192,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,493,[],[],[0,"Default",0,1]],[[288,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,494,[],[],[0,"Default",0,1]],[[384,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,495,[],[],[0,"Default",0,1]],
[[480,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,496,[],[],[0,"Default",0,1]],[[1056,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],16,502,[],[],[0,"Default",0,1]],[[1056,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],17,503,[],[],[0,"Default",0,1]],[[1056,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],18,504,[],[],[0,"Default",0,1]],[[1056,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],19,505,[],[],[0,"Default",0,1]],[[1056,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],20,506,[],[],[0,"Default",0,1]]],[]],["1",2,7129117627398262,!0,[255,255,255],!0,1,1,1,!1,1,0,0,
[[[64,128,0,81,82,0,0,1,0.5061728358268738,0.5,0,0,[]],25,507,[],[],[0,"Default",0,1]],[[44,105,0,64,65,0,0,1,0,0,0,0,[]],26,508,[],[],[0,0]],[[128,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,509,[[1]],[],[0,"Default",0,1]],[[672,160,0,110,110,0,0,1,0.4727272689342499,0.7727272510528564,0,0,[]],64,528,[[90]],[],[0,"Default",0,1]]],[]],["2",3,6719057726520587,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,510,[[1]],[],[0,"Default",0,1]],[[768,256,0,110,110,0,0,1,0.4727272689342499,
0.7727272510528564,0,0,[]],64,527,[[90]],[],[0,"Default",0,1]]],[]],["3",4,7226835814993806,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,511,[[1]],[],[0,"Default",0,1]],[[64,320,0,100,100,0,0,1,0.5,0.5,0,0,[]],62,512,[[10]],[],[0,"Default",0,1]],[[864,352,0,110,110,0,0,1,0.4727272689342499,0.7727272510528564,0,0,[]],64,526,[[90]],[],[0,"Default",0,1]]],[]],["4",5,8979421869311117,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,513,[[1]],
[],[0,"Default",0,1]],[[768,448,0,110,110,0,0,1,0.4727272689342499,0.7727272510528564,0,0,[]],64,525,[[90]],[],[0,"Default",0,1]]],[]],["5",6,0xd4ce46ee58185,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,514,[[1]],[],[0,"Default",0,1]],[[64,512,0,100,100,0,0,1,0.5099999904632568,0.7300000190734863,0,0,[]],53,515,[[10],[10]],[],[0,"Default",0,1]],[[672,544,0,110,110,0,0,1,0.4727272689342499,0.7727272510528564,0,0,[]],64,524,[[90]],[],[0,"Default",0,1]]],[]],["other",
7,0x46cea348857d4,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Gui",8,8302251608094837,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[43,27,0,200,18,0,0,1,0,0,0,0,[]],47,516,[],[],[0,0]],[[128,33,0,234,60,0,0,1,0.5,0.5166666507720947,0,0,[]],21,517,[],[],[0,"Default",0,1]],[[928,32,0,65,65,0,0,1,0.5076923370361328,0.5076923370361328,0,0,[]],22,518,[],[],[0,"Default",0,1]],[[320,32,0,139,34,0,0,1,0.5035971403121948,0.5,0,0,[]],23,519,[],[],[0,"Default",0,1]],[[293,22,0,84,27,0,0,1,0,0,0,0,[]],24,520,[],[],["0",
0,"bold 12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["dialogLayer",9,6672174246097563,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-13,-10,0,1152,672,0,0,1,0,0,0,0,[]],31,523,[],[],[0,0]]],[]]],[],[]],["stage10",1200,630,!1,"Stage10Sheet",0xd5d9ba1a6f600,[["bg",0,5875791744540426,!0,[0,153,51],!1,1,1,1,!1,1,0,0,[[[0,-2,0,1024,672,0,0,1,0,0,0,0,[]],9,86,[],[],[0,0]]],[]],["slot",1,0x4b1e456140c66,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[192,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,401,[],[],[0,"Default",0,1]],[[384,
160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,471,[],[],[0,"Default",0,1]],[[480,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,472,[],[],[0,"Default",0,1]],[[288,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,473,[],[],[0,"Default",0,1]],[[576,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,474,[],[],[0,"Default",0,1]],[[672,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,481,[],[],[0,"Default",0,1]],[[768,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,482,[],[],[0,"Default",0,1]],[[864,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,483,[],[],[0,"Default",0,1]],[[960,
160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,489,[],[],[0,"Default",0,1]],[[192,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,490,[],[],[0,"Default",0,1]],[[288,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,491,[],[],[0,"Default",0,1]],[[384,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,492,[],[],[0,"Default",0,1]],[[480,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,497,[],[],[0,"Default",0,1]],[[576,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,498,[],[],[0,"Default",0,1]],[[672,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,499,[],[],[0,"Default",0,1]],[[768,
256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,500,[],[],[0,"Default",0,1]],[[864,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,501,[],[],[0,"Default",0,1]],[[960,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,529,[],[],[0,"Default",0,1]],[[192,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,530,[],[],[0,"Default",0,1]],[[288,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,531,[],[],[0,"Default",0,1]],[[384,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,532,[],[],[0,"Default",0,1]],[[480,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,533,[],[],[0,"Default",0,1]],[[576,
352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,534,[],[],[0,"Default",0,1]],[[672,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,535,[],[],[0,"Default",0,1]],[[768,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,536,[],[],[0,"Default",0,1]],[[864,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,537,[],[],[0,"Default",0,1]],[[960,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,538,[],[],[0,"Default",0,1]],[[192,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,539,[],[],[0,"Default",0,1]],[[288,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,540,[],[],[0,"Default",0,1]],[[384,
448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,541,[],[],[0,"Default",0,1]],[[480,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,542,[],[],[0,"Default",0,1]],[[576,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,543,[],[],[0,"Default",0,1]],[[672,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,544,[],[],[0,"Default",0,1]],[[768,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,545,[],[],[0,"Default",0,1]],[[864,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,546,[],[],[0,"Default",0,1]],[[960,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,547,[],[],[0,"Default",0,1]],[[192,
544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,548,[],[],[0,"Default",0,1]],[[288,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,549,[],[],[0,"Default",0,1]],[[384,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,550,[],[],[0,"Default",0,1]],[[480,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,551,[],[],[0,"Default",0,1]],[[576,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,552,[],[],[0,"Default",0,1]],[[672,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,553,[],[],[0,"Default",0,1]],[[768,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,554,[],[],[0,"Default",0,1]],[[864,
544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,555,[],[],[0,"Default",0,1]],[[960,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,556,[],[],[0,"Default",0,1]],[[1056,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],16,557,[],[],[0,"Default",0,1]],[[1056,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],17,558,[],[],[0,"Default",0,1]],[[1056,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],18,559,[],[],[0,"Default",0,1]],[[1056,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],19,560,[],[],[0,"Default",0,1]],[[1056,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],20,561,[],[],[0,"Default",0,1]]],
[]],["1",2,4947367699888179,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[64,128,0,81,82,0,0,1,0.5061728358268738,0.5,0,0,[]],25,562,[],[],[0,"Default",0,1]],[[44,105,0,64,65,0,0,1,0,0,0,0,[]],26,563,[],[],[0,0]],[[128,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,564,[[1]],[],[0,"Default",0,1]]],[]],["2",3,611719313654615,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,565,[[1]],[],[0,"Default",0,1]]],[]],["3",4,0xc06f2c345a752,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,352,0,50,50,
0,0,1,0.5,0.5,0,0,[]],34,566,[[1]],[],[0,"Default",0,1]],[[64,320,0,100,100,0,0,1,0.5,0.5,0,0,[]],62,567,[[10]],[],[0,"Default",0,1]]],[]],["4",5,0xefab7f282dbdf,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,568,[[1]],[],[0,"Default",0,1]]],[]],["5",6,0x7850e87970130,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,569,[[1]],[],[0,"Default",0,1]],[[64,512,0,100,100,0,0,1,0.5099999904632568,0.7300000190734863,0,0,[]],53,570,[[10],[10]],
[],[0,"Default",0,1]]],[]],["other",7,9704441067546128,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Gui",8,0x6dcdfb371cebf,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[43,27,0,200,18,0,0,1,0,0,0,0,[]],47,571,[],[],[0,0]],[[128,33,0,234,60,0,0,1,0.5,0.5166666507720947,0,0,[]],21,572,[],[],[0,"Default",0,1]],[[928,32,0,65,65,0,0,1,0.5076923370361328,0.5076923370361328,0,0,[]],22,573,[],[],[0,"Default",0,1]],[[320,32,0,139,34,0,0,1,0.5035971403121948,0.5,0,0,[]],23,574,[],[],[0,"Default",0,1]],[[293,22,0,84,
27,0,0,1,0,0,0,0,[]],24,575,[],[],["0",0,"bold 12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["dialogLayer",9,7832546003549856,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-13,-10,0,1147,670,0,0,1,0,0,0,0,[]],31,576,[],[],[0,0]]],[]]],[],[]],["stage11",1200,630,!1,"Stage11Sheet",8489403616364664,[["bg",0,9206450287195042,!0,[0,153,51],!1,1,1,1,!1,1,0,0,[[[0,0,0,1088,672,0,0,1,0,0,0,0,[]],9,95,[],[],[0,0]]],[]],["slot",1,0xdccf3db31507f,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[192,160,0,50,50,0,0,1,0.5,0.5,0,0,
[]],11,578,[],[],[0,"Default",0,1]],[[384,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,579,[],[],[0,"Default",0,1]],[[480,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,580,[],[],[0,"Default",0,1]],[[288,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,581,[],[],[0,"Default",0,1]],[[576,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,582,[],[],[0,"Default",0,1]],[[672,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,583,[],[],[0,"Default",0,1]],[[768,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,584,[],[],[0,"Default",0,1]],[[864,160,0,50,50,0,0,1,0.5,0.5,0,
0,[]],11,585,[],[],[0,"Default",0,1]],[[960,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,586,[],[],[0,"Default",0,1]],[[192,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,587,[],[],[0,"Default",0,1]],[[288,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,588,[],[],[0,"Default",0,1]],[[384,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,589,[],[],[0,"Default",0,1]],[[480,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,590,[],[],[0,"Default",0,1]],[[576,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,591,[],[],[0,"Default",0,1]],[[672,256,0,50,50,0,0,1,0.5,0.5,
0,0,[]],12,592,[],[],[0,"Default",0,1]],[[768,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,593,[],[],[0,"Default",0,1]],[[864,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,594,[],[],[0,"Default",0,1]],[[960,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,595,[],[],[0,"Default",0,1]],[[192,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,596,[],[],[0,"Default",0,1]],[[288,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,597,[],[],[0,"Default",0,1]],[[384,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,598,[],[],[0,"Default",0,1]],[[480,352,0,50,50,0,0,1,0.5,0.5,
0,0,[]],13,599,[],[],[0,"Default",0,1]],[[576,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,600,[],[],[0,"Default",0,1]],[[672,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,601,[],[],[0,"Default",0,1]],[[768,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,602,[],[],[0,"Default",0,1]],[[864,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,603,[],[],[0,"Default",0,1]],[[960,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,604,[],[],[0,"Default",0,1]],[[192,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,605,[],[],[0,"Default",0,1]],[[288,448,0,50,50,0,0,1,0.5,0.5,
0,0,[]],14,606,[],[],[0,"Default",0,1]],[[384,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,607,[],[],[0,"Default",0,1]],[[480,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,608,[],[],[0,"Default",0,1]],[[576,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,609,[],[],[0,"Default",0,1]],[[672,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,610,[],[],[0,"Default",0,1]],[[768,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,611,[],[],[0,"Default",0,1]],[[864,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,612,[],[],[0,"Default",0,1]],[[960,448,0,50,50,0,0,1,0.5,0.5,
0,0,[]],14,613,[],[],[0,"Default",0,1]],[[192,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,614,[],[],[0,"Default",0,1]],[[288,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,615,[],[],[0,"Default",0,1]],[[384,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,616,[],[],[0,"Default",0,1]],[[480,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,617,[],[],[0,"Default",0,1]],[[576,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,618,[],[],[0,"Default",0,1]],[[672,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,619,[],[],[0,"Default",0,1]],[[768,544,0,50,50,0,0,1,0.5,0.5,
0,0,[]],15,620,[],[],[0,"Default",0,1]],[[864,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,621,[],[],[0,"Default",0,1]],[[960,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,622,[],[],[0,"Default",0,1]],[[1056,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],16,623,[],[],[0,"Default",0,1]],[[1056,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],17,624,[],[],[0,"Default",0,1]],[[1056,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],18,625,[],[],[0,"Default",0,1]],[[1056,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],19,626,[],[],[0,"Default",0,1]],[[1056,544,0,50,50,0,0,1,
0.5,0.5,0,0,[]],20,627,[],[],[0,"Default",0,1]]],[]],["1",2,8725705963144882,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[64,128,0,81,82,0,0,1,0.5061728358268738,0.5,0,0,[]],25,628,[],[],[0,"Default",0,1]],[[44,105,0,64,65,0,0,1,0,0,0,0,[]],26,629,[],[],[0,0]],[[128,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,630,[[1]],[],[0,"Default",0,1]]],[]],["2",3,7223817100923192,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,631,[[1]],[],[0,"Default",0,1]]],[]],["3",4,0xafbf800a9bf5c,!0,[255,
255,255],!0,1,1,1,!1,1,0,0,[[[128,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,632,[[1]],[],[0,"Default",0,1]],[[64,320,0,100,100,0,0,1,0.5,0.5,0,0,[]],62,633,[[10]],[],[0,"Default",0,1]]],[]],["4",5,411521238918777,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,634,[[1]],[],[0,"Default",0,1]]],[]],["5",6,425932822549288,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,635,[[1]],[],[0,"Default",0,1]],[[64,544,0,100,100,0,0,1,0.5099999904632568,
0.7300000190734863,0,0,[]],53,636,[[10],[10]],[],[0,"Default",0,1]]],[]],["other",7,5534984428790577,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Gui",8,7457277863677493,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[43,27,0,200,18,0,0,1,0,0,0,0,[]],47,637,[],[],[0,0]],[[128,33,0,234,60,0,0,1,0.5,0.5166666507720947,0,0,[]],21,638,[],[],[0,"Default",0,1]],[[928,32,0,65,65,0,0,1,0.5076923370361328,0.5076923370361328,0,0,[]],22,639,[],[],[0,"Default",0,1]],[[320,32,0,139,34,0,0,1,0.5035971403121948,0.5,0,0,[]],
23,640,[],[],[0,"Default",0,1]],[[293,22,0,84,27,0,0,1,0,0,0,0,[]],24,641,[],[],["0",0,"bold 12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["dialogLayer",9,6931742552298138,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-13,-10,0,1135,673,0,0,1,0,0,0,0,[]],31,642,[],[],[0,0]]],[]]],[],[]],["Survival",1200,630,!1,"SurvivalSheet",0xf7ae2d24b818c,[["bg",0,0x6505ffdc15aa0,!0,[0,153,51],!1,1,1,1,!1,1,0,0,[[[0,0,0,1088,672,0,0,1,0,0,0,0,[]],6,744,[],[],[0,0]]],[]],["slot",1,0xae45b64697cbb,!0,[255,255,255],!0,1,1,1,
!1,1,0,0,[[[192,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,745,[],[],[0,"Default",0,1]],[[384,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,746,[],[],[0,"Default",0,1]],[[480,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,747,[],[],[0,"Default",0,1]],[[288,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,748,[],[],[0,"Default",0,1]],[[576,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,749,[],[],[0,"Default",0,1]],[[672,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,750,[],[],[0,"Default",0,1]],[[768,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,751,[],[],[0,"Default",
0,1]],[[864,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,752,[],[],[0,"Default",0,1]],[[960,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],11,753,[],[],[0,"Default",0,1]],[[192,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,754,[],[],[0,"Default",0,1]],[[288,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,755,[],[],[0,"Default",0,1]],[[384,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,756,[],[],[0,"Default",0,1]],[[480,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,757,[],[],[0,"Default",0,1]],[[576,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,758,[],[],[0,"Default",
0,1]],[[672,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,759,[],[],[0,"Default",0,1]],[[768,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,760,[],[],[0,"Default",0,1]],[[864,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,761,[],[],[0,"Default",0,1]],[[960,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],12,762,[],[],[0,"Default",0,1]],[[192,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,763,[],[],[0,"Default",0,1]],[[288,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,764,[],[],[0,"Default",0,1]],[[384,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,765,[],[],[0,"Default",
0,1]],[[480,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,766,[],[],[0,"Default",0,1]],[[576,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,767,[],[],[0,"Default",0,1]],[[672,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,768,[],[],[0,"Default",0,1]],[[768,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,769,[],[],[0,"Default",0,1]],[[864,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,770,[],[],[0,"Default",0,1]],[[960,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],13,771,[],[],[0,"Default",0,1]],[[192,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,772,[],[],[0,"Default",
0,1]],[[288,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,773,[],[],[0,"Default",0,1]],[[384,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,774,[],[],[0,"Default",0,1]],[[480,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,775,[],[],[0,"Default",0,1]],[[576,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,776,[],[],[0,"Default",0,1]],[[672,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,777,[],[],[0,"Default",0,1]],[[768,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,778,[],[],[0,"Default",0,1]],[[864,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,779,[],[],[0,"Default",
0,1]],[[960,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],14,780,[],[],[0,"Default",0,1]],[[192,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,781,[],[],[0,"Default",0,1]],[[288,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,782,[],[],[0,"Default",0,1]],[[384,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,783,[],[],[0,"Default",0,1]],[[480,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,784,[],[],[0,"Default",0,1]],[[576,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,785,[],[],[0,"Default",0,1]],[[672,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,786,[],[],[0,"Default",
0,1]],[[768,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,787,[],[],[0,"Default",0,1]],[[864,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,788,[],[],[0,"Default",0,1]],[[960,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],15,789,[],[],[0,"Default",0,1]],[[1056,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],16,790,[],[],[0,"Default",0,1]],[[1056,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],17,791,[],[],[0,"Default",0,1]],[[1056,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],18,792,[],[],[0,"Default",0,1]],[[1056,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],19,793,[],[],[0,"Default",
0,1]],[[1056,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],20,794,[],[],[0,"Default",0,1]]],[]],["1",2,6510336440969477,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[64,128,0,81,82,0,0,1,0.5061728358268738,0.5,0,0,[]],25,795,[],[],[0,"Default",0,1]],[[44,105,0,64,65,0,0,1,0,0,0,0,[]],26,796,[],[],[0,0]],[[128,160,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,797,[[1]],[],[0,"Default",0,1]]],[]],["2",3,0x73b754e437ee4,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,256,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,798,[[1]],[],[0,"Default",0,1]]],[]],
["3",4,4576711695524777,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,352,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,799,[[1]],[],[0,"Default",0,1]]],[]],["4",5,0x88e16c95a0c79,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,448,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,801,[[1]],[],[0,"Default",0,1]]],[]],["5",6,9497191079172280,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[128,544,0,50,50,0,0,1,0.5,0.5,0,0,[]],34,802,[[1]],[],[0,"Default",0,1]]],[]],["other",7,9605943934270154,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Gui",8,604448103370599,
!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[928,32,0,65,65,0,0,1,0.5076923370361328,0.5076923370361328,0,0,[]],22,806,[],[],[0,"Default",0,1]],[[320,32,0,139,34,0,0,1,0.5035971403121948,0.5,0,0,[]],23,807,[],[],[0,"Default",0,1]],[[293,22,0,84,27,0,0,1,0,0,0,0,[]],24,808,[],[],["0",0,"bold 12pt Arial","rgb(0,0,0)",0,0,0,0,0]],[[118,27,0,211,53,0,0,1,0.5023696422576904,0.5094339847564697,0,0,[]],80,804,[],[],[0,"Default",0,1]],[[56,27,0,145,23,0,0,1,0,0,0,0,[]],72,805,[],[],["0",0,"bold 12pt Arial","rgb(0,0,0)",
0,0,0,0,0]]],[]],["dialogLayer",9,0xdcdb89b07272e,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-13,-10,0,1135,673,0,0,1,0,0,0,0,[]],31,809,[],[],[0,0]]],[]]],[],[]],["source",1200,600,!1,null,0x72d954bccb2a3,[["Layer 0",0,8104650632042947,!0,[0,153,51],!1,1,1,1,!1,1,0,0,[[[168,148,0,120,120,0,0,1,0.3166666626930237,0.8083333373069763,0,0,[]],0,0,[[10]],[[]],[0,"Default",0,1]],[[266,148,0,120,120,0,0,1,0.3166666626930237,0.8083333373069763,0,0,[]],1,1,[[3],[7]],[[]],[0,"Default",0,1]],[[354,139,0,60,60,0,
0,1,0.5,0.5,0,0,[]],27,55,[],[[0,1]],[0,"Default",0,1]],[[409,847,0,573,382,0,0,1,0.5008726119995117,0.5,0,0,[]],30,58,[[""]],[[]],[0,"Default",0,1]],[[-91,642,0,150,150,0,0,1,0.5,0.5,0,0,[]],32,61,[],[[1,0,0,1,1]],[0,"Default",0,1]],[[218,367,0,73,81,0,0,1,0.4931506812572479,0.6666666865348816,0,0,[]],33,62,[],[[100,0,0,0,1,1]],[0,"Default",0,1]],[[-106,337,0,120,120,0,-3.14156985282898,1,0.5166666507720947,0.1833333373069763,0,0,[]],35,64,[["weeker"],[0],[0],[0]],[[50,0,0,0,1,1],[]],[0,"Default",
0,1]],[[-130,140,0,112,120,0,0,1,0.5,0.5,0,0,[]],36,70,[],[[1,0,0,1,1]],[0,"Default",0,1]],[[417,345,0,120,120,0,0,1,0.4916666746139526,0.6416666507720947,0,0,[]],37,71,[],[],[0,"Default",0,1]],[[503,-37,0,28,18,0,0,1,0.5,0.5,0,0,[]],38,72,[],[[],[400,0,0,0,1,1]],[0,"Default",0,1]],[[-137,467,0,130,130,0,0,1,0.5,0.5,0,0,[]],39,77,[],[[1,0,0,1,1]],[0,"Default",0,1]],[[-466,-177,0,800,451,0,0,1,0.5012500286102295,0.5011086463928223,0,0,[]],40,78,[],[[]],[0,"Default",0,1]],[[164,-126,0,262,102,0,0,1,
0.5038167834281921,0.5098039507865906,0,0,[]],41,79,[],[],[0,"Default",0,1]],[[856,-404,0,262,102,0,0,1,0.5038167834281921,0.5098039507865906,0,0,[]],42,80,[],[],[0,"Default",0,1]],[[474,-266,0,262,102,0,0,1,0.5038167834281921,0.5098039507865906,0,0,[]],43,81,[],[],[0,"Default",0,1]],[[856,-280,0,262,102,0,0,1,0.5,0.5098039507865906,0,0,[]],44,82,[],[],[0,"Default",0,1]],[[1308,843,0,524,556,0,0,1,0.5,0.5,0,0,[]],46,84,[],[[]],[0,"Default",0,1]],[[690,229,0,120,120,0,0,1,0.3166666626930237,0.8083333373069763,
0,0,[]],2,152,[[5],[5],[15]],[],[0,"Default",0,1]],[[652,101,0,62,11,0,0,1,0.5,0.5454545617103577,0,0,[]],48,153,[],[[400,0,300,0,1,1]],[0,"Default",0,1]],[[538,94,0,50,50,0,0,1,0.5,0.5,0,0,[]],49,154,[],[[1,0,0,1,1]],[0,"Default",0,1]],[[683,452,0,130,130,0,3.141561269760132,1,0.4923076927661896,0.2230769246816635,0,0,[]],50,155,[[10],[5],[""],[1]],[[10,0,0,0,1,1]],[0,"Default",0,1]],[[619,319,0,52,9,0,3.141572237014771,1,0.5,0.5555555820465088,0,0,[]],51,156,[],[[400,0,0,0,1,1],[]],[0,"Default",
0,1]],[[839,166,0,60,60,0,0,1,0.5,0.5,0,0,[]],52,157,[[10]],[[],[0,1]],[0,"Default",0,1]],[[393,426,0,60,60,0,0,1,0.5,-0.5666666626930237,0,0,[]],54,259,[],[[0,0,0,0,1,1],[1,0,10,1,1]],[0,"Default",0,1]],[[471,496,0,53,55,0,0,1,0.5094339847564697,0.5090909004211426,0,0,[]],55,260,[],[[1,0,0,1,1]],[0,"Default",0,1]],[[925,449,0,48,40,0,0,1,0.9791666865348816,1.024999976158142,0,0,[]],56,261,[],[],[0,"Default",0,1]],[[869,318,0,54,33,0,0,1,0.5,0.9696969985961914,0,0,[]],57,268,[],[[1,0,2,1,1]],[0,"Default",
0,1]],[[516,240,0,120,120,0,0,1,0.5083333253860474,0.8083333373069763,0,0,[]],3,334,[[20],[3],[2]],[],[0,"Default",0,1]],[[838,50,0,13,13,0,0,1,0.5384615659713745,0.5384615659713745,0,0,[]],58,335,[],[[],[400,0,0,0,1,1]],[0,"Default",0,1]],[[1093,313,0,152,70,0,0,1,0.5,0.5,0,0,[]],60,344,[],[[0,0,100,0,1,1]],[0,"Default",0,1]],[[1103,-44,0,77,86,0,3.141586065292358,1,0.5844155550003052,0.2674418687820435,0,0,[]],61,345,[],[[30,0,0,0,1,1],[]],[0,"Default",0,1]],[[807,577,0,120,120,0,0,1,0.425000011920929,
0.8083333373069763,0,0,[]],4,352,[[30],[3]],[],[0,"Default",0,1]],[[960,575,0,120,120,0,0,1,0.3333333432674408,0.8083333373069763,0,0,[]],5,353,[[50],[5]],[],[0,"Default",0,1]],[[1082,461,0,60,60,0,0,1,0.5,0.5,0,0,[]],63,522,[],[[0,1]],[0,"Default",0,1]],[[994,-70,0,80,90,0,0,1,0.512499988079071,0.7666666507720947,0,0,[]],65,372,[],[[50,0,0,0,1,1],[]],[0,"Default",0,1]],[[824,-198,0,144,9,0,0,1,0,0,0,0,[]],66,379,[],[],[0,0]],[[1082,-169,0,80,90,0,-3.14159083366394,1,0.550000011920929,0.300000011920929,
0,0,[]],67,380,[],[[],[50,0,0,0,1,1]],[0,"Default",0,1]],[[106,-429,0,262,102,0,0,1,0.5038167834281921,0.5,0,0,[]],69,52,[],[],[0,"Default",0,1]],[[389,-428,0,262,102,0,0,1,0.5038167834281921,0.5,0,0,[]],70,643,[],[],[0,"Default",0,1]],[[162,-265,0,262,102,0,0,1,0.5038167834281921,0.5,0,0,[]],71,644,[],[],[0,"Default",0,1]],[[121,519,0,107,96,0,0,1,0.1028037369251251,0.125,0,0,[]],75,694,[],[[0,0,0,0,1,1]],[0,"Default",0,1]],[[1277,-168,0,262,102,0,0,1,0.5038167834281921,0.5098039507865906,0,0,[]],
82,647,[],[],[0,"Default",0,1]],[[1606,-165,0,262,102,0,0,1,0.5038167834281921,0.5098039507865906,0,0,[]],83,800,[],[],[0,"Default",0,1]],[[1457,-481,0,816,386,0,0,1,0.5,0.5,0,0,[]],81,803,[],[[]],[0,"Default",0,1]],[[473,-124,0,262,102,0,0,1,0.5038167834281921,0.5,0,0,[]],84,645,[],[],[0,"Default",0,1]],[[1367,-41,0,262,102,0,0,1,0.5,0.5098039507865906,0,0,[]],85,810,[],[],[0,"Default",0,1]]],[]]],[],[]],["menu",1200,630,!1,"MenuSheet",0xe777bf5a95801,[["bg",0,579117821974466,!0,[255,255,255],!1,
1,1,1,!1,1,0,0,[[[-102,-30,0,1198,698,0,0,1,0,0,0,0,[]],68,50,[],[],[0,0]]],[]],["gui",1,9053053070049338,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[651,541,0,84,27,0,0,1,0,0,0,0,[]],24,690,[],[],["0",0,"bold 12pt Arial","rgb(0,0,0)",0,0,0,0,0]],[[432,541,0,145,30,0,0,1,0,0,0,0,[]],72,691,[],[],["0",0,"bold 12pt Arial","rgb(0,0,0)",0,0,0,0,0]],[[305,541,0,56,30,0,0,1,0,0,0,0,[]],73,692,[],[],["0",0,"bold 12pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["dialog",2,0xe4cdf97b2582d,!0,[255,255,255],!0,1,1,1,!1,
1,0,0,[[[-10,-9,0,1102,689,0,0,1,0,0,0,0,[]],31,646,[],[],[0,0]]],[]]],[],[]],["ending",1200,630,!1,"endSheet",0xfd786513206a5,[["bg",0,0xcc915b7b17a7b,!0,[255,255,255],!1,1,1,1,!1,1,0,0,[[[-38,0,0,1179,672,0,0,1,0,0,0,0,[]],10,104,[],[],[0,0]]],[]],["Gui",1,8749503516297533,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[506,414,0,267,52,0,0,1,0.5018726587295532,0.5,0,0,[]],77,113,[],[],[0,"Default",0,1]],[[502,587,0,186,63,0,0,1,0.5,0.5079365372657776,0,0,[]],44,122,[],[],[0,"Default",0,1]]],[]]],[],[]]],
[["openSheet",[[1,"Wwork",1,"on",!1,!1,0xd6a8a1454002d,!1],[1,"weponmaker",1,"",!1,!1,0x8f720828ccbc9,!1],[1,"Hammer",0,0,!1,!1,8135169130628687,!1],[1,"Awork",1,"on",!1,!1,7484191118172426,!1],[1,"ArmorMaker",1,"",!1,!1,0x51a12a831dacc,!1],[1,"getArmor",1,"on",!1,!1,0xaa5a04f42ef58,!1],[1,"mission",0,0,!1,!1,8872512278738688,!1],[1,"waveActive",1,"off",!1,!1,0x45f057d5ea831,!1],[1,"wavepercent",0,0,!1,!1,5747227998255915,!1],[1,"wavecount",0,0,!1,!1,0x6fb57a6aba820,!1],[1,"enemykill",0,0,!1,!1,4980592620287989,
!1],[1,"skefly1",0,0,!1,!1,0xad0c061cb4dfa,!1],[1,"skeleton1",0,0,!1,!1,0x9defb22840dd5,!1],[1,"skeleton2",0,0,!1,!1,0xe50cd5a4d0521,!1],[1,"skeleton3",0,0,!1,!1,6145963917133028,!1],[1,"skeleton4",0,0,!1,!1,7956450979127522,!1],[1,"skeleton5",0,0,!1,!1,0x6439a843d7ca3,!1],[1,"skeleton6",0,0,!1,!1,0x3d28ef9dec342,!1],[1,"boss",0,0,!1,!1,6116982964915805,!1],[1,"CrBanana",1,'"off"',!1,!1,7930342564901437,!1],[1,"BananaCD",0,0,!1,!1,6191429066932186,!1],[1,"CurrentLvl",0,0,!1,!1,8236409030743424,!1],
[1,"bgSound",1,"off",!1,!1,7409759181246826,!1],[1,"sound",0,25,!1,!1,0xda79915604d4b,!1],[1,"survkill",0,0,!1,!1,5645790990532955,!1],[0,null,!1,null,8827500315164129,[[-1,cr.system_object.prototype.cnds.OnLoadFinished,null,1,!1,!1,!1,0x4ab5f19bbb6b8,!1]],[[29,cr.plugins_.Audio.prototype.acts.StopAll,null,8628828181799549,!1],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x4fda48a6e9de8,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8277017185550411,!1,[[1,[2,"bgs"]],
[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5411393588766705,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x97b742aba908e,!1,[[1,[2,"startsound"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xbc8957e733e35,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.Wait,null,697694232680932,!1,[[0,[0,2]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,505522126198402,!1,[[6,"menu"]]]]]]],["Stage3Sheet",[[0,null,!1,null,6752864918272628,
[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0xe3f3b953b48e8,!1]],[[79,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,7832729261044069,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5047268175302314,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,0]],[1,[2,"startSound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x9be7802768682,!1,[[1,[2,"openSound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,6470583042527872,!1,[[1,[2,"openSound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,0x7225b8c882e94,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,8018613686080292,!1,[[1,[2,"win"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7724515428911918,!1,[[11,"bgSound"],[7,[2,"off"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9452123871288028,!1,[[1,[2,"bgs"]],[3,0]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xa480896662505,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x73ee4b0b93781,!1,[[11,"CrBanana"],[7,[2,"off"]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,0xa4fb27c990dd6,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9342511096078192,!1,[[11,"waveActive"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4741912887153799,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9763373280514188,!1,[[11,"skeleton2"],[7,[0,5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xe4d0a5740174c,!1,[[11,"skefly1"],[7,[0,5]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,0x7825126e9eb70,!1,[[11,"enemykill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7143908017677518,!1,[[11,"wavepercent"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4912879797279367,!1,[[11,"wavecount"],[7,[0,0]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,6823278480380696,!1,[[0,[0,961]],[0,[0,-37]]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x747c11a92b381,!1,[[10,2],[7,[0,7]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x53741438745f9,
!1,[[1,[2,"fall"]],[3,1]]],[21,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xbb01710db65cb,!1,[[1,[2,"sr3"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x5b7729bca191d,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x8179e6ac23d92,!1,[[0,[0,0]]]]],[[0,null,!1,null,6722190517520779,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x83b15d24262ed,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6843565657320197,!1,[[4,30],[5,[2,"dialogLayer"]],
[0,[0,510]],[0,[0,256]]]],[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x955826d9e7565,!1,[[1,[2,"stage3"]],[3,1]]]]],[0,null,!1,null,7580289515153578,[[45,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,0x69764a5c85295,!1,[[1,[2,"Hsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7427366069223747,!1,[[11,"Hammer"],[7,[20,45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Hsave"]]]]]]]]]],[0,null,!1,null,687628512634607,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7552106149092711,!1,[[11,"bgSound"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,9803482834466446,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,895085530012341,!1,[[0,[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0xff58521f5d496,!1,[[11,"sound"],[7,[0,1]]]]]]]],[0,null,!1,null,4688338285466513,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe04a296a21915,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0x3e2e925b52cf3,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5782857399896681,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8555699397509133,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,-15]],[1,[2,"bgs"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc9fb6fd87a7ed,!1,[[11,"sound"],[7,[0,25]]]]]]]],[0,null,!1,null,0xd4d097470f813,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5996523282285316,!1,[[4,30]]]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,7933218016787582,!1,[[0,[1,1]]]],[30,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7449491814195563,!1],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x3d34cc20af2f3,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,6662982340417996,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,577840161887714,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,350335112410562,!1,[[11,"bgSound"],[7,[2,"on"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9509799065761194,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,0xe3132447f558c,!1,[[1,[2,"bgs"]],[3,1]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,5762908757009729,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9887923202780124,!1,[[11,"sound"],[7,[0,25]]]]],[[0,null,!1,null,8700436814001136,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8591835289107068,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,6352915288133982,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,0x5d5316ae9b82,!1,[[4,61],[5,[2,"2"]],[0,[0,1065]],[0,[0,256]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x75e39f323ae4d,!1,[[0,[0,50]]]],[-1,cr.system_object.prototype.acts.Wait,null,4553653771918648,!1,[[0,[1,1.5]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xdb1979132b3f4,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,878529475063221,!1,[[4,61],[5,[2,"3"]],[0,[0,1065]],[0,[0,352]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",0xc8682d1a4ffb8,!1,[[0,[0,70]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xeacfad475f4df,!1,[[0,[1,1.2]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,760288539575027,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe575c8fb7aedc,!1,[[4,61],[5,[2,"4"]],[0,[0,1065]],[0,[0,448]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",7811375365437279,!1,[[0,[0,60]]]],[-1,cr.system_object.prototype.acts.Wait,null,9273805075546392,
!1,[[0,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7991439012393067,!1,[[11,"waveActive"],[7,[2,"on"]]]]]]]],[0,null,!1,null,6086791388097589,[[61,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6373391207535267,!1,[[4,2]]]],[[61,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9079fea86a57b,!1],[2,cr.plugins_.Sprite.prototype.acts.SetVisible,null,8689391941546144,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5955556237478606,!1,[[2,["monkeyspawn",!1]],[3,0],
[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,5426020150478523,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,5303386123284665,!1]],[[26,cr.plugins_.TiledBg.prototype.acts.SetHeight,null,5133589939503123,!1,[[0,[23,"BananaCD"]]]],[47,cr.plugins_.TiledBg.prototype.acts.SetWidth,null,8684165844143804,!1,[[0,[23,"wavepercent"]]]],[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x3d398273d7a87,!1,[[0,[0,10]]]],[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,6234858106728473,!1,
[[0,[0,10]]]],[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,515931241484658,!1,[[0,[0,10]]]],[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x794eac7503fca,!1,[[0,[0,10]]]],[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,4936786681615753,!1,[[0,[0,10]]]],[37,cr.plugins_.Sprite.prototype.acts.SetSize,null,6660590884081271,!1,[[0,[0,120]],[0,[0,120]]]],[24,cr.plugins_.Text.prototype.acts.SetText,null,0x3a76c6a8937aa,!1,[[7,[23,"Hammer"]]]]]],[0,null,!1,null,0xfbdaea27c518,[[11,
cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,7060551535863644,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xdcba5ce20c415,!1,[[0,[0,50]]]]]],[0,null,!1,null,5963547602338297,[[12,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,7313639049621956,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xb60911f5ef398,!1,[[0,[0,50]]]]]],[0,null,!1,null,0x654cdd614448e,[[13,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,381133875704874,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,8109702527650384,!1,[[0,[0,50]]]]]],[0,null,!1,null,4702102714259177,[[14,cr.plugins_.Sprite.prototype.cnds.PickDistance,
null,0,!1,!1,!0,8796402335569341,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,7986013978156684,!1,[[0,[0,50]]]]]],[0,null,!1,null,7975733970129784,[[15,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,855736958735623,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,
null,9299565631774642,!1,[[0,[0,50]]]]]],[0,null,!1,null,7396043736591077,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5238297910011079,!1,[[11,"CrBanana"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,5493858840147002,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xb065d95686856,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,8436186999069501,!1,[[11,"BananaCD"],[7,[0,5]]]]]]]],[0,null,!1,null,0x95fb9022a2f45,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8490853411997442,!1,[[11,"BananaCD"],[8,5],[7,[0,65]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xd58baadb04a34,!1,[[11,"CrBanana"],[7,[2,"off"]]]]],[[0,null,!1,null,0xa2c7a6a80457,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf99a2a9a05193,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x78b45fffd2d1d,!1,[[4,27],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,
!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9405374315980496,!1,[[4,32],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5654431887731089,!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",6315137367502953,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,
null,9927578567675916,!1,[[11,"BananaCD"],[7,[0,0]]]]]]]],[0,null,!1,null,8383401259277405,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,5258440319675474,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x549dd247ce5b4,!1,[[4,11],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0xc68af1e86c2af,!1,[[3,0]]]],[[0,null,!1,null,0x9b087a6bd901,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xfaa07ca166638,
!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9097158156182542,!1,[[4,33],[5,[2,"1"]],[0,[0,50]],[0,[0,160]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,9717045470949278,!1,[[0,[20,11,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,11,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x53d1d5c27bf99,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[11,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe6a2eb174999b,!1]]]]],
[0,null,!1,null,5160127409624232,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,5701790706281782,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x4769ca470c709,!1,[[4,12],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",6279916530818404,!1,[[3,0]]]],[[0,null,!1,null,0x9e0a1bfe1bbb8,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6852334937158106,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb9505230e4c4c,!1,[[4,33],[5,[2,"2"]],[0,[0,50]],[0,[0,256]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc0cd9eff567e9,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5688487477253224,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[12,cr.plugins_.Sprite.prototype.acts.Destroy,null,7972101742066571,!1]]]]],[0,null,!1,null,0xa43dcec5f1b30,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,7882269628750634,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6531985740241153,!1,[[4,13],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",8695968306712984,!1,[[3,0]]]],[[0,null,!1,null,855477473828577,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8455693841321545,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5889224610428499,!1,[[4,33],[5,[2,"3"]],[0,[0,50]],[0,[0,352]]]],
[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,5850902814713881,!1,[[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8286037973288986,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,507898364981495,!1]]]]],[0,null,!1,null,0x6a891b9553386,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xf66c270f8f4d1,!1],
[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,68032774927058,!1,[[4,14],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",5749638159477372,!1,[[3,0]]]],[[0,null,!1,null,7058250288181915,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4756612899294108,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x52e14dbb9d73a,!1,[[4,33],[5,[2,"4"]],[0,[0,50]],[0,[0,448]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,
null,4551917256154756,!1,[[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xe07a5628d9b44,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,8259304164486399,!1]]]]],[0,null,!1,null,0xc913f1e19a3a,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,863280172159727,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,6857221494422252,!1,[[4,15],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x3e66ace0e461c,!1,[[3,0]]]],[[0,null,!1,null,0x56af634259381,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9968773685929944,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,905946397392304,!1,[[4,33],[5,[2,"5"]],[0,[0,50]],[0,[0,544]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf66a3a3e81b37,!1,[[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x7913867ca443,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,838878989797181,!1]]]]],[0,null,!1,null,5061135482910887,[[33,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,436746567100846,!1,[[4,27]]]],[],[[0,null,!1,null,0xd721b2b20193e,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5158052141968031,
!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xf8b69fe2188bb,!1,[[4,0],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7845708904931948,!1,[[4,32],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[33,cr.plugins_.Sprite.prototype.acts.Destroy,null,6378075477043088,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd28558c17d7ca,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x97b17c7b6b5ef,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8430037926886145,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,0x3ed55a4a6d901,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8715780546048148,!1],
[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5463354662322389,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",8057535120275223,!1,[[3,0]]]],[[0,null,!1,null,0x4f2a864d95af3,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x99140fd2c98f1,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x67687ac2e7069,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xe0f42a4573579,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,5553778282634873,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x40480e47e5fec,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8222838020994253,!1,[[4,1],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x81feb160c2214,!1],[-1,cr.system_object.prototype.acts.SetVar,null,929515536764959,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,0x6491c2ce22f05,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xb21c93f56c910,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,434906417561333,!1,
[[4,1],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",7754476886538717,!1,[[3,0]]]],[[0,null,!1,null,0x7be3831de618b,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,931957685205211,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x7a41ed8797e72,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,731408915703965,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0xdc9696be4b02a,
!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x7f1a0169818e2,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xdbc4117b818be,!1,[[4,0],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x7657cda8f6bff,!1],[-1,cr.system_object.prototype.acts.SetVar,null,7515812407846605,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,5858359107629755,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7455605986047319,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9324639000198888,!1,[[4,37],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xaa502661021a,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5789604008837815,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xf060bf07db025,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x3d93d9d7d3b56,!1,[[4,0],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7829719137319234,!1,[[4,39],[5,[20,
37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[37,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x86ed78844ab57,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x58974acf6985d,!1],[-1,cr.system_object.prototype.acts.SetVar,null,7243436953589864,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,7979265798957127,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",
1,!1,!1,!1,8844403697273963,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xa4e60505a28e6,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x43d9abcdd4afe,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5765415380224039,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xc995fed565b15,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,5748989209427515,!1,[[4,39],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8712744938598892,!1,[[10,2],[7,[0,15]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd16b27ed03cac,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x9ea18bbe00673,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf0cd4e22774b,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,8336707803355927,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9337387424562156,!1,
[[11,"wavecount"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8899621048664449,!1,[[11,"wavepercent"],[7,[0,50]]]]]],[0,null,!1,null,0x5ed355172fdd2,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcb12f1a65a2a1,!1,[[11,"wavecount"],[8,0],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5016334450311841,!1,[[11,"wavepercent"],[7,[0,100]]]]]],[0,null,!1,null,46393548348651,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x629784a1d7cbb,
!1,[[11,"wavecount"],[8,0],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6575987988665075,!1,[[11,"wavepercent"],[7,[0,150]]]]]],[0,null,!1,null,380884018854904,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9153122719800888,!1,[[11,"wavecount"],[8,5],[7,[0,30]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,429605183511641,!1,[[11,"wavepercent"],[7,[0,200]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8295855666229268,!1,[[11,"waveActive"],[7,[2,"off"]]]]]],
[0,null,!1,null,0xc9781e1ad15ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7398583892852995,!1,[[11,"waveActive"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,0xc9e9f71f67801,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9684807521299444,!1,[[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0xd2b9a8480e71b,!1,[[11,"skeleton1"],[7,[0,1]]]]]],[0,null,!1,null,0x3a4be37aca0c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8400165464155493,!1,
[[11,"wavecount"],[8,5],[7,[0,6]]]]],[],[[0,null,!1,null,0x7bff2bb59f51c,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x6d4f6e37b03a3,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x3ddf506f5688f,!1,[[11,"skefly1"],[7,[0,1]]]]]]]],[0,null,!1,null,7131533621536085,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6080742290605362,!1,[[11,"wavecount"],[8,5],[7,[0,15]]]]],[],[[0,null,!1,null,6858798749650215,[[-1,cr.system_object.prototype.cnds.Every,null,
0,!1,!1,!1,4779111426518837,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,5858412499624223,!1,[[11,"skeleton2"],[7,[0,1]]]]]]]]]],[0,null,!1,null,9633885497022096,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9187959893289274,!1,[[11,"skeleton1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0x6333bf837479b,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7914137884744576,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8092553075374936,!1,
[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9861036771972344,!1,[[10,0],[7,[2,"weeker"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x39b1a52467f32,!1,[[10,3],[7,[0,7]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x948ab868a81e1,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x654ad7909102,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],
[0,null,!1,null,6606681882929627,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xe2bb9efdd6baa,!1,[[10,0],[8,0],[7,[2,"weeker"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xfdf047b33c70f,!1,[[1,[2,"weeker"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8644862968571439,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",8436551791703005,!1,[[0,[0,10]]]]]],[0,null,!1,null,0x78ae88453d18c,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,68538481690533,!1,[[11,"skeleton2"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0x70299447451de,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe98836d86e3f4,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7405680258048536,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x3908cd0b95bab,!1,[[10,0],[7,[2,"spider"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,9287334642276220,!1,[[10,3],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6197206344862985,!1,[[11,"skeleton2"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xb95a7bf9bb73a,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0x7176f3a18f217,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8277863463164848,!1,[[10,0],[8,0],[7,[2,"spider"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x44f770ec3748c,!1,[[1,[2,"spider"]],[3,1]]],
[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5545666926188997,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",8922527878659496,!1,[[0,[0,25]]]]]],[0,null,!1,null,8908212033740457,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,554034587408418,!1,[[11,"skefly1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0xfe96d96163ad7,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xde13a90e57533,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,6347174639463468,!1,[[4,50],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,448]]]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xec7d7d2e40d9,!1,[[10,2],[7,[2,"skebat"]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x837c41d1c116d,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9076ea9215c22,!1,[[11,"skefly1"],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x89296f0c4a2ca,!1,[[11,"wavecount"],
[7,[0,1]]]]]]]],[0,null,!1,null,608152696387336,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xe7fe80923aafb,!1,[[4,16]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,6226155541590472,!1,[[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0x950ee9e7ec07e,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5709611950864405,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,899250974885006,
!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,6078722421594667,!1,[[5,[2,"1"]]]]]]]],[0,null,!1,null,558283689017981,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xcba67f460e056,!1,[[4,17]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,613392381468968,!1,[[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,6661085905045034,[[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf948109572de6,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,911440555346309,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5752416721716614,!1,[[5,[2,"2"]]]]]]]],[0,null,!1,null,0xf047d5efacf77,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9258556207190392,!1,[[4,18]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,4561289003311702,!1,[[0,[20,
18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0x7fe0fbed6faf,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7169804182878775,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,6975210343623926,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,748064364125864,!1,[[5,[2,"3"]]]]]]]],[0,null,!1,null,5665534527572797,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,4786618148205448,!1,[[4,19]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,4847527071582013,!1,[[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0x7cf228848cc52,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,353954673878314,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x7a32b6fa5a49c,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,
null,0x618e68644d93c,!1,[[5,[2,"4"]]]]]]]],[0,null,!1,null,292529286466354,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7004311708126661,!1,[[4,20]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,8073394476283427,!1,[[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,9167840376971916,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7451076532666717,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,
null,6478396200145527,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,920528098359026,!1,[[5,[2,"5"]]]]]]]],[0,null,!1,null,0xd6cdffb569937,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x7163779e7f79,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd460ca2d76b76,!1,[[10,0],[8,5],[7,[0,1]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,332436673802085,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,
null,868369412221275,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[34,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,484968277611151,!1,[[10,0],[7,[0,1]]]],[34,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc9d59db03b2b1,!1,[[1,[2,"destroy"]],[3,1]]]]],[0,null,!1,null,4829170054470973,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9347037981189436,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x481dc24ebe0fd,
!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,8178521651144628,!1,[[0,[4,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,80]]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,9057377417417698,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7250865321945236,!1,[[10,3],[7,[0,1]]]],[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,0xf69ced9b276,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x417a93658c267,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,4751408181833294,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xc21ebe3b287c7,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9270393453692992,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe8cf5643371f0,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,
0x5907e0f987c78,!1,[[4,37],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xb15ed41baa6ce,!1,[[4,36],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x6b42fc342f59a,!1]]]]],[0,null,!1,null,9279944406864828,[[0,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,0x7124430b6ad02,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,5840189954392909,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4595689052767322,!1,[[10,0],[8,3],[7,[0,5]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa8927f720e51,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,5867591699646643,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x6cf27e2245e9d,!1,[[10,0],[8,5],[7,[0,6]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xc3ee2b9baa0b5,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0xe61241ee4fef7,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7707568299498086,!1,[[5,[2,"1"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,6025927306303287,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,6727790416607608,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xcc29a39086e05,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4685935505834338,!1,[[10,0],[7,
[0,1]]]]]],[0,null,!1,null,9244777172032628,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd92bf182e2fcb,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8031788157337858,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x97a8dd42bfe4c,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,6246627990314086,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd37fbc2439a3b,
!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x54fd2cd646d26,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,6977764573496414,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7550153788175625,!1,[[5,[2,"2"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,837748413258457,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,0x6cde90cc4d732,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7424439919446848,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,0xc4a5c6ee7444c,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x930efca3d42c3,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6538063548103986,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6221289913194656,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5681186066652325,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc1d1c96592b1f,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xe49880b73830c,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xbbf65540d12fb,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,8153626759975491,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9001159365825718,!1,[[5,[2,"3"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5009039241655785,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,8034056081977944,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x847ca3f3ace99,!1,[[0,
[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x4474d6964430f,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,6243153819554298,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,352634205991471,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8576713005664984,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc04de5c4a71c1,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,7706119881936126,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6898118558594766,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6363360553663568,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,7100892149758275,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,6284628813104239,!1,[[5,[2,"4"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xf407b12683938,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,0xb0ba5473569e9,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,5193303903834097,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x67814c75725c3,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,9619600030175806,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8066731672314273,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xcda5b199b3769,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9316151680953398,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,5235267415450584,!1,[[4,38],
[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x7aed6d4bc271,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8443285184296073,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0xb6de1ad89847e,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,4605450294984137,!1,[[5,[2,"5"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7182406098565375,!1,[[5,[2,"5"]]]]],
[],[[0,null,!1,null,4689539226251191,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xb22651dc60717,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6862449161102918,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,8429961878378332,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8668232974112183,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6901802460403205,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xdee47eaff41af,!1]],
[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xa878af8621aee,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x7595b4d65a96f,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xbd9dfb6ffce54,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,452908474724998,[[1,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0x89ba4736cb791,!1,[[1,[2,"shoot"]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,7018280268091452,!1,[[1,[2,"idle"]],[3,1]]]]],[0,null,!1,null,0xeaa85c7ab499c,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xe8aec63ff8557,!1,[[4,38]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6484471899411611,!1,[[10,3],[7,[0,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x469077423b28a,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[38,cr.plugins_.Sprite.prototype.acts.Destroy,null,9438768080746160,!1],
[29,cr.plugins_.Audio.prototype.acts.Play,null,0xcebebc77f357,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,6215832752015334,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,599532731952741,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6075336552667294,!1,[[0,[0,0]]]]],[[0,null,!1,null,7423339070148943,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xab6b0c18ce233,!1,[[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x99bb04b2bdbb1,!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,455007595302775,!1,[[10,1],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,37257013778333,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6505620751104623,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,4927306816384324,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc8b19139ab052,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,7701082607167095,!1,[[4,37],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9da20b638aecf,!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6724796840749793,!1]]]]],[0,null,!1,null,0x888362ab54ee3,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xc98a8f4eaa0f7,!1,[[5,[2,"1"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,700709547883047,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,884976994276395,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xac938fc50726c,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xe086bc4a171a0,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
0x4957a978dd389,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8220850321652638,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x65706e1dcc817,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,98687693505239,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x400b6a9115ac4,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",509616631564503,!1,[[0,[0,-60]]]],
[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6805381858606485,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4781292898397776,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0xd4c2f93e69358,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,4740831465659608,!1,[[5,[2,"2"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,6466425759985848,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,7318755501435868,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,0x5447ab8318ace,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,830066241861779,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xa44d3c06306b2,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4915175811239433,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xaf8a91fcd7735,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xeb74ec6e00473,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe77d1165bfcae,!1,[[4,48],[5,
[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",839702838062692,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4723974282055371,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9472786937182994,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,7161503545367352,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xf8c5cf20bcf1b,!1,[[5,[2,"3"]]]],
[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x4d1218cf4f08d,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,9222816706731316,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,59487567392062,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xdfaca62a5d88,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,8898155330544668,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5673304020060884,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9508188671200518,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xa8ee434ad288a,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x847607efdab0c,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",9995953703400092,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4944191911298823,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4941034426927284,
!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,451256292589177,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xea69e8aae4756,!1,[[5,[2,"4"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,4831260048358925,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,7239406624056654,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x9834d1791ca01,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,758371061965979,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
0xc55346ebdfc9e,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xef5e1005e45db,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8608693675738781,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd6e7400d155d9,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,4850275214241058,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0xb1c2faea5faf5,!1,[[0,[0,
-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6897642798894797,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x623fe53cf0253,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0x3bd049e6c32c8,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x6cecb0035ed5c,!1,[[5,[2,"5"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,472755101998761,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,0xfae7ac38465ea,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,8463881474960704,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x79ecb27da66e9,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x8cab9ff01ac54,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xa5a5589c236b2,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5707701976089267,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9533374878731760,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x9dee6fe44ede1,!1,[[4,48],[5,
[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",7358802091826846,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6276055698679195,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9918061530253072,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0x61e874e4ba4b3,[[50,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,8042285292660666,!1]],[],[[0,null,
!1,null,9299194712888596,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6008597473950725,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xf898621ac1540,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,9092592646684920,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4890369272105883,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8073391041600969,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6078297461985971,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x74b4799add741,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0xd2f77ac10995e,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x3ba652c1d0b2d,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x497a610d3a50f,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,9581900643054092,[[2,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,
!1,0xb725a80c7f4f7,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,7173133363938254,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9344553368597718,!1,[[10,2],[8,3],[7,[0,7]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x53e914edff499,!1,[[1,[2,"fall"]],[3,1]]]]],[0,null,!1,null,0x8a66fcc1609ec,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xa1ef3e10d5e62,!1,[[10,2],[8,5],[7,[0,8]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9374685365239822,
!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,5795476490933961,[[48,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,7506967238948166,!1,[[8,5],[0,[0,640]]]]],[[48,cr.plugins_.Sprite.prototype.acts.Spawn,null,4677976180961011,!1,[[4,49],[5,[20,48,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,7514372933055459,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,7622844728942608,!1,[[2,["dragdrop",!1]],[3,0],
[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,9900218239625056,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8681619583231234,!1,[[4,48]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7934619023058616,!1,[[10,3],[7,[21,2,!1,null,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,7919688573101772,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xa9bedab54c76d,!1],[29,cr.plugins_.Audio.prototype.acts.Play,
null,6069484235601916,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,4618555224072734,[[48,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xdf7e2ce8a4aab,!1,[[4,50]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6754445227077476,!1,[[10,0],[7,[21,2,!1,null,1]]]],[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,8084578703048966,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,
null,4515995137593156,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,8769719287293639,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,7049538914506603,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xbce5e2a3f5e08,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x4c272774265cf,!1,[[0,[0,0]]]]],[[0,null,!1,null,0x8415a0499bebb,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9348737157473144,
!1,[[0,[0,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,8599032589776096,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,917976511302502,!1,[[10,2],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,5283684476684621,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6266176065583198,!1,[[10,2],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8857980845346473,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,7279097975179464,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xf0bde4a7fb62f,!1,[[4,37],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x954c78a98feb2,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,
2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[2,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xa9b0ec1519b5a,!1],[-1,cr.system_object.prototype.acts.SubVar,null,6560206081575289,!1,[[11,"mission"],[7,[0,1]]]]]]]],[0,null,!1,null,7989775231439614,[[50,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,7579750469112768,!1,[[8,5],[0,[0,200]]]]],[],[[0,null,!1,null,0x9b93c2f75e182,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6828920187804931,!1,[[0,[1,1]]]]],
[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xcdd6efd717bc1,!1,[[10,1],[7,[0,1]]]]]]]],[0,null,!1,null,723997217432174,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xbe3b5f95749a4,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x54ef681028975,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe547685cdb1a,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,6588669944017207,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,6409386393190237,!1]]]]],[0,null,!1,null,0x67d6f0fa55f18,[[50,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,7542806101332283,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,8863167005957547,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,9548307416393772,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xed2c12ca144e4,!1,[[10,0],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,8701655321239314,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9494640767746368,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,7426005265772381,!1,[[4,54],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,0xa7b067144e333,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd87cb9080e337,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5956185805635776,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7860558911677754,
!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,9420256425333944,!1,[[4,51],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7043392347961197,!1,[[1,[2,"shoot"]],[3,1]]],[51,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xfa301f50f54dd,!1,[[0,[20,86,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,86,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0xa235aed7dc7e5,!1,[[10,1],[7,[0,5]]]]]]]],[0,null,!1,null,8219157599300408,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,709947933493378,!1,[[4,2]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x6995dbfe0174a,!1,[[10,2],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x658abe70f8bd9,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,622817924903854,
!1]]],[0,null,!1,null,0xa8a818d27f407,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,524044489019709,!1,[[4,1]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,319911388676818,!1,[[10,1],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,797846790858252,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xdf9f9ea0967c8,!1]]],[0,null,!1,null,0x9ce844c7466dd,[[51,
cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8086913932079002,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8123196908535191,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,7209210149971106,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,799886352542805,!1]]],[0,null,!1,null,6380706629308305,[[50,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,8113831527747567,!1,[[1,[2,"shoot"]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf963e30d5eeed,!1,[[1,[2,"idle"]],[3,1]]]]],[0,null,!1,null,4845635582397529,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6262689743848609,!1,[[10,3],[8,3],[7,[0,0]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe70b1ccd03e1a,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x5806f8bd6f71b,!1,[[2,["enemydie",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,
null,!1,null,5021042005893643,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x7fd4c8f4d20ef,!1,[[10,3],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,0x60c8e04d16f11,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb6753f7e9c3ec,!1]],[[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,8805740208846716,!1,[[4,54],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,0xc9df5a65e7ec9,[[35,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,
null,1,!1,!1,!1,674442965125749,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,8811899061783666,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,8307017084892776,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6670029093536593,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xbe001d34ae169,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8084825772870285,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe11fd870a28e8,
!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,282779336016822,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6072024756486617,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9649212193300912,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,7993549316602812,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9dd560884b383,!1,[[4,40],[5,[2,"dialogLayer"]],
[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,521566706641176,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,6673030382158706,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,7046002002255792,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7abde4bec3ba2,!1,[[0,[0,
961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,4594194252680016,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,0x57424ec425617,[[50,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,5033289141221895,!1]],[],[[0,null,!1,null,7609485107439056,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5d295fe512134,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x8af2ae482e661,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,4749106778428765,
!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,968528898127794,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,7641947091792697,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x3e629a306d597,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7199559853091911,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x64679a6a453b,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,6563209105627899,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf96543e48d79e,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,9200129472869820,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,987006955805082,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7699773468055814,!1,[[11,"enemykill"],[8,5],[7,[0,30]]]]],[],[[0,null,!1,null,0xd006f5c0e9a9a,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6829699608549067,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x5c12c199ecc03,!1,[[11,"CurrentLvl"],[7,[0,4]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x461144ffe02e6,!1,[[11,"Hammer"],[7,[0,10]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x9aacd8961ea6d,!1,[[1,[2,"Hsave"]],[7,[23,"Hammer"]]]],
[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,890543743185253,!1,[[1,[2,"Lsave"]],[7,[23,"CurrentLvl"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,5473403641596348,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x6d9b9140f65f7,!1,[[2,["winning",!1]],[3,0],[0,[0,0]],[1,[2,"win"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6323854196729587,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8055160454787081,!1,[[1,[2,"bgs"]],[3,
0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9019218801617454,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xfa52b83c8a95,!1,[[1,[2,"win"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,7416458595586955,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xca942a6c02bc9,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,2]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,6843484603827615,!1,[[4,85],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x76f2346058762,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,6174293872650736,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,6025819856061725,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x4a82012fce27e,!1,[[4,41]]]],[],[[0,
null,!1,null,9746041614645560,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,8521241825024596,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8762547339333489,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,5310028722711374,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x7e8be4371acbf,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9035100192447644,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,7443176733418501,
!1]]]]],[0,null,!1,null,0xb765d6670a472,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,4562281229813035,!1,[[4,44]]]],[],[[0,null,!1,null,0x979c473f1d957,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,8065307493377316,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9352311261334040,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,437416183085679,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x9d0a118dd9296,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x85004949da30e,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6326345401501329,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8147788715768383,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x87c7aaae34f89,!1,[[1,[2,"win"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xed1aa927736b9,!1,[[6,"menu"]]]]]]],[0,null,!1,null,9986575827402128,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,8666422513689729,!1,[[4,43]]]],[],[[0,null,!1,null,0xfa68aecfdf1c,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0x5218a3dc88cfd,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6863685375554276,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,8086369625405592,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x85548fd1c6c1f,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5786649343756526,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,0xc994eae5ee94f,!1,[[6,"stage4"]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xf2473b4b9f43a,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9842789117314566,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5349676218288823,!1,[[1,[2,"win"]],[3,0]]]]]]],[0,null,!1,null,5774875704180195,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5043040436233841,!1,[[4,85]]]],[[40,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xddce320fbd60a,!1,[[1,[2,"aActive"]],[3,1]]]],[[0,null,!1,null,6437567932622729,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0x4146bc2cad426,!1]],[[85,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7397513454359244,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,9597132578061922,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x3992687fcea66,!1]],[[85,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9551650537919516,!1,[[1,[2,"default"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,
null,5353732041918083,!1,[[4,43],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[85,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x470eab7cf36b1,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,7472335793813758,!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x6a9276cd0fb42,!1]]]]],[0,null,!1,null,0xce2469c06e49e,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,6367106064075461,!1,[[4,22]]]],[],[[0,null,!1,null,4894639927375254,[[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8239042174303429,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x58113476790d9,!1,[[4,46],[5,[2,"dialogLayer"]],[0,[0,506]],[0,[0,325]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,402887368269242,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x573afb8ec3959,!1,[[0,[0,0]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x6b555a1ef2c9d,!1,[[4,42],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,9818569397330976,!1,[[4,41],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x804fc901f0156,!1,[[4,44],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xfc612037bed7,!1,[[0,[0,961]],[0,[0,-37]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8600706071947616,!1,[[1,[2,"fx"]],
[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8817983718103735,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9455472132606408,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8960920166742998,!1,[[1,[2,"startsound"]],[3,0]]]]]]],[0,null,!1,null,0xd385f4f4e84b9,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,7207369359054794,!1,[[4,42]]]],[],[[0,null,!1,null,0xbe452cc356644,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,
null,1,!1,!1,!1,6677011442900677,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa25c624c7e4f4,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0x4ad30ed501bac,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x4b8ada4ec57fd,!1]],[[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,5868364232704821,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x8364fd40795b9,!1,[[0,[1,1]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xe8196fd3ba81a,
!1,[[3,0]]],[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,5118037137284992,!1],[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,4867594103177099,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x733da5d19c0dd,!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe642a405d68cc,!1],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,4825971201129185,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6944350167842256,!1,[[1,[2,"bgs"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,0xa218576cca023,!1,[[1,[2,"win"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x8df17e5bbf57,!1,[[1,[2,"startsound"]],[3,1]]]]]]],[0,null,!1,null,0xc443857ce7fa1,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xe6eff77033123,!1,[[4,54]]]],[[54,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x88584abb6f055,!1,[[0,[0,600]]]],[54,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,6116227025121914,!1,[[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[54,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7168678047787343,!1,[[1,[2,"blast"]],[3,1]]]]],[0,null,!1,null,6329526199299929,[[54,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9908577009586940,!1,[[4,23]]]],[[54,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x83f1d351c1333,!1],[-1,cr.system_object.prototype.acts.AddVar,null,0x94998c8968f07,!1,[[11,"Hammer"],[7,[0,1]]]],[23,cr.plugins_.Sprite.prototype.acts.Spawn,
null,9463373946805398,!1,[[4,55],[5,[20,23,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[55,cr.plugins_.Sprite.prototype.acts.SetAngle,null,0xf32b199518a3a,!1,[[0,[19,cr.system_object.prototype.exps.random,[[0,360]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,922084924585501,!1,[[2,["hamercolision",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],["Stage4Sheet",[[0,null,!1,null,0x6d0efc614b23d,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0xe157416d4431a,!1]],
[[79,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0xf2265da2e9ee2,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x87c5bec271930,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,0]],[1,[2,"startSound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6858176226976099,!1,[[1,[2,"openSound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,8059035265990524,!1,[[1,[2,"openSound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,938153252074312,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,
null,8583754254207051,!1,[[1,[2,"win"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4b1dd5d08345e,!1,[[11,"bgSound"],[7,[2,"off"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7560448841306773,!1,[[1,[2,"bgs"]],[3,0]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,6351552718149036,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,562108943231381,!1,[[11,"CrBanana"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x639a7f501b4e5,!1,[[11,"BananaCD"],
[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc7878abff055d,!1,[[11,"waveActive"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9316726330268848,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,386569854785394,!1,[[11,"skeleton2"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x69f04e41b8c4f,!1,[[11,"skefly1"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8989844922757695,!1,[[11,"enemykill"],[7,[0,0]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,5228979819802417,!1,[[11,"wavepercent"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xe43f00a005ab2,!1,[[11,"wavecount"],[7,[0,0]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,6384247810036554,!1,[[0,[0,961]],[0,[0,-37]]]],[21,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x3bb527633c0db,!1,[[1,[2,"tc1"]],[3,1]]],[52,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x95a2191b6f9f,!1,[[3,0]]],[52,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
"DragDrop",7986097097887029,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,9558487734999862,!1,[[0,[0,0]]]]],[[0,null,!1,null,89225593790302,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf22ef8cc29471,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x83a2ae2713880,!1,[[4,30],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,802599136118204,!1,[[1,[2,"stage4"]],[3,1]]]]],[0,null,!1,null,6651318801313187,
[[45,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,0x581614f72c9cb,!1,[[1,[2,"Hsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9857824083522732,!1,[[11,"Hammer"],[7,[20,45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Hsave"]]]]]]]]]],[0,null,!1,null,0x74645fb02d427,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7818279680710243,!1,[[11,"bgSound"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,0xb711739b096ba,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,5362223545632345,!1,[[0,[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,6696715969690148,!1,[[11,"sound"],[7,[0,1]]]]]]]],[0,null,!1,null,8516549833733555,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6517629926965624,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0xd56bf143692df,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xeab14101517d8,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xeadf1c12ad40f,!1,[[2,["bgsound2",
!1]],[3,0],[0,[0,-15]],[1,[2,"bgs"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x737a7a0943c67,!1,[[11,"sound"],[7,[0,25]]]]]]]],[0,null,!1,null,5602796289044463,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,800107457796408,!1,[[4,30]]]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,0xc88546b1e25df,!1,[[0,[1,1]]]],[30,cr.plugins_.Sprite.prototype.acts.Destroy,null,8007194442041245,!1],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,7257588927268054,
!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,5616016516189947,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8066655174581537,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8135589074709352,!1,[[11,"bgSound"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x614ce566e51fa,!1,[[11,"waveActive"],[7,[2,"on"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7207940618113236,!1,[[1,[2,"fx"]],[3,1]]],
[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x7d04cd3f0c698,!1,[[1,[2,"bgs"]],[3,1]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4ca37fcfda83f,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x3da59bc79a69a,!1,[[11,"sound"],[7,[0,25]]]]],[[0,null,!1,null,0x7a8cfb627fbd0,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7282267106353411,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,5875597439238451,!1,[[2,["monkeyspawn",!1]],[3,0],
[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xba94d7a07787e,!1,[[4,65],[5,[2,"2"]],[0,[0,0]],[0,[0,256]]]],[65,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",833526640008562,!1,[[0,[0,20]]]],[-1,cr.system_object.prototype.acts.Wait,null,9848671408186668,!1,[[0,[0,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x6ebc73dd0db25,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6856551825725261,
!1,[[4,65],[5,[2,"3"]],[0,[0,0]],[0,[0,352]]]],[65,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xa0707e787e1da,!1,[[0,[0,30]]]],[-1,cr.system_object.prototype.acts.Wait,null,862348772496637,!1,[[0,[1,1.2]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x7a259b95fea75,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9131484554561676,!1,[[4,65],[5,[2,"4"]],[0,[0,0]],[0,[0,448]]]],[65,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",0xfee6dcb84f145,!1,[[0,[0,20]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x59c89adcd1cdd,!1,[[0,[1,1.5]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,955230884099447,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9367627488776912,!1,[[4,65],[5,[2,"5"]],[0,[0,0]],[0,[0,544]]]],[65,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",389810516091817,!1,[[0,[0,40]]]]]]]],[0,null,!1,null,0xf02471a7ec47a,[[65,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,5424599136266656,!1,[[4,52],[0,[0,0]],[0,[0,0]]]]],[[52,cr.plugins_.Sprite.prototype.acts.SetVisible,null,7424068205136933,!1,[[3,1]]],[52,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x42d22255da495,!1,[[1,[2,"onwork"]],[3,1]]],[65,cr.plugins_.Sprite.prototype.acts.SetPos,null,8644072724689548,!1,[[0,[20,52,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,52,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[65,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",9686370137961692,
!1,[[0,[0,0]]]],[65,cr.plugins_.Sprite.prototype.acts.SetVisible,null,8285732441634586,!1,[[3,0]]]],[[0,null,!1,null,0x6de8e103c0cad,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6615751237602295,!1,[[0,[1,1]]]]],[[52,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x761d94027127d,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,7430956244450262,[[52,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8706738885809022,!1,[[10,0],[8,0],[7,[0,0]]]],[65,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,992402597959804,!1,[[4,52],[0,[0,0]],[0,[0,0]]]]],[[65,cr.plugins_.Sprite.prototype.acts.Destroy,null,7843824706948309,!1],[52,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x9adc961793c5a,!1,[[1,[2,"default"]],[3,1]]],[52,cr.plugins_.Sprite.prototype.acts.Spawn,null,784319674816184,!1,[[4,32],[5,[20,52,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[52,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",416031072036627,!1,[[3,1]]]]]]],[0,null,!1,null,0xfa6c7b8465ff7,
[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,6335439068460935,!1]],[[26,cr.plugins_.TiledBg.prototype.acts.SetHeight,null,0xab789e4d89e8e,!1,[[0,[23,"BananaCD"]]]],[47,cr.plugins_.TiledBg.prototype.acts.SetWidth,null,0xa5fe3d7fbf355,!1,[[0,[23,"wavepercent"]]]],[37,cr.plugins_.Sprite.prototype.acts.SetSize,null,6181027697266005,!1,[[0,[0,120]],[0,[0,120]]]],[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,6040279656338085,!1,[[0,[0,10]]]],[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,
null,0x8d9aa85b64f0e,!1,[[0,[0,10]]]],[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,8275887378479604,!1,[[0,[0,10]]]],[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xef3a98d7cc6ff,!1,[[0,[0,10]]]],[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,7179666992421268,!1,[[0,[0,10]]]],[24,cr.plugins_.Text.prototype.acts.SetText,null,0xcc8c4f6781376,!1,[[7,[23,"Hammer"]]]]]],[0,null,!1,null,6791230670579244,[[11,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,7985146255824619,
!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,6569597975968053,!1,[[0,[0,50]]]]]],[0,null,!1,null,548918453725727,[[12,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,9875254180938362,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,
null,18952092477748,!1,[[0,[0,50]]]]]],[0,null,!1,null,9280886586196162,[[13,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,5700469697687218,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,9311091662007140,!1,[[0,[0,50]]]]]],[0,null,!1,null,0xcf1b11da16e12,[[14,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0xc4bc2712406e4,!1,[[3,0],[0,
[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x6e05c8d9e2fe0,!1,[[0,[0,50]]]]]],[0,null,!1,null,0xfbc809ff08332,[[15,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0xf71ceb1e76ed5,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xb78eb6b44ea30,
!1,[[0,[0,50]]]]]],[0,null,!1,null,7815737916792927,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6764049646958376,!1,[[11,"CrBanana"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,0xfe4694b3c4575,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5393602563800596,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6738425229048922,!1,[[11,"BananaCD"],[7,[0,5]]]]]]]],[0,null,!1,null,5781472848105342,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,
0x9590f896a9cd6,!1,[[11,"BananaCD"],[8,5],[7,[0,65]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x3fb0d7d5138b5,!1,[[11,"CrBanana"],[7,[2,"off"]]]]],[[0,null,!1,null,7827082564290929,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbc22ba60832c,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,658457959833435,!1,[[4,27],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,
!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4613227600608477,!1,[[4,32],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5209282982718136,!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",6204935027137652,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,
null,8569315996814737,!1,[[11,"BananaCD"],[7,[0,0]]]]]]]],[0,null,!1,null,6725911445337681,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9316392908742516,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,4605864333442377,!1,[[4,11],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x58acfd847f5ab,!1,[[3,0]]]],[[0,null,!1,null,6879126914334597,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
8273822313231671,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xb67ba1b5e164f,!1,[[4,33],[5,[2,"1"]],[0,[0,50]],[0,[0,160]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,4987741087940961,!1,[[0,[20,11,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,11,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5574528141385777,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[11,cr.plugins_.Sprite.prototype.acts.Destroy,null,715753313410676,
!1]]]]],[0,null,!1,null,9187055502651794,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x5fc8054324fbb,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5132351386598495,!1,[[4,12],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",7071219409231939,!1,[[3,0]]]],[[0,null,!1,null,5118940718267421,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xed55bf66e5742,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,8011380027642426,!1,[[4,33],[5,[2,"2"]],[0,[0,50]],[0,[0,256]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,65811191178562,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xc4031736adbf8,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[12,cr.plugins_.Sprite.prototype.acts.Destroy,null,66121464627792,!1]]]]],[0,null,!1,null,6466941829823635,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,6149446768962656,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x871aa9576ec39,!1,[[4,13],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x3b0134b63cf7d,!1,[[3,0]]]],[[0,null,!1,null,0x8ee664a22985,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x495594305c093,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xd21baed47ea01,!1,[[4,33],[5,[2,"3"]],[0,[0,50]],[0,[0,352]]]],[27,
cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8d81d4ef2fafb,!1,[[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7831818906054181,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,4772068327882358,!1]]]]],[0,null,!1,null,5522100591909073,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xd5eeb6b252172,!1],[27,
cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5094685392986188,!1,[[4,14],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0xdc50a17b3b299,!1,[[3,0]]]],[[0,null,!1,null,724839348896527,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7302606388251442,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xd6c250396700f,!1,[[4,33],[5,[2,"4"]],[0,[0,50]],[0,[0,448]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,
0x99f321fc9b4ff,!1,[[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5785995829232436,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,574170106941333,!1]]]]],[0,null,!1,null,9018536369004528,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xd01f26a96741e,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,8742447811177006,!1,[[4,15],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",9867101791256264,!1,[[3,0]]]],[[0,null,!1,null,525789944753511,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x862c713eb97a8,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4723764258993078,!1,[[4,33],[5,[2,"5"]],[0,[0,50]],[0,[0,544]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,9805613425443680,!1,[[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xc259869a1fd91,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,5733344853208782,!1]]]]],[0,null,!1,null,0x9dc34d743b508,[[33,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5024830386113307,!1,[[4,27]]]],[],[[0,null,!1,null,6457148538618585,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5468535750301416,
!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8326232871971395,!1,[[4,0],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7289837567817968,!1,[[4,32],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[33,cr.plugins_.Sprite.prototype.acts.Destroy,null,9097713876651236,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x41dd1b710d249,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,5268612517670109,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x86335dd8bee62,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,4537698995998479,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xc55825bdee621,!1],
[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9168101409531692,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",8459731471496725,!1,[[3,0]]]],[[0,null,!1,null,8203198939511678,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6865884828648209,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xb605d1f75b1bd,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7856144930090384,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,8296685830612356,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xff2ae7d498f55,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x834099f0cad2d,!1,[[4,1],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc8fb3cd1fb3a9,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xd1c5c3a1b9e5b,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,6034493892510057,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x80bd910634e9f,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7217235846643808,
!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",7420751071706728,!1,[[3,0]]]],[[0,null,!1,null,0x5ace3d31b5a81,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7705693768738738,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8149520760799874,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x876fc92787b5a,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0x6fe28a9aa7fb0,
!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,7271743000312623,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,466210658568123,!1,[[4,0],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x3ea57b17f9d1f,!1],[-1,cr.system_object.prototype.acts.SetVar,null,4533074165606544,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,5508771547099325,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xb4298ee9d103,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6319732747905761,!1,[[4,37],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,5409472782544513,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x4180a908fafe3,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9147366353750016,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9dce65f174f43,!1,[[4,0],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9b54efd82fd4d,!1,[[4,39],[5,[20,
37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[37,cr.plugins_.Sprite.prototype.acts.Destroy,null,4566331193699573,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb4b2b8da949e1,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xf6339e6f0af0d,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,797791943546389,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",
1,!1,!1,!1,6359211130299947,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6729950836440193,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,5482895646009676,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7051261735631882,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x74f4c24aa5077,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,8408504196317413,!1,[[4,39],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6044654510529945,!1,[[10,2],[7,[0,15]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc347e7c44237a,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xc155b681c0a51,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4739826659594087,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,7478749346699443,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6749062128570466,
!1,[[11,"wavecount"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8487594123068743,!1,[[11,"wavepercent"],[7,[0,50]]]]]],[0,null,!1,null,0x50d62de91d563,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5268660937260533,!1,[[11,"wavecount"],[8,0],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8839672460509204,!1,[[11,"wavepercent"],[7,[0,100]]]]]],[0,null,!1,null,7811527217307822,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7600419548693212,
!1,[[11,"wavecount"],[8,0],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6710898836315487,!1,[[11,"wavepercent"],[7,[0,150]]]]]],[0,null,!1,null,9454689944062792,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5796111065640565,!1,[[11,"wavecount"],[8,5],[7,[0,30]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5407914627553218,!1,[[11,"wavepercent"],[7,[0,200]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xa349b040a8762,!1,[[11,"waveActive"],[7,[2,"off"]]]]]],
[0,null,!1,null,5447287506929769,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6157728203179053,!1,[[11,"waveActive"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,8373462309382522,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6853012913861312,!1,[[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,5310769390245207,!1,[[11,"skeleton1"],[7,[0,1]]]]]],[0,null,!1,null,0x9dc34981e4769,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7395638400461691,
!1,[[11,"wavecount"],[8,5],[7,[0,6]]]]],[],[[0,null,!1,null,6553528766279237,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x926e0618bb469,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,5387395510019665,!1,[[11,"skefly1"],[7,[0,1]]]]]]]]]],[0,null,!1,null,0xe861316697073,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9408905357012244,!1,[[11,"skeleton1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0x52656127ec9c0,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xa6eebc0b542ac,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x848c78e005c3f,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5227124098456318,!1,[[10,0],[7,[2,"weeker"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8811379897249264,!1,[[10,3],[7,[0,7]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9217312864939768,!1,[[11,"skeleton1"],
[7,[0,10]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x6c4f1834b5f1f,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,7441100443425515,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,706240229127833,!1,[[10,0],[8,0],[7,[2,"weeker"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5079761145159188,!1,[[1,[2,"weeker"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8708655172040399,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",7159350340521727,!1,[[0,[0,10]]]]]],[0,null,!1,null,0x4a46e5dec02da,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4964882685142567,!1,[[11,"skefly1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0x9e88afdaae71b,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9759836943451476,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7472986599137842,!1,[[4,50],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[50,
cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6225242258710624,!1,[[10,2],[7,[2,"skebat"]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9270274042948600,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x70e344688f4d8,!1,[[11,"skefly1"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6207664099017132,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0xe2a70d1dbf591,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xf14e6735d2d67,
!1,[[4,16]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,8014772205052476,!1,[[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0xea51e2874c5bf,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9525735612294632,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x515e84d867793,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5612845932053746,
!1,[[5,[2,"1"]]]]]]]],[0,null,!1,null,9318550696787614,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7002491316999123,!1,[[4,17]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,7990799503726748,!1,[[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0x934ce098f1a54,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf124863cabe41,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,
null,4863674832382993,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x816504d5eb900,!1,[[5,[2,"2"]]]]]]]],[0,null,!1,null,9354862320543958,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xd5ee4bc7dde03,!1,[[4,18]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,7225561079605339,!1,[[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,
0x993e93234fee7,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9368660267041012,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,5471965069052423,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5246897189317403,!1,[[5,[2,"3"]]]]]]]],[0,null,!1,null,0x61fd858e0b118,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5379770991100615,!1,[[4,19]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,7404438515856369,
!1,[[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,5815625897629619,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe51d686a851b,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xc5a115a9f93bf,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5327631751903731,!1,[[5,[2,"4"]]]]]]]],[0,null,!1,null,8078456074247415,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0xd01fd852919d,!1,[[4,20]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,4564453721787834,!1,[[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,4543763663564959,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5483852946803257,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,5451141519389508,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,
null,8954692715870786,!1,[[5,[2,"5"]]]]]]]],[0,null,!1,null,782552838136998,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,898289358881172,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9019457379455572,!1,[[10,0],[8,5],[7,[0,1]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,674451098133351,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,6824001694151528,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[7,[0,0]]]],[34,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6038337968511625,!1,[[10,0],[7,[0,1]]]],[34,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5603548442822308,!1,[[1,[2,"destroy"]],[3,1]]]]],[0,null,!1,null,7389035273789223,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9997211426643252,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9937663556236248,!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,9898269753548988,
!1,[[0,[4,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,80]]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8590db75ee079,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6755212125444567,!1,[[10,3],[7,[0,1]]]],[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8649556175753954,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,0xe78878e449784,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,9576228279332584,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,994259530829563,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7396112504545181,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5052191623926431,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x6fa142cdc4caa,!1,[[4,37],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,
[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,4953726962216386,!1,[[4,36],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,690306633596498,!1]]]]],[0,null,!1,null,8366488828761957,[[0,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,559575317078151,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,8628960032135173,
[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x6c263f121af5f,!1,[[10,0],[8,3],[7,[0,5]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7931843158463367,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,5156778493204958,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9525019106737738,!1,[[10,0],[8,5],[7,[0,6]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9074893802489780,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,8103380654997206,
[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x785a023a4fab9,!1,[[5,[2,"1"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x600800517d6c4,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,8337030949417496,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xa5524bb17d363,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7537235512098038,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,688447925705344,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,5630492983664991,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5478484735360753,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8567067107338199,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x785d5c1b83166,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf3d68238cfa84,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,750909731402723,
!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0x3ff8c353fa5f8,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,4507485167369356,!1,[[5,[2,"2"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x397a6274a4139,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,404288312596092,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9503481100012788,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8182745368193933,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
0xbff08efab41a3,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9118409670280896,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9080382651050744,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xff404cf90c133,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,5503140144871615,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc39108f606ea0,!1,[[1,[2,"shoot"]],[3,1]]],
[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xf957116cc0407,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,5952861905240211,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,4855684238545552,!1,[[5,[2,"3"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x42f15c06177a9,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,7574111039395425,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7962943242076344,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,708101413160493,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,8534970317670401,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9232114344687034,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xb9da9a0826f04,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4778163658659644,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,6803253110119171,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,6891272342975479,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x7403e23f490d,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,8135394548459635,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9086501102616166,!1,[[5,[2,"4"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,412197669684878,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,0xa67e2226286bc,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7803299118904919,!1,[[0,
[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xb4a13cd9d00b5,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,9880996951610482,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x6649007dc03f3,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xc14ff4c6c23b0,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6768909590066217,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,7741060354893736,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb3a13daaf2d38,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6884948903723606,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0x8800b7513845e,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8764083914130831,!1,[[5,[2,"5"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x6ee577f266131,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,0xb3542bc7b013f,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,9250772721345232,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7550470406437001,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xf1f42ca742a47,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,42848209269963,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xaeb4997b45421,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8649692828356642,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x826f53fc1f879,!1,[[4,38],[5,
[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe44e9b10c156d,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,578808266582533,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,730088474237362,[[1,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0x3948285cbaaf6,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,6266230197252825,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,6577473234269596,!1,[[10,1],[8,3],[7,[0,4]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7561551158979156,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,9077084500173278,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb6f09d246cd01,!1,[[10,1],[8,5],[7,[0,5]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6049419967688371,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0xa3e82ca5b5f5d,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,
!1,!1,!0,6208383371213478,!1,[[4,38]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5817759749048064,!1,[[10,3],[7,[0,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,404162891818979,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[38,cr.plugins_.Sprite.prototype.acts.Destroy,null,8499197029068189,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,9230898997680756,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0xbd9ec22698a67,
[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5793955121142562,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",964633174087984,!1,[[0,[0,0]]]]],[[0,null,!1,null,6706512029994049,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xdc54778d92c8d,!1,[[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,5843916124109037,!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,0x990d8b8e240e5,!1,[[10,1],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,0x8cde36aff7419,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xea6317360823f,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xa2cd1c7838b7f,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8800262468969063,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,746775536666518,!1,[[4,37],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6799516013904326,!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9fd6aac7dbaf9,!1]]]]],[0,null,!1,null,0xaca469f892f3d,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5993726803586341,
!1,[[5,[2,"1"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x9a2f9bb0de37b,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,0x5678829eb1fc6,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8626984370646416,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xb30375ca06ea5,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,9700415808011296,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x961bd6a1167a9,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,
null,!1,null,9029742769211304,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7192130322342936,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,9266752606134204,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",6579227208263065,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xea40452889efe,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0xe2ac44aa463e9,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0xe2983c8e3bac8,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9717704869394356,!1,[[5,[2,"2"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x56ea4653a3502,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,8548049597357633,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,4509209050903303,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x5e7164c63630f,!1,[[10,0],[7,[0,
1]]]]]],[0,null,!1,null,9366298940548832,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6945890978345408,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,4834771387163941,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185185706204963,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,602492266202031,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",
646214867078094,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb01b106cfa958,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5793272900250315,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0x488dae7d2d19b,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x95d94d9980792,!1,[[5,[2,"3"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8382021056866504,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,0x8fd4eb602f9fc,[[-1,
cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8522703239731836,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6786459741080918,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,9908791807617200,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb2ab745ca77a0,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xe0d79e01b9c24,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x621ca22cfde50,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,
null,79887348778464,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",6946637662969284,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6070843000551745,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x470dc895de321,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0x5a2114080f583,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5413903051514861,
!1,[[5,[2,"4"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9470176275618438,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,0xe14d959292064,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x7587a1404bb3f,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x4e0b348857a63,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,7704507823419733,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5374554211912811,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,
null,!1,null,9045055614793508,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xfe6e3856e5f4d,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,7544921305359997,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",8791848725321392,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9837420614567726,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0xc1618c5d05319,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,5178588406850908,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,6725049195369161,!1,[[5,[2,"5"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5729562611661142,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,0x94bf8211ce93c,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8804022203628491,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6420457164883227,!1,[[10,0],[7,[0,
1]]]]]],[0,null,!1,null,6142587776887582,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7034993157073405,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6881106454626956,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,884496474668485,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,7522715177293811,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",
0x637418992e6b1,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9858180262205316,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x887608ae5d776,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,8731543769756878,[[50,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,6818987568461302,!1]],[],[[0,null,!1,null,0xa9fb8ab24402f,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x673ed8a9855b2,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,9129857830061084,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,5304172501669218,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x55f48bc81484c,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xc10817ed8ba83,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9323125109252564,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,9485016077402888,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,
"Bullet",0x8779904819d0f,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9241969087289528,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x8ac777f71a1d6,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,6030434108589317,[[2,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,5063345514070233,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,0x4e8b10e626521,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7945687422316037,
!1,[[10,2],[8,3],[7,[0,7]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4623679b29a71,!1,[[1,[2,"fall"]],[3,1]]]]],[0,null,!1,null,5056715174410124,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x4e4e37e27536f,!1,[[10,2],[8,5],[7,[0,8]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9679006322594004,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,5889532861686513,[[48,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,9447023619850584,
!1,[[8,5],[0,[0,640]]]]],[[48,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x4928f6b5688e5,!1,[[4,49],[5,[20,48,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,7545661802474729,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,6253044102708158,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0xcede5a7f93f36,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x7e3248de2444e,!1,[[4,48]]]],[[35,
cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x6a433e90429aa,!1,[[10,3],[7,[21,2,!1,null,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x899c9a7466f77,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x4ea98ff54379d,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,5262457986116511,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0x5e5504644ccbd,[[48,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,8298355688029198,!1,[[4,50]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6236600404791039,!1,[[10,0],[7,[21,2,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5422538543420279,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,5128035764426547,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,4761498653535868,!1]]],
[0,null,!1,null,8485239540569871,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8064435286383935,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",7481369578132798,!1,[[0,[0,0]]]]],[[0,null,!1,null,9926719029849E3,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x73cc79a2c877c,!1,[[0,[0,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xa191e4b8af36c,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7481496119453044,!1,[[10,2],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,5950762195165264,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6192124218259878,!1,[[10,2],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xa5ee7867f4c79,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9618862343819676,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xe68d8a8a4dbae,!1,[[4,37],[5,[20,2,
cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4829603066048899,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[2,cr.plugins_.Sprite.prototype.acts.Destroy,null,4741765409139453,!1],[-1,cr.system_object.prototype.acts.SubVar,
null,0x9973c7bb22d91,!1,[[11,"mission"],[7,[0,1]]]]]]]],[0,null,!1,null,5786456925601177,[[50,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,0x662d6121fbd9e,!1,[[8,5],[0,[0,100]]]]],[],[[0,null,!1,null,780145146601649,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xa53077b52bdad,!1,[[0,[1,1]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x9d7c033cc740f,!1,[[10,1],[7,[0,1]]]]]]]],[0,null,!1,null,6308372029059599,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0x65500e5aa1193,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,4886256801479735,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6323625948772685,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,7326108856246279,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,8598805599945738,!1]]]]],[0,null,!1,null,8273749119462957,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,8566912886566419,!1,[[10,0],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,0x4819598fa91df,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x58e61d164937d,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,5495705045579882,!1,[[4,54],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,828013508219036,[[50,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,6300963663145722,!1]],[[-1,cr.system_object.prototype.acts.AddVar,
null,0xda8914864628b,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,6738802388365108,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x82505e3b689a9,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7616430208751353,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8438545194466272,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,8130024962440749,!1,[[4,51],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,551128801439724,!1,[[1,[2,"shoot"]],[3,1]]],[51,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,7847608909064144,!1,[[0,[20,86,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,86,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xafa65fce7cbb3,!1,[[10,1],[7,[0,5]]]]]]]],[0,null,!1,null,8058705218837807,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xd47c2a98b3015,!1,[[4,2]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,8264948466494626,!1,[[10,2],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,554805181934617,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x430800ad3957f,!1]]],[0,null,!1,null,0xbffcf0af04838,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5572696991126383,!1,[[4,1]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7293983208402437,!1,[[10,1],[7,[21,
50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x65c3d2bf0d6a0,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,5243739030168285,!1]]],[0,null,!1,null,0xeb7d6bfe8490b,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4727581629413077,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x9d923074277c9,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0xcf21ea730e43,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,290059631649373,!1]]],[0,null,!1,null,0x9b2fb3a2f940c,[[50,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0xed1069192dd34,!1,[[1,[2,"shoot"]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x73f59a5702df7,!1,[[1,[2,"idle"]],[3,1]]]]],[0,null,!1,null,7489738638933041,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,8688309234687352,!1,[[10,3],[8,3],[7,[0,0]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,4806253452075738,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xd54dc98e57a9c,!1,[[2,["enemydie",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,6576503361244206,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8579540429093669,!1,[[10,3],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,741711618611767,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,
!1,!1,!1,0xb4a963657e3ba,!1]],[[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,7917163595204662,!1,[[4,54],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,536873501869082,[[35,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,8992519917511027,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,7665813891153537,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,5311748924840237,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,
!1,!1,!0,5199449080226258,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xfca885cb89694,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8027454982415213,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4726233cd223d,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,771489511219412,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x5a94af37fea33,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,5798623095268435,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,5664881037616331,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xaee28de736386,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x8b81077ca4e97,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,5390238192457579,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,5449371498622442,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0xd1dfd1daeeeda,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,0xc7b52575e10fc,[[50,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,868390351693689,!1]],[],[[0,null,!1,null,9598003809859604,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,790193546625983,
!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,6642326539943671,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x3ca9ba6a37e44,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,4657628945476932,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,8655386073423436,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x669317e8060de,!1,[[4,40],[5,[2,"dialogLayer"]],
[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6811651856233653,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x4a8359b844897,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xdf4f58ae69287,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,7382057267338045,!1,[[0,[0,
961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0xdf6486c7db738,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,5777205665944936,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x841af9eac58c5,!1,[[11,"enemykill"],[8,5],[7,[0,30]]]]],[],[[0,null,!1,null,7954473036899143,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x95e20cc618fcc,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,6400863168274829,!1,[[11,"CurrentLvl"],[7,[0,5]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,6212279079165083,!1,[[11,"Hammer"],[7,[0,10]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xaf6ac3aedc58,!1,[[1,[2,"Hsave"]],[7,[23,"Hammer"]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9540038130736052,!1,[[1,[2,"Lsave"]],[7,[23,"CurrentLvl"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,5487102588890604,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5983802871737078,!1,[[2,["winning",!1]],[3,0],[0,[0,0]],[1,[2,"win"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,0xf90a81e91cd96,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5759376102238075,!1,[[1,[2,"bgs"]],[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9950762245508868,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6480298900849608,!1,[[1,[2,"win"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,9605907687290944,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x54d880fc7e4f9,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8fe2c34b21ed8,!1,[[4,43],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,5095961502766866,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,6151421002012206,!1,[[0,[0,0]]]]]]]],
[0,null,!1,null,7010042726400928,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,6869188280811857,!1,[[4,41]]]],[],[[0,null,!1,null,0x71762b8fd3028,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,6450287648550584,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6421011102732809,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,8007958650462721,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0xed719b133dda0,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x791c6be77c563,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0xfcf2b68033407,!1]]]]],[0,null,!1,null,9311269177682856,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,8463456567508631,!1,[[4,44]]]],[],[[0,null,!1,null,0xcec3671cd6a03,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,7420153729658355,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5831033360618339,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,
462005371322612,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,5298642302668092,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb5194039261ef,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,592893001963845,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5406517336447704,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5256347383712633,!1,[[1,[2,"win"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,7706821400994543,!1,[[6,"menu"]]]]]]],[0,null,!1,null,9874559819498962,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,6519111857857622,!1,[[4,43]]]],[],[[0,null,!1,null,0xbe7a1faa960eb,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0xe9aae567e52cd,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x999eaebc9690e,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0x80de22325a69f,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x68d93236c1f3f,
!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5958587424952169,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,773923329988455,!1,[[6,"stage5"]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x9b11d649b764c,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x7b10a3cd5f64f,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9253851330440592,!1,[[1,[2,"win"]],[3,0]]]]]]],[0,null,!1,null,0xa068b2cd3a8ab,
[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5910564606107135,!1,[[4,22]]]],[],[[0,null,!1,null,7687522716108148,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4be5cdf9ea2e5,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4740839275921615,!1,[[4,46],[5,[2,"dialogLayer"]],[0,[0,506]],[0,[0,325]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,6294112345130217,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,6491306755162115,
!1,[[0,[0,0]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,9874045452772446,!1,[[4,42],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x95331c1d7a85d,!1,[[4,41],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xed11094659efa,!1,[[4,44],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xbdc20d8416617,!1,[[0,[0,961]],[0,[0,-37]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8546719406750051,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5364039911085787,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x4d138734a0164,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x9c2b9099aaf38,!1,[[1,[2,"startsound"]],[3,0]]]]]]],[0,null,!1,null,6630083022621835,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,0x433db221541e9,!1,[[4,42]]]],[],[[0,null,!1,null,6921216173933976,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0xe03b25a6c29a7,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x452bdb643bce6,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,6918695294824355,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x49ae15de70ad2,!1]],[[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,532681032244473,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,
null,0x5df5ef2b71a9,!1,[[0,[1,1]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,5287450733150009,!1,[[3,0]]],[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,7178680958882667,!1],[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,7324840616651808,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc7c76185250ab,!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf3e8821be4097,!1],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xac137ad009929,!1,[[1,[2,"fx"]],[3,1]]],[29,
cr.plugins_.Audio.prototype.acts.SetMuted,null,9539344627142676,!1,[[1,[2,"bgs"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9858793713279668,!1,[[1,[2,"win"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xe29177d12a9e2,!1,[[1,[2,"startsound"]],[3,1]]]]]]],[0,null,!1,null,0xb66d74ed8d05e,[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xa342c55efb7d3,!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6394692212218853,
!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x7d86b578edf72,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5795984248305697,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8974173656391566,!1,[[4,2],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,7269422684676238,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,40206747396629,!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xdb8621dfd6943,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,7268359904532142,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,0xbed6f84eaf368,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9490223495614546,!1,[[4,54]]]],[[54,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x95f4826a2facb,!1,[[0,[0,
600]]]],[54,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,5954175398616865,!1,[[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[54,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xbfcebf28d8f89,!1,[[1,[2,"blast"]],[3,1]]]]],[0,null,!1,null,9745019540822460,[[54,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5005186408165128,!1,[[4,23]]]],[[54,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x6aff7b576f201,!1],
[-1,cr.system_object.prototype.acts.AddVar,null,9770351373199632,!1,[[11,"Hammer"],[7,[0,1]]]],[23,cr.plugins_.Sprite.prototype.acts.Spawn,null,8190700166474269,!1,[[4,55],[5,[20,23,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[55,cr.plugins_.Sprite.prototype.acts.SetAngle,null,467823139760138,!1,[[0,[19,cr.system_object.prototype.exps.random,[[0,360]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7763576425863671,!1,[[2,["hamercolision",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],
["Stage2Sheet",[[0,null,!1,null,0x6ae59f3fe6ec3,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x91a16f329d852,!1]],[[79,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,6293737818834942,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8580715356118954,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,0]],[1,[2,"startSound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9210443079231804,!1,[[1,[2,"openSound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,0x55440fdb51a79,
!1,[[1,[2,"openSound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7760861018216835,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,6119659821072235,!1,[[1,[2,"win"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xfd4dfdd2ebf27,!1,[[11,"bgSound"],[7,[2,"off"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,87944089478075,!1,[[1,[2,"bgs"]],[3,0]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xf459802330508,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,
null,8962642912300953,!1,[[11,"CrBanana"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5101505295898886,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5423878141935405,!1,[[11,"waveActive"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7590343465690864,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5747163371045515,!1,[[11,"skeleton2"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,
0xca3a13dd8d99c,!1,[[11,"enemykill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5198544431838943,!1,[[11,"wavepercent"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9039793378921816,!1,[[11,"wavecount"],[7,[0,0]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,437755462031394,!1,[[0,[0,961]],[0,[0,-37]]]],[21,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8672400631283372,!1,[[1,[2,"sr2"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,8939785950932041,
!1,[[0,[0,0]]]]],[[0,null,!1,null,0x781d307c561b3,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xeaedde0591cfb,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5775046276272162,!1,[[4,30],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7823850480962159,!1,[[1,[2,"stage2"]],[3,1]]]]],[0,null,!1,null,8074975757541707,[[45,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,0xd085a0e562ed8,!1,[[1,[2,
"Hsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6765314968717345,!1,[[11,"Hammer"],[7,[20,45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Hsave"]]]]]]]]]],[0,null,!1,null,0x51007b699fa01,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9ff3bb29549f,!1,[[11,"bgSound"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,9707086332164118,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xf9f7aea91a0d1,!1,[[0,[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,
null,6598262871498362,!1,[[11,"sound"],[7,[0,1]]]]]]]],[0,null,!1,null,6535982998831936,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5369338136326626,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0xfd8379fcf5cac,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd55b598dc4b47,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9523771732946516,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,-15]],[1,[2,"bgs"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7424972783353495,
!1,[[11,"sound"],[7,[0,25]]]]]]]],[0,null,!1,null,9236603485866614,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5971269720505362,!1,[[4,30]]]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,4601341235790715,!1,[[0,[1,1]]]],[30,cr.plugins_.Sprite.prototype.acts.Destroy,null,4776306243004914,!1],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,6229196025786149,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,9935246750759864,!1,[[11,"BananaCD"],[7,
[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5253949595274546,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6106956448885086,!1,[[11,"bgSound"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6865872205681424,!1,[[11,"waveActive"],[7,[2,"on"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8566211063408297,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5822727593951137,!1,[[1,[2,"bgs"]],[3,1]]],[22,
cr.plugins_.Sprite.prototype.acts.SetPos,null,5396629659429145,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4bab41e9d285a,!1,[[11,"sound"],[7,[0,25]]]]]],[0,null,!1,null,314389047846868,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,0x789c645e428fc,!1]],[[26,cr.plugins_.TiledBg.prototype.acts.SetHeight,null,0x88705d05dfdbe,!1,[[0,[23,"BananaCD"]]]],[47,cr.plugins_.TiledBg.prototype.acts.SetWidth,null,9457566246474268,!1,[[0,[23,"wavepercent"]]]],[11,
cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xe4c12e786e9db,!1,[[0,[0,10]]]],[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5765675694773204,!1,[[0,[0,10]]]],[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,7011530161644309,!1,[[0,[0,10]]]],[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,9588793619481778,!1,[[0,[0,10]]]],[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,8186578817539572,!1,[[0,[0,10]]]],[37,cr.plugins_.Sprite.prototype.acts.SetSize,null,8536521656742253,
!1,[[0,[0,120]],[0,[0,120]]]],[24,cr.plugins_.Text.prototype.acts.SetText,null,0x55685ea20feb4,!1,[[7,[23,"Hammer"]]]]]],[0,null,!1,null,4697459554567473,[[11,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,5877920523193079,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,9583731692680176,!1,[[0,[0,50]]]]]],[0,null,!1,null,8780477068163855,[[12,cr.plugins_.Sprite.prototype.cnds.PickDistance,
null,0,!1,!1,!0,0xc27c24f37f48,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x7e6171db64513,!1,[[0,[0,50]]]]]],[0,null,!1,null,7796130355171911,[[13,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0xaf7402529cd76,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,
null,0x7775e2235b071,!1,[[0,[0,50]]]]]],[0,null,!1,null,9331323106768836,[[14,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,9514141459306832,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,4795315116004237,!1,[[0,[0,50]]]]]],[0,null,!1,null,0xea3b0f756b615,[[15,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,5929601874553961,!1,[[3,0],
[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x7a1490fead864,!1,[[0,[0,50]]]]]],[0,null,!1,null,0x9e00fca684108,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9185000728955548,!1,[[11,"CrBanana"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,0xa69554636c9bb,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5718250657735539,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,388982549932921,!1,[[11,"BananaCD"],[7,[0,5]]]]]]]],[0,null,!1,null,8422583413934021,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7274854493918553,!1,[[11,"BananaCD"],[8,5],[7,[0,65]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6440055955159264,!1,[[11,"CrBanana"],[7,[2,"off"]]]]],[[0,null,!1,null,0x84c04a59c327c,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7215559501918885,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8273874936728463,
!1,[[4,27],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,579888171553581,!1,[[4,32],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xd08fc491b4239,!1,[[2,["bananadrop",
!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0xd59e6c82dd7c7,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,7768075356316587,!1,[[11,"BananaCD"],[7,[0,0]]]]]]]],[0,null,!1,null,8481320816559739,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xf14bb909725f,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,4702853835693986,!1,[[4,11],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
"DragDrop",8913449494425656,!1,[[3,0]]]],[[0,null,!1,null,8348421177808688,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x405d088cae576,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xd59ca2b11a749,!1,[[4,33],[5,[2,"1"]],[0,[0,50]],[0,[0,160]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa57b03d871a83,!1,[[0,[20,11,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,11,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,343406010904265,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[11,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe98c457dccf89,!1]]]]],[0,null,!1,null,0x8bd4ba7608be,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x70d447406672d,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x969a4ff67dd55,!1,[[4,12],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",5446779587815077,!1,[[3,0]]]],[[0,null,
!1,null,0x5fac7479cb07f,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5737535633214018,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6428748644787748,!1,[[4,33],[5,[2,"2"]],[0,[0,50]],[0,[0,256]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8703c4e1ad20d,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5807214247051983,!1,[[2,["dragdrop",!1]],
[3,0],[0,[0,0]],[1,[2,"fx"]]]],[12,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xccb2e908e8d46,!1]]]]],[0,null,!1,null,7396947163402093,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,4608373974249698,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xd28074f459442,!1,[[4,13],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",8207306772070238,!1,[[3,0]]]],[[0,null,!1,null,6854862832294291,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xb738653371305,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9501370901698926,!1,[[4,33],[5,[2,"3"]],[0,[0,50]],[0,[0,352]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x3c1b5d55bf027,!1,[[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8554664505831882,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[13,cr.plugins_.Sprite.prototype.acts.Destroy,
null,5007649199799821,!1]]]]],[0,null,!1,null,4861579168879635,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x936c1c112bb66,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7142752598820011,!1,[[4,14],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",8395057890665551,!1,[[3,0]]]],[[0,null,!1,null,0xd71066c05a751,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x69b0c3638db63,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,976835918010029,!1,[[4,33],[5,[2,"4"]],[0,[0,50]],[0,[0,448]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,95691924055117,!1,[[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,4649616608447999,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,9485064748567718,!1]]]]],[0,null,!1,null,0xf42f660bead8a,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,6413139361863989,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x3daa16ef91f32,!1,[[4,15],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",7000570244911461,!1,[[3,0]]]],[[0,null,!1,null,5548277764921483,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5154939590905341,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9263460200402880,!1,[[4,33],[5,[2,"5"]],[0,[0,50]],[0,[0,544]]]],
[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,8986865864133966,!1,[[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5256608187951541,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,9968061494609272,!1]]]]],[0,null,!1,null,5194347072518828,[[33,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9548534426147012,!1,[[4,
27]]]],[],[[0,null,!1,null,8673162520874935,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4a8584d7abc9d,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9872687306653992,!1,[[4,0],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9dc1803cdf57d,!1,[[4,32],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[33,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf5b786c5e2789,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,642223947262688,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xa9dbf0d67a751,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,736728397998447,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,
0x8624cfbf3dd32,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9470039009413856,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x3de7545aab257,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",718863414845802,!1,[[3,0]]]],[[0,null,!1,null,0xa823ac47dcef8,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5748152995583275,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9182218333203278,
!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,5410679016842077,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,7508837526195535,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x9fd44e4dd33fb,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,526221547317702,!1,[[4,1],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,4650616667461267,!1],[-1,cr.system_object.prototype.acts.SetVar,null,89031260663316,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,0xcb4a6112233c7,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,4694181316110875,!1],
[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x7cd136dd0b35,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",6097145997052478,!1,[[3,0]]]],[[0,null,!1,null,8779971626777927,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4d20496404fe5,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8134825193616493,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7113524573270429,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0xa58482e455ce8,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,6546571541055008,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4620483894094802,!1,[[4,0],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,6016882801622824,!1],[-1,cr.system_object.prototype.acts.SetVar,null,8863584383455418,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,5900827402788259,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,4926639947740465,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x8a1c1ddb9b5c1,
!1,[[4,37],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,5902027014783,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xba7d56c57cc22,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,4929697073974389,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6305780331087644,!1,[[4,0],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5569656755171713,!1,[[4,39],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[37,cr.plugins_.Sprite.prototype.acts.Destroy,null,5620851512016081,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,5067840037071923,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x6368d56e488f5,!1,[[11,"CrBanana"],[7,
[2,"on"]]]]]]]],[0,null,!1,null,8963380920380365,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6349027365566703,!1,[[11,"wavecount"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6877631480852349,!1,[[11,"wavepercent"],[7,[0,50]]]]]],[0,null,!1,null,0xb40722ffe04f0,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,661585033433343,!1,[[11,"wavecount"],[8,0],[7,[0,5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9445915202146618,!1,[[11,"wavepercent"],
[7,[0,100]]]]]],[0,null,!1,null,0xea7d88f64b54f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9311198612499316,!1,[[11,"wavecount"],[8,0],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xe7b94449c7934,!1,[[11,"wavepercent"],[7,[0,150]]]]]],[0,null,!1,null,802594697881041,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x850c3add8e41b,!1,[[11,"wavecount"],[8,5],[7,[0,15]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xd81fb6bf4e12c,!1,[[11,"wavepercent"],
[7,[0,200]]]],[-1,cr.system_object.prototype.acts.SetVar,null,305546582447659,!1,[[11,"waveActive"],[7,[2,"off"]]]]]],[0,null,!1,null,8713302207469596,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6652484589162783,!1,[[11,"waveActive"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,6114174718035374,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6170690321680833,!1,[[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,647780866252847,!1,[[11,"skeleton1"],[7,[0,1]]]]]],
[0,null,!1,null,8462389599047978,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd484186aacb3f,!1,[[11,"wavecount"],[8,5],[7,[0,7]]]]],[],[[0,null,!1,null,0xfbf6ce459d593,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7521719999176986,!1,[[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0xb000fab0ba398,!1,[[11,"skeleton2"],[7,[0,1]]]]]]]]]],[0,null,!1,null,0xd164ce764b7cd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4843870153971711,!1,
[[11,"skeleton1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0xbdc366439f5d6,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5841393656280206,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9745301796446056,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,256],[0,448]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8579888031227751,!1,[[10,0],[7,[2,"weeker"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,
0x84db83b17170a,!1,[[10,3],[7,[0,7]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9398115602316428,!1,[[11,"skeleton1"],[7,[0,8]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6086281116150725,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0x3f1b57789115d,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x47080fb12b17b,!1,[[10,0],[8,0],[7,[2,"weeker"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x44c654d1abb7f,!1,[[1,[2,"weeker"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,5600410244789233,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6190208962651642,!1,[[0,[0,10]]]]]],[0,null,!1,null,7732967230670132,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5256690504169227,!1,[[11,"skeleton2"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,9516079112727356,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,945060868483603,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x5bcfd75aff63e,!1,[[4,35],[5,[2,
"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,256],[0,448]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xa4349f01cef48,!1,[[10,0],[7,[2,"spider"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x9e0d4979ff307,!1,[[10,3],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8496801390660989,!1,[[11,"skeleton2"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8255629427635519,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,
!1,null,5028593177201237,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4693637178815643,!1,[[10,0],[8,0],[7,[2,"spider"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa08d22b591b57,!1,[[1,[2,"spider"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x5b4d642b900d1,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",8859128689897269,!1,[[0,[0,30]]]]]],[0,null,!1,null,0x6ec2df2c625a4,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0x7ca03ba824466,!1,[[4,16]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xbed7942b995ef,!1,[[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,5079546140115084,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7796242849275631,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,5135187548644803,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,
null,6398897705600678,!1,[[5,[2,"1"]]]]]]]],[0,null,!1,null,6389549140927738,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4775715546643922,!1,[[4,17]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xddfa00bb7b183,!1,[[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,8977846934393431,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8106808822924999,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,
null,0x7bd644130af82,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x8a1d8950a23f2,!1,[[5,[2,"2"]]]]]]]],[0,null,!1,null,9259294897420616,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5931637948157553,!1,[[4,18]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,8527531054771008,!1,[[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,
9076944794871966,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd3b8a429aa002,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8912136781090139,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,8122362121333374,!1,[[5,[2,"3"]]]]]]]],[0,null,!1,null,6449302510681664,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5506212382298797,!1,[[4,19]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,5487900801682236,
!1,[[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,6622449561757874,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd7586223333f4,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x65e0698bb4625,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5089146213714066,!1,[[5,[2,"4"]]]]]]]],[0,null,!1,null,7375170048083516,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0xc1c7aeb848c23,!1,[[4,20]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,4685825637307845,!1,[[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,5817288204448828,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4529269400983776,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,5225287574443095,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,
null,6456460949345671,!1,[[5,[2,"5"]]]]]]]],[0,null,!1,null,0xa366941b50b85,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6492035819707224,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6066766197192149,!1,[[10,0],[8,5],[7,[0,1]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,9817430809818594,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xa5a63b7872684,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[7,[0,0]]]],[34,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5295373959186008,!1,[[10,0],[7,[0,1]]]],[34,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8409554791706949,!1,[[1,[2,"destroy"]],[3,1]]]]],[0,null,!1,null,0xac34e1226b46b,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7286259022999673,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x71ebfb3491660,!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,6677286726951464,
!1,[[0,[4,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,80]]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,401839599537308,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x68ecd9bdedfdd,!1,[[10,3],[7,[0,1]]]],[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9217803906957388,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,0xb93576ab8a02,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,5979830429242072,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7770352200497186,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xacd16764d09a1,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5462876912539721,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x755d98ff49c4f,!1,[[4,37],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,
[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x9f38245a6234f,!1,[[4,36],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,6603329687769932,!1]]]]],[0,null,!1,null,7532172026071901,[[0,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,7838230765249681,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,8020735569153736,
[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,306767058611562,!1,[[10,0],[8,3],[7,[0,5]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8634046484961505,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,5648492450315356,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7214384321817692,!1,[[10,0],[8,5],[7,[0,6]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4629344180526984,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,6556304760060184,
[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5082192918176606,!1,[[5,[2,"1"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xc8e569df26a4c,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,8818177121904165,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6588303654067339,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5309658140690526,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,5024254128804665,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0xafe13c9962a,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6517039554559576,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7439313171855995,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xac3a473036849,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,544697962712709,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x865df3cefcac4,
!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,5468677494067838,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8614682693399784,!1,[[5,[2,"2"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xeb2205087288e,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,6371307959027196,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9858765366533286,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x99d5ad039af38,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
0x456b9a7edcc14,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x567ca8f5248b9,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6232119023352269,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf9d8a8020f1ee,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,875798737918029,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,815090672649237,!1,[[1,[2,"shoot"]],[3,1]]],
[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xf5cec635fee6d,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,4776847850548696,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8047602819370795,!1,[[5,[2,"3"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8653390534433634,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,8224186920397584,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x7e3ece2130984,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,0x43b47c2366d8b,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x7ce2bdd815809,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8087870442938187,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x66bbd62eaec39,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xaa96abd1bdd10,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,8895886211958322,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,5103219292150462,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xde08c3c8a1b88,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,4507611101785962,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8428056018747079,!1,[[5,[2,"4"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x4733c45df7dbc,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,5834383367477983,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xc17782a171fe7,!1,[[0,
[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xa9d907b19bab7,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,921081521428852,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x3f567a1dc92cd,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5815454362283249,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5312347072514516,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,832778531085496,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8649360015715372,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4789037218487309,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0x651bf31ffd979,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9814004319655524,!1,[[5,[2,"5"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8903626907027206,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,0x7638c62e3cf9b,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,6625127089925407,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xd27d49f36984,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,6450644654577608,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x6ac9ee16a601b,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xec655553e4664,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x7f2b00511713b,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,9235710327989248,!1,[[4,38],[5,
[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc1d9df45a021,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6163538756731669,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,4866920972742824,[[1,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,7565127972035267,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,7319813117247177,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,8077353900693337,!1,[[10,1],[8,3],[7,[0,4]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x88c2175952f5a,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,8339853589699247,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6262302031430763,!1,[[10,1],[8,5],[7,[0,5]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xccb1f9450d0f,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,4560708110186841,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,
!1,!1,!0,0xe2a3e2c32a880,!1,[[4,38]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x9f47c86ef3a4c,!1,[[10,3],[7,[0,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xd450bdd3f46e6,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[36,cr.plugins_.Sprite.prototype.acts.MoveToTop,null,9193664113791412,!1],[38,cr.plugins_.Sprite.prototype.acts.Destroy,null,5457601788783669,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x43b12b2f801dc,!1,
[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0xdd340ae2b5d93,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xf8d69e0bbef8f,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x62203fff1b9c2,!1,[[0,[0,0]]]]],[[0,null,!1,null,21284762471076,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x835d7143f6718,!1,[[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x828f1a30b2979,!1,[[4,36],
[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7583645705518834,!1,[[10,1],[7,[0,1]]]]]]]],[0,null,!1,null,0xece1c4866680d,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9828336106574376,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x8562836e6ce91,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4c5218a34ade6,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,
0xae45da367dcf3,!1,[[4,37],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8732212225899705,!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6820246185062108,!1]]]]],[0,null,!1,null,0xa2078e7f7893,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,52222285427231,!1,[[10,3],[8,3],[7,[0,0]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xfac87af8c3c95,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xb77fec1137798,!1,[[2,["enemydie",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,5748149656814717,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8133643310838511,!1,[[10,
3],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,6934084796983442,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9938777863742220,!1]],[[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,6659138405230772,!1,[[4,54],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,0x3dc48ec81665d,[[35,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,0xa8e827f20e694,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x5df77fff74cde,!1,[[11,"enemykill"],
[7,[0,1]]]]]],[0,null,!1,null,4682218212467359,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9049825436524212,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8952521998081089,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6051832449640448,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4850592324537338,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xa0c8661bf4ddc,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,0x9a64150401ac5,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x77370757a8747,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc612bdde0075e,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7750151565236125,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5962400978124669,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x43fc0bafe6a93,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,651603112275562,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe54f4c6ddab85,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,9469744838836820,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,0xba86f7eff584,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,299261676548161,!1,[[11,"enemykill"],[8,5],[7,[0,15]]]]],[],[[0,null,!1,null,9086500202172006,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9537826070691372,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,5925080820485148,!1,[[11,"CurrentLvl"],[7,[0,3]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xafd1d265bb50d,!1,[[1,[2,"Lsave"]],[7,[23,"CurrentLvl"]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8240659971602329,!1,[[11,"Hammer"],[7,
[0,10]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8958365371915466,!1,[[1,[2,"Hsave"]],[7,[23,"Hammer"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,7553800716075127,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xcb72664228feb,!1,[[2,["winning",!1]],[3,0],[0,[0,0]],[1,[2,"win"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x40b6f5b538419,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xb1459b47da408,!1,[[1,[2,"bgs"]],
[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5298178174645981,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9318714279731346,!1,[[1,[2,"win"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,9821201368606280,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,6469299036584779,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,2]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,9754359118428028,!1,[[4,43],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,4604648662562787,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x69f9ef28ecc71,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,40595529447557,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xec62e4585611a,!1,[[4,41]]]],[],[[0,
null,!1,null,0xd157115f027e8,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0x66925d56e3db8,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x57e64fd1b467a,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0x8a33666eb96e6,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x4a78fdddbdd26,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9319850386558766,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,6554437052314868,
!1]]]]],[0,null,!1,null,8427544972087186,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x5720e88d054fa,!1,[[4,44]]]],[],[[0,null,!1,null,7684958024805928,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,6249113308153568,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xab593c2cb1d7c,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,8010546565346419,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x4b7eeef729f63,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,6911664052699302,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x583faef379866,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x679e7e442106d,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5695916181545994,!1,[[1,[2,"win"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x55962c4c6fa43,!1,[[6,"menu"]]]]]]],[0,null,!1,null,8363835215985705,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,0x6dbe5ad58ba23,!1,[[4,43]]]],[[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9529497723669638,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5501017746738659,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5997232793902057,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,375445875284519,!1,[[1,[2,"win"]]]]],[[0,null,!1,null,5235106002568351,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,
1,!1,!1,!1,9083070255094674,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7690375218279346,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0xace35180eb9d3,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,60446906131002,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7663653421059712,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9223190362236702,!1,[[6,"stage3"]]]]]]],[0,null,!1,null,4583315135869838,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,0x8a503b51caa1d,!1,[[4,22]]]],[],[[0,null,!1,null,8404620105696997,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc0cd6834c8b69,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x7291451ae70c1,!1,[[4,46],[5,[2,"dialogLayer"]],[0,[0,506]],[0,[0,325]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,9413212704612136,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,9097777483760172,!1,[[0,[0,0]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,
null,9026055060731132,!1,[[4,42],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,5479175130336139,!1,[[4,41],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,9030720281487582,!1,[[4,44],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,4728424122725974,!1,[[0,[0,961]],[0,
[0,-37]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5519006104853044,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x3b5f622160cd9,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5043604884502867,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xe339c7ae5e38a,!1,[[1,[2,"startsound"]],[3,0]]]]]]],[0,null,!1,null,7310908450237261,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9779324875130316,
!1,[[4,42]]]],[],[[0,null,!1,null,0x76156e4d279b5,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0x8ba09dd885210,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,884796882019945,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,6651101011392666,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x6d9375cd8dc37,!1]],[[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,6366955637960925,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,
null,5269546651369631,!1,[[0,[1,1]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x63394eca70a3c,!1,[[3,0]]],[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x5588f22017148,!1],[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,6821456994256604,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x5e2289484a697,!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9223a6432829d,!1],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7353529476669689,!1,[[1,[2,"fx"]],[3,1]]],[29,
cr.plugins_.Audio.prototype.acts.SetMuted,null,9492411941683864,!1,[[1,[2,"bgs"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x7c892cc36c311,!1,[[1,[2,"win"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7393144174142691,!1,[[1,[2,"startsound"]],[3,1]]]]]]],[0,null,!1,null,0x9f1f5355af718,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9733374300315872,!1,[[4,54]]]],[[54,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",802805059593085,!1,[[0,
[0,600]]]],[54,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,5036955102233043,!1,[[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[54,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9354158765199096,!1,[[1,[2,"blast"]],[3,1]]]]],[0,null,!1,null,6388854802834863,[[54,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8649386764719166,!1,[[4,23]]]],[[54,cr.plugins_.Sprite.prototype.acts.Destroy,null,4652194863789257,
!1],[-1,cr.system_object.prototype.acts.AddVar,null,4869822953983297,!1,[[11,"Hammer"],[7,[0,1]]]],[23,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xffed524fd4d9b,!1,[[4,55],[5,[20,23,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[55,cr.plugins_.Sprite.prototype.acts.SetAngle,null,8700882215305569,!1,[[0,[19,cr.system_object.prototype.exps.random,[[0,360]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5131074067783907,!1,[[2,["hamercolision",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],
["Stage5Sheet",[[0,null,!1,null,30857086096497,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x746afc6ce143d,!1]],[[79,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,323113323789896,!1],[79,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,6854897562475556,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x768283db3977c,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,0]],[1,[2,"startSound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8029128379096694,!1,[[1,[2,
"openSound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,9094402124788024,!1,[[1,[2,"openSound"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x5d54664c64111,!1,[[11,"bgSound"],[7,[2,"off"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x5e932c0bc82c2,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5131127266241968,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,9395873967600872,!1,[[1,[2,"win"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,
null,434244751353934,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,9462951818637618,!1,[[11,"CrBanana"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7666711145122697,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6529023759850803,!1,[[11,"waveActive"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5879962335295248,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4685050013064106,!1,
[[11,"skeleton2"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7812698989270606,!1,[[11,"skefly1"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7906087666355851,!1,[[11,"enemykill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xebbbb7673400c,!1,[[11,"wavepercent"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8178260311945894,!1,[[11,"wavecount"],[7,[0,0]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,730028838162621,!1,[[0,[0,961]],
[0,[0,-37]]]],[21,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5339299345258266,!1,[[1,[2,"tc2"]],[3,1]]],[53,cr.plugins_.Sprite.prototype.acts.SetVisible,null,361910122195086,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x6e15c848ffe73,!1,[[11,"Wwork"],[7,[2,"maker"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x66d612dcdd15b,!1,[[10,1],[7,[0,10]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9716190320537298,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetTimescale,
null,5456214846562724,!1,[[0,[0,0]]]]],[[0,null,!1,null,5301228673744428,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7867456579386274,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x421fca52a103e,!1,[[4,30],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8806120306486872,!1,[[1,[2,"stage5"]],[3,1]]]]],[0,null,!1,null,4748135990372472,[[45,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,9666275495458260,
!1,[[1,[2,"Hsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xf4d29d78edf58,!1,[[11,"Hammer"],[7,[20,45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Hsave"]]]]]]]]]],[0,null,!1,null,0x66f784623008b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe2a7abf4155da,!1,[[11,"bgSound"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,9857226131138092,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7796833818527442,!1,[[0,[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,
null,9389546687972416,!1,[[11,"sound"],[7,[0,1]]]]]]]],[0,null,!1,null,0x392aac58746a5,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6552519762042127,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,6524838641550356,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xdc701029e6d93,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,4754822948235768,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,-15]],[1,[2,"bgs"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6315418294465161,
!1,[[11,"sound"],[7,[0,25]]]]]]]],[0,null,!1,null,9624030700256868,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xe097c098a2c1f,!1,[[4,30]]]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,920192359160912,!1,[[0,[1,1]]]],[30,cr.plugins_.Sprite.prototype.acts.Destroy,null,6254377325507573,!1],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,7244401304131361,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,9023229204907136,!1,[[11,"BananaCD"],[7,[0,
0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,776294948633348,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,915593691134781,!1,[[11,"bgSound"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,506849980850676,!1,[[11,"waveActive"],[7,[2,"on"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8133751905018531,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xc911fa1eae67,!1,[[1,[2,"bgs"]],[3,1]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,
null,7681291161585934,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8980560010951425,!1,[[11,"sound"],[7,[0,25]]]]],[[0,null,!1,null,9674436901028696,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xedcfdebb15f6f,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,6061604459073642,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd016a6256fbc1,!1,[[4,67],[5,[2,"5"]],[0,[0,1100]],[0,[0,
544]]]],[67,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5634586913550701,!1,[[0,[0,50]]]]]]]],[0,null,!1,null,6002197009102706,[[67,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5874072860394535,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[67,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",8360270935125642,!1,[[0,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.SetPos,null,5975680689876581,!1,[[0,[20,53,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,53,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[53,cr.plugins_.Sprite.prototype.acts.SetVisible,null,8830380100272926,!1,[[3,1]]],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9138807030997406,!1,[[1,[2,"inmake"]],[3,1]]],[67,cr.plugins_.Sprite.prototype.acts.SetVisible,null,6831347922336738,!1,[[3,0]]]],[[0,null,!1,null,0xa14fe31ba965a,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5315197650351062,!1,[[0,[1,1]]]]],[[53,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6871691855982303,!1,[[10,1],[7,[0,1]]]]]]]],
[0,null,!1,null,5743870388172275,[[53,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x67244d18dff80,!1,[[10,1],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,5136118663557882,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8477612560101081,!1]],[[67,cr.plugins_.Sprite.prototype.acts.SetCollisions,null,5782736227073349,!1,[[3,0]]],[67,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x8d1aa1ae0799a,!1,[[0,[0,10]]]],[67,cr.plugins_.Sprite.prototype.acts.SetVisible,
null,0xf2d364abd9b0c,!1,[[3,1]]],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,391448900382254,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x7fd888f721f52,!1,[[11,"Wwork"],[7,[2,"on"]]]]]]]],[0,null,!1,null,6109374193748853,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,0x4ac8cd3785b53,!1]],[[26,cr.plugins_.TiledBg.prototype.acts.SetHeight,null,5452541133033019,!1,[[0,[23,"BananaCD"]]]],[47,cr.plugins_.TiledBg.prototype.acts.SetWidth,null,458122720656762,
!1,[[0,[23,"wavepercent"]]]],[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,7048978676127216,!1,[[0,[0,10]]]],[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,4701389729927024,!1,[[0,[0,10]]]],[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xaf436a4628030,!1,[[0,[0,10]]]],[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,7757150205457867,!1,[[0,[0,10]]]],[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,9457155404642984,!1,[[0,[0,10]]]],[24,cr.plugins_.Text.prototype.acts.SetText,
null,7404609989740232,!1,[[7,[23,"Hammer"]]]],[37,cr.plugins_.Sprite.prototype.acts.SetSize,null,0xeb6516721fbf9,!1,[[0,[0,120]],[0,[0,120]]]]]],[0,null,!1,null,4964400672915663,[[11,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,313612363186053,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x914bc7ae08222,!1,[[0,[0,50]]]]]],[0,null,!1,null,0xa790ddfffb4bb,
[[12,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,6241276905812636,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x98a76370296d,!1,[[0,[0,50]]]]]],[0,null,!1,null,9157974029300072,[[13,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,5168779163654193,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]]],[[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5016436782338166,!1,[[0,[0,50]]]]]],[0,null,!1,null,9981348702188580,[[14,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0x9b563768619b3,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5380632540722026,!1,[[0,[0,50]]]]]],[0,null,!1,null,8622871366701774,[[15,cr.plugins_.Sprite.prototype.cnds.PickDistance,
null,0,!1,!1,!0,0xac59a3697e2d8,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,9616008834800216,!1,[[0,[0,50]]]]]],[0,null,!1,null,8032880748550419,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9801292872586814,!1,[[11,"CrBanana"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,791491464592212,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5524152483012043,
!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,971148068335542,!1,[[11,"BananaCD"],[7,[0,5]]]]]]]],[0,null,!1,null,8304990506869932,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9201649856207122,!1,[[11,"BananaCD"],[8,5],[7,[0,65]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9480470583794308,!1,[[11,"CrBanana"],[7,[2,"off"]]]]],[[0,null,!1,null,0xaed5c83be517a,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9418973246989252,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,7397277645452967,!1,[[4,27],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe5d84c628e60,!1,[[4,32],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,4556443710043908,
!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",6208447786416586,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xa7fae1bd02f68,!1,[[11,"BananaCD"],[7,[0,0]]]]]]]],[0,null,!1,null,5415090257172478,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xb4d6b5b3a1694,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x545b3ab9eab7b,!1,[[4,11],[0,[0,0]],[0,[0,0]]]]],[[27,
cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",5615139251316667,!1,[[3,0]]]],[[0,null,!1,null,5577023947129304,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9519574919678952,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xc950d1e0737cb,!1,[[4,33],[5,[2,"1"]],[0,[0,50]],[0,[0,160]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,8369518128698212,!1,[[0,[20,11,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,11,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xc9c1b5445c8a5,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[11,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd283f24ad1479,!1]]]]],[0,null,!1,null,0x9122f85c0c59f,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x404f00f191d9b,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,85403512126505,!1,[[4,12],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
"DragDrop",5221984563612513,!1,[[3,0]]]],[[0,null,!1,null,8911472423011654,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8502422666749335,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6372623731273848,!1,[[4,33],[5,[2,"2"]],[0,[0,50]],[0,[0,256]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x62608be6ce9b,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,0xbab8c8a928b53,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[12,cr.plugins_.Sprite.prototype.acts.Destroy,null,379325202572275,!1]]]]],[0,null,!1,null,751723076617401,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xa2ced1128eb9d,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xf4c40a9d5bc5f,!1,[[4,13],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x7bda717fc602a,!1,[[3,0]]]],[[0,null,
!1,null,9414584433925336,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xa32b1c4a925b2,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6768934614845113,!1,[[4,33],[5,[2,"3"]],[0,[0,50]],[0,[0,352]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,7596484121376522,!1,[[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xffd7f3a8c5c7b,!1,[[2,["dragdrop",!1]],
[3,0],[0,[0,0]],[1,[2,"fx"]]]],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,6475062730455176,!1]]]]],[0,null,!1,null,5630680660192713,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x67db042d6b46e,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xea3912083ff0c,!1,[[4,14],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",5037976554280185,!1,[[3,0]]]],[[0,null,!1,null,0x80096e908c87f,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x4277b6c644718,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x5444235394b7c,!1,[[4,33],[5,[2,"4"]],[0,[0,50]],[0,[0,448]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,795579184115709,!1,[[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9230602590143036,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8495195084879511,!1]]]]],[0,null,!1,null,9264826820613902,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7002807930227853,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,904047960387579,!1,[[4,15],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",6457260357611684,!1,[[3,0]]]],[[0,null,!1,null,4651762934600232,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8664560913905926,!1]],[[-1,
cr.system_object.prototype.acts.CreateObject,null,0xa52e5b0eaa93b,!1,[[4,33],[5,[2,"5"]],[0,[0,50]],[0,[0,544]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xda67d9ca20471,!1,[[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,4533577954747981,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xfb2c7a0e15bfe,!1]]]]],[0,null,!1,
null,0x97ace3e29b560,[[33,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x781a218100851,!1,[[4,27]]]],[],[[0,null,!1,null,0x84f204816670c,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf843a9ac76a0c,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9498993765766764,!1,[[4,0],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,
cr.system_object.prototype.acts.CreateObject,null,6892740403657944,!1,[[4,32],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[33,cr.plugins_.Sprite.prototype.acts.Destroy,null,6849269884887066,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,35738206301931,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xd39391c1ae92c,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],
[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6773389995528012,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,6414855719480468,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x8373d119a577e,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6595343350710875,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",348420265359718,!1,[[3,0]]]],[[0,null,!1,null,0xb32e4aa239e2a,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,927074414367998,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,7888210058445353,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,8788699473748618,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe6c6f941aa8a1,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,
null,432752115412476,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5743917387362717,!1,[[4,1],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,8891708446989799,!1],[-1,cr.system_object.prototype.acts.SetVar,null,4581448243506777,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,0x518200574e0c5,[[27,
cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9006734003829935,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5794512334837851,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",9904763166842064,!1,[[3,0]]]],[[0,null,!1,null,0xb96adb0a69a76,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7790458593356495,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,6793774543313042,!1,[[2,["monkeyup",
!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,8592198103638574,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,6910158035881836,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x3d682ba9f9763,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8820024665005499,
!1,[[4,0],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,945404546478532,!1],[-1,cr.system_object.prototype.acts.SetVar,null,8819043230146794,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,7985442874257462,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xba5ea97f89369,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,6979842203604883,!1,[[4,37],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x4c3934c0d2325,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5543277984740405,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x669162a1f8a83,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x896fd9fdd7969,!1,[[4,0],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,
null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5411055137822101,!1,[[4,39],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[37,cr.plugins_.Sprite.prototype.acts.Destroy,null,8172663175996849,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,6699784239382988,!1],[-1,cr.system_object.prototype.acts.SetVar,
null,8637675047282185,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,662373419212203,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,6641510796084194,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xf4cfdfcaea086,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,7503095608551714,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9094188796360608,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9100466112291592,!1,
[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xaa86735bb16d0,!1,[[4,39],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x776327639af42,!1,[[10,2],[7,[0,15]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,26038320424578,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xb82cb4ab1849b,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,6193594693142053,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0x4f84469428608,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4ccbb876ffba2,!1,[[11,"wavecount"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x3db465dd20409,!1,[[11,"wavepercent"],[7,[0,50]]]]]],[0,null,!1,null,0x5fe79b02416e8,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,84108681376962,!1,[[11,"wavecount"],[8,0],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,8500951583618136,!1,[[11,"wavepercent"],[7,[0,100]]]]]],[0,null,!1,null,0xbd1eea6c55e73,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7992991838609041,!1,[[11,"wavecount"],[8,0],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x3b85b3e2e5b32,!1,[[11,"wavepercent"],[7,[0,150]]]]]],[0,null,!1,null,0xae3270c28017f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcf5821a5dc42b,!1,[[11,"wavecount"],[8,5],[7,[0,30]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,9435765979905928,!1,[[11,"wavepercent"],[7,[0,200]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x631b70032e827,!1,[[11,"waveActive"],[7,[2,"off"]]]]]],[0,null,!1,null,0x7a3cb7f4f26b5,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4628811303922392,!1,[[11,"waveActive"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,5879617768134378,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xf696a396bd9f,!1,[[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0xcca90af45820,
!1,[[11,"skeleton1"],[7,[0,1]]]]]],[0,null,!1,null,4706964522712963,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9337120013317744,!1,[[11,"wavecount"],[8,5],[7,[0,6]]]]],[],[[0,null,!1,null,7413445176011745,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7741830168696913,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,6815318096287271,!1,[[11,"skefly1"],[7,[0,1]]]]]]]]]],[0,null,!1,null,0x9d61c5f6e7af1,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8067343922528015,!1,[[11,"skeleton1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,9332583187907816,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc096d1da8f18b,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6450102473157893,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xfe41644d59e7d,!1,[[10,0],[7,[2,"weeker"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0x6ca0726e2aa68,!1,[[10,3],[7,[0,7]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6563508708753264,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6809770431819081,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0xaa9caf917d697,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6351186686612026,!1,[[10,0],[8,0],[7,[2,"weeker"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xef76c0f8dfa6,!1,[[1,[2,"weeker"]],[3,1]]],
[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6968445020271448,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",8590566064090825,!1,[[0,[0,10]]]]]],[0,null,!1,null,4638701387813639,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x428702db6730e,!1,[[11,"skefly1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,5836120214543284,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd44c872e0160b,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xe1c8afb67acb4,!1,[[4,50],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4589546341844518,!1,[[10,2],[7,[2,"skebat"]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,99140649858963,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6846348671172743,!1,[[11,"skefly1"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8180390629824453,!1,[[11,
"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,8402419267532447,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6384021347082951,!1,[[4,16]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa6175f7e63f25,!1,[[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0xa0c9362dcc656,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb52cc4e477c75,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,
null,4742801736186595,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,6880872907745125,!1,[[5,[2,"1"]]]]]]]],[0,null,!1,null,9424773553011438,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9118506389444816,!1,[[4,17]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,8148743532603705,!1,[[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,
355114771501323,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,545902582541366,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xd117b23236f02,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,8165145727788152,!1,[[5,[2,"2"]]]]]]]],[0,null,!1,null,0xcd366d5e1445a,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xa34834c4f1cbd,!1,[[4,18]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,5328559331104907,
!1,[[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0x9a6f80dafb0cd,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5389351611205365,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xf511794d8ffb9,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,309146538124733,!1,[[5,[2,"3"]]]]]]]],[0,null,!1,null,0x746bd58d57df9,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,5396147602417333,!1,[[4,19]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x92059253f631f,!1,[[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,901644295713232,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6082588066789434,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,6275533711827501,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,
null,0xe50b181f95367,!1,[[5,[2,"4"]]]]]]]],[0,null,!1,null,7247569875067778,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xe2e370c714e49,!1,[[4,20]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x48123daad3cb4,!1,[[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,5755816502126747,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4702761312970951,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,
null,8717568858120933,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,8727631700786443,!1,[[5,[2,"5"]]]]]]]],[0,null,!1,null,6255788405665459,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xcc2f64a4b4bc0,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9276802678962762,!1,[[10,0],[8,5],[7,[0,1]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,5500935080945761,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,
null,8402634896444941,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[34,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,553275513497107,!1,[[10,0],[7,[0,1]]]],[34,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5028341967074114,!1,[[1,[2,"destroy"]],[3,1]]]]],[0,null,!1,null,6847313281564316,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6261424403474555,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcaeda5d9cb8b6,
!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,4585494039666499,!1,[[0,[4,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,80]]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,23948368957769,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,722822186385408,!1,[[10,3],[7,[0,1]]]],[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,0xc153f87cb926d,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,4761427982398805,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0xcc50a8a1e5570,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x564447f0da55f,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8986206232128397,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,25293136249029,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,
5232976366002223,!1,[[4,37],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xf7a4b3572735a,!1,[[4,36],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,7863266218242534,!1]]]]],[0,null,!1,null,9965711212371012,[[0,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,5443138817079564,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,0xda76c7844c56e,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x6af2aa9ac2dd1,!1,[[10,0],[8,3],[7,[0,5]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4504564425910669,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,4858040010631456,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xa0f842a246fe5,!1,[[10,0],[8,5],[7,[0,6]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,7542777527720359,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,4779253543312115,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xcbd7d4c74984f,!1,[[5,[2,"1"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xd12f3810bf7be,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,8319398643325258,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7658360180203639,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8246001993242932,!1,[[10,0],[7,
[0,1]]]]]],[0,null,!1,null,8843689114707431,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7223720128603555,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9693335918663592,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8628462272700667,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xf4d69fc339ba1,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc7f3a1eed0ac0,
!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x5cc6a11a3b32a,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0xa95ee6a6b932,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9574627853807568,!1,[[5,[2,"2"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xc68e2ced2193a,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,8007434039475913,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x9fe8a977c4567,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,8357547796601211,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,7703720674714917,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xae044afcd6fd0,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6738829535446034,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4581564499078026,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,7281030527458081,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x56a8337a1d5e5,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6855998328356919,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0xb5d9e016f9ba4,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5121557908154077,!1,[[5,[2,"3"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8396107456621308,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,0x4d2d3bb22ec84,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xf4e7830ed450f,!1,[[0,
[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5823473844019995,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x7206acca9918a,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,855639726422035,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xfba89429c1d15,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf68b9675d6255,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,5152105392597399,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x76c253ef9ea28,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6943581655382929,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,8621476281281548,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x8d0e9b7a44b85,!1,[[5,[2,"4"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5221938633095748,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,7018498303575912,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,4880814640323359,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6479225694058861,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xa81c78f17bbc5,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4960467332539986,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x3a5ba343bd9b4,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5120222829089424,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,5337220465207881,!1,[[4,38],
[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9631055532729802,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x4c39c9e38ec63,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,7683025246715027,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,891322900709785,!1,[[5,[2,"5"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xe5691188017c0,!1,[[5,[2,"5"]]]]],
[],[[0,null,!1,null,6706097988023338,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5334750461038456,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x7cfcb56df6902,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,8782378148042035,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xfbcaac743d5a6,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9017427301576642,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6430bb993961b,!1]],
[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x6844aef4c7453,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9430750387464928,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9564408778490824,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,8433811319957751,[[1,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,27674612300259,!1,[[1,[2,"shoot"]]]]],[],[[0,null,
!1,null,5740830664386549,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,522844769666267,!1,[[10,1],[8,3],[7,[0,4]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xca0d451e5b08f,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,7965179456380169,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8572110496315408,!1,[[10,1],[8,5],[7,[0,5]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5346580790194974,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,
!1,null,7956967589623061,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6026140716881609,!1,[[4,38]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x7ff82f9013a04,!1,[[10,3],[7,[0,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,7773406883875381,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[38,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x402dd771d546d,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,6355055283141505,
!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0xbfb6a0898ec9a,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8555666018126792,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",7814032301549377,!1,[[0,[0,0]]]]],[[0,null,!1,null,7482301371454653,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6088338379178579,!1,[[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xdcc10eed732aa,!1,
[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x60d62cb70ef8a,!1,[[10,1],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,6724521415734894,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x5e086df85218b,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,404944757863991,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8651180309395732,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xffb1728e82581,!1,[[4,37],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5276164248602482,!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xac5541affcab2,!1]]]]],[0,null,!1,null,0xf23bd12832535,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9988632348495634,!1,[[5,[2,"1"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x4fa767fa1be0e,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,8530934848315932,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6281640710757789,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7139542170858829,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
9692748147771596,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5946553192006011,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,976144894379556,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x88cfbda8df6a5,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,9942306620057076,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",716947966927785,!1,[[0,[0,
-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5029516877497679,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7816540191001442,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,5427548024000969,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8735558369308812,!1,[[5,[2,"2"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,353934033153507,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,9002266388931011,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,0x4d6c2e0098ab5,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x52b7cb57550da,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x9ed5fb4051c0d,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4613784230299448,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xe24873eb1ff75,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8552988772295088,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,6917855972422894,!1,[[4,48],[5,
[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",4541708349953512,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x3db124c93dd66,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x8bfb854dbe593,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0xb734491cc0863,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x77d3fd838eb3f,!1,[[5,[2,"3"]]]],[2,
cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5084230508172051,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,0xcc22cf1736075,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,676226397764641,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x39a0e59f983f5,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x84d076aa252fe,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7586346782876138,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xe3888dcfd0d73,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x83e90ad05ba33,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x9bef2eda89cf0,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0xabb0c3dadc518,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8103658994233691,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9788145133658620,
!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0xbc92cadd53a76,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xf2a5a7e949434,!1,[[5,[2,"4"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7900582681352811,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,0xcf19b2f8c0f8,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5787141862257055,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9718703738618564,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
8292038319848341,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6464336982522102,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8717030463643033,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5745369137189982,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,349329560171542,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",9683560390073364,!1,[[0,
[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcf03c480b738b,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8807340938611711,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,417306919467294,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x8417c92d029e7,!1,[[5,[2,"5"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x7ab021bf51832,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,6775617045530332,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,8784814215188492,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5563744432225369,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,6819088198345331,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x92da790858fd7,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xd493230c4cf2c,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8278023847732276,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x66985a78cfd20,!1,[[4,48],
[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0x8c4f5b5326dac,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9089126137932596,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6319559205645749,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,8777350520042484,[[50,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x8175bbe33966,!1]],[],[[0,null,
!1,null,7962871765782717,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,25022307723674,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8597334048103082,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,7003259457281825,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd68a017174dba,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6073235584281595,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7054426172981462,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,
null,6442790283535738,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0x6b639b45bc062,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,296707234329135,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9317412664403444,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0xb80f2b3119042,[[2,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,
!1,0x6166ac52c11d9,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,7645063812817934,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xda553d22021fc,!1,[[10,2],[8,3],[7,[0,7]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x402e215b5ecbc,!1,[[1,[2,"fall"]],[3,1]]]]],[0,null,!1,null,0xe93fad3d6a48a,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x4f04e074d7eae,!1,[[10,2],[8,5],[7,[0,8]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,992617804763624,
!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0xc976ca9496f41,[[48,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,6735185534945076,!1,[[8,5],[0,[0,640]]]]],[[48,cr.plugins_.Sprite.prototype.acts.Spawn,null,6957242271874997,!1,[[4,49],[5,[20,48,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,7819978805109315,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x8e6b4befca7e2,!1,[[2,["dragdrop",!1]],[3,0],
[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0xf6bdd10e0557b,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x743765c7f038,!1,[[4,48]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6611265868086522,!1,[[10,3],[7,[21,2,!1,null,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xb679c453fa5bf,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,4726000825029164,!1],[29,cr.plugins_.Audio.prototype.acts.Play,
null,5563500171620387,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0xb6910658ed2ca,[[48,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xac7e678d55a1,!1,[[4,50]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5853010061984348,!1,[[10,0],[7,[21,2,!1,null,1]]]],[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,491951255892057,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9397557976263644,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,7040154714517517,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0xf0143fcfcbbf1,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8950093678551615,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6621658984174522,!1,[[0,[0,0]]]]],[[0,null,!1,null,0x9421029b43a35,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x47e292d561eb8,
!1,[[0,[0,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,5200101294644564,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xa3263e8da8e29,!1,[[10,2],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,0x4d0f07ae2de87,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x643934f9f5a9b,!1,[[10,2],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,544981688287338,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,4697065071647404,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,25380089031887,!1,[[4,37],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8177707269187578,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,
2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[2,cr.plugins_.Sprite.prototype.acts.Destroy,null,4674066865459319,!1],[-1,cr.system_object.prototype.acts.SubVar,null,0xdcccc9691445d,!1,[[11,"mission"],[7,[0,1]]]]]]]],[0,null,!1,null,9924278249238276,[[50,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,7415946346160816,!1,[[8,5],[0,[0,100]]]]],[],[[0,null,!1,null,5074210639978027,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x67a6c9c9d7e30,!1,[[0,[1,1]]]]],
[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x94f0b7c4b55b9,!1,[[10,1],[7,[0,1]]]]]]]],[0,null,!1,null,8952539000021841,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xa25a54e1406df,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8940964708032854,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xedf003e1618ef,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xbdef9b33f26ab,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc2e3d12b2345d,!1]]]]],[0,null,!1,null,666600780242041,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x86334f1b5a31c,!1,[[10,0],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,0xb9356e7e169df,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9005425775773078,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,8599672537771437,!1,[[4,54],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,5181549800251998,[[50,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,353721377164356,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,7246366899038426,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,4939217862545444,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x9e8ef97805e96,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x8cc09870fa03c,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
6541295205440357,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,8753370986112823,!1,[[4,51],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9318454621859036,!1,[[1,[2,"shoot"]],[3,1]]],[51,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,5665419434794762,!1,[[0,[20,86,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,86,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0x731edf29e47fd,!1,[[10,1],[7,[0,5]]]]]]]],[0,null,!1,null,0xdb37258b8b79b,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,364872156601319,!1,[[4,2]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,802676905158342,!1,[[10,2],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xea9141b0247c3,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,71218120936184,
!1]]],[0,null,!1,null,5359430706798823,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc89fd15741dc7,!1,[[4,1]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5787966824317866,!1,[[10,1],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x9239a6cb76143,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,6629743694494581,!1]]],[0,null,!1,null,0xefaa3d5a37d35,
[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xb5714dde88224,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xd980f82b32f7,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,5609926913266215,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,6130355777200361,!1]]],[0,null,!1,null,0x3a5485fdd612b,[[50,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,7760683025668644,!1,[[1,[2,"shoot"]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9057837909046312,!1,[[1,[2,"idle"]],[3,1]]]]],[0,null,!1,null,0xfb07b6501b374,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5557177999975933,!1,[[10,3],[8,3],[7,[0,0]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,5641828542458002,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,7416314438887689,!1,[[2,["enemydie",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],
[0,null,!1,null,0x88295290527d9,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5670101132653805,!1,[[10,3],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,7062666743822432,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9224479995977374,!1]],[[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,7424731607922729,!1,[[4,54],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,0x87ac9f65990e0,[[35,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,
null,1,!1,!1,!1,0x8a859ea08f283,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,6552906173979739,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,8447439733167664,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4995565070270697,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd306a47c78d15,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,555729384781078,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbf42b2ec0d33b,
!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,9004349600051764,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x79fd5fdfad8b2,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9997453904790772,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,5542513090170568,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x6cea4f48ab1cf,!1,[[4,40],[5,[2,"dialogLayer"]],
[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x9096a0e38bc4b,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,8760763277634696,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x66f4764a7949a,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf31b145898d51,!1,[[0,[0,
961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,5078186297129593,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,7895921601247979,[[50,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,0xb4190def75d89,!1]],[],[[0,null,!1,null,9762146260997168,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8333393623758505,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xb13e8627ed901,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9916635830170708,
!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7774883061897745,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,8201189145813477,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x5a089e5150119,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xecc0db012f2c5,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,
null,73350522913348,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe587669b92e48,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6784ecc098737,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,6227129855469548,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,0x878e69eec9ed5,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4950894404839077,!1,[[11,"enemykill"],[8,5],[7,[0,30]]]]],[],[[0,null,!1,null,6805366244063935,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x86547943f00db,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,5234687281973477,!1,[[11,"CurrentLvl"],[7,[0,6]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8438762838780369,!1,[[11,"weponmaker"],[7,[2,"active"]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,5702765581520249,!1,[[1,[2,"WMsave"]],[7,
[23,"weponmaker"]]]],[-1,cr.system_object.prototype.acts.AddVar,null,9132996617639876,!1,[[11,"Hammer"],[7,[0,10]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xbe055027be151,!1,[[1,[2,"Hsave"]],[7,[23,"Hammer"]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x43ef9d2a11d33,!1,[[1,[2,"Lsave"]],[7,[23,"CurrentLvl"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,8721859301064055,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7544941866913717,!1,[[2,
["winning",!1]],[3,0],[0,[0,0]],[1,[2,"win"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xff3c225fc4fac,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,741294605457476,!1,[[1,[2,"bgs"]],[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5187058227763989,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7600837467845044,!1,[[1,[2,"win"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,
null,7859113560972773,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x89a9b792fb70b,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,9515888106421796,!1,[[4,85],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x49348b3410a78,!1,[[0,[0,961]],[0,[0,
-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x4431a1158bfaf,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,6949426815273477,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x39254dc60aef1,!1,[[4,41]]]],[],[[0,null,!1,null,7764079263570805,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,9127744226535088,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7800591433936632,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,8449447271041573,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
null,1,!1,!1,!1,9900649089174878,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5416519119027069,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,5420480244918919,!1]]]]],[0,null,!1,null,0xbd07f8963fb57,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,8509699661008448,!1,[[4,44]]]],[],[[0,null,!1,null,0x909228b5459eb,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,7892026398835833,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,5749161175728437,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,6867293257911947,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x6bf1bb04998bc,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x939957a586e9b,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x65dc937ece986,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6062453458634642,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,4685134654387335,!1,[[1,[2,"win"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x5391f8b5893dd,!1,[[6,"menu"]]]]]]],[0,null,!1,null,6336251185663699,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xd4be16ae4d9d3,!1,[[4,43]]]],[],[[0,null,!1,null,9137742166309956,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0xc97b2c7a07e88,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf4d9eca76a774,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,
!1,null,6830637851241173,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,4867082536805942,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9524185350783148,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,8857678780748839,!1,[[6,"stage6"]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x810523345f1f3,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xeb6fa197d3a34,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,0x8e53df2f489dd,!1,[[1,[2,"win"]],[3,0]]]]]]],[0,null,!1,null,21096910001445,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9340516638346072,!1,[[4,85]]]],[[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6927df3b792fa,!1,[[1,[2,"sActive"]],[3,1]]]],[[0,null,!1,null,9920738064358136,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,8793393810335001,!1]],[[85,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xbf095901a937f,!1,[[1,[2,"hover"]],[3,1]]]]],
[0,null,!1,null,0x83a0b1f1597e9,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,6689280207432997,!1]],[[85,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9344724783392572,!1,[[1,[2,"default"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x4e63e048ebf42,!1,[[4,43],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[85,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xdf85966d15d1e,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,4584549828452645,
!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,6352033311084576,!1],[24,cr.plugins_.Text.prototype.acts.Destroy,null,0x43f95ea54aa9e,!1],[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,6566267116242874,!1]]]]],[0,null,!1,null,0x807c5fa78c561,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x42dbbc2ae1f01,!1,[[4,22]]]],[],[[0,null,!1,null,8785152646697243,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9345407099318288,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x7aad763dc6138,!1,[[4,46],[5,[2,"dialogLayer"]],[0,[0,506]],[0,[0,325]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,8969026753460125,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x441beb50a6725,!1,[[0,[0,0]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,4598607010477302,!1,[[4,42],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xd94ca6ea2b92c,!1,[[4,41],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,2]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,6277865257154184,!1,[[4,44],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,5175874825315347,!1,[[0,[0,961]],[0,[0,-37]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,4787533288797419,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x4d47c8f20a6a1,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,8464206326280123,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xac129a4d7e78f,!1,[[1,[2,"startsound"]],[3,0]]]]]]],[0,null,!1,null,7169259426250922,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,8817169884081387,!1,[[4,42]]]],[],[[0,null,!1,null,8807045045242753,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,8166745780520465,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x5e286ad22d3c9,!1,[[1,[2,"hover"]],
[3,1]]]]],[0,null,!1,null,0x3c321acde1182,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x8b860e1204c2d,!1]],[[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,7614083928516642,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0xb2cc63bb04e9c,!1,[[0,[1,1]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x40bfec2648816,!1,[[3,0]]],[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,9888889201993280,!1],[42,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x66f06d619a9ac,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,8520851721422527,!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,4745079279050859,!1],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x635687548f039,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7175384152078677,!1,[[1,[2,"bgs"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x6cd8f7546ebab,!1,[[1,[2,"win"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5292976254436355,
!1,[[1,[2,"startsound"]],[3,1]]]]]]],[0,null,!1,null,0xe3c67054aada0,[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8930947685489208,!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8237528058457586,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xa49375e213351,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x79c97473ff803,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x5920bc744e1c8,!1,[[4,2],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,566188749711514,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6826172601666057,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,999074380108018,!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7588531373488588,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xdd262b4ad3f4,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x5dc9218f09504,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,9763182210451512,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6906302144052116,!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,80620907022198,!1,[[11,"Hammer"],[8,5],[7,[0,10]]]]],[],[[0,null,
!1,null,0x7762c33887c76,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xfe2536b7ec064,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xfa44b766b268f,!1,[[4,56],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,0xb018885ab3de1,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x75a35cbe34b86,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xc7a10a2158807,!1,[[4,53],[0,[0,0]],[0,
[0,0]]]]],[],[[0,null,!1,null,7493657161415298,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe15e37684dd93,!1]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,6063670390733217,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x3b30f25eb7235,!1],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6bd81df5050f6,!1,[[1,[2,"onwork"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5330032338733169,!1,[[2,["workman",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,6244136200967988,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.Wait,null,444485322283511,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8016307810448517,!1,[[11,"Hammer"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6177838427790891,!1,[[11,"Wwork"],[7,[2,"off"]]]]]]]]]],[0,null,!1,null,0xc4d1f56da7d2f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5709659405481582,!1,[[11,"Wwork"],[8,0],[7,[2,"off"]]]]],[],[[0,null,!1,
null,0xc6d0a9bd56cbd,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5269030746876965,!1,[[0,[1,1]]]]],[[53,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6178332456441645,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,6751904451919507,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8267783430359893,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xbd212fa902c65,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,
null,8392982087322474,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,908594758988286,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9718965812166512,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xb68c9142c661f,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,
0xd03302f1c0b80,!1,[[1,[2,"full"]],[3,1]]]]]]]]],[0,null,!1,null,0xd2ab4d04a5e1b,[[53,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xfa829e6497ae5,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xce10f0bf8dcbc,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6916510768446881,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,9789433678948220,!1,[[4,52],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0xb5e9063f75c0b,!1,[[4,32],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5573446578939728,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xbc9b2aa3dbf18,!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,0xd52f4196a2b7e,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8403109826019453,!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xaa5f4f04e93db,!1,[[11,"Hammer"],[8,2],[7,[0,10]]]]],[],[[0,null,!1,null,8802852786958247,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,6117199545358497,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xb2fa96fde3e47,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,497556008314928,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,
!1,null,[[0,1]]]]]]],[[0,null,!1,null,7893820302498408,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7786654530521835,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,7771008725574228,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa4c32463927a6,!1,[[1,[2,"more"]],[3,1]]]]]]]]],[0,null,!1,null,6950933399887995,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xda32a3efb9b70,
!1,[[4,54]]]],[[54,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xc1572141478e8,!1,[[0,[0,600]]]],[54,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xc7f3490513eb5,!1,[[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[54,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8273528076527757,!1,[[1,[2,"blast"]],[3,1]]]]],[0,null,!1,null,0xf52af30c50d07,[[54,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4773972778744906,
!1,[[4,23]]]],[[54,cr.plugins_.Sprite.prototype.acts.Destroy,null,5527462803949407,!1],[-1,cr.system_object.prototype.acts.AddVar,null,0x82b1d2bc9f1ef,!1,[[11,"Hammer"],[7,[0,1]]]],[23,cr.plugins_.Sprite.prototype.acts.Spawn,null,5994942278231319,!1,[[4,55],[5,[20,23,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[55,cr.plugins_.Sprite.prototype.acts.SetAngle,null,4830381628824619,!1,[[0,[19,cr.system_object.prototype.exps.random,[[0,360]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,0xc4a87c1457f02,!1,[[2,["hamercolision",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],["Stage6Sheet",[[0,null,!1,null,8075497068106172,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,7828298289173374,!1]],[[79,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,9032108705212756,!1],[79,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0x54b63d749ba08,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x9e5ac48a51cf5,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,0]],[1,[2,"startSound"]]]],
[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5156444018421956,!1,[[1,[2,"openSound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,4971123008906128,!1,[[1,[2,"openSound"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xe19e7016703ab,!1,[[11,"bgSound"],[7,[2,"off"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x6c88f85208efc,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xf95e5fa254262,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,
null,0xcc5126543744f,!1,[[1,[2,"win"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x5ac99fc2a8a55,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4cdfde4854b9d,!1,[[11,"CrBanana"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7577701529124836,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5989559420170608,!1,[[11,"waveActive"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7552927499664372,!1,[[11,"skeleton1"],
[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6203644303016218,!1,[[11,"skeleton2"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6685078384137905,!1,[[11,"skeleton3"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xd3f82c1975c42,!1,[[11,"skefly1"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6079398080170402,!1,[[11,"enemykill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7946873434248173,!1,[[11,"wavepercent"],[7,[0,0]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,0x58e47e554988a,!1,[[11,"wavecount"],[7,[0,0]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,5276817538318297,!1,[[0,[0,961]],[0,[0,-37]]]],[21,cr.plugins_.Sprite.prototype.acts.SetAnim,null,714252206017592,!1,[[1,[2,"tc3"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,6285245330957579,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x5236704f46399,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetTimescale,
null,0x4901e88510d36,!1,[[0,[0,0]]]]],[[0,null,!1,null,6646734848955151,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6100496783395318,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7352606330328736,!1,[[4,30],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x7992fd17c99bf,!1,[[1,[2,"stage6"]],[3,1]]]]],[0,null,!1,null,371474944665362,[[45,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,9112671861666814,
!1,[[1,[2,"Hsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5413187611137659,!1,[[11,"Hammer"],[7,[20,45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Hsave"]]]]]]]]]],[0,null,!1,null,8046048327353378,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xef7157c97322c,!1,[[11,"bgSound"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,7831873993417284,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9255876555543838,!1,[[0,[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,
null,958283120929671,!1,[[11,"sound"],[7,[0,1]]]]]]]],[0,null,!1,null,9726177505293636,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6753862008937113,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,5083339554700202,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9c24c70ec362a,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,7973329384937647,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,-15]],[1,[2,"bgs"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb8716ea8ff0c,
!1,[[11,"sound"],[7,[0,25]]]]]]]],[0,null,!1,null,0xdbf467beb0a1f,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xc6aaa39074f30,!1,[[4,30]]]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,0xbd9f59ab021ad,!1,[[0,[1,1]]]],[30,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9e176154cb871,!1],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xfca54d48f1a15,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x5c228bc5e588,!1,[[11,"BananaCD"],[7,[0,0]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,5770842930182311,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6369913641773427,!1,[[11,"bgSound"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9505080898030394,!1,[[11,"waveActive"],[7,[2,"on"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9347872354812660,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x6c6397aeb5ce3,!1,[[1,[2,"bgs"]],[3,1]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0x49d87ee9a485b,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4622820962527564,!1,[[11,"sound"],[7,[0,25]]]]],[[0,null,!1,null,0xc645d57de05dd,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x53937a8d525ee,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8904988252697495,!1,[[4,61],[5,[2,"1"]],[0,[0,1065]],[0,[0,160]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xb268acde83e44,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],
[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6358146028868909,!1,[[0,[0,40]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xafc3511151877,!1,[[0,[1,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8256910934874218,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7239937088196894,!1,[[4,61],[5,[2,"2"]],[0,[0,1065]],[0,[0,256]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5475763602761382,!1,[[0,[0,50]]]],
[-1,cr.system_object.prototype.acts.Wait,null,7757656078844874,!1,[[0,[1,1.5]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6699458408456794,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7696005642256839,!1,[[4,61],[5,[2,"3"]],[0,[0,1065]],[0,[0,352]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xc966e2278505b,!1,[[0,[0,80]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa1d19fdd1eef3,!1,[[0,[1,1.2]]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,4648078565412152,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x51575043422da,!1,[[4,61],[5,[2,"4"]],[0,[0,1065]],[0,[0,448]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",472214999528191,!1,[[0,[0,60]]]],[-1,cr.system_object.prototype.acts.Wait,null,7215538057076963,!1,[[0,[1,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,358488848527629,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,5296994138493112,!1,[[4,61],[5,[2,"5"]],[0,[0,1065]],[0,[0,544]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",9485890743818228,!1,[[0,[0,80]]]]]]]],[0,null,!1,null,5852948662585904,[[61,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,8466501625111617,!1]],[[61,cr.plugins_.Sprite.prototype.acts.Destroy,null,6177801232239919,!1]]],[0,null,!1,null,0x9a1013e488855,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,5425356521874873,!1]],[[26,cr.plugins_.TiledBg.prototype.acts.SetHeight,
null,8046673841103277,!1,[[0,[23,"BananaCD"]]]],[47,cr.plugins_.TiledBg.prototype.acts.SetWidth,null,7425100572933583,!1,[[0,[23,"wavepercent"]]]],[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x48e0fbd140877,!1,[[0,[0,10]]]],[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x6d4adb3c65735,!1,[[0,[0,10]]]],[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,7955143384794687,!1,[[0,[0,10]]]],[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,6931108048659356,!1,[[0,[0,10]]]],[15,
cr.plugins_.Sprite.prototype.acts.SetOpacity,null,7893173085436444,!1,[[0,[0,10]]]],[24,cr.plugins_.Text.prototype.acts.SetText,null,8727841931097066,!1,[[7,[23,"Hammer"]]]],[37,cr.plugins_.Sprite.prototype.acts.SetSize,null,759654327707172,!1,[[0,[0,120]],[0,[0,120]]]]]],[0,null,!1,null,7031094895009175,[[11,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,6834827479491003,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]]],[[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,8742934320559616,!1,[[0,[0,50]]]]]],[0,null,!1,null,0xf1d2cd0f4f950,[[12,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0xce5a00e59e8b6,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,6525801169002361,!1,[[0,[0,50]]]]]],[0,null,!1,null,0xdf2fa4fc55258,[[13,cr.plugins_.Sprite.prototype.cnds.PickDistance,
null,0,!1,!1,!0,8854246306717865,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x6c8296bf5dc4d,!1,[[0,[0,50]]]]]],[0,null,!1,null,7741760228923628,[[14,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,6161113686538737,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,
null,0xa4bf869fa2e30,!1,[[0,[0,50]]]]]],[0,null,!1,null,4739715441230144,[[15,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,4731062201840591,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5102754396068996,!1,[[0,[0,50]]]]]],[0,null,!1,null,8669757905219181,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xabfe9d94f2ea5,!1,[[11,"CrBanana"],
[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,0x74685b45fea0,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7595954536703691,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x6430b666e7b84,!1,[[11,"BananaCD"],[7,[0,5]]]]]]]],[0,null,!1,null,0x6cb285ba0262f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x516ad131ad54a,!1,[[11,"BananaCD"],[8,5],[7,[0,65]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7226056111393536,!1,[[11,"CrBanana"],[7,[2,"off"]]]]],
[[0,null,!1,null,6426250417348157,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd1ba0589e8126,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5976802495431675,!1,[[4,27],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,977209189368752,!1,[[4,32],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,
!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,4585296817377679,!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",447953452135258,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xf6872b65d4e95,!1,[[11,"BananaCD"],[7,[0,0]]]]]]]],[0,null,!1,null,0xd31bc915f5182,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,
!1,!1,!1,6936985864187718,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6721949241937945,!1,[[4,11],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",5497224583049749,!1,[[3,0]]]],[[0,null,!1,null,8408506744355129,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5e3c398d9aaed,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8717608207846545,!1,[[4,33],[5,[2,"1"]],[0,[0,50]],[0,[0,160]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,
null,7538997273369383,!1,[[0,[20,11,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,11,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xb2e4e4ec1ac6e,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[11,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xdfab4684abe30,!1]]]]],[0,null,!1,null,0x70bc00f458bae,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9116225610842044,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,7859224102153868,!1,[[4,12],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x544921a571add,!1,[[3,0]]]],[[0,null,!1,null,6076102862268899,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7539770973970545,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9356299270102126,!1,[[4,33],[5,[2,"2"]],[0,[0,50]],[0,[0,256]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x57cc84dbd9a71,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x4c91d12d8ea02,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[12,cr.plugins_.Sprite.prototype.acts.Destroy,null,8983127977296865,!1]]]]],[0,null,!1,null,0xf48d3706662ee,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9686729581379496,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x8c13fc5f1a400,!1,[[4,13],[0,[0,0]],[0,
[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x39fef8646b1bd,!1,[[3,0]]]],[[0,null,!1,null,0xe2fdc359dbdcc,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9068934566592538,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8096741836722349,!1,[[4,33],[5,[2,"3"]],[0,[0,50]],[0,[0,352]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xbe6857aee0c59,!1,[[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x41a593ad219a1,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,9840450589394788,!1]]]]],[0,null,!1,null,0xd619bd84e03ce,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xada5c3447d8b4,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8679992937393484,!1,[[4,14],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
"DragDrop",0x9e5b0a2dcdcf9,!1,[[3,0]]]],[[0,null,!1,null,6690540078430111,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc5b0be5fcba0d,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,355763603893987,!1,[[4,33],[5,[2,"4"]],[0,[0,50]],[0,[0,448]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc758cd9bebeac,!1,[[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,4871448582260407,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xce856ececd7e0,!1]]]]],[0,null,!1,null,5639555035986215,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xb73edcb18557b,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xfc023c9ae1bcc,!1,[[4,15],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",9524451686447394,!1,[[3,0]]]],[[0,null,
!1,null,7027908465842371,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6323644252783604,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xe53af610724c,!1,[[4,33],[5,[2,"5"]],[0,[0,50]],[0,[0,544]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,8673191578967736,!1,[[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5003112681112074,!1,[[2,["dragdrop",!1]],
[3,0],[0,[0,0]],[1,[2,"fx"]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,9849157098934056,!1]]]]],[0,null,!1,null,0xd86f72295953e,[[33,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,429727951687931,!1,[[4,27]]]],[],[[0,null,!1,null,0x51d7bc461d94f,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7605591425588102,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x8a5bbfbe1a051,!1,[[4,0],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5689949097614958,!1,[[4,32],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[33,cr.plugins_.Sprite.prototype.acts.Destroy,null,6737342540644321,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,9754409058245672,
!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xfcefdee105d42,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8447068362115356,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,0x81c5895218e53,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9596328128503020,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5806131288075867,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
"DragDrop",8976485559818655,!1,[[3,0]]]],[[0,null,!1,null,0xfe1df29a41c09,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7545486983881808,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xc4913a12a2a95,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,9142505223794962,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,5555632000052864,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,
0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x6e658261f1232,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8267353035025293,!1,[[4,1],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,9189935754449584,
!1],[-1,cr.system_object.prototype.acts.SetVar,null,9780805172943302,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,871863604741977,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7457452066834496,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x7751e478f3198,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x7e391ab9a7e76,!1,[[3,0]]]],[[0,null,!1,null,974213234052299,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,490967792414296,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8713864335090285,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,4992282987895653,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,6997677708125524,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,
null,8644316094410582,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8735855545226774,!1,[[4,0],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x96570e8c7e92,!1],[-1,cr.system_object.prototype.acts.SetVar,null,330712317286757,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,0x7fbcfb7af47b6,[[27,
cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8730385452215365,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x5f205a55b2e85,!1,[[4,37],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,7893839626542064,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xcc9082df2ea93,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9088740210185908,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,7578318063471376,!1,[[4,0],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9042712747805972,!1,[[4,39],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[37,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6529390040685291,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf7cbfb152febc,!1],[-1,cr.system_object.prototype.acts.SetVar,null,5422583416896065,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,6101715564595027,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x8d2f20d6cef05,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8889621673460219,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x402ec1a2b6cb7,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,9882292831688364,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,6293966534114045,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,5952292247254938,!1,[[4,39],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8555614045498589,!1,[[10,2],[7,[0,15]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,5010169655866493,!1],[-1,cr.system_object.prototype.acts.SetVar,
null,6962565705124026,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,479613708736788,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0x7c3ce6f83e0fc,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7489667135575511,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8702217449774003,!1,[[4,3],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,8096832886288482,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,
!1,0xa3fc03119ab26,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x87c1b7a49c867,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,4814210635359621,!1,[[4,39],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[3,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7936590593760741,!1,[[10,0],[7,[0,20]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,6139073300042736,!1],[-1,cr.system_object.prototype.acts.SetVar,
null,5044268000761136,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,748819372390409,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,382362027632572,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x792ac94ee032d,!1,[[11,"wavecount"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x5b206bc8b4e46,!1,[[11,"wavepercent"],[7,[0,50]]]]]],[0,null,!1,null,5151753776196883,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,7597873166458903,!1,[[11,"wavecount"],[8,0],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xb484eaec2500c,!1,[[11,"wavepercent"],[7,[0,100]]]]]],[0,null,!1,null,0xcf9de6b92c532,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9595473637411864,!1,[[11,"wavecount"],[8,0],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x521c600ad4eb5,!1,[[11,"wavepercent"],[7,[0,150]]]]]],[0,null,!1,null,0x7145083d5a448,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,6029419066593141,!1,[[11,"wavecount"],[8,5],[7,[0,40]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5429578396112341,!1,[[11,"wavepercent"],[7,[0,200]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x6d703c1a84a15,!1,[[11,"waveActive"],[7,[2,"off"]]]]]],[0,null,!1,null,0x43de3b3021d56,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x85dbeff1ee32f,!1,[[11,"waveActive"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,6198526949874384,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,7802026156144561,!1,[[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,6783516645262329,!1,[[11,"skeleton1"],[7,[0,1]]]]]],[0,null,!1,null,0x5ffb50703719b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7974062875267774,!1,[[11,"wavecount"],[8,5],[7,[0,6]]]]],[],[[0,null,!1,null,4514948058789935,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xc992c56e1b7aa,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,369793727078109,!1,
[[11,"skeleton2"],[7,[0,1]]]]]]]],[0,null,!1,null,8696678829376639,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5446655048926454,!1,[[11,"wavecount"],[8,5],[7,[0,15]]]]],[],[[0,null,!1,null,9965693788673604,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6335194738998803,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,7996543721957097,!1,[[11,"skeleton3"],[7,[0,1]]]]]]]],[0,null,!1,null,7343498400959864,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0x89199e105429c,!1,[[11,"wavecount"],[8,5],[7,[0,25]]]]],[],[[0,null,!1,null,0x5bb0068fefdbe,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8048195156273267,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x8b215e779efad,!1,[[11,"skefly1"],[7,[0,1]]]]]]]]]],[0,null,!1,null,9644179459765172,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf94cc322a8416,!1,[[11,"skeleton1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,6017676343336252,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,659902395939529,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xffd16da40084e,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5601673692654705,!1,[[10,0],[7,[2,"weeker"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xa52dc82f93fad,!1,[[10,3],[7,[0,7]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x867a9a0eeb2dc,!1,[[11,"skeleton1"],
[7,[0,10]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xd350699f70159,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0xd9f705799e0dc,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xc3adcd58ec169,!1,[[10,0],[8,0],[7,[2,"weeker"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,78719688360179,!1,[[1,[2,"weeker"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7758327327140742,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",5624331162120167,!1,[[0,[0,10]]]]]],[0,null,!1,null,586876114179749,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9347872284616154,!1,[[11,"skeleton2"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0xdcfe7d7488539,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5604ac310d457,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x5d47fbaed8a0b,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,
cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xb280b1af679a8,!1,[[10,0],[7,[2,"spider"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7513819967091124,!1,[[10,3],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8767915907206195,!1,[[11,"skeleton2"],[7,[0,16]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xd9ca7fe502125,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,9951105835806880,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,
!1,0xcd9335ac04801,!1,[[10,0],[8,0],[7,[2,"spider"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xddd7d8e35b0c1,!1,[[1,[2,"spider"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,642262923554992,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x5f8b2050b8c56,!1,[[0,[0,30]]]]]],[0,null,!1,null,0x5b193acf6f96f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6180173049781065,!1,[[11,"skeleton3"],[8,0],[7,[0,0]]]]],[],[[0,
null,!1,null,8358908496835941,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xdc6e4f1b02fb7,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4679339603162692,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6083693282309339,!1,[[10,0],[7,[2,"shielding"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8550717831217618,!1,[[10,3],[7,[0,25]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,8398502084680561,!1,[[11,"skeleton3"],[7,[0,13]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xf689ec66df08e,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,9366991368094460,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5857740018848814,!1,[[10,0],[8,0],[7,[2,"shielding"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x423ff8bbfafa2,!1,[[1,[2,"shielding"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,6630491698324227,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",8523613373989771,!1,[[0,[0,10]]]]]],[0,null,!1,null,0x85009e6dea1a5,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8498262189163657,!1,[[11,"skefly1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,9419544239619184,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6917645929411722,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,321939229162161,!1,[[4,50],[5,[2,
"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,804269834139779,!1,[[10,2],[7,[2,"skebat"]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xa8785044ef0ad,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7694703730504051,!1,[[11,"skefly1"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.AddVar,null,9714865111150564,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,
null,4691716355765152,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xf8372debb92f2,!1,[[4,16]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,4682034592613444,!1,[[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,8747652114075218,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9835668865389278,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,7990500187758868,!1,[[2,["enemyon",
!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,9881257527852692,!1,[[5,[2,"1"]]]]]]]],[0,null,!1,null,8921964888448097,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8786307947741707,!1,[[4,17]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,7013235856118297,!1,[[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,6955322173104805,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5315942407245281,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8115979257558241,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,6145568169264232,!1,[[5,[2,"2"]]]]]]]],[0,null,!1,null,6924541769487733,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x74857967de9b1,!1,[[4,18]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7f816a0996acf,!1,[[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,
null]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,920553607149191,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe122ddf9943b1,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9788737627797896,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5943803581774435,!1,[[5,[2,"3"]]]]]]]],[0,null,!1,null,6628344650431562,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7616760367017203,
!1,[[4,19]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,9791566237080372,!1,[[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,8419248390158377,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x906b66ceeb293,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9953626006204268,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,9913565326841388,
!1,[[5,[2,"4"]]]]]]]],[0,null,!1,null,0xc8d2fe416ec19,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x597ab74f108cf,!1,[[4,20]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,6094982397266208,!1,[[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0x39bc77fc0f3db,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4698622520828357,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,
null,478999423757919,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,6376168168105626,!1,[[5,[2,"5"]]]]]]]],[0,null,!1,null,386294264593667,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5935153204128401,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb3af01c510f22,!1,[[10,0],[8,5],[7,[0,1]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,5556037074448004,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,
null,8438915079754358,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[34,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8606836442484656,!1,[[10,0],[7,[0,1]]]],[34,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6284269069030133,!1,[[1,[2,"destroy"]],[3,1]]]]],[0,null,!1,null,7788900886267987,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7574664067847724,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7901489641953161,
!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,9013546422519006,!1,[[0,[4,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,80]]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,7494774907949986,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xe4e2b7584643a,!1,[[10,3],[7,[0,1]]]],[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,8601260920364903,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9883030105278552,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0x5e15f77368dee,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6597428913131917,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xc09494e55dced,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9102053558088444,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb0fcb8bcdf52b,!1,[[4,37],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,9317367260986522,!1,[[4,36],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,5832022358590809,!1]]]]],[0,null,!1,null,7020395603673948,[[0,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,8289731534781735,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,9615845854723372,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd8cf88786ffaf,!1,[[10,0],[8,3],[7,[0,5]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9230751657935892,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,7771511744669561,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6788339870601191,!1,[[10,0],[8,5],[7,[0,6]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x9c4cfa6b78c1b,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,5741251780693696,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8183828020518586,!1,[[5,[2,"1"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5942065968386114,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,0x52c603ad205bb,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xe612ee0ffdf8f,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9914886660916594,!1,[[10,0],[7,
[0,1]]]]]],[0,null,!1,null,0x5049de2724253,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7497141277306259,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9195386722303612,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6a443b11951b,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,9392780844597236,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6506768892813472,
!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5210202643936083,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,7415027377235492,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xf8c1a942f606e,!1,[[5,[2,"2"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,6997110270900811,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,0xd758eebbf7f80,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9410715108755528,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,0xb946e16b3a1eb,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,6982575523960278,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9996815296006876,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7563064450367775,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd24d810795e5f,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x5015ef808a8ab,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,7303419608835355,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5275597793062754,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0xceb2f16aa0e66,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xa55414920f34d,!1,[[5,[2,"3"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,6278934059064247,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,6769294127346032,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x856e558a4477f,!1,[[0,
[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xb9bab7c0c5041,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,7880731623967953,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7855484435487645,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5255202332649757,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf17f1690235f9,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xb4d528fedd956,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5120367857088861,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4660660891540458,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,6564731155862145,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xff3340264d9f1,!1,[[5,[2,"4"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,756484403429075,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,4555694111732231,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,311458334782817,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6395908443298233,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xaaf5e90d772bd,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8733373456503663,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9825696384443286,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9502472905774522,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x48623c44f3a3f,!1,[[4,38],
[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8446886079322659,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xf928872413ca9,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0x6b46a8689b133,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,6053574756616185,!1,[[5,[2,"5"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9279291866895224,!1,[[5,[2,"5"]]]]],
[],[[0,null,!1,null,5449904685260887,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5254088027425808,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7848097129616755,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,8395644140202366,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xdf0a1aee41cad,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6202829811404963,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x519b8277e47f7,!1]],
[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,9097734871023916,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8717959605342629,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6980737094034016,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,7224682053648738,[[1,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,5798378597373455,!1,[[1,[2,"shoot"]]]]],[],[[0,null,
!1,null,0x3bfe5f8734df0,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5443832951502593,!1,[[10,1],[8,3],[7,[0,4]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5055504108953561,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,5545358531294066,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,327435068574786,!1,[[10,1],[8,5],[7,[0,5]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4748414816879566,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,
!1,null,0xd913add51891,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7961630324471741,!1,[[4,38]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,288160364037402,!1,[[10,3],[7,[0,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,9998519481498896,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[38,cr.plugins_.Sprite.prototype.acts.Destroy,null,8779597386927255,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,6482672290449068,
!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,6265676783412412,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8418873095289537,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5266079174940752,!1,[[0,[0,0]]]]],[[0,null,!1,null,755258677299164,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x3ff0ab2cc79e2,!1,[[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,7396067644574684,!1,
[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9261978052148336,!1,[[10,1],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,7910249200252612,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x868b153be2c7b,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x5ea4a884dad40,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5660509638813791,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,5996219974705579,!1,[[4,37],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,362432168860691,!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x88ba4c3394bd7,!1]]]]],[0,null,!1,null,0x6e002409e5a87,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xb10b97445ebef,!1,[[5,[2,"1"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xd65fd3bef3e02,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,7221374321701087,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8089436902342002,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5013701257717645,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
0x8cc2aaaf556b0,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xe14d441fdf159,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x79ce5b330c75d,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf67216d1b1b3c,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,9836275119107562,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0x62d02a0a7c39e,!1,[[0,[0,-60]]]],
[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x8460488a89d4e,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5825141109157989,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,9497073655306496,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xa1c19eb6197a8,!1,[[5,[2,"2"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,4788262063131111,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,7274708600004168,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,0x55f249b2f7419,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5862639717572793,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x8891236f4ef1b,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5640119423801787,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5459504903184769,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8866732427192894,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe05cce9c89ecd,!1,[[4,48],
[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",7487674394651798,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x7112bd374589b,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8580079179481351,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,8741982699289002,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7173275080673757,!1,[[5,[2,"3"]]]],
[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xe232372bca761,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,5576824939669576,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8521973751658566,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8421849096539522,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,8590992375748386,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9567914581493244,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,
5051836463863661,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe19058d4fcafa,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x7d233ba3bb692,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",7810477828602548,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6629923138500166,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,9706968979125112,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,958892545999162,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x6e17aa566f5a1,!1,[[5,[2,"4"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5491336819499391,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,9868387757471508,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xc1391b190ff49,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xe85b8b71c65b5,!1,[[10,0],[7,[0,
1]]]]]],[0,null,!1,null,0xc085c454cc3e2,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xde789cc6d09bb,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x3c77e30ee7a62,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7606195123230431,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,6475776855212661,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",7828008001408748,
!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6387843847023214,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x9a0088818541c,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,7353431728993249,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8750640807603969,!1,[[5,[2,"5"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x9c7725d978860,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,664089468522972,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,9782856243511588,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x3ae6d832678d6,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,911610357519406,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x981a3dc9ce7aa,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8713209753429274,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6638814514515737,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x86594d395ce8f,!1,[[4,48],[5,
[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",5829664791434133,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5164608164610055,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4799429994702976,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,6105104086948519,[[50,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,6265543199931709,!1]],[],[[0,null,
!1,null,8138895105384616,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x446cc5d82a68c,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x8a4dd0c669c3b,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xa0d7cf00da061,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb859524c10dd,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x8e43c520a23fa,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9cfdc8bf22a1d,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,
null,4928512493222481,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",6872633490580098,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4992049163305359,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x59f97e6e6ecf3,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,8849007695664747,[[2,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,
!1,!1,4736034199103577,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,7148625002871233,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9133554678520478,!1,[[10,2],[8,3],[7,[0,7]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5709337360800167,!1,[[1,[2,"fall"]],[3,1]]]]],[0,null,!1,null,6644777068074769,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7282061293919305,!1,[[10,2],[8,5],[7,[0,8]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,
59762911138814,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0xbd20d458147a,[[48,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,5099086236251993,!1,[[8,5],[0,[0,640]]]]],[[48,cr.plugins_.Sprite.prototype.acts.Spawn,null,7310675496532639,!1,[[4,49],[5,[20,48,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,7683915687981779,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x940ef39cf02ed,!1,[[2,["dragdrop",
!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,9041695558100104,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x7fa600a385dad,!1,[[4,48]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xfb99cba968c9d,!1,[[10,3],[7,[21,2,!1,null,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x6fdf997596bf4,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,9082164160465628,!1],
[29,cr.plugins_.Audio.prototype.acts.Play,null,0x5927fa3ad9c4e,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,8729798052673947,[[48,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xbfe5e1f64bdb,!1,[[4,50]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x58e51f8d31aeb,!1,[[10,0],[7,[21,2,!1,null,1]]]],[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,6239399627421086,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,
[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7581848530713855,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,9602794050999344,!1]]],[0,null,!1,null,8680751416549304,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,309949877524033,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xd6174f43e1cd1,!1,[[0,[0,0]]]]],[[0,null,!1,null,7770634316238588,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,9475158176284980,!1,[[0,[0,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,8677868359257569,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4680734621062252,!1,[[10,2],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,9766874944379676,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xa5fc2822c361e,!1,[[10,2],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6487485742424039,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4910525697063924,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x49e1192cc3192,!1,[[4,37],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xcd9faa41bb2ef,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[2,cr.plugins_.Sprite.prototype.acts.Destroy,null,9925211688317538,!1]]]]],[0,null,!1,null,0x4300ef648897e,[[50,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,6389470313477835,!1,[[8,5],[0,[0,100]]]]],[],[[0,null,!1,null,6405404230980282,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6474449697090811,!1,[[0,[1,1]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xe723fc5195076,!1,
[[10,1],[7,[0,1]]]]]]]],[0,null,!1,null,5416416103445377,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,52023162950909,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x5a533298deaad,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf7d18d8a54cc0,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,8219586439292337,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,
0xbdb92007eadc2,!1]]]]],[0,null,!1,null,8336957963856978,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8908640377460592,!1,[[10,0],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,4532969485595341,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8406450309703533,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,66321907023055,!1,[[4,54],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,0x7bc7196aa9fd1,[[50,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,
null,1,!1,!1,!1,0xbb00b0c1c2588,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,8010585722829843,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,441739304216951,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9646611441032500,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8764934103786559,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7748219521231924,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,9224862576425516,!1,[[4,51],[5,[20,50,
cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9434174532427432,!1,[[1,[2,"shoot"]],[3,1]]],[51,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,652699359397783,!1,[[0,[20,86,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,86,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xa9bdb8cc494a8,!1,[[10,1],[7,[0,5]]]]]]]],[0,null,!1,null,0xb1822e49d8b90,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,5612550384888002,!1,[[4,2]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,843659709832378,!1,[[10,2],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,5609643832070142,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc5a7eb02838b8,!1]]],[0,null,!1,null,4587883178397726,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7628672518693678,!1,
[[4,1]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xcf020a1a620e5,!1,[[10,1],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,7968217141049806,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,82314636868439,!1]]],[0,null,!1,null,6077303489978893,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5986213389509041,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,0x945925d1eb117,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,9965149011951312,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,8960191057433186,!1]]],[0,null,!1,null,0xe92464b74cfe0,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8583510939613137,!1,[[4,3]]]],[[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7186871667660963,!1,[[10,0],[7,
[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,9089860532673272,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,8573564587286646,!1]]],[0,null,!1,null,0x43025511fbbf5,[[50,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,7679043730385068,!1,[[1,[2,"shoot"]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5239124848463907,!1,[[1,[2,"idle"]],[3,1]]]]],[0,null,!1,null,
8296729019149622,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x58098a7b8d7f0,!1]],[],[[0,null,!1,null,0x960488f4f4b94,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,4504178123289265,!1,[[0,[1,1]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7490481990761641,!1,[[10,1],[7,[0,1]]]]]]]],[0,null,!1,null,0xacd0550451d77,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5327119692677321,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,
null,7844721707135966,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x48cdc6f9d15bd,!1]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6276448961534037,!1,[[1,[2,"shoot"]],[3,1]]],[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xbc309efa1033c,!1,[[4,58],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[58,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,4770719850296057,!1,[[0,[20,35,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,35,
cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[3,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8388916441799713,!1,[[10,1],[7,[0,3]]]]]]]],[0,null,!1,null,9059936902226534,[[3,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,6406723909738622,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,0xb18ef25ed64b9,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9198750562656816,!1,[[10,0],[8,3],[7,[0,10]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9698437435608088,
!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,8319095154627483,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xe9bb3c8cd092b,!1,[[10,0],[8,5],[7,[0,11]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7395640514017234,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,5351723437407854,[[58,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xefe3fb629335,!1,[[4,35]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9110200270489154,!1,[[10,3],[7,
[21,3,!1,null,2]]]],[58,cr.plugins_.Sprite.prototype.acts.Destroy,null,8749313266300056,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,9903644250720702,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x45cb4132eba97,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,5782740573455642,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9644249038609620,!1,[[4,3],[0,
[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x5a8b0c8bce06b,!1,[[0,[0,0]]]]],[[0,null,!1,null,9679246258497922,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7416065223577061,!1,[[0,[0,1]]]]],[[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,7786326123085044,!1,[[4,36],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5596520574058311,!1,[[10,0],[7,[21,35,!1,null,1]]]]]]]],
[0,null,!1,null,4749808248563673,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8625807656453063,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x912150cbdc06,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4734780180474055,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8611573598271416,!1,[[4,37],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x83f0033557571,!1,[[4,36],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[3,cr.plugins_.Sprite.prototype.acts.Destroy,null,9172400974937136,!1]]]]],[0,null,!1,null,9432274302358152,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5061695904626378,!1,[[10,3],[8,3],[7,[0,0]]]]],[[35,
cr.plugins_.Sprite.prototype.acts.Destroy,null,8476320269668831,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,5778787567821554,!1,[[2,["enemydie",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,9240194327325388,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4949424393635888,!1,[[10,3],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,7576498346092149,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5a712533bd2b8,!1]],[[35,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x42255873b21dd,!1,[[4,54],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,9020721007401932,[[35,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,0xf44046b513da0,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,6300514876501323,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,5746375377939477,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8347390259466381,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,7503549686632949,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8531966587124431,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9092114851825600,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xd338eae8c6af8,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,819366320862271,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x9bc333146e39,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,
null,5994931988225848,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,611714646666636,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x8fcd02ba7b093,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,9507298817308076,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xcbcb83fccdc5f,!1,
[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,9164459429000308,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x71490d788f7d1,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,7426103053082081,[[50,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,8358143289664964,!1]],[],[[0,null,!1,null,5238527306295712,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7606226090244853,
!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,4908786007865286,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7676403519507415,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xc23686d281e98,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,4961323872693555,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xce4db3f8876ef,!1,[[4,40],[5,[2,"dialogLayer"]],
[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x81e69f3b4f4ec,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xf08ba1e974627,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8bd0882a8467b,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,9243331394831392,!1,[[0,[0,
961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0xa683adc928594,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,5861974615670917,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4754616837756015,!1,[[11,"enemykill"],[8,5],[7,[0,40]]]]],[],[[0,null,!1,null,8266848824259398,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8127237564094117,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,703212804554709,!1,[[11,"CurrentLvl"],[7,[0,7]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,8803481945541054,!1,[[11,"Hammer"],[7,[0,10]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9606558401674212,!1,[[1,[2,"Hsave"]],[7,[23,"Hammer"]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7815598015027597,!1,[[1,[2,"Lsave"]],[7,[23,"CurrentLvl"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xe44d992aa815f,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xc5840c27451ea,!1,[[2,["winning",!1]],[3,0],[0,[0,0]],[1,[2,"win"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,5763821494416041,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6125189045103896,!1,[[1,[2,"bgs"]],[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,477896483351439,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xdb7a7e9ab2b05,!1,[[1,[2,"win"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,6286078002470312,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,6892804846268453,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,5350207584464798,!1,[[4,43],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xcc7222bed10ec,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,4892734334842387,!1,[[0,[0,0]]]]]]]],
[0,null,!1,null,0x6d6f5d380c83f,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,4917607663538311,!1,[[4,41]]]],[],[[0,null,!1,null,0x46ae5647bcb29,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0xc685cd7da1fb9,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,974759509062377,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,9288050810586678,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,9577971504863032,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,5750447407517248,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0x949e8401a2741,!1]]]]],[0,null,!1,null,6341728640751501,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5172417274683458,!1,[[4,44]]]],[],[[0,null,!1,null,8338262671608562,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0xb2f6184a1314,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,452731520187659,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,
6549324209453614,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x7aa8089b73776,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5034981854495018,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7005679955290468,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xa63d11aa7ab49,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xf4edb3ec759d4,!1,[[1,[2,"win"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,0x80959112b7c25,!1,[[6,"menu"]]]]]]],[0,null,!1,null,8216545809804112,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xcb83cc7f37fc1,!1,[[4,43]]]],[],[[0,null,!1,null,0xe29c5f96235db,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,8526289435443898,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4961441880731286,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0xf6680d453be93,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x411ed8eaabf89,
!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,877815379493457,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,4794353829676927,!1,[[6,"stage7"]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,4991538777829739,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x5fad2622fdc9b,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,4611742503488627,!1,[[1,[2,"win"]],[3,0]]]]]]],[0,null,!1,null,4763773027010979,
[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,4889821530217262,!1,[[4,22]]]],[],[[0,null,!1,null,0x397435e1c38c1,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6677169654082711,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x5cc4a34bb5c85,!1,[[4,46],[5,[2,"dialogLayer"]],[0,[0,506]],[0,[0,325]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x8d8e49bcf4262,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x9b0a0777c3d4,
!1,[[0,[0,0]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,844086256181763,!1,[[4,42],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,8449797593010293,!1,[[4,41],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x41472a4b03943,!1,[[4,44],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xb29c4e328e9c2,!1,[[0,[0,961]],[0,[0,-37]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xb828972f107ce,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x5fca2ecc350b1,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,853057871467056,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,512422076487318,!1,[[1,[2,"startsound"]],[3,0]]]]]]],[0,null,!1,null,0x9f9cfe0049334,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,5246778734765091,!1,[[4,42]]]],[],[[0,null,!1,null,0x783436d7214c3,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,5982728076972723,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xeadb11ace0fcd,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0x790e0460c24bd,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0xc77a5bd2c7ea7,!1]],[[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,8613134022531823,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,
null,8180225928838067,!1,[[0,[1,1]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,6598383072583113,!1,[[3,0]]],[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,8691983105214422,!1],[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,4830107450814655,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,5038998133916816,!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,8616576907502582,!1],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9782608559596604,!1,[[1,[2,"fx"]],[3,1]]],
[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9935434573188932,!1,[[1,[2,"bgs"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8506616326411624,!1,[[1,[2,"win"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7977858672791549,!1,[[1,[2,"startsound"]],[3,1]]]]]]],[0,null,!1,null,5455090461905999,[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,4922481108196025,!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,947652181223625,
!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xd06863b3fb094,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4720045350369804,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x560675191a7bb,!1,[[4,2],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,6674325723721264,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,870343877627737,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,5162247918431116,!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,null,9381784951066088,!1],[-1,cr.system_object.prototype.acts.SetVar,null,8913869250920018,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xdbdc6928777bf,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,6601045255323361,
[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7475431585095627,!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5264898387055409,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xca40375cee841,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6333630679733635,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7447017037744507,!1,[[4,3],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,8001885577845445,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xaad5256b0afcc,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,657084661776211,!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,null,8469980142110615,!1],[-1,cr.system_object.prototype.acts.SetVar,
null,7261929871747894,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,308362158630911,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,0x5d7a4138011e3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x5213462b7f862,!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9234169056940322,!1,[[11,"Hammer"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,0x9fdf3b16c6abe,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5057639100563607,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xb10a879bafd69,!1,[[4,56],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,0x5656e856bf875,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9407156061646226,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8098652710401482,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xaef7586f79cb4,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,8584665764254871,!1]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,6240769937826125,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,5434268121830516,!1],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9122613498681606,!1,[[1,[2,"onwork"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xa3567f7db56e2,!1,[[2,["workman",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5608699598369143,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,
cr.system_object.prototype.acts.Wait,null,438628878657297,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x5d093ff624334,!1,[[11,"Hammer"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xa216d8ad7891e,!1,[[11,"Wwork"],[7,[2,"off"]]]]]]]]]],[0,null,!1,null,7881473151127271,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4627569151363409,!1,[[11,"Wwork"],[8,0],[7,[2,"off"]]]]],[],[[0,null,!1,null,6326190383885341,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,7007366474844989,!1,[[0,[1,1]]]]],[[53,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6685380835014236,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x6b70d66b8bf73,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xe40d5902913c1,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xcd55f70d12436,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,5645756193104369,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,
!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,8462911802005968,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4672324480609234,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,8578663755011415,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7836607824617581,!1,[[1,[2,"full"]],[3,1]]]]]]]]],[0,null,!1,null,8024405132034267,
[[53,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9329463186942152,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7832007448531493,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6159445800593843,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc42251c91b64e,!1,[[4,52],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,5418352154937656,!1,[[4,32],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8561199602548018,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9478556752160866,!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,7335965659058026,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9977617873942874,!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5093755982847622,!1,[[11,"Hammer"],[8,2],
[7,[0,10]]]]],[],[[0,null,!1,null,6636065995638222,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,636076181012112,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xcf19053f0c1f3,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,9826348263506676,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,
null,5726588253860005,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe530321df3345,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x57f68fdc7d786,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5323259090551354,!1,[[1,[2,"more"]],[3,1]]]]]]]]],[0,null,!1,null,0x91efe40c1948c,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,4696700523244327,!1,[[4,54]]]],[[54,
cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",7537121310832678,!1,[[0,[0,600]]]],[54,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,6780211538495177,!1,[[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[54,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6659676885372421,!1,[[1,[2,"blast"]],[3,1]]]]],[0,null,!1,null,4822327352138661,[[54,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9376189898871746,!1,
[[4,23]]]],[[54,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xbb06afad988e9,!1],[-1,cr.system_object.prototype.acts.AddVar,null,8531020897220698,!1,[[11,"Hammer"],[7,[0,1]]]],[23,cr.plugins_.Sprite.prototype.acts.Spawn,null,7407643017461111,!1,[[4,55],[5,[20,23,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[55,cr.plugins_.Sprite.prototype.acts.SetAngle,null,5376988374421363,!1,[[0,[19,cr.system_object.prototype.exps.random,[[0,360]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,5552332601450806,!1,[[2,["hamercolision",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],["Stage7Sheet",[[0,null,!1,null,0x499d3d04a3d0c,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x625be70fee423,!1]],[[79,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,7584848991454472,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,322243459744988,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,0]],[1,[2,"startSound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7639800958768749,!1,
[[1,[2,"openSound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,8277469858744574,!1,[[1,[2,"openSound"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5366244088924861,!1,[[11,"bgSound"],[7,[2,"off"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,871605887786953,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5350571616824207,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,0xfe628454b7951,!1,[[1,[2,"win"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,
null,399330756408702,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xf4920c0b01d56,!1,[[11,"CrBanana"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,425570430102946,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8015435047917423,!1,[[11,"waveActive"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x53decefa8e622,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xbec534431e4ea,!1,[[11,
"skeleton2"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x3beced377852d,!1,[[11,"skeleton3"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5857190405855069,!1,[[11,"skeleton5"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8534349412193718,!1,[[11,"enemykill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xa2c63555ccd4d,!1,[[11,"wavepercent"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xcc53178218b66,!1,[[11,"wavecount"],
[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x687446da67e75,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xec8bbff729526,!1,[[10,0],[7,[0,10]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5b3b69bfe0e4d,!1,[[0,[0,961]],[0,[0,-37]]]],[21,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5910216444662562,!1,[[1,[2,"ws1"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x3a212d51ca582,!1,[[0,[0,0]]]]],[[0,null,!1,null,9472544941232338,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb15cb2d343fd3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7493630852467771,!1,[[4,30],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x3f7169ca46fa5,!1,[[1,[2,"stage7"]],[3,1]]]]],[0,null,!1,null,4885481643183635,[[45,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,0x487154a1af6d2,!1,[[1,[2,"Hsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,428775124218614,!1,[[11,"Hammer"],[7,[20,45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Hsave"]]]]]]]]]],[0,null,!1,null,8787689892175779,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7279734613190721,!1,[[11,"bgSound"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,0xedb729443c029,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xa2eb69ddda3b1,!1,[[0,[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,8257636820108523,!1,[[11,"sound"],[7,[0,1]]]]]]]],
[0,null,!1,null,0x543cec64f6a10,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7638903435631855,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0x742f81a31211f,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe0c9b9cb50cd4,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,4692136392578528,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,-15]],[1,[2,"bgs"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x69820d643ba98,!1,[[11,"sound"],[7,[0,25]]]]]]]],[0,null,!1,
null,6553798485784106,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,8938567354667419,!1,[[4,30]]]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,9429971087480302,!1,[[0,[1,1]]]],[30,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x545bedd97cb01,!1],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xe6ade70486b59,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,8285224268618596,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,7891173119623805,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6742060516096124,!1,[[11,"bgSound"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5113268399783238,!1,[[11,"waveActive"],[7,[2,"on"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5805705453693368,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8658398547118449,!1,[[1,[2,"bgs"]],[3,1]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,7166947217471904,
!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetVar,null,947577059975936,!1,[[11,"sound"],[7,[0,25]]]]]],[0,null,!1,null,0xebbc60b8494e,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,5126685493902591,!1]],[[26,cr.plugins_.TiledBg.prototype.acts.SetHeight,null,563446269734001,!1,[[0,[23,"BananaCD"]]]],[47,cr.plugins_.TiledBg.prototype.acts.SetWidth,null,0xe46a29d8f5457,!1,[[0,[23,"wavepercent"]]]],[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xd7252ba154bbe,
!1,[[0,[0,10]]]],[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xef5a10cc253c1,!1,[[0,[0,10]]]],[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,6468760819301287,!1,[[0,[0,10]]]],[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,8026729290818467,!1,[[0,[0,10]]]],[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,8806261745603246,!1,[[0,[0,10]]]],[24,cr.plugins_.Text.prototype.acts.SetText,null,5089244155160817,!1,[[7,[23,"Hammer"]]]],[37,cr.plugins_.Sprite.prototype.acts.SetSize,
null,7376343758838451,!1,[[0,[0,120]],[0,[0,120]]]]]],[0,null,!1,null,6564524238763689,[[11,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0x9177a63d2ec0b,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,8657797033838972,!1,[[0,[0,50]]]]]],[0,null,!1,null,9744019592933064,[[12,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,8539267425041679,
!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,6451810661901048,!1,[[0,[0,50]]]]]],[0,null,!1,null,7595996965539667,[[13,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,6007352570267685,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,
null,0xce95fb9489e6a,!1,[[0,[0,50]]]]]],[0,null,!1,null,0x43457cc138da5,[[14,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0xe615942f046df,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xde01d4655c529,!1,[[0,[0,50]]]]]],[0,null,!1,null,6842631660653515,[[15,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,6952023902087384,!1,[[3,0],[0,
[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,8158110338110726,!1,[[0,[0,50]]]]]],[0,null,!1,null,8899697649626751,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb99ce2afbe2ea,!1,[[11,"CrBanana"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,5210789347694985,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8186774329891002,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,7538162838630918,!1,[[11,"BananaCD"],[7,[0,5]]]]]]]],[0,null,!1,null,0xecce2d5c24e6e,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,933913935897339,!1,[[11,"BananaCD"],[8,5],[7,[0,65]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6971744427750458,!1,[[11,"CrBanana"],[7,[2,"off"]]]]],[[0,null,!1,null,0x5afa83b326952,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xfbaa41aaa5efd,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,632919484782952,
!1,[[4,27],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9481967589319018,!1,[[4,32],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,720147501772642,!1,[[2,["bananadrop",
!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",468612968896427,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4399413ef3ebc,!1,[[11,"BananaCD"],[7,[0,0]]]]]]]],[0,null,!1,null,9391165267229136,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x658a48e556fc6,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x7d49b62529ada,!1,[[4,11],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
"DragDrop",9363513459616540,!1,[[3,0]]]],[[0,null,!1,null,923271778390845,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7593199679734394,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x642ee6ac11088,!1,[[4,33],[5,[2,"1"]],[0,[0,50]],[0,[0,160]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf1702107a5d12,!1,[[0,[20,11,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,11,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,5435877217761202,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[11,cr.plugins_.Sprite.prototype.acts.Destroy,null,9527913475293516,!1]]]]],[0,null,!1,null,9394392095153312,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xa76dfaf2a7af1,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7532050418056572,!1,[[4,12],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",7861497753908202,!1,[[3,0]]]],[[0,
null,!1,null,8509969729024175,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,371760821868796,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5756655853685991,!1,[[4,33],[5,[2,"2"]],[0,[0,50]],[0,[0,256]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5951b07b95b01,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x88d79f445a882,!1,[[2,["dragdrop",
!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[12,cr.plugins_.Sprite.prototype.acts.Destroy,null,6323994053278432,!1]]]]],[0,null,!1,null,4858181512278036,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8715545914220399,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6303885398666488,!1,[[4,13],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0xc632dbcbe5537,!1,[[3,0]]]],[[0,null,!1,null,5580783635142534,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xfdc57f0d9825b,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5919396575437525,!1,[[4,33],[5,[2,"3"]],[0,[0,50]],[0,[0,352]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8d1b84f14e233,!1,[[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5009453864621785,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[13,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xbd38bc1af9fd3,!1]]]]],[0,null,!1,null,5296862548322972,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7569294383486433,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9881433447618948,!1,[[4,14],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x91ef7886c1e71,!1,[[3,0]]]],[[0,null,!1,null,8475032059300623,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9384667442410794,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,7457193930858835,!1,[[4,33],[5,[2,"4"]],[0,[0,50]],[0,[0,448]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,6202292537363197,!1,[[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5512188371184146,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,6273923920110447,!1]]]]],[0,null,!1,null,0x5fcc92be2887d,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,9883678430290848,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5898617690480785,!1,[[4,15],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",7679365995127302,!1,[[3,0]]]],[[0,null,!1,null,0x68efc88dcb331,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9478756845547548,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9014642627803812,!1,[[4,33],[5,[2,"5"]],[0,[0,50]],[0,[0,544]]]],
[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8eb8be459f0de,!1,[[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x3ddaf7a532e3a,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xcddd632aee637,!1]]]]],[0,null,!1,null,0x82a0a5d30dda,[[33,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9214853529353126,!1,[[4,27]]]],
[],[[0,null,!1,null,9663393173725552,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xfff842781937b,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9135804927782906,!1,[[4,0],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5248954197163424,!1,[[4,32],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[33,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe81237db18995,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,819250065840056,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xca217fea2c374,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8680090704111936,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,
673722197413837,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,4767530040887439,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x4734a711d323f,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x57f7094f1ef72,!1,[[3,0]]]],[[0,null,!1,null,0x6f7157eee06d9,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x669f6b3e97e3f,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,5673395630023607,
!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,6918741115525461,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0xbc792a4b093d5,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xbfb4524e29262,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,438113540625532,!1,[[4,1],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xdf6f030808e6f,!1],[-1,cr.system_object.prototype.acts.SetVar,null,5669441393879897,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,5995346524926871,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x61d459ec40332,
!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5050324586564734,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",6765423806844054,!1,[[3,0]]]],[[0,null,!1,null,0x6ce8046942125,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,950501892195506,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9994069806186436,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,
null,904281634163989,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0xfd8954f1a4052,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x6d7df63a2c3d1,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8460309413169929,!1,[[4,0],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x92f367f8cde93,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x79bf5ab6437a4,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,4995478524151539,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,5664176194000911,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,787506541884087,
!1,[[4,37],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,9621730206669014,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8295694408227922,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9848458253500864,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9997504628262062,!1,[[4,0],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5981752637721595,!1,[[4,39],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[37,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x4d390885ca7cc,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xebbb32b0fcecd,!1],[-1,cr.system_object.prototype.acts.SetVar,null,7767466311722925,!1,[[11,"CrBanana"],[7,
[2,"on"]]]]]]]],[0,null,!1,null,7166787134141284,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x9da996bccb2f2,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7602752036838504,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,9150471744327276,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb98361b0434b0,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8882566628502042,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],
[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,9173013601161998,!1,[[4,39],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,550950523202814,!1,[[10,2],[7,[0,15]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xfbdc1e0e54be5,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xa52f54bdf5ef8,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,670484438579949,!1,[[1,[2,"idle"]],
[3,1]]]]]]],[0,null,!1,null,0x5d76f1e8046aa,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x4791b37b3c351,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x683320a9e0dff,!1,[[4,3],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xcf71c153708eb,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x73d3b34408b67,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x49525d55c2f49,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[3,
cr.plugins_.Sprite.prototype.acts.Spawn,null,6268937579592927,!1,[[4,39],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[3,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6855027310943822,!1,[[10,0],[7,[0,20]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,6043476683875823,!1],[-1,cr.system_object.prototype.acts.SetVar,null,5084387025036461,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xce878d8cfa47d,!1,[[1,[2,"idle"]],
[3,1]]]]]]],[0,null,!1,null,0xf766608a88e96,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc8c1a1e2f802,!1,[[11,"wavecount"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8053779628422469,!1,[[11,"wavepercent"],[7,[0,50]]]]]],[0,null,!1,null,9819773511070720,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,586640670397198,!1,[[11,"wavecount"],[8,0],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6908508799323181,!1,[[11,"wavepercent"],
[7,[0,100]]]]]],[0,null,!1,null,0x8b7691290791c,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5777545069303576,!1,[[11,"wavecount"],[8,0],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x8f2c657a47114,!1,[[11,"wavepercent"],[7,[0,150]]]]]],[0,null,!1,null,4645552390444158,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9121952393299688,!1,[[11,"wavecount"],[8,5],[7,[0,30]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8288384755117971,!1,[[11,
"wavepercent"],[7,[0,200]]]]]],[0,null,!1,null,0xae363171da8af,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcf8217bbd7087,!1,[[11,"waveActive"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,6873549217156183,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8477336211936184,!1,[[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,9748708320137932,!1,[[11,"skeleton1"],[7,[0,1]]]]]],[0,null,!1,null,0x96fde02247466,[[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,9880619467977960,!1,[[11,"wavecount"],[8,5],[7,[0,6]]]]],[],[[0,null,!1,null,5974234340107017,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x8bf838306326,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x3faa609dd0306,!1,[[11,"skeleton2"],[7,[0,1]]]]]]]],[0,null,!1,null,8940179572839972,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8838039025405476,!1,[[11,"wavecount"],[8,5],[7,[0,15]]]]],[],[[0,null,!1,null,442831188675291,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,5536289798209549,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,8369239484672257,!1,[[11,"skeleton3"],[7,[0,1]]]]]]]],[0,null,!1,null,0xb4aa8bc4426af,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf006ff2cf5630,!1,[[11,"wavecount"],[8,5],[7,[0,30]]]]],[],[[0,null,!1,null,9209525183225448,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xc0d7e5829921b,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,5466429486384699,
!1,[[11,"skeleton5"],[7,[0,1]]]]]]]]]],[0,null,!1,null,0x7dc0bee21cb66,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x7676924f15a7d,!1,[[11,"skeleton1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0x5c8257e614aef,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8676916091408422,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4506772456407187,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,6361399045583116,!1,[[10,0],[7,[2,"weeker"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6398246133665041,!1,[[10,3],[7,[0,7]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc9b5b5ebd6fef,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8533703836430643,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,81993157887733,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd63aa3e8699c0,!1,[[10,0],[8,0],[7,[2,"weeker"]]]]],
[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf2350821247da,!1,[[1,[2,"weeker"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x6274d4c2437c1,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",666370790588838,!1,[[0,[0,10]]]]]],[0,null,!1,null,7889826032343022,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7558573904076437,!1,[[11,"skeleton2"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,932433915579373,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5752181598596502,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7431678063590789,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7576221114225454,!1,[[10,0],[7,[2,"spider"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9094509753360836,!1,[[10,3],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8777189367649098,!1,[[11,"skeleton2"],
[7,[0,16]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6480822047105856,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0xde3898f974eb,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8128824211587411,!1,[[10,0],[8,0],[7,[2,"spider"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf155ce120133f,!1,[[1,[2,"spider"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7600706329382154,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",5973892975114704,!1,[[0,[0,30]]]]]],[0,null,!1,null,7684555576654562,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7453355019718219,!1,[[11,"skeleton3"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0xb697ad01feac0,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7763840986582907,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7529617141871344,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],
[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7778052933457118,!1,[[10,0],[7,[2,"shielding"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x8d46ef928db44,!1,[[10,3],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9197856899336604,!1,[[11,"skeleton3"],[7,[0,13]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6537305710819194,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,4796845633691081,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,
0,!1,!1,!1,7565676348577781,!1,[[10,0],[8,0],[7,[2,"shielding"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8747881959963748,!1,[[1,[2,"shielding"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6614116295698092,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6887724765189041,!1,[[0,[0,10]]]]]],[0,null,!1,null,6394209699707082,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8e6bcd07ad468,!1,[[11,"skeleton5"],[8,0],[7,
[0,0]]]]],[],[[0,null,!1,null,0x7f9729deab36c,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5259306882698947,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6416429229206798,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x6d2a5f93f700f,!1,[[10,0],[7,[2,"ash"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8836713976781592,!1,[[10,3],[7,
[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7845853631491631,!1,[[11,"skeleton5"],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.AddVar,null,396780573583278,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,424297079773627,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8192756007352864,!1,[[10,0],[8,0],[7,[2,"ash"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc7d6e3bce4a34,!1,[[1,[2,"ash"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,4630361623373005,!1,[[10,1],[7,[0,10]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xdb5d8e54508f6,!1,[[0,[0,10]]]]]],[0,null,!1,null,6911822549136813,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7536845609499331,!1,[[4,86],[0,[0,0]],[0,[0,0]]]],[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8395306535235169,!1,[[10,0],[8,0],[7,[2,"ash"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8738475944180427,!1,[[1,[2,"ashfight"]],
[3,1]]]]],[0,null,!1,null,6917487133964976,[[35,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,9502978322993944,!1,[[1,[2,"ashfight"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8062707037352507,!1,[[1,[2,"ash"]],[3,1]]]]],[0,null,!1,null,9973243156184024,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6666118143868424,!1,[[4,16]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,651921140845923,!1,[[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,5502130889846859,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5296cc4669c0a,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,449988876779682,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5243307774591946,!1,[[5,[2,"1"]]]]]]]],[0,null,!1,null,8437394649703728,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,
339998618566009,!1,[[4,17]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8af20159c900d,!1,[[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,5559780013297161,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8447186481746554,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xffcecb0ff4f24,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,
null,9809249612923426,!1,[[5,[2,"2"]]]]]]]],[0,null,!1,null,6005811387645088,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5064407610516579,!1,[[4,18]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xdd51aa1c06e99,!1,[[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0xd6984fa6a6e8e,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5736639891034072,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,
null,5780056835252182,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0xb46e2812c72f1,!1,[[5,[2,"3"]]]]]]]],[0,null,!1,null,955331582932627,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4595155361837057,!1,[[4,19]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x451d21f3c7176,!1,[[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,
0xf19dacc90f58e,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9140423106572352,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xb538373428b43,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x82948abff3295,!1,[[5,[2,"4"]]]]]]]],[0,null,!1,null,0xc22e033514259,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xe0caf6c96ff31,!1,[[4,20]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,6757426929071053,
!1,[[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,6861497384036445,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc5cd75c428e5f,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8398599014243703,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0xce025eca5a0fc,!1,[[5,[2,"5"]]]]]]]],[0,null,!1,null,0xb3b77ddd1f90d,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,7988516488584734,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xa467a0c7aa27b,!1,[[10,0],[8,5],[7,[0,1]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x538f2c732176f,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,638400952448744,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[34,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xadcb6777dc17d,!1,[[10,0],[7,[0,1]]]],[34,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x66cea82fbd9f8,!1,[[1,[2,"destroy"]],[3,1]]]]],[0,null,!1,null,0xc53a305417c1b,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,863049802779703,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7925514190733589,!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xfe94cb30948aa,!1,[[0,[4,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,80]]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x41ac81401d02c,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5489028058742518,!1,[[10,3],[7,[0,1]]]],[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x53615a59d18ba,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8518565684000053,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,7558367904456751,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0x56a5d06fb962f,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9204309845176638,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7146871937212126,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,793446859666713,!1,[[4,37],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,5140608395069149,
!1,[[4,36],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,7566251378009019,!1]]]]],[0,null,!1,null,0xeccf456a2b4a4,[[0,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,6494267901086895,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,0x9c63b7bb0fb45,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x5b443a0111475,!1,[[10,0],[8,3],[7,[0,5]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x4f744f744eb3a,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,8899360652500792,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x77e84f38f0fc4,!1,[[10,0],[8,5],[7,[0,6]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,493998959947197,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0x9892b9740630a,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xd256064888e77,!1,[[5,[2,"1"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x7251767299ddf,
!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,7132242690409016,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5107805224194279,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5157025289420801,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,9768146987983732,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8987965107464523,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9437373548114644,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,
!1,9930299798769524,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xdc71fe2464461,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7986934527933197,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x938c9bbeb2cff,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,6715999137106506,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9417433129665288,!1,[[5,[2,"2"]]]],
[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5595227448725842,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,0xc369cfa663f03,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6472304064109056,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9409162697213936,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,8307131848647747,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x424786eb13a1d,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xb0040de8c2ffb,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xacd327d08ea27,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xbff1f45e5b191,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,74999259355102,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8522363769522425,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0xe1b89f5255695,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,
null,0,!1,!1,!1,5484702634313302,!1,[[5,[2,"3"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9468514641349036,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,7001019771708462,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xc0aee7e596ff,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6290613151689151,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,6734270960659382,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x7f84a4dc78ae7,!1,
[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5478486698972114,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7444163675939037,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,8672798780848659,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf1572cf5f9b09,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7682811989926965,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,
null,!1,null,0x3e83bfe982854,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,312525610580465,!1,[[5,[2,"4"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xc2233c7bf2e4e,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,9466945635189368,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9282477485652466,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4765142237431147,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,6905519829395911,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,9048494452810276,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,323749522268895,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9581180447501656,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x6e5691d35c184,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x60de188ed68b5,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xfab76fcb85de5,
!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,983425014756013,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,307391370654774,!1,[[5,[2,"5"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8288628980878174,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,0x87dba588e415c,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6966687224328936,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xcc05298297402,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
7203708321171879,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,866429544329478,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xf5a78a0aebfeb,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7877368099838538,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,4917946196892895,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4659704700762355,!1,[[1,[2,"shoot"]],[3,
1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x94037c069cb09,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,8331857020762726,[[1,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,6500471915351283,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,0xfbe723179feb8,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xeed66fb4e5822,!1,[[10,1],[8,3],[7,[0,4]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xbb27425d16307,!1,[[1,[2,"tired"]],[3,1]]]]],
[0,null,!1,null,485932286788617,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8634565994501908,!1,[[10,1],[8,5],[7,[0,5]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7678401797548128,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0x3b6b003e81d61,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8652271863118219,!1,[[4,38]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5105057752200816,!1,[[10,3],[7,[0,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0xb1531e0decd71,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[38,cr.plugins_.Sprite.prototype.acts.Destroy,null,9791455745178748,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,8013286954324537,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,9026538959709908,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xdbfcd8cb53493,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",0x3d96754505c8e,!1,[[0,[0,0]]]]],[[0,null,!1,null,0xce3c144016ece,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x5b31f5e785e78,!1,[[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,8679541431076409,!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8276246167512322,!1,[[10,1],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,0x46554412b0b43,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,5237083107326942,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5753635588870281,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9053463273738856,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xfbab8c41e018f,!1,[[4,37],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7371614816953705,
!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x86947f1449cbd,!1]]]]],[0,null,!1,null,5172941157780867,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9554160323880022,!1,[[5,[2,"1"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x4731750c70f46,!1,[[5,[2,"1"]]]]],[],[[0,null,
!1,null,674547638838177,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xc3ab4e4627af9,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x8442a4684da22,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,8455974454230133,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,611049898590451,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9941124609524288,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x7a371451bd709,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,
null,6385568385151899,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",896807109035462,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9305708257349752,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5439451075738725,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0xd7a10e8ea8026,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,
0x6c7ec5e404230,!1,[[5,[2,"2"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9206731813300716,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,6049291255187527,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xaa3dc1d6a5b83,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x90477a9c31e8e,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x719c35ca769bf,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xc6fb9db548d20,!1,[[10,0],[8,3],[7,
[0,0]]]]],[],[[0,null,!1,null,0xbb37617ab0082,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbf0d64dc654b3,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,6894621467347634,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0x60054a5a828d8,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9788091995861618,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,5004528825136688,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,7599930583382508,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x8b67705d33567,!1,[[5,[2,"3"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8334242067761231,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,5154465042350484,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6139363431151505,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4537124626164329,!1,[[10,0],[7,
[0,1]]]]]],[0,null,!1,null,0xfefd4dd868d8c,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x72f2919a1e9ac,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x99d73dfc0cbe8,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x8485fe6c61457,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,9405110441701228,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",
9020223273557716,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4743657046138076,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x50acba2805bed,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0xa3b3ee8e413f5,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8317247863314522,!1,[[5,[2,"4"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xc087ac077566f,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,5949207361396117,[[-1,
cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,784159396184871,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6641499899759766,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,7888276898327386,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7036898569299431,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7836417631988825,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5f952927a4c5c,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,
null,6457398016549849,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",505670079716535,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xfd203963bba1c,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x3f1e80bfb57fc,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,7681852200111444,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,
5050740949973048,!1,[[5,[2,"5"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x699652e8ed991,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,0xb431be567f3ad,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6479732315584092,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x7f50c1c0973ca,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,8187530737479127,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xf0b6e5bef0088,!1,[[10,0],[8,3],[7,
[0,0]]]]],[],[[0,null,!1,null,7233150688398607,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7485895885944224,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,8130986478163876,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",6404493961167721,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,478898937737422,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0xf7d3b42b29efa,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0xe15147ca02c76,[[50,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x653842771d0fc,!1]],[],[[0,null,!1,null,0x586bd0700d0ee,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xe09b8ed360058,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x4c3ee87f961da,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,5999626798769752,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,
0x64c5330611dc9,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x5a2cd06b81e74,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc8b1caf54bd47,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,7926842085219044,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0x42b8fa74b048a,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcbb0caf5dfa75,!1,[[1,[2,"shoot"]],
[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x3da2057db8d63,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,331293306578227,[[2,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0x47f2fca980769,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,5873464725449505,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7281107763902781,!1,[[10,2],[8,3],[7,[0,7]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7552157165846468,!1,[[1,[2,"fall"]],[3,1]]]]],
[0,null,!1,null,5675947077667564,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x7f70383f7df37,!1,[[10,2],[8,5],[7,[0,8]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,362684217529989,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0xc101927311279,[[48,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,8410707632829319,!1,[[8,5],[0,[0,640]]]]],[[48,cr.plugins_.Sprite.prototype.acts.Spawn,null,4630289209492567,!1,[[4,49],[5,[20,48,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,4647330463482649,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,7928731087080167,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,6611913117859627,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5104332635622545,!1,[[4,48]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6295332101475408,!1,[[10,3],[7,[21,2,!1,null,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,
4731923349374429,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,7147953106226923,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,6929936918509317,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,9025714837467560,[[48,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x3a7c25d4a63cc,!1,[[4,50]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xc338ea3c48178,
!1,[[10,0],[7,[21,2,!1,null,1]]]],[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,6223737992459625,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x68be99580147f,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,9083999308628908,!1]]],[0,null,!1,null,7415104674187935,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,485549292117866,
!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5128826228071484,!1,[[0,[0,0]]]]],[[0,null,!1,null,412187208183659,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8141682750011843,!1,[[0,[0,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,8957676543860435,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8753244375896653,!1,[[10,2],[7,[21,35,!1,
null,1]]]]]]]],[0,null,!1,null,0x86dec380a7955,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4908632862618386,!1,[[10,2],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6979194473728455,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbb69ef4800341,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9573156139875924,!1,[[4,37],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe380e3c87d55b,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[2,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x5a0e8220b331c,!1]]]]],[0,null,!1,null,9579251761507416,[[50,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,5894917994647157,!1,[[8,5],[0,[0,100]]]]],[],[[0,
null,!1,null,0xc25cd1361aabb,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xdf8587cd13b05,!1,[[0,[1,1]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,734159451216372,!1,[[10,1],[7,[0,1]]]]]]]],[0,null,!1,null,0x7e3e339deb9c6,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x6e932af2ec0e1,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,612846555710207,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4579567932207733,!1]],[[50,
cr.plugins_.Sprite.prototype.acts.Spawn,null,428432851362817,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb3bbb47b0ae85,!1]]]]],[0,null,!1,null,0x628024d5c14ed,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9067351173856616,!1,[[10,0],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,7873168218203216,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7048134711818275,!1]],[[50,
cr.plugins_.Sprite.prototype.acts.Spawn,null,8816943684442033,!1,[[4,54],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,0x86e251bc5c150,[[50,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,0x623c390c61a6d,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,5493911439166593,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,7264766614413884,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7287649965197022,!1,
[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x86362b2fcc6a6,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xebd41f74aebaa,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,327804120517414,!1,[[4,51],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9207217173721084,!1,[[1,[2,"shoot"]],[3,1]]],[51,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xf7d51fb10810b,!1,[[0,[20,86,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,86,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5822194465384779,!1,[[10,1],[7,[0,5]]]]]]]],[0,null,!1,null,8946463918439286,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6534996583266321,!1,[[4,2]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xa2a1b1614c092,!1,[[10,2],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,6927265175757546,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb65c2e2d46d5a,!1]]],[0,null,!1,null,0xc441c85743617,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4678016213386086,!1,[[4,1]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5174733524182134,!1,[[10,1],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xccbe8617b0229,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9754341726280434,!1]]],[0,null,!1,null,0xc4f7fbc58f08c,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5332472588239215,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xee82bc8e5f032,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xdeffa7288d656,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,7785152010742572,!1]]],[0,null,!1,
null,0x9deae8d4198ea,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9773681163737076,!1,[[4,3]]]],[[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xc36023265fb5,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,9204088748254034,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,8983619520784151,!1]]],[0,null,!1,null,7415374690595755,[[50,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,5082232095403793,!1,[[1,[2,"shoot"]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8174038820942115,!1,[[1,[2,"idle"]],[3,1]]]]],[0,null,!1,null,9129478442180688,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0xa79898eab2c13,!1]],[],[[0,null,!1,null,0xade74c8d5f660,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,4940700611796365,!1,[[0,[1,1]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6965942792359103,!1,[[10,1],[7,[0,1]]]]]]]],
[0,null,!1,null,0xf70a83e4139c0,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7378881074162481,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9065719171020412,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5184644305687608,!1]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6609732577263999,!1,[[1,[2,"shoot"]],[3,1]]],[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,4643065449484075,!1,[[4,58],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[58,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,7558635076998769,!1,[[0,[20,35,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,35,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[3,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xbd330eada55f,!1,[[10,1],[7,[0,3]]]]]]]],[0,null,!1,null,7638164256868566,[[3,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,7642650445742219,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,577162110839281,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,6256952574620559,!1,[[10,0],[8,3],[7,[0,10]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8924774780020667,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,9508400128646940,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xde48cef292977,!1,[[10,0],[8,5],[7,[0,11]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7691805057240488,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,9846223274851418,[[58,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,
0,!1,!1,!0,0x553bacd8e8284,!1,[[4,35]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x899d2038115a3,!1,[[10,3],[7,[21,3,!1,null,2]]]],[58,cr.plugins_.Sprite.prototype.acts.Destroy,null,5996294751357182,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,8608084423165246,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x94e42500d3606,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,
!1,null,4987580494656492,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,938593806956316,!1,[[4,3],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xa5dc3a6418067,!1,[[0,[0,0]]]]],[[0,null,!1,null,0xc9b05de424d2e,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,4632801858696158,!1,[[0,[0,1]]]]],[[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,7041814497513966,!1,[[4,36],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[7,[0,0]]]],[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x94b3688083ca1,!1,[[10,0],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,9026817625175102,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x58b802a5b62c9,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5517213155086928,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xa93f4ee8a4b5d,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x6da05d2fe75a4,!1,[[4,37],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe4a91c5055bc3,!1,[[4,36],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[3,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xaba1833a77ccc,!1]]]]],[0,null,!1,null,0xe9c9c6605f4f0,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,7114843654392152,!1,[[10,3],[8,3],[7,[0,0]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,7754256421177694,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xc51d15f08c96,!1,[[2,["enemydie",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,7049600539157536,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,529335012399353,!1,[[10,3],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,0x75c5fe6a4ba58,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,
!1,!1,7238216563369358,!1]],[[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,5769078650819075,!1,[[4,54],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,8868614652017594,[[35,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,0xbcd6fc64a7bc5,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x493a21ffb2ef7,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,7464723172095336,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,
!1,!0,0xa4756e6bab943,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8585276580920384,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xb5e655dc3d16d,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,319196306385718,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x9c59363449ad0,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xfa37dd6400cb2,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,4932415178713872,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4de8624e292c9,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x6a632c307cd8,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7572792628712797,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,948784683521085,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,
null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,745896870285458,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe291ab5e5e20f,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,5058765714664378,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,6803866478639383,[[50,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,9085567770798066,!1]],[],[[0,null,!1,null,
0x4696257d0d523,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9451001459609372,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xefffddba6441b,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7715910381619123,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5184999883870659,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x558f1d528aba7,!1,[[11,"bgSound"],[7,[2,"off"]]]],
[-1,cr.system_object.prototype.acts.CreateObject,null,8408461814930914,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x3b6e08d3c84e2,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,7966211285667186,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xf8ad3e0b24980,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6a04a92a56bec,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0xd4b8446e0a84,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,0x472ae741a869e,[[59,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,4717576989868709,!1]],[],[[0,null,!1,null,9984864062715284,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xf428c72081d88,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,8706117354089647,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,959646575992018,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6771476059773911,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,394150984773472,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9513609063470436,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,9046918868596144,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,
"Bullet",0xe76e3187f6bd6,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7329280974065511,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9938535285546744,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,908844246073237,[[48,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5315138168639614,!1,[[4,59]]]],[[59,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5204672229322363,!1,[[10,0],[7,[0,1]]]],[48,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0xf78e83d812cd9,!1,[[4,55],[5,[20,48,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,6155351547850151,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,569491575905488,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,59494422682,[[59,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,637944590652929,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7964588507663243,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,9836265128188008,!1]],[[59,cr.plugins_.Sprite.prototype.acts.Spawn,null,5070075422033582,!1,[[4,60],[5,[20,59,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[59,cr.plugins_.Sprite.prototype.acts.Destroy,null,4627148950887483,!1]]]]],[0,null,!1,null,5711234516584138,[[60,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,9113281529586908,!1,[[8,5],[0,[0,200]]]]],[[60,cr.behaviors.Bullet.prototype.acts.SetGravity,"Bullet",8746543989168439,!1,[[0,
[0,0]]]],[60,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xf1638f3915ea5,!1,[[0,[0,0]]]],[60,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4058e2ecf86d2,!1,[[1,[2,"broken"]],[3,1]]]],[[0,null,!1,null,8823958875751039,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7769401907914953,!1]],[[60,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc6157e04c7153,!1,[[4,36],[5,[0,0]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,788313738225497,!1,[[4,61],[5,[20,
60,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,60,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,60,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8471288737815457,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,7621480665511252,[[61,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x88a9afb4d3f9f,!1,[[4,34]]]],[],[[0,null,!1,null,0xa1e854d642d80,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x582b23c1fd645,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,4874286766881774,!1,[[11,"CurrentLvl"],[7,[0,8]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x591c3f449bc1d,!1,[[11,"ArmorMaker"],[7,[2,"active"]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xdc4eabf28f4dc,!1,[[1,[2,"AMsave"]],[7,[23,"ArmorMaker"]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xc62d4bc43fb72,!1,[[11,"Hammer"],[7,[0,10]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,5161578143674536,!1,[[1,[2,"Hsave"]],[7,[23,"Hammer"]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8139737895665704,!1,[[1,[2,"Lsave"]],[7,[23,"CurrentLvl"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x6fc8c986f10a3,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8775765953155179,!1,[[2,["winning",!1]],[3,0],[0,[0,0]],[1,[2,"win"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,966295902714277,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,8619801017547911,!1,[[1,[2,"bgs"]],[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xdffcb8163cd4,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,477582549868075,!1,[[1,[2,"win"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x48402acf9299e,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x6e46a64536f6b,!1,[[4,44],[5,[20,
40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,8681547735326608,!1,[[4,85],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,5952542744507435,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,9821598066900398,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,0xd421b965e7c54,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,
0,!1,!1,!1,391616478681324,!1,[[4,41]]]],[],[[0,null,!1,null,5898613745182866,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,9029270540484184,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6489e6852a1be,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,5990642532420757,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x55bbde297abba,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7883994776722884,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.RestartLayout,
null,0xf84512244c311,!1]]]]],[0,null,!1,null,0x75f22e18333b1,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xe19b1225be38d,!1,[[4,44]]]],[],[[0,null,!1,null,0x6b9d01bc17567,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,73972681414999,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6775389373176335,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,8705688382623135,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0xb0aa6f12275b,!1]],
[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xbaafdeec5574c,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xe33c4032fb4da,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x510337473af71,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5456490732707805,!1,[[1,[2,"win"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x6e86388682563,!1,[[6,"menu"]]]]]]],[0,null,!1,null,0x77ce560fcff82,[[28,
cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xa735978da04ed,!1,[[4,43]]]],[],[[0,null,!1,null,0xb90560d9ece1b,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,8229399137186917,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6771881574771097,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,6968959343884199,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,8026883110037374,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x8de89304925dd,
!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xbca2ec028afb4,!1,[[6,"stage8"]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7661943504385889,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9780302075486294,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x545097c38d099,!1,[[1,[2,"win"]],[3,0]]]]]]],[0,null,!1,null,0x5be7ebf2169b2,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,
!1,6131079884292533,!1,[[4,85]]]],[[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6740226879035058,!1,[[1,[2,"gActive"]],[3,1]]]],[[0,null,!1,null,6824322815604618,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,8145712843338048,!1]],[[85,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5132110637850307,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0xa4b0708f0c099,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x69b2073ab3e57,!1]],[[85,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,7140938522299743,!1,[[1,[2,"default"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc725f2b89f01d,!1,[[4,43],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[85,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9020605b86cf3,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x677498f64b071,!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,5968039919214872,!1],[24,cr.plugins_.Text.prototype.acts.Destroy,null,7842298583451866,!1],[23,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7578825790076165,!1]]]]],[0,null,!1,null,0x9aa4562868439,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,8221098345818269,!1,[[4,22]]]],[],[[0,null,!1,null,9990359680354640,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7469564760647645,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5723580395164545,!1,[[4,46],[5,[2,"dialogLayer"]],[0,[0,506]],[0,[0,325]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x7e4fcf17a2aa1,!1,[[3,1]]],
[-1,cr.system_object.prototype.acts.SetTimescale,null,5046279120046863,!1,[[0,[0,0]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xca8a221a12dbb,!1,[[4,42],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x3d17e9717c4eb,!1,[[4,41],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,9645662784773412,!1,[[4,44],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,4941801179680744,!1,[[0,[0,961]],[0,[0,-37]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6096628042850135,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7360597551031256,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6242402515168176,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xcb0506fda17b,!1,[[1,[2,"startsound"]],[3,0]]]]]]],
[0,null,!1,null,0xa7d1501cfb486,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,49076513363906,!1,[[4,42]]]],[],[[0,null,!1,null,6488539185593294,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0xb13a7b9fe6c11,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf704a9558956e,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,5656127822782865,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,5178815540066074,!1]],[[22,cr.plugins_.Sprite.prototype.acts.SetPos,
null,6316730912928365,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0xc014da0d9d339,!1,[[0,[1,1]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xdb4dcf8325053,!1,[[3,0]]],[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,6575986671375134,!1],[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x4210fd0692fbd,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,5799587758502258,!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x4183664cd6e0c,
!1],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xd0e1e2d98119,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7185987466212559,!1,[[1,[2,"bgs"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7010076345828487,!1,[[1,[2,"win"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5598937995081218,!1,[[1,[2,"startsound"]],[3,1]]]]]]],[0,null,!1,null,7563202886060264,[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8229897455240235,
!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9526546479769552,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,9949435220491792,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,848103244465169,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7718162153753216,!1,[[4,2],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],
[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,5988089031834104,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8841937518615787,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x69b6d10270b31,!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,null,5797156983343244,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xec50bc5d3d697,!1,[[11,"Wwork"],[7,[2,"on"]]]],
[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8287180871102484,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,4521407352996094,[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xec5fe49a14a49,!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8989910953588745,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,7959479531978265,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x69e17992c29a4,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xaab7771bc78b,!1,[[4,3],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x925b5f0d316b5,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,75392704396455,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6254731187151493,!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,null,7784767231118655,!1],[-1,cr.system_object.prototype.acts.SetVar,null,98790931053107,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6165980389419384,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,0x94f8fff5f1f5a,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x404887e50dbf8,!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,
!1,!1,9412145725998712,!1,[[11,"Hammer"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,0xb3810f6b8b795,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf16ef919e2370,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc5eba8b438d93,!1,[[4,56],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,5442117206305774,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,595717346765037,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,9783000653661548,!1,[[4,53],[0,[0,0]],[0,[0,0]]]],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x9d3f4a4cba069,!1,[[4,56],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x560d7c2ee598d,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9063547495315516,!1]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,9059889896527376,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,4847871729387657,!1],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,5914050831590436,!1,[[1,[2,"onwork"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xda497c1ea84de,!1,[[2,["workman",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x6634bc7a3f84a,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x71f24345154a,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,783104630534157,!1,[[11,"Hammer"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xce0bf3d45541,
!1,[[11,"Wwork"],[7,[2,"off"]]]]]]]]]],[0,null,!1,null,0xb2e7ab297e3a8,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xca64eaea60878,!1,[[11,"Wwork"],[8,0],[7,[2,"off"]]]]],[],[[0,null,!1,null,0xeb30a856197a8,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x62128fdd05a70,!1,[[0,[1,1]]]]],[[53,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x7044efe6fabc0,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,7862598577951154,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,6367956660608224,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xbc4b9ad4861d,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,7875901908589508,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,6296679748119437,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6761766538758264,
!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,8506978215295159,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb6d453a8ae1a8,!1,[[1,[2,"full"]],[3,1]]]]]]]]],[0,null,!1,null,6492678700602321,[[53,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7947950588142226,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6259290400573124,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,0xbcbb320eb7e43,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,5811274322296507,!1,[[4,52],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,8904680404378156,!1,[[4,32],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8588707373003339,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9229856873683834,
!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,0x3c331009fc805,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9786353301758688,!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,362950918562773,!1,[[11,"Hammer"],[8,2],[7,[0,10]]]]],[],[[0,null,!1,null,6380187499891785,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x68f001c86cd11,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,0x7456f6794eebd,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9d3fb263aec18,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,0xd80b5d7a763a3,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9298269320448404,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x93d637ea4374,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9717755634059106,!1,[[1,[2,"more"]],[3,1]]]]]]]]],[0,null,!1,null,0x4a44c69afe2ae,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xa513c63499971,!1,[[4,54]]]],[[54,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5769649701446951,!1,[[0,[0,600]]]],[54,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,7949257143042204,!1,[[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[54,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4902016133031655,!1,[[1,[2,"blast"]],[3,1]]]]],[0,null,!1,null,0xd3dd3892c6263,[[54,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xf9a0481b80d40,!1,[[4,23]]]],[[54,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x8949aa29d17fb,!1],[-1,cr.system_object.prototype.acts.AddVar,null,4780584410688091,!1,[[11,"Hammer"],[7,[0,1]]]],[23,cr.plugins_.Sprite.prototype.acts.Spawn,null,6724518809347277,!1,[[4,55],[5,[20,23,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[55,cr.plugins_.Sprite.prototype.acts.SetAngle,null,8597601069835936,!1,[[0,[19,cr.system_object.prototype.exps.random,[[0,360]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xf5d1a65bad3,!1,[[2,["hamercolision",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],["stage8Sheet",[[0,null,!1,null,5566054684353367,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,9476278416250180,!1]],[[79,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,7709929956927282,!1],[79,
cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0x39e33e9d8354e,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x73694fc86e3e9,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,0]],[1,[2,"startSound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7177936055999769,!1,[[1,[2,"openSound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,7434586459707574,!1,[[1,[2,"openSound"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,828231940069438,!1,[[11,"bgSound"],[7,[2,"off"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,6673659843401742,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x53a496759b823,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,9006905991375746,!1,[[1,[2,"win"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,7066290967444964,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xe1aa860d9c91e,!1,[[11,"CrBanana"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9606774895338388,!1,[[11,"BananaCD"],[7,[0,0]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,0x48040c4c9bd14,!1,[[11,"waveActive"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xa4f4568963441,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,650150462157706,!1,[[11,"skeleton2"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7993411106309922,!1,[[11,"skeleton3"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9576794681388624,!1,[[11,"skeleton4"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,7470082762673171,!1,[[11,"enemykill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xef9dd83a05ad4,!1,[[11,"wavepercent"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4754784077302908,!1,[[11,"wavecount"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7726000152297514,!1,[[11,"Awork"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x3c7afadcf577d,!1,[[11,"Wwork"],[7,[2,"on"]]]],[62,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,
4600820273113755,!1,[[10,0],[7,[0,10]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6821201013748098,!1,[[10,0],[7,[0,10]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,8208852272137782,!1,[[0,[0,961]],[0,[0,-37]]]],[21,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4774712074d79,!1,[[1,[2,"ws2"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x4507bc60454ef,!1,[[0,[0,0]]]]],[[0,null,!1,null,5901161624156539,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,6357003113103244,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4630003374611156,!1,[[4,30],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9335754667845828,!1,[[1,[2,"stage8"]],[3,1]]]]],[0,null,!1,null,0xbc2b13d82793d,[[45,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,0x613a74d668443,!1,[[1,[2,"Hsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7290900749599974,!1,[[11,"Hammer"],[7,[20,
45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Hsave"]]]]]]]]]],[0,null,!1,null,7766156730011853,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7462791042615652,!1,[[11,"bgSound"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,0xdd7375136585f,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5880683034321722,!1,[[0,[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x6d090c4659a1f,!1,[[11,"sound"],[7,[0,1]]]]]]]],[0,null,!1,null,5605641956979559,[[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9497344021549764,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,8488590217891717,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf40c610552766,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,4596509715732325,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,-15]],[1,[2,"bgs"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x417b318f5b6f5,!1,[[11,"sound"],[7,[0,25]]]]]]]],[0,null,!1,null,0x3cf093e89f947,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,0x4ab9fdc506ad7,!1,[[4,30]]]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,0xcd3d5f9e6f9dc,!1,[[0,[1,1]]]],[30,cr.plugins_.Sprite.prototype.acts.Destroy,null,5025747779655167,!1],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x5e90107791dbb,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,577642319478008,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc895e9141a397,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,9227040208907960,!1,[[11,"bgSound"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x8b7147b352f87,!1,[[11,"waveActive"],[7,[2,"on"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xe31cc19edd3de,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8133905478302545,!1,[[1,[2,"bgs"]],[3,1]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,4529997395695057,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x845f9d5cdaf4d,
!1,[[11,"sound"],[7,[0,25]]]]]],[0,null,!1,null,6307210129340738,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,485957192733933,!1]],[[26,cr.plugins_.TiledBg.prototype.acts.SetHeight,null,5406228829898562,!1,[[0,[23,"BananaCD"]]]],[47,cr.plugins_.TiledBg.prototype.acts.SetWidth,null,0x66d3896a078b4,!1,[[0,[23,"wavepercent"]]]],[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5994338722866788,!1,[[0,[0,10]]]],[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,646902629666012,
!1,[[0,[0,10]]]],[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,8222580475648625,!1,[[0,[0,10]]]],[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5370356170269877,!1,[[0,[0,10]]]],[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x8c956352c28b4,!1,[[0,[0,10]]]],[24,cr.plugins_.Text.prototype.acts.SetText,null,5735478235808861,!1,[[7,[23,"Hammer"]]]],[37,cr.plugins_.Sprite.prototype.acts.SetSize,null,5852561582065998,!1,[[0,[0,120]],[0,[0,120]]]]]],[0,null,!1,null,8258404635018848,
[[11,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,689464505179577,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5791192766601705,!1,[[0,[0,50]]]]]],[0,null,!1,null,5243531131374686,[[12,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0xcba4afcd360fc,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x954bb0d8f5bb1,!1,[[0,[0,50]]]]]],[0,null,!1,null,4829121530112983,[[13,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,9479804670592372,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,4515213102305283,!1,[[0,[0,50]]]]]],[0,null,!1,null,0x3a728e1055305,[[14,cr.plugins_.Sprite.prototype.cnds.PickDistance,
null,0,!1,!1,!0,8489311055559071,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5742667075092976,!1,[[0,[0,50]]]]]],[0,null,!1,null,8473568565285093,[[15,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,5312862499587109,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,
null,5703493535893149,!1,[[0,[0,50]]]]]],[0,null,!1,null,7539525321193645,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6039122268591656,!1,[[11,"CrBanana"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,0xfe03733b331d2,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x9ed4772293235,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xe710d800302,!1,[[11,"BananaCD"],[7,[0,5]]]]]]]],[0,null,!1,null,0x553a4681c5de3,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9103602461696800,!1,[[11,"BananaCD"],[8,5],[7,[0,65]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x9cff7a5a5b47e,!1,[[11,"CrBanana"],[7,[2,"off"]]]]],[[0,null,!1,null,849644626388613,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8825547473849363,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xc5c4b0d9fb4c4,!1,[[4,27],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,
!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7484881012541332,!1,[[4,32],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7790145026396603,!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x396497de19062,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,
null,8349370325159543,!1,[[11,"BananaCD"],[7,[0,0]]]]]]]],[0,null,!1,null,8634994117238071,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8059383296876361,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xf301c9ad29d0a,!1,[[4,11],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",9249233755125168,!1,[[3,0]]]],[[0,null,!1,null,0xe3c701adadd5f,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
0x9f926289ebf5c,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x3dcac552be308,!1,[[4,33],[5,[2,"1"]],[0,[0,50]],[0,[0,160]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,6590758051508735,!1,[[0,[20,11,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,11,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9341424274444412,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[11,cr.plugins_.Sprite.prototype.acts.Destroy,null,6257169711260317,
!1]]]]],[0,null,!1,null,4972641787475817,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x58324d6b02051,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7478125548429177,!1,[[4,12],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x7d485b34e3d02,!1,[[3,0]]]],[[0,null,!1,null,4790352660744616,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8804430169145454,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,8581602316584319,!1,[[4,33],[5,[2,"2"]],[0,[0,50]],[0,[0,256]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xdfab420061692,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x50c7f26ba4e0b,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[12,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xfa19df1df94b3,!1]]]]],[0,null,!1,null,0x9562e9a833f18,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,0x881f78486729d,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7123899850375106,!1,[[4,13],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",888249633251154,!1,[[3,0]]]],[[0,null,!1,null,396201976993852,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x654493a9b2fb8,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5421214413994614,!1,[[4,33],[5,[2,"3"]],[0,[0,50]],[0,[0,352]]]],[27,
cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6c9daff53fe03,!1,[[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,789410465836998,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,7398115988449663,!1]]]]],[0,null,!1,null,778994532453483,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,5756043232902109,!1],[27,
cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xe36ce6783be94,!1,[[4,14],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x4f5a7c6693345,!1,[[3,0]]]],[[0,null,!1,null,4565611602362898,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5219585408939611,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7099054016578604,!1,[[4,33],[5,[2,"4"]],[0,[0,50]],[0,[0,448]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,
768967611199548,!1,[[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9651675938922372,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,946447366877598,!1]]]]],[0,null,!1,null,298051275893797,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x6411cc3f24c61,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,5329172442330323,!1,[[4,15],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x4f367432ec5ec,!1,[[3,0]]]],[[0,null,!1,null,0x91c9cd5b9e6d,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7433010233302617,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9025733666178484,!1,[[4,33],[5,[2,"5"]],[0,[0,50]],[0,[0,544]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x839f9b7cc45d,!1,[[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5408767787794425,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x66dff47b1c8ed,!1]]]]],[0,null,!1,null,5592405607799348,[[33,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8316390746076545,!1,[[4,27]]]],[],[[0,null,!1,null,992999734435703,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,725097473104116,
!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8158931891677325,!1,[[4,0],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x981bb300ce85b,!1,[[4,32],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[33,cr.plugins_.Sprite.prototype.acts.Destroy,null,6455831836776284,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,5733559282363713,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,7637799547148567,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5756615322501611,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,5949508015917379,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7627165766981026,
!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5586637263790004,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",6870963270867733,!1,[[3,0]]]],[[0,null,!1,null,0xec962a6a45d32,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7009432737983826,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,5525116074006212,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xa3f794a7f7be3,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,7988891799973235,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,7676105850885806,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6485115736158763,!1,[[4,1],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,6708258304607896,!1],[-1,cr.system_object.prototype.acts.SetVar,null,7960897890121259,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,0x8ec2d62a5e07d,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,760745312401968,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x3a7771089dbf3,
!1,[[4,4],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,555948820255414,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4bd4df270ad52,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9425511800631214,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[4,cr.plugins_.Sprite.prototype.acts.Spawn,null,4992306140035395,!1,[[4,39],[5,[20,4,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[4,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4905545931852792,!1,
[[10,0],[7,[0,30]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,7554386591045618,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x58589d42dcd7f,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4610433434487676,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,7921540182002454,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x5acab006edd68,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9003001250590348,
!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0xadf470913b2ce,!1,[[3,0]]]],[[0,null,!1,null,600981419457231,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x39fde15bdb28d,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x8a1ab1f41ebc,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xae189d044ae41,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0x5b029aa690ed9,
!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,6578685909048574,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9738217063862568,!1,[[4,0],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,445329171699012,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xd505766adc6c4,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,294869496935633,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xcf9f8fa26aa40,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5198498763012164,!1,[[4,37],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xf9a2be4fce111,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,8308673475856033,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x4b46df68298be,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9320503110208928,!1,[[4,0],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x53c475bbb2189,!1,[[4,39],[5,[20,
37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[37,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x65bbae22b8f19,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,8597339393718018,!1],[-1,cr.system_object.prototype.acts.SetVar,null,8117905887577951,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,6881045239204683,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,0x510107de94433,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8281319692527079,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xc6adff9216f8e,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x81f80939e79df,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,869943583529513,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,8198272860636586,!1,[[4,39],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xb3d2868c48eea,!1,[[10,2],[7,[0,15]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,7179806445471274,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x8118c10011a86,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc83de28b52a55,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,4698846179369037,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xc0649fcd94ad3,
!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,4981657485124599,!1,[[4,3],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,4989029662234068,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd3c9f21d0e98c,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9852641483804696,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xaf5aaf5f9596e,!1,[[4,39],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,
null]],[7,[0,0]]]],[3,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7982140428279763,!1,[[10,0],[7,[0,20]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xad5fe9a032736,!1],[-1,cr.system_object.prototype.acts.SetVar,null,7820286340783994,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9148684664941932,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,9135135175968844,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,635035317149149,!1,
[[11,"wavecount"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x4951c4563731b,!1,[[11,"wavepercent"],[7,[0,50]]]]]],[0,null,!1,null,9384500733503824,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6954686765160775,!1,[[11,"wavecount"],[8,0],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xd1fc7256711f2,!1,[[11,"wavepercent"],[7,[0,100]]]]],[[0,null,!1,null,8718409156964369,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8112388421935275,
!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xaf658ce7693c,!1,[[4,61],[5,[2,"1"]],[0,[0,1065]],[0,[0,160]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xe78f71ecca2a3,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",9363443585098614,!1,[[0,[0,40]]]],[-1,cr.system_object.prototype.acts.Wait,null,8060137993092772,!1,[[0,[1,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xa2f75d539fd7a,!1,[[2,["monkeyspawn",
!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x3d349ee21c967,!1,[[4,61],[5,[2,"2"]],[0,[0,1065]],[0,[0,256]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6499205652589075,!1,[[0,[0,50]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x4f52ca8f84cd1,!1,[[0,[1,1.5]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7633897127890663,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,
6690140043519957,!1,[[4,61],[5,[2,"3"]],[0,[0,1065]],[0,[0,352]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x965d39007e4b,!1,[[0,[0,80]]]],[-1,cr.system_object.prototype.acts.Wait,null,5797680584909309,!1,[[0,[1,1.2]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xd40b50684d885,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9382503996997438,!1,[[4,61],[5,[2,"4"]],[0,[0,1065]],[0,[0,448]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",8265551109585093,!1,[[0,[0,60]]]],[-1,cr.system_object.prototype.acts.Wait,null,5751981536387365,!1,[[0,[1,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8109297663525719,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x40ecea5bbec64,!1,[[4,61],[5,[2,"5"]],[0,[0,1065]],[0,[0,544]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6466368297966849,!1,[[0,[0,80]]]]]]]],[0,null,!1,null,675797912300202,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,507854570418907,!1,[[11,"wavecount"],[8,0],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5580328329754578,!1,[[11,"wavepercent"],[7,[0,150]]]]]],[0,null,!1,null,0x70ab83644d65f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7312452606191491,!1,[[11,"wavecount"],[8,5],[7,[0,50]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9684773935962660,!1,[[11,"wavepercent"],[7,[0,200]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb13029297c840,!1,
[[11,"waveActive"],[7,[2,"off"]]]]]],[0,null,!1,null,4735281243430147,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6697047710587556,!1,[[11,"waveActive"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,6421581835236867,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5393234854354213,!1,[[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,7183543218075439,!1,[[11,"skeleton1"],[7,[0,1]]]]]],[0,null,!1,null,0x518d1e09df135,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8472338591019394,!1,[[11,"wavecount"],[8,5],[7,[0,6]]]]],[],[[0,null,!1,null,0xb794651968944,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xa5e484cbe5d90,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,5471635940377709,!1,[[11,"skeleton2"],[7,[0,1]]]]]]]],[0,null,!1,null,8282561900281403,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5068828322652818,!1,[[11,"wavecount"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,679263933542743,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,0xcbc6c978838ce,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,4924467543611126,!1,[[11,"skeleton3"],[7,[0,1]]]]]]]],[0,null,!1,null,6877750189399542,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x70eaf89b0e14,!1,[[11,"wavecount"],[8,5],[7,[0,20]]]]],[],[[0,null,!1,null,7239603122134683,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5227883744231781,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,7409634316561808,
!1,[[11,"skeleton4"],[7,[0,1]]]]]]]]]],[0,null,!1,null,0x89528f00613a5,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5110860441908003,!1,[[11,"skeleton1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,8375433967108044,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8937938193699819,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5083560798460384,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,8214234006160125,!1,[[10,0],[7,[2,"weeker"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x8776e5d16b71f,!1,[[10,3],[7,[0,7]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x579d0875ad0ed,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8142815722256809,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0xabc537017575e,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4967948466700653,!1,[[10,0],[8,0],[7,[2,"weeker"]]]]],
[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8033338244202764,!1,[[1,[2,"weeker"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x48ae092ea5bd2,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5515314256955746,!1,[[0,[0,10]]]]]],[0,null,!1,null,0xe7774f2a175,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x3df9569650790,!1,[[11,"skeleton2"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0x95a7bf344f5d8,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,7845153904937379,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7150912398827445,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9034350431339004,!1,[[10,0],[7,[2,"spider"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x3e2385eb2f498,!1,[[10,3],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,702164481554959,!1,[[11,"skeleton2"],
[7,[0,16]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6242357568992405,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,4740456534186613,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7737362761382389,!1,[[10,0],[8,0],[7,[2,"spider"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x88c56fd9a8728,!1,[[1,[2,"spider"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,779497348755326,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",9519409942804308,!1,[[0,[0,30]]]]]],[0,null,!1,null,6971583263603964,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9219931567830804,!1,[[11,"skeleton3"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,9823292075541246,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7818413183148911,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9465399816526394,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],
[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x4f84b55e6fbee,!1,[[10,0],[7,[2,"shielding"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xe569a3b5a1c6b,!1,[[10,3],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4884750267029427,!1,[[11,"skeleton3"],[7,[0,13]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x853513089b661,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0x4bd0337bd8f83,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,
!1,!1,!1,6792669290388471,!1,[[10,0],[8,0],[7,[2,"shielding"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7404437479274516,!1,[[1,[2,"shielding"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xb8a6e2063762e,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",8796843098170483,!1,[[0,[0,10]]]]]],[0,null,!1,null,0xcaa536235622,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x7350c72a8beff,!1,[[11,"skeleton4"],[8,0],[7,[0,
0]]]]],[],[[0,null,!1,null,0x9f312b2e73aa6,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7202054733609837,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x71b481e8f0d63,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7937023336641347,!1,[[10,0],[7,[2,"spartan"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9255660283966996,!1,[[10,3],
[7,[0,30]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8957240354446077,!1,[[11,"skeleton4"],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xcb8fdc145c007,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0x9d8e03391fa7c,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd8ccc26f61e03,!1,[[10,0],[8,0],[7,[2,"spartan"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4868760947559912,!1,[[1,[2,"spartan"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,8012268917470121,!1,[[10,1],[7,[0,3]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xcc5270a38a647,!1,[[0,[0,10]]]]]],[0,null,!1,null,0x877f4d58aabab,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7009236150928291,!1,[[4,16]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,4855234452617064,!1,[[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0x41e672dd085c4,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xa89caa3c4ddea,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x63f915cfdd4dc,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,4850545311054546,!1,[[5,[2,"1"]]]]]]]],[0,null,!1,null,0x568f7245245b1,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5357716174193056,!1,[[4,17]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc5735df69fa7e,!1,[[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],
[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0x9a8323c06a65b,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8480396559589403,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xf609a8449e00f,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,9750781601356142,!1,[[5,[2,"2"]]]]]]]],[0,null,!1,null,9603922098218184,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x5e534ac319232,
!1,[[4,18]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe48163f41cd80,!1,[[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0xe8c1816172613,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc3ecd51459f03,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xd6fe7091e8b36,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,9599077575164636,
!1,[[5,[2,"3"]]]]]]]],[0,null,!1,null,8737261345644146,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9330095709309572,!1,[[4,19]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,4678579122077983,!1,[[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0xd9ff9761c8f47,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x966c359ea94aa,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,
null,8165171502741977,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0xcc07eeae34be3,!1,[[5,[2,"4"]]]]]]]],[0,null,!1,null,8553963756505644,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x932c0ece54feb,!1,[[4,20]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x84ab463eceeb2,!1,[[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,
0x723451afc2f38,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8197329362747981,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x74f2184412d26,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,8873835579417261,!1,[[5,[2,"5"]]]]]]]],[0,null,!1,null,7678006052461837,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,767585537102978,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,7655548266768096,!1,[[10,0],[8,5],[7,[0,1]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,7329126537110416,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xca5b1a476672f,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[34,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7724365931648916,!1,[[10,0],[7,[0,1]]]],[34,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5892062333079966,!1,[[1,[2,"destroy"]],[3,1]]]]],[0,null,!1,null,
4824725098065223,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9269040020127092,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x9ebfccecd556d,!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,5393445833811578,!1,[[0,[4,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,80]]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,6117701571151193,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x4803ac7445286,!1,[[10,3],[7,[0,1]]]],[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x7ec71ac16d922,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xef0a35dc9dc67,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,8501814766659374,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xe2c1ce9dbc3c2,!1,[[10,0],[8,3],[7,[0,0]]]]],[],
[[0,null,!1,null,5232378927803971,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,518416566929728,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9715111974523442,!1,[[4,37],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,9105030790945004,!1,[[4,36],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,6001416241793237,!1]]]]],[0,null,!1,null,5283013638041719,[[0,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,9646540774930412,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,7985544976652225,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xafea33824524f,!1,[[10,0],[8,3],[7,[0,5]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4c81d645cc90d,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,
null,6101990656744504,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7514540945063128,!1,[[10,0],[8,5],[7,[0,6]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7298053857896824,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,8519808167750003,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xe2d2a07bb936f,!1,[[4,4]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x67a59cea6b87f,!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xf8dcd7bedaf80,!1,[[0,[4,[20,4,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,100]]],[0,[20,4,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,483955122282366,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8972890625851291,!1,[[10,3],[7,[21,4,!1,null,1]]]],[4,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6447092549067979,!1,[[10,0],[7,[21,
35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5891391574726992,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0xa1eed75425795,[[4,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5464576765992953,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7582175958966572,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4542666016358947,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7477007027377806,!1,[[4,37],[5,[20,
4,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,4,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,4,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[4,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x6e54b692d7455,!1,[[4,36],[5,[20,4,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[4,cr.plugins_.Sprite.prototype.acts.Destroy,null,4724559215852345,!1]]]]],[0,null,!1,null,4586174862810674,[[4,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,9605937326620924,
!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,7605849976491276,[[4,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6649459566342993,!1,[[10,0],[8,3],[7,[0,10]]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa4b168112f9e,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,8266612934801323,[[4,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb58eaf7c53052,!1,[[10,0],[8,5],[7,[0,11]]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4636595071895048,!1,
[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0xad85d7d190a49,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8461896938554985,!1,[[5,[2,"1"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5650681274182918,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,0xadd49b632b0e3,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9666473238791952,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8204485941074055,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
9193433900008984,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5932056405604605,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9995032179665060,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9d4314e183a87,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,285010690646868,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9204705454382548,!1,[[1,[2,"shoot"]],[3,
1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xd28641c631558,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,9692899354436224,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x521bb0937425b,!1,[[5,[2,"2"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,6014910538758124,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,6169071498799872,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x6f1e48f4976bd,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,6905430296210665,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xe00c8d4941833,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6646408218001038,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xd94bf6da0b9fd,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6523ed3e58ef1,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xca4f18844a8c0,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,9191525309454122,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x48c6f52f47d2a,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0x9b80c372722bd,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,4576124799718698,!1,[[5,[2,"3"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xc6b6c8f40aaef,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,0x6a75fead0acc,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9794773801236236,!1,[[0,[1,
1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x975bdaec42287,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,6276245480123737,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9914707361436580,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,610743259654585,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7122816933815259,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,9201964833852012,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6216957500427696,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xf1a23d152a906,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0x4e99b5128d7b2,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xc0b70faa1d39a,!1,[[5,[2,"4"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9467392184060576,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,944043510569011,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,0x650ad2e21e861,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6198514240444004,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xf2b6b9034d08,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd508841ff3ebd,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6858346398367591,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5eebde35f1c2a,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,8486214529410525,!1,[[4,38],[5,
[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5722668923537535,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,61927690834743,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,6994675033196369,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,6660473442178491,!1,[[5,[2,"5"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,6824456544219341,!1,[[5,[2,"5"]]]]],[],
[[0,null,!1,null,0x8038993d12921,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xb889ffe40f3eb,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7002273656650169,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x9dd1ac6b0a192,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6071982183057484,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x6f45b0dc13288,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6116533384238128,!1]],[[1,
cr.plugins_.Sprite.prototype.acts.Spawn,null,568573432015377,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4828015042480839,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xea3a90d8e126d,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,8065253714046385,[[1,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,7242987964649406,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,
null,0x3dcc164272be0,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x5730b1e0e969b,!1,[[10,1],[8,3],[7,[0,4]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8786784678433012,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,5820574898940842,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8817423410383187,!1,[[10,1],[8,5],[7,[0,5]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd1b1d68356fcf,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,
7575522741607911,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6482415527302187,!1,[[4,38]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xfc959ace07044,!1,[[10,3],[7,[0,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,7844221376959333,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[38,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x8b8e1de2ed235,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,9725799883558684,
!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,8716198533282471,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xcf84d260fe433,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xca8567316534f,!1,[[0,[0,0]]]]],[[0,null,!1,null,4686197461556168,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x955c84123b009,!1,[[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,6200403122415151,!1,[[4,
36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9698868017126940,!1,[[10,1],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,478484891300445,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6189956677277284,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x3fce5fbad7115,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5194794305597531,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb5d80f3a7e1fc,!1,[[4,37],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,754603197715356,!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9477886272821552,!1]]]]],[0,null,!1,null,0x6eb1a0e48e309,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9127145777398458,!1,[[5,[2,"1"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8503715921955325,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,4990686160789796,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x811e6b9943877,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xa0abce29740c,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
9582427199787378,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xbb97b609690b7,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6817637295377763,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x61c6c9ffb50ae,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x952b9b5efc792,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",599160274841102,!1,[[0,[0,
-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6c8f052b894e4,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6266795373879295,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0xb1e84f820b0b1,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7375478837466288,!1,[[5,[2,"2"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xa2acf802b7066,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,5703736748022262,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,0x6ac5312b08790,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9087951524772468,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,4539665166346615,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xbe14724690948,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9405005689132812,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7913278858494489,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,6258678139682396,!1,[[4,48],
[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",5969740740797489,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6962473272657996,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xe43ceb8a1029a,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0xad606a2ca6379,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7830966687209798,!1,[[5,[2,"3"]]]],
[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x8ad5200f02ec3,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,449552755224737,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,844049842196227,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xa020c3922abac,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x6945788ecd924,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4628609292888221,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xaab76850a88c9,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7321461742264718,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,4724807949794363,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0xb57c57bbf8605,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x619e4be96b68f,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xa96086a61edc1,
!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,5622206083558408,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x754d6a5f1b493,!1,[[5,[2,"4"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xabb1a786a1135,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,0x43e0b1062b676,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,794013591763132,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x7f90d1dcc0660,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
6571367710726419,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9297118538093942,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5520877383079962,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,418992203209696,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,5581039776821876,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",9571999870682304,!1,[[0,
[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x97e36a592a175,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6216027680417219,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0x7550317505c01,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5419059055356243,!1,[[5,[2,"5"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8598075225720793,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,6598388493839338,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,8003040779266677,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x5e58f76f733d5,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,4877649812806944,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xf8e4ca2d85b81,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,739359406096538,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf52db3f926f92,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,5568703804405762,!1,[[4,48],[5,
[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",544836918257151,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6183643706922032,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5054037002990991,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,8430430343377672,[[50,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,479044590586416,!1]],[],[[0,null,
!1,null,6071864996782028,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5880432994597667,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7126587693675105,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,9516367560506436,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xe865b4fdd8775,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xef4ff42c4a8cf,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7060221976941934,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x54048e000655a,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0x7628b4a979d5,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6148769712306001,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,541300844697531,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,9211230333764616,[[2,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,
!1,7041141849109086,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,5275454997432885,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x4f61f4b96dd24,!1,[[10,2],[8,3],[7,[0,7]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x5f380fc85968d,!1,[[1,[2,"fall"]],[3,1]]]]],[0,null,!1,null,0x3c2e8dad4299d,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6343256365905194,!1,[[10,2],[8,5],[7,[0,8]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6089632582190722,
!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,9485207393411798,[[48,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,9586412990429456,!1,[[8,5],[0,[0,640]]]]],[[48,cr.plugins_.Sprite.prototype.acts.Spawn,null,5494858222233943,!1,[[4,49],[5,[20,48,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x5432af2a2e678,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x862af85c15b3d,!1,[[2,["dragdrop",!1]],[3,0],
[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,9947799940369946,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6832251835577518,!1,[[4,48]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8056697498335829,!1,[[10,3],[7,[21,2,!1,null,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,8602851032604632,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x566617bbbe788,!1],[29,cr.plugins_.Audio.prototype.acts.Play,
null,9845922760488456,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0x957a05eab83af,[[48,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8325372679638323,!1,[[4,50]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8671339058427906,!1,[[10,0],[7,[21,2,!1,null,1]]]],[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,4584690665432195,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x6c84faf522b43,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,57491444736397,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0x8032dcf1776e8,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,4584762878363136,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",8879056248064923,!1,[[0,[0,0]]]]],[[0,null,!1,null,0x40379aaf5ce58,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xaf7300e188bc3,
!1,[[0,[0,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x7c230507b682d,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5811740635797631,!1,[[10,2],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,7554811396105643,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4702971063953491,!1,[[10,2],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7687982037089821,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xb13e48888986e,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x63e0a5e4fdf37,!1,[[4,37],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xb44fc811616a3,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,2,
cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[2,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc9354e5ffeff3,!1]]]]],[0,null,!1,null,7554125609268075,[[50,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,0xb576245efe7e9,!1,[[8,5],[0,[0,100]]]]],[],[[0,null,!1,null,7779028496568265,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6329274379166315,!1,[[0,[1,1]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x8eac88ad8bfac,!1,[[10,1],[7,[0,1]]]]]]]],
[0,null,!1,null,5826196247805566,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9826084191593848,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5884004361871822,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7755093348769203,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,809591120187019,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x5e251826de4c7,!1]]]]],
[0,null,!1,null,0xf74cb8675cd4e,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4716916296726363,!1,[[10,0],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,596574398529935,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8604519904357133,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,555991242201974,!1,[[4,54],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,0xd72566bdb29cb,[[50,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,
null,1,!1,!1,!1,4737216555749937,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,9479315828339736,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,0xf4ae03c561351,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x6ff68c167d7f7,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xe7edbd48d0894,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4086543886253,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,4719946635621133,!1,[[4,51],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6590829780702029,!1,[[1,[2,"shoot"]],[3,1]]],[51,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,7788229295703208,!1,[[0,[20,86,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,86,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6833158463552926,!1,[[10,1],[7,[0,5]]]]]]]],[0,null,!1,null,8282255102800807,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,
0,!1,!1,!0,953135299889748,!1,[[4,2]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7956131351734289,!1,[[10,2],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,9646553107597268,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,624287791829091,!1]]],[0,null,!1,null,21130464508011,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7350979420001845,!1,[[4,1]]]],
[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xa888d36f7370f,!1,[[10,1],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,8285455945214641,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,8469273998029964,!1]]],[0,null,!1,null,0x410432a7ae3b8,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8148378260081259,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,7012504019222287,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,7570017551213771,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xfedda6b3b8f81,!1]]],[0,null,!1,null,0x87240108e2f6b,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9311331229179200,!1,[[4,3]]]],[[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xe31a97ba81b27,!1,[[10,0],[7,[21,
50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,9768641081802246,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x392c7a4633d10,!1]]],[0,null,!1,null,6788513856361912,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6962165986530334,!1,[[4,4]]]],[[4,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5059130702035229,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x3f01aef0c5a4a,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,513291609195133,!1]]],[0,null,!1,null,0x78418e7e613b7,[[50,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0x5d5cebdbbb8b5,!1,[[1,[2,"shoot"]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4e04801cb37c6,!1,[[1,[2,"idle"]],[3,1]]]]],[0,null,!1,null,0x5cca61ab7c9de,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,
null,0,!1,!1,!1,4690164780445999,!1]],[],[[0,null,!1,null,0x54fc3193340c5,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9668263793438404,!1,[[0,[1,1]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x427486faf8467,!1,[[10,1],[7,[0,1]]]]]]]],[0,null,!1,null,0x852348cbf63f2,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7599657884386607,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xf24730950a347,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5928073691980404,!1]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8981212640865887,!1,[[1,[2,"shoot"]],[3,1]]],[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,5203706456273973,!1,[[4,58],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[58,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xc3b7d9216eaa,!1,[[0,[20,35,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,35,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[3,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0x80a8de16295c5,!1,[[10,1],[7,[0,3]]]]]]]],[0,null,!1,null,7398736720476591,[[3,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,8154803198898964,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,7114875084821369,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6353209137429477,!1,[[10,0],[8,3],[7,[0,10]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6574519134fcb,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,7909992223697783,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,5306670076244961,!1,[[10,0],[8,5],[7,[0,11]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5659826668456918,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0xa2c827fbe7260,[[58,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x580ad208bddf1,!1,[[4,35]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xda6167d1a48e4,!1,[[10,3],[7,[21,3,!1,null,2]]]],[58,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x863bbaba03830,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,
null,5480798495399919,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5128797302058628,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,842521087924153,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x82c08089fe5a5,!1,[[4,3],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",7409272092331941,!1,[[0,[0,0]]]]],[[0,null,!1,null,0xb52a9de7e94eb,
[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8834642817953265,!1,[[0,[0,1]]]]],[[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,7035679807648553,!1,[[4,36],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,667777776286485,!1,[[10,0],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,0x791a5be2c8fe8,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4567696060661777,!1,[[10,0],[8,3],[7,[0,
0]]]]],[],[[0,null,!1,null,9962044220071862,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6127376368531689,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5100012576259208,!1,[[4,37],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5255068295099899,!1,[[4,36],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[3,cr.plugins_.Sprite.prototype.acts.Destroy,null,8946626955157935,!1]]]]],[0,null,!1,null,9616348064393972,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8305067738391605,!1,[[10,3],[8,3],[7,[0,0]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,8376083462963122,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,945269235095173,!1,[[2,["enemydie",
!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,6516348755456549,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4570111951519823,!1,[[10,3],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,0xaf69735a30c51,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xdc2481654b3e0,!1]],[[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe4f750915b84f,!1,[[4,54],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,0x97a08d2f44f4a,
[[35,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,8028318913072225,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,8750428960976241,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,0xc5ef6fa5c110b,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x7d79ba59444c9,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4910615880217131,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xca4207ac753bf,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,9534728910396132,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xfa2203a312ee0,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5882715608181984,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9126095123023242,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x57436407090bb,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x6b52eccb0f3d0,
!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8407199937890877,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,9700836873183836,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,8347106510310742,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,
null,6235600757844771,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,7270131777409818,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,6502528176886855,[[50,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,0x65b07d3e4905a,!1]],[],[[0,null,!1,null,6929133794414037,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5e093e10d396a,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xf7962fb752072,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,0x641e97323bc6f,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8773679503349157,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,6246020575716951,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8107152179469928,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x5e790cc52823a,!1,[[1,[2,"lose"]],[3,1]]],[40,
cr.plugins_.Sprite.prototype.acts.Spawn,null,9959316168863452,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,9965034427901588,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa624b6a8dfc8e,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0xd8d2b55261380,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,
0xb8ce1de479e7b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc84b2116c9951,!1,[[11,"enemykill"],[8,5],[7,[0,50]]]]],[],[[0,null,!1,null,9190051725151566,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8107063608706435,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,5196849111275106,!1,[[11,"CurrentLvl"],[7,[0,9]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6150812613398865,!1,[[11,"Hammer"],[7,[0,10]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,9466691084530068,!1,[[1,[2,"Hsave"]],[7,[23,"Hammer"]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8167490877582559,!1,[[1,[2,"Lsave"]],[7,[23,"CurrentLvl"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,8971965424391713,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xdd18920364b38,!1,[[2,["winning",!1]],[3,0],[0,[0,0]],[1,[2,"win"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7845492398125214,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,0x9bea58ec3a201,!1,[[1,[2,"bgs"]],[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4663266727204518,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8237372042295595,!1,[[1,[2,"win"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,8692064459369005,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x3cd913d1e184c,!1,[[4,44],[5,
[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,7481507216017021,!1,[[4,43],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,6594334441296373,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,7548396109739125,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,4975314711212444,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,4960390284802479,!1,[[4,41]]]],[],[[0,null,!1,null,8628921310924706,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,6996089760885187,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xff93d2c0d848e,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,6070505831166211,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,8363386968420301,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,649268716434123,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.RestartLayout,
null,0xb0c376f4d14a8,!1]]]]],[0,null,!1,null,0x50d9d3aec79c7,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5059679830981891,!1,[[4,44]]]],[],[[0,null,!1,null,0x95c7d938a6e65,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,7412062955233999,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcbdbdbef5153e,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0x4b1193079cdd8,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,7918446192471486,!1]],
[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8963976074175598,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9132520491122054,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x6f8beb3a455d8,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5642279991596751,!1,[[1,[2,"win"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6447890495274834,!1,[[6,"menu"]]]]]]],[0,null,!1,null,8720052517364108,
[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xb2043b59cdc28,!1,[[4,43]]]],[],[[0,null,!1,null,0x3c04aca2b1cdb,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,6799924801817392,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6397732778456044,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0xf8a1672c7d97f,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,8776548511534616,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xafdc70d5d952d,
!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8241380951435086,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x8460dd1ecbf42,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xfab37ffccebd,!1,[[1,[2,"win"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6518772928612734,!1,[[6,"stage9"]]]]]]],[0,null,!1,null,6935405137971766,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,
!1,5150629673495149,!1,[[4,22]]]],[],[[0,null,!1,null,4764788074441424,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,908694621464249,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xf64dda8123e83,!1,[[4,46],[5,[2,"dialogLayer"]],[0,[0,506]],[0,[0,325]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x6730bc40eed75,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,482147667646805,!1,[[0,[0,0]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,
9538049039777472,!1,[[4,42],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,9167279468382646,!1,[[4,41],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xbd71be80d8a92,!1,[[4,44],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,6193242291229821,!1,[[0,[0,961]],[0,[0,-37]]]],
[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6017777370099561,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8923896572407884,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5067796165895293,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7472669171687752,!1,[[1,[2,"startsound"]],[3,0]]]]]]],[0,null,!1,null,0xfaca699b50a55,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xae2cf8825e27d,
!1,[[4,42]]]],[],[[0,null,!1,null,294008968802684,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0x9c31d8a4add63,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x626c94e1b01e1,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,7485798633653084,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,677428070847796,!1]],[[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,6971684956217184,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,
null,5140190296797981,!1,[[0,[1,1]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x580fef772bf4d,!1,[[3,0]]],[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,740336358409366,!1],[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb6793091168a5,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,395445218282463,!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x969ea95bff3bf,!1],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,837820932326789,!1,[[1,[2,"fx"]],[3,1]]],[29,
cr.plugins_.Audio.prototype.acts.SetMuted,null,0xb0be9bf2ffee5,!1,[[1,[2,"bgs"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5457294878399507,!1,[[1,[2,"win"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xdf0254a20eb94,!1,[[1,[2,"startsound"]],[3,1]]]]]]],[0,null,!1,null,0x642b0cf38529a,[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9549884011013716,!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xbdcac41af3b79,
!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,9833057599273494,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,948964639813867,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8153395977323513,!1,[[4,2],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,6369355083423026,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x7b5a8d17ad7d9,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,6945682621019365,!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xa95162546dac7,!1],[-1,cr.system_object.prototype.acts.SetVar,null,5586483559902043,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xcba5fafc18392,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,0x98b56a64ddd39,
[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,6893084029329045,!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xec60711b554da,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x9a3f44d929403,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9128158940301328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xc7aea96b231ac,!1,[[4,3],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8865dbb2cee94,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7693747533828798,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xfc08b42d08158,!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,null,8066370703325939,!1],[-1,cr.system_object.prototype.acts.SetVar,
null,0x74dcb8258450d,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7913636794861999,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,0xbabf055575112,[[63,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,6250555748903949,!1],[63,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,709217754579406,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xa72f128322511,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,
!1,5836894498578449,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5730897799240423,!1,[[4,4],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,9629459078789196,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6182341285694294,!1,[[2,
["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,5226663765104673,!1],[63,cr.plugins_.Sprite.prototype.acts.Destroy,null,8480147459588303,!1],[-1,cr.system_object.prototype.acts.SetVar,null,9798969003349798,!1,[[11,"Awork"],[7,[2,"on"]]]],[62,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x3b9dcee806c72,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,9785672715243176,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x7b9afdd0fb798,
!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x59a080e068549,!1,[[11,"Hammer"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,988881511596513,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4679682237879457,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,8290432066861786,!1,[[4,56],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,5533097848850422,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,9434554238970364,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9367319045774294,!1,[[4,53],[0,[0,0]],[0,[0,0]]]],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,328254714164817,!1,[[4,56],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,6252741437456556,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb1e8b86f1f4c6,!1]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x474875bfb2cfa,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9189182922395588,!1],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7530077379684679,!1,[[1,[2,"onwork"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9501621473924916,!1,[[2,["workman",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8658219244096332,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.Wait,null,6880108406820097,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7156529817351284,!1,[[11,"Hammer"],
[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7636819496588389,!1,[[11,"Wwork"],[7,[2,"off"]]]]]]]]]],[0,null,!1,null,7263646246560377,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa2f955abddfc9,!1,[[11,"Wwork"],[8,0],[7,[2,"off"]]]]],[],[[0,null,!1,null,8187674850361836,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8526975306418112,!1,[[0,[1,1]]]]],[[53,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9557726923692002,!1,[[10,0],[7,[0,1]]]]]],
[0,null,!1,null,8206414598585229,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,6561331825011073,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xc0a49c68977b6,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,8802829098495446,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,0xecbd60b45b129,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe001a78fdb51d,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,7286144862074393,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,997457243847264,!1,[[1,[2,"full"]],[3,1]]]]]]]]],[0,null,!1,null,0xb25903883da6b,[[53,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5527128578239475,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,
!1,null,0xf4a1a56aa9b58,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8349712672778159,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,9534236911182792,!1,[[4,52],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,9455123001997256,!1,[[4,32],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8507691658205035,!1,[[1,[2,"default"]],
[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x82a350293c090,!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,0x401782a3d1183,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7437632556637306,!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8ee278c9e8492,!1,[[11,"Hammer"],[8,2],[7,[0,10]]]]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x7a72dd019c02a,!1]],[[0,null,!1,null,0x4a82e50889cda,
[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7173871821027628,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5481014602352687,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb17a76affc79e,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,0xe9b7b14d2a70b,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,6759517181311271,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,4706820989758128,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,50966576628792,!1,[[1,[2,"more"]],[3,1]]]]]]]]],[0,null,!1,null,8919332831430396,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7982289890470027,!1,[[11,"Awork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,4882810346420205,!1,[[11,"Hammer"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,0xd8303ff75b44e,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6588383365582484,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,6448256109348441,!1,[[4,56],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,5004566312922549,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x3ee8a93f68db3,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,6876075003090081,!1,[[4,62],[0,[0,0]],[0,[0,0]]]],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8725734422764458,!1,[[4,56],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,915744417106576,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd48cf52854553,!1]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,475451313856811,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,5774428282210384,!1],[62,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x406f62f7da0e6,!1,[[1,[2,"onwork"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x6c423f51a777c,!1,[[2,["workman",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8658184373789117,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.Wait,null,6374878800331318,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7308022961206542,!1,[[11,"Hammer"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6080441196897609,
!1,[[11,"Awork"],[7,[2,"off"]]]]]]]]]],[0,null,!1,null,669525145774549,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8069682126460231,!1,[[11,"Awork"],[8,0],[7,[2,"off"]]]]],[],[[0,null,!1,null,6242748431500216,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x8e97bba4af0e0,!1,[[0,[1,1]]]]],[[62,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x4df230bc7106a,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x7321b4793c864,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,8435571547194345,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x9717df038821,!1,[[4,62],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7ce14d7c017d8,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,7151740678431915,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5134283313593101,
!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,8588041787790234,!1,[[4,57],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8325617566929654,!1,[[1,[2,"full"]],[3,1]]]]]]]]],[0,null,!1,null,0xe1c9d6117f98f,[[62,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x630862688c440,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8151901451170334,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,0xf8e67b4d9e81,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,7278144555117727,!1,[[4,63],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,4668025498280846,!1,[[4,32],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[62,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4675036457256314,!1,[[1,[2,"idle"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,357794216339417,!1,[[2,
["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,5691633256389983,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8548497bf6122,!1,[[11,"Awork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5631544014433439,!1,[[11,"Hammer"],[8,2],[7,[0,10]]]]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,6259612791160227,!1]],[[0,null,!1,null,6403255240383991,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,
4766223736767074,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6425924003885609,!1,[[4,62],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,885993059990395,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,5180315393504237,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6865937361306514,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x49aa0dbe27c4f,!1,[[4,57],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7013113609489714,!1,[[1,[2,"more"]],[3,1]]]]]]]]],[0,null,!1,null,0x750d4b287de02,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5747058665472636,!1,[[4,54]]]],[[54,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xb91d1815e541,!1,[[0,[0,600]]]],[54,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xe7f790f7291ff,
!1,[[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[54,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x51b19a7a7106d,!1,[[1,[2,"blast"]],[3,1]]]]],[0,null,!1,null,0x8c7ac3eb63800,[[54,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6993811796232591,!1,[[4,23]]]],[[54,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x884125f565a35,!1],[-1,cr.system_object.prototype.acts.AddVar,null,0x60df5a674a2b4,!1,[[11,"Hammer"],[7,
[0,1]]]],[23,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xcd6fb12dd1a64,!1,[[4,55],[5,[20,23,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[55,cr.plugins_.Sprite.prototype.acts.SetAngle,null,557255579909395,!1,[[0,[19,cr.system_object.prototype.exps.random,[[0,360]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7103600726667,!1,[[2,["hamercolision",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],["Stage9Sheet",[[0,null,!1,null,0xcb8468697d33e,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,0x9e92015264897,!1]],[[79,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0xc7d93006416e9,!1],[79,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,6611596615118562,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8417124048876752,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,0]],[1,[2,"startSound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x404462c544bfd,!1,[[1,[2,"openSound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,0x479e6252de1f9,!1,[[1,[2,"openSound"]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,5744675714483678,!1,[[11,"bgSound"],[7,[2,"off"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6533439968460623,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9674043535881468,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,9490313238196472,!1,[[1,[2,"win"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,5166616674090346,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,
5945615544663407,!1,[[11,"mission"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8876552535165763,!1,[[11,"getArmor"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6611868169938633,!1,[[11,"CrBanana"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8290362555096319,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9cd6e0cb39ec9,!1,[[11,"waveActive"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7071702913009142,
!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xa808e3c633d87,!1,[[11,"skeleton2"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7845744369039927,!1,[[11,"skeleton3"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9cb933e9b7cd9,!1,[[11,"skeleton4"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7131162383326733,!1,[[11,"skeleton5"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5997471627777805,!1,[[11,
"skefly1"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,685758451844078,!1,[[11,"enemykill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7201811226060784,!1,[[11,"wavepercent"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9162354443251642,!1,[[11,"wavecount"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xe2a057b104b37,!1,[[11,"Awork"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9087750032199152,!1,[[11,"Wwork"],[7,[2,
"on"]]]],[62,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xb65fb2e93744d,!1,[[10,0],[7,[0,10]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8960782417672832,!1,[[10,0],[7,[0,10]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,379490150877656,!1,[[0,[0,961]],[0,[0,-37]]]],[21,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6451906000827965,!1,[[1,[2,"ws3"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,7224608166909225,!1,[[0,[0,0]]]]],[[0,null,!1,null,
0xc08ce5900be67,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xdd9f075009249,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6327781640822917,!1,[[4,30],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x5f214ffcd987,!1,[[1,[2,"stage9"]],[3,1]]]]],[0,null,!1,null,9777593753946464,[[45,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,6796850230829676,!1,[[1,[2,"Hsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,5286548355590812,!1,[[11,"Hammer"],[7,[20,45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Hsave"]]]]]]]]]],[0,null,!1,null,0xac8bf062128b8,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe1ef6e954deb1,!1,[[11,"bgSound"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,8240019491574441,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8229361082219499,!1,[[0,[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,5142819387373814,!1,[[11,"sound"],[7,[0,
1]]]]]]]],[0,null,!1,null,8056142984598605,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8799765398460883,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,4700969421748565,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x45c49992c6a0a,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x6efd183661f2e,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,-15]],[1,[2,"bgs"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x3c6f2a5bd5fdd,!1,[[11,"sound"],[7,[0,25]]]]]]]],
[0,null,!1,null,6689191771133008,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,8212055401049836,!1,[[4,30]]]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,0xd08eb834ac46f,!1,[[0,[1,1]]]],[30,cr.plugins_.Sprite.prototype.acts.Destroy,null,8146909545117979,!1],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,6289999425486447,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xf08073791888,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,6641988092393091,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x3d77e5bd3ed38,!1,[[11,"bgSound"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,51603254622917,!1,[[11,"waveActive"],[7,[2,"on"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8098805487772448,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,4681101180149637,!1,[[1,[2,"bgs"]],[3,1]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xcc6fb8549a81f,
!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xdea247953fd15,!1,[[11,"sound"],[7,[0,25]]]]]],[0,null,!1,null,9705280990158540,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,0xec4ff5bc7b3f1,!1]],[[26,cr.plugins_.TiledBg.prototype.acts.SetHeight,null,9075968746239668,!1,[[0,[23,"BananaCD"]]]],[47,cr.plugins_.TiledBg.prototype.acts.SetWidth,null,8451439505158539,!1,[[0,[23,"wavepercent"]]]],[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xf036657f9d0fb,
!1,[[0,[0,10]]]],[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,7185983146539151,!1,[[0,[0,10]]]],[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x913001835b3d6,!1,[[0,[0,10]]]],[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,895630152444605,!1,[[0,[0,10]]]],[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,7360931227307334,!1,[[0,[0,10]]]],[24,cr.plugins_.Text.prototype.acts.SetText,null,4959230388509644,!1,[[7,[23,"Hammer"]]]],[37,cr.plugins_.Sprite.prototype.acts.SetSize,
null,0xabd5b700b88d9,!1,[[0,[0,120]],[0,[0,120]]]]]],[0,null,!1,null,9314465282140088,[[11,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,7166698463426314,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5154261945523551,!1,[[0,[0,50]]]]]],[0,null,!1,null,0xf05f0af6b0e13,[[12,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0x56b75a9445ac4,
!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,8436174522061545,!1,[[0,[0,50]]]]]],[0,null,!1,null,8990266527552291,[[13,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,6836425015329439,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,
null,8225201809730716,!1,[[0,[0,50]]]]]],[0,null,!1,null,0x7229f663e5440,[[14,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,9335540857206294,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xa800cd3037085,!1,[[0,[0,50]]]]]],[0,null,!1,null,0x7e971bf6622a2,[[15,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,8875224623530751,!1,[[3,0],[0,
[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,9190885925368684,!1,[[0,[0,50]]]]]],[0,null,!1,null,7597087923480999,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4707978264908403,!1,[[11,"CrBanana"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,0x8d0730021ecfb,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6920391867714834,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,6047620120496424,!1,[[11,"BananaCD"],[7,[0,5]]]]]]]],[0,null,!1,null,661352489811154,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x7e0f1ea95019f,!1,[[11,"BananaCD"],[8,5],[7,[0,65]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9631251941524956,!1,[[11,"CrBanana"],[7,[2,"off"]]]]],[[0,null,!1,null,0x501a097aee50e,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9347792117430076,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6025427557256233,
!1,[[4,27],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8705266325008223,!1,[[4,32],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xfed2b2b84e39,!1,[[2,["bananadrop",
!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0xd3d5864003806,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,8159106911693194,!1,[[11,"BananaCD"],[7,[0,0]]]]]]]],[0,null,!1,null,0x89d8dad2bff2e,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,5146040512452437,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xa76fd497abdbc,!1,[[4,11],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
"DragDrop",0xfc98dfe3cc609,!1,[[3,0]]]],[[0,null,!1,null,0x9dd8a7b682f41,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9297704677606812,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5270340417729037,!1,[[4,33],[5,[2,"1"]],[0,[0,50]],[0,[0,160]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,5120616701348154,!1,[[0,[20,11,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,11,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,538610545925799,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[11,cr.plugins_.Sprite.prototype.acts.Destroy,null,990644822349012,!1]]]]],[0,null,!1,null,0xde51989f0fe59,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,5156915419093228,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,889309610717953,!1,[[4,12],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",8379605664982812,!1,[[3,0]]]],[[0,null,
!1,null,7965805590051477,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x7c4e1a74485fb,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6121508218159954,!1,[[4,33],[5,[2,"2"]],[0,[0,50]],[0,[0,256]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,9947456866550628,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xea9f9d2e42e43,!1,[[2,["dragdrop",!1]],
[3,0],[0,[0,0]],[1,[2,"fx"]]]],[12,cr.plugins_.Sprite.prototype.acts.Destroy,null,5405840981833983,!1]]]]],[0,null,!1,null,0x5b95b7fae789d,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9604700709877664,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8632709419497479,!1,[[4,13],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",439039215715631,!1,[[3,0]]]],[[0,null,!1,null,984875729397564,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,8126509650099132,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x7a546e06687f,!1,[[4,33],[5,[2,"3"]],[0,[0,50]],[0,[0,352]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc762b2f7496e8,!1,[[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,929260691329127,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[13,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x4349e0680821d,!1]]]]],[0,null,!1,null,9483560385973988,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9288968747578226,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9100305645060524,!1,[[4,14],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",4995052151541464,!1,[[3,0]]]],[[0,null,!1,null,6840174603235349,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xcadae87f945e1,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,6988078447388864,!1,[[4,33],[5,[2,"4"]],[0,[0,50]],[0,[0,448]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,8962515872245429,!1,[[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x5cf623f86a725,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,746531512518339,!1]]]]],[0,null,!1,null,0xffec491b42457,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,824383410652533,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x40dcc907a3053,!1,[[4,15],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",599028503208875,!1,[[3,0]]]],[[0,null,!1,null,0x9e8ea5b823e0e,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9071372834811636,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9603405166920080,!1,[[4,33],[5,[2,"5"]],[0,[0,50]],[0,[0,544]]]],[27,
cr.plugins_.Sprite.prototype.acts.SetPos,null,6802541321150449,!1,[[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,95320423039726,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,1288203915958,!1]]]]],[0,null,!1,null,0x851cc7fed5842,[[33,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9393512373146668,!1,[[4,27]]]],
[],[[0,null,!1,null,339506422379861,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8660573065660554,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5721678841976414,!1,[[4,0],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4678553575417249,!1,[[4,32],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[33,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x67193d1a6c0f9,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,6072833268811113,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x86a5a5eb0bf17,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7630965848785419,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,
0x9dfef74d6117,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7008695989782995,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8181422148210452,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",8102447341538974,!1,[[3,0]]]],[[0,null,!1,null,0x991e4a22f72ef,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x464d7238d19a1,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9179147911192042,
!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,884576864972999,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0x72bfff5e64a9a,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xf42dc8e4d9d89,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,9885679686572740,!1,[[4,1],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xbadb8523f94a1,!1],[-1,cr.system_object.prototype.acts.SetVar,null,867641333676878,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,8810396377930479,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,613173955900692,
!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5732730646183567,!1,[[4,4],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,17954363331693,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,815084317800885,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,6088817377002682,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[4,cr.plugins_.Sprite.prototype.acts.Spawn,null,9876161126645776,!1,[[4,39],[5,[20,4,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[7,[0,0]]]],[4,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x8fd3455e7cd31,!1,[[10,0],[7,[0,30]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,297310743592237,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xe66c9c83d3081,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x5253af7e52d3a,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0xae03f873b505a,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,6338430920867936,!1],
[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xa3b8717788dc3,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0xc2973caf119ed,!1,[[3,0]]]],[[0,null,!1,null,9643774452535512,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc09c4e231186d,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xff77571a476de,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9351072224352978,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,9877025419410136,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xadfaf4baa22f2,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7292282478783957,!1,[[4,0],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,8797895599980253,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xfe83cd398f7d3,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,6009442251620718,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,790093878060403,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,934553403908108,
!1,[[4,37],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,7048855923113941,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9879386663082648,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,7913879185339802,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd670b7ece0339,!1,[[4,0],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xeb0edf598ca1b,!1,[[4,39],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[37,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x45aebcc051149,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,4658859357750734,!1],[-1,cr.system_object.prototype.acts.SetVar,null,4664696344584708,!1,[[11,"CrBanana"],[7,
[2,"on"]]]]]]]],[0,null,!1,null,0x8e5824641dee8,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,6418249908022147,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9793664046738136,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x619e06c91678a,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6481198413164313,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,7762862536533838,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],
[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,9935664671637440,!1,[[4,39],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xae84955b1ad0e,!1,[[10,2],[7,[0,15]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x54f4273582418,!1],[-1,cr.system_object.prototype.acts.SetVar,null,9242357999341214,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x9797804708f2a,!1,[[1,[2,"idle"]],
[3,1]]]]]]],[0,null,!1,null,9656805592830736,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8779951954053015,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x79ede3e266e33,!1,[[4,3],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xf57bff70d8d13,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc7cb8f723967b,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x6de2620bd0da4,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],
[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,6403894765397731,!1,[[4,39],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[3,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,328418441553542,!1,[[10,0],[7,[0,20]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,4912984989166251,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xfc15617edc37f,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9263422317300186,!1,[[1,[2,"idle"]],
[3,1]]]]]]],[0,null,!1,null,526810263646802,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7096988728941218,!1,[[11,"mission"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x6d73a79923ac3,!1,[[11,"wavepercent"],[7,[0,50]]]]]],[0,null,!1,null,946956156981141,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6458632193450531,!1,[[11,"mission"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xdc1c23aa48526,!1,[[11,"wavepercent"],
[7,[0,100]]]]]],[0,null,!1,null,0xa88e8575fddc6,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,830372280801712,!1,[[11,"mission"],[8,0],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x5ff0e22f52e8d,!1,[[11,"wavepercent"],[7,[0,150]]]]]],[0,null,!1,null,8989785655404294,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x99a11eebbfecd,!1,[[11,"mission"],[8,0],[7,[0,4]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9613366287079112,!1,[[11,"wavepercent"],
[7,[0,180]]]]]],[0,null,!1,null,0xbcd00b24b083,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9213183622247184,!1,[[11,"mission"],[8,0],[7,[0,5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x9c77e81837334,!1,[[11,"wavepercent"],[7,[0,200]]]]]],[0,null,!1,null,8236734506100134,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,395664733745698,!1,[[11,"waveActive"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,443936251079134,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,0xcea6ddd68bf1f,!1,[[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,7166970150824263,!1,[[11,"skeleton1"],[7,[0,1]]]]]],[0,null,!1,null,6487131777872245,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,290712885959762,!1,[[11,"wavecount"],[8,5],[7,[0,6]]]]],[],[[0,null,!1,null,887619629105598,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6122696084639834,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,6559300245972352,!1,
[[11,"skeleton2"],[7,[0,1]]]]]]]],[0,null,!1,null,0x843b261cb3109,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8694008288580562,!1,[[11,"wavecount"],[8,5],[7,[0,20]]]]],[],[[0,null,!1,null,0x66f7aec7958d6,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6499288745536502,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x989b0749bf599,!1,[[11,"skeleton3"],[7,[0,1]]]]]]]],[0,null,!1,null,799509370339149,[[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,8968345364902699,!1,[[11,"wavecount"],[8,5],[7,[0,50]]]]],[],[[0,null,!1,null,0x8933046ffcf19,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,458660467198485,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,6429811048802915,!1,[[11,"skeleton4"],[7,[0,1]]]]]]]],[0,null,!1,null,386789044332653,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6032949953336557,!1,[[11,"wavecount"],[8,5],[7,[0,100]]]]],[],[[0,null,!1,null,9160364667250432,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,0x6ac33c861b7cd,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,7648194538320708,!1,[[11,"skeleton5"],[7,[0,1]]]]]]]],[0,null,!1,null,7602420599051016,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x627879f7b7c84,!1,[[11,"wavecount"],[8,5],[7,[0,70]]]]],[],[[0,null,!1,null,7186243876977042,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7866407517913871,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,4816828172706075,
!1,[[11,"skefly1"],[7,[0,1]]]]]]]]]],[0,null,!1,null,8197276115026824,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6779484424352249,!1,[[11,"skeleton1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,8699558485870248,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6340621546631202,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,48745739851559,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0x6458798810c4e,!1,[[10,0],[7,[2,"weeker"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x5fadfd48dd4b3,!1,[[10,3],[7,[0,7]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7462511422479752,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x5b7171dcae9f9,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,9841998699095972,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xeeffc500f2323,!1,[[10,0],[8,0],[7,[2,"weeker"]]]]],
[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8679965315729444,!1,[[1,[2,"weeker"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,663748503655953,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x3df925cd1e4df,!1,[[0,[0,10]]]]]],[0,null,!1,null,0x6a49a44e8714b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8047302319491945,!1,[[11,"skeleton2"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,4975318517835893,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,9054087403864900,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8973745655694575,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xfb95fd8dddd76,!1,[[10,0],[7,[2,"spider"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x57a027db4dd04,!1,[[10,3],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xf17b7ffc439,!1,[[11,"skeleton2"],
[7,[0,16]]]],[-1,cr.system_object.prototype.acts.AddVar,null,301031880902515,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,7150670477266154,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x52e84f34b0baf,!1,[[10,0],[8,0],[7,[2,"spider"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9824026705308616,!1,[[1,[2,"spider"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4733496503820547,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",685693715801176,!1,[[0,[0,30]]]]]],[0,null,!1,null,9795266677249704,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,694423146686534,!1,[[11,"skeleton3"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0xcef49017f7335,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xcf5ed2e7a78c3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6796754938421097,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,
cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9905300844930708,!1,[[10,0],[7,[2,"shielding"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5552389181072661,!1,[[10,3],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4c3d2b9648d4e,!1,[[11,"skeleton3"],[7,[0,13]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5286509525007883,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,7956184150606638,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,
!1,!1,!1,0xd81fdda6b27ed,!1,[[10,0],[8,0],[7,[2,"shielding"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6122555022399168,!1,[[1,[2,"shielding"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6126019156418125,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5669080825129012,!1,[[0,[0,10]]]]]],[0,null,!1,null,0x99983e598855a,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8630950501259705,!1,[[11,"skeleton4"],[8,0],[7,[0,
0]]]]],[],[[0,null,!1,null,8724485084932625,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5456647662420144,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5034293133639208,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x466d962c5096d,!1,[[10,0],[7,[2,"pigiez"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8594521471943193,!1,[[10,3],
[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6204833002979234,!1,[[11,"skeleton4"],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4971085980300114,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,7228826471423464,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x4c2679f544a89,!1,[[10,0],[8,0],[7,[2,"pigiez"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6697be6fdd6c4,!1,[[1,[2,"pigiez"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0xcc31f458dbc42,!1,[[10,1],[7,[0,2]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6907159615748071,!1,[[0,[0,30]]]]]],[0,null,!1,null,586732764358166,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5608447443977793,!1,[[11,"skeleton5"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0x951f96089b9,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9788373505662E3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6873601988345663,!1,[[4,35],[5,[2,"other"]],
[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9521164360036492,!1,[[10,0],[7,[2,"ash"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x6351207462aba,!1,[[10,3],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5948973338895595,!1,[[11,"skeleton5"],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4895421358000162,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,6662494532988073,
[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xedb21d2c4751d,!1,[[10,0],[8,0],[7,[2,"ash"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,507064380130242,!1,[[1,[2,"ash"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x9364ad2d5dc91,!1,[[10,1],[7,[0,10]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xdcb41dc6e0ee8,!1,[[0,[0,10]]]]]],[0,null,!1,null,8690686652677873,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,
0,!1,!1,!1,9714412763545652,!1,[[4,86],[0,[0,0]],[0,[0,0]]]],[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5697387329586386,!1,[[10,0],[8,0],[7,[2,"ash"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8202578146046996,!1,[[1,[2,"ashfight"]],[3,1]]]]],[0,null,!1,null,6090899556944696,[[35,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,8038970593471559,!1,[[1,[2,"ashfight"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf7ffba6467fac,
!1,[[1,[2,"ash"]],[3,1]]]]],[0,null,!1,null,6866851331526741,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5859112436657405,!1,[[11,"skefly1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0xb6d37b08feecf,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8423831838533711,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6274092894668023,!1,[[4,50],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,5422965035927055,!1,[[10,2],[7,[2,"skebat"]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5524241345749811,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8336126350444684,!1,[[11,"skefly1"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xf1935578cca55,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,4659699110422609,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,863941459324514,!1,[[4,16]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,
null,7326364524291797,!1,[[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,6535538939291481,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5752465983881359,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8344453851209619,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,9876545699656152,!1,[[5,[2,"1"]]]]]]]],[0,null,!1,null,0xf41487b7de95f,
[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7073217566713345,!1,[[4,17]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,4906999659637562,!1,[[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0x92d8091494ea6,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9706274763940834,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xdb25d9e886a28,!1,[[2,["enemyon",!1]],[3,0],[0,
[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,939512992283725,!1,[[5,[2,"2"]]]]]]]],[0,null,!1,null,5774734954415868,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5911095225995814,!1,[[4,18]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,6660511214448462,!1,[[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,9690766276437188,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,9864716010274952,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x3f59496accd9b,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5673812338960202,!1,[[5,[2,"3"]]]]]]]],[0,null,!1,null,0x6240e446b8116,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x545797f9a5cb1,!1,[[4,19]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x99fe0673b58db,!1,[[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],
[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,818903272374513,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,780312977588454,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,904179550305817,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0xacaff5f3c4dab,!1,[[5,[2,"4"]]]]]]]],[0,null,!1,null,0xf3530845bd443,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xb333c1dbe464f,
!1,[[4,20]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,5965018676062727,!1,[[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,7937076600973234,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf6abc99f18da9,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,7771972838797978,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,6015209493608256,
!1,[[5,[2,"5"]]]]]]]],[0,null,!1,null,0x79f35ebc9df3,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5663374736940651,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6613567718232133,!1,[[10,0],[8,5],[7,[0,1]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x63730048cbbc3,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x4b157a9eb1c76,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[34,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,0x98ee34e10dd32,!1,[[10,0],[7,[0,1]]]],[34,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x64753214d5efd,!1,[[1,[2,"destroy"]],[3,1]]]]],[0,null,!1,null,8708175240156862,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9900520454489040,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xae3f9cc679e6c,!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,8410234599740229,!1,[[0,[4,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,80]]],
[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,8769969362225772,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6113357917931074,!1,[[10,3],[7,[0,1]]]],[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x5464e42a2f053,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5938257077514231,!1,[[2,["dragdrop",!1]],
[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,411968204326412,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8071850078883095,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7826484997274347,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9151066779516378,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9082487810746912,!1,[[4,37],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,
null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,5678227781448582,!1,[[4,36],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf2d2f0e8c9506,!1]]]]],[0,null,!1,null,5604839531224129,[[0,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0xfccc45f1d5e23,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,0xc7bd37e450b11,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0x4cb62e274326b,!1,[[10,0],[8,3],[7,[0,5]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9751154813775618,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,0x8ee3b36690b3b,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x557eba8619023,!1,[[10,0],[8,5],[7,[0,6]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc182fc19be17b,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,9071289941450548,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,
!1,!0,390563198732208,!1,[[4,4]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,448434004533505,!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,8277623223134298,!1,[[0,[4,[20,4,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,100]]],[0,[20,4,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,6553716379777009,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,0x8361e49d8609d,!1,[[10,3],[7,[21,4,!1,null,1]]]],[4,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x60ecc9a0d1949,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5915615384968626,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,61918969912976,[[4,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,760251303288692,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x6ac811cfdb624,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x7365f70539227,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xf82d500d30cb6,!1,[[4,37],[5,[20,4,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,4,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,4,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[4,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc9dd9db855c7e,!1,[[4,36],[5,[20,4,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[4,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x8f86ea0dbc895,
!1]]]]],[0,null,!1,null,9771500893336308,[[4,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,8364839405045747,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,0xc8d62dd7424ff,[[4,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8133113242176465,!1,[[10,0],[8,3],[7,[0,10]]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x3bb5b07cdc318,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,9373773817386416,[[4,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,
!1,!1,!1,8752201689191908,!1,[[10,0],[8,5],[7,[0,11]]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5745686490292104,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,7301584928627461,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9219629178907612,!1,[[5,[2,"1"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7338358875487122,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,0xbf56ed44c58a2,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x8c080280637d,!1,
[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xcf6ebad6b6d60,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x8f700eaca0f11,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8085371850573446,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x9e4900aaa19a7,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5681621097289103,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,6203217795306049,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xfa0c142d553ed,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6504301430907078,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,358703872388726,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,6186531795552057,!1,[[5,[2,"2"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9434795205176314,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,8272544279738583,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,5205723614018597,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7609741976838238,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,582493686140347,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x595ecec6eab32,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xd208c509ef1cc,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf77a69dab6b8,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x57718cd5174b3,!1,[[4,38],[5,
[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x96286c38468fd,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xecbada6edf843,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0x53413b5279071,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x5fcdc0cbfc44d,!1,[[5,[2,"3"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9842369099710256,!1,[[5,[2,"3"]]]]],[],
[[0,null,!1,null,0x39a4a1c4c1ddb,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8863686307021293,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6897732898564821,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,8205205984461406,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x94c3790e307b8,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5475017224354906,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8800215080297795,!1]],
[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,9191968573210094,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,703202958522807,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,980980719330402,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0xdae4c65e405bd,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,671029881659338,!1,[[5,[2,"4"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,
null,0,!1,!1,!1,0x87a41385a407d,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,9288976498083864,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x6aae841bef661,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6377180001539825,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xbd144a721756,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xe07de4677ebdf,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,4577062908109874,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,8057817444341738,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x57b0e97cfad93,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9636957180399696,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6655877206978541,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0xa62e3870ce82b,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xdb576767ff6ce,!1,
[[5,[2,"5"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,289074255911853,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,5106250674652465,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5251408300736858,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6975175034795977,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,8967841951689465,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8854361453884568,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,
null,!1,null,9722548803049928,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8927342916412412,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,6898679248603068,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6277133824403745,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x698e8db607f46,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,8367624916792155,[[1,
cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0x5c50f8c1d79e,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,916282554338446,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x3cb70b5e46bc6,!1,[[10,1],[8,3],[7,[0,4]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9025193149223928,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,9853035320999266,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,817471131703065,!1,[[10,1],[8,5],[7,[0,
5]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x794c19ac293d8,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,6797436986930917,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xf3da90510fcef,!1,[[4,38]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,607842714829624,!1,[[10,3],[7,[0,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,8560221117023053,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[38,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x61974569492bb,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,5016082359514281,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,9090590294635358,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9737610725625802,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5478947576334055,!1,[[0,[0,0]]]]],[[0,null,!1,null,8086593621638503,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,479220901070238,
!1,[[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,9595717606802158,!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x4a6a66e6b93ac,!1,[[10,1],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,8635122561581327,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7222253277717161,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5334052697573286,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,469093911062623,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x5f4c606265679,!1,[[4,37],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,681950522732286,!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,
cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x513a9b2bf89f4,!1]]]]],[0,null,!1,null,5024499346055852,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9348734034641820,!1,[[5,[2,"1"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,826976741851077,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,0xb09d42a4705c9,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9612146363683648,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,9945596431136896,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x9bf71ba757d95,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9332399091641956,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7012484909012935,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,55903154681082,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,7819556731518308,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,
"Bullet",0xa30fbd6697ae8,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb098a9c94be2d,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4602860138416711,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,7819931078669163,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9032834102438596,!1,[[5,[2,"2"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x4015872276b4f,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,9071807055027122,
[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x97bbf591a5247,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8595331606002367,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xaf31e85e1bd86,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb8dc78762ddc1,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,49856734572012,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6759846652028598,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x5295ae170eb32,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",7888811799042624,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xfd9811139dc2e,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x5e359450a7109,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,6600141681031837,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,
7205657587400343,!1,[[5,[2,"3"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9999956742990478,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,8975186203332493,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7043008034804421,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x7919070592aa7,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,6029023725678784,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x50b23d23740f1,!1,[[10,0],[8,3],
[7,[0,0]]]]],[],[[0,null,!1,null,5227088142385657,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc62af33fbba9e,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,9553692959331224,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0xe2ff68bcb98e8,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x971fbd7b4953f,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,833767424368108,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0xba0c664ca0289,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8933619031509764,!1,[[5,[2,"4"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,430832124834154,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,9579858481806548,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6339934768194036,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5075499038186216,!1,[[10,0],[7,[0,
1]]]]]],[0,null,!1,null,8087404561910585,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xf244ad3092fa,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,4992885389019944,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x7bd43b36c3fe4,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,4727591024527156,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",335883128511541,
!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8992645561879832,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7614056704493204,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0x7f6619bf95cc5,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xc2992a44337a7,!1,[[5,[2,"5"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x5c0c21cae949c,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,5510601026663854,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,9938446423298506,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6231398118431126,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xa6aeea820a089,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9279478882525492,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7211192736891082,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe219da00149f6,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,71826266706194,!1,[[4,48],[5,
[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",7356355576281571,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4620097508062988,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xbf55c77cfc5d3,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0xd5eb95d7664ba,[[50,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,693390103584573,!1]],[],[[0,null,!1,
null,5812206179130276,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,480190037500942,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x4b5631e5640c3,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,8269792930163284,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6077945522162972,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7914492934770778,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x83b280a72eddd,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,
null,6767249712532062,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0xb7d745b667111,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x7fb7878de65e6,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x989269d4bd7a9,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0xda40c5a252528,[[2,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,
!1,8352601013585741,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,5783572240721131,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xf981fbb69e6cd,!1,[[10,2],[8,3],[7,[0,7]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9599872809599074,!1,[[1,[2,"fall"]],[3,1]]]]],[0,null,!1,null,9174625998003168,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x408cc4317524c,!1,[[10,2],[8,5],[7,[0,8]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6745534418595281,
!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,7024413258695335,[[48,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,8970557475801373,!1,[[8,5],[0,[0,640]]]]],[[48,cr.plugins_.Sprite.prototype.acts.Spawn,null,6482863854148948,!1,[[4,49],[5,[20,48,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,9741527397034008,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,6869835352186711,!1,[[2,["dragdrop",!1]],[3,0],
[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,7224539168792557,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8271652567090153,!1,[[4,48]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xf093e0805d1aa,!1,[[10,3],[7,[21,2,!1,null,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x7bc1cd1e6b2f6,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xcfa3d8c2edc53,!1],[29,cr.plugins_.Audio.prototype.acts.Play,
null,0x93b61ffc69b90,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,646703366224325,[[48,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xbf69332c862c4,!1,[[4,50]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7350448575020048,!1,[[10,0],[7,[21,2,!1,null,1]]]],[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,9177792946407544,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xe8922fd15185e,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,304864022762735,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,7913525092853132,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xd5dceadd950a,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xa1852d2f27b9d,!1,[[0,[0,0]]]]],[[0,null,!1,null,0x3d464b1ee770f,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x8fb7d2dd15547,!1,
[[0,[0,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xaff99a8380e1b,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,453692853847099,!1,[[10,2],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,4755307201790664,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4509979736292103,!1,[[10,2],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5819579570315909,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,729180889613298,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7479954801358807,!1,[[4,37],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x5b003eab1a20b,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,
2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[2,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x7af9f8b619f5f,!1]]]]],[0,null,!1,null,536313867983325,[[50,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,8819508561831415,!1,[[8,5],[0,[0,100]]]]],[],[[0,null,!1,null,6040303516819469,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xf7ee5fb3fa52a,!1,[[0,[1,1]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xcdc70b484693e,!1,[[10,1],[7,[0,1]]]]]]]],
[0,null,!1,null,0xfce0edb801e92,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x44151c2b380ac,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7177512886543793,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb90462befc32c,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,9397602491166352,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,9853460613030308,!1]]]]],
[0,null,!1,null,7065860995775193,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x8c50052832ee8,!1,[[10,0],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,8865561906441887,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x7c8ee239b25d5,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,4599910346989736,!1,[[4,54],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,723353248528146,[[50,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,
null,1,!1,!1,!1,4795214900552638,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x8e6e0a742193a,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,9117408152043408,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9690357448036536,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xe252e9e1cb42d,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xddda92ddfa832,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xcfe0f38f855b9,!1,[[4,51],[5,[20,50,
cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,549015563297577,!1,[[1,[2,"shoot"]],[3,1]]],[51,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,756625562200416,!1,[[0,[20,86,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,86,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xe8968270cbf27,!1,[[10,1],[7,[0,5]]]]]]]],[0,null,!1,null,0x7d7d95d0531eb,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,902286990625056,!1,[[4,2]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,665572593522659,!1,[[10,2],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xad2bb86adda8b,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,8413198674829725,!1]]],[0,null,!1,null,4741160631390738,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,19830482170883,!1,[[4,
1]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xd514a479290ee,!1,[[10,1],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xf4ec47d4a7ccf,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x7f46c71d731b9,!1]]],[0,null,!1,null,0x6944b24a4be46,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xfaacf31389876,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,5158365599122742,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xf0249bddcc739,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,7584760149530805,!1]]],[0,null,!1,null,7507519127767333,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,747421951827896,!1,[[4,3]]]],[[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xc84024def24e,!1,[[10,0],[7,[21,
50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,7647783685118143,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,6020034087477224,!1]]],[0,null,!1,null,6410779478720586,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6189502964535205,!1,[[4,4]]]],[[4,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6725499727833005,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,
null,508597204724275,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,8464675479076711,!1]]],[0,null,!1,null,0x7cde047539a33,[[50,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,9418058147593192,!1,[[1,[2,"shoot"]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6072878208919604,!1,[[1,[2,"idle"]],[3,1]]]]],[0,null,!1,null,0x9dd34defcc33e,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,
null,0,!1,!1,!1,7228317421486812,!1]],[],[[0,null,!1,null,0xfb4abaf756e08,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8195043232063212,!1,[[0,[1,1]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6576171673595474,!1,[[10,1],[7,[0,1]]]]]]]],[0,null,!1,null,0xa03f8c07f5bf6,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7890963312212735,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5644581649186233,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x50d62195ecc4f,!1]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc14315366e2db,!1,[[1,[2,"shoot"]],[3,1]]],[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,8500046652807543,!1,[[4,58],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[58,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,9719790202253880,!1,[[0,[20,35,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,35,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[3,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0xd55bdb51cb204,!1,[[10,1],[7,[0,3]]]]]]]],[0,null,!1,null,6996021304635077,[[3,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,5176125537740943,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,0x75ea5dafc012d,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xa87459f20a7aa,!1,[[10,0],[8,3],[7,[0,10]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x5c422ffc6d6e3,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,0xb06a0917a0cfc,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0x5dfe61188da5,!1,[[10,0],[8,5],[7,[0,11]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9051812198126432,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0x65da2f3a9915a,[[58,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6477763502725787,!1,[[4,35]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5596680184044366,!1,[[10,3],[7,[21,3,!1,null,2]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x9048cc56f42fd,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],
[1,[2,"fx"]]]],[58,cr.plugins_.Sprite.prototype.acts.Destroy,null,4759003287705475,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,7803947039061411,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,0x84e3dcca83178,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x3e687730883de,!1,[[4,3],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xf85127dea8a43,!1,[[0,[0,0]]]]],[[0,null,!1,
null,0xa14b9d95ddecc,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x8eee365aa116,!1,[[0,[0,1]]]]],[[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,6278501428052949,!1,[[4,36],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x42155451a2962,!1,[[10,0],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,4816698102418562,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8569230109385334,!1,
[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7600511460269,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4571141872946158,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7545350631744669,!1,[[4,37],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7096076654104538,!1,[[4,36],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[3,cr.plugins_.Sprite.prototype.acts.Destroy,null,7776185070244336,!1]]]]],[0,null,!1,null,5173193793473838,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xba84e0737eacf,!1,[[10,3],[8,3],[7,[0,0]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x719221e5ec225,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xf4af8b874d1b6,!1,[[2,["enemydie",
!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,56077433676223,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x698a9ce19edc9,!1,[[10,3],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,625861305961311,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd92be142d044a,!1]],[[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,9573195411472228,!1,[[4,54],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,0x551a1db664b50,
[[35,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,9076784295211572,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,6106243757930677,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,7260976012707573,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6479089329250971,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xef3cae3b55836,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,21576688680811,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x55255a0703e6e,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,5550806428960274,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xcc0e0a65e9273,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5044797424313275,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,9755208177806416,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6181719340227979,
!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xefebedbff3315,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,8413809274718423,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x4a2e4a9e3c5f0,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xf9f26626d629a,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,5306325658486951,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,0x4aacd3f141f6e,[[50,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,9863922805881948,!1]],[],[[0,null,!1,null,9210946765485022,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6064857000509996,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,6516610048515865,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,0xfb6a9ecad7315,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x4ea3824d17c49,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,5302945859103958,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7b730b96c2553,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9893026384535498,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,
null,6011628088053456,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,9476814340274238,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5b8fa60ac2a2a,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x92d7db32c5458,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,0x940df284860fc,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xd19d5616d8299,!1,[[11,"mission"],[8,5],[7,[0,5]]]]],[],[[0,null,!1,null,6236213580506863,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4913397729313009,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,975327547763715,!1,[[11,"CurrentLvl"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4838054698458906,!1,[[11,"Hammer"],[7,[0,10]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8976879717111314,!1,[[1,[2,"Hsave"]],[7,[23,"Hammer"]]]],
[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,504873136158586,!1,[[1,[2,"Lsave"]],[7,[23,"CurrentLvl"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x6c2cbaa653ed4,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7300161480011061,!1,[[2,["winning",!1]],[3,0],[0,[0,0]],[1,[2,"win"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,4574958383223519,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x6995c3b5990c6,!1,[[1,[2,"bgs"]],[3,
0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xda0fc58f41e6f,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa2d4bc29c5eea,!1,[[1,[2,"win"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x9f4c8a5c4f3bf,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x7791ac7453347,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,2]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xffc5e97f74fa0,!1,[[4,85],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,7878791998788284,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,466113085815584,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,5929781662757809,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9886712994110416,!1,[[4,41]]]],[],[[0,
null,!1,null,5655284655445278,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0xe42973a41507,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5692728514318768,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,780507539409145,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,4953510291427207,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7425176848865225,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,4768393727984097,
!1]]]]],[0,null,!1,null,0x638cf9935ff60,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,6943959858741443,!1,[[4,44]]]],[],[[0,null,!1,null,0x9c04015184e07,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,7476446271836583,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x787c1ef9ff09c,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,7726705516941281,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x7075660c560f5,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,8983049045797234,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,78741764834006,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6860632030525629,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7549602975614407,!1,[[1,[2,"win"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,5067608537392471,!1,[[6,"menu"]]]]]]],[0,null,!1,null,0xf7e496ec4608d,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,7983098535573137,!1,[[4,43]]]],[],[[0,null,!1,null,6246146559175479,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,8757286145632427,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9143324679756616,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,8972736564904644,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,396121899079351,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8907885803015345,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,8888178437913749,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8854059668024924,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7306014287019536,!1,[[1,[2,"win"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,4708088624779204,!1,[[6,"stage10"]]]]]]],[0,null,!1,null,9304249955958684,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,467591307936019,!1,[[4,85]]]],[[40,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,7553883654178573,!1,[[1,[2,"shActive"]],[3,1]]]],[[0,null,!1,null,0x3fc0547c0af57,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,9067472730312564,!1]],[[85,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x73934800dcf46,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,5842894127336686,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,7747611638415183,!1]],[[85,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xdba40ca23a31d,!1,[[1,[2,"default"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,
null,9257968280745580,!1,[[4,43],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[85,cr.plugins_.Sprite.prototype.acts.Destroy,null,5331937011882755,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf7224f81d6cb1,!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,4954480316432871,!1],[24,cr.plugins_.Text.prototype.acts.Destroy,null,0xbadddae0ae998,!1],[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,9325104934574254,!1]]]]],[0,null,!1,null,6951542978447373,
[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x673abe414bfc9,!1,[[4,22]]]],[],[[0,null,!1,null,6805135294980136,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7097369086167855,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4954582912903755,!1,[[4,46],[5,[2,"dialogLayer"]],[0,[0,506]],[0,[0,325]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xbcb77e1ce2305,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x779a0744165f7,
!1,[[0,[0,0]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xfe6f542aaef6b,!1,[[4,42],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,885676779222482,!1,[[4,41],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,6887925656361613,!1,[[4,44],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,
null,8208819053979887,!1,[[0,[0,961]],[0,[0,-37]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6928483541805704,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8575863229924417,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,4743483006030115,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9393222498037178,!1,[[1,[2,"startsound"]],[3,0]]]]]]],[0,null,!1,null,0xaeee336a73033,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,0xf0a570c601563,!1,[[4,42]]]],[],[[0,null,!1,null,0xdfa2877107609,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,9103531191799824,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,891838594949427,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,9747728002542016,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x5cb0f1f9fb1b7,!1]],[[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,5890018158627811,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,
null,0x8edd411de9907,!1,[[0,[1,1]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,4860091008470348,!1,[[3,0]]],[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,5435805156755716,!1],[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x45879df0f24fa,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,844501088373424,!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,31295147040487,!1],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6131552906697344,!1,[[1,[2,"fx"]],[3,1]]],[29,
cr.plugins_.Audio.prototype.acts.SetMuted,null,0xce8402a0d88db,!1,[[1,[2,"bgs"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xbf4bd8123e063,!1,[[1,[2,"win"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9191146538953400,!1,[[1,[2,"startsound"]],[3,1]]]]]]],[0,null,!1,null,0x6c0e1aa5b745f,[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8698636388319877,!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7127787337697061,
!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,5116731388310581,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9273357815860258,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9594930220105228,!1,[[4,2],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,6239779200319195,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x8402af4383baf,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xbe57aac2b4088,!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,null,4787438078297902,!1],[-1,cr.system_object.prototype.acts.SetVar,null,4814119412709187,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8591618623864166,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,7285310151150054,
[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7777830720339827,!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8290878024073748,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x3a2573b5de3bd,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9aaab792d2c15,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9352234102114556,!1,[[4,3],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,8637022604832662,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8609321539762491,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,5399877302425447,!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,null,5097219580751964,!1],[-1,cr.system_object.prototype.acts.SetVar,
null,410115077306775,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8956406890249543,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,6631767309945072,[[63,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7204355087584863,!1],[63,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xe0b8f8ab4855d,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xfc940ff52da66,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,
!1,0xca061263f9733,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9611230622768362,!1,[[4,4],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8d54fe211e514,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8055413905859138,!1,[[2,
["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xacf34070ba0d4,!1],[63,cr.plugins_.Sprite.prototype.acts.Destroy,null,7253476998745937,!1],[-1,cr.system_object.prototype.acts.SetVar,null,7446248201025603,!1,[[11,"Awork"],[7,[2,"on"]]]],[62,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8523989834691681,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,0xa933a8cb43bea,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8108012227322187,
!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x989bb55b1dd3d,!1,[[11,"Hammer"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,0xdb5c340065324,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,633848486666932,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,6776416128344278,!1,[[4,56],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,665387052537142,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,6125702454152511,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xd393979f81ed5,!1,[[4,53],[0,[0,0]],[0,[0,0]]]],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6583325703522833,!1,[[4,56],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x949bd5dc10048,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9886769640779812,!1]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x7f86871ef304e,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,
null,5164810259062247,!1],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4785125116740143,!1,[[1,[2,"onwork"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5238973251331632,!1,[[2,["workman",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x76aeac2ea575e,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xc1981ecbb4c74,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x390daeea5eef8,!1,[[11,"Hammer"],[7,
[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x98d7976676a28,!1,[[11,"Wwork"],[7,[2,"off"]]]]]]]]]],[0,null,!1,null,9988576944153228,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe164df5c00ff7,!1,[[11,"Wwork"],[8,0],[7,[2,"off"]]]]],[],[[0,null,!1,null,0x9f3dc95bdd9bf,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8316584783238505,!1,[[0,[1,1]]]]],[[53,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8508443254677345,!1,[[10,0],[7,[0,1]]]]]],[0,null,
!1,null,0xf6ca21bade028,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9562065264625508,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xbdcbe38dacce5,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4add2c3513531,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,0xd4be37fc4a398,[[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5951308207909627,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,6154505855714327,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8258927633658806,!1,[[1,[2,"full"]],[3,1]]]]]]]]],[0,null,!1,null,0xc82041944612b,[[53,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9845361567537012,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,
!1,null,8417664560136389,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8750035095689147,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,7051181733098042,!1,[[4,52],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,5180957253302001,!1,[[4,32],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd53194799cfac,!1,[[1,[2,"default"]],
[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xe7c47362d1539,!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,9063912813915460,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdb628a21297bc,!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc466ea0a7a6e7,!1,[[11,"Hammer"],[8,2],[7,[0,10]]]]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,6200043486846436,!1]],[[0,null,!1,null,0xe5170ec997d05,
[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8190608934723407,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9178596425524856,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,8434127902683036,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,0xaa889999d4919,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,8466657190127356,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,5235019875482724,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x584dd6a892877,!1,[[1,[2,"more"]],[3,1]]]]]]]]],[0,null,!1,null,8480586216538431,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7888757139245853,!1,[[11,"Awork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,
!1,!1,8740903101658117,!1,[[11,"Hammer"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,0x6f02a087e79f1,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,62164704533647,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,6349504317326004,!1,[[4,56],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,7716249221817713,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xc86b469796d96,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,9491248011713978,!1,[[4,62],[0,[0,0]],[0,[0,0]]]],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7485962502555961,!1,[[4,56],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,406993945470583,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x3eb7f8afc88cb,!1]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb2148ec6c3b13,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,9232706435372148,!1],[62,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x9a335f8f0a9b5,!1,[[1,[2,"onwork"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7459199963198364,!1,[[2,["workman",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9941529029213524,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x4a77ddbf54712,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,9117235565777924,!1,[[11,"Hammer"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5444494714889907,
!1,[[11,"Awork"],[7,[2,"off"]]]]]]]]]],[0,null,!1,null,0xd6195fbb78dd2,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5974142746920509,!1,[[11,"Awork"],[8,0],[7,[2,"off"]]]]],[],[[0,null,!1,null,8661218829935259,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6140160154766355,!1,[[0,[1,1]]]]],[[62,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,288136496893874,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x4ff742296088e,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,8499761259473622,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,18615173155312,!1,[[4,62],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xdc7d1a3f7b9e1,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,4665300639270067,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6055095278744,
!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x421e86fa96d05,!1,[[4,57],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,496072741639975,!1,[[1,[2,"full"]],[3,1]]]]]]]]],[0,null,!1,null,0x7cddfee460fff,[[62,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x91675e4bb3d7,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xe1e27788372a7,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,
!1,!1,!1,5779579620069483,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,8839979752535191,!1,[[4,63],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,8363672036252416,!1,[[4,32],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[62,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x9885dcc5ab58a,!1,[[1,[2,"idle"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6994685762378454,!1,[[2,
["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,9208587600974692,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb3dcde5781be6,!1,[[11,"Awork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7312810667718803,!1,[[11,"Hammer"],[8,2],[7,[0,10]]]]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x46ad12d38a631,!1]],[[0,null,!1,null,0x9a25136bbfbf,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,4972218780184749,
!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7058215431945539,!1,[[4,62],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,841392732950865,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,7384549076144631,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6794683219710715,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,
null,6575354335264768,!1,[[4,57],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7633157363582686,!1,[[1,[2,"more"]],[3,1]]]]]]]]],[0,null,!1,null,7002082610010033,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xae41953b130d,!1,[[4,54]]]],[[54,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x5daae48d7aee5,!1,[[0,[0,600]]]],[54,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xeaf2bbcdacb7b,
!1,[[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[54,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x514fd768c32cd,!1,[[1,[2,"blast"]],[3,1]]]]],[0,null,!1,null,7703273668889561,[[54,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5724828115468888,!1,[[4,23]]]],[[54,cr.plugins_.Sprite.prototype.acts.Destroy,null,8329668258987251,!1],[-1,cr.system_object.prototype.acts.AddVar,null,0xddd6e383164e6,!1,[[11,"Hammer"],
[7,[0,1]]]],[23,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8a69107f947d3,!1,[[4,55],[5,[20,23,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[55,cr.plugins_.Sprite.prototype.acts.SetAngle,null,0xc25ec0389e8fb,!1,[[0,[19,cr.system_object.prototype.exps.random,[[0,360]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9476062594273968,!1,[[2,["hamercolision",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,7946951337889775,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xdace894aab106,!1,[[11,"getArmor"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,0xe7d1b860b0f9e,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xcb64a9ca3761a,!1,[[4,64]]],[64,cr.plugins_.Sprite.prototype.cnds.PickByUID,null,0,!1,!1,!0,0xdbb9ca056bc9e,!1,[[0,[0,524]]]]],[],[[0,null,!1,null,8183633937874245,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd9ae4ca3f245a,!1]],[[64,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x98afc171c317d,!1,
[[4,66],[5,[20,64,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[66,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,7751109275164592,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9b81109c6c526,!1,[[4,65],[5,[2,"5"]],[0,[0,100]],[0,[0,544]]]],[-1,cr.system_object.prototype.acts.SetVar,null,631066690773645,!1,[[11,"getArmor"],[7,[2,"off"]]]]]]]],[0,null,!1,null,8005334617698136,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,4873249777706326,
!1,[[4,64]]],[64,cr.plugins_.Sprite.prototype.cnds.PickByUID,null,0,!1,!1,!0,9066739726259518,!1,[[0,[0,525]]]]],[],[[0,null,!1,null,718405304220062,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5701106928156801,!1]],[[64,cr.plugins_.Sprite.prototype.acts.Spawn,null,5695475963701208,!1,[[4,66],[5,[20,64,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[66,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xfd5c6475525bb,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,5641468357281314,!1,[[4,65],[5,[2,"4"]],[0,[0,100]],[0,[0,448]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7880554424425821,!1,[[11,"getArmor"],[7,[2,"off"]]]]]]]],[0,null,!1,null,6318421826387777,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,8747686635380337,!1,[[4,64]]],[64,cr.plugins_.Sprite.prototype.cnds.PickByUID,null,0,!1,!1,!0,8622178894194314,!1,[[0,[0,526]]]]],[],[[0,null,!1,null,9846726332958224,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,5827442280616571,!1]],[[64,cr.plugins_.Sprite.prototype.acts.Spawn,null,8945877211926912,!1,[[4,66],[5,[20,64,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[66,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,290293918987127,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8437358618980865,!1,[[4,65],[5,[2,"3"]],[0,[0,100]],[0,[0,352]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6893950525529128,!1,[[11,"getArmor"],[7,[2,"off"]]]]]]]],[0,null,
!1,null,9284202156176588,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9755353018692622,!1,[[4,64]]],[64,cr.plugins_.Sprite.prototype.cnds.PickByUID,null,0,!1,!1,!0,913446435240521,!1,[[0,[0,527]]]]],[],[[0,null,!1,null,883174405009895,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x8f010a8ec4f33,!1]],[[64,cr.plugins_.Sprite.prototype.acts.Spawn,null,5325423492663375,!1,[[4,66],[5,[20,64,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],
[66,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xbb6f164afed23,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe140e6e367e3c,!1,[[4,65],[5,[2,"2"]],[0,[0,100]],[0,[0,256]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xe7c66fadd9e0f,!1,[[11,"getArmor"],[7,[2,"off"]]]]]]]],[0,null,!1,null,0x57657e17c1c40,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x857313f4583a7,!1,[[4,64]]],[64,cr.plugins_.Sprite.prototype.cnds.PickByUID,null,0,!1,!1,!0,
0x90bbc1d1813f5,!1,[[0,[0,528]]]]],[],[[0,null,!1,null,0x448b61582070c,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf8ba479fab15b,!1]],[[64,cr.plugins_.Sprite.prototype.acts.Spawn,null,6634696148091767,!1,[[4,66],[5,[20,64,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[66,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,9708154049504700,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4780677205680618,!1,[[4,65],[5,[2,"1"]],[0,[0,100]],
[0,[0,160]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x6947b680388ba,!1,[[11,"getArmor"],[7,[2,"off"]]]]]]]]]],[0,null,!1,null,913291155235145,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x57deb3844b419,!1,[[11,"getArmor"],[8,0],[7,[2,"off"]]]]],[],[[0,null,!1,null,7166930980106307,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xd59bc8ff84727,!1,[[4,64]]]],[],[[0,null,!1,null,5716184244736884,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,6293974088534986,!1]],[[65,cr.plugins_.Sprite.prototype.acts.Spawn,null,8052371264136508,!1,[[4,57],[5,[20,65,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4639161381055136,!1,[[1,[2,"bussy"]],[3,1]]]]]]]]],[0,null,!1,null,5668839824231932,[[65,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,4679003769045671,!1,[[4,64],[0,[0,0]],[0,[0,0]]]]],[[64,cr.plugins_.Sprite.prototype.acts.SetAnim,null,945039475279208,
!1,[[1,[2,"onwork"]],[3,1]]],[65,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x44e2b5fded254,!1,[[0,[20,64,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,64,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[65,cr.plugins_.Sprite.prototype.acts.SetVisible,null,6134860917943306,!1,[[3,0]]],[65,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xf92d3b0a77516,!1,[[0,[0,0]]]],[66,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x90ff5fe30f1ac,!1,[[3,1]]]],[[0,null,!1,null,292198427872651,
[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xf963203eb6d5a,!1,[[0,[1,1]]]]],[[64,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6984896001769097,!1,[[10,0],[7,[0,1]]]],[66,cr.plugins_.TiledBg.prototype.acts.SetWidth,null,9602533423817468,!1,[[0,[21,64,!1,null,0]]]]]]]],[0,null,!1,null,0x4b6134dbceda4,[[64,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6813120885052305,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x91c0a9bf464e8,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,363348757456091,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8690925601150199,!1,[[4,67],[5,[20,64,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,64,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,64,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xec3714b8325bf,!1,[[4,32],[5,[20,64,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,64,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,
[20,64,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7505414116328714,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[64,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x77953daf75775,!1],[66,cr.plugins_.TiledBg.prototype.acts.Destroy,null,4723967763385341,!1],[65,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x62113d08f717f,!1]]]]],[0,null,!1,null,9295831156365716,[[67,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5127154440931493,
!1,[[4,34]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xcd474575b9e4e,!1,[[11,"mission"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5750977445701134,!1,[[11,"getArmor"],[7,[2,"on"]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x3e13d8c795e7a,!1]]],[0,null,!1,null,9877387654779756,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xe5ac63b6c0e94,!1,[[4,65]]]],[],[[0,null,!1,null,7362041054856456,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,6064975499408764,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4887924635012819,!1,[[4,61],[5,[20,65,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,65,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,65,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5438392117976378,!1,[[0,[0,100]]]],[65,cr.plugins_.Sprite.prototype.acts.Destroy,null,5659413843921546,!1],[66,cr.plugins_.TiledBg.prototype.acts.Destroy,
null,0x76223a1a0014c,!1],[64,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5083661356515084,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,9055481337713958,[[61,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,518778903209793,!1,[[4,34]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7399881950379823,!1,[[11,"getArmor"],[7,[2,"on"]]]],[61,cr.plugins_.Sprite.prototype.acts.Destroy,null,6488747814946147,!1]]]]],["Stage10Sheet",[[0,null,!1,null,737447672322409,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,9712676039466564,!1]],[[79,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,6322734774336779,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7752239663112486,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,0]],[1,[2,"startSound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7878054143676218,!1,[[1,[2,"opensound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,5565058473687559,!1,[[1,[2,"opensound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5138921299435306,
!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,7053602784871591,!1,[[1,[2,"win"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xfc6328c6bd794,!1,[[11,"bgSound"],[7,[2,"off"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9524552039612826,!1,[[1,[2,"bgs"]],[3,0]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x413a0871d8bda,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x931e2bd1e1df3,!1,[[11,"CrBanana"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,0x9d4ba7f3e6452,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7217667867084382,!1,[[11,"waveActive"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9201894815244766,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc8d1f85effc0a,!1,[[11,"skeleton2"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x92bc6409010f4,!1,[[11,"skeleton3"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9006618618389792,
!1,[[11,"skeleton4"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7990238820865812,!1,[[11,"skefly1"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9774373806417362,!1,[[11,"enemykill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7136920155612756,!1,[[11,"wavepercent"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4098540cdaea5,!1,[[11,"wavecount"],[7,[0,0]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,6115116572329318,!1,[[0,[0,
961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7263097206349214,!1,[[11,"Awork"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,560295745538593,!1,[[11,"Wwork"],[7,[2,"on"]]]],[62,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xa0122d7c05fa3,!1,[[10,0],[7,[0,10]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xab81c161c559a,!1,[[10,0],[7,[0,10]]]],[21,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd2d0c3be6cc12,!1,[[1,[2,"bf1"]],[3,1]]],
[-1,cr.system_object.prototype.acts.SetTimescale,null,716471236740234,!1,[[0,[0,0]]]]],[[0,null,!1,null,0xca343d140d29f,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9883742141041220,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5597713720329322,!1,[[4,30],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9126060018677620,!1,[[1,[2,"stage10"]],[3,1]]]]],[0,null,!1,null,5226960122930222,[[45,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,
null,0,!1,!1,!1,7747062201153416,!1,[[1,[2,"Hsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5929498819229047,!1,[[11,"Hammer"],[7,[20,45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Hsave"]]]]]]]]]],[0,null,!1,null,0xc7795a47c6910,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6704177452735763,!1,[[11,"bgSound"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,8379318913610243,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5613191722696293,!1,[[0,
[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x735ca9a0bbce4,!1,[[11,"sound"],[7,[0,1]]]]]]]],[0,null,!1,null,7276684569966152,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,772993729602404,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0x55257a49fb427,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6902606630282566,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xdd296d75854e3,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,-15]],[1,[2,"bgs"]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,6668299968845825,!1,[[11,"sound"],[7,[0,25]]]]]]]],[0,null,!1,null,0xa5cfc03eeac7c,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,758251332626334,!1,[[4,30]]]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,0xbb731e1e5bf19,!1,[[0,[1,1]]]],[30,cr.plugins_.Sprite.prototype.acts.Destroy,null,9259044835999904,!1],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,9939606304145884,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,
null,6831733256686842,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,779001914340616,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8861371451896522,!1,[[11,"bgSound"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5551341180218791,!1,[[11,"waveActive"],[7,[2,"on"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x3c77d83e14c43,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8009805594756253,
!1,[[1,[2,"bgs"]],[3,1]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x404267102c93f,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetVar,null,68777030506109,!1,[[11,"sound"],[7,[0,25]]]]]],[0,null,!1,null,6871494738943463,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,4669848244170151,!1]],[[26,cr.plugins_.TiledBg.prototype.acts.SetHeight,null,5877836247456341,!1,[[0,[23,"BananaCD"]]]],[47,cr.plugins_.TiledBg.prototype.acts.SetWidth,null,5234959642598269,
!1,[[0,[23,"wavepercent"]]]],[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,6439656313843428,!1,[[0,[0,10]]]],[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,6638391717673666,!1,[[0,[0,10]]]],[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,9052633659213946,!1,[[0,[0,10]]]],[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,941750244016113,!1,[[0,[0,10]]]],[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xdb3c7cf9a3dd,!1,[[0,[0,10]]]],[24,cr.plugins_.Text.prototype.acts.SetText,
null,9515572066759676,!1,[[7,[23,"Hammer"]]]],[37,cr.plugins_.Sprite.prototype.acts.SetSize,null,0xe05da902d41fd,!1,[[0,[0,120]],[0,[0,120]]]]]],[0,null,!1,null,0x728041f46b567,[[11,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,7193907842216017,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xac2d745ba0beb,!1,[[0,[0,50]]]]]],[0,null,!1,null,0xa7405de9ee2ad,
[[12,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,8783866080272742,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x3e01309aeffab,!1,[[0,[0,50]]]]]],[0,null,!1,null,8439460237345476,[[13,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,6953260330279617,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]]],[[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,4957096354757424,!1,[[0,[0,50]]]]]],[0,null,!1,null,7468039915745257,[[14,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,6205487166760385,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,9527991653587192,!1,[[0,[0,50]]]]]],[0,null,!1,null,0xdf08d4fc84eb5,[[15,cr.plugins_.Sprite.prototype.cnds.PickDistance,
null,0,!1,!1,!0,0x880e448e0b8d2,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xcf1d7cbbd881f,!1,[[0,[0,50]]]]]],[0,null,!1,null,5970741075094623,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,64799902924812,!1,[[11,"CrBanana"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,5627129333675144,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7224104288811885,
!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x4cc6e741420cf,!1,[[11,"BananaCD"],[7,[0,5]]]]]]]],[0,null,!1,null,0xd7a78cfa269f7,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4756152064818448,!1,[[11,"BananaCD"],[8,5],[7,[0,65]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x604f14032e49a,!1,[[11,"CrBanana"],[7,[2,"off"]]]]],[[0,null,!1,null,65684459044389,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6951226004539016,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,5923264735957737,!1,[[4,27],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,2407587706833,!1,[[4,32],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xf074946312b99,
!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",7258987755714848,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x48393092a9c22,!1,[[11,"BananaCD"],[7,[0,0]]]]]]]],[0,null,!1,null,0xe7bf1561b9700,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x9a4980e9486e8,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x390d59149c025,!1,[[4,11],[0,[0,0]],[0,[0,0]]]]],[[27,
cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",8433340802278945,!1,[[3,0]]]],[[0,null,!1,null,8846571786263106,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x686c9b6a8ad1e,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8282559591113532,!1,[[4,33],[5,[2,"1"]],[0,[0,50]],[0,[0,160]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5b4620cd8a781,!1,[[0,[20,11,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,11,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x5882dd9e9af0c,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[11,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xda1d7d3d6f613,!1]]]]],[0,null,!1,null,0x936bddbcfc92d,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,6274382543506761,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6292610128760132,!1,[[4,12],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
"DragDrop",4620341800252271,!1,[[3,0]]]],[[0,null,!1,null,0xee3aa6bf856ce,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbed54ca7271c,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x5f51707f8681d,!1,[[4,33],[5,[2,"2"]],[0,[0,50]],[0,[0,256]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,4837213289270345,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,0x476f6d464247a,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[12,cr.plugins_.Sprite.prototype.acts.Destroy,null,857986242640109,!1]]]]],[0,null,!1,null,9464482816739024,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,4808031498161318,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,465606216387544,!1,[[4,13],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0xca30ea8c01d81,!1,[[3,0]]]],[[0,null,
!1,null,8131063640841866,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8166755064593034,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x782951769dbc2,!1,[[4,33],[5,[2,"3"]],[0,[0,50]],[0,[0,352]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,7873923332881874,!1,[[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9291127439376322,!1,[[2,["dragdrop",!1]],
[3,0],[0,[0,0]],[1,[2,"fx"]]]],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb82b0d35938a0,!1]]]]],[0,null,!1,null,0x8d9f5099c95a4,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x5fce8fd8db2f5,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7979321792656678,!1,[[4,14],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",4978784161390813,!1,[[3,0]]]],[[0,null,!1,null,8778154700140588,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x580b239286f12,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9474359870554060,!1,[[4,33],[5,[2,"4"]],[0,[0,50]],[0,[0,448]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,8799162372198729,!1,[[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,30958380244297,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9578372416303296,!1]]]]],[0,null,!1,null,4999283465297711,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x5cad4fcaf7c02,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,418230699252966,!1,[[4,15],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",5067612467413439,!1,[[3,0]]]],[[0,null,!1,null,0x41afe03b855ed,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9714485168499992,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,987512113839459,!1,[[4,33],[5,[2,"5"]],[0,[0,50]],[0,[0,544]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,6367762049354648,!1,[[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9846512028519308,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x4e061bb99a039,!1]]]]],[0,null,!1,null,6172856010546736,[[33,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,8025572015167183,!1,[[4,27]]]],[],[[0,null,!1,null,8553927438072463,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4997599658469122,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,24015408747958,!1,[[4,0],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xc2aeee3d7e710,!1,
[[4,32],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[33,cr.plugins_.Sprite.prototype.acts.Destroy,null,4560581689192041,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x599836603c017,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,7014479945487889,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8816919006961641,
!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,0xc057b3c90578,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8634914202276731,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xe59b1e2853ca9,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0xd7ba10f05c8de,!1,[[3,0]]]],[[0,null,!1,null,0x69bfea526aeed,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7612434907323873,!1]],[[29,
cr.plugins_.Audio.prototype.acts.Play,null,8569565945802081,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,5027446781304968,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe447650e38069,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,4693772332914905,
!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5784002562733256,!1,[[4,1],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,7670538941463457,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x62640442067d0,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,6889463899004876,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,0x759a5d49dcbe0,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9399186273238052,!1,[[4,4],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,6606571245062234,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,383127376378714,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9908850421707592,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[4,cr.plugins_.Sprite.prototype.acts.Spawn,null,9707000689747468,!1,[[4,39],[5,[20,4,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[4,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x792bdc42c2141,!1,[[10,0],[7,[0,30]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc386e8208c81,!1],[-1,cr.system_object.prototype.acts.SetVar,null,7670999263572885,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9797639908164066,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,5254224345938836,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x5212abdd7e150,
!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x7c1a90237d07b,!1,[[4,5],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x4ff46617655d9,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd34bd830550a4,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8502675558027628,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[5,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe6d90bd66e65d,!1,[[4,39],[5,[20,5,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[7,[0,0]]]],[5,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6944979630050352,!1,[[10,0],[7,[0,50]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xede1f4fed6cbe,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xbb1a9bbf75b,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[5,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8229748582278949,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0x6c7154bc98055,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x649f4f4c5ae41,!1],[27,
cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9006237656390182,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x9e351d84cdbcd,!1,[[3,0]]]],[[0,null,!1,null,6834430664543443,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6129842124008969,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,7264118975370535,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6734616979912173,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0xcdf7718ec0f3d,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,641678447937669,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x6fc7126f15841,!1,[[4,0],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,7278428540504609,!1],[-1,cr.system_object.prototype.acts.SetVar,null,6849194385510878,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,0xa3f9a30835e8f,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,501130063590892,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,866093948744774,
!1,[[4,37],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x487e18e127956,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6246251276178396,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9991701853946432,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4704604317706711,!1,[[4,0],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9832895762902224,!1,[[4,39],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[37,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb0c92b2316dd1,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,5281820316254987,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x8083b62b8201d,!1,[[11,"CrBanana"],[7,
[2,"on"]]]]]]]],[0,null,!1,null,5566450216581436,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xc0ee96613da7c,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,4819273126975371,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,4712424768373281,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9453491782867836,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,7761268496439762,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],
[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,5006670988205873,!1,[[4,39],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7971650762140272,!1,[[10,2],[7,[0,15]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,7827591406864435,!1],[-1,cr.system_object.prototype.acts.SetVar,null,8347429458229348,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6237200122924542,!1,[[1,[2,"idle"]],
[3,1]]]]]]],[0,null,!1,null,8245629648052464,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9748926953615240,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xb5f4e48ced137,!1,[[4,3],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,5294388631868808,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x70420641a44ba,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x8a2f64bc6479b,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],
[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xf471de2068ca2,!1,[[4,39],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[3,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8822682336261599,!1,[[10,0],[7,[0,20]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,9978074115549164,!1],[-1,cr.system_object.prototype.acts.SetVar,null,7629772971296132,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf27e80abffd55,!1,[[1,[2,"idle"]],
[3,1]]]]]]],[0,null,!1,null,9215112755704652,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xad046397fbcc2,!1,[[11,"wavecount"],[8,0],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xf5bf68bed1c85,!1,[[11,"wavepercent"],[7,[0,50]]]]]],[0,null,!1,null,6764422810518079,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf5fbf988d354,!1,[[11,"wavecount"],[8,0],[7,[0,30]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xf5bbd6cb5ad41,!1,[[11,"wavepercent"],
[7,[0,100]]]]]],[0,null,!1,null,6444238080149751,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7903501891337852,!1,[[11,"wavecount"],[8,0],[7,[0,55]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5718695821668518,!1,[[11,"wavepercent"],[7,[0,150]]]]]],[0,null,!1,null,0x8eeb20ee9f538,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8d6c110a83dbc,!1,[[11,"wavecount"],[8,5],[7,[0,100]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6906191277762,!1,[[11,
"wavepercent"],[7,[0,200]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x61ad322ea3ef6,!1,[[11,"waveActive"],[7,[2,"off"]]]]]],[0,null,!1,null,0xd2784a4eeb7c2,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbb99e0fa5462b,!1,[[11,"waveActive"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,0x7327f62119008,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8491267570166362,!1,[[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,7888953802488546,!1,[[11,"skeleton1"],
[7,[0,1]]]]]],[0,null,!1,null,0xc3d4a4f25de83,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9545390114888388,!1,[[11,"wavecount"],[8,5],[7,[0,6]]]]],[],[[0,null,!1,null,6105987904784478,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xc5e93e531d65d,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,5867417629438435,!1,[[11,"skeleton2"],[7,[0,1]]]]]]]],[0,null,!1,null,941859171485916,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd58c882eb80f1,
!1,[[11,"wavecount"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,5180286269360615,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xf6b3034f51c0d,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,8022219032762778,!1,[[11,"skeleton3"],[7,[0,1]]]]]]]],[0,null,!1,null,0xd7fc5ad58a625,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6a2c12a15ebb3,!1,[[11,"wavecount"],[8,5],[7,[0,50]]]]],[],[[0,null,!1,null,0xc20b63adc8745,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,395408251533052,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x776e6471b732d,!1,[[11,"skefly1"],[7,[0,1]]]]]]]],[0,null,!1,null,794659332883624,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6986485372725185,!1,[[11,"wavecount"],[8,5],[7,[0,80]]]]],[],[[0,null,!1,null,6020822275379309,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,626682212140281,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x54b493fb4cde2,!1,[[11,
"skeleton4"],[7,[0,1]]]]]]]]]],[0,null,!1,null,0x9f0aa48d632c4,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb361fe8fcdb85,!1,[[11,"skeleton1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,322690668976396,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5730733458775615,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xfefa6640b4c86,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,4620556765327282,!1,[[10,0],[7,[2,"weeker"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xf42f06af8d7d,!1,[[10,3],[7,[0,7]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5029607943136805,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.AddVar,null,596157674629816,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0xae2ecaba70e39,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xafc5f8da1aa27,!1,[[10,0],[8,0],[7,[2,"weeker"]]]]],
[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5250016900761995,!1,[[1,[2,"weeker"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xb69e1678de65d,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5679790159359651,!1,[[0,[0,10]]]]]],[0,null,!1,null,0xb4f852bad9a82,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x52df386bf8154,!1,[[11,"skeleton2"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,632848388852487,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xf980aa9c800fc,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x949237c6b3f91,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,953311680016218,!1,[[10,0],[7,[2,"spider"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6281218134581831,!1,[[10,3],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xa37d38607c195,!1,[[11,"skeleton2"],
[7,[0,16]]]],[-1,cr.system_object.prototype.acts.AddVar,null,7002233423916403,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,6909805590226158,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x8906a63e7b999,!1,[[10,0],[8,0],[7,[2,"spider"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7241679411614739,!1,[[1,[2,"spider"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x7e589774ade9b,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",0x58ddccc9eaab0,!1,[[0,[0,30]]]]]],[0,null,!1,null,7191166676141945,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x683d5eaf221b3,!1,[[11,"skeleton3"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,8882882291776853,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9907733578930772,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5664752617023393,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],
[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x7abbcf75f6558,!1,[[10,0],[7,[2,"shielding"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5918739730283442,!1,[[10,3],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xd6511aa88efad,!1,[[11,"skeleton3"],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.AddVar,null,73581527192355,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,9659695798220658,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,
!1,!1,!1,6297074048625983,!1,[[10,0],[8,0],[7,[2,"shielding"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xbc514be988ae9,!1,[[1,[2,"shielding"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x89d9f6c05ed80,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",9335014645886048,!1,[[0,[0,10]]]]]],[0,null,!1,null,0x5afe6cfada909,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xee69d63703b70,!1,[[11,"skeleton4"],[8,0],[7,[0,
0]]]]],[],[[0,null,!1,null,0xad2eaefd8ac1c,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x8c0f5cd5a095,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7161721812723761,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6308881162888887,!1,[[10,0],[7,[2,"spartan"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x39e2b6809dc34,!1,[[10,3],[7,
[0,30]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5663918712547918,!1,[[11,"skeleton4"],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xae7b62f135ef9,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,8196858045026345,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7874626330252456,!1,[[10,0],[8,0],[7,[2,"spartan"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe926f62793155,!1,[[1,[2,"spartan"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,5323611495507586,!1,[[10,1],[7,[0,3]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",7917434463499225,!1,[[0,[0,10]]]]]],[0,null,!1,null,8785031301874396,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,699569934368816,!1,[[11,"skefly1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,7393415146097244,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf1cb041e86e5b,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x876c1230de40d,!1,[[4,50],[5,[2,"other"]],
[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,835538913511213,!1,[[10,2],[7,[2,"skebat"]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x7455009242ce5,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9195a17cafb84,!1,[[11,"skefly1"],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x93395e578e3b9,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,4870351079817714,
[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9088695695165812,!1,[[4,16]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9e99ba3954f1f,!1,[[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,9586447221094324,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5968207468345195,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xc83f0ac8f25b,!1,[[2,["enemyon",!1]],[3,0],[0,[0,
0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,8846799276812971,!1,[[5,[2,"1"]]]]]]]],[0,null,!1,null,0x707a9a8c543dd,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9578238442611584,!1,[[4,17]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,5133053454625602,!1,[[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0x4cf86b13f58b3,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5404144971964578,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8915150359037337,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,4562386940822299,!1,[[5,[2,"2"]]]]]]]],[0,null,!1,null,6394368821522163,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x76e9245628aeb,!1,[[4,18]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,7134702564545309,!1,[[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,
null]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0x67d6a298cb8b0,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9169051845292816,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,5080478476959174,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,9439469036692160,!1,[[5,[2,"3"]]]]]]]],[0,null,!1,null,9905092426058628,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xee4e4e7aca916,
!1,[[4,19]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x89f615773e4da,!1,[[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0x59f56f1458848,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7327820997606797,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,7871372706940448,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,9338528551078782,
!1,[[5,[2,"4"]]]]]]]],[0,null,!1,null,5059555029286687,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8512901165032539,!1,[[4,20]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,5709507280141359,!1,[[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,5688309641668864,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x3ee4cfc794ac6,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,
null,6816250482793422,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0xe7bdef630d321,!1,[[5,[2,"5"]]]]]]]],[0,null,!1,null,6130339053060971,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8425521876858381,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,642599674504445,!1,[[10,0],[8,5],[7,[0,1]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x594c69e5bcf46,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,
null,5330219183395526,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[34,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,37438627718717,!1,[[10,0],[7,[0,1]]]],[34,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc6f3652e028b0,!1,[[1,[2,"destroy"]],[3,1]]]]],[0,null,!1,null,0xd62b88ad920bb,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9120344236533724,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4638124569719089,
!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,5903601903379051,!1,[[0,[4,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,80]]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,349096853669419,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x98274279eed26,!1,[[10,3],[7,[0,1]]]],[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,8304695447532463,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xa5da959736873,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0xa5d977d0b5b70,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7941178061921301,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x45d5a850dee2f,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xac1c3953f1826,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x66e2b01413cf6,!1,[[4,37],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x639717269f812,!1,[[4,36],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,624698346874309,!1]]]]],[0,null,!1,null,8048195388845741,[[0,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,0x624545eb6f8b3,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,4921175465515853,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8769156014323825,!1,[[10,0],[8,3],[7,[0,5]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7786420734744657,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,297800816945007,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9424304874501704,!1,[[10,0],[8,5],[7,[0,6]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x50b57eaaed53c,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0x5973a1cfb4777,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,563004390183707,!1,[[4,4]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xef9aad36efb9c,!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x3a4d3322e3e2a,!1,[[0,[4,[20,4,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,100]]],[0,[20,4,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,
null,7059632630672343,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6735226664847087,!1,[[10,3],[7,[21,4,!1,null,1]]]],[4,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x5187045794b6b,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5764414322013677,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,8104189057478678,[[4,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,6505200105907202,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6879693606408063,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4801271482228451,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xe11ec26dcbce4,!1,[[4,37],[5,[20,4,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,4,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,4,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[4,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xbae46327c835d,
!1,[[4,36],[5,[20,4,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[4,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd5b72b639a22b,!1]]]]],[0,null,!1,null,0xaf2a639688821,[[4,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0x845847bcebe5d,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,5410221937067986,[[4,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x5f386953391a9,!1,[[10,0],[8,3],[7,[0,10]]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x99e8b410bddf8,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,26246269659515,[[4,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4910462268524264,!1,[[10,0],[8,5],[7,[0,11]]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7544257978870557,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0x9bbfedbdf5289,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5284935063288835,!1,[[4,5]]]],[[5,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6779009035380812,!1,
[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x49e8cf77b1c03,!1,[[0,[4,[20,5,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,100]]],[0,[20,5,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,5742701068838703,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x822b99830014b,!1,[[10,3],[7,[21,5,!1,null,1]]]],[4,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,7209462744307542,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6588835508984155,!1,[[2,["swordhitting",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,6689262042170745,[[5,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd369b9d2bb887,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,554317101091544,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9002356823514063,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4637741732194619,!1,[[4,37],[5,[20,5,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,5,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,5,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[5,cr.plugins_.Sprite.prototype.acts.Spawn,null,7696445798134536,!1,[[4,36],[5,[20,5,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[5,cr.plugins_.Sprite.prototype.acts.Destroy,null,7768200468434907,!1]]]]],[0,null,!1,null,0xee47fedb4b6fd,[[5,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,0x6c2b9f97c5326,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,8849924298895502,[[5,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9508937066433312,!1,[[10,0],[8,3],[7,[0,10]]]]],[[5,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5221003282024226,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,0x984d00ea33701,[[5,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5633135292821231,!1,[[10,0],[8,5],[7,[0,11]]]]],[[5,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,925132672666523,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,8211175109399308,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x7da8ceb3a1aef,!1,[[5,[2,"1"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7571094058877541,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,0xffee165cc6773,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9500211315738672,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7979675961280137,!1,[[10,0],[7,
[0,1]]]]]],[0,null,!1,null,587471516706471,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6141071394385342,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,17875203484901,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9517414101197684,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xcbba305eacc21,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5202239667587008,
!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xd3e2b7a66613e,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,5840958114255922,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,6888075486455016,!1,[[5,[2,"2"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xcda6eb1adef4f,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,0x7060f67184acf,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7346931757623778,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,5947731820807944,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x44a27f465cf34,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9641064997778464,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7113868563796608,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6f52bc3c4d12,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,5403285947318746,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xbc539e2c76a16,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6588808044193658,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,6436588258252991,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xd40ed2beffef1,!1,[[5,[2,"3"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9324208942417368,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,0x5c027ccb3bd53,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8036412608816821,!1,[[0,
[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6589921865616834,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,5586983860348256,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x596dc18998659,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xea0e47583c3f,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8219480486296465,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,7134777372587204,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8074776277040997,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7061230149836055,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,6723038792075503,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9052153356789268,!1,[[5,[2,"4"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x3ad787a9a8427,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,0xf5cff0ccf823c,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,4632050330980785,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,50265358635858,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,7491484192842652,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd0068197e1037,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xe0a0ec171e9c3,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xcc38170b97009,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8e51b9970db1a,!1,[[4,38],[5,
[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8226342038413344,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xffb5d6cc17507,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,7118950519406091,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x9298e9f021b24,!1,[[5,[2,"5"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5660088369199889,!1,[[5,[2,"5"]]]]],[],
[[0,null,!1,null,9766820259881302,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5296091101623681,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9721625150844376,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,404424279282507,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9551582342913174,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7188287865834413,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9958828561389598,!1]],
[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x98d7d422aeaf4,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc351296795422,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,898476906345811,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,4820674425606547,[[1,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0x7dcac3011c316,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,
null,6023227208748133,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xec2d2bf0f7653,!1,[[10,1],[8,3],[7,[0,4]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7681096346365108,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,8471149097296658,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd7eaee4e7eaa1,!1,[[10,1],[8,5],[7,[0,5]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6235275518842533,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,
null,4709592925129786,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7756002713770891,!1,[[4,38]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6293312792493873,!1,[[10,3],[7,[0,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,5392766083297775,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[38,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x64b2f22b6194f,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x3ec53f61fd3d1,
!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,290860353572176,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xc3d9c21ae4ce6,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",550800044008297,!1,[[0,[0,0]]]]],[[0,null,!1,null,4829549516641366,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x6943dcaf18387,!1,[[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,9769681038398696,!1,[[4,
36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,902928703045147,!1,[[10,1],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,7566094626961876,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xc32d5f89b2b64,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xcf0bb4baaf36e,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9735278615115426,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,6765594808659591,!1,[[4,37],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xb96f8b4576edf,!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9440222649133792,!1]]]]],[0,null,!1,null,6352584783984911,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x82d38de48d4b2,!1,[[5,[2,"1"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xb7e1f09d0ec4f,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,6691734964625491,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xee69ffcdd263d,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xd4054b6f8c0cf,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
0x992260225be83,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xdffd634cdcb15,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5762590009265459,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x769f6213246f3,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,9446843719350396,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",5834205780443456,!1,[[0,[0,
-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8630920103189546,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7577124693637906,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,551555525259928,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7342530047014229,!1,[[5,[2,"2"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x725d5019f0c75,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,0xbc1bd55fc1069,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,7899919707084942,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5167992665824878,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,5692691150824893,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6748892638171683,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8730431871900071,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5838830699596459,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,284631155304505,!1,[[4,48],
[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",6734093435734924,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8559513621165557,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x9a67c543720a6,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,5200859825739155,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,698788489388121,!1,[[5,[2,"3"]]]],
[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,6412308773499788,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,0x6d59a05377c89,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xf677fbc4e3198,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xd11ab480b494f,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x97e6a9f43496d,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x9a7534e98c5c5,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9217088955260068,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb5fe44b1533a6,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,5854712748203529,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",6743696335462504,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8528262993159389,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x4cd0c0af54bcd,
!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,5514641130036042,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,86268749328537,!1,[[5,[2,"4"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xd685e74a5fe5b,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,7589662509218102,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,450175262498906,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xd8c66ef09a54b,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
9956602622777948,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4669821088147105,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x4551338df1550,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5172947809726305,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,5202954894228086,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0xebb4677856e0b,!1,[[0,[0,
-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb9caca4b66ffa,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5945077972745816,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,282702060433799,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8927310097943929,!1,[[5,[2,"5"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9126079112781192,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,0xcef4e6839c365,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,397696591222514,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9917199329429004,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,8183790714084399,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8801187168344618,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9211295228945428,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,364343055599578,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,5543974699943846,!1,[[4,48],
[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",5114410083295861,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x80f1e9dcd948a,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7466400904807895,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,7434588251654173,[[50,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,6655879937203266,!1]],[],[[0,null,
!1,null,9831813857002148,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x512540c5c3813,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x82cca6bf74609,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xd47cc5ce2b94c,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5538821099689797,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7438653753977243,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8257423425999633,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0xdfda74ec11575,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0xa8c93f7991722,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9683961185377840,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,831683926346604,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,5907715875162567,[[2,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,
!1,0x97679a425dc08,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,0x53ecd578a99d6,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8669690004046576,!1,[[10,2],[8,3],[7,[0,7]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7488504714258832,!1,[[1,[2,"fall"]],[3,1]]]]],[0,null,!1,null,7981489047391457,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x46129fbf7ada5,!1,[[10,2],[8,5],[7,[0,8]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5775348674726091,
!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0x78c218c908d0c,[[48,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,8638088103495668,!1,[[8,5],[0,[0,640]]]]],[[48,cr.plugins_.Sprite.prototype.acts.Spawn,null,833496622148717,!1,[[4,49],[5,[20,48,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,9196115346579018,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xa2cf7e63cdddd,!1,[[2,["dragdrop",!1]],[3,0],[0,
[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,8746774155443394,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8135980640754834,!1,[[4,48]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,862035123454004,!1,[[10,3],[7,[21,2,!1,null,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xfa7441e51c259,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x8ab08fdf08343,!1],[29,cr.plugins_.Audio.prototype.acts.Play,
null,6440759154182916,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,497390365938998,[[48,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8101242182307112,!1,[[4,50]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6580516889232873,!1,[[10,0],[7,[21,2,!1,null,1]]]],[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,7802384057275884,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7561589948745577,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x3c7ff56a3d547,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,7928405707822432,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5285379805597984,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x88a39df4da60b,!1,[[0,[0,0]]]]],[[0,null,!1,null,0xafca6ff499247,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xb56b398db361c,
!1,[[0,[0,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x56b4a2d3f2af6,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8868332777693102,!1,[[10,2],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,855803480317387,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7192886599955648,!1,[[10,2],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xad2e27c214c05,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,9680575886559388,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7417700310202363,!1,[[4,37],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5964350738144123,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,
2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[2,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x5d58ab569cfbb,!1]]]]],[0,null,!1,null,8445173116905858,[[50,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,0xc7da0f91ddcef,!1,[[8,5],[0,[0,100]]]]],[],[[0,null,!1,null,9900811562879724,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7665920815941728,!1,[[0,[1,1]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8898521688881939,!1,[[10,1],[7,[0,1]]]]]]]],
[0,null,!1,null,9236237197683956,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8052424169709904,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xbf85b67285631,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7912198784174874,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,7022112489232272,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,4632932788237559,!1]]]]],
[0,null,!1,null,381967070731483,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8335763512667,!1,[[10,0],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,0xa5f15f649915b,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5882753309486079,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,7250293558151136,!1,[[4,54],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,0xb84fb6dc48343,[[50,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,
null,1,!1,!1,!1,863483592395557,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xfe01b9ce5b911,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,0x872a4429200cf,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9719462950159958,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6385045427805938,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8903468711125088,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,4691200438099177,!1,[[4,51],[5,[20,50,
cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8320084346310931,!1,[[1,[2,"shoot"]],[3,1]]],[51,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xaa01b6a554678,!1,[[0,[20,86,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,86,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5458127196804244,!1,[[10,1],[7,[0,5]]]]]]]],[0,null,!1,null,4672028761010904,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,6325941037013265,!1,[[4,2]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x5756c2aaf3002,!1,[[10,2],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x400c37d5f071a,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x528b0ec55bd88,!1]]],[0,null,!1,null,0x4fb5c84627acb,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6618700107577553,!1,[[4,
1]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4865880732570803,!1,[[10,1],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,6545323773140723,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xab0a9decfa834,!1]]],[0,null,!1,null,0x6e8efaf8b28df,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7000166756109173,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,9340444704267664,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,4721016909155453,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,6611878989427888,!1]]],[0,null,!1,null,8850050077750756,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9979210638208460,!1,[[4,3]]]],[[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xc0806773ecc3c,!1,[[10,0],[7,
[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x61bd0a169c086,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,8608793452604366,!1]]],[0,null,!1,null,0xb0097ecdfafb1,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8894677818633961,!1,[[4,4]]]],[[4,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xfe07fe332ae79,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,
null,577725792260675,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xbb487dd092aea,!1]]],[0,null,!1,null,6399718719782591,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,736810747489831,!1,[[4,5]]]],[[5,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x9a0f2bebd96e5,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,5555332145833522,!1,[[4,36],[5,[20,
51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x4e19862963a3b,!1]]],[0,null,!1,null,0x8e5840e6f6b24,[[50,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,8279835386013147,!1,[[1,[2,"shoot"]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd5dc5ac83ad5a,!1,[[1,[2,"idle"]],[3,1]]]]],[0,null,!1,null,8651729067151193,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,697112419406829,!1]],
[],[[0,null,!1,null,477122707438094,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7716023948168638,!1,[[0,[1,1]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xcfba082b98ed,!1,[[10,1],[7,[0,1]]]]]]]],[0,null,!1,null,496593605957162,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9026049655182944,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7288729442899656,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x8c2f1e2093c33,!1]],
[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7428120513933135,!1,[[1,[2,"shoot"]],[3,1]]],[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8b474799438d0,!1,[[4,58],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[58,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,4669472484369827,!1,[[0,[20,35,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,35,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[3,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6541961261382015,
!1,[[10,1],[7,[0,3]]]]]]]],[0,null,!1,null,6146628803334256,[[3,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0xe9bed7da9b4cd,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,0xe33d1fe9e6f04,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb34f1c9432ce3,!1,[[10,0],[8,3],[7,[0,10]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6479509529122896,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,4635294186366058,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,7068029683104844,!1,[[10,0],[8,5],[7,[0,11]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5240426287937674,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0x5bbb224af024f,[[58,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6452364566197602,!1,[[4,35]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xbb721aedae735,!1,[[10,3],[7,[21,3,!1,null,2]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xd1291e370647d,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,
0]],[1,[2,"fx"]]]],[58,cr.plugins_.Sprite.prototype.acts.Destroy,null,7032168790448786,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xab50f96f651d0,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,0xe89bcd2a3e7b7,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,4834233107458816,!1,[[4,3],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5692108483938466,!1,[[0,[0,0]]]]],[[0,null,
!1,null,0xd6890fa8e374,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x3db8d5af53955,!1,[[0,[0,1]]]]],[[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,5208765685020161,!1,[[4,36],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xcdc6640dc5d87,!1,[[10,0],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,8917451161361033,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xaf55c59a461f,!1,
[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xc8e1b4456c9e4,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb744743eac98a,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5751416383487374,!1,[[4,37],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xcbb3bd280acc7,!1,[[4,36],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[3,cr.plugins_.Sprite.prototype.acts.Destroy,null,5895038450171256,!1]]]]],[0,null,!1,null,6727523263785664,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x4f117e824f5c9,!1,[[10,3],[8,3],[7,[0,0]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,6756660951598538,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,4589188924310411,!1,[[2,["enemydie",
!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,9343014592476604,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xfcc6eaa03341b,!1,[[10,3],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,8762364213812993,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,403349184234073,!1]],[[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,9954493123563378,!1,[[4,54],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,7732515605131627,
[[35,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,0xcb5cae1d76a80,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,515612496946751,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,0xb11f815e17ef5,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6355042241348261,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd9bbad9a74a0a,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x8a5eff1cc1929,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,7924586548045913,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xf320dfe4b1b47,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9762961400835208,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9266839995396500,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xd957a2f9ff373,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x932f8de7eb95,
!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5796925538298102,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,9015241964523968,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,7957495126582579,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,
null,8743924365157213,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x9f8a89b60413,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,6591182834220503,[[50,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,0x93375c330e834,!1]],[],[[0,null,!1,null,9496479415826256,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x8b40921edf776,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,7218259427652643,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,0x3907ccb12c877,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5536760093964636,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,6207486175340563,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4927164946495425,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4ffc7f07e4e2a,!1,[[1,[2,"lose"]],[3,1]]],[40,
cr.plugins_.Sprite.prototype.acts.Spawn,null,0x899b4617f653a,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,6073359761865438,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,501971642024304,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,759830916294406,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,
0xc614fa3f53c94,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,512418545386476,!1,[[11,"enemykill"],[8,5],[7,[0,100]]]]],[],[[0,null,!1,null,4533295168170303,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x7364fdcc2694f,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,766783129621255,!1,[[11,"CurrentLvl"],[7,[0,11]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xfc4886bf5a2fc,!1,[[11,"Hammer"],[7,[0,10]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,8147835725815269,!1,[[1,[2,"Hsave"]],[7,[23,"Hammer"]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x8eccd0001653a,!1,[[1,[2,"Lsave"]],[7,[23,"CurrentLvl"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,5964784996776619,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,964714836213472,!1,[[2,["winning",!1]],[3,0],[0,[0,0]],[1,[2,"win"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7722288641411208,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,0xbe14a6a7e5499,!1,[[1,[2,"bgs"]],[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6510099555180079,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4c890f9c88d1f,!1,[[1,[2,"win"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,5708217928831173,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x5aa1132366aa4,!1,[[4,44],[5,
[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,8964855110913039,!1,[[4,43],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,9725449144244254,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,7321124134958531,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,0x898cb40897c27,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,6949038590194019,!1,[[4,41]]]],[],[[0,null,!1,null,0x6916ebbe6eb63,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,8943197670048486,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9915206162074668,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,7871352868310187,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x4d022d2ffe9f4,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8656423437814275,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.RestartLayout,
null,4741587887954422,!1]]]]],[0,null,!1,null,0x9d2f22de5f77c,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,534518506015327,!1,[[4,44]]]],[],[[0,null,!1,null,0xa71fc55406d9c,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0x63c4b78b4a2c6,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4657744779328727,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0x7426c279d159a,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0xa150845029947,!1]],
[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5258876740042258,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9425082260668498,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x6152c5ccfef43,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x605e5ffe1d669,!1,[[1,[2,"win"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,7249826131916699,!1,[[6,"menu"]]]]]]],[0,null,!1,null,0x5e372b7365848,[[28,
cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,7080815269994578,!1,[[4,43]]]],[],[[0,null,!1,null,8632705439135905,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,9303424272543188,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcee7a2a9c9f52,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0xbeb9922761343,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,7183585099957426,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x7aed8be739d67,
!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9239949379934498,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xd109bbb45467a,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7129987044971712,!1,[[1,[2,"win"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,5882627077448815,!1,[[6,"stage11"]]]]]]],[0,null,!1,null,9138681637669140,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,
!1,!1,0x9878740c466ad,!1,[[4,22]]]],[],[[0,null,!1,null,4677341949106833,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb3793feae6293,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x89cda20aa69d1,!1,[[4,46],[5,[2,"dialogLayer"]],[0,[0,506]],[0,[0,325]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,8667253608055227,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,7308289447893354,!1,[[0,[0,0]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0xb8f055b4d419,!1,[[4,42],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe5d32ba8bd054,!1,[[4,41],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,8226141121966858,!1,[[4,44],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,9560204868023132,!1,[[0,[0,961]],[0,[0,
-37]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7517047257691913,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9499255373292762,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xf39a0fbdce4aa,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x8339a6822d918,!1,[[1,[2,"startsound"]],[3,0]]]]]]],[0,null,!1,null,9153733942263896,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,7886535596361329,
!1,[[4,42]]]],[],[[0,null,!1,null,7850137468863712,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,5858327011681812,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xae4b79955f0e,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,4734792045475708,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,9567278965549176,!1]],[[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x43b74ccc2ce6f,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,
null,587800380604335,!1,[[0,[1,1]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,4774912277674421,!1,[[3,0]]],[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,4791264320155247,!1],[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,369772520103298,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,7455871855167328,!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,4785334756959268,!1],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,883039421666104,!1,[[1,[2,"fx"]],[3,1]]],[29,
cr.plugins_.Audio.prototype.acts.SetMuted,null,4787166796699014,!1,[[1,[2,"bgs"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7642218132256247,!1,[[1,[2,"win"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7383484322819133,!1,[[1,[2,"startsound"]],[3,1]]]]]]],[0,null,!1,null,528232778700101,[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x6c8e1c2874777,!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,530475296728883,
!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,9616907831005976,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,393667752363382,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xc5be3990065f4,!1,[[4,2],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc081d71d5e7b3,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x9dadd0d353192,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x82bd85b43c701,!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,null,6035644750276059,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xfc5862ae2f1ce,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8806942191765508,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,0x763d9ef2289cb,
[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7825523122760215,!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x7e352bc2f7b8c,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x90d21897889c2,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6723f6cadb5d4,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8326768109105501,!1,[[4,3],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xccfb873cc3813,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xc5147cc803689,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,5110164251421718,!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,null,8040559495031372,!1],[-1,cr.system_object.prototype.acts.SetVar,
null,949860876814793,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x741b1d330f17f,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,0xca328c3d25f02,[[63,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,4645232265045349,!1],[63,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x9432bf4beeea1,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,9173057313363584,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,
!1,704829168983857,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9832997384412588,!1,[[4,4],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,6700008955461873,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6457468111681338,!1,[[2,
["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,8963950900166763,!1],[63,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xcc11158bd1314,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xf8b123639680e,!1,[[11,"Awork"],[7,[2,"on"]]]],[62,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8771329188937218,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,9547166618762296,[[63,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x813d204985c7b,
!1],[63,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6972157687467168,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,8659576961996893,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5101562996843045,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,285040461461572,!1,[[4,5],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],
[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,5715065249185244,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7650088905332362,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,5654168709982021,!1],[63,cr.plugins_.Sprite.prototype.acts.Destroy,null,8205396358623621,!1],[-1,cr.system_object.prototype.acts.SetVar,null,7116854174966712,!1,[[11,"Awork"],[7,[2,
"on"]]]],[62,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xbf12bc1bf3590,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,0xb55ac51665328,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf4b79007551d,!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9426646264668272,!1,[[11,"Hammer"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,0x4e82818716c78,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4724524226685486,!1]],
[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe3ed841c884c1,!1,[[4,56],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,0xbc6ca0a3e9caf,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x681df7b67d52b,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6628469247836932,!1,[[4,53],[0,[0,0]],[0,[0,0]]]],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,490315515731144,!1,[[4,56],
[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,9026987038880588,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8968192807727783,!1]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x6ccf83fc5eb07,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,8191649859213817,!1],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4924977467785869,!1,[[1,[2,"onwork"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,4506487926680318,!1,[[2,["workman",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,370184124482285,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x778d91257f30b,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,498037235235026,!1,[[11,"Hammer"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9383784903167588,!1,[[11,"Wwork"],[7,[2,"off"]]]]]]]]]],[0,null,!1,null,6571180045307265,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa98956fbef62f,!1,[[11,"Wwork"],
[8,0],[7,[2,"off"]]]]],[],[[0,null,!1,null,9208171346441738,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x7275e78f31733,!1,[[0,[1,1]]]]],[[53,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8407816801255113,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,4857566653597204,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x853925c4e1d1d,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9258317304135144,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],
[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7e6fda88783c1,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,7800498087005589,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8744800395953903,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,518905506833754,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,6493580027186051,!1,[[1,[2,"full"]],[3,1]]]]]]]]],[0,null,!1,null,0xb33921b13c858,[[53,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7034038208527348,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6741485591373288,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xff3e0bdce42d9,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,8282090318747146,!1,[[4,52],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.Spawn,
null,8269424066564534,!1,[[4,32],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8364940053014276,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7927658955133597,!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,5148081356195604,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbdb22e98a6c93,!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,840049569976257,!1,[[11,"Hammer"],[8,2],[7,[0,10]]]]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,9765507960365448,!1]],[[0,null,!1,null,8454408951135273,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,5729293302393747,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,624259320943043,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6e02a0fecd88b,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,
!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,5099197723617575,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8039983734842987,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xa46b6e4d7941d,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,733386245184008,!1,[[1,[2,"more"]],[3,1]]]]]]]]],[0,null,!1,null,0x9afd83dd86ae9,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf58c870786d48,!1,[[11,"Awork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xefa3835308bdd,!1,[[11,"Hammer"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,0x3c1a25c2178e6,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7136976534816505,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,8165464954032511,!1,[[4,56],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,
[0,0]]]]]],[0,null,!1,null,6531600812641707,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8027449003093435,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xb0a609f712f6e,!1,[[4,62],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,7959227436959463,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf7dacaa970ce5,!1]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,8008293253368258,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x872551799c662,!1],[62,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8617974870046249,!1,[[1,[2,"onwork"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,4668483718202285,!1,[[2,["workman",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x98c335fa81d84,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.Wait,null,5281719509104276,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,956984698151951,!1,[[11,"Hammer"],[7,
[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,334444754221899,!1,[[11,"Awork"],[7,[2,"off"]]]]]]]]]],[0,null,!1,null,0xdb430f1518d4a,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7322611079334188,!1,[[11,"Awork"],[8,0],[7,[2,"off"]]]]],[],[[0,null,!1,null,5483512850918511,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x3c7fdf2697f67,!1,[[0,[1,1]]]]],[[62,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9649115399486282,!1,[[10,0],[7,[0,1]]]]]],[0,null,
!1,null,0x78d5e820237e4,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,6394097370047138,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7192491010956775,!1,[[4,62],[0,[0,0]],[0,[0,0]]]],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xd1623e106e529,!1,[[4,56],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,39754983160497,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,
1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,7607102441739698,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc812d09c27218,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,6742026938203206,!1,[[4,57],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8785657456140616,!1,[[1,[2,"full"]],[3,1]]]]]]]]],[0,null,!1,null,0x9a63a0b7b8d51,[[62,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,9981128280602564,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x9e60d4a293abb,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc19c5124e5057,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x88e5ee4e7440d,!1,[[4,63],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,7186715264868574,!1,[[4,32],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[62,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x63a14fefd2539,!1,[[1,[2,"idle"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xddf6972b1a9a,!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,365518259254556,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8996890988148999,!1,[[11,"Awork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5773977711612992,!1,[[11,"Hammer"],[8,2],[7,[0,10]]]]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,6541207968212822,
!1]],[[0,null,!1,null,428299486272286,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8113760663242342,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x4498ad9d184f9,!1,[[4,62],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,4888836746152715,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,6538929912946462,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4950670305685917,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,7741535870311256,!1,[[4,57],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x536618e89bccf,!1,[[1,[2,"more"]],[3,1]]]]]]]]],[0,null,!1,null,8850181535093012,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9923882795828466,!1,[[4,54]]]],[[54,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",8599400001513736,!1,[[0,[0,600]]]],[54,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xe7440bfc67376,!1,[[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[54,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9852620689363408,!1,[[1,[2,"blast"]],[3,1]]]]],[0,null,!1,null,7228843347926722,[[54,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x511108ee1bb25,!1,[[4,23]]]],[[54,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8367977737087767,!1],[-1,cr.system_object.prototype.acts.AddVar,null,0x5dcb153c7d964,!1,[[11,"Hammer"],[7,[0,1]]]],[23,cr.plugins_.Sprite.prototype.acts.Spawn,null,9109938323538556,!1,[[4,55],[5,[20,23,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[55,cr.plugins_.Sprite.prototype.acts.SetAngle,null,8408288316621718,!1,[[0,[19,cr.system_object.prototype.exps.random,[[0,360]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x919de5b7f055f,!1,[[2,["hamercolision",!1]],[3,
0],[0,[0,0]],[1,[2,"fx"]]]]]]]],["MenuSheet",[[0,null,!1,null,0xeb9db65d7b6ed,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,9924022317293140,!1]],[[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7311313662486276,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x58dc7f7636876,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6139810551062833,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x8f53077499948,
!1,[[1,[2,"startSound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,0x4756ad52385c6,!1,[[1,[2,"startSound"]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6436815888311868,!1,[[2,["openingsound",!1]],[3,0],[0,[0,0]],[1,[2,"openSound"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xa1538a42312d6,!1,[[3,0]]]],[[0,null,!1,null,0xf8a1f767dfe3b,[[45,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,9807640699260788,!1,[[1,[2,"Lsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,0xf9aa988790ff9,!1,[[11,"CurrentLvl"],[7,[20,45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Lsave"]]]]]]]],[0,null,!1,null,7736870804858985,[[45,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,5331700308273031,!1,[[1,[2,"Hsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7159037360460866,!1,[[11,"Hammer"],[7,[20,45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Hsave"]]]]]]]]]],[0,null,!1,null,0xdad0d79c19f4b,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8114088132529858,!1,[[11,"CurrentLvl"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,9055315228466180,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xccdeadeeca255,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4927429977331978,!1,[[4,84],[5,[2,"Gui"]],[0,[0,506]],[0,[0,308]]]],[69,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd80c84efe68f4,!1],[71,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xbc3fc4142622c,!1]]]]],[0,null,!1,null,0x3ff6816204306,[[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6647475547696082,!1,[[11,"CurrentLvl"],[8,5],[7,[0,1]]]]],[],[[0,null,!1,null,0xc5986c221bf8c,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5641823819669806,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x6e0ad5ccff088,!1,[[4,69],[5,[2,"Gui"]],[0,[0,505]],[0,[0,190]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5606468630160384,!1,[[4,70],[5,[2,"Gui"]],[0,[0,505]],[0,[0,311]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,9408010094297508,!1,[[4,71],[5,[2,"Gui"]],[0,[0,505]],[0,[0,432]]]],[84,cr.plugins_.Sprite.prototype.acts.Destroy,null,885603869149433,!1]]],[0,null,!1,null,7860317489270251,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xd493a2ceac5cb,!1,[[4,70]]]],[],[[0,null,!1,null,7434126352523808,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7453172748113021,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,483908573945477,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,0x3e6f163d8f066,!1,[[4,81],[5,[2,"dialog"]],[0,[0,502]],[0,[0,280]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x3e235abefde79,!1,[[4,82],[5,[2,"dialog"]],[0,[20,81,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,81,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xc9bb2e3596ea0,!1,[[4,83],[5,[2,"dialog"]],[0,[20,81,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,2]]]],[0,[20,
81,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,2]]]]]],[69,cr.plugins_.Sprite.prototype.acts.Destroy,null,492177153139079,!1],[70,cr.plugins_.Sprite.prototype.acts.Destroy,null,9923818535357996,!1],[71,cr.plugins_.Sprite.prototype.acts.Destroy,null,9655412826025664,!1]]],[0,null,!1,null,7376107406362222,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0xdb542c5d3a11f,!1]],[[70,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x78f7a87ee9ee4,!1,[[1,[2,"hover"]],[3,1]]]]],
[0,null,!1,null,7931897641463319,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,4511929416000626,!1]],[[70,cr.plugins_.Sprite.prototype.acts.SetAnim,null,821777515315663,!1,[[1,[2,"default"]],[3,1]]]]]]]]],[0,null,!1,null,5179852044384057,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,659784840191402,!1,[[4,69]]]],[[29,cr.plugins_.Audio.prototype.acts.Stop,null,0xb7e4ccf3ca7cf,!1,[[1,[2,"opensound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8204940994495613,
!1,[[1,[2,"opensound"]],[3,0]]]],[[0,null,!1,null,7995604739918421,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,6379068213436975,!1]],[[69,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xafcbec0c47694,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0xc8cb59d10763c,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,4627148512695027,!1]],[[69,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x9fb8628af4f9b,!1,[[1,[2,"default"]],[3,1]]]]],[0,null,!1,null,0x75211b254e367,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7640770822770541,!1,[[11,"CurrentLvl"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,6854839980300583,!1,[[6,"stage2"]]]]],[0,null,!1,null,8795533497123551,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x73589de14d0ea,!1,[[11,"CurrentLvl"],[8,0],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0x78e3119d92804,!1,[[6,"stage3"]]]]],[0,null,!1,null,4645806861037509,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xe2b403f8e74b7,!1,[[11,"CurrentLvl"],[8,0],[7,[0,4]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,6225964080780983,!1,[[6,"stage4"]]]]],[0,null,!1,null,0x77e5d477e1f55,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8675155940922352,!1,[[11,"CurrentLvl"],[8,0],[7,[0,5]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,4748262864399228,!1,[[6,"stage5"]]]]],[0,null,!1,null,0x8e32f0d6f3ecf,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,0x3c688bb485366,!1,[[11,"CurrentLvl"],[8,0],[7,[0,6]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0x9c081eb932ea0,!1,[[6,"stage6"]]]]],[0,null,!1,null,0x9bcd9f7cc2502,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6047212325412403,!1,[[11,"CurrentLvl"],[8,0],[7,[0,7]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,8071135196337456,!1,[[6,"stage7"]]]]],[0,null,!1,null,0x41ffc9e6e845e,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5289972170848918,
!1,[[11,"CurrentLvl"],[8,0],[7,[0,8]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0xec09f459d21ea,!1,[[6,"stage8"]]]]],[0,null,!1,null,9995824187067004,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6100332125301121,!1,[[11,"CurrentLvl"],[8,0],[7,[0,9]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0xe50008bb2e080,!1,[[6,"stage9"]]]]],[0,null,!1,null,9332990065967598,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9076316576475932,!1,[[11,"CurrentLvl"],
[8,0],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,8097956262256259,!1,[[6,"stage10"]]]]],[0,null,!1,null,4957287647525283,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x960f459dac40e,!1,[[11,"CurrentLvl"],[8,0],[7,[0,11]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0x3c3136fae6f42,!1,[[6,"stage11"]]]]]]],[0,null,!1,null,567344265524106,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,7903307245812943,!1,[[4,82]]]],[[29,cr.plugins_.Audio.prototype.acts.Stop,
null,6723781830426292,!1,[[1,[2,"opensound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8128156009850813,!1,[[1,[2,"opensound"]],[3,0]]]],[[0,null,!1,null,6945035492467611,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0x631951c7dd893,!1]],[[82,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9856789489675042,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0x7b18a9c8d62b7,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,5333943897846814,!1]],[[82,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x81b9cf0b51619,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x84064ccc73e8b,!1,[[6,"tutorial"]]]]]]],[0,null,!1,null,7626619153703769,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,6722871032705166,!1,[[4,83]]]],[[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xc48d3a70f628f,!1,[[1,[2,"opensound"]],[3,1]]]],[[0,null,!1,null,0x76c2aaed415fe,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xa5390f9792a33,!1]],[[-1,
cr.system_object.prototype.acts.CreateObject,null,8500298561564342,!1,[[4,69],[5,[2,"Gui"]],[0,[0,505]],[0,[0,190]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7538344064160587,!1,[[4,70],[5,[2,"Gui"]],[0,[0,505]],[0,[0,311]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xc7a540c1c79e1,!1,[[4,71],[5,[2,"Gui"]],[0,[0,505]],[0,[0,432]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,601261823267538,!1,[[3,0]]],[82,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9290437dd34a1,
!1],[83,cr.plugins_.Sprite.prototype.acts.Destroy,null,6286216841973463,!1],[81,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb41a3c54bc49b,!1]]],[0,null,!1,null,9067690075125944,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,648427705137547,!1]],[[83,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4675265081065439,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,6717261200862969,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x7e7c9da0105dc,!1]],[[83,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x554ba9c8e4cf4,!1,[[1,[2,"default"]],[3,1]]]]]]],[0,null,!1,null,0x6cc4e37028aa6,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xda5ba738dfba6,!1,[[4,71]]]],[[29,cr.plugins_.Audio.prototype.acts.Stop,null,9992034864245988,!1,[[1,[2,"opensound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7392341091817634,!1,[[1,[2,"opensound"]],[3,0]]]],[[0,null,!1,null,6123932807444027,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,6169232565729056,!1]],
[[71,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9063093431895214,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,6000001477428281,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,7694021445180559,!1]],[[71,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7867238042703646,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x5a902647a4cde,!1,[[6,"Survival"]]]]]]],[0,null,!1,null,4838085303263105,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,
0,!1,!1,!1,0xdda3cd7269c3,!1,[[4,84]]]],[[29,cr.plugins_.Audio.prototype.acts.Stop,null,8430045440109307,!1,[[1,[2,"opensound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7957286804804422,!1,[[1,[2,"opensound"]],[3,0]]]],[[0,null,!1,null,0x8e67bb3cd85af,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,7881647607137962,!1]],[[84,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7290537913895943,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0xfeb9048639eea,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
null,1,!1,!1,!1,9785833700065402,!1]],[[84,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9737799709122902,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xe566bc0d17e46,!1,[[6,"tutorial"]]]]]]],[0,null,!1,null,0x48963408d7e7d,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,5126289871014207,!1]],[[73,cr.plugins_.Text.prototype.acts.SetText,null,4772680711752161,!1,[[7,[23,"CurrentLvl"]]]],[24,cr.plugins_.Text.prototype.acts.SetText,null,7828418356577308,
!1,[[7,[23,"Hammer"]]]],[72,cr.plugins_.Text.prototype.acts.SetText,null,6172389347519836,!1,[[7,[23,"survkill"]]]]]]]],["TutorialSheet",[[0,null,!1,null,7116981890475954,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,963346406051663,!1]],[[79,cr.plugins_.CJSAds.prototype.acts.PreloadFullscreen,null,0xe6f030ac33d28,!1],[79,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0x95aa8a268e761,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5345782394915174,!1,[[2,["bgsound2",
!1]],[3,0],[0,[0,0]],[1,[2,"startSound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x9945473ee2ba3,!1,[[1,[2,"openSound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,6832184014737424,!1,[[1,[2,"openSound"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5129528229425101,!1,[[11,"bgSound"],[7,[2,"off"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xaeadb64ece9bb,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6164785759116681,!1,[[1,
[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,0x8aff98995c2b8,!1,[[1,[2,"win"]]]],[24,cr.plugins_.Text.prototype.acts.SetText,null,6739508227481407,!1,[[7,[23,"Hammer"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,8682129976325956,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,7068424485345481,!1,[[11,"CrBanana"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9603560311768340,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetTimescale,
null,0xedc288cd4f5a1,!1,[[0,[0,0]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,5608415277116386,!1,[[0,[0,928]],[0,[0,-32]]]],[74,cr.plugins_.Sprite.prototype.acts.SetVisible,null,8521130886025654,!1,[[3,0]]],[74,cr.plugins_.Sprite.prototype.acts.SetPos,null,9584333676229186,!1,[[0,[0,212]],[0,[0,222]]]],[74,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9527392562814580,!1,[[1,[2,"default"]],[3,1]]],[75,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xa0607421c4dc0,!1,[[3,0]]],[75,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",7610975329120023,!1,[[0,[0,0]]]],[75,cr.plugins_.Sprite.prototype.acts.SetPos,null,5685985521080394,!1,[[0,[0,100]],[0,[0,405]]]]],[[0,null,!1,null,50384404806745,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5416787962239249,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6662626947973336,!1,[[4,30],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5072656005586668,!1,[[1,[2,"tutorial"]],[3,1]]],[30,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0x9a4d342c5cae9,!1,[[10,0],[7,[2,"box1"]]]]]]]],[0,null,!1,null,0x43b8db2508a7b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8394101383919749,!1,[[11,"bgSound"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,7038616103366085,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5642706391421116,!1,[[0,[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x3b14908f284c6,!1,[[11,"sound"],[7,[0,1]]]]]]]],[0,null,!1,null,408494049935863,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,5553942245731058,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,8974720840986968,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5881626152569535,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,7453262396719684,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,-15]],[1,[2,"bgs"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x84bdecf82f85,!1,[[11,"sound"],[7,[0,25]]]]]]]],[0,null,!1,null,0x6a75f92a413c1,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,
0,!1,!1,!1,0x548a420b5e9c7,!1,[[4,30]]],[30,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xef2f74877298d,!1,[[10,0],[8,0],[7,[2,"box1"]]]]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,6877854035540317,!1,[[0,[1,1]]]],[30,cr.plugins_.Sprite.prototype.acts.Destroy,null,6499320450592378,!1],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x594327303776d,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,449835479986486,!1,[[11,"BananaCD"],[7,[0,0]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,0xe6e7d329abb11,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6805075801739328,!1,[[11,"bgSound"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5620602572482448,!1,[[11,"waveActive"],[7,[2,"on"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,792637745253028,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6048959893294105,!1,[[1,[2,"bgs"]],[3,1]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xe56ea93f458b0,!1,[[0,[0,928]],[0,[0,32]]]],[74,cr.plugins_.Sprite.prototype.acts.SetVisible,null,7412040852874143,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,529713005495906,!1,[[11,"sound"],[7,[0,25]]]]]],[0,null,!1,null,6391052778763071,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,0xe15a279ad8e6f,!1]],[[26,cr.plugins_.TiledBg.prototype.acts.SetHeight,null,7466459614078695,!1,[[0,[23,"BananaCD"]]]],[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xfd52101e93ceb,
!1,[[0,[0,10]]]],[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,8052539876875991,!1,[[0,[0,10]]]],[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x6ad51dfebe296,!1,[[0,[0,10]]]],[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xc50fffb90b571,!1,[[0,[0,10]]]],[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xc7608b744f6b3,!1,[[0,[0,10]]]],[37,cr.plugins_.Sprite.prototype.acts.SetSize,null,9126764308251626,!1,[[0,[0,120]],[0,[0,120]]]]]],[0,null,!1,null,5182728682562406,[[11,
cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0x3c42d2f237229,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,8917554443779308,!1,[[0,[0,50]]]]]],[0,null,!1,null,8245452297573776,[[12,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,4565610139674449,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,9213942462080978,!1,[[0,[0,50]]]]]],[0,null,!1,null,7191110112044498,[[13,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,6225514663846187,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,9851877543519108,!1,[[0,[0,50]]]]]],[0,null,!1,null,9745968801087678,[[14,cr.plugins_.Sprite.prototype.cnds.PickDistance,
null,0,!1,!1,!0,8394191185038314,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,9879792271436304,!1,[[0,[0,50]]]]]],[0,null,!1,null,806889900845824,[[15,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,951633027228009,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,
null,0xc712659b35070,!1,[[0,[0,50]]]]]],[0,null,!1,null,9809853002037758,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,377200342750384,!1,[[11,"CrBanana"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,0xc5dd802b78d99,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5800622616552387,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6987887466697606,!1,[[11,"BananaCD"],[7,[0,10]]]]]]]],[0,null,!1,null,4804500992943082,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,6631535682684723,!1,[[11,"BananaCD"],[8,5],[7,[0,65]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4935176745107654,!1,[[11,"CrBanana"],[7,[2,"off"]]]]],[[0,null,!1,null,329909575163772,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6727650c49b37,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x44bb89177d0ef,!1,[[4,27],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,
!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x6d5e9c4955dda,!1,[[4,32],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x4eafbbdeb2eb9,!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",4645905577750577,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,
null,988741888620808,!1,[[11,"BananaCD"],[7,[0,0]]]],[75,cr.plugins_.Sprite.prototype.acts.SetVisible,null,8879462546069903,!1,[[3,1]]],[75,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5275922117101195,!1,[[0,[0,100]]]],[75,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,6107726388378059,!1,[[0,[0,482]],[0,[0,352]]]],[74,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc4977db4616b1,!1,[[0,[0,615]],[0,[0,278]]]],[74,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7004183853488572,!1,
[[1,[2,"a1"]],[3,1]]]]]]],[0,null,!1,null,0x580a2a04c93da,[[75,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x4b120c7aec793,!1,[[4,13]]],[13,cr.plugins_.Sprite.prototype.cnds.PickByUID,null,0,!1,!1,!0,9603904169674236,!1,[[0,[0,683]]]]],[[75,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xcdac8b34f6723,!1,[[0,[0,100]],[0,[0,405]]]]]],[0,null,!1,null,6111872371359249,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x801fcbe87bcc8,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,8181733230644396,!1,[[4,13],[0,[0,0]],[0,[0,0]]]],[13,cr.plugins_.Sprite.prototype.cnds.PickByUID,null,0,!1,!1,!0,0x80254c68f91a1,!1,[[0,[0,683]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,9819519056111376,!1,[[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,8156310916900162,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xdb1c52b498f0a,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x6fe2fedc576fd,!1,[[4,33],[5,[2,"3"]],[0,[0,50]],[0,[0,352]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4715056088245584,!1,[[4,35],[5,[2,"3"]],[0,[0,1100]],[0,[0,352]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xaa68f02ae4639,!1,[[0,[0,30]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xfa0c4f125bf37,!1,[[10,1],[7,[0,1]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,70986930755089,!1,[[10,3],[7,[0,5]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,6414772284820217,!1,[[10,0],[7,[2,"skeleton"]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,9687142704210036,!1,[[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xba500cbdbd121,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xfb6f7cfafce64,!1],[75,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xe1bf77048fdf6,!1,
[[3,0]]],[74,cr.plugins_.Sprite.prototype.acts.SetVisible,null,8744374360849602,!1,[[3,0]]]]]]],[0,null,!1,null,0xd0dc7d2594b31,[[33,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x4ca18408deff3,!1,[[4,27]]]],[],[[0,null,!1,null,0x87fa4c8cd9d76,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9026646694544016,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x982c1c7326cb7,!1,[[4,0],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,
cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,526886372149706,!1,[[4,32],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[33,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xae1344beb511f,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x4775b5c2729a5,
!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xb79c4e7bf8cf5,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,6920822317673679,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5684609113088307,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6fc21bc8ddff1,!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,9432557504994984,!1,[[0,[4,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,80]]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,8764173944637906,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6754873479185659,!1,[[10,3],[7,[0,1]]]],[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7358183473509146,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x6d3de6bcbc742,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,
null,9992916502080764,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x87ac8cd71b954,!1,[[10,3],[8,3],[7,[0,0]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x439afc3252d6a,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,9652536647467476,!1,[[2,["enemydie",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0xde32f67d189ca,[[0,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,6744153736116958,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,9767946040337012,
[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xdb8cb72530931,!1,[[10,0],[8,3],[7,[0,5]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x84d4c475826b,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,24554569276469,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9461122266050804,!1,[[10,0],[8,5],[7,[0,6]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xce11534a4f866,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,4805616612589124,[[35,
cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,7856915222683652,!1],[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x8d554f2f686f9,!1,[[10,0],[8,0],[7,[2,"skeleton"]]]]],[],[[0,null,!1,null,0x5d44e257b3a4d,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x789c9822e96c5,!1]],[[75,cr.plugins_.Sprite.prototype.acts.SetVisible,null,8729766254188163,!1,[[3,1]]],[74,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x411dd93b106d8,!1,[[3,1]]],[75,
cr.plugins_.Sprite.prototype.acts.SetPos,null,6923568134381279,!1,[[0,[0,100]],[0,[0,405]]]],[75,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0x75c01b5e9ba87,!1,[[0,[0,482]],[0,[0,352]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4822509267401999,!1,[[4,27],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,
0x6bc4c57ef413c,!1,[[4,32],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[74,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf9f1b3c68360a,!1,[[0,[0,617]],[0,[0,210]]]],[74,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8578535384297479,!1,[[1,[2,"a2"]],[3,1]]]]]]],[0,null,!1,null,5454183093116206,[[75,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xa5971315eddbf,
!1,[[4,0]]]],[[75,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6958112941f47,!1,[[0,[0,100]],[0,[0,405]]]],[75,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xb92efcb5ddbf6,!1,[[0,[0,482]],[0,[0,352]]]]]],[0,null,!1,null,5197485020932447,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,718566023452954,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5033143314679542,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
"DragDrop",920387906053688,!1,[[3,0]]]],[[0,null,!1,null,0x83ebb41240f77,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x8f2efcd7e8ff,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,5790410241846949,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,8032097392667507,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,8534841151876545,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,
0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xd5c46315e58c5,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4801496568751828,!1,[[4,1],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,5637099991935401,
!1],[75,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xdba88eb6151a7,!1,[[3,0]]],[74,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5424820976542959,!1,[[1,[2,"a3"]],[3,1]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7386628617535744,!1,[[4,35],[5,[2,"3"]],[0,[0,1100]],[0,[0,352]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x48883b7b398fc,!1,[[0,[0,10]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7318755489015151,!1,[[10,1],[7,[0,1]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0x5238816c80ca3,!1,[[10,3],[7,[0,10]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x80b20baad4b5e,!1,[[10,0],[7,[2,"skeleton2"]]]],[-1,cr.system_object.prototype.acts.Wait,null,7292844650352673,!1,[[0,[0,3]]]],[74,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x4b0067b5d606b,!1,[[3,0]]]]]]],[0,null,!1,null,0x7a001aacc4e16,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,8464392395452892,!1],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8438635672313869,
!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,9921590678521228,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5628499681601632,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9488971745052332,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x443af0d958bc2,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8006863026733108,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9576613158403460,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
6164823483970855,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,7333735555073455,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8756724368336832,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8806320119792361,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,9990175700659358,[[1,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,7412317951882711,!1,[[1,[2,
"shoot"]]]]],[],[[0,null,!1,null,0xa0600d0cb7b43,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5540388102433495,!1,[[10,1],[8,3],[7,[0,4]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe1787efbec6bb,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,0xea273c4bf4f8e,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x686819717824c,!1,[[10,1],[8,5],[7,[0,5]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8180326633898991,!1,[[1,[2,"idle"]],
[3,1]]]]]]],[0,null,!1,null,0x45431b0efc6a6,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7459101954594418,!1,[[4,38]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7791921052744575,!1,[[10,3],[7,[0,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,8127305283636823,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[36,cr.plugins_.Sprite.prototype.acts.MoveToTop,null,6446220533256369,!1],[38,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6881684430348816,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,4816204685508214,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,5036718187535953,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xa3e3f7eb402a9,!1,[[10,3],[8,0],[7,[0,4]]]],[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6526750175973315,!1,[[10,0],[8,0],[7,[2,"skeleton2"]]]]],[],[[0,null,!1,null,0x5f1bc41563216,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,858559263583356,!1]],[[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,713759081028341,!1,[[4,54],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[74,cr.plugins_.Sprite.prototype.acts.SetPos,null,611039194397344,!1,[[0,[20,54,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,54,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[74,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6537768079058418,!1,[[1,[2,"a5"]],[3,1]]],
[74,cr.plugins_.Sprite.prototype.acts.SetVisible,null,7101976258404753,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,7091702667007178,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0xb24ae27dddde8,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,9378143436269608,[[35,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,9439865868253876,!1],[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5432929336945786,!1,[[10,0],[8,0],[7,[2,"skeleton2"]]]]],
[],[[0,null,!1,null,0x763b1d28eb6a3,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x69764c6151966,!1]],[[75,cr.plugins_.Sprite.prototype.acts.SetVisible,null,5685178615919519,!1,[[3,1]]],[74,cr.plugins_.Sprite.prototype.acts.SetVisible,null,7205613019163647,!1,[[3,1]]],[75,cr.plugins_.Sprite.prototype.acts.SetPos,null,355193351813431,!1,[[0,[0,100]],[0,[0,405]]]],[75,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,4726790363067749,!1,[[0,[0,482]],[0,[0,352]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,9694533691529824,!1,[[4,27],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x737491ca6bf94,!1,[[4,32],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[74,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x3e97e50befbd7,
!1,[[0,[0,617]],[0,[0,210]]]],[74,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9563378834394308,!1,[[1,[2,"a4"]],[3,1]]]]]]],[0,null,!1,null,0xd7cab54748b29,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9166305344277796,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,514359958659268,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",9589101788762820,!1,[[3,0]]]],[[0,null,!1,null,0xd7824b9564ac8,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7745255948551501,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8926575702077685,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,4690181542818338,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,7816554783682065,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,6297318401043855,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x994783030ee6b,!1,[[4,0],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,8276269500179448,!1],[75,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xd9300e7dd6a49,!1,[[3,0]]],[74,
cr.plugins_.Sprite.prototype.acts.SetVisible,null,636296616950629,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa6c34babd1e67,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xa8a4557fd55ad,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcf968c671d76e,!1,[[1,[2,"tutorial"]],[3,1]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8075033533269046,!1,[[4,43],[5,[2,"dialogLayer"]],[0,[20,40,cr.plugins_.Sprite.prototype.exps.ImagePointX,
!1,null,[[0,1]]]],[0,[20,40,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5051504572171786,!1,[[4,41],[5,[2,"dialogLayer"]],[0,[20,40,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,2]]]],[0,[20,40,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,2]]]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xecd173e46f3d6,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6729844297994233,!1,[[2,
["winning",!1]],[3,0],[0,[0,0]],[1,[2,"win"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,922684099614213,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6803074020357625,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,6355293370280159,!1,[[1,[2,"fx"]]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,8780278409607634,!1,[[1,[2,"bgs"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xf8dabede1088e,!1,[[11,"bgSound"],[7,[2,"off"]]]]]]]],
[0,null,!1,null,9707679849866844,[[75,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4985647418653153,!1,[[4,1]]]],[[75,cr.plugins_.Sprite.prototype.acts.SetPos,null,8747203070284423,!1,[[0,[0,100]],[0,[0,405]]]],[75,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,4896949557932658,!1,[[0,[0,482]],[0,[0,352]]]]]],[0,null,!1,null,5986499483394482,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9053279730585028,!1,[[4,41]]]],[[29,cr.plugins_.Audio.prototype.acts.Stop,
null,68210321605112,!1,[[1,[2,"win"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xfd285387ebb9f,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7647543488765318,!1,[[1,[2,"startsound"]],[3,0]]]],[[0,null,!1,null,9207483892622116,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,9642499753924332,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5727773351208494,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,8181626171931333,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
null,1,!1,!1,!1,0x6c5710caa205b,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5855105572634643,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0xc3ceb59232cff,!1]]]]],[0,null,!1,null,7102451495957929,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xa333b4c7581a9,!1,[[4,43]]]],[[29,cr.plugins_.Audio.prototype.acts.Stop,null,7873525614567679,!1,[[1,[2,"win"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x6d73f5e979561,
!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xea6561118ec74,!1,[[1,[2,"startsound"]],[3,0]]]],[[0,null,!1,null,4819279034058129,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0xe8535c7ac0788,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc5a5551227c8a,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0xd70c06c3be98e,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0xac2e34ddeca70,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,7339541499656245,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9680664326586708,!1,[[6,"stage1"]]]]]]],[0,null,!1,null,8832494144664068,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,4994787902598115,!1,[[4,54]]]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,6402602990857855,!1,[[0,[1,1]]]],[54,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",9330079515159888,!1,[[0,[0,600]]]],[54,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,
null,0x94ede2f9ac1b8,!1,[[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[54,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x82a0ab634850a,!1,[[1,[2,"blast"]],[3,1]]],[74,cr.plugins_.Sprite.prototype.acts.SetVisible,null,937016004803794,!1,[[3,0]]]]],[0,null,!1,null,613848449042577,[[54,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7189802751870628,!1,[[4,23]]]],[[54,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd4b44605e21fa,
!1],[-1,cr.system_object.prototype.acts.AddVar,null,4611566914681101,!1,[[11,"Hammer"],[7,[0,1]]]],[24,cr.plugins_.Text.prototype.acts.SetText,null,6420371937475954,!1,[[7,[23,"Hammer"]]]],[23,cr.plugins_.Sprite.prototype.acts.Spawn,null,6866214549789736,!1,[[4,55],[5,[20,23,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[55,cr.plugins_.Sprite.prototype.acts.SetAngle,null,5675190240031014,!1,[[0,[19,cr.system_object.prototype.exps.random,[[0,360]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,9841558747016296,!1,[[2,["hamercolision",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],["Stage1Sheet",[[0,null,!1,null,4899812648129476,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,7044125932269942,!1]],[[79,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0xa9eae9506ad7c,!1,[[3,1]]],[79,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0xe647862d13d59,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,7437104370016571,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,0]],[1,[2,"startSound"]]]],
[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9807853337075258,!1,[[1,[2,"openSound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,9796777142879944,!1,[[1,[2,"openSound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7379327804067282,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,5305152124607651,!1,[[1,[2,"win"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9a9b739ff15cf,!1,[[11,"bgSound"],[7,[2,"off"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,6473519333131543,!1,[[1,[2,"bgs"]],[3,0]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x72211ba236007,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xf689c3b8ed50e,!1,[[11,"CrBanana"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb40e3c3e87e03,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8819681832646762,!1,[[11,"waveActive"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7130796852564846,!1,[[11,
"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7166855078602855,!1,[[11,"skeleton2"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5623063209546018,!1,[[11,"enemykill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,422981559772243,!1,[[11,"wavepercent"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xcd0e658c06a78,!1,[[11,"wavecount"],[7,[0,0]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,7422110902705749,!1,[[0,[0,961]],
[0,[0,-37]]]],[21,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6e4d9fbefb46d,!1,[[1,[2,"sr1"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0xdfa8410130b11,!1,[[0,[0,0]]]]],[[0,null,!1,null,9176461937538734,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6091480475905344,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8911671531133533,!1,[[4,30],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6794658674480752,
!1,[[1,[2,"stage1"]],[3,1]]]]],[0,null,!1,null,6963044866956697,[[45,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,0xc05f7042f0503,!1,[[1,[2,"Hsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5800904314488923,!1,[[11,"Hammer"],[7,[20,45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Hsave"]]]]]]]]]],[0,null,!1,null,0x660ea961fdd26,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4562367928983702,!1,[[11,"bgSound"],[8,0],[7,[2,"on"]]]]],
[],[[0,null,!1,null,0xb382815f9e17a,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5933876745389047,!1,[[0,[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0xedbe7eb50a77e,!1,[[11,"sound"],[7,[0,1]]]]]]]],[0,null,!1,null,9668709275240944,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7128267251597132,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,7412777265959675,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x850f0084dffa5,!1]],[[29,
cr.plugins_.Audio.prototype.acts.Play,null,0x3eaa77b1b66bf,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,-15]],[1,[2,"bgs"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9085442510019428,!1,[[11,"sound"],[7,[0,25]]]]]]]],[0,null,!1,null,874323058534488,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,8670275981209171,!1,[[4,30]]]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,0x4e2646e424bf2,!1,[[0,[1,1]]]],[30,cr.plugins_.Sprite.prototype.acts.Destroy,null,8807591487051664,
!1],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,6688566768977223,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,4765074330184653,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6154596613511482,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5751790200829777,!1,[[11,"bgSound"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9b9214fe4cd2a,!1,[[11,"waveActive"],[7,[2,"on"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,0x8dbc7ffeac83e,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xb5d86f73d681f,!1,[[1,[2,"bgs"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,9364100282452472,!1,[[11,"sound"],[7,[0,25]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xfee06dd57bfb9,!1,[[0,[0,961]],[0,[0,37]]]]],[[0,null,!1,null,9746789454523220,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7582748178449971,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,5100390926573131,!1,[[4,61],[5,[2,"1"]],[0,[0,1065]],[0,[0,160]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,4823436476964663,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",9536480692063426,!1,[[0,[0,40]]]],[-1,cr.system_object.prototype.acts.Wait,null,8448447630057396,!1,[[0,[1,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x480dbd0a8cc71,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,0x8aae5428e1193,!1,[[4,61],[5,[2,"2"]],[0,[0,1065]],[0,[0,256]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6720459821176525,!1,[[0,[0,50]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xfe703c0754f6a,!1,[[0,[1,1.5]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x8401c906841ff,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xa93840ed36d6d,!1,[[4,61],[5,[2,"3"]],[0,[0,1065]],[0,[0,352]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",0xfe180e8124f21,!1,[[0,[0,80]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x40d26ae2ea027,!1,[[0,[1,1.2]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xe179ff5f8f821,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x994ee4fca35c5,!1,[[4,61],[5,[2,"4"]],[0,[0,1065]],[0,[0,448]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6237591038975001,!1,[[0,[0,60]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x87d94e427dbdf,
!1,[[0,[1,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8983712069690287,!1,[[2,["monkeyspawn",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x856573f9317ae,!1,[[4,61],[5,[2,"5"]],[0,[0,1065]],[0,[0,544]]]],[61,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",4749168968127514,!1,[[0,[0,80]]]]]]]],[0,null,!1,null,533728519400848,[[61,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,0xb1989a02ff66b,!1]],[[61,cr.plugins_.Sprite.prototype.acts.Destroy,
null,730598106560677,!1]]],[0,null,!1,null,9132006068125964,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,0x6aee8c9eae150,!1]],[[26,cr.plugins_.TiledBg.prototype.acts.SetHeight,null,5778196298136904,!1,[[0,[23,"BananaCD"]]]],[47,cr.plugins_.TiledBg.prototype.acts.SetWidth,null,9905321848273414,!1,[[0,[23,"wavepercent"]]]],[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5075168907938942,!1,[[0,[0,10]]]],[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xbaeeda3979673,!1,
[[0,[0,10]]]],[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,7236986871826925,!1,[[0,[0,10]]]],[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5063948688458006,!1,[[0,[0,10]]]],[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,6890772655804495,!1,[[0,[0,10]]]],[37,cr.plugins_.Sprite.prototype.acts.SetSize,null,6705712593141435,!1,[[0,[0,120]],[0,[0,120]]]],[24,cr.plugins_.Text.prototype.acts.SetText,null,500207679395469,!1,[[7,[23,"Hammer"]]]]]],[0,null,!1,null,5766084944675537,[[11,
cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0xecfd3d8212c52,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x8a8810e1873f3,!1,[[0,[0,50]]]]]],[0,null,!1,null,9819332414135452,[[12,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,7001379830218657,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x433e4cc8a7a95,!1,[[0,[0,50]]]]]],[0,null,!1,null,4744707560679132,[[13,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,7573981422440831,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xcc95ac26122bf,!1,[[0,[0,50]]]]]],[0,null,!1,null,9233445642537568,[[14,cr.plugins_.Sprite.prototype.cnds.PickDistance,
null,0,!1,!1,!0,9942864377317880,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x6e44b223b1437,!1,[[0,[0,50]]]]]],[0,null,!1,null,4674398557105798,[[15,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,8428211951064751,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,
null,7363732128187425,!1,[[0,[0,50]]]]]],[0,null,!1,null,0x5bd9c6c87ae1,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x707948e08b752,!1,[[11,"CrBanana"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,8633637801880476,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x7baa6e81d1805,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,9166721746981020,!1,[[11,"BananaCD"],[7,[0,5]]]]]]]],[0,null,!1,null,0x87b8bcdc3065c,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xd007648bf06a6,!1,[[11,"BananaCD"],[8,5],[7,[0,65]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6204720893016172,!1,[[11,"CrBanana"],[7,[2,"off"]]]]],[[0,null,!1,null,5178792590236692,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4599437431517026,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,617452314312608,!1,[[4,27],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,
!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9633d3625811f,!1,[[4,32],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,4854538840995047,!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x5800bb9ceb88e,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,
null,9129379597602692,!1,[[11,"BananaCD"],[7,[0,0]]]]]]]],[0,null,!1,null,0xcf43a00bc6fd8,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8933712309431089,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7488785977607897,!1,[[4,11],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x3d2eff53ca21e,!1,[[3,0]]]],[[0,null,!1,null,6422809844445019,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
891392969198446,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x65e78ce0afb63,!1,[[4,33],[5,[2,"1"]],[0,[0,50]],[0,[0,160]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9442148b1c55d,!1,[[0,[20,11,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,11,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7070291928486244,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[11,cr.plugins_.Sprite.prototype.acts.Destroy,null,5952903428122552,
!1]]]]],[0,null,!1,null,0x62ab4c08b45f4,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,5646878626738903,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xe41f0a2c9f6f9,!1,[[4,12],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0xd88549e00fddf,!1,[[3,0]]]],[[0,null,!1,null,0xada0d9077cd3f,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5415774671423376,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,886283453322159,!1,[[4,33],[5,[2,"2"]],[0,[0,50]],[0,[0,256]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,6352886203333604,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x9bb18a63ed035,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[12,cr.plugins_.Sprite.prototype.acts.Destroy,null,7469337484887966,!1]]]]],[0,null,!1,null,4641569885436647,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,0x58b5900b0bd97,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x93008b2380639,!1,[[4,13],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",8707077883002744,!1,[[3,0]]]],[[0,null,!1,null,7972770135407009,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8646273481142454,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6254142948740765,!1,[[4,33],[5,[2,"3"]],[0,[0,50]],[0,[0,352]]]],
[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe81af10860c70,!1,[[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8783420057851642,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xa1b954384cd43,!1]]]]],[0,null,!1,null,8150690153198511,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,5199507835447145,!1],
[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,439703164861687,!1,[[4,14],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",6417636661277971,!1,[[3,0]]]],[[0,null,!1,null,443201770536057,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,26362151815152,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xc700d38933091,!1,[[4,33],[5,[2,"4"]],[0,[0,50]],[0,[0,448]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,
null,8033152837596387,!1,[[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xe8911c1b860c0,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,5532212092128263,!1]]]]],[0,null,!1,null,8422827498861001,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7507707266182636,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,6529481440809723,!1,[[4,15],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0xab76cc2cd8f29,!1,[[3,0]]]],[[0,null,!1,null,789383863975965,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9454754925353376,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xe6a110980cfe8,!1,[[4,33],[5,[2,"5"]],[0,[0,50]],[0,[0,544]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,6122651578456257,!1,[[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9330323934932088,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,5436204181112542,!1]]]]],[0,null,!1,null,734020091983169,[[33,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7836961708495094,!1,[[4,27]]]],[],[[0,null,!1,null,0x8e878033cf47c,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8678392182248145,
!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xc7d7ca4e26de7,!1,[[4,0],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5974535135199163,!1,[[4,32],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[33,cr.plugins_.Sprite.prototype.acts.Destroy,null,9115998063342508,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,6915836963831523,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,7792252761127296,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5087781562523504,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,6283913172099602,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xb7922c172bd78,!1],
[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7723102517625779,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",9619763419112972,!1,[[3,0]]]],[[0,null,!1,null,7656441773645252,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8669388030466742,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9846737339039226,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,
null,4615000371218184,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,9447540587390772,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,5362478671075475,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xb89276df49abb,!1,[[4,1],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,9072872286534174,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x89dcb9ff070d0,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,0xc056babe9a54b,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xfb99fcdd4bb9,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x45b14ab64c1d9,!1,
[[4,1],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",8808071746701336,!1,[[3,0]]]],[[0,null,!1,null,0x3beaa1f8f0a9f,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8790706565402282,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,6912164793593837,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,6016620843731369,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd65b6e73377d4,
!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x5621f5ee545dc,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4574123459676977,!1,[[4,0],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x6585584fb54e8,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xd0a6b2bb06964,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,5162382474688861,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xe5124360d1c4c,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8211392546895939,!1,[[4,37],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,823150412731209,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,8369979047218714,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,1931587111396,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9c0d03ee1dcd3,!1,[[4,0],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xfe7cb829f8a12,!1,[[4,39],[5,[20,37,
cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[37,cr.plugins_.Sprite.prototype.acts.Destroy,null,6937545209127292,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,6918175166503946,!1],[-1,cr.system_object.prototype.acts.SetVar,null,5851980699266268,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,0x436dc650c35a3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,8346882015879476,!1,[[11,"wavecount"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6627689174052825,!1,[[11,"wavepercent"],[7,[0,50]]]]]],[0,null,!1,null,5131966256487018,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5355031841387857,!1,[[11,"wavecount"],[8,0],[7,[0,5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6161887714457077,!1,[[11,"wavepercent"],[7,[0,100]]]]]],[0,null,!1,null,0xedaf83c3b5352,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xfca28bbfeb342,!1,[[11,"wavecount"],[8,0],[7,[0,7]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8918861497430042,!1,[[11,"wavepercent"],[7,[0,150]]]]]],[0,null,!1,null,5723809836034128,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6806502845896728,!1,[[11,"wavecount"],[8,5],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x6cabcc18ff624,!1,[[11,"wavepercent"],[7,[0,200]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xd5830e87ae243,!1,
[[11,"waveActive"],[7,[2,"off"]]]]]],[0,null,!1,null,0xe56e6d7f4bcd2,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x53102c60366b4,!1,[[11,"waveActive"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,0xbad4f4b71f2fe,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,918182114686102,!1,[[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,7647776009150131,!1,[[11,"skeleton1"],[7,[0,1]]]]]],[0,null,!1,null,5787433736429892,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9272533628939732,!1,[[11,"wavecount"],[8,5],[7,[0,5]]]]],[],[[0,null,!1,null,5656884960817888,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x5925da67a415d,!1,[[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x8536398298be6,!1,[[11,"skeleton2"],[7,[0,1]]]]]]]]]],[0,null,!1,null,9805806614626226,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa67b0dffbf506,!1,[[11,"skeleton1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0xe88b6aaae1109,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,8563117559085803,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8312853693212552,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,256],[0,448]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5230772005093558,!1,[[10,0],[7,[2,"weeker"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x956d52dee94f3,!1,[[10,3],[7,[0,7]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6133287171760827,!1,[[11,"skeleton1"],
[7,[0,8]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xe527c35a0a33b,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,505590199280941,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5751441914400747,!1,[[10,0],[8,0],[7,[2,"weeker"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7152008135589796,!1,[[1,[2,"weeker"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x591200f4eb861,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",0x49ad3453c3b7a,!1,[[0,[0,10]]]]]],[0,null,!1,null,5047433135358673,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9582117619282274,!1,[[11,"skeleton2"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0xb1870d6f70f65,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5591476108190627,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7471637083507243,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,256],[0,448]]]]]],
[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x9160a110c5785,!1,[[10,0],[7,[2,"spider"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x8c03ff4cb8486,!1,[[10,3],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xedbd43a3a2e35,!1,[[11,"skeleton2"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4957534312782072,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0xea0d2a9bf797c,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,
!1,!1,6390956829766657,!1,[[10,0],[8,0],[7,[2,"spider"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7584077164666375,!1,[[1,[2,"spider"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4558498945781512,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5568511141164923,!1,[[0,[0,30]]]]]],[0,null,!1,null,7936641436030131,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xe0cf86e89dcf,!1,[[4,16]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xb91a420243582,!1,[[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,6649737121664053,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4985295729260773,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,7580291557177079,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,6803294860279491,!1,[[5,[2,"1"]]]]]]]],[0,null,!1,null,6601009788702472,
[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8355259547048286,!1,[[4,17]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,8932667279285022,!1,[[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,8465413435786054,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9699036287736944,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,5732719987815136,!1,[[2,["enemyon",!1]],[3,0],[0,
[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0xbbae01fe0242a,!1,[[5,[2,"2"]]]]]]]],[0,null,!1,null,0x5eb18577b4992,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5656236741674536,!1,[[4,18]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,4598148007866387,!1,[[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0x46a35822fbc32,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xd7b8df6575bbe,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9051128085678792,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5279915457838143,!1,[[5,[2,"3"]]]]]]]],[0,null,!1,null,0x947cfd40ccca5,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,297994392098678,!1,[[4,19]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,9860879415353198,!1,[[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],
[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0xbfba0011baa98,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6182368337425913,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9906392719804276,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,6599991678496788,!1,[[5,[2,"4"]]]]]]]],[0,null,!1,null,0xc0760b65883b,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6361614287356574,
!1,[[4,20]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xba987b0af5564,!1,[[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0xe1f4125deb76b,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6270946743077333,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,6165583799535147,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x93c2e14c5e231,
!1,[[5,[2,"5"]]]]]]]],[0,null,!1,null,8258869380740035,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7064018401413611,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x4c39eb4b1ad67,!1,[[10,0],[8,5],[7,[0,1]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,8221624589522823,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,4527238738872957,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[34,
cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8547894520773922,!1,[[10,0],[7,[0,1]]]],[34,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6819482515297472,!1,[[1,[2,"destroy"]],[3,1]]]]],[0,null,!1,null,5707851414519791,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7310665600669109,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x7151ad068f31e,!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9164d7bc63446,!1,[[0,[4,[20,0,
cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,80]]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,9240462988972996,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7997478890080295,!1,[[10,3],[7,[0,1]]]],[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x766947e9f6c52,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,0x5b467b28efa9,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0x971b6384a509b,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7858040546597875,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xc46f1eb3f7252,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9350530582726692,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x868d07c5abdcb,!1,[[4,37],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,
0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,549189945330991,!1,[[4,36],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,6105070346039669,!1]]]]],[0,null,!1,null,7024803702403935,[[0,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,6840285117132827,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,6526095405389946,
[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x76a38adb5a3fc,!1,[[10,0],[8,3],[7,[0,5]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4586633402566654,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,8576238407332007,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xff5cadb61d35f,!1,[[10,0],[8,5],[7,[0,6]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7670549113751691,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,5262991341561236,
[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,6418266770302048,!1,[[5,[2,"1"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5071117003758897,!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,5260325346511713,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x3a3396f8c9f38,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6055427060614571,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,4519556714676029,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0x4eb443d9a7ba8,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x8db0bdfc8e05c,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7690822967936727,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,8239769441859405,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6114817483296597,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6320033246121395,
!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,9789648088699368,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xa669729c84a90,!1,[[5,[2,"2"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xfdb1832246f8b,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,9430396866006314,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8411019224555461,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8748844959827737,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
6789730081012099,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8847809688103697,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x755e9b35356cf,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x7f9b5fd1e91b2,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,8684639023370664,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9677702817553192,!1,[[1,[2,"shoot"]],[3,
1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9745982222868408,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0xd1f519f714ccf,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x84a239808db39,!1,[[5,[2,"3"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5298747130225963,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,7342154753407258,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x99dd3409b586c,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,0x92b15687bbff,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xef6fac41bc521,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,483454848677718,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8100473308649999,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xdd942cdfbffa1,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x92b487fc4223d,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,8844250687600045,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5805529695080238,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0xa5647af1e45a1,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x8ef9704144f33,!1,[[5,[2,"4"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7249491675782275,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,5681482515879512,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x9609d7a2d8345,!1,[[0,
[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9325205649546048,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,5122510042362938,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x9e1469786d55c,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,722316411356521,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x447d6ddd2cb5e,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,5198276276872292,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x70dc2bf648257,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,875711923728173,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,4687303701024066,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7055089689693956,!1,[[5,[2,"5"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xf18e6b8739adb,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,8857902056132789,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,5407665156044166,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,887293258935589,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xc519f0122bce5,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9386931205314888,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5036486780019769,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x8bb4c4ba2c59,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,5142323313310546,!1,[[4,38],[5,
[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8593090870201516,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x4252558954d0f,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,6125030001576679,[[1,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0x59620d5e912c5,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,6649770786307887,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,6569654316565757,!1,[[10,1],[8,3],[7,[0,4]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd164eae9ec3c6,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,0xb7da73fb82da3,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7574538282952934,!1,[[10,1],[8,5],[7,[0,5]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9034576823211534,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,6051973830343628,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,
!1,!1,!0,0xda90ea9cd630b,!1,[[4,38]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,932457138409623,!1,[[10,3],[7,[0,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,7372409208328351,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[36,cr.plugins_.Sprite.prototype.acts.MoveToTop,null,7182333848101606,!1],[38,cr.plugins_.Sprite.prototype.acts.Destroy,null,8144165959236744,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,916880758189426,!1,
[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,568407302567772,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8833141627505809,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xc3101b40120c7,!1,[[0,[0,0]]]]],[[0,null,!1,null,0x475cae8ea35e6,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9964691721257696,!1,[[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x6ed3a9de3e16f,!1,[[4,36],
[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9015182210060084,!1,[[10,1],[7,[0,1]]]]]]]],[0,null,!1,null,8881411381423186,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb229b3fd7a011,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9823394581616480,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb2ca2a8293fa2,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,5714521565170752,!1,[[4,37],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5505343608495225,!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,
null,4944708431743797,!1]]]]],[0,null,!1,null,4813364439726828,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6689277684084679,!1,[[10,3],[8,3],[7,[0,0]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x63898c600671a,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,7951107651083381,!1,[[2,["enemydie",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,4579936561712143,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xe1b9881364fdf,!1,
[[10,3],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,7361225122494324,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc88d9bc6f04fe,!1]],[[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,7740931374792347,!1,[[4,54],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,0xd3095f22802af,[[35,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,0x898be704143f0,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x3b5960d9ac8c4,!1,[[11,
"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,7224730797362789,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x4b421687b7ed0,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,571930824995707,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9677570748640124,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6acfc2f0aa9ff,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x99d5708635b43,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,6022740631548163,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,531538995505113,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,4820979454221169,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5313753566307692,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd6d9bbee1a6f5,!1,[[1,[2,"lose"]],[3,1]]],[40,
cr.plugins_.Sprite.prototype.acts.Spawn,null,0x937efd7148871,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xaf02812fe8ee9,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,7795508222770946,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,93357975057186,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,
5141137433293573,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5233443257060256,!1,[[11,"enemykill"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,600584916816056,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9828816660577676,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xa740c85b5e96,!1,[[11,"Hammer"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9204326058759496,!1,[[11,"CurrentLvl"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,
0x85dfc53f5953f,!1,[[11,"bgSound"],[7,[2,"off"]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7956647930959871,!1,[[1,[2,"Hsave"]],[7,[23,"Hammer"]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf2f9e38c4f84b,!1,[[1,[2,"Lsave"]],[7,[23,"CurrentLvl"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,8576303370845206,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x5547162d3f344,!1,[[2,["winning",!1]],[3,0],[0,[0,0]],[1,[2,"win"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,0x6e25bc844b621,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9167047636996556,!1,[[1,[2,"bgs"]],[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xb6aa1b30204c4,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7768710290634133,!1,[[1,[2,"win"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x72fd46817225a,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,6870178677859416,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,7834529710133173,!1,[[4,43],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,5049452197758026,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x9a1f3e037f124,!1,[[0,[0,0]]]]]]]],
[0,null,!1,null,5307617127367041,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x54df977dc1f65,!1,[[4,41]]]],[],[[0,null,!1,null,9393243802062628,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,9443624221032532,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf13ade257c241,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,7442938216844294,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,478803879466428,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,6287353604401997,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,8431620575350065,!1]]]]],[0,null,!1,null,6495547848287064,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,6071343635371969,!1,[[4,44]]]],[],[[0,null,!1,null,9917087693974514,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,7567400472225465,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6495048511240663,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,
null,0xa509bfc1c0053,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x9752ac3b25b46,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6fd5a64debfae,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7127986009587038,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xfa52b4b5bcc05,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xfbc608c19521c,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,4966588653390935,!1,[[1,[2,"startsound"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,8122384732656131,!1,[[6,"menu"]]]]]]],[0,null,!1,null,0x5cd355c29516e,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9596119153804792,!1,[[4,43]]]],[[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xaa22349fe8e56,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5684851312219878,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,0x5b3d36e52f248,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,0xc33bbb60a2c83,!1,[[1,[2,"win"]]]]],[[0,null,!1,null,0xacfe7cd6a8226,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,8403156155038574,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9710715328788952,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,575973751556932,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0xb6fcd14b56fed,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,9867700869118728,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x81eb8a587ff47,!1,[[6,"stage2"]]]]]]],[0,null,!1,null,0x8f365607cf9c8,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,7502508606451657,!1,[[4,22]]]],[],[[0,null,!1,null,905577545852354,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9492516882875484,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4897959993352812,!1,[[4,46],[5,[2,"dialogLayer"]],
[0,[0,506]],[0,[0,325]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xeecee7fd922c5,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,4959397115637367,!1,[[0,[0,0]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x88d140ec62641,!1,[[4,42],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,6849649411162597,!1,[[4,41],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],
[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,7668793268306832,!1,[[4,44],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,6689328040210513,!1,[[0,[0,961]],[0,[0,-37]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,4724619621857685,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8568576061478931,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xd534a575884dd,
!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,4623609108322742,!1,[[1,[2,"startsound"]],[3,0]]]]]]],[0,null,!1,null,0xfbd6dbbe5671d,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5280119576282309,!1,[[4,42]]]],[],[[0,null,!1,null,0xaa9a0b5ca970f,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0xbd4e0ad87ccc8,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5370368140943078,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,
0x8d1e71c185b25,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0xc5b64fb2c8960,!1]],[[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb010f19de9787,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,7486196700085315,!1,[[0,[1,1]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,8290807815795893,!1,[[3,0]]],[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,751022057659354,!1],[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,9290976342145104,
!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xa9ef51f5c8ac7,!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xcccc5f80af33f,!1],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8649127289970094,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7743413455240739,!1,[[1,[2,"bgs"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xdb41ab230b3e0,!1,[[1,[2,"win"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9537747640265876,!1,[[1,
[2,"startsound"]],[3,1]]]]]]],[0,null,!1,null,7179346753668641,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,8439261725026474,!1,[[4,54]]]],[[54,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xbb5beea00198b,!1,[[0,[0,600]]]],[54,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xe361646c43f0c,!1,[[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[54,cr.plugins_.Sprite.prototype.acts.SetAnim,null,
5890720944914078,!1,[[1,[2,"blast"]],[3,1]]]]],[0,null,!1,null,9944054561152752,[[54,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x75c77fa7d62b1,!1,[[4,23]]]],[[54,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x3fb8306099ade,!1],[-1,cr.system_object.prototype.acts.AddVar,null,9396677199126924,!1,[[11,"Hammer"],[7,[0,1]]]],[23,cr.plugins_.Sprite.prototype.acts.Spawn,null,5582914272499878,!1,[[4,55],[5,[20,23,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[55,
cr.plugins_.Sprite.prototype.acts.SetAngle,null,0x5c18d189e5580,!1,[[0,[19,cr.system_object.prototype.exps.random,[[0,360]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xa20de45ce619f,!1,[[2,["hamercolision",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],["Stage11Sheet",[[0,null,!1,null,6188020754317467,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x8228097e15488,!1]],[[79,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0x8c674d8282b02,!1],[79,cr.plugins_.CJSAds.prototype.acts.ShowBanner,
null,0x55d6f1eb4075f,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,4600485973661001,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,0]],[1,[2,"startSound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,4943943568629393,!1,[[1,[2,"opensound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,9906675427992412,!1,[[1,[2,"opensound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,304384174224595,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,6739684466195755,
!1,[[1,[2,"win"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,24159411808323,!1,[[11,"bgSound"],[7,[2,"off"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x8b09edca0a124,!1,[[1,[2,"bgs"]],[3,0]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,9015599970882632,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,709576390615017,!1,[[11,"CrBanana"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6339506009674724,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,6000342631282804,!1,[[11,"waveActive"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7237845730097511,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x6df923ba7e556,!1,[[11,"skeleton2"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb47114535dbad,!1,[[11,"skeleton3"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9d4015778e92d,!1,[[11,"skeleton4"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,
6690001832063195,!1,[[11,"skeleton5"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x6ce3f43b848ad,!1,[[11,"skefly1"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6300070338976973,!1,[[11,"enemykill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xf4cbe81b1178f,!1,[[11,"wavepercent"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7114324350400515,!1,[[11,"wavecount"],[7,[0,0]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,9140465747904324,
!1,[[0,[0,928]],[0,[0,-32]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7532779026495901,!1,[[11,"Awork"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6896899336287685,!1,[[11,"Wwork"],[7,[2,"on"]]]],[62,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x8c94f5b56a9c6,!1,[[10,0],[7,[0,10]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xc518c5e837b5,!1,[[10,0],[7,[0,10]]]],[21,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa34df9e72348a,!1,[[1,[2,"bf2"]],
[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,7520614460688066,!1,[[0,[0,0]]]]],[[0,null,!1,null,5848836785942127,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5565040130364136,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xc282a429ffdc,!1,[[4,30],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xdcd2bdc7e96a9,!1,[[1,[2,"stage11"]],[3,1]]]]],[0,null,!1,null,0xf2aedbfd9919c,[[45,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,
null,0,!1,!1,!1,4927609464108322,!1,[[1,[2,"Hsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9787019627059886,!1,[[11,"Hammer"],[7,[20,45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Hsave"]]]]]]]]]],[0,null,!1,null,0xb7396a2ca7cb9,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x3c6a49ffdbecf,!1,[[11,"bgSound"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,7726191185287423,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7544419534374361,!1,[[0,
[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,7681389301000403,!1,[[11,"sound"],[7,[0,1]]]]]]]],[0,null,!1,null,6792255998890177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,872201066493047,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,8554356606995905,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7846039633764457,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xf17e22206be89,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,-15]],[1,[2,"bgs"]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,6656944276436932,!1,[[11,"sound"],[7,[0,25]]]]]]]],[0,null,!1,null,5487714402195954,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,8971057857096174,!1,[[4,30]]]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,7501754978809536,!1,[[0,[1,1]]]],[30,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xcb9868329e19b,!1],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,9049281649771820,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,
null,5543051005491133,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9036441011512644,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9871670835558520,!1,[[11,"bgSound"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x3f271646c737b,!1,[[11,"waveActive"],[7,[2,"on"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5671026000182857,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xf94fe21ab66e7,
!1,[[1,[2,"bgs"]],[3,1]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,7170628549495101,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb294a9560620e,!1,[[11,"sound"],[7,[0,25]]]]]],[0,null,!1,null,0xc2ce90121578f,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,0xdcfa67b67b88b,!1]],[[26,cr.plugins_.TiledBg.prototype.acts.SetHeight,null,7768007372738202,!1,[[0,[23,"BananaCD"]]]],[47,cr.plugins_.TiledBg.prototype.acts.SetWidth,null,8191715666769893,
!1,[[0,[23,"wavepercent"]]]],[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x5c6846f565193,!1,[[0,[0,10]]]],[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xca9ad9c58b05,!1,[[0,[0,10]]]],[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5154195061214125,!1,[[0,[0,10]]]],[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5197186874519146,!1,[[0,[0,10]]]],[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,6593922911760811,!1,[[0,[0,10]]]],[24,cr.plugins_.Text.prototype.acts.SetText,
null,0x869a32901a5b5,!1,[[7,[23,"Hammer"]]]],[37,cr.plugins_.Sprite.prototype.acts.SetSize,null,0xc200f1c97aea4,!1,[[0,[0,120]],[0,[0,120]]]]]],[0,null,!1,null,6872398891871129,[[11,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0xef3f70ff8a04c,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,7562700611133816,!1,[[0,[0,50]]]]]],[0,null,!1,null,4971323009684264,
[[12,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,5989232155215852,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xcd994765c04bd,!1,[[0,[0,50]]]]]],[0,null,!1,null,5950328460997167,[[13,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0xf18e47190c17a,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]]],[[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5282248932662427,!1,[[0,[0,50]]]]]],[0,null,!1,null,9773559376384584,[[14,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,6924913101310971,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,745115189130645,!1,[[0,[0,50]]]]]],[0,null,!1,null,6211828631761258,[[15,cr.plugins_.Sprite.prototype.cnds.PickDistance,
null,0,!1,!1,!0,0xcbb9b6e61c3c8,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,282127912631863,!1,[[0,[0,50]]]]]],[0,null,!1,null,0xe9245a4313d96,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5656886608483156,!1,[[11,"CrBanana"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,435377387853779,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8196362544712973,
!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xf23981366bad6,!1,[[11,"BananaCD"],[7,[0,5]]]]]]]],[0,null,!1,null,8889955758170025,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,653380769509112,!1,[[11,"BananaCD"],[8,5],[7,[0,65]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5459249941012064,!1,[[11,"CrBanana"],[7,[2,"off"]]]]],[[0,null,!1,null,9319289944946414,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7656292536195707,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,9336678308953544,!1,[[4,27],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9624945495468424,!1,[[4,32],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,4985135004341285,
!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x9c6e9ce91cadb,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,8450171114071371,!1,[[11,"BananaCD"],[7,[0,0]]]]]]]],[0,null,!1,null,8714827352199477,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7361858991821025,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xed5413c76a359,!1,[[4,11],[0,[0,0]],[0,[0,0]]]]],[[27,
cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0xb30cd610297fb,!1,[[3,0]]]],[[0,null,!1,null,0xd1843511e3ecb,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5720026897513684,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5794056681866938,!1,[[4,33],[5,[2,"1"]],[0,[0,50]],[0,[0,160]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,5088695687136825,!1,[[0,[20,11,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,11,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x7cab7344dfcf1,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[11,cr.plugins_.Sprite.prototype.acts.Destroy,null,7160245568369733,!1]]]]],[0,null,!1,null,0xd5b05931b0039,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x5dc7116451a61,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6469817015374757,!1,[[4,12],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
"DragDrop",0x42a4e3d89431e,!1,[[3,0]]]],[[0,null,!1,null,9335474440234324,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9375684412640132,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x4ad11cbcec02b,!1,[[4,33],[5,[2,"2"]],[0,[0,50]],[0,[0,256]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa4984d1d9a01e,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,7151178222802595,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[12,cr.plugins_.Sprite.prototype.acts.Destroy,null,6698535674506036,!1]]]]],[0,null,!1,null,435139569320504,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,6726013794678643,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9878487771165942,!1,[[4,13],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0xdacca1117b62,!1,[[3,0]]]],[[0,null,
!1,null,7839196911953463,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9874064534180948,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8476772762577485,!1,[[4,33],[5,[2,"3"]],[0,[0,50]],[0,[0,352]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,9716351693354076,!1,[[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5843153172461003,!1,[[2,["dragdrop",!1]],
[3,0],[0,[0,0]],[1,[2,"fx"]]]],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xaccc73c0631d2,!1]]]]],[0,null,!1,null,0x513764e53c867,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9857585785473768,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,563551758194141,!1,[[4,14],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0xce67e59b34a01,!1,[[3,0]]]],[[0,null,!1,null,0xb1609e2bd67b2,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,377452193597041,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xe9e3cb1fb5572,!1,[[4,33],[5,[2,"4"]],[0,[0,50]],[0,[0,448]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,6776475219503848,!1,[[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xbf53a42acc832,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xef9ddca1e33d8,!1]]]]],[0,null,!1,null,0x66d2f0448d457,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9908107748505792,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6601134431692798,!1,[[4,15],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x70f281bfe5f3d,!1,[[3,0]]]],[[0,null,!1,null,8209696372890486,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xedd0b21b56f10,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xbf42f139f56cb,!1,[[4,33],[5,[2,"5"]],[0,[0,50]],[0,[0,544]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x50f4ba9c14e75,!1,[[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,4702075942653248,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xfec68a0fabc03,!1]]]]],[0,null,!1,null,5272886185596256,[[33,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,34153864440911,!1,[[4,27]]]],[],[[0,null,!1,null,0xb2a5018c741d,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x8c54433e363f1,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xa0ec1e685ff8a,!1,[[4,0],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9657778133805544,!1,[[4,
32],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[33,cr.plugins_.Sprite.prototype.acts.Destroy,null,6427192372274527,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,366087134712063,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,9599429807855860,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xd086a475e7f20,
!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,524387290590559,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x86458cb6105da,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5869148919866403,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",6827475156619352,!1,[[3,0]]]],[[0,null,!1,null,0xc06fde77c7a82,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7666039902823759,!1]],
[[29,cr.plugins_.Audio.prototype.acts.Play,null,6752837843486462,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,8313521717050829,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,576483612750541,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,5449696468934651,
!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x47bb768327aac,!1,[[4,1],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,8008246442849238,!1],[-1,cr.system_object.prototype.acts.SetVar,null,7947078282703936,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,6250447233412246,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,9008068483803760,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xa6fa666978481,!1,[[4,4],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,7869801623720505,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9098783689436648,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,7294256203251669,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[4,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc137f9c3e70db,!1,[[4,39],[5,[20,4,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[4,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6865517421636815,!1,[[10,0],[7,[0,30]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,9605146040939192,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x592e66f955fc6,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,40755058526659,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,6516115413678374,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x53cd10a6a6267,
!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5275957921628674,!1,[[4,5],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,9996934631458060,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9836954685212496,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x726598160b568,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[5,cr.plugins_.Sprite.prototype.acts.Spawn,null,9504161888326168,!1,[[4,39],[5,[20,5,cr.plugins_.Sprite.prototype.exps.LayerName,!0,
null]],[7,[0,0]]]],[5,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,854138120342439,!1,[[10,0],[7,[0,50]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,8387747928958229,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xc98af19534f44,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[5,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5631147234344711,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,7995115707439823,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7071141903688639,
!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,716986173746865,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",7939755838708808,!1,[[3,0]]]],[[0,null,!1,null,6803494065329985,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,757249381906951,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,5429460048743276,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,
null,572831405698491,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,8728307076676855,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xd74a1bf602cf2,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xde1a82afbb9f5,!1,[[4,0],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],
[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,9867204883854644,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xa7a4d7f974f13,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,0x4dcc48457be1d,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,6607743117222123,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5724419508495857,
!1,[[4,37],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x691a712a98e43,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x95727f8dc6c4f,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xfab30b293f4,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd7fe334a5c9ec,!1,[[4,0],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7084110009914056,!1,[[4,39],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[37,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x5ed8ab8b4d1dd,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xbbca531b271b9,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xcd4974e9cd22a,!1,[[11,"CrBanana"],[7,
[2,"on"]]]]]]]],[0,null,!1,null,0x656430c0083a6,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,535226558976349,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x40589cb05e258,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xe8570ea4924c3,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5b39bb1cc77ea,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8275237835188936,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],
[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,6575812718913625,!1,[[4,39],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9329478656280472,!1,[[10,2],[7,[0,15]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,6962091460994771,!1],[-1,cr.system_object.prototype.acts.SetVar,null,5045223411957105,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8581419585179604,!1,[[1,[2,"idle"]],
[3,1]]]]]]],[0,null,!1,null,9620836943818266,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8520718076902109,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7598204392155564,!1,[[4,3],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x757a6d40cceed,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47f4d667d1657,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x56aa3049e8fb2,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],
[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,709022171725106,!1,[[4,39],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[3,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xd2005c55c6ac4,!1,[[10,0],[7,[0,20]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,7629272556011919,!1],[-1,cr.system_object.prototype.acts.SetVar,null,5697223999502039,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcde3ee9463341,!1,[[1,[2,"idle"]],
[3,1]]]]]]],[0,null,!1,null,0x825be8c305e1e,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9141730641812700,!1,[[11,"wavecount"],[8,0],[7,[0,25]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7550487951311633,!1,[[11,"wavepercent"],[7,[0,50]]]]]],[0,null,!1,null,0x59bf89daccfe3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4509955680993925,!1,[[11,"wavecount"],[8,0],[7,[0,50]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8436400682985546,!1,[[11,"wavepercent"],
[7,[0,100]]]]]],[0,null,!1,null,903157378135595,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9065568950163056,!1,[[11,"wavecount"],[8,0],[7,[0,75]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8497894587542334,!1,[[11,"wavepercent"],[7,[0,150]]]]]],[0,null,!1,null,7142588605008544,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5721323087707282,!1,[[11,"wavecount"],[8,5],[7,[0,125]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7654805037095285,!1,[[11,
"wavepercent"],[7,[0,200]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5081522296305795,!1,[[11,"waveActive"],[7,[2,"off"]]]]]],[0,null,!1,null,316854760083003,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,54725464470177,!1,[[11,"waveActive"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,5229023776189794,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x97f9013e92102,!1,[[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,4564008548554685,!1,[[11,"skeleton1"],
[7,[0,1]]]]]],[0,null,!1,null,0x3a50cd4fb6171,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8667544297676632,!1,[[11,"wavecount"],[8,5],[7,[0,6]]]]],[],[[0,null,!1,null,7089750019024107,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xb3dba9f2e9e65,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,6784996762555858,!1,[[11,"skeleton2"],[7,[0,1]]]]]]]],[0,null,!1,null,5692101109891827,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4662748641195254,
!1,[[11,"wavecount"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,6380586600586218,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5731111555313132,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,6460900142960003,!1,[[11,"skeleton3"],[7,[0,1]]]]]]]],[0,null,!1,null,8868207350975602,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe2ad1838efb5c,!1,[[11,"wavecount"],[8,5],[7,[0,30]]]]],[],[[0,null,!1,null,5563005638432078,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,8680198107014719,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,7481057686886092,!1,[[11,"skefly1"],[7,[0,1]]]]]]]],[0,null,!1,null,8312918485912877,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6288147395138876,!1,[[11,"wavecount"],[8,5],[7,[0,80]]]]],[],[[0,null,!1,null,4617075265726461,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8061182208473464,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x5f0232f1339f4,
!1,[[11,"skeleton4"],[7,[0,1]]]]]]]],[0,null,!1,null,0xf503393b6d8d8,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5441219004656286,!1,[[11,"wavecount"],[8,5],[7,[0,100]]]]],[],[[0,null,!1,null,0x8231b28141ff5,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x677e7ad311ed7,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,6219620580047552,!1,[[11,"skeleton5"],[7,[0,1]]]]]]]]]],[0,null,!1,null,6730510301783854,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0x91448214d1090,!1,[[11,"skeleton1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,453427128992352,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x3e6e2fda3d42b,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6981575087217338,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5211298556783708,!1,[[10,0],[7,[2,"weeker"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0xa12f8121d2566,!1,[[10,3],[7,[0,7]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb08a4aaaa88bd,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xf1465d49de85,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0xd39e8ae044819,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,577431675391054,!1,[[10,0],[8,0],[7,[2,"weeker"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4577391891487594,!1,[[1,[2,"weeker"]],[3,1]]],[35,
cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xa1922e1992ef9,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x4b6705350292c,!1,[[0,[0,10]]]]]],[0,null,!1,null,0xb0173eda88e70,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44d90c5438491,!1,[[11,"skeleton2"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0x59b7771fed82f,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4980594052037931,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,6136673329612022,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xace447b1a10c5,!1,[[10,0],[7,[2,"spider"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8145782525445888,!1,[[10,3],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,95055004255866,!1,[[11,"skeleton2"],[7,[0,16]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6378057117881637,!1,[[11,
"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0xce8a815ae3ad8,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x4bc5e1b3338c4,!1,[[10,0],[8,0],[7,[2,"spider"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8498235217057117,!1,[[1,[2,"spider"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xacd61cdb6fa22,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xc5706ae6e9279,!1,[[0,[0,30]]]]]],[0,null,!1,null,7072331483546908,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9057422317012772,!1,[[11,"skeleton3"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,383727862337037,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8024352718812939,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9133273023449208,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6303847330301553,!1,
[[10,0],[7,[2,"shielding"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x65f8b1a9072e6,!1,[[10,3],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7493277963482382,!1,[[11,"skeleton3"],[7,[0,13]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6032180715854639,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,9028038561373372,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5906741203960259,!1,[[10,0],[8,0],[7,[2,"shielding"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,5287325800127646,!1,[[1,[2,"shielding"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9724181934758444,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xacb23c92f7207,!1,[[0,[0,10]]]]]],[0,null,!1,null,4922554043564624,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6249724844350842,!1,[[11,"skeleton4"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,382968927287437,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9b08a806919fc,
!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xeeb14ae15145f,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,797496525899641,!1,[[10,0],[7,[2,"pigiez"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xa82e415325ec7,!1,[[10,3],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xe130b0a022b45,!1,[[11,"skeleton4"],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,6785397756235084,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0x5d11c060ac085,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x8476d0c4f796f,!1,[[10,0],[8,0],[7,[2,"pigiez"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7394709453872815,!1,[[1,[2,"pigiez"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9279983755441098,!1,[[10,1],[7,[0,3]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",4968380204178271,!1,[[0,[0,10]]]]]],
[0,null,!1,null,7494853293143363,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdfe5189f008b1,!1,[[11,"skeleton5"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,8138737402930673,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb280c3ff416ef,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8348828707690157,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0x5ab78449db7d4,!1,[[10,0],[7,[2,"ash"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8527097835565631,!1,[[10,3],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5747210717078912,!1,[[11,"skeleton5"],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.AddVar,null,9847107353474882,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,8656627522131808,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7646598159559512,!1,[[10,0],[8,0],[7,[2,"ash"]]]]],
[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9877566710353120,!1,[[1,[2,"ash"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8381882900116448,!1,[[10,1],[7,[0,10]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",4714461570275248,!1,[[0,[0,10]]]]]],[0,null,!1,null,0x5148851653b14,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6020342837151029,!1,[[4,86],[0,[0,0]],[0,[0,0]]]],[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,999818045539494,!1,[[10,0],[8,0],[7,[2,"ash"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,95039900888861,!1,[[1,[2,"ashfight"]],[3,1]]]]],[0,null,!1,null,7500937747095211,[[35,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,5815966497101786,!1,[[1,[2,"ashfight"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5032411161302565,!1,[[1,[2,"ash"]],[3,1]]]]],[0,null,!1,null,0x966c48fcf3fd7,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,610598555742189,!1,[[11,"skefly1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,0x7677f7b4c5d81,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4532738313212993,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8550055663910118,!1,[[4,50],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8656720706875052,!1,[[10,2],[7,[2,"skebat"]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0xa80dd11cb8e46,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,916406001477949,!1,[[11,"skefly1"],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8413005131226207,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,6326460532891342,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9160819243521308,!1,[[4,16]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,5396040222731037,!1,[[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],
[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0x863bd205b6cb0,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd1e1f711c993f,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x53d68ced876e4,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5806647044136098,!1,[[5,[2,"1"]]]]]]]],[0,null,!1,null,669055960400421,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8174488091832536,
!1,[[4,17]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,5441150630480408,!1,[[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0x87abd396021e0,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xfcf0331ccea6b,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xa47644ea29429,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0xb16f503f641e5,
!1,[[5,[2,"2"]]]]]]]],[0,null,!1,null,7666848254475218,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5843309208901415,!1,[[4,18]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xfaee5eedac72c,!1,[[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,6126694982081535,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6238326378862765,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,
null,0x65cd6f95d2ccd,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5645420909635651,!1,[[5,[2,"3"]]]]]]]],[0,null,!1,null,9319541349676684,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x4b7f571b6df87,!1,[[4,19]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,8520225619607868,!1,[[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,
0x901d97656a4ca,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6854935712846948,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xf7f2c0867939e,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0xf94dd21137844,!1,[[5,[2,"4"]]]]]]]],[0,null,!1,null,6055725592892774,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6243569215242834,!1,[[4,20]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,7646491576932848,
!1,[[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,6435328478841852,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x7bdad02c8dc20,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8457405900773644,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,831121192932777,!1,[[5,[2,"5"]]]]]]]],[0,null,!1,null,7457819768024934,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,6773526438658133,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8169045921118665,!1,[[10,0],[8,5],[7,[0,1]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,7058438953956702,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,898300925244341,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[34,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6817578116665379,!1,[[10,0],[7,[0,1]]]],[34,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,4999079117784175,!1,[[1,[2,"destroy"]],[3,1]]]]],[0,null,!1,null,5893991131046741,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x6b9cb76e3eeb4,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9905517769740734,!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8c38a68a02011,!1,[[0,[4,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,80]]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x5911684fad700,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6341814862987834,!1,[[10,3],[7,[0,1]]]],[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,519623582647576,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,735540474124662,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0x965a2be4355bc,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,7818642457172716,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x7e8acc47f8fd6,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,493139312244028,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xe4052840a2c50,!1,[[4,37],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,9013624917784784,
!1,[[4,36],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x649d5d7ddfbfe,!1]]]]],[0,null,!1,null,8610660431537363,[[0,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,81597996567356,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,0x886eec823b36d,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4633116158497506,!1,[[10,0],[8,3],[7,[0,5]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x64043e277cc65,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,0x47856a68830ab,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6154851984362153,!1,[[10,0],[8,5],[7,[0,6]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9352981463652384,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0x43e4eb38ca710,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5729042835271026,!1,[[4,4]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7913731007509966,!1,
[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xdea460daa2ff7,!1,[[0,[4,[20,4,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,100]]],[0,[20,4,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,9038201391596456,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xcf46b5a914881,!1,[[10,3],[7,[21,4,!1,null,1]]]],[4,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,0x48f90a924c87b,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,347583941529065,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0xd8858f223cb3d,[[4,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x788f7cf062525,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8031730152359792,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5860723180763936,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,5766123775525956,!1,[[4,37],[5,[20,4,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,4,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,4,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[4,cr.plugins_.Sprite.prototype.acts.Spawn,null,784300272412391,!1,[[4,36],[5,[20,4,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[4,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb80d0a8e7430,!1]]]]],[0,null,!1,null,6378123408627865,[[4,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,934839791420368,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,0x5bd35fe6ecf77,[[4,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4936140515302638,!1,[[10,0],[8,3],[7,[0,10]]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9586069360705554,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,7191812789581173,[[4,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xc9c4d9d1a063b,!1,[[10,0],[8,5],[7,[0,11]]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,7127639974378055,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,5578473312933544,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5154144247232655,!1,[[4,5]]]],[[5,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6748c01f8da64,!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe38d09a874357,!1,[[0,[4,[20,5,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,100]]],[0,[20,5,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,
null,9508145143003716,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5909114735750021,!1,[[10,3],[7,[21,5,!1,null,1]]]],[4,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9470538611397228,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9154130025655028,!1,[[2,["swordhitting",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0x5027a5093a81f,[[5,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0xd70bcd1d6f732,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x7b2594ec84bae,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7655416144789684,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5907177461160011,!1,[[4,37],[5,[20,5,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,5,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,5,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[5,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8550caa81f65f,
!1,[[4,36],[5,[20,5,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[5,cr.plugins_.Sprite.prototype.acts.Destroy,null,7512916956659015,!1]]]]],[0,null,!1,null,8842433277944896,[[5,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,7552760270164723,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,4937767015176874,[[5,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xc2f9f4c13b00f,!1,[[10,0],[8,3],[7,[0,10]]]]],[[5,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,7193510180825883,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,9754285235086686,[[5,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xcf25bf5e1f902,!1,[[10,0],[8,5],[7,[0,11]]]]],[[5,cr.plugins_.Sprite.prototype.acts.SetAnim,null,341554935845494,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,303754841534263,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x5f24b0f5c26ab,!1,[[5,[2,"1"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5212118599985586,
!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,8647821742116727,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xda91e3d642503,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9678014518139660,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,9247474271361862,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb63281b60eed3,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xd238f0caea72a,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
8264779575120177,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xf28eed535077e,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9014649003780998,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7059021562985701,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,678482344904079,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,8630347351615794,!1,[[5,[2,"2"]]]],
[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9637755584015784,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,0xb5bc4d9a85bbf,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,97160175454301,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xbc8948e74c08a,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,6268990259283322,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8264495924443475,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9068912914617924,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf2989310ca22b,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,7827647855863888,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7784864421814545,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5719450122263921,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,9995865213208468,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,
null,0,!1,!1,!1,0x3986c3bdc1ba5,!1,[[5,[2,"3"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7471595949776338,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,5126142151268932,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6565205814765677,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9378154928398576,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x91e915d9e0043,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6732959055468139,
!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,441603519303081,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5983230298425163,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x4609935777a8e,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc0b51bf8cbc5e,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7007123067676114,!1,[[10,0],[7,[0,3]]]]]]]]]],
[0,null,!1,null,0xbc9af0e011ab7,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x69de1e6454183,!1,[[5,[2,"4"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7148612451605281,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,623926088725215,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x5126af68a5615,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x949642a7e3ee9,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,5192982164102205,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,999810479723837,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xc0c1446f98e47,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4806543609181685,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,5198249918360701,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5151321349293741,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x5e502efa90fa,
!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0xa10cd8075deda,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x9e55203e111c1,!1,[[5,[2,"5"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,618896034420806,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,7096222319731484,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7874843069685021,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7175595228963215,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
6101563219612267,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x79ba8c23c6a7,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9187687178736040,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7862856374346528,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,6436897037899281,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,35996247002318,!1,[[1,[2,"shoot"]],[3,1]]],
[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x6415f3a9463ec,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,71594399978696,[[1,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0x5c4a8cf8ee2a,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,5230545830577501,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xade315d2c1be,!1,[[10,1],[8,3],[7,[0,4]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xde860dbc11db9,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,
null,5905033773718729,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x81bc03a41a772,!1,[[10,1],[8,5],[7,[0,5]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5427477973418794,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,462112457774019,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8934379529861724,!1,[[4,38]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9900821127590886,!1,[[10,3],[7,[0,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,
null,5750824526294084,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[38,cr.plugins_.Sprite.prototype.acts.Destroy,null,5245179209677481,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,5260670110347549,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,5589495942467948,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,4828897648540128,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",0xce799c42ca1fa,!1,[[0,[0,0]]]]],[[0,null,!1,null,0x8801b565fccb5,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,816660034809543,!1,[[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xcdd5a5f26ab66,!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xa9d6e48c046a6,!1,[[10,1],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,0x4513607068011,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0xc35b94cff9353,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5123509973200215,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7995881072222839,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4503608272581357,!1,[[4,37],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7ec01337fea51,
!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,7119796627753823,!1]]]]],[0,null,!1,null,9279177624011320,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xe94924daa830c,!1,[[5,[2,"1"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,4996239388184039,!1,[[5,[2,"1"]]]]],[],[[0,null,
!1,null,8714890048738695,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x688cf17c605b8,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,476316207174596,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,5547545493120284,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xf0f5d6f93cd67,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xf5010a265b9a8,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x60e18eb03fa9b,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,
null,7319416178598011,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0x7b08168911cc,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x778130c1349ac,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5429889705649217,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0xed8a26f41d869,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,21070702721665,
!1,[[5,[2,"2"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xf9ac9428ad57b,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,0x580a1a25aa6d9,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x847224444c4a4,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,798759787557086,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,9876235064794584,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,895921246714742,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,
null,!1,null,8188444698231741,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9184220111466280,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,735568685141137,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0xa2c9e3d0a4c18,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd1ae139ea7e2d,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,5070352277152912,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0x5be6734a3840f,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7768956315173132,!1,[[5,[2,"3"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xbf97db4f1830c,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,4684210098107117,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9809565515353818,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9221609304067988,!1,[[10,0],[7,[0,
1]]]]]],[0,null,!1,null,9074866572795064,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9503233957218376,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5055712607042999,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4573461808214399,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,9330769271911564,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",
5967598622136265,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xbb2743f86e8ed,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x4e8ce2bae89ba,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,8459790736251727,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x65725b15ec382,!1,[[5,[2,"4"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xdde95547f2ab9,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,0xf5c1485b86d5d,[[-1,
cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x3b33f23da27d3,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7352901100356196,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,6412749049822034,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9967312924881302,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5948994221312548,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf548026ab5b0c,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,
null,6272692785338894,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0xf5d25250932ef,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4621947497799073,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5358879306253205,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,5773965694866341,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,
5383660607586134,!1,[[5,[2,"5"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xa525f10728d7f,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,0xddb19858c7c2f,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x8a13e3f60c833,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4739007753636064,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,7290169391760421,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x7b2552de27eae,!1,[[10,0],[8,3],[7,
[0,0]]]]],[],[[0,null,!1,null,0xe077afa84316b,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6219384429859555,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,5235118936061887,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0x545aff6c57f12,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4139b9e73b88d,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0x8c802823e56a9,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,6442419511670777,[[50,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0xef8665a695732,!1]],[],[[0,null,!1,null,0x6364616534c03,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9874324319477612,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xeb3dd7da2fab7,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0x3bd9178f8b1bb,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,
8382039186730164,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x4961130c323b3,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xddd216531bfae,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,823520183683877,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0xe4a46c924281d,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf8b86353e0470,!1,[[1,[2,"shoot"]],
[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5384080451780269,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,7969544073768365,[[2,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,4619652476104919,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,9043267318053382,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5726997462227017,!1,[[10,2],[8,3],[7,[0,7]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8636017226873595,!1,[[1,[2,"fall"]],[3,1]]]]],
[0,null,!1,null,5759888013299862,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8553108414168467,!1,[[10,2],[8,5],[7,[0,8]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x57059608631f2,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,4644266763027053,[[48,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,5431270542609407,!1,[[8,5],[0,[0,640]]]]],[[48,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8a141e2429116,!1,[[4,49],[5,[20,48,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,8015298905307152,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xd60167329d641,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0x59da5eb912f22,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x7d2e33044512d,!1,[[4,48]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x939982cbfd90b,!1,[[10,3],[7,[21,2,!1,null,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,
8478225557689456,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,6390503135147171,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,5133399906545437,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0x8586512d33252,[[48,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4902084976669852,!1,[[4,50]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x4231b6c7a258c,
!1,[[10,0],[7,[21,2,!1,null,1]]]],[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,8232805371024835,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,5570220307583805,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,8511507240988232,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0x67909afe14ea4,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x69fa231e3ba0b,
!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",9464915572543576,!1,[[0,[0,0]]]]],[[0,null,!1,null,8202825000109054,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5505655755212026,!1,[[0,[0,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xef92dd0808944,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x98095abf8bd12,!1,[[10,2],[7,[21,35,!1,null,
1]]]]]]]],[0,null,!1,null,4668738835345068,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x39c0974801b1e,!1,[[10,2],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8702300456452423,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6726c527d941c,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9295306330057112,!1,[[4,37],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8998600250576401,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[2,cr.plugins_.Sprite.prototype.acts.Destroy,null,9085547618263648,!1]]]]],[0,null,!1,null,990578469662849,[[50,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,781655538363566,!1,[[8,5],[0,[0,100]]]]],[],[[0,
null,!1,null,0xe0238b0ad6b19,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,998045160912924,!1,[[0,[1,1]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7485097560937651,!1,[[10,1],[7,[0,1]]]]]]]],[0,null,!1,null,827474170283249,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x824efd78ad898,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x43c5fd3fd55db,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc88bd1077eb36,!1]],[[50,
cr.plugins_.Sprite.prototype.acts.Spawn,null,5094356237567522,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x77977f0eb2539,!1]]]]],[0,null,!1,null,5586997935716037,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9701384231749002,!1,[[10,0],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,6440913441807269,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd42f33bd4d4f3,!1]],
[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xfb9421dda5828,!1,[[4,54],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,8472461297985818,[[50,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,6924258737532678,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,8918307339254836,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,6507074407025722,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xf1733bab002b3,
!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9898231340810962,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5184167246621383,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,390737971967338,!1,[[4,51],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9506546386326384,!1,[[1,[2,"shoot"]],[3,1]]],[51,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,4589266188958215,!1,[[0,[20,86,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,86,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xd1de5e499c3c1,!1,[[10,1],[7,[0,5]]]]]]]],[0,null,!1,null,9461944443405552,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7967966182420427,!1,[[4,2]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7393744883957657,!1,[[10,2],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe08f60b7502b0,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x45dd6b9524862,!1]]],[0,null,!1,null,8261838802760504,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x976cfa4baf3a,!1,[[4,1]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6323332409904049,!1,[[10,1],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x7e67e8b6af8a,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8601130666739278,!1]]],[0,null,!1,null,9366849816275104,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4681358988799534,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x5d5457f4055a6,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8c8acf2ec30c0,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc16d1f084c222,!1]]],[0,null,!1,
null,0xbfb35444811ba,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,936744040909142,!1,[[4,3]]]],[[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6176135663186132,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,7756152804038833,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x6f2c73244902d,!1]]],[0,null,!1,null,0xcb16befb799a3,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,466930126874711,!1,[[4,4]]]],[[4,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x39daaa97e9ea6,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,9408032567730164,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x536edf46106d0,!1]]],[0,null,!1,null,0xaf94396579fce,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9986724558661152,!1,[[4,
5]]]],[[5,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5240865043836505,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xfbcd6e8ea3fbf,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xcfebb4e7c155b,!1]]],[0,null,!1,null,6649930277682035,[[50,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,9091662421387336,!1,[[1,[2,"shoot"]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,9974168392687964,!1,[[1,[2,"idle"]],[3,1]]]]],[0,null,!1,null,8399316700173529,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,7650830034489016,!1]],[],[[0,null,!1,null,4646820644527087,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6239557636649291,!1,[[0,[1,1]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xc522fa5f5b235,!1,[[10,1],[7,[0,1]]]]]]]],[0,null,!1,null,8259599888667402,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,
!1,!1,5958043362214586,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x9a3450add3223,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6fb24975b04ad,!1]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa7583e9796a2e,!1,[[1,[2,"shoot"]],[3,1]]],[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,520555511704493,!1,[[4,58],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[58,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,955769079582473,!1,[[0,
[20,35,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,35,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[3,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5821297680746028,!1,[[10,1],[7,[0,3]]]]]]]],[0,null,!1,null,6800265465613602,[[3,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,4842086731825131,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,8677389711695267,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5859348812929967,!1,[[10,0],[8,3],[7,
[0,10]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9106265155947256,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,0x57bdba948a225,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4806974871981779,!1,[[10,0],[8,5],[7,[0,11]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,347475434043572,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,7644198539594876,[[58,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5821340416777973,!1,[[4,35]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,0x79acb07fae687,!1,[[10,3],[7,[21,3,!1,null,2]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5356933611208281,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[58,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xdc3586ebd57ed,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,5017648270990955,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,5284453146716213,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,
!1,!1,5280062680204696,!1,[[4,3],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6717173335926854,!1,[[0,[0,0]]]]],[[0,null,!1,null,9954430775886396,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7102451503083185,!1,[[0,[0,1]]]]],[[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,4939480450447982,!1,[[4,36],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9203714391854772,
!1,[[10,0],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,0x97cb8b665ffac,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,442653096110585,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x4c6614db894d5,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xa3238eb0eed90,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xc54c76d0bea0b,!1,[[4,37],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe4867efc2091d,!1,[[4,36],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[3,cr.plugins_.Sprite.prototype.acts.Destroy,null,8857331582022105,!1]]]]],[0,null,!1,null,7921107718451309,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,
!1,8551435027886982,!1,[[10,3],[8,3],[7,[0,0]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,6879426903575666,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xe5403eafb3909,!1,[[2,["enemydie",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,8257159102035113,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6629838445620659,!1,[[10,3],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,0xccf7ab1da3478,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,921679419199688,
!1]],[[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,9640019182625444,!1,[[4,54],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,8425515894715981,[[35,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,4815371945948818,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xdb3b8bca980b7,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,0xf34aa0f79d1a,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x75cc6691960e9,!1,
[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4713365293275601,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7286979089610404,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x77a0f0678f26d,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x7b5620ffec1f,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xc1a2bd12653d2,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,810410880306115,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,5552624452592322,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8424227586171563,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe21cf0ad07b8e,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,6930893617115438,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x82e462c9ff253,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,9267382588521524,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,9934071769562816,[[50,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,829756064483673,!1]],[],[[0,null,!1,null,8819112262699705,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,588228674966673,
!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x5d9798c3d429c,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6930377408331862,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6832510237137977,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xe1646e461b1ab,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7732896317810783,!1,[[4,40],[5,[2,"dialogLayer"]],
[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcbdb8077e9325,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x45c034d1825ea,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,596104007679436,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,7318836468822049,!1,[[0,
[0,0]]]]]]]],[0,null,!1,null,5676283329305212,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe4d9f1ebc61fb,!1,[[11,"enemykill"],[8,5],[7,[0,125]]]]],[],[[0,null,!1,null,9891181430387628,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x88c35dd35361f,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,5997725119906224,!1,[[11,"CurrentLvl"],[7,[0,11]]]],[-1,cr.system_object.prototype.acts.AddVar,null,972642804125086,!1,[[11,"Hammer"],[7,[0,10]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,0x44397159c55d4,!1,[[1,[2,"Hsave"]],[7,[23,"Hammer"]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x8df2b83074afc,!1,[[1,[2,"Lsave"]],[7,[23,"CurrentLvl"]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,9583768206545228,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9215385888481836,!1,[[2,["winning",!1]],[3,0],[0,[0,0]],[1,[2,"win"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5773202824069449,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,5286993825684764,!1,[[1,[2,"bgs"]],[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x96e143397e32e,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7786987833449201,!1,[[1,[2,"win"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xbdc8b9a4c730b,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,7857080814665151,!1,[[4,44],[5,
[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x474114783c452,!1,[[4,43],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,379723044850742,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,0xdd52ad2638e08,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9835985658569076,!1,[[4,41]]]],[],[[0,null,!1,null,9319276371231174,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,
null,1,!1,!1,!1,6940501763602076,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5111361323937962,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,7147370436185992,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x723ad1c70f2de,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x9569aef2be9f7,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0x55bf5e089d342,!1]]]]],[0,null,!1,null,5310396151546633,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,5781197882064343,!1,[[4,44]]]],[],[[0,null,!1,null,8981714082134796,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0x6bcdf22d87567,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6405644570087142,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,6272780012749711,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,6473394406877013,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7814472245865642,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,8874595523033185,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8788757307146825,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x9865f1d644b42,!1,[[1,[2,"win"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x916f531fa008e,!1,[[6,"menu"]]]]]]],[0,null,!1,null,0x6ab568dc01f78,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x436cccc6cc693,!1,[[4,43]]]],[],[[0,null,!1,null,9445744543842680,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,
null,1,!1,!1,!1,8294611971900811,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4cdd3ca145a11,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,6116267790388851,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,5322190187436277,!1]],[[43,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9467115325104652,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x38ed34179addf,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x9b5916fa1ca4e,
!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9568438865095036,!1,[[1,[2,"win"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,8890812725948064,!1,[[6,"ending"]]]]]]],[0,null,!1,null,0xeec8a4361e295,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,6594781642630496,!1,[[4,22]]]],[],[[0,null,!1,null,0x76d6acdbe0d5,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x578043877150d,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,6642621273596516,!1,[[4,46],[5,[2,"dialogLayer"]],[0,[0,506]],[0,[0,325]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x40b4043fbe939,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,8414729453174565,!1,[[0,[0,0]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,6879591724839244,!1,[[4,42],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8bf0bedc2890d,!1,[[4,41],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,2]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,6794714470680378,!1,[[4,44],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xdf1e5adeb0f2e,!1,[[0,[0,961]],[0,[0,-37]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xf530188c878d1,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xfdcc48b95f2dd,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,7711948873544811,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xac3de4b3b90d,!1,[[1,[2,"startsound"]],[3,0]]]]]]],[0,null,!1,null,0xb067409521a3,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xce1389adf361c,!1,[[4,42]]]],[],[[0,null,!1,null,0xdb972f3dd9b3a,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,9263932186358046,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6f5521d5117ee,!1,[[1,[2,"hover"]],[3,1]]]]],
[0,null,!1,null,6155443270197663,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,6239418665196528,!1]],[[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,6622589051364529,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x9c19c9db59146,!1,[[0,[1,1]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,6610854752047691,!1,[[3,0]]],[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,5382110177034942,!1],[42,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x5d657144838ea,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,6513220692079562,!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xfc569f98dd894,!1],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8266742562824521,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x74989372b85f6,!1,[[1,[2,"bgs"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6672706425350291,!1,[[1,[2,"win"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x54905f883634f,
!1,[[1,[2,"startsound"]],[3,1]]]]]]],[0,null,!1,null,8654798980677741,[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8826895418522856,!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7099888280714344,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,9743547337286028,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x451be39911e33,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5220611363862525,!1,[[4,2],[5,[20,0,
cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,9151113600769580,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5312716591017736,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,9561225623067032,
!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,null,5601646902749955,!1],[-1,cr.system_object.prototype.acts.SetVar,null,4935605560349803,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xc3dc9b7a8ca6e,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,0xbfca678ce3579,[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,5590107718421888,!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6140308919531415,!1,[[4,1],
[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x9f92859d01944,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x62bea38f2694b,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,543569609171078,!1,[[4,3],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,5805741212929427,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xe486bff48f874,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,8523496880677363,!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x8dd99f5283d93,!1],[-1,cr.system_object.prototype.acts.SetVar,null,6573005788524733,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9966131360502560,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,0x5a88a5541388d,
[[63,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xde0ab96ceb811,!1],[63,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xea0c897e28a94,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,7943911608277871,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7518186723421003,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,285634801908625,!1,[[4,4],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,6783740784633986,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x39b7f438da887,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,7788350309859228,!1],[63,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x939f6e83e7102,!1],[-1,cr.system_object.prototype.acts.SetVar,
null,5669816830546314,!1,[[11,"Awork"],[7,[2,"on"]]]],[62,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9844840706238176,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,0xb0e5d4df090,[[63,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,5912518988137955,!1],[63,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6404908505627288,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,8024620772365077,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,
!1,0xbb6aa6428d55,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8172138500486383,!1,[[4,5],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x7df7b650d70c0,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8600995425220904,!1,[[2,
["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,5708795154203189,!1],[63,cr.plugins_.Sprite.prototype.acts.Destroy,null,9547127272550432,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xaa4de0fa7537d,!1,[[11,"Awork"],[7,[2,"on"]]]],[62,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,964123326408903,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,0x4104dc9f89b92,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9221193720681328,
!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9075512240772948,!1,[[11,"Hammer"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,4910028820806747,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7100437784589431,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,6392087126511834,!1,[[4,56],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,0xe37815d70bfab,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,935381981344803,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9989921889590884,!1,[[4,53],[0,[0,0]],[0,[0,0]]]],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xbd7526f6ffe8,!1,[[4,56],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,56827967248555,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9ba7fc4a68c63,!1]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x888ca521c3509,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,
null,7558850209565247,!1],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x48a59c001527e,!1,[[1,[2,"onwork"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x55abf8e1eaf8a,!1,[[2,["workman",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9398fefa17a77,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.Wait,null,5151564718285237,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x54647b86f1429,!1,[[11,"Hammer"],[7,
[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6590751635557546,!1,[[11,"Wwork"],[7,[2,"off"]]]]]]]]]],[0,null,!1,null,4867508427965565,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7930707520028495,!1,[[11,"Wwork"],[8,0],[7,[2,"off"]]]]],[],[[0,null,!1,null,0xbdbc869c73930,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x6f0872f327f19,!1,[[0,[1,1]]]]],[[53,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7617303919763871,!1,[[10,0],[7,[0,1]]]]]],[0,null,
!1,null,6831489600721899,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x9454df4cbbffb,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8812008571212364,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,4810770024425539,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,7115473016727113,[[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe1e68633bd95b,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xd94fcede69559,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x71c5d1610da9f,!1,[[1,[2,"full"]],[3,1]]]]]]]]],[0,null,!1,null,0x638e957a08a77,[[53,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x9f2be449b6edf,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,
null,0xc76975e264726,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8600491251376961,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,9654732206387456,!1,[[4,52],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,8395086080601505,!1,[[4,32],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xbf770a7e9f09a,!1,[[1,[2,"default"]],
[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6146297682046833,!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,308758330315223,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5614733360067189,!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcafbb0866461,!1,[[11,"Hammer"],[8,2],[7,[0,10]]]]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,5086015914225281,!1]],[[0,null,!1,null,0xb7fb74ce3e037,
[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x9aabd8c92b4e,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,693538905417373,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6d29cb949c0d8,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,4709472410467766,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,7893931460348767,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,4918490179058693,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8883711846046009,!1,[[1,[2,"more"]],[3,1]]]]]]]]],[0,null,!1,null,7818494992198359,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x3dcc2881ef4ad,!1,[[11,"Awork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,
!1,!1,6583484934722977,!1,[[11,"Hammer"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,947504976826223,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb4704a0d33644,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8f33659eef85,!1,[[4,56],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,6557147568686029,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xc82d572a312bb,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,6998489570201704,!1,[[4,62],[0,[0,0]],[0,[0,0]]]],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,4810979090830215,!1,[[4,56],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,4745226217955466,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x3ced6eade3469,!1]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,6458391823972507,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,9526372905088080,!1],[62,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,6244633318365998,!1,[[1,[2,"onwork"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x9bfaed666fffd,!1,[[2,["workman",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x77973bdfcc975,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.Wait,null,8478754988108102,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5083905074954624,!1,[[11,"Hammer"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7465931653556487,
!1,[[11,"Awork"],[7,[2,"off"]]]]]]]]]],[0,null,!1,null,7208635629191397,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7532302890614682,!1,[[11,"Awork"],[8,0],[7,[2,"off"]]]]],[],[[0,null,!1,null,6474509400685126,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6518422997660823,!1,[[0,[1,1]]]]],[[62,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7461268063151567,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,5294552387216941,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,7969580705308201,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xd69e8755dc442,!1,[[4,62],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,5916524530960253,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,0xc6914c24cd3a,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe237ba52ca0ab,
!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,5847422778923802,!1,[[4,57],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9196921865769020,!1,[[1,[2,"full"]],[3,1]]]]]]]]],[0,null,!1,null,8212075058219464,[[62,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x4b82d57c5f917,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xbcf5081b68e71,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,0x4e12133adff3b,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,6657394616542601,!1,[[4,63],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,6114198008382591,!1,[[4,32],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[62,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7016641839574084,!1,[[1,[2,"idle"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,88816135276444,!1,[[2,
["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,0xb63eedab39764,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9478019859999016,!1,[[11,"Awork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7449721557187462,!1,[[11,"Hammer"],[8,2],[7,[0,10]]]]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x94963e26f8d1d,!1]],[[0,null,!1,null,0xf21ddc28ebefb,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,
4635371215125278,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,501451086888464,!1,[[4,62],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa3b6daa28b7fc,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,0xd0e5c35e968c0,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf7b015ca42c80,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x9ec2a075855bd,!1,[[4,57],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5289644364070016,!1,[[1,[2,"more"]],[3,1]]]]]]]]],[0,null,!1,null,0x6094a836b82e7,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xe0896d5e3dd53,!1,[[4,54]]]],[[54,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x8872c79bd8958,!1,[[0,[0,600]]]],[54,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0x46836406811bd,
!1,[[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[54,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8187717703296815,!1,[[1,[2,"blast"]],[3,1]]]]],[0,null,!1,null,0x4907fa04d145d,[[54,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x702db6e2c4b78,!1,[[4,23]]]],[[54,cr.plugins_.Sprite.prototype.acts.Destroy,null,9436913637837786,!1],[-1,cr.system_object.prototype.acts.AddVar,null,0xb6254df6224c9,!1,[[11,"Hammer"],[7,
[0,1]]]],[23,cr.plugins_.Sprite.prototype.acts.Spawn,null,4943994068796091,!1,[[4,55],[5,[20,23,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[55,cr.plugins_.Sprite.prototype.acts.SetAngle,null,0x867a86f5f73a3,!1,[[0,[19,cr.system_object.prototype.exps.random,[[0,360]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7102633256446385,!1,[[2,["hamercolision",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],["endSheet",[[0,null,!1,null,1646916272214,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,6270435587384556,!1]],[[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7853650678251491,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x60cb01344a844,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7969731781623041,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7930553676803709,!1,[[1,[2,"startSound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,0xbb3007558cf6,!1,[[1,[2,"win"]]]],
[29,cr.plugins_.Audio.prototype.acts.Stop,null,9698339059473006,!1,[[1,[2,"startSound"]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8541691446558868,!1,[[2,["openingsound",!1]],[3,0],[0,[0,0]],[1,[2,"openSound"]]]]]],[0,null,!1,null,6295319273305329,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5309138049101527,!1,[[4,77]]]],[],[[0,null,!1,null,8469757618883091,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,8502502122601008,!1]],[[77,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,4775632122162039,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0x4b146a1587635,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,7213941471993257,!1]],[[77,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4881220746455295,!1,[[1,[2,"default"]],[3,1]]],[78,cr.plugins_.Facebook.prototype.acts.PromptToShareApp,null,7648290578639666,!1,[[1,[2,"Monkey Empire"]],[1,[2,"Monkey Empire"]],[1,[2,"The Skeleton Enemies are coming\u2026 back. It\u2019s time! to the hit action-strategy adventure brings the fun to tablets and touchscreens. Join Monkey Empire on a Journey where you\u2019ll meet, greet and defeat legions of Enemies on the Battle."]],
[1,[2,"http://revork.com/images/cover.png"]]]]]]]],[0,null,!1,null,5503882862278205,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5459783721436615,!1,[[4,44]]]],[[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5549621572886278,!1,[[1,[2,"openSound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,0xdd4ad1e9b8924,!1,[[1,[2,"openSound"]]]]],[[0,null,!1,null,8511388425070532,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0xdcc458c1928e9,!1]],[[44,
cr.plugins_.Sprite.prototype.acts.SetAnim,null,6750003533118785,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,0x7e9033d94c6ef,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,950574564222898,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9605758414093768,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xe8db60ed88039,!1,[[6,"menu"]]]]]]]]],["SurvivalSheet",[[0,null,!1,null,981027987287647,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,5845714595833127,!1]],[[79,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0xc7f6dfd353ee3,!1],[79,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,8432762520603363,!1,[[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7769958742099376,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,0]],[1,[2,"startSound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,7170725423962499,!1,[[1,[2,"opensound"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,5495248786968029,!1,[[1,[2,
"opensound"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6392117533501059,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.Stop,null,6117213362449384,!1,[[1,[2,"win"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9326476076885672,!1,[[11,"bgSound"],[7,[2,"off"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,8117422142225808,!1,[[1,[2,"bgs"]],[3,0]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,6130329306172827,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,
null,7220362620778254,!1,[[11,"CrBanana"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9257497601848292,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xac31c5c81f0f,!1,[[11,"waveActive"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9242417620690564,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6057078272978784,!1,[[11,"skeleton2"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,
479440604440174,!1,[[11,"skeleton3"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8066142096123796,!1,[[11,"skeleton4"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6531219499950995,!1,[[11,"skeleton5"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4935648167115741,!1,[[11,"skeleton6"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6961218848414932,!1,[[11,"skefly1"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xe983c0d830b26,
!1,[[11,"enemykill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x84ad7ebca62c7,!1,[[11,"wavepercent"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x875b91872989b,!1,[[11,"wavecount"],[7,[0,0]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,6496511018102911,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8289464815431751,!1,[[11,"Awork"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7691932942034146,!1,[[11,"Wwork"],
[7,[2,"on"]]]],[62,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xb666196fca52a,!1,[[10,0],[7,[0,10]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x3a65f3f92e309,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0xaf7ec585e2d9a,!1,[[0,[0,0]]]]],[[0,null,!1,null,0xf2144d3be74a0,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6794652865102763,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xc3c3b3d6bd2a7,!1,[[4,30],[5,
[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf2157a7dcb191,!1,[[1,[2,"survival"]],[3,1]]]]],[0,null,!1,null,0x5dfa3d1d1a263,[[45,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,6485735869034217,!1,[[1,[2,"Hsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7718088086641893,!1,[[11,"Hammer"],[7,[20,45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Hsave"]]]]]]]],[0,null,!1,null,0xd7ebbe677157b,[[45,
cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,7774748387168418,!1,[[1,[2,"AMsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,630368672437665,!1,[[11,"ArmorMaker"],[7,[20,45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"AMsave"]]]]]]]],[0,null,!1,null,4954541793508969,[[45,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,4830996909829826,!1,[[1,[2,"WMsave"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6541854733746529,
!1,[[11,"weponmaker"],[7,[20,45,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"WMsave"]]]]]]]]]],[0,null,!1,null,0x57fc559133a22,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,747428946324142,!1,[[11,"ArmorMaker"],[8,0],[7,[2,"active"]]]]],[],[[0,null,!1,null,5819264194875285,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x3a275b725776d,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8012490119452975,!1,[[4,62],[5,[2,"3"]],[0,[0,64]],
[0,[0,320]]]]]]]],[0,null,!1,null,6282738551221935,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8849374562197417,!1,[[11,"weponmaker"],[8,0],[7,[2,"active"]]]]],[],[[0,null,!1,null,0x40f08aa2a4cd1,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4904515238533157,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8462841753257348,!1,[[4,53],[5,[2,"5"]],[0,[0,64]],[0,[0,544]]]]]]]],[0,null,!1,null,9049887292524476,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0x7bab9c9b43e28,!1,[[11,"bgSound"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,0x8a6b40f4c793b,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8423163965966715,!1,[[0,[1,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,7861764389868174,!1,[[11,"sound"],[7,[0,1]]]]]]]],[0,null,!1,null,8912946696568991,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x7ccb77f410399,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,372064392780681,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5491326028036574,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,9604652052639764,!1,[[2,["bgsound2",!1]],[3,0],[0,[0,-15]],[1,[2,"bgs"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb6a63332aa4da,!1,[[11,"sound"],[7,[0,25]]]]]]]],[0,null,!1,null,5204892023702487,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x65355c44bf95,!1,[[4,30]]]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,604732865361248,!1,[[0,[1,1]]]],[30,cr.plugins_.Sprite.prototype.acts.Destroy,
null,441498324857868,!1],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xcccf4d004d01b,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,6797920874406448,!1,[[11,"BananaCD"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb52341474f72e,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6609975784600118,!1,[[11,"bgSound"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,777944765654049,!1,[[11,"waveActive"],[7,[2,"on"]]]],
[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,9220364938301240,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,5575127763786837,!1,[[1,[2,"bgs"]],[3,1]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5d47de19f4202,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xf92770612d0e2,!1,[[11,"sound"],[7,[0,25]]]]]],[0,null,!1,null,0x751f9fb9fabb,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,0xbb7537a336c6f,!1]],[[26,cr.plugins_.TiledBg.prototype.acts.SetHeight,
null,6097903934311711,!1,[[0,[23,"BananaCD"]]]],[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,6496012946806588,!1,[[0,[0,10]]]],[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,4997205094585479,!1,[[0,[0,10]]]],[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x7bda35d303092,!1,[[0,[0,10]]]],[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x51f55adf29b69,!1,[[0,[0,10]]]],[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x77cfe4a574f92,!1,[[0,[0,10]]]],[24,cr.plugins_.Text.prototype.acts.SetText,
null,8765469804332328,!1,[[7,[23,"Hammer"]]]],[37,cr.plugins_.Sprite.prototype.acts.SetSize,null,0xc84414721aa6e,!1,[[0,[0,120]],[0,[0,120]]]],[72,cr.plugins_.Text.prototype.acts.SetText,null,7255976209773234,!1,[[7,[23,"enemykill"]]]]]],[0,null,!1,null,6436868625592651,[[11,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0x47d9faf22f4d7,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[11,cr.plugins_.Sprite.prototype.acts.SetOpacity,
null,0x583ca0a80179e,!1,[[0,[0,50]]]]]],[0,null,!1,null,8934004719095466,[[12,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,4827766779925836,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,8250921430571112,!1,[[0,[0,50]]]]]],[0,null,!1,null,0x7c1269168d68c,[[13,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,8607198347252179,!1,[[3,0],
[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[13,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,9093865003013828,!1,[[0,[0,50]]]]]],[0,null,!1,null,0xf0b1be8cb3df2,[[14,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,0x461e4832e75cd,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[14,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,
0x5ef916c4f9ff7,!1,[[0,[0,50]]]]]],[0,null,!1,null,0x4a552cf3a888d,[[15,cr.plugins_.Sprite.prototype.cnds.PickDistance,null,0,!1,!1,!0,8328090776463331,!1,[[3,0],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[15,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,5522543005402527,!1,[[0,[0,50]]]]]],[0,null,!1,null,0x5ef08bf61c813,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7612385386120868,!1,[[11,"CrBanana"],
[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,7421375477488428,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8398194805411479,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,949310364233445,!1,[[11,"BananaCD"],[7,[0,5]]]]]]]],[0,null,!1,null,0x9cc4b99974e77,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,878417537717323,!1,[[11,"BananaCD"],[8,5],[7,[0,65]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6245855170874551,!1,[[11,"CrBanana"],[7,[2,"off"]]]]],
[[0,null,!1,null,9039514099274176,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb09cc001ba077,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,862646152503948,!1,[[4,27],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7409233410168111,!1,[[4,32],[5,[2,"other"]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,
!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6067364737441317,!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",4884456415836422,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x6527310f3fc98,!1,[[11,"BananaCD"],[7,[0,0]]]]]]]],[0,null,!1,null,0xe1e0871a5243f,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",
1,!1,!1,!1,9201648608558954,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xe37f017db5731,!1,[[4,11],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0xe5f79ad03c2e,!1,[[3,0]]]],[[0,null,!1,null,9976323406339026,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,953918982965192,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8165836931610224,!1,[[4,33],[5,[2,"1"]],[0,[0,50]],[0,[0,160]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,
null,712281397101393,!1,[[0,[20,11,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,11,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,4806968118679139,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[11,cr.plugins_.Sprite.prototype.acts.Destroy,null,672920655637919,!1]]]]],[0,null,!1,null,8420717054463519,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x83c2f1ff02227,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,7007789779145123,!1,[[4,12],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",5795527238434974,!1,[[3,0]]]],[[0,null,!1,null,0x63bacaa429259,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x564c4ae1dda93,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6532753382462147,!1,[[4,33],[5,[2,"2"]],[0,[0,50]],[0,[0,256]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa38b38f9d590c,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xc7dea97ddc56c,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[12,cr.plugins_.Sprite.prototype.acts.Destroy,null,9167587571927168,!1]]]]],[0,null,!1,null,4591186415347017,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,5952662344163307,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8017566814777963,!1,[[4,13],[0,[0,0]],[0,
[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",7479670390908415,!1,[[3,0]]]],[[0,null,!1,null,0xd53920a0a22ac,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,828731006561807,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6651166801279352,!1,[[4,33],[5,[2,"3"]],[0,[0,50]],[0,[0,352]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb86ee69c29e73,!1,[[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,4680332634791991,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,6020165195949516,!1]]]]],[0,null,!1,null,723545051811203,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x69f82788d0e3,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7940439838590986,!1,[[4,14],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
"DragDrop",0x9448ef9bf6a4d,!1,[[3,0]]]],[[0,null,!1,null,0x98737d4afe88,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xae46abded3857,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xb8aa976c3eb99,!1,[[4,33],[5,[2,"4"]],[0,[0,50]],[0,[0,448]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,4934455051356028,!1,[[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,
null,0x7049ed6dbbd47,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,4619019229780844,!1]]]]],[0,null,!1,null,4915732227586943,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x64ec109974e9c,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,4619220703539026,!1,[[4,15],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",6551324431181391,!1,[[3,0]]]],[[0,
null,!1,null,0xcd18f424e833c,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9881589183551712,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8097540814246369,!1,[[4,33],[5,[2,"5"]],[0,[0,50]],[0,[0,544]]]],[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,9709346464157304,!1,[[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,5231168781469687,!1,[[2,["dragdrop",
!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,5654686682040386,!1]]]]],[0,null,!1,null,0x9858cdf149b23,[[33,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7273587767047822,!1,[[4,27]]]],[],[[0,null,!1,null,0x58596de4743fd,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf13b8d2f5ba55,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9874761289275258,!1,[[4,0],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,
null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x71b14bfe667b7,!1,[[4,32],[5,[20,33,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[33,cr.plugins_.Sprite.prototype.acts.Destroy,null,9356408915358348,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,
7642353482719042,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,98250170617263,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x689111ad53714,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,0xe746fc89f133a,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7177174166461342,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xf56af5f0eee92,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
"DragDrop",9427663040064012,!1,[[3,0]]]],[[0,null,!1,null,60629711475699,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7507353518113929,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xe0f26bec1c25c,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,7312599210522833,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,8280557391442506,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,
0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,5431943603726116,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5585096786243674,!1,[[4,1],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,8964762071296994,
!1],[-1,cr.system_object.prototype.acts.SetVar,null,6662903332989035,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,9705986273543252,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7146301243065155,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xf6359b06bd447,!1,[[4,4],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xd425d33429d08,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7012665781567639,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,
null,9286635396977914,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[4,cr.plugins_.Sprite.prototype.acts.Spawn,null,5511465297345593,!1,[[4,39],[5,[20,4,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[4,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6013361688892997,!1,[[10,0],[7,[0,30]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,4838025876733604,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xb5c55d31a100,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[4,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,9600905222646566,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,4607676433557448,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,969060702609231,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x66658714d2d00,!1,[[4,5],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,6288298956636063,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5265510466774434,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xe301d8b7001ba,!1,[[2,["healing",
!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[5,cr.plugins_.Sprite.prototype.acts.Spawn,null,6589416199879587,!1,[[4,39],[5,[20,5,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[5,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7190121533170118,!1,[[10,0],[7,[0,50]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,6986739747320516,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x3b6e2605823e2,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[5,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x8f3c082a063f7,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0xf01dd55b168b9,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xe45e84d4a9acf,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9053660205880246,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[27,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x6b6b29ad7b1e,!1,[[3,0]]]],[[0,null,!1,null,0xf74324dc329ad,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7297295735576541,
!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0xe58a5d68cb66f,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x8923a15e9c008,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,951567391330448,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,5559442316368271,
!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xf86ddaa5f202f,!1,[[4,0],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,8032625247657279,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xd9d099d50bcca,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,8136443032690508,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,0x676ae75eaacb5,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7514901396631209,!1,[[4,37],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,8226390236725252,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8633555667501409,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8653417907735135,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd5e3afb9608d1,!1,[[4,0],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd90f38843755e,!1,[[4,39],[5,[20,37,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,37,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[37,cr.plugins_.Sprite.prototype.acts.Destroy,null,350929234088745,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,
0xafed2adff72a9,!1],[-1,cr.system_object.prototype.acts.SetVar,null,7452802750205075,!1,[[11,"CrBanana"],[7,[2,"on"]]]]]]]],[0,null,!1,null,6968684760665594,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x4f587396aebe3,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xa1bf3ec9a88d2,!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xe717bda736e18,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9449004583845506,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,
null,8436338369136556,!1,[[2,["healing",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x4ce9668e83ce4,!1,[[4,39],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xdd6ac76ad0951,!1,[[10,2],[7,[0,15]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf7bca67d49ee7,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x9392db134dc9a,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,8523763015840281,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,5766051014186943,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x8787aa4626724,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8790496721499296,!1,[[4,3],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xfe564854c746e,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x68ffe91e2ef51,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,0x873799ef567a3,!1,[[2,["healing",
!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xb2ab0e5ef9663,!1,[[4,39],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[3,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xe2c2e24ed191e,!1,[[10,0],[7,[0,20]]]],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,5764118762359678,!1],[-1,cr.system_object.prototype.acts.SetVar,null,79102771326098,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,
0xebbb1a73b805e,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0x6e301c5b2d34b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x55bdea4b4cda2,!1,[[11,"wavecount"],[8,0],[7,[0,25]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x9e4980fd6c6ce,!1,[[11,"wavepercent"],[7,[0,50]]]]]],[0,null,!1,null,6777803993258364,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf0841e2435d1e,!1,[[11,"wavecount"],[8,0],[7,[0,50]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,6816038869889421,!1,[[11,"wavepercent"],[7,[0,100]]]]]],[0,null,!1,null,7581748243149138,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6add889be7887,!1,[[11,"wavecount"],[8,0],[7,[0,75]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4841877998261491,!1,[[11,"wavepercent"],[7,[0,150]]]]]],[0,null,!1,null,0x784cd7954949d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd39c40585d713,!1,[[11,"wavecount"],[8,5],[7,[0,100]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,7719990926286161,!1,[[11,"wavepercent"],[7,[0,200]]]]]],[0,null,!1,null,6883396929361582,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5020497305846899,!1,[[11,"waveActive"],[8,0],[7,[2,"on"]]]]],[],[[0,null,!1,null,6232318065082695,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6178586920017863,!1,[[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,9349149548969240,!1,[[11,"skeleton1"],[7,[0,1]]]]]],[0,null,!1,null,5981150116731131,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9064034402151488,!1,[[11,"wavecount"],[8,5],[7,[0,6]]]]],[],[[0,null,!1,null,0x658b6c7fac31b,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,4576452184837207,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,7577387976784802,!1,[[11,"skeleton2"],[7,[0,1]]]]]]]],[0,null,!1,null,6953787228114734,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x693d4d06f72ea,!1,[[11,"wavecount"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,8529667016656049,[[-1,
cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5900755474793176,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,7723749041022187,!1,[[11,"skeleton3"],[7,[0,1]]]]]]]],[0,null,!1,null,6634814172492094,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x79489f3271f37,!1,[[11,"wavecount"],[8,5],[7,[0,50]]]]],[],[[0,null,!1,null,6907244039362604,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,548068044937409,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,
null,0xac9936a1ced85,!1,[[11,"skefly1"],[7,[0,1]]]]]]]],[0,null,!1,null,9948537013884878,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9d16093f9f05b,!1,[[11,"wavecount"],[8,5],[7,[0,100]]]]],[],[[0,null,!1,null,5784347016957009,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6988622101047287,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0xac393fd892184,!1,[[11,"skeleton4"],[7,[0,1]]]]]]]],[0,null,!1,null,5378742751551878,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,5859873525267794,!1,[[11,"wavecount"],[8,5],[7,[0,150]]]]],[],[[0,null,!1,null,9884185980075274,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,547680510888775,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,9323316377158444,!1,[[11,"skeleton5"],[7,[0,1]]]]]]]],[0,null,!1,null,9932516635176864,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,85878443516888,!1,[[11,"wavecount"],[8,5],[7,[0,200]]]]],[],[[0,null,!1,null,0xd71f02cf955f2,[[-1,
cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9308999040011656,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,9655659039528740,!1,[[11,"skeleton6"],[7,[0,1]]]]]]]]]],[0,null,!1,null,0x5f2b668930a45,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9c8f27607c730,!1,[[11,"skeleton1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,7819188591066859,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xee8f72da9471e,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xbd93a6564908c,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5825834814039795,!1,[[10,0],[7,[2,"weeker"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x75f2a76723bd6,!1,[[10,3],[7,[0,7]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x707ca21f4485b,!1,[[11,"skeleton1"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6487899257563191,!1,[[11,
"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,7257943140293569,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x477c94e19a6cf,!1,[[10,0],[8,0],[7,[2,"weeker"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe9bb73b9d146d,!1,[[1,[2,"weeker"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xb333adf876c16,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",8963398003283443,!1,[[0,[0,10]]]]]],[0,null,!1,null,4778709690794509,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbbbbcd4d16146,!1,[[11,"skeleton2"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,6077753159375291,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5d1e239b013c4,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4910931705954307,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6821037863723564,!1,
[[10,0],[7,[2,"spider"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9931086328655984,!1,[[10,3],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9083898498619024,!1,[[11,"skeleton2"],[7,[0,16]]]],[-1,cr.system_object.prototype.acts.AddVar,null,654631066327152,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,7618428992071138,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6243382037444928,!1,[[10,0],[8,0],[7,[2,"spider"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,9698541047348556,!1,[[1,[2,"spider"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xb18469bd2c371,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6602662566552847,!1,[[0,[0,30]]]]]],[0,null,!1,null,0x7000d1a6b0ee,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x92b90d094afd8,!1,[[11,"skeleton3"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,9849921180293828,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5956813020888736,
!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7185038828667378,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6931758559213052,!1,[[10,0],[7,[2,"shielding"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6448339738511467,!1,[[10,3],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5362145516586295,!1,[[11,"skeleton3"],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,9091988112378184,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0x7041467e97423,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb3d768a2739ae,!1,[[10,0],[8,0],[7,[2,"shielding"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,89197225455289,!1,[[1,[2,"shielding"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8743056306832571,!1,[[10,1],[7,[0,1]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5316031778252341,!1,[[0,[0,
10]]]]]],[0,null,!1,null,8179429042689651,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9770625288246816,!1,[[11,"skeleton4"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,450135180530465,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4874807772472505,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6424382737675931,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,5661520361154876,!1,[[10,0],[7,[2,"pigiez"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4664010383134839,!1,[[10,3],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5898779598515678,!1,[[11,"skeleton4"],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6621663723046402,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,5992159055605235,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xc58d8740cba93,!1,[[10,0],[8,0],[7,[2,"pigiez"]]]]],
[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x7b70ef16b612b,!1,[[1,[2,"pigiez"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xf6ecb443b5711,!1,[[10,1],[7,[0,3]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x48f7ffe21577f,!1,[[0,[0,10]]]]]],[0,null,!1,null,0x62a14885ea371,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8776975115615382,!1,[[11,"skeleton5"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,8920263220608997,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,6589669006228345,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xc71fece77e6ab,!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xf3950d878b6ef,!1,[[10,0],[7,[2,"ash"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7894061810050999,!1,[[10,3],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6792039638950684,!1,[[11,"skeleton5"],
[7,[0,35]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6261786197739977,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,0xe118558770fd3,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,935261138232959,!1,[[10,0],[8,0],[7,[2,"ash"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8419957034535285,!1,[[1,[2,"ash"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7293044197612796,!1,[[10,1],[7,[0,10]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",8877144346142659,!1,[[0,[0,10]]]]]],[0,null,!1,null,0x65f0e4631a537,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xcccdeb27232b0,!1,[[4,86],[0,[0,0]],[0,[0,0]]]],[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x93683734ff91,!1,[[10,0],[8,0],[7,[2,"ash"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6638115972932271,!1,[[1,[2,"ashfight"]],[3,1]]]]],[0,null,!1,null,7811526632884071,[[35,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,0x7385f537af4c4,!1,[[1,[2,"ashfight"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xbb87d5855caeb,!1,[[1,[2,"ash"]],[3,1]]]]],[0,null,!1,null,0x730e9a4e4d50a,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa2cae999e2245,!1,[[11,"skeleton6"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,8832019530697352,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf47605e984105,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5230948279494117,
!1,[[4,35],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9584968611858522,!1,[[10,0],[7,[2,"spartan"]]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x48c847f936fe4,!1,[[10,3],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8339892169386852,!1,[[11,"skeleton6"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xbed65efca0754,!1,[[11,"wavecount"],[7,[0,
1]]]]]]]],[0,null,!1,null,0x77da49e9b5426,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6347348822475836,!1,[[10,0],[8,0],[7,[2,"spartan"]]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb8c4ff3a9d810,!1,[[1,[2,"spartan"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9265490556293500,!1,[[10,1],[7,[0,3]]]],[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",8167650525573999,!1,[[0,[0,10]]]]]],[0,null,!1,null,5753660052676029,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8326360109692924,!1,[[11,"skefly1"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,5544679702382991,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8101488171493869,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x5e7ac2f16bc03,!1,[[4,50],[5,[2,"other"]],[0,[0,1100]],[0,[19,cr.system_object.prototype.exps.random,[[0,160],[0,544]]]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6088698357448983,!1,[[10,2],[7,[2,"skebat"]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,8162013400714979,!1,[[10,0],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb075f22ca35aa,!1,[[11,"skefly1"],[7,[0,40]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x60f0b9166a3d,!1,[[11,"wavecount"],[7,[0,1]]]]]]]],[0,null,!1,null,4911474393674597,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5057987020534681,!1,[[4,16]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,4685947770254542,!1,[[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],
[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0xf85fefe03fcb5,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf278135eab058,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,4860003074795949,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,4760078107718051,!1,[[5,[2,"1"]]]]]]]],[0,null,!1,null,9955863949365202,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6509395255042767,
!1,[[4,17]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb3e66ee5f061e,!1,[[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,7041952732028835,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,342210925146651,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,5514063815977952,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,7771571486179018,
!1,[[5,[2,"2"]]]]]]]],[0,null,!1,null,0x52639312c4122,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xafb18af2e1c15,!1,[[4,18]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,4674080314748688,!1,[[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,7134158984772276,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5305db4d662bc,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,
null,0x42640ad8070bc,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0xe325951c20d2,!1,[[5,[2,"3"]]]]]]]],[0,null,!1,null,7890723325669596,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8453961679881392,!1,[[4,19]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6d9baeccf5a83,!1,[[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,
4806863926970973,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6477159608186755,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,8863778321840875,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,6129032559266639,!1,[[5,[2,"4"]]]]]]]],[0,null,!1,null,9159241649229468,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,322864844110698,!1,[[4,20]]]],[[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf286d7f31dee8,
!1,[[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,8428598057385648,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,607919297246914,!1]],[[29,cr.plugins_.Audio.prototype.acts.Play,null,6221644662571477,!1,[[2,["enemyon",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[35,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x8ac115848b6fb,!1,[[5,[2,"5"]]]]]]]],[0,null,!1,null,0xf5b6a5286b1e3,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,7223883606191014,!1,[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6961243463093566,!1,[[10,0],[8,5],[7,[0,1]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,7881083342831662,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xcb6d1108bf993,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[34,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7283344021035781,!1,[[10,0],[7,[0,1]]]],[34,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xf62f8863c293f,!1,[[1,[2,"destroy"]],[3,1]]]]],[0,null,!1,null,0xbf41e0588daf3,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6820748055116562,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xab42ba5c6f1ec,!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,452871579106636,!1,[[0,[4,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,80]]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,
null,986535968462966,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x83f727b9b9c9f,!1,[[10,3],[7,[0,1]]]],[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9534369997002102,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xf10ebcdde59a6,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,5254274928835078,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,8087124440877385,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xe935ce67f854e,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6258772200779225,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9412336302665474,!1,[[4,37],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,9599457265212284,
!1,[[4,36],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,9898768029761408,!1]]]]],[0,null,!1,null,0x7ec2305eaeac9,[[0,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,848187335186367,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,9059461150436954,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xae69f64cdf471,!1,[[10,0],[8,3],[7,[0,5]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x390d852f36743,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,0xcdda7fbd06394,[[0,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,696634301662044,!1,[[10,0],[8,5],[7,[0,6]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7496999157492343,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,5823710835706126,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9520591680115254,!1,[[4,4]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9053576747938080,!1,
[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,9559906617598198,!1,[[0,[4,[20,4,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,100]]],[0,[20,4,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xf56dc7b0844f4,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,517759921906672,!1,[[10,3],[7,[21,4,!1,null,1]]]],[4,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,5766593651081975,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,7894936187657022,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,6040979541255478,[[4,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x3ab4ea21e6315,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5404377062368546,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8123002488616003,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xe1bbc6d96b43a,!1,[[4,37],[5,[20,4,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,4,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,4,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[4,cr.plugins_.Sprite.prototype.acts.Spawn,null,7780548109508326,!1,[[4,36],[5,[20,4,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[4,cr.plugins_.Sprite.prototype.acts.Destroy,null,8119282896721534,!1]]]]],[0,null,!1,null,8384853942311286,[[4,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,9872411324259456,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,0x9c8ba8a442ec,[[4,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x3d2a961926ac0,!1,[[10,0],[8,3],[7,[0,10]]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x9e611ace8772,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,0xcc2561cb33f85,[[4,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7514437336778937,!1,[[10,0],[8,5],[7,[0,11]]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x78b157df6bf83,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,9593932043048148,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xfeb147b96bf36,!1,[[4,5]]]],[[5,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5590609467816369,!1,[[1,[2,"fight"]],[3,1]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,9551181343991880,!1,[[0,[4,[20,5,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,100]]],[0,[20,5,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,
null,9257293438007716,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8435354763982736,!1,[[10,3],[7,[21,5,!1,null,1]]]],[4,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6052731365894727,!1,[[10,0],[7,[21,35,!1,null,1]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x4eecc4efc5b6e,!1,[[2,["swordhitting",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0x64d510a3cfd96,[[5,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,8029098863597954,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xc27b1855dba1a,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5979343600429845,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9021063583609904,!1,[[4,37],[5,[20,5,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,5,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,5,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[5,cr.plugins_.Sprite.prototype.acts.Spawn,null,8431145858890459,
!1,[[4,36],[5,[20,5,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[5,cr.plugins_.Sprite.prototype.acts.Destroy,null,916645321954342,!1]]]]],[0,null,!1,null,0xe80780e9afdb5,[[5,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0x38f9dc57d1c3c,!1,[[1,[2,"fight"]]]]],[],[[0,null,!1,null,587468907926311,[[5,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,857307037213696,!1,[[10,0],[8,3],[7,[0,10]]]]],[[5,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,660455758825824,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,5102831516547435,[[5,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5072508114193281,!1,[[10,0],[8,5],[7,[0,11]]]]],[[5,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9026554135458782,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0x43f1254d69aae,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xbac3a9a3d8e78,!1,[[5,[2,"1"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xeb62fd3497de2,
!1,[[5,[2,"1"]]]]],[],[[0,null,!1,null,0xd45d15d638d79,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xaa45e902df36,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5609501553189058,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,5092567292268533,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,897795546218092,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,963374444651713,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x8ac52b9c71e8f,
!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,7521578686093099,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8210379188626085,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xd66b6799526ae,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,8405785077295419,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,4874401999543277,!1,[[5,[2,"2"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,
null,0,!1,!1,!1,0x8a35571701cab,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,0x9cade892690fe,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x3daf26acc804d,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xbd3acce32e282,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xbb761096fed29,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xec290beb4a7d5,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,442461350023056,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xe5d32a387c3b3,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xb78a9d37389e6,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9709983650741732,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xd2a2bb46e7bc5,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,8125681184037074,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9730320266805058,!1,
[[5,[2,"3"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,5351186453830994,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,0x705bdb18beafc,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9506290896431866,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4701783683964691,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,7146190927451415,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9264055183649536,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,
null,!1,null,0x89652c7dc0686,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xa60863c3cbccb,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,5753288952941805,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8859189355068908,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7902073923489173,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0x949b43055f6f0,[[35,
cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,9726576819142648,!1,[[5,[2,"4"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x4e2d62604b816,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,565784497703064,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9061364032081738,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8741532663059177,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,979137212209712,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0x5e8f345225cab,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xb0a90ca83e1ee,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8573609456815881,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xa11973ff2e682,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7567341949519264,!1,[[1,[2,"shoot"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xf5fd23f5fcd03,
!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,9139323028986894,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x5b845c3b88931,!1,[[5,[2,"5"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xe068b92f78e05,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,8647283012838266,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xa8d67e6a9aa40,!1,[[0,[1,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4923792333744922,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,
7547400627747943,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x91ad643d7f322,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9542836891045972,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6249804579907599,!1]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,596477925035755,!1,[[4,38],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7698361592365365,!1,[[1,[2,"shoot"]],[3,
1]]],[1,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,385181009663037,!1,[[10,0],[7,[0,3]]]]]]]]]],[0,null,!1,null,0x42d58f96ce733,[[1,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,6459581712898498,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,8702506619002645,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6857252078718705,!1,[[10,1],[8,3],[7,[0,4]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x53409833ffe85,!1,[[1,[2,"tired"]],[3,1]]]]],
[0,null,!1,null,7419739983675178,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4560558614557929,!1,[[10,1],[8,5],[7,[0,5]]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6994754778718772,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0x70052f7f71e91,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xcddb45df69a58,!1,[[4,38]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8160911915861085,!1,[[10,3],[7,[0,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,
null,9500514407371988,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[38,cr.plugins_.Sprite.prototype.acts.Destroy,null,9274737092989624,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,8810553173461462,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0xddc2a31c83245,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,889953846607065,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",9129471715563668,!1,[[0,[0,0]]]]],[[0,null,!1,null,8821057675312098,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6493587692666529,!1,[[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,7495457578804067,!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5650598569751244,!1,[[10,1],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,8835101619921602,[[1,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,7486361079923174,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xb4309a22f7046,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xecf3cf5093cbd,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8851190887706497,!1,[[4,37],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,840962695914096,
!1,[[4,36],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,6938596269311301,!1]]]]],[0,null,!1,null,0x72c68320e874e,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x5ba39ebc1726f,!1,[[5,[2,"1"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7944922394911054,!1,[[5,[2,"1"]]]]],[],[[0,null,
!1,null,4849745801754695,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x624b88f133ef2,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x870bd634496ad,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xa2f3ec6abd679,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4639110840405085,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,6474078984170909,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9175992252631696,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,
null,8530018557875398,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",7560570714857496,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x7e7548e367f1,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xfb0f8d9272220,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,947071879413056,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7611174033861808,
!1,[[5,[2,"2"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,7749182364706168,!1,[[5,[2,"2"]]]]],[],[[0,null,!1,null,0xbee2fe64bc375,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8854110623972749,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9795547365737038,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,4849416510214637,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6712967483968981,!1,[[10,0],[8,3],[7,[0,0]]]]],[],
[[0,null,!1,null,8534608019064788,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6762578291033946,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,694557076251104,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",5942275673934694,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7563823002041518,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0x56812665b37b6,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0xb2cec3d2bd333,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,41690382999211,!1,[[5,[2,"3"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x5bb1047ff67a6,!1,[[5,[2,"3"]]]]],[],[[0,null,!1,null,6963646435741398,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x5f6634c822c60,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7686999759444354,!1,[[10,0],[7,[0,1]]]]]],
[0,null,!1,null,7426870073208457,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7687412235579952,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,5708146287545568,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7288016720230332,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x7ac73fe8db42a,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",0x3faa2a043c20b,
!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7466176285350202,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x4d07f4605f404,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,6141394700883669,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,742751289665782,!1,[[5,[2,"4"]]]],[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0xb849701e2f2f7,!1,[[5,[2,"4"]]]]],[],[[0,null,!1,null,7234011155725486,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,8113382278646232,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5487738649132151,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,0xdd4b237751b89,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9423356334237802,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,7580445704933033,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6283447800321138,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,6177357288767604,!1,[[4,48],
[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",8191281410284105,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5353107369048831,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x4525ce8c7d3c4,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,4599053814564224,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x5e58a2c5537d4,!1,[[5,[2,"5"]]]],
[2,cr.plugins_.Sprite.prototype.cnds.IsOnLayer,null,0,!1,!1,!1,0x907fde0acc19f,!1,[[5,[2,"5"]]]]],[],[[0,null,!1,null,0xab7d7143b549b,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8809164898377007,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8868505277828413,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,8542501117470072,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7767360990671946,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,8463110953190398,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x80ab8c1d9b545,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,7046685224691323,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",7946415238505654,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x8c78b82193ac,!1,[[1,[2,"shoot"]],[3,1]]],[2,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,780377021413786,
!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,9838549030968316,[[50,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,4782768149058148,!1]],[],[[0,null,!1,null,957276481032039,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5402890670359227,!1,[[0,[1,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9088791479915876,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,4760966916246705,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6250521292511872,
!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x4b1f688208c7e,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,687286975142193,!1]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,8918176863536208,!1,[[4,48],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[48,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",6069223158386353,!1,[[0,[0,-60]]]],[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb71762181eb0f,!1,[[1,[2,"shoot"]],[3,1]]],[2,
cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6721315383969162,!1,[[10,0],[7,[0,5]]]]]]]]]],[0,null,!1,null,0x5ed9cf006b04f,[[2,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,5213863278782336,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,8853638554419762,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xae0cff6b9b801,!1,[[10,2],[8,3],[7,[0,7]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8056563472023353,!1,[[1,[2,"fall"]],[3,1]]]]],[0,null,
!1,null,0x58f53e92accd6,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x5d3262ea8752e,!1,[[10,2],[8,5],[7,[0,8]]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4a8361bb09145,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,7306578044400406,[[48,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,5233065971805575,!1,[[8,5],[0,[0,640]]]]],[[48,cr.plugins_.Sprite.prototype.acts.Spawn,null,9060989626748160,!1,[[4,49],[5,[20,48,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe38fdcf61970e,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,6698837615685371,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0x7dec259aa7977,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7662841298332032,!1,[[4,48]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,7385072944213398,!1,[[10,3],[7,[21,2,!1,null,1]]]],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,
0xab551905384f5,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x40f26b0f00389,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,8989796034093872,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,4661147774294029,[[48,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8768035961842297,!1,[[4,50]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,783539253711667,
!1,[[10,0],[7,[21,2,!1,null,1]]]],[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x69aa1b3797bdb,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,7703931221209496,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,6320105573382137,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,0x9f63aa2d12589,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x55dad8a0ef3da,
!1,[[4,2],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",775727590679621,!1,[[0,[0,0]]]]],[[0,null,!1,null,7891378420497157,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8628240797091073,!1,[[0,[0,1]]]]],[[2,cr.plugins_.Sprite.prototype.acts.Spawn,null,7391723097240545,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5012191335288935,!1,[[10,2],[7,[21,35,!1,
null,1]]]]]]]],[0,null,!1,null,0xb205f67240645,[[2,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb0b91c990a308,!1,[[10,2],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x46b55ce45e6b1,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9502095130904788,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7361704600863476,!1,[[4,37],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5151470594491687,!1,[[4,36],[5,[20,2,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,2,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[2,cr.plugins_.Sprite.prototype.acts.Destroy,null,5165789438930718,!1]]]]],[0,null,!1,null,5534262725958391,[[50,cr.behaviors.Bullet.prototype.cnds.CompareTravelled,"Bullet",0,!1,!1,!1,9506333130188658,!1,[[8,5],[0,[0,100]]]]],[],[[0,
null,!1,null,0x4e2063f4ebd1f,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9111013945271968,!1,[[0,[1,1]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4522177409259175,!1,[[10,1],[7,[0,1]]]]]]]],[0,null,!1,null,5879388958369858,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xeeb1ac6ed5d0e,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,901650191452009,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9270084173836052,!1]],
[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x813bd779ad488,!1,[[4,36],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xa024e73be4f0,!1]]]]],[0,null,!1,null,8884745645420956,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x58fd1317a77a5,!1,[[10,0],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,8891091796299214,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7302733952272665,!1]],
[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x7ff0df1531d7e,!1,[[4,54],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,7591264957252192,[[50,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,5274060302622386,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,9398645198742756,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,7533870689917805,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9147177437588308,
!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0x9aa91506d9781,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x87dabc97abb78,!1]],[[50,cr.plugins_.Sprite.prototype.acts.Spawn,null,784613717788558,!1,[[4,51],[5,[20,50,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetAnim,null,921965814480207,!1,[[1,[2,"shoot"]],[3,1]]],[51,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,6249043895792663,!1,[[0,[20,86,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,86,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8209388752445528,!1,[[10,1],[7,[0,5]]]]]]]],[0,null,!1,null,6524577694711483,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x96461c14481e5,!1,[[4,2]]]],[[2,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,6811203712356349,!1,[[10,2],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x74ab477d56371,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,8997601933344779,!1]]],[0,null,!1,null,0x4d2a395db10f8,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9639297234839568,!1,[[4,1]]]],[[1,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5340907433606447,!1,[[10,1],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,5959946634647002,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x7e8e5b5973c63,!1]]],[0,null,!1,null,9569987444651248,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5572675495794893,!1,[[4,0]]]],[[0,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5223707443644006,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,8238298196530503,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb5c18cbc98e26,!1]]],[0,null,
!1,null,0x8dfce35924523,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc0b552601bb72,!1,[[4,3]]]],[[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0xec71e2786ce87,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,5515879218076031,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,8308318638430345,!1]]],[0,null,!1,null,4683757666060686,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0xb906e046b0535,!1,[[4,4]]]],[[4,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,852383313089978,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,9269808756836102,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe82dc6af63635,!1]]],[0,null,!1,null,0xb5e5beefe52d9,[[51,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6027172528077069,!1,[[4,
5]]]],[[5,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x8fc965cab0948,!1,[[10,0],[7,[21,50,!1,null,3]]]],[51,cr.plugins_.Sprite.prototype.acts.Spawn,null,6963340503045284,!1,[[4,36],[5,[20,51,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,7613472245071948,!1]]],[0,null,!1,null,6862530614912451,[[50,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,9160068099749854,!1,[[1,[2,"shoot"]]]]],[[50,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xd2cea25ef4fbd,!1,[[1,[2,"idle"]],[3,1]]]]],[0,null,!1,null,739819522734041,[[35,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,8572174330218433,!1]],[],[[0,null,!1,null,7939385779772409,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xed0428cb5301e,!1,[[0,[1,1]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8744991949763219,!1,[[10,1],[7,[0,1]]]]]]]],[0,null,!1,null,6118713688434958,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,
!1,!1,0xa5178bfd30a73,!1,[[10,1],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,0xba17bcf5ee364,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x455ab73b5c46d,!1]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8261077474251309,!1,[[1,[2,"shoot"]],[3,1]]],[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,4518971699386758,!1,[[4,58],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[58,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,8793147589531381,!1,
[[0,[20,35,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,35,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[3,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x40d747fe303ac,!1,[[10,1],[7,[0,3]]]]]]]],[0,null,!1,null,9562555259867326,[[3,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0xa74fb8969a311,!1,[[1,[2,"shoot"]]]]],[],[[0,null,!1,null,7850448588261566,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,932831982005625,!1,[[10,0],[8,3],[7,
[0,10]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4770907372508352,!1,[[1,[2,"tired"]],[3,1]]]]],[0,null,!1,null,6759961299738415,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xcc6dd0427c48b,!1,[[10,0],[8,5],[7,[0,11]]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7383159858662972,!1,[[1,[2,"idle"]],[3,1]]]]]]],[0,null,!1,null,0x589c4db7b08b4,[[58,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,284543949820411,!1,[[4,35]]]],[[35,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,
null,6868989991975218,!1,[[10,3],[7,[21,3,!1,null,2]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0x9274fef1d92,!1,[[2,["dragdrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[58,cr.plugins_.Sprite.prototype.acts.Destroy,null,9355448903971172,!1],[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xd19b1f7a6d0ab,!1,[[4,36],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,6855351590165014,[[35,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,
!1,4581337060166019,!1,[[4,3],[0,[0,0]],[0,[0,0]]]]],[[35,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",9579005619793324,!1,[[0,[0,0]]]]],[[0,null,!1,null,6760515021228341,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,4703437254440712,!1,[[0,[0,1]]]]],[[3,cr.plugins_.Sprite.prototype.acts.Spawn,null,4612937471497918,!1,[[4,36],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[3,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,8971081681665684,!1,
[[10,0],[7,[21,35,!1,null,1]]]]]]]],[0,null,!1,null,51560677172116,[[3,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xf8fdab5d2caf9,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,4858586521955436,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,907350751852176,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7637916381292696,!1,[[4,37],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.X,!1,
null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8535749331213185,!1,[[4,36],[5,[20,3,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,3,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[3,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xbca04ea21bb27,!1]]]]],[0,null,!1,null,6083011575556532,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,
0xad9e0eee4d313,!1,[[10,3],[8,3],[7,[0,0]]]]],[[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x68e41c9ab266e,!1],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xc3d1c1ace7f4c,!1,[[2,["enemydie",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]],[0,null,!1,null,8310473969667962,[[35,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x972df52dfe0e,!1,[[10,3],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,0x427fd157dad43,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9451099315525292,
!1]],[[35,cr.plugins_.Sprite.prototype.acts.Spawn,null,9391943231052846,!1,[[4,54],[5,[20,35,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]]]],[0,null,!1,null,0x5f2a5ddf0e289,[[35,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,0xb44c4848b43fe,!1]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x5d3165072b6b3,!1,[[11,"enemykill"],[7,[0,1]]]]]],[0,null,!1,null,0x82dc87f0bfcd1,[[35,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8213154504235537,!1,
[[4,34]]],[34,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8623405601623818,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9900535735462234,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8888108015281305,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xf61ebd6e01173,!1,[[3,1]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7790535363795765,!1,[[1,[2,"Hsave"]],[7,[23,"Hammer"]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xfb4dc767791dd,
!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,312152102656642,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,1740680439295,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x840f3a354b613,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x636faa04401fe,!1,[[1,[2,"lose"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,
null,8730001405726908,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,8209822877065753,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,6262006466896179,!1,[[4,23],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,4]]]],[23,cr.plugins_.Sprite.prototype.acts.Spawn,null,6822876853546665,!1,[[4,24],[5,[20,23,
cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf593a33f7f249,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,7741640086514787,!1,[[0,[0,0]]]]]],[0,null,!1,null,537009933775762,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,974856065164669,!1,[[11,"enemykill"],[8,5],[7,[23,"survkill"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,687801116058505,!1,[[11,"survkill"],[7,
[23,"enemykill"]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xb4dc319b1e7c8,!1,[[1,[2,"EKsave"]],[7,[23,"survkill"]]]]]]]],[0,null,!1,null,0xc69501644eec9,[[50,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,7256110899186847,!1]],[],[[0,null,!1,null,0x4baf068ad6e40,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x8b8788b7279c5,!1]],[[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xd07faeaff7239,!1,[[3,1]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,8257921175707371,!1,[[1,[2,"Hsave"]],[7,[23,"Hammer"]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xe21935b2cbc8f,!1,[[2,["losebattle",!1]],[3,0],[0,[0,0]],[1,[2,"lose"]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x9dc65e4f06985,!1,[[1,[2,"fx"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xe11077fba6eff,!1,[[11,"bgSound"],[7,[2,"off"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x3b640c1ac5d41,!1,[[4,40],[5,[2,"dialogLayer"]],[0,[0,510]],[0,[0,256]]]],
[40,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5238239585782098,!1,[[1,[2,"survival"]],[3,1]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xefed72a06a738,!1,[[4,41],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe3667db7f55de,!1,[[4,44],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,24109924428845,!1,[[4,24],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,4]]]],[40,cr.plugins_.Sprite.prototype.acts.Spawn,null,9214019461267060,!1,[[4,72],[5,[20,40,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x3e5cae1f12ca8,!1,[[0,[0,961]],[0,[0,-37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,4525488044141004,!1,[[0,[0,0]]]]]],[0,null,!1,null,396985982310989,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5824745771954346,!1,[[11,"enemykill"],[8,5],[7,
[23,"survkill"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,473225887513405,!1,[[11,"survkill"],[7,[23,"enemykill"]]]],[45,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7435403658325058,!1,[[1,[2,"EKsave"]],[7,[23,"survkill"]]]]]]]],[0,null,!1,null,0x685cf4079d66d,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xe3b4eb257f29d,!1,[[4,41]]]],[],[[0,null,!1,null,9182523373004780,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,8840756198522674,
!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6308934906426381,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,9123858114977134,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0xe042717473c6b,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9163054792886542,!1,[[1,[2,"default"]],[3,1]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,5896441851745564,!1]]]]],[0,null,!1,null,9806934913284564,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,
!1,6538985469507674,!1,[[4,44]]]],[],[[0,null,!1,null,0x76ece4fc53ca0,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0x54b501380d287,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7843705655764666,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,9940206288755144,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,8253667668168453,!1]],[[44,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5278453581443927,!1,[[1,[2,"default"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,
null,594069783223327,!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xd944769cad591,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,6389356177829702,!1,[[1,[2,"win"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,5984310043267644,!1,[[6,"menu"]]]]]]],[0,null,!1,null,9737779484558136,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5592773768302024,!1,[[4,22]]]],[],[[0,null,!1,null,0xd1cf1b580b0b3,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,6130834421943249,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6388940055990024,!1,[[4,46],[5,[2,"dialogLayer"]],[0,[0,506]],[0,[0,325]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0x98bd8a392e3cb,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,8682602186776772,!1,[[0,[0,0]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,4995369435304532,!1,[[4,42],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x62e9025fe5547,!1,[[4,41],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[46,cr.plugins_.Sprite.prototype.acts.Spawn,null,56458449006114,!1,[[4,44],[5,[20,46,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,3]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,7029782323328485,!1,[[0,[0,961]],[0,[0,-37]]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,642517158810587,!1,[[1,[2,"fx"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xda7ee1aba1073,
!1,[[1,[2,"bgs"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x61726de08ec43,!1,[[1,[2,"win"]],[3,0]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x6a05928b80aed,!1,[[1,[2,"startsound"]],[3,0]]]]]]],[0,null,!1,null,0x7f2ad39902e9f,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xab988f79264b3,!1,[[4,42]]]],[],[[0,null,!1,null,9893372051250886,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchStart,null,1,!1,!1,!1,0x708b3492ac2fa,!1]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xd7189f72cb626,!1,[[1,[2,"hover"]],[3,1]]]]],[0,null,!1,null,7846654983772186,[[28,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0xfa08620778c19,!1]],[[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,9748594045682776,!1,[[0,[0,961]],[0,[0,37]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,9823969666031540,!1,[[0,[1,1]]]],[31,cr.plugins_.TiledBg.prototype.acts.SetVisible,null,0xbde91fbac1806,!1,[[3,0]]],[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,5889153546733078,
!1],[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,5767773831650369,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x66d29ce6ec75d,!1],[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,8884576639416596,!1],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xcba7141800865,!1,[[1,[2,"fx"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xe89c92f191457,!1,[[1,[2,"bgs"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x463a309e3d0b8,!1,[[1,[2,"win"]],[3,1]]],[29,
cr.plugins_.Audio.prototype.acts.SetMuted,null,0xb07d7c4ac7b70,!1,[[1,[2,"startsound"]],[3,1]]]]]]],[0,null,!1,null,4593452959514956,[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,7887809212253982,!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x890861bf1bcb6,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x73535a3a72ee4,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc1258d7987630,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xc8bc746db9d0d,!1,[[4,2],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,7238833173811514,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6014929648598978,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9707959793327828,!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,null,5090600838918911,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xf54c1ec49c51d,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x633cb42d6557,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,0x575c90c5ee92a,[[52,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9401748229520988,!1],[52,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,6663359642281088,
!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0xa73bdca1bde33,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7029016664448717,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7591953056503552,!1,[[4,3],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x9855d0ec42ffe,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,
!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,0xd9f550851f744,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb55de5677121d,!1],[52,cr.plugins_.Sprite.prototype.acts.Destroy,null,9066972374520884,!1],[-1,cr.system_object.prototype.acts.SetVar,null,4760107921523963,!1,[[11,"Wwork"],[7,[2,"on"]]]],[53,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7919240556368886,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,5749684737607095,
[[63,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xf90217e1ff8be,!1],[63,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x450b7d24302b0,!1,[[4,0],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,6219323672609339,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x61de449f8dc18,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4677080367194919,!1,[[4,4],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,0,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x6f24d9e65f06b,!1,[[4,32],[5,[20,0,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,8139098135154788,!1,[[2,["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[0,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe215489ed12f1,!1],[63,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x6197fae9074b8,!1],[-1,cr.system_object.prototype.acts.SetVar,
null,0x559b3ce87dfbb,!1,[[11,"Awork"],[7,[2,"on"]]]],[62,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4848507959528562,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,0x62c7d45f90209,[[63,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0xec974e3c0b808,!1],[63,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5225705047984225,!1,[[4,1],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,0x5c869fdaee585,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,
!1,0xcbafc74e78e6f,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x59a0bf8be3861,!1,[[4,5],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,9217146999420200,!1,[[4,32],[5,[20,1,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6839693066728329,!1,[[2,
["monkeyup",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,571265384192181,!1],[63,cr.plugins_.Sprite.prototype.acts.Destroy,null,6640956259916389,!1],[-1,cr.system_object.prototype.acts.SetVar,null,607968592686487,!1,[[11,"Awork"],[7,[2,"on"]]]],[62,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6814973439654209,!1,[[10,0],[7,[0,10]]]]]]]],[0,null,!1,null,7013091827064367,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd450d8d7c75a9,
!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6209529144977012,!1,[[11,"Hammer"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,6520670838848708,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7809387085259396,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,8907956275421524,!1,[[4,56],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,6935887331721765,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,8403232959627637,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x6ce4ebc1c96ee,!1,[[4,53],[0,[0,0]],[0,[0,0]]]],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,722550222854389,!1,[[4,56],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,7910346122392223,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe43d0af30d7c3,!1]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xfa6dd65cefc81,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,
null,5285621674777658,!1],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe99945a1d1159,!1,[[1,[2,"onwork"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,305411190340233,!1,[[2,["workman",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9402269244547392,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.Wait,null,4571869492370745,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x70af6791ae6ea,!1,[[11,"Hammer"],[7,
[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5494589759867373,!1,[[11,"Wwork"],[7,[2,"off"]]]]]]]]]],[0,null,!1,null,6433925598494593,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5531167273748623,!1,[[11,"Wwork"],[8,0],[7,[2,"off"]]]]],[],[[0,null,!1,null,5955579461336173,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xb5b3a9168402b,!1,[[0,[1,1]]]]],[[53,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,5730917500489313,!1,[[10,0],[7,[0,1]]]]]],[0,
null,!1,null,8346758143929576,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,9492031618620844,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,496574931680307,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,8588640034282714,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,0xcf4acca49f2f4,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4770232009713027,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,7863537767409893,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6061438442939583,!1,[[1,[2,"full"]],[3,1]]]]]]]]],[0,null,!1,null,0xbf63fc486658e,[[53,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xc49d695936c93,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,
null,!1,null,0xd5fcefeff02c1,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8126272327488238,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,4872957160096894,!1,[[4,52],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xb8edef4cb2d35,!1,[[4,32],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[53,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8073901000372892,!1,[[1,[2,"default"]],
[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6204638497847246,!1,[[2,["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,5511720042939539,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8260612360039276,!1,[[11,"Wwork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbcfe01a7f3afe,!1,[[11,"Hammer"],[8,2],[7,[0,10]]]]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,7437575902764695,!1]],[[0,null,!1,null,6945952212375226,
[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,8139780326009504,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,4925230168118448,!1,[[4,53],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,4877331848979891,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,0x97e938465cb7d,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,4636835153016737,!1]],[[53,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8e0f534d46973,!1,[[4,57],[5,[20,53,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x520b8c00196c9,!1,[[1,[2,"more"]],[3,1]]]]]]]]],[0,null,!1,null,5050392181711585,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5259251304969685,!1,[[11,"Awork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,7938427083190983,!1,[[11,"Hammer"],[8,5],[7,[0,10]]]]],[],[[0,null,!1,null,586898365450491,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6671919641163418,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,8062825540211383,!1,[[4,56],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]]]],[0,null,!1,null,6022528152861029,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,5528063405025216,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,0x59da29f2157a4,!1,[[4,62],[0,[0,0]],[0,[0,0]]]],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9959054665371728,!1,[[4,56],[0,[0,0]],[0,[0,0]]]]],[],[[0,null,!1,null,9307752339677876,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,28280989028315,!1]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,5500207967980106,!1],[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,9612252844271972,!1],[62,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x6b043681f7389,!1,[[1,[2,"onwork"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9066347759754484,!1,[[2,["workman",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9445390217884842,!1,[[11,"CrBanana"],[7,[2,"on"]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x3ee460018b8ea,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x76f41414e5d1c,!1,[[11,"Hammer"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7128618353578847,
!1,[[11,"Awork"],[7,[2,"off"]]]]]]]]]],[0,null,!1,null,0xe1a5407b4ba84,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9663055361632188,!1,[[11,"Awork"],[8,0],[7,[2,"off"]]]]],[],[[0,null,!1,null,0x6a980749f34c3,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5782396810166061,!1,[[0,[1,1]]]]],[[62,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,0x9950eb9ac49cf,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,706364665595309,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
"DragDrop",1,!1,!1,!1,0xd8fa24f3c3e40,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xc39ab9d320a55,!1,[[4,62],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,7449138115801683,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,0xd39ac4a1547bf,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5100167939849025,
!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,8988163456050574,!1,[[4,57],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8433073091429845,!1,[[1,[2,"full"]],[3,1]]]]]]]]],[0,null,!1,null,0xbf65e6d231cbb,[[62,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xccc6e57adf6dd,!1,[[10,0],[8,3],[7,[0,0]]]]],[],[[0,null,!1,null,9536470673995608,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,0xa208953fb4bc3,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,7757286240520644,!1,[[4,63],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[62,cr.plugins_.Sprite.prototype.acts.Spawn,null,6006623102789341,!1,[[4,32],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,1]]]],[62,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x835806508654f,!1,[[1,[2,"idle"]],[3,1]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,9795922705845498,!1,[[2,
["bananadrop",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]],[0,null,!1,null,8723672136195241,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6083199565181818,!1,[[11,"Awork"],[8,0],[7,[2,"on"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8517605517590345,!1,[[11,"Hammer"],[8,2],[7,[0,10]]]]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,43010561087203,!1]],[[0,null,!1,null,0xc01da78f24aeb,[[27,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,
9731709540786920,!1],[27,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x50e29e1f0f836,!1,[[4,62],[0,[0,0]],[0,[0,0]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7834a681907ed,!1,[[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,1]]]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,1]]]]]]],[[0,null,!1,null,4915506337770124,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd58faf9aa080e,!1]],[[62,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0xb0ee96e70be47,!1,[[4,57],[5,[20,62,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,2]]]],[57,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf9ee882eef2c2,!1,[[1,[2,"more"]],[3,1]]]]]]]]],[0,null,!1,null,6524699063686939,[[28,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9970766535830176,!1,[[4,54]]]],[[54,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6930658198404227,!1,[[0,[0,600]]]],[54,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,438381786511822,
!1,[[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[54,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xfd6dca563d9c9,!1,[[1,[2,"blast"]],[3,1]]]]],[0,null,!1,null,4750938729913765,[[54,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xb7120f837e9ad,!1,[[4,23]]]],[[54,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x991822b001a9,!1],[-1,cr.system_object.prototype.acts.AddVar,null,617627768493449,!1,[[11,"Hammer"],[7,
[0,1]]]],[23,cr.plugins_.Sprite.prototype.acts.Spawn,null,8707887959298151,!1,[[4,55],[5,[20,23,cr.plugins_.Sprite.prototype.exps.LayerName,!0,null]],[7,[0,0]]]],[55,cr.plugins_.Sprite.prototype.acts.SetAngle,null,7433928717147846,!1,[[0,[19,cr.system_object.prototype.exps.random,[[0,360]]]]]],[29,cr.plugins_.Audio.prototype.acts.Play,null,6875365257953662,!1,[[2,["hamercolision",!1]],[3,0],[0,[0,0]],[1,[2,"fx"]]]]]]]]],"",!1,1E3,630,4,!0,!0,!0,"1.0.0.0",!0,!0,0,2,811,!1,!0,[]]};

createCocoonJSRuntime();

})();
